/* Generated automatically by the program `genoutput'
   from the machine description file `md'.  */

#define IN_TARGET_CODE 1
#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "tree.h"
#include "rtl.h"
#include "flags.h"
#include "alias.h"
#include "varasm.h"
#include "stor-layout.h"
#include "calls.h"
#include "insn-config.h"
#include "expmed.h"
#include "dojump.h"
#include "explow.h"
#include "memmodel.h"
#include "emit-rtl.h"
#include "stmt.h"
#include "expr.h"
#include "insn-codes.h"
#include "tm_p.h"
#include "regs.h"
#include "conditions.h"
#include "insn-attr.h"

#include "recog.h"

#include "diagnostic-core.h"
#include "output.h"
#include "target.h"
#include "tm-constrs.h"

static const char *
output_5 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 680 "../../gcc/config/aarch64/aarch64.md"
{
    output_asm_insn ("br\t%0", operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char * const output_7[] = {
  "ccmp\t%w2, %w3, %k5, %m4",
  "ccmp\t%w2, %3, %k5, %m4",
  "ccmn\t%w2, #%n3, %k5, %m4",
};

static const char * const output_8[] = {
  "ccmp\t%x2, %x3, %k5, %m4",
  "ccmp\t%x2, %3, %k5, %m4",
  "ccmn\t%x2, #%n3, %k5, %m4",
};

static const char * const output_13[] = {
  "ccmp\t%w2, %w3, %k5, %M4",
  "ccmp\t%w2, %3, %k5, %M4",
  "ccmn\t%w2, #%n3, %k5, %M4",
};

static const char * const output_14[] = {
  "ccmp\t%x2, %x3, %k5, %M4",
  "ccmp\t%x2, %3, %k5, %M4",
  "ccmn\t%x2, #%n3, %k5, %M4",
};

static const char *
output_19 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 869 "../../gcc/config/aarch64/aarch64.md"
{
    /* GCC's traditional style has been to use "beq" instead of "b.eq", etc.,
       but the "." is required for SVE conditions.  */
    bool use_dot_p = GET_MODE (operands[1]) == CC_NZCmode;
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 2, "Lbcond",
				     use_dot_p ? "b.%M0\t" : "b%M0\t");
    else
      return use_dot_p ? "b.%m0\t%l2" : "b%m0\t%l2";
  }
}

static const char *
output_28 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64.md"

  return aarch64_output_casesi (operands);
  
}

static const char *
output_30 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1019 "../../gcc/config/aarch64/aarch64.md"
{
    const char * pftype[2][4] =
    {
      {"prfm\tPLDL1STRM, %0",
       "prfm\tPLDL3KEEP, %0",
       "prfm\tPLDL2KEEP, %0",
       "prfm\tPLDL1KEEP, %0"},
      {"prfm\tPSTL1STRM, %0",
       "prfm\tPSTL3KEEP, %0",
       "prfm\tPSTL2KEEP, %0",
       "prfm\tPSTL1KEEP, %0"},
    };

    int locality = INTVAL (operands[2]);

    gcc_assert (IN_RANGE (locality, 0, 3));

    /* PRFM accepts the same addresses as a 64-bit LDR so wrap
       the address into a DImode MEM so that aarch64_print_operand knows
       how to print it.  */
    operands[0] = gen_rtx_MEM (DImode, operands[0]);
    return pftype[INTVAL (operands[1]) & 1][locality];
  }
}

static const char *
output_31 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1049 "../../gcc/config/aarch64/aarch64.md"
{
    operands[1] = gen_rtx_MEM (DImode, operands[1]);
    return "prfm\t%0, %1";
  }
}

static const char *
output_33 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1083 "../../gcc/config/aarch64/aarch64.md"
{
    const char *ret = NULL;
    if (aarch64_return_address_signing_enabled ()
	&& (TARGET_PAUTH))
      {
	if (aarch64_ra_sign_key == AARCH64_KEY_B)
	  ret = "retab";
	else
	  ret = "retaa";
      }
    else
      ret = "ret";
    output_asm_insn (ret, operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char *
output_34 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1111 "../../gcc/config/aarch64/aarch64.md"
{
    output_asm_insn ("ret", operands);
    return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
  }
}

static const char *
output_35 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1125 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbnz\t%w0, ");
    else
      return "cbz\t%w0, %l1";
  }
}

static const char *
output_36 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1125 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbz\t%w0, ");
    else
      return "cbnz\t%w0, %l1";
  }
}

static const char *
output_37 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1125 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbnz\t%x0, ");
    else
      return "cbz\t%x0, %l1";
  }
}

static const char *
output_38 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1125 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      return aarch64_gen_far_branch (operands, 1, "Lcb", "cbz\t%x0, ");
    else
      return "cbnz\t%x0, %l1";
  }
}

static const char *
output_39 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_40 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_41 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_42 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_43 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_44 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_45 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_46 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_47 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_48 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_49 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%w0, %1, %l2";
  }
}

static const char *
output_50 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%w0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%w0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%w0, %1, %l2";
  }
}

static const char *
output_51 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%x0, %1, %l2";
  }
}

static const char *
output_52 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%x0, %1, %l2";
  }
}

static const char *
output_53 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbnz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbeq\t%l2";
	  }
      }
    else
      return "tbz\t%x0, %1, %l2";
  }
}

static const char *
output_54 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1172 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 2, "Ltb",
					 "tbz\t%x0, %1, ");
	else
	  {
	    operands[1] = GEN_INT (HOST_WIDE_INT_1U << UINTVAL (operands[1]));
	    return "tst\t%x0, %1\n\tbne\t%l2";
	  }
      }
    else
      return "tbnz\t%x0, %1, %l2";
  }
}

static const char *
output_55 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1208 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #7, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (QImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #7, %l1";
  }
}

static const char *
output_56 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1208 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #7, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (QImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #7, %l1";
  }
}

static const char *
output_57 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1208 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #15, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (HImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #15, %l1";
  }
}

static const char *
output_58 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1208 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #15, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (HImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #15, %l1";
  }
}

static const char *
output_59 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1208 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%w0, #31, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (SImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%w0, #31, %l1";
  }
}

static const char *
output_60 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1208 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%w0, #31, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (SImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%w0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%w0, #31, %l1";
  }
}

static const char *
output_61 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1208 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbz\t%x0, #63, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (DImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%x0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "bne\t%l1";
	  }
      }
    else
      return "tbnz\t%x0, #63, %l1";
  }
}

static const char *
output_62 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1208 "../../gcc/config/aarch64/aarch64.md"
{
    if (get_attr_length (insn) == 8)
      {
	if (get_attr_far_branch (insn) == 1)
	  return aarch64_gen_far_branch (operands, 1, "Ltb",
					 "tbnz\t%x0, #63, ");
	else
	  {
	    char buf[64];
	    uint64_t val = ((uint64_t) 1)
		<< (GET_MODE_SIZE (DImode) * BITS_PER_UNIT - 1);
	    sprintf (buf, "tst\t%%x0, %" PRId64, val);
	    output_asm_insn (buf, operands);
	    return "beq\t%l1";
	  }
      }
    else
      return "tbz\t%x0, #63, %l1";
  }
}

static const char *
output_63 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_indirect_call_asm (operands[0]);
    case 1: return "bl\t%c0";
      default: gcc_unreachable ();
    }
}

static const char *
output_64 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0:
       return aarch64_indirect_call_asm (operands[1]);
    case 1: return "bl\t%c1";
      default: gcc_unreachable ();
    }
}

static const char *
output_65 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1413 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      {
	output_asm_insn ("br\t%0", operands);
	return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
      }
    return "b\t%c0";
  }
}

static const char *
output_66 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1433 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      {
	output_asm_insn ("br\t%1", operands);
	return aarch64_sls_barrier (aarch64_harden_sls_retbr_p ());
      }
    return "b\t%c1";
  }
}

static const char *
output_67 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.8b, #0";
    case 1: return "mov\t%w0, %w1";
    case 2: return "mov\t%w0, %1";
    case 3:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], QImode);
    case 4:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 5:
       return aarch64_output_sve_rdvl (operands[1]);
    case 6: return "ldrb\t%w0, %1";
    case 7: return "ldr\t%b0, %1";
    case 8: return "strb\t%w1, %0";
    case 9: return "str\t%b1, %0";
    case 10: return "umov\t%w0, %1.b[0]";
    case 11: return "fmov\t%w0, %s1";
    case 12: return "dup\t%0.8b, %w1";
    case 13: return "fmov\t%s0, %w1";
    case 14: return "dup\t%b0, %1.b[0]";
    case 15: return "fmov\t%s0, %s1";
    case 16: return "msr\t%0, %x1";
    case 17: return "mrs\t%x0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_68 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.8b, #0";
    case 1: return "mov\t%w0, %w1";
    case 2: return "mov\t%w0, %1";
    case 3:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 4:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 5:
       return aarch64_output_sve_rdvl (operands[1]);
    case 6: return "ldrh\t%w0, %1";
    case 7: return "ldr\t%h0, %1";
    case 8: return "strh\t%w1, %0";
    case 9: return "str\t%h1, %0";
    case 10: return "umov\t%w0, %1.h[0]";
    case 11: return "fmov\t%w0, %s1";
    case 12: return "dup\t%0.4h, %w1";
    case 13: return "fmov\t%s0, %w1";
    case 14: return "dup\t%h0, %1.h[0]";
    case 15: return "fmov\t%s0, %s1";
    case 16: return "msr\t%0, %x1";
    case 17: return "mrs\t%x0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_69 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.2d, #0";
    case 1: return "mov\t%w0, %w1";
    case 2: return "mov\t%w0, %w1";
    case 3: return "mov\t%w0, %1";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 6:
       return aarch64_output_sve_rdvl (operands[1]);
    case 7:
       return aarch64_output_rdsvl (operands[1]);
    case 8: return "ldr\t%w0, %1";
    case 9: return "ldr\t%s0, %1";
    case 10: return "str\t%w1, %0";
    case 11: return "str\t%s1, %0";
    case 12: return "adrp\t%x0, %A1\n\tldr\t%w0, [%x0, %L1]";
    case 13: return "adr\t%x0, %c1";
    case 14: return "adrp\t%x0, %A1";
    case 15: return "fmov\t%s0, %w1";
    case 16: return "fmov\t%w0, %s1";
    case 17: return "fmov\t%s0, %s1";
    case 18:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
    case 19: return "msr\t%0, %x1";
    case 20: return "mrs\t%x0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_70 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.2d, #0";
    case 1: return "mov\t%x0, %x1";
    case 2: return "mov\t%0, %x1";
    case 3: return "mov\t%x0, %1";
    case 4:
       return aarch64_is_mov_xn_imm (INTVAL (operands[1])) ? "mov\t%x0, %1" : "mov\t%w0, %1";
    case 5: return "#";
    case 6:
       return aarch64_output_sve_cnt_immediate ("cnt", "%x0", operands[1]);
    case 7:
       return aarch64_output_sve_rdvl (operands[1]);
    case 8:
       return aarch64_output_rdsvl (operands[1]);
    case 9: return "ldr\t%x0, %1";
    case 10: return "ldr\t%d0, %1";
    case 11: return "str\t%x1, %0";
    case 12: return "str\t%d1, %0";
    case 13:
       return TARGET_ILP32 ? "adrp\t%0, %A1\n\tldr\t%w0, [%0, %L1]" : "adrp\t%0, %A1\n\tldr\t%0, [%0, %L1]";
    case 14: return "adr\t%x0, %c1";
    case 15: return "adrp\t%x0, %A1";
    case 16: return "fmov\t%d0, %x1";
    case 17: return "fmov\t%x0, %d1";
    case 18: return "fmov\t%d0, %d1";
    case 19:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
    case 20: return "#";
    case 21: return "msr\t%0, %x1";
    case 22: return "mrs\t%0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_73 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1677 "../../gcc/config/aarch64/aarch64.md"
{
    int shift = aarch64_movk_shift (rtx_mode_t (operands[2], SImode),
				    rtx_mode_t (operands[3], SImode));
    operands[2] = gen_int_mode (UINTVAL (operands[3]) >> shift, SImode);
    operands[3] = gen_int_mode (shift, SImode);
    return "movk\t%w0, #%X2, lsl %3";
  }
}

static const char *
output_74 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1677 "../../gcc/config/aarch64/aarch64.md"
{
    int shift = aarch64_movk_shift (rtx_mode_t (operands[2], DImode),
				    rtx_mode_t (operands[3], DImode));
    operands[2] = gen_int_mode (UINTVAL (operands[3]) >> shift, SImode);
    operands[3] = gen_int_mode (shift, SImode);
    return "movk\t%x0, #%X2, lsl %3";
  }
}

static const char * const output_75[] = {
  "#",
  "movi\t%0.2d, #0",
  "fmov\t%d0, xzr",
  "#",
  "#",
  "mov\t%0.16b, %1.16b",
  "mov\t%Z0.d, %Z1.d",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
};

static const char *
output_76 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.4h, #0";
    case 1: return "fmov\t%h0, %w1";
    case 2: return "dup\t%w0.4h, %w1";
    case 3: return "fmov\t%s0, %w1";
    case 4: return "umov\t%w0, %1.h[0]";
    case 5: return "fmov\t%w0, %s1";
    case 6: return "mov\t%0.h[0], %1.h[0]";
    case 7: return "fmov\t%s0, %s1";
    case 8: return "fmov\t%h0, %1";
    case 9:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 10: return "ldr\t%h0, %1";
    case 11: return "str\t%h1, %0";
    case 12: return "ldrh\t%w0, %1";
    case 13: return "strh\t%w1, %0";
    case 14: return "mov\t%w0, %w1";
      default: gcc_unreachable ();
    }
}

static const char *
output_77 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.4h, #0";
    case 1: return "fmov\t%h0, %w1";
    case 2: return "dup\t%w0.4h, %w1";
    case 3: return "fmov\t%s0, %w1";
    case 4: return "umov\t%w0, %1.h[0]";
    case 5: return "fmov\t%w0, %s1";
    case 6: return "mov\t%0.h[0], %1.h[0]";
    case 7: return "fmov\t%s0, %s1";
    case 8: return "fmov\t%h0, %1";
    case 9:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], HImode);
    case 10: return "ldr\t%h0, %1";
    case 11: return "str\t%h1, %0";
    case 12: return "ldrh\t%w0, %1";
    case 13: return "strh\t%w1, %0";
    case 14: return "mov\t%w0, %w1";
      default: gcc_unreachable ();
    }
}

static const char *
output_78 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.2s, #0";
    case 1: return "fmov\t%s0, %w1";
    case 2: return "fmov\t%w0, %s1";
    case 3: return "fmov\t%s0, %s1";
    case 4: return "fmov\t%s0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
    case 6: return "ldr\t%s0, %1";
    case 7: return "str\t%s1, %0";
    case 8: return "ldr\t%w0, %1";
    case 9: return "str\t%w1, %0";
    case 10: return "mov\t%w0, %w1";
    case 11: return "mov\t%w0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_79 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%0.2s, #0";
    case 1: return "fmov\t%s0, %w1";
    case 2: return "fmov\t%w0, %s1";
    case 3: return "fmov\t%s0, %s1";
    case 4: return "fmov\t%s0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], SImode);
    case 6: return "ldr\t%s0, %1";
    case 7: return "str\t%s1, %0";
    case 8: return "ldr\t%w0, %1";
    case 9: return "str\t%w1, %0";
    case 10: return "mov\t%w0, %w1";
    case 11: return "mov\t%w0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_80 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%d0, #0";
    case 1: return "fmov\t%d0, %x1";
    case 2: return "fmov\t%x0, %d1";
    case 3: return "fmov\t%d0, %d1";
    case 4: return "fmov\t%d0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
    case 6: return "ldr\t%d0, %1";
    case 7: return "str\t%d1, %0";
    case 8: return "ldr\t%x0, %1";
    case 9: return "str\t%x1, %0";
    case 10: return "mov\t%x0, %x1";
    case 11:
       return aarch64_is_mov_xn_imm (INTVAL (operands[1])) ? "mov\t%x0, %1" : "mov\t%w0, %1";
      default: gcc_unreachable ();
    }
}

static const char *
output_81 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "movi\t%d0, #0";
    case 1: return "fmov\t%d0, %x1";
    case 2: return "fmov\t%x0, %d1";
    case 3: return "fmov\t%d0, %d1";
    case 4: return "fmov\t%d0, %1";
    case 5:
       return aarch64_output_scalar_simd_mov_immediate (operands[1], DImode);
    case 6: return "ldr\t%d0, %1";
    case 7: return "str\t%d1, %0";
    case 8: return "ldr\t%x0, %1";
    case 9: return "str\t%x1, %0";
    case 10: return "mov\t%x0, %x1";
    case 11:
       return aarch64_is_mov_xn_imm (INTVAL (operands[1])) ? "mov\t%x0, %1" : "mov\t%w0, %1";
      default: gcc_unreachable ();
    }
}

static const char * const output_82[] = {
  "mov\t%0.16b, %1.16b",
  "mov\t%Z0.d, %Z1.d",
  "#",
  "#",
  "#",
  "movi\t%0.2d, #0",
  "fmov\t%s0, wzr",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
};

static const char * const output_83[] = {
  "mov\t%0.16b, %1.16b",
  "mov\t%Z0.d, %Z1.d",
  "#",
  "#",
  "#",
  "movi\t%0.2d, #0",
  "fmov\t%s0, wzr",
  "ldr\t%q0, %1",
  "str\t%q1, %0",
  "ldp\t%0, %H0, %1",
  "stp\t%1, %H1, %0",
  "stp\txzr, xzr, %0",
};

static const char * const output_88[] = {
  "ldp\t%w0, %w2, %y1",
  "ldp\t%s0, %s2, %y1",
};

static const char * const output_89[] = {
  "ldp\t%x0, %x2, %y1",
  "ldp\t%d0, %d2, %y1",
};

static const char * const output_91[] = {
  "stp\t%w1, %w2, %y0",
  "stp\t%s1, %s2, %y0",
};

static const char * const output_92[] = {
  "stp\t%x1, %x2, %y0",
  "stp\t%d1, %d2, %y0",
};

static const char * const output_94[] = {
  "ldp\t%w2, %w3, [%1], %4",
  "ldp\t%s2, %s3, [%1], %4",
};

static const char * const output_95[] = {
  "ldp\t%x2, %x3, [%1], %4",
  "ldp\t%d2, %d3, [%1], %4",
};

static const char * const output_97[] = {
  "ldp\t%w2, %w3, [%0, %4]!",
  "ldp\t%s2, %s3, [%0, %4]!",
};

static const char * const output_98[] = {
  "ldp\t%x2, %x3, [%0, %4]!",
  "ldp\t%d2, %d3, [%0, %4]!",
};

static const char * const output_100[] = {
  "stp\t%w2, %w3, [%0, %4]!",
  "stp\t%s2, %s3, [%0, %4]!",
};

static const char * const output_101[] = {
  "stp\t%x2, %x3, [%0, %4]!",
  "stp\t%d2, %d3, [%0, %4]!",
};

static const char * const output_103[] = {
  "stp\t%w2, %w3, [%0], %4",
  "stp\t%s2, %s3, [%0], %4",
};

static const char * const output_104[] = {
  "stp\t%x2, %x3, [%0], %4",
  "stp\t%d2, %d3, [%0], %4",
};

static const char * const output_106[] = {
  "sxtw\t%0, %w1",
  "ldrsw\t%0, %1",
};

static const char * const output_108[] = {
  "uxtw\t%0, %w1",
  "ldr\t%w0, %1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
  "fmov\t%w0, %s1",
  "fmov\t%s0, %s1",
};

static const char * const output_109[] = {
  "ldp\t%w0, %w2, %y1",
  "ldp\t%s0, %s2, %y1",
};

static const char * const output_110[] = {
  "sxtb\t%w0, %w1",
  "ldrsb\t%w0, %1",
  "smov\t%w0, %1.b[0]",
};

static const char * const output_111[] = {
  "sxtb\t%x0, %w1",
  "ldrsb\t%x0, %1",
  "smov\t%x0, %1.b[0]",
};

static const char * const output_112[] = {
  "sxth\t%w0, %w1",
  "ldrsh\t%w0, %1",
  "smov\t%w0, %1.h[0]",
};

static const char * const output_113[] = {
  "sxth\t%x0, %w1",
  "ldrsh\t%x0, %1",
  "smov\t%x0, %1.h[0]",
};

static const char * const output_114[] = {
  "and\t%w0, %w1, 255",
  "ldrb\t%w0, %1",
  "ldr\t%b0, %1",
  "umov\t%w0, %1.b[0]",
};

static const char * const output_115[] = {
  "and\t%x0, %x1, 255",
  "ldrb\t%w0, %1",
  "ldr\t%b0, %1",
  "umov\t%w0, %1.b[0]",
};

static const char * const output_116[] = {
  "and\t%w0, %w1, 65535",
  "ldrh\t%w0, %1",
  "ldr\t%h0, %1",
  "umov\t%w0, %1.h[0]",
};

static const char * const output_117[] = {
  "and\t%x0, %x1, 65535",
  "ldrh\t%w0, %1",
  "ldr\t%h0, %1",
  "umov\t%w0, %1.h[0]",
};

static const char * const output_118[] = {
  "sxtb\t%w0, %w1",
  "ldrsb\t%w0, %1",
};

static const char * const output_119[] = {
  "and\t%w0, %w1, 255",
  "ldrb\t%w0, %1",
};

static const char *
output_120 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%w0, %w1, %2";
    case 1: return "add\t%w0, %w1, %w2";
    case 2: return "add\t%0.2s, %1.2s, %2.2s";
    case 3: return "sub\t%w0, %w1, #%n2";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 6:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 7:
       return aarch64_output_addsvl_addspl (operands[2]);
      default: gcc_unreachable ();
    }
}

static const char *
output_121 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%x0, %x1, %2";
    case 1: return "add\t%x0, %x1, %x2";
    case 2: return "add\t%d0, %d1, %d2";
    case 3: return "sub\t%x0, %x1, #%n2";
    case 4: return "#";
    case 5:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 6:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 7:
       return aarch64_output_addsvl_addspl (operands[2]);
      default: gcc_unreachable ();
    }
}

static const char * const output_122[] = {
  "add\t%w0, %w1, %2",
  "add\t%w0, %w1, %w2",
  "sub\t%w0, %w1, #%n2",
  "#",
};

static const char *
output_123 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%w0, %w1, %2";
    case 1: return "add\t%w0, %w1, %w2";
    case 2: return "sub\t%w0, %w1, #%n2";
    case 3: return "#";
    case 4:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 5:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 6: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_124 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%x0, %x1, %2";
    case 1: return "add\t%x0, %x1, %x2";
    case 2: return "sub\t%x0, %x1, #%n2";
    case 3: return "#";
    case 4:
       return aarch64_output_sve_scalar_inc_dec (operands[2]);
    case 5:
       return aarch64_output_sve_addvl_addpl (operands[2]);
    case 6: return "#";
      default: gcc_unreachable ();
    }
}

static const char * const output_125[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_126[] = {
  "adds\t%x0, %x1, %x2",
  "adds\t%x0, %x1, %2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_127[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_128[] = {
  "cmn\t%w0, %w1",
  "cmn\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_129[] = {
  "cmn\t%x0, %x1",
  "cmn\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char * const output_130[] = {
  "adds\t%w0, %w1, %w2",
  "adds\t%w0, %w1, %2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_131[] = {
  "adds\t%x0, %x1, %x2",
  "adds\t%x0, %x1, %2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_132[] = {
  "cmn\t%w0, %w1",
  "cmp\t%w0, #%n1",
};

static const char * const output_133[] = {
  "cmn\t%x0, %x1",
  "cmp\t%x0, #%n1",
};

static const char * const output_136[] = {
  "adds\t%w0, %w1, %w2",
  "subs\t%w0, %w1, #%n2",
};

static const char * const output_137[] = {
  "adds\t%x0, %x1, %x2",
  "subs\t%x0, %x1, #%n2",
};

static const char * const output_200[] = {
  "cmn\t%w0, %w1",
  "cmn\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_201[] = {
  "cmn\t%x0, %x1",
  "cmn\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char *
output_262 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3254 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL(operands[2]),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_263 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3254 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL(operands[2]),
					   INTVAL (operands[3])));
  return "add\t%x0, %x4, %w1, uxt%e3 %2";
}

static const char *
output_264 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3271 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "add\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char * const output_267[] = {
  "sub\t%x0, %x1, %x2",
  "sub\t%d0, %d1, %d2",
};

static const char * const output_270[] = {
  "subs\t%w0, %w1, %2",
  "adds\t%w0, %w1, #%n2",
};

static const char * const output_271[] = {
  "subs\t%x0, %x1, %2",
  "adds\t%x0, %x1, #%n2",
};

static const char * const output_276[] = {
  "cmp\t%w0, %w1",
  "cmp\t%w0, %1",
  "cmp\t%w0, #%n1",
};

static const char * const output_277[] = {
  "cmp\t%x0, %x1",
  "cmp\t%x0, %1",
  "cmp\t%x0, #%n1",
};

static const char * const output_283[] = {
  "subs\t%w0, %w1, %2",
  "adds\t%w0, %w1, #%n2",
};

static const char * const output_284[] = {
  "subs\t%x0, %x1, %2",
  "adds\t%x0, %x1, #%n2",
};

static const char *
output_347 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3960 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char *
output_348 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3960 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%x0, %x4, %w1, uxt%e3 %2";
}

static const char *
output_349 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3977 "../../gcc/config/aarch64/aarch64.md"

  operands[3] = GEN_INT (aarch64_uxt_size (INTVAL (operands[2]),
					   INTVAL (operands[3])));
  return "sub\t%w0, %w4, %w1, uxt%e3 %2";
}

static const char * const output_352[] = {
  "neg\t%w0, %w1",
  "neg\t%0.2s, %1.2s",
};

static const char * const output_353[] = {
  "neg\t%x0, %x1",
  "neg\t%d0, %d1",
};

static const char * const output_405[] = {
  "cmp\t%w0, %w1",
  "cmp\t%w0, %1",
  "cmn\t%w0, #%n1",
};

static const char * const output_406[] = {
  "cmp\t%x0, %x1",
  "cmp\t%x0, %1",
  "cmn\t%x0, #%n1",
};

static const char * const output_407[] = {
  "fcmp\t%s0, #0.0",
  "fcmp\t%s0, %s1",
};

static const char * const output_408[] = {
  "fcmp\t%d0, #0.0",
  "fcmp\t%d0, %d1",
};

static const char * const output_409[] = {
  "fcmpe\t%s0, #0.0",
  "fcmpe\t%s0, %s1",
};

static const char * const output_410[] = {
  "fcmpe\t%d0, #0.0",
  "fcmpe\t%d0, %d1",
};

static const char * const output_455[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_456[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_457[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char * const output_458[] = {
  "csel\t%x0, %x3, %x4, %m1",
  "csinv\t%x0, %x3, xzr, %m1",
  "csinv\t%x0, %x4, xzr, %M1",
  "csinc\t%x0, %x3, xzr, %m1",
  "csinc\t%x0, %x4, xzr, %M1",
  "mov\t%x0, -1",
  "mov\t%x0, 1",
};

static const char * const output_459[] = {
  "csel\t%w0, %w3, %w4, %m1",
  "csinv\t%w0, %w3, wzr, %m1",
  "csinv\t%w0, %w4, wzr, %M1",
  "csinc\t%w0, %w3, wzr, %m1",
  "csinc\t%w0, %w4, wzr, %M1",
  "mov\t%w0, -1",
  "mov\t%w0, 1",
};

static const char *
output_465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4717 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (QImode) >= 64)
      return "crc32b\t%w0, %w1, %x2";
    else
      return "crc32b\t%w0, %w1, %w2";
  }
}

static const char *
output_466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4717 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (HImode) >= 64)
      return "crc32h\t%w0, %w1, %x2";
    else
      return "crc32h\t%w0, %w1, %w2";
  }
}

static const char *
output_467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4717 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (SImode) >= 64)
      return "crc32w\t%w0, %w1, %x2";
    else
      return "crc32w\t%w0, %w1, %w2";
  }
}

static const char *
output_468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4717 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (DImode) >= 64)
      return "crc32x\t%w0, %w1, %x2";
    else
      return "crc32x\t%w0, %w1, %w2";
  }
}

static const char *
output_469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4717 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (QImode) >= 64)
      return "crc32cb\t%w0, %w1, %x2";
    else
      return "crc32cb\t%w0, %w1, %w2";
  }
}

static const char *
output_470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4717 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (HImode) >= 64)
      return "crc32ch\t%w0, %w1, %x2";
    else
      return "crc32ch\t%w0, %w1, %w2";
  }
}

static const char *
output_471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4717 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (SImode) >= 64)
      return "crc32cw\t%w0, %w1, %x2";
    else
      return "crc32cw\t%w0, %w1, %w2";
  }
}

static const char *
output_472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4717 "../../gcc/config/aarch64/aarch64.md"
{
    if (GET_MODE_BITSIZE (DImode) >= 64)
      return "crc32cx\t%w0, %w1, %x2";
    else
      return "crc32cx\t%w0, %w1, %w2";
  }
}

static const char *
output_492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4988 "../../gcc/config/aarch64/aarch64.md"
{
    return aarch64_output_sve_cnt_immediate ("uqdec", "%w0", operands[2]);
  }
}

static const char *
output_493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4988 "../../gcc/config/aarch64/aarch64.md"
{
    return aarch64_output_sve_cnt_immediate ("uqdec", "%x0", operands[2]);
  }
}

static const char * const output_504[] = {
  "and\t%w0, %w1, %w2",
  "and\t%w0, %w1, %2",
  "and\t%Z0.s, %Z0.s, #%2",
  "and\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_505[] = {
  "orr\t%w0, %w1, %w2",
  "orr\t%w0, %w1, %2",
  "orr\t%Z0.s, %Z0.s, #%2",
  "orr\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_506[] = {
  "eor\t%w0, %w1, %w2",
  "eor\t%w0, %w1, %2",
  "eor\t%Z0.s, %Z0.s, #%2",
  "eor\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_507[] = {
  "and\t%x0, %x1, %x2",
  "and\t%x0, %x1, %2",
  "and\t%Z0.d, %Z0.d, #%2",
  "and\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_508[] = {
  "orr\t%x0, %x1, %x2",
  "orr\t%x0, %x1, %2",
  "orr\t%Z0.d, %Z0.d, #%2",
  "orr\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_509[] = {
  "eor\t%x0, %x1, %x2",
  "eor\t%x0, %x1, %2",
  "eor\t%Z0.d, %Z0.d, #%2",
  "eor\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_510[] = {
  "and\t%w0, %w1, %w2",
  "and\t%w0, %w1, %2",
};

static const char * const output_511[] = {
  "orr\t%w0, %w1, %w2",
  "orr\t%w0, %w1, %2",
};

static const char * const output_512[] = {
  "eor\t%w0, %w1, %w2",
  "eor\t%w0, %w1, %2",
};

static const char * const output_513[] = {
  "ands\t%w0, %w1, %w2",
  "ands\t%w0, %w1, %2",
};

static const char * const output_514[] = {
  "ands\t%x0, %x1, %x2",
  "ands\t%x0, %x1, %2",
};

static const char * const output_515[] = {
  "ands\t%w0, %w1, %w2",
  "ands\t%w0, %w1, %2",
};

static const char *
output_516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5112 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5112 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5112 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5112 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5112 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5112 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ands\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5112 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ands\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5112 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ands\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5112 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ands\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5112 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ands\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5133 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5133 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5133 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5133 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5133 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ands\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_534 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_535 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_536 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_537 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_538 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_539 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_540 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_541 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_542 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_543 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_544 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_545 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_546 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "and\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_547 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orr\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_548 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eor\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_549 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "and\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_550 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orr\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_551 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eor\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_552 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "and\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_553 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orr\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_554 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eor\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_555 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "and\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_556 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orr\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_557 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eor\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_558 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "and\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_559 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orr\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_560 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5148 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eor\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_561 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_562 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_563 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_564 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_565 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_566 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_567 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_568 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_569 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_570 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_571 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_572 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_573 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "and\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_574 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orr\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_575 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5254 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eor\t%w0, %w3, %w1, ror %2";
}
}

static const char * const output_576[] = {
  "mvn\t%w0, %w1",
  "mvn\t%0.8b, %1.8b",
};

static const char * const output_577[] = {
  "mvn\t%x0, %x1",
  "mvn\t%0.8b, %1.8b",
};

static const char *
output_579 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5286 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "mvn\t%w0, %w1, lsl %2";
}
}

static const char *
output_580 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5286 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "mvn\t%w0, %w1, asr %2";
}
}

static const char *
output_581 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5286 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "mvn\t%w0, %w1, lsr %2";
}
}

static const char *
output_582 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5286 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "mvn\t%w0, %w1, ror %2";
}
}

static const char *
output_583 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5286 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "mvn\t%w0, %w1, ror %2";
}
}

static const char *
output_584 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5286 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "mvn\t%x0, %x1, lsl %2";
}
}

static const char *
output_585 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5286 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "mvn\t%x0, %x1, asr %2";
}
}

static const char *
output_586 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5286 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "mvn\t%x0, %x1, lsr %2";
}
}

static const char *
output_587 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5286 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "mvn\t%x0, %x1, ror %2";
}
}

static const char *
output_588 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5286 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "mvn\t%x0, %x1, ror %2";
}
}

static const char * const output_589[] = {
  "bic\t%w0, %w1, %w2",
  "bic\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_590[] = {
  "orn\t%w0, %w1, %w2",
  "orn\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_591[] = {
  "bic\t%x0, %x1, %x2",
  "bic\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_592[] = {
  "orn\t%x0, %x1, %x2",
  "orn\t%0.8b, %1.8b, %2.8b",
};

static const char * const output_596[] = {
  "eon\t%w0, %w1, %w2",
  "#",
};

static const char * const output_597[] = {
  "eon\t%x0, %x1, %x2",
  "#",
};

static const char *
output_603 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_604 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_605 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_606 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_607 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_608 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_609 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_610 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_611 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_612 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_613 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_614 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_615 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_616 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_617 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_618 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bic\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_619 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orn\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_620 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_621 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bic\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_622 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orn\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_623 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_624 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bic\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_625 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orn\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_626 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_627 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bic\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_628 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orn\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_629 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_630 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bic\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_631 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "orn\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_632 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5396 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_633 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_634 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_635 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_636 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_637 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_638 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_639 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_640 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_641 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_642 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_643 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_644 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_645 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bic\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_646 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "orn\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_647 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5413 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_648 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5429 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_649 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5429 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_650 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5429 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_651 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5429 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_652 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5429 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_653 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5429 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_654 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5429 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_655 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5429 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_656 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5429 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_657 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5429 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "eon\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_658 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5447 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_659 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5447 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_660 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5447 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_661 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5447 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_662 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5447 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "eon\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_663 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5469 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_664 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5469 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_665 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5469 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_666 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5469 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_667 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5469 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_668 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5469 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bics\t%x0, %x3, %x1, lsl %2";
}
}

static const char *
output_669 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5469 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bics\t%x0, %x3, %x1, asr %2";
}
}

static const char *
output_670 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5469 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bics\t%x0, %x3, %x1, lsr %2";
}
}

static const char *
output_671 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5469 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bics\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_672 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5469 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (64 - UINTVAL (operands[2]));
  return "bics\t%x0, %x3, %x1, ror %2";
}
}

static const char *
output_673 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5492 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, lsl %2";
}
}

static const char *
output_674 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5492 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, asr %2";
}
}

static const char *
output_675 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5492 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, lsr %2";
}
}

static const char *
output_676 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5492 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_677 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5492 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "bics\t%w0, %w3, %w1, ror %2";
}
}

static const char *
output_678 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5510 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "bics\twzr, %w2, %w0, lsl %1";
}
}

static const char *
output_679 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5510 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "bics\twzr, %w2, %w0, asr %1";
}
}

static const char *
output_680 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5510 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "bics\twzr, %w2, %w0, lsr %1";
}
}

static const char *
output_681 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5510 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "bics\twzr, %w2, %w0, ror %1";
}
}

static const char *
output_682 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5510 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "bics\twzr, %w2, %w0, ror %1";
}
}

static const char *
output_683 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5510 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "bics\txzr, %x2, %x0, lsl %1";
}
}

static const char *
output_684 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5510 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "bics\txzr, %x2, %x0, asr %1";
}
}

static const char *
output_685 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5510 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "bics\txzr, %x2, %x0, lsr %1";
}
}

static const char *
output_686 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5510 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "bics\txzr, %x2, %x0, ror %1";
}
}

static const char *
output_687 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5510 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "bics\txzr, %x2, %x0, ror %1";
}
}

static const char *
output_696 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5642 "../../gcc/config/aarch64/aarch64.md"
{ return TARGET_CSSC ? "ctz\t%w0, %w1" : "#"; }
}

static const char *
output_697 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5642 "../../gcc/config/aarch64/aarch64.md"
{ return TARGET_CSSC ? "ctz\t%x0, %x1" : "#"; }
}

static const char * const output_704[] = {
  "tst\t%w0, %w1",
  "tst\t%w0, %1",
};

static const char * const output_705[] = {
  "tst\t%x0, %x1",
  "tst\t%x0, %1",
};

static const char *
output_706 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5716 "../../gcc/config/aarch64/aarch64.md"
{
    operands[1]
      = aarch64_mask_from_zextract_ops (operands[1], operands[2]);
    return "tst\t%w0, %1";
  }
}

static const char *
output_707 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5716 "../../gcc/config/aarch64/aarch64.md"
{
    operands[1]
      = aarch64_mask_from_zextract_ops (operands[1], operands[2]);
    return "tst\t%x0, %1";
  }
}

static const char *
output_708 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5733 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "tst\t%w2, %w0, lsl %1";
}
}

static const char *
output_709 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5733 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "tst\t%w2, %w0, asr %1";
}
}

static const char *
output_710 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5733 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "tst\t%w2, %w0, lsr %1";
}
}

static const char *
output_711 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5733 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "tst\t%w2, %w0, ror %1";
}
}

static const char *
output_712 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5733 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[1] = GEN_INT (32 - UINTVAL (operands[1]));
  return "tst\t%w2, %w0, ror %1";
}
}

static const char *
output_713 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5733 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "tst\t%x2, %x0, lsl %1";
}
}

static const char *
output_714 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5733 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "tst\t%x2, %x0, asr %1";
}
}

static const char *
output_715 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5733 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "tst\t%x2, %x0, lsr %1";
}
}

static const char *
output_716 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5733 "../../gcc/config/aarch64/aarch64.md"
{
  if (0)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "tst\t%x2, %x0, ror %1";
}
}

static const char *
output_717 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5733 "../../gcc/config/aarch64/aarch64.md"
{
  if (1)
    operands[1] = GEN_INT (64 - UINTVAL (operands[1]));
  return "tst\t%x2, %x0, ror %1";
}
}

static const char *
output_740 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5924 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("lsl\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_741 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5924 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("asr\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_742 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5924 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("lsr\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_743 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5924 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("ror\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char *
output_744 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5924 "../../gcc/config/aarch64/aarch64.md"
{
  rtx xop[3];
  xop[0] = operands[0];
  xop[1] = operands[1];
  xop[2] = gen_lowpart (GET_MODE (operands[4]), operands[2]);
  output_asm_insn ("ror\t%x0, %x1, %x2", xop);
  return "";
}
}

static const char * const output_751[] = {
  "lsl\t%w0, %w1, %2",
  "lsl\t%w0, %w1, %w2",
  "shl\t%0.2s, %1.2s, %2",
  "ushl\t%0.2s, %1.2s, %2.2s",
};

static const char * const output_752[] = {
  "lsl\t%x0, %x1, %2",
  "lsl\t%x0, %x1, %x2",
  "shl\t%d0, %d1, %2",
  "ushl\t%d0, %d1, %d2",
};

static const char * const output_753[] = {
  "lsr\t%w0, %w1, %2",
  "lsr\t%w0, %w1, %w2",
  "ushr\t%0.2s, %1.2s, %2",
  "#",
  "#",
};

static const char * const output_754[] = {
  "lsr\t%x0, %x1, %2",
  "lsr\t%x0, %x1, %x2",
  "ushr\t%d0, %d1, %2",
  "#",
  "#",
};

static const char * const output_755[] = {
  "asr\t%w0, %w1, %2",
  "asr\t%w0, %w1, %w2",
  "sshr\t%0.2s, %1.2s, %2",
  "#",
  "#",
};

static const char * const output_756[] = {
  "asr\t%x0, %x1, %2",
  "asr\t%x0, %x1, %x2",
  "sshr\t%d0, %d1, %2",
  "#",
  "#",
};

static const char * const output_762[] = {
  "ror\t%w0, %w1, %2",
  "ror\t%w0, %w1, %w2",
};

static const char * const output_763[] = {
  "ror\t%x0, %x1, %2",
  "ror\t%x0, %x1, %x2",
};

static const char *
output_764 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6138 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ror\t%w0, %w1, %3";
}
}

static const char *
output_765 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6138 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (64 - UINTVAL (operands[2]));
  return "ror\t%x0, %x1, %3";
}
}

static const char * const output_766[] = {
  "lsl\t%w0, %w1, %2",
  "lsl\t%w0, %w1, %w2",
};

static const char * const output_767[] = {
  "asr\t%w0, %w1, %2",
  "asr\t%w0, %w1, %w2",
};

static const char * const output_768[] = {
  "lsr\t%w0, %w1, %2",
  "lsr\t%w0, %w1, %w2",
};

static const char *
output_770 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6176 "../../gcc/config/aarch64/aarch64.md"
{
  operands[2] = GEN_INT (32 - UINTVAL (operands[2]));
  return "ror\t%w0, %w1, %2";
}
}

static const char *
output_771 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6188 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_772 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6188 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_773 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6188 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_774 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6188 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_775 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6188 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_776 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6188 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_784 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6271 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_785 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6271 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_786 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6271 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_787 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6271 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_788 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6271 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_789 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6271 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_790 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6271 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_791 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6271 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_792 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6284 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_793 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6284 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "ubfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_794 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6284 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_795 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6284 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "ubfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_796 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6297 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_797 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6297 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (8 - UINTVAL (operands[2]));
  return "sbfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_798 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6297 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%w0, %w1, %2, %3";
}
}

static const char *
output_799 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6297 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = GEN_INT (16 - UINTVAL (operands[2]));
  return "sbfx\t%x0, %x1, %2, %3";
}
}

static const char *
output_804 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6394 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      return "bfi\t%w0, %w2, %1, 8";

    operands[1] = gen_int_mode (UINTVAL (operands[1]) / 8, SImode);
    if (which_alternative == 1)
      return "ins\t%0.b[%1], %2.b[0]";
    return "ins\t%0.b[%1], %w2";
  }
}

static const char *
output_805 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6394 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      return "bfi\t%w0, %w2, %1, 16";

    operands[1] = gen_int_mode (UINTVAL (operands[1]) / 16, SImode);
    if (which_alternative == 1)
      return "ins\t%0.h[%1], %2.h[0]";
    return "ins\t%0.h[%1], %w2";
  }
}

static const char *
output_806 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6394 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      return "bfi\t%w0, %w2, %1, 32";

    operands[1] = gen_int_mode (UINTVAL (operands[1]) / 32, SImode);
    if (which_alternative == 1)
      return "ins\t%0.s[%1], %2.s[0]";
    return "ins\t%0.s[%1], %w2";
  }
}

static const char *
output_807 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6394 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      return "bfi\t%x0, %x2, %1, 8";

    operands[1] = gen_int_mode (UINTVAL (operands[1]) / 8, SImode);
    if (which_alternative == 1)
      return "ins\t%0.b[%1], %2.b[0]";
    return "ins\t%0.b[%1], %w2";
  }
}

static const char *
output_808 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6394 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      return "bfi\t%x0, %x2, %1, 16";

    operands[1] = gen_int_mode (UINTVAL (operands[1]) / 16, SImode);
    if (which_alternative == 1)
      return "ins\t%0.h[%1], %2.h[0]";
    return "ins\t%0.h[%1], %w2";
  }
}

static const char *
output_809 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6394 "../../gcc/config/aarch64/aarch64.md"
{
    if (which_alternative == 0)
      return "bfi\t%x0, %x2, %1, 32";

    operands[1] = gen_int_mode (UINTVAL (operands[1]) / 32, SImode);
    if (which_alternative == 1)
      return "ins\t%0.s[%1], %2.s[0]";
    return "ins\t%0.s[%1], %w2";
  }
}

static const char *
output_840 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6523 "../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (SImode) - UINTVAL (operands[4]));
  return "bfi\t%w0, %w3, %4, %5";
}
}

static const char *
output_841 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6523 "../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (DImode) - UINTVAL (operands[4]));
  return "bfi\t%x0, %x3, %4, %5";
}
}

static const char *
output_842 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6540 "../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (SImode) - UINTVAL (operands[2]));
  return "bfi\t%w0, %w1, %2, %5";
}
}

static const char *
output_843 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6540 "../../gcc/config/aarch64/aarch64.md"
{
  operands[5] = GEN_INT (GET_MODE_BITSIZE (DImode) - UINTVAL (operands[2]));
  return "bfi\t%x0, %x1, %2, %5";
}
}

static const char *
output_853 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6627 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_854 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6627 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_855 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6627 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_856 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6627 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (8 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (8)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_857 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6627 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_858 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6627 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_859 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6627 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_860 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6627 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (16 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (16)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_861 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6627 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "sbfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_862 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6627 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (32 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (32 - UINTVAL (operands[2]));
  return "ubfiz\t%w0, %w1, %2, %3";
}
}

static const char *
output_863 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6627 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "sbfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_864 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6627 "../../gcc/config/aarch64/aarch64.md"
{
  operands[3] = (32 <= (64 - UINTVAL (operands[2])))
	      ? GEN_INT (32)
	      : GEN_INT (64 - UINTVAL (operands[2]));
  return "ubfiz\t%x0, %x1, %2, %3";
}
}

static const char *
output_873 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6720 "../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%w0, %w1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%w0, %w2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_874 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6720 "../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%x0, %x1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%x0, %x2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_875 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6747 "../../gcc/config/aarch64/aarch64.md"
{
    switch (which_alternative)
    {
      case 0:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[3])));
	return "bfxil\t%w0, %w1, 0, %3";
      case 1:
	operands[3] = GEN_INT (ctz_hwi (~INTVAL (operands[4])));
	return "bfxil\t%w0, %w2, 0, %3";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_963 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6866 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%w0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_964 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6866 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%w0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_965 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6866 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%x0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_966 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6866 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%x0, %%s1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_967 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6866 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%w0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_968 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6866 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%w0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_969 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6866 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%x0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_970 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6866 "../../gcc/config/aarch64/aarch64.md"
{
    int fbits = aarch64_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%x0, %%d1, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char * const output_989[] = {
  "fcvtzs\t%s0, %s1",
  "fcvtzs\t%w0, %s1",
};

static const char * const output_990[] = {
  "fcvtzu\t%s0, %s1",
  "fcvtzu\t%w0, %s1",
};

static const char * const output_991[] = {
  "fcvtzs\t%d0, %d1",
  "fcvtzs\t%x0, %d1",
};

static const char * const output_992[] = {
  "fcvtzu\t%d0, %d1",
  "fcvtzu\t%x0, %d1",
};

static const char *
output_1003 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7070 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "scvtf\t%s0, %s1, #%2";
      case 1:
	return "scvtf\t%s0, %w1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_1004 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7070 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "ucvtf\t%s0, %s1, #%2";
      case 1:
	return "ucvtf\t%s0, %w1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_1005 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7070 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "scvtf\t%d0, %d1, #%2";
      case 1:
	return "scvtf\t%d0, %x1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_1006 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7070 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    switch (which_alternative)
    {
      case 0:
	return "ucvtf\t%d0, %d1, #%2";
      case 1:
	return "ucvtf\t%d0, %x1, #%2";
      default:
	gcc_unreachable ();
    }
  }
}

static const char *
output_1007 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7093 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "scvtf\t%s0, %x1, #%2";
  }
}

static const char *
output_1008 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7093 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "ucvtf\t%s0, %x1, #%2";
  }
}

static const char *
output_1009 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7093 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "scvtf\t%d0, %w1, #%2";
  }
}

static const char *
output_1010 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7093 "../../gcc/config/aarch64/aarch64.md"
{
    operands[2] = GEN_INT (aarch64_fpconst_pow2_recip (operands[2]));
    return "ucvtf\t%d0, %w1, #%2";
  }
}

static const char * const output_1011[] = {
  "scvtf\t%s0, %s1",
  "scvtf\t%s0, %w1",
};

static const char * const output_1012[] = {
  "ucvtf\t%s0, %s1",
  "ucvtf\t%s0, %w1",
};

static const char * const output_1013[] = {
  "scvtf\t%d0, %d1",
  "scvtf\t%d0, %x1",
};

static const char * const output_1014[] = {
  "ucvtf\t%d0, %d1",
  "ucvtf\t%d0, %x1",
};

static const char * const output_1023[] = {
  "fcvtzs\t%w0, %s1, #%2",
  "fcvtzs\t%s0, %s1, #%2",
};

static const char * const output_1024[] = {
  "fcvtzu\t%w0, %s1, #%2",
  "fcvtzu\t%s0, %s1, #%2",
};

static const char * const output_1025[] = {
  "fcvtzs\t%x0, %d1, #%2",
  "fcvtzs\t%d0, %d1, #%2",
};

static const char * const output_1026[] = {
  "fcvtzu\t%x0, %d1, #%2",
  "fcvtzu\t%d0, %d1, #%2",
};

static const char * const output_1027[] = {
  "scvtf\t%s0, %w1, #%2",
  "scvtf\t%s0, %s1, #%2",
};

static const char * const output_1028[] = {
  "ucvtf\t%s0, %w1, #%2",
  "ucvtf\t%s0, %s1, #%2",
};

static const char * const output_1029[] = {
  "scvtf\t%d0, %x1, #%2",
  "scvtf\t%d0, %d1, #%2",
};

static const char * const output_1030[] = {
  "ucvtf\t%d0, %x1, #%2",
  "ucvtf\t%d0, %d1, #%2",
};

static const char * const output_1068[] = {
  "smax\t%w0, %w1, %w2",
  "smax\t%w0, %w1, %2",
};

static const char * const output_1069[] = {
  "smin\t%w0, %w1, %w2",
  "smin\t%w0, %w1, %2",
};

static const char * const output_1070[] = {
  "umax\t%w0, %w1, %w2",
  "umax\t%w0, %w1, %2",
};

static const char * const output_1071[] = {
  "umin\t%w0, %w1, %w2",
  "umin\t%w0, %w1, %2",
};

static const char * const output_1072[] = {
  "smax\t%x0, %x1, %x2",
  "smax\t%x0, %x1, %2",
};

static const char * const output_1073[] = {
  "smin\t%x0, %x1, %x2",
  "smin\t%x0, %x1, %2",
};

static const char * const output_1074[] = {
  "umax\t%x0, %x1, %x2",
  "umax\t%x0, %x1, %2",
};

static const char * const output_1075[] = {
  "umin\t%x0, %x1, %x2",
  "umin\t%x0, %x1, %2",
};

static const char * const output_1096[] = {
  "bsl\t%0.8b, %2.8b, %1.8b",
  "bit\t%0.8b, %2.8b, %3.8b",
  "bif\t%0.8b, %1.8b, %3.8b",
};

static const char * const output_1097[] = {
  "bsl\t%0.8b, %2.8b, %1.8b",
  "bit\t%0.8b, %2.8b, %3.8b",
  "bif\t%0.8b, %1.8b, %3.8b",
};

static const char *
output_1119 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7703 "../../gcc/config/aarch64/aarch64.md"
 return aarch64_output_load_tp (operands[0]);
}

static const char *
output_1152 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7951 "../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_stack_range (operands[0], operands[2]);
}
}

static const char *
output_1153 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7969 "../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_sve_stack_clash (operands[0], operands[2],
					       operands[3], operands[4]);
}
}

static const char *
output_1154 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7969 "../../gcc/config/aarch64/aarch64.md"
{
  return aarch64_output_probe_sve_stack_clash (operands[0], operands[2],
					       operands[3], operands[4]);
}
}

static const char *
output_1155 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8019 "../../gcc/config/aarch64/aarch64.md"
{
   char buf[150];
   snprintf (buf, 150, "mrs\t%%w0, %s",
	    aarch64_stack_protector_guard_reg_str);
   output_asm_insn (buf, operands);
   return "";
 }
}

static const char *
output_1156 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8019 "../../gcc/config/aarch64/aarch64.md"
{
   char buf[150];
   snprintf (buf, 150, "mrs\t%%x0, %s",
	    aarch64_stack_protector_guard_reg_str);
   output_asm_insn (buf, operands);
   return "";
 }
}

static const char *
output_1169 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8146 "../../gcc/config/aarch64/aarch64.md"
{
    operands[1] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("csel\t%1, %1, xzr, %m0", operands);
    return "";
  }
}

static const char *
output_1170 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8160 "../../gcc/config/aarch64/aarch64.md"
{
    operands[1] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("csel\t%1, %1, xzr, %M0", operands);
    return "";
  }
}

static const char *
output_1176 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8246 "../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1177 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8246 "../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1178 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8246 "../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%w0, %w1, %w2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1179 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8246 "../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn ("cmp\t%3, #0\n\tcsel\t%x0, %x1, %x2, ne\n\thint\t0x14 // csdb",
		     operands);
    return "";
  }
}

static const char *
output_1180 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8266 "../../gcc/config/aarch64/aarch64.md"
{
    operands[3] = gen_rtx_REG (DImode, SPECULATION_TRACKER_REGNUM);
    output_asm_insn
      ("cmp\t%3, #0\n\tcsel\t%0, %1, %2, ne\n\tcsel\t%H0, %H1, %H2, ne\n\thint\t0x14 // csdb",
       operands);
    return "";
  }
}

static const char *
output_1222 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8509 "../../gcc/config/aarch64/aarch64.md"
{
  aarch64_output_patchable_area (INTVAL (operands[0]),
			         INTVAL (operands[1]) != 0);
  return "";
}
}

static const char * const output_1231[] = {
  "dup\t%0.8b, %1.b[0]",
  "dup\t%0.8b, %w1",
};

static const char * const output_1232[] = {
  "dup\t%0.16b, %1.b[0]",
  "dup\t%0.16b, %w1",
};

static const char * const output_1233[] = {
  "dup\t%0.4h, %1.h[0]",
  "dup\t%0.4h, %w1",
};

static const char * const output_1234[] = {
  "dup\t%0.8h, %1.h[0]",
  "dup\t%0.8h, %w1",
};

static const char * const output_1235[] = {
  "dup\t%0.2s, %1.s[0]",
  "dup\t%0.2s, %w1",
};

static const char * const output_1236[] = {
  "dup\t%0.4s, %1.s[0]",
  "dup\t%0.4s, %w1",
};

static const char * const output_1237[] = {
  "dup\t%0.2d, %1.d[0]",
  "dup\t%0.2d, %x1",
};

static const char * const output_1238[] = {
  "dup\t%0.4h, %1.h[0]",
  "dup\t%0.4h, %w1",
};

static const char * const output_1239[] = {
  "dup\t%0.8h, %1.h[0]",
  "dup\t%0.8h, %w1",
};

static const char * const output_1240[] = {
  "dup\t%0.2s, %1.s[0]",
  "dup\t%0.2s, %w1",
};

static const char * const output_1241[] = {
  "dup\t%0.4s, %1.s[0]",
  "dup\t%0.4s, %w1",
};

static const char * const output_1242[] = {
  "dup\t%0.2d, %1.d[0]",
  "dup\t%0.2d, %x1",
};

static const char * const output_1243[] = {
  "dup\t%0.4h, %1.h[0]",
  "dup\t%0.4h, %w1",
};

static const char * const output_1244[] = {
  "dup\t%0.8h, %1.h[0]",
  "dup\t%0.8h, %w1",
};

static const char *
output_1245 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "dup\t%0.8b, %1.b[%2]";
  }
}

static const char *
output_1246 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "dup\t%0.16b, %1.b[%2]";
  }
}

static const char *
output_1247 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1248 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1249 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1250 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1251 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    return "dup\t%0.2d, %1.d[%2]";
  }
}

static const char *
output_1252 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1253 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1254 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1255 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1256 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1257 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1258 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "dup\t%0.2d, %1.d[%2]";
  }
}

static const char *
output_1259 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    return "dup\t%0.8b, %1.b[%2]";
  }
}

static const char *
output_1260 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    return "dup\t%0.16b, %1.b[%2]";
  }
}

static const char *
output_1261 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1262 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1263 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1264 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1265 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    return "dup\t%0.4h, %1.h[%2]";
  }
}

static const char *
output_1266 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    return "dup\t%0.8h, %1.h[%2]";
  }
}

static const char *
output_1267 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "dup\t%0.2s, %1.s[%2]";
  }
}

static const char *
output_1268 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 138 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "dup\t%0.4s, %1.s[%2]";
  }
}

static const char *
output_1269 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%d0, %1";
    case 1: return "ldr\t%x0, %1";
    case 2: return "str\txzr, %0";
    case 3: return "str\t%d1, %0";
    case 4: return "str\t%x1, %0";
    case 5: return "mov\t%0.8b, %1.8b";
    case 6: return "fmov\t%d0, %d1";
    case 7: return "umov\t%0, %1.d[0]";
    case 8: return "fmov\t%x0, %d1";
    case 9: return "fmov\t%d0, %1";
    case 10: return "mov\t%0, %1";
    case 11:
       return aarch64_output_simd_mov_imm (operands[1], 64);
    case 12: return "fmov\t%d0, xzr";
    case 13: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1270 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%d0, %1";
    case 1: return "ldr\t%x0, %1";
    case 2: return "str\txzr, %0";
    case 3: return "str\t%d1, %0";
    case 4: return "str\t%x1, %0";
    case 5: return "mov\t%0.8b, %1.8b";
    case 6: return "fmov\t%d0, %d1";
    case 7: return "umov\t%0, %1.d[0]";
    case 8: return "fmov\t%x0, %d1";
    case 9: return "fmov\t%d0, %1";
    case 10: return "mov\t%0, %1";
    case 11:
       return aarch64_output_simd_mov_imm (operands[1], 64);
    case 12: return "fmov\t%d0, xzr";
    case 13: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1271 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%d0, %1";
    case 1: return "ldr\t%x0, %1";
    case 2: return "str\txzr, %0";
    case 3: return "str\t%d1, %0";
    case 4: return "str\t%x1, %0";
    case 5: return "mov\t%0.8b, %1.8b";
    case 6: return "fmov\t%d0, %d1";
    case 7: return "umov\t%0, %1.d[0]";
    case 8: return "fmov\t%x0, %d1";
    case 9: return "fmov\t%d0, %1";
    case 10: return "mov\t%0, %1";
    case 11:
       return aarch64_output_simd_mov_imm (operands[1], 64);
    case 12: return "fmov\t%d0, xzr";
    case 13: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1272 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%d0, %1";
    case 1: return "ldr\t%x0, %1";
    case 2: return "str\txzr, %0";
    case 3: return "str\t%d1, %0";
    case 4: return "str\t%x1, %0";
    case 5: return "mov\t%0.8b, %1.8b";
    case 6: return "fmov\t%d0, %d1";
    case 7: return "umov\t%0, %1.d[0]";
    case 8: return "fmov\t%x0, %d1";
    case 9: return "fmov\t%d0, %1";
    case 10: return "mov\t%0, %1";
    case 11:
       return aarch64_output_simd_mov_imm (operands[1], 64);
    case 12: return "fmov\t%d0, xzr";
    case 13: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1273 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%d0, %1";
    case 1: return "ldr\t%x0, %1";
    case 2: return "str\txzr, %0";
    case 3: return "str\t%d1, %0";
    case 4: return "str\t%x1, %0";
    case 5: return "mov\t%0.8b, %1.8b";
    case 6: return "fmov\t%d0, %d1";
    case 7: return "umov\t%0, %1.d[0]";
    case 8: return "fmov\t%x0, %d1";
    case 9: return "fmov\t%d0, %1";
    case 10: return "mov\t%0, %1";
    case 11:
       return aarch64_output_simd_mov_imm (operands[1], 64);
    case 12: return "fmov\t%d0, xzr";
    case 13: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1274 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%d0, %1";
    case 1: return "ldr\t%x0, %1";
    case 2: return "str\txzr, %0";
    case 3: return "str\t%d1, %0";
    case 4: return "str\t%x1, %0";
    case 5: return "mov\t%0.8b, %1.8b";
    case 6: return "fmov\t%d0, %d1";
    case 7: return "umov\t%0, %1.d[0]";
    case 8: return "fmov\t%x0, %d1";
    case 9: return "fmov\t%d0, %1";
    case 10: return "mov\t%0, %1";
    case 11:
       return aarch64_output_simd_mov_imm (operands[1], 64);
    case 12: return "fmov\t%d0, xzr";
    case 13: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1275 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1276 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1277 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1278 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1279 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1280 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1281 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char *
output_1282 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%q0, %1";
    case 1: return "stp\txzr, xzr, %0";
    case 2: return "str\t%q1, %0";
    case 3: return "mov\t%0.16b, %1.16b";
    case 4: return "mov\t%Z0.d, %Z1.d";
    case 5: return "#";
    case 6: return "#";
    case 7: return "#";
    case 8:
       return aarch64_output_simd_mov_imm (operands[1], 128);
    case 9: return "fmov\t%d0, xzr";
    case 10: return "#";
      default: gcc_unreachable ();
    }
}

static const char * const output_1297[] = {
  "stp\t%s1, %s1, %y0",
  "stp\t%w1, %w1, %y0",
};

static const char * const output_1298[] = {
  "stp\t%s1, %s1, %y0",
  "stp\t%w1, %w1, %y0",
};

static const char * const output_1299[] = {
  "stp\t%d1, %d1, %y0",
  "stp\t%x1, %x1, %y0",
};

static const char * const output_1300[] = {
  "stp\t%d1, %d1, %y0",
  "stp\t%x1, %x1, %y0",
};

static const char * const output_1301[] = {
  "#",
  "umov\t%0, %1.d[0]",
  "fmov\t%0, %d1",
};

static const char * const output_1302[] = {
  "#",
  "umov\t%0, %1.d[0]",
  "fmov\t%0, %d1",
};

static const char * const output_1303[] = {
  "#",
  "umov\t%0, %1.d[0]",
  "fmov\t%0, %d1",
};

static const char * const output_1304[] = {
  "#",
  "umov\t%0, %1.d[0]",
  "fmov\t%0, %d1",
};

static const char * const output_1305[] = {
  "#",
  "umov\t%0, %1.d[0]",
  "fmov\t%0, %d1",
};

static const char * const output_1306[] = {
  "#",
  "umov\t%0, %1.d[0]",
  "fmov\t%0, %d1",
};

static const char * const output_1307[] = {
  "dup\t%d0, %1.d[1]",
  "ext\t%Z0.b, %Z0.b, %Z0.b, #8",
  "umov\t%0, %1.d[1]",
  "fmov\t%0, %1.d[1]",
};

static const char * const output_1308[] = {
  "dup\t%d0, %1.d[1]",
  "ext\t%Z0.b, %Z0.b, %Z0.b, #8",
  "umov\t%0, %1.d[1]",
  "fmov\t%0, %1.d[1]",
};

static const char * const output_1309[] = {
  "dup\t%d0, %1.d[1]",
  "ext\t%Z0.b, %Z0.b, %Z0.b, #8",
  "umov\t%0, %1.d[1]",
  "fmov\t%0, %1.d[1]",
};

static const char * const output_1310[] = {
  "dup\t%d0, %1.d[1]",
  "ext\t%Z0.b, %Z0.b, %Z0.b, #8",
  "umov\t%0, %1.d[1]",
  "fmov\t%0, %1.d[1]",
};

static const char * const output_1311[] = {
  "dup\t%d0, %1.d[1]",
  "ext\t%Z0.b, %Z0.b, %Z0.b, #8",
  "umov\t%0, %1.d[1]",
  "fmov\t%0, %1.d[1]",
};

static const char * const output_1312[] = {
  "dup\t%d0, %1.d[1]",
  "ext\t%Z0.b, %Z0.b, %Z0.b, #8",
  "umov\t%0, %1.d[1]",
  "fmov\t%0, %1.d[1]",
};

static const char *
output_1440 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1441 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1442 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1443 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1444 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1445 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1446 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1447 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1448 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1449 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1450 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1451 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1452 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #0";
}
}

static const char *
output_1453 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #90";
}
}

static const char *
output_1454 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #180";
}
}

static const char *
output_1455 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #270";
}
}

static const char *
output_1456 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #0";
}
}

static const char *
output_1457 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #0";
}
}

static const char *
output_1458 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #0";
}
}

static const char *
output_1459 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #90";
}
}

static const char *
output_1460 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #90";
}
}

static const char *
output_1461 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #90";
}
}

static const char *
output_1462 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #180";
}
}

static const char *
output_1463 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #180";
}
}

static const char *
output_1464 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #180";
}
}

static const char *
output_1465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #270";
}
}

static const char *
output_1466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #270";
}
}

static const char *
output_1467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2s, %2.2s, %3.2s, #270";
}
}

static const char *
output_1468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #0";
}
}

static const char *
output_1469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #90";
}
}

static const char *
output_1470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #180";
}
}

static const char *
output_1471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #270";
}
}

static const char *
output_1472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #0";
}
}

static const char *
output_1473 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #90";
}
}

static const char *
output_1474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #180";
}
}

static const char *
output_1475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 472 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (DFmode, INTVAL (operands[4]));
  return "fcmla\t%0.2d, %2.2d, %3.<FCMLA_maybe_lane>, #270";
}
}

static const char *
output_1476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #0";
}
}

static const char *
output_1479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #90";
}
}

static const char *
output_1482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #180";
}
}

static const char *
output_1485 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1486 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1487 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 487 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));
  return "fcmla\t%0.4h, %2.4h, %3.h[%4], #270";
}
}

static const char *
output_1488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #0";
}
}

static const char *
output_1489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #90";
}
}

static const char *
output_1490 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #180";
}
}

static const char *
output_1491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4HFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.8h, %2.8h, %3.h[%4], #270";
}
}

static const char *
output_1492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #0";
}
}

static const char *
output_1493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #90";
}
}

static const char *
output_1494 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #180";
}
}

static const char *
output_1495 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 502 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V2SFmode).to_constant ();
  operands[4]
    = gen_int_mode (ENDIAN_LANE_N (nunits / 2, INTVAL (operands[4])), SImode);
  return "fcmla\t%0.4s, %2.4s, %3.s[%4], #270";
}
}

static const char *
output_1508 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1509 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1510 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1511 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1512 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1513 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1514 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "sdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1515 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));
    return "udot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "sdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 623 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));
    return "udot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V8QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1534 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1535 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1536 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1537 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.2s, %2.8b, %3.4b[%4]";
  }
}

static const char *
output_1538 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "usdot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1539 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 641 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int nunits = GET_MODE_NUNITS (V16QImode).to_constant ();
    int lane = INTVAL (operands[4]);
    operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 4, lane), SImode);
    return "sudot\t%0.4s, %2.16b, %3.4b[%4]";
  }
}

static const char *
output_1540 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "mul\t%0.4h, %1.4h, %2.h[%3]";
  }
}

static const char *
output_1541 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "mul\t%0.8h, %1.8h, %2.h[%3]";
  }
}

static const char *
output_1542 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "mul\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_1543 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "mul\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_1544 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "fmul\t%0.4h, %1.4h, %2.h[%3]";
  }
}

static const char *
output_1545 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[3]));
    return "fmul\t%0.8h, %1.8h, %2.h[%3]";
  }
}

static const char *
output_1546 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmul\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_1547 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 695 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmul\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_1548 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "mul\t%0.4h, %1.4h, %2.h[%3]";
  }
}

static const char *
output_1549 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "mul\t%0.8h, %1.8h, %2.h[%3]";
  }
}

static const char *
output_1550 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "mul\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_1551 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "mul\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_1552 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "fmul\t%0.4h, %1.4h, %2.h[%3]";
  }
}

static const char *
output_1553 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[3]));
    return "fmul\t%0.8h, %1.8h, %2.h[%3]";
  }
}

static const char *
output_1554 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmul\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_1555 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmul\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_1556 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmul\t%0.2d, %1.2d, %2.d[%3]";
  }
}

static const char *
output_1584 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 772 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmul\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_1749 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1750 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1751 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1752 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1753 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1754 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1755 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1756 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1757 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1758 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1759 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1760 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1761 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "and\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_and_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1762 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1763 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1764 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1765 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1766 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1767 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1768 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1769 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1770 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1771 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1772 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1773 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1774 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "orr\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_orr_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1775 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1776 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1777 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1778 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1779 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1780 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1781 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1782 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1783 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1784 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1785 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.8b, %1.8b, %2.8b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 64);
      default: gcc_unreachable ();
    }
}

static const char *
output_1786 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1787 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "eor\t%0.16b, %1.16b, %2.16b";
    case 1:
       return aarch64_output_simd_xor_imm (operands[2], 128);
      default: gcc_unreachable ();
    }
}

static const char *
output_1801 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.b[%p2], %1.b[0]";
     case 1:
	return "ins\t%0.b[%p2], %w1";
     case 2:
        return "ld1\t{%0.b}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1802 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.b[%p2], %1.b[0]";
     case 1:
	return "ins\t%0.b[%p2], %w1";
     case 2:
        return "ld1\t{%0.b}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1803 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1804 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1805 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1806 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1807 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.d[%p2], %1.d[0]";
     case 1:
	return "ins\t%0.d[%p2], %x1";
     case 2:
        return "ld1\t{%0.d}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1808 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1809 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1810 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1811 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.h[%p2], %1.h[0]";
     case 1:
	return "ins\t%0.h[%p2], %w1";
     case 2:
        return "ld1\t{%0.h}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1812 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1813 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.s[%p2], %1.s[0]";
     case 1:
	return "ins\t%0.s[%p2], %w1";
     case 2:
        return "ld1\t{%0.s}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1814 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1175 "../../gcc/config/aarch64/aarch64-simd.md"
{
   int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
   operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
   switch (which_alternative)
     {
     case 0:
	return "ins\t%0.d[%p2], %1.d[0]";
     case 1:
	return "ins\t%0.d[%p2], %x1";
     case 2:
        return "ld1\t{%0.d}[%p2], %1";
     default:
	gcc_unreachable ();
     }
  }
}

static const char *
output_1815 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.b[%p2], wzr";
  }
}

static const char *
output_1816 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.b[%p2], wzr";
  }
}

static const char *
output_1817 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.h[%p2], wzr";
  }
}

static const char *
output_1818 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.h[%p2], wzr";
  }
}

static const char *
output_1819 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.s[%p2], wzr";
  }
}

static const char *
output_1820 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.s[%p2], wzr";
  }
}

static const char *
output_1821 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.d[%p2], xzr";
  }
}

static const char *
output_1822 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.h[%p2], wzr";
  }
}

static const char *
output_1823 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.h[%p2], wzr";
  }
}

static const char *
output_1824 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.h[%p2], wzr";
  }
}

static const char *
output_1825 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.h[%p2], wzr";
  }
}

static const char *
output_1826 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.s[%p2], wzr";
  }
}

static const char *
output_1827 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.s[%p2], wzr";
  }
}

static const char *
output_1828 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1200 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT ((HOST_WIDE_INT) 1 << elt);
    return "ins\t%0.d[%p2], xzr";
  }
}

static const char *
output_1829 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1830 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1831 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1832 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1833 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1834 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1835 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[4]));

    return "ins\t%0.d[%p2], %3.d[%4]";
  }
}

static const char *
output_1836 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1837 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1838 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1839 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1840 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1841 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1842 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1218 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[4]));

    return "ins\t%0.d[%p2], %3.d[%4]";
  }
}

static const char *
output_1843 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1844 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (16, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[4]));

    return "ins\t%0.b[%p2], %3.b[%4]";
  }
}

static const char *
output_1845 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1846 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1847 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1848 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1849 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1850 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (8, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.h[%p2], %3.h[%4]";
  }
}

static const char *
output_1851 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (2, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char *
output_1852 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1239 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int elt = ENDIAN_LANE_N (4, exact_log2 (INTVAL (operands[2])));
    operands[2] = GEN_INT (HOST_WIDE_INT_1 << elt);
    operands[4] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[4]));

    return "ins\t%0.s[%p2], %3.s[%4]";
  }
}

static const char * const output_1866[] = {
  "cmlt\t%0.8b, %1.8b, #0",
  "sshr\t%0.8b, %1.8b, %2",
};

static const char * const output_1867[] = {
  "cmlt\t%0.8b, %1.8b, #0",
  "sshr\t%0.8b, %1.8b, %2",
};

static const char * const output_1868[] = {
  "cmlt\t%0.8b, %1.8b, #0",
  "sshr\t%0.8b, %1.8b, %2",
};

static const char * const output_1869[] = {
  "cmlt\t%0.16b, %1.16b, #0",
  "sshr\t%0.16b, %1.16b, %2",
};

static const char * const output_1870[] = {
  "cmlt\t%0.4h, %1.4h, #0",
  "sshr\t%0.4h, %1.4h, %2",
};

static const char * const output_1871[] = {
  "cmlt\t%0.4h, %1.4h, #0",
  "sshr\t%0.4h, %1.4h, %2",
};

static const char * const output_1872[] = {
  "cmlt\t%0.4h, %1.4h, #0",
  "sshr\t%0.4h, %1.4h, %2",
};

static const char * const output_1873[] = {
  "cmlt\t%0.8h, %1.8h, #0",
  "sshr\t%0.8h, %1.8h, %2",
};

static const char * const output_1874[] = {
  "cmlt\t%0.2s, %1.2s, #0",
  "sshr\t%0.2s, %1.2s, %2",
};

static const char * const output_1875[] = {
  "cmlt\t%0.2s, %1.2s, #0",
  "sshr\t%0.2s, %1.2s, %2",
};

static const char * const output_1876[] = {
  "cmlt\t%0.2s, %1.2s, #0",
  "sshr\t%0.2s, %1.2s, %2",
};

static const char * const output_1877[] = {
  "cmlt\t%0.4s, %1.4s, #0",
  "sshr\t%0.4s, %1.4s, %2",
};

static const char * const output_1878[] = {
  "cmlt\t%0.2d, %1.2d, #0",
  "sshr\t%0.2d, %1.2d, %2",
};

static const char * const output_1916[] = {
  "add\t%0.8b, %1.8b, %1.8b",
  "shl\t%0.8b, %1.8b, %2",
};

static const char * const output_1917[] = {
  "add\t%0.8b, %1.8b, %1.8b",
  "shl\t%0.8b, %1.8b, %2",
};

static const char * const output_1918[] = {
  "add\t%0.8b, %1.8b, %1.8b",
  "shl\t%0.8b, %1.8b, %2",
};

static const char * const output_1919[] = {
  "add\t%0.16b, %1.16b, %1.16b",
  "shl\t%0.16b, %1.16b, %2",
};

static const char * const output_1920[] = {
  "add\t%0.4h, %1.4h, %1.4h",
  "shl\t%0.4h, %1.4h, %2",
};

static const char * const output_1921[] = {
  "add\t%0.4h, %1.4h, %1.4h",
  "shl\t%0.4h, %1.4h, %2",
};

static const char * const output_1922[] = {
  "add\t%0.4h, %1.4h, %1.4h",
  "shl\t%0.4h, %1.4h, %2",
};

static const char * const output_1923[] = {
  "add\t%0.8h, %1.8h, %1.8h",
  "shl\t%0.8h, %1.8h, %2",
};

static const char * const output_1924[] = {
  "add\t%0.2s, %1.2s, %1.2s",
  "shl\t%0.2s, %1.2s, %2",
};

static const char * const output_1925[] = {
  "add\t%0.2s, %1.2s, %1.2s",
  "shl\t%0.2s, %1.2s, %2",
};

static const char * const output_1926[] = {
  "add\t%0.2s, %1.2s, %1.2s",
  "shl\t%0.2s, %1.2s, %2",
};

static const char * const output_1927[] = {
  "add\t%0.4s, %1.4s, %1.4s",
  "shl\t%0.4s, %1.4s, %2",
};

static const char * const output_1928[] = {
  "add\t%0.2d, %1.2d, %1.2d",
  "shl\t%0.2d, %1.2d, %2",
};

static const char *
output_1968 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1969 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1970 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1971 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1972 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1973 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1974 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1975 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1976 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1977 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1978 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1979 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1980 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1981 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1982 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1983 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1984 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1985 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1607 "../../gcc/config/aarch64/aarch64-simd.md"
{
    if (BYTES_BIG_ENDIAN)
      return "shl %d0, %d1, %2";
    else
      return "ushr %d0, %d1, %2";
  }
}

static const char *
output_1998 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_1999 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2000 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2001 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_2002 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2003 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2004 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2005 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1652 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2006 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2007 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2008 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mla\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2009 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mla\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_2010 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2011 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2012 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2013 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2034 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2035 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2036 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2037 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_2038 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2039 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2040 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2041 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1711 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2042 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2043 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2044 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    return "mls\t%0.4h, %3.4h, %1.h[%2]";
  }
}

static const char *
output_2045 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    return "mls\t%0.8h, %3.8h, %1.h[%2]";
  }
}

static const char *
output_2046 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2047 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2048 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    return "mls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2049 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    return "mls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2196 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1868 "../../gcc/config/aarch64/aarch64-simd.md"
{
  if (!BYTES_BIG_ENDIAN)
    return "uzp1\t%0.16b, %1.16b, %2.16b";
  else
    return "uzp1\t%0.16b, %2.16b, %1.16b";
}
}

static const char *
output_2197 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1868 "../../gcc/config/aarch64/aarch64-simd.md"
{
  if (!BYTES_BIG_ENDIAN)
    return "uzp1\t%0.8h, %1.8h, %2.8h";
  else
    return "uzp1\t%0.8h, %2.8h, %1.8h";
}
}

static const char *
output_2198 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1868 "../../gcc/config/aarch64/aarch64-simd.md"
{
  if (!BYTES_BIG_ENDIAN)
    return "uzp1\t%0.4s, %1.4s, %2.4s";
  else
    return "uzp1\t%0.4s, %2.4s, %1.4s";
}
}

static const char *
output_2199 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1884 "../../gcc/config/aarch64/aarch64-simd.md"
{
  if (!BYTES_BIG_ENDIAN)
    return "uzp1\t%0.8b, %1.8b, %2.8b";
  else
    return "uzp1\t%0.8b, %2.8b, %1.8b";
}
}

static const char *
output_2200 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1884 "../../gcc/config/aarch64/aarch64-simd.md"
{
  if (!BYTES_BIG_ENDIAN)
    return "uzp1\t%0.4h, %1.4h, %2.4h";
  else
    return "uzp1\t%0.4h, %2.4h, %1.4h";
}
}

static const char *
output_2201 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1884 "../../gcc/config/aarch64/aarch64-simd.md"
{
  if (!BYTES_BIG_ENDIAN)
    return "uzp1\t%0.2s, %1.2s, %2.2s";
  else
    return "uzp1\t%0.2s, %2.2s, %1.2s";
}
}

static const char *
output_2290 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2299 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "smull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2291 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2299 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "umull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2292 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2299 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "smull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2293 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2299 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "umull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_2294 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2299 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "smull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2295 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2299 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "umull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2296 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2299 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "smull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2297 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2299 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "umull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_2298 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2319 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "smull2\t%0.4s, %1.8h, %3.h[%4]";
  }
}

static const char *
output_2299 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2319 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "umull2\t%0.4s, %1.8h, %3.h[%4]";
  }
}

static const char *
output_2300 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2319 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "smull2\t%0.2d, %1.4s, %3.s[%4]";
  }
}

static const char *
output_2301 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2319 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "umull2\t%0.2d, %1.4s, %3.s[%4]";
  }
}

static const char *
output_2302 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2353 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "smull2\t%0.4s, %1.8h, %3.h[%4]";
  }
}

static const char *
output_2303 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2353 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "umull2\t%0.4s, %1.8h, %3.h[%4]";
  }
}

static const char *
output_2304 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2353 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "smull2\t%0.2d, %1.4s, %3.s[%4]";
  }
}

static const char *
output_2305 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2353 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "umull2\t%0.2d, %1.4s, %3.s[%4]";
  }
}

static const char *
output_2314 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2429 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "smlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2315 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2429 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "umlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2316 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2429 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "smlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2317 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2429 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "umlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2318 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2429 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "smlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2319 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2429 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "umlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2320 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2429 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "smlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2321 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2429 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "umlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2322 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2451 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[5]));
    return "smlal2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2323 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2451 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[5]));
    return "umlal2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2324 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2451 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[5]));
    return "smlal2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2325 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2451 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[5]));
    return "umlal2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2326 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[5]));
    return "smlal2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2327 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[5]));
    return "umlal2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2328 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[5]));
    return "smlal2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2329 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2488 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[5]));
    return "umlal2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2330 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2523 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "smlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2331 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2523 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return "umlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2332 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2523 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "smlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2333 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2523 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return "umlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_2334 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2523 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "smlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2335 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2523 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return "umlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2336 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2523 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "smlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2337 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2523 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return "umlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_2338 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2546 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[5]));
    return "smlsl2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2339 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2546 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[5]));
    return "umlsl2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2340 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2546 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[5]));
    return "smlsl2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2341 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2546 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[5]));
    return "umlsl2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2342 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2584 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[5]));
    return "smlsl2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2343 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2584 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[5]));
    return "umlsl2\t%0.4s, %2.8h, %4.h[%5]";
  }
}

static const char *
output_2344 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2584 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[5]));
    return "smlsl2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2345 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2584 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[5] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[5]));
    return "umlsl2\t%0.2d, %2.4s, %4.s[%5]";
  }
}

static const char *
output_2410 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2870 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2411 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2870 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2412 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2870 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2413 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2870 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2414 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2870 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmla\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2415 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2887 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2416 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2887 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2417 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2887 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmla\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2418 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2887 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmla\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2436 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2915 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmla\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2446 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2944 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2447 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2944 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2448 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2944 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2449 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2944 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2450 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2944 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmls\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2451 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2452 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2453 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    return "fmls\t%0.2s, %3.2s, %1.s[%2]";
  }
}

static const char *
output_2454 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2962 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    return "fmls\t%0.4s, %3.4s, %1.s[%2]";
  }
}

static const char *
output_2472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2992 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    return "fmls\t%0.2d, %3.2d, %1.d[%2]";
  }
}

static const char *
output_2600 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3058 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.2s, %%1.2s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2601 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3058 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.2s, %%1.2s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2602 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3058 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.4s, %%1.4s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2603 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3058 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.4s, %%1.4s, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2604 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3058 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzs\t%%0.2d, %%1.2d, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char *
output_2605 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3058 "../../gcc/config/aarch64/aarch64-simd.md"
{
    int fbits = aarch64_vec_fpconst_pow_of_2 (operands[2]);
    char buf[64];
    snprintf (buf, 64, "fcvtzu\t%%0.2d, %%1.2d, #%d", fbits);
    output_asm_insn (buf, operands);
    return "";
  }
}

static const char * const output_2876[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2877[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2878[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2879[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2880[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2881[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2882[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2883[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2884[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2885[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2886[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
};

static const char * const output_2887[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2888[] = {
  "bsl\t%0.16b, %2.16b, %3.16b",
  "bit\t%0.16b, %2.16b, %1.16b",
  "bif\t%0.16b, %3.16b, %1.16b",
};

static const char * const output_2889[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2890[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2891[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2892[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2893[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2894[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2895[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2896[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2897[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2898[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2899[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
};

static const char * const output_2900[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2901[] = {
  "bsl\t%0.16b, %3.16b, %2.16b",
  "bit\t%0.16b, %3.16b, %1.16b",
  "bif\t%0.16b, %2.16b, %1.16b",
};

static const char * const output_2902[] = {
  "bsl\t%0.8b, %2.8b, %3.8b",
  "bit\t%0.8b, %2.8b, %1.8b",
  "bif\t%0.8b, %3.8b, %1.8b",
  "#",
};

static const char * const output_2903[] = {
  "bsl\t%0.8b, %3.8b, %2.8b",
  "bit\t%0.8b, %3.8b, %1.8b",
  "bif\t%0.8b, %2.8b, %1.8b",
  "#",
};

static const char *
output_2904 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4230 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2905 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4230 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.b[%2]";
  }
}

static const char *
output_2906 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4230 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2907 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4230 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.b[%2]";
  }
}

static const char *
output_2908 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4230 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2909 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4230 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.h[%2]";
  }
}

static const char *
output_2910 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4230 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "smov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2911 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4230 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "smov\t%x0, %1.h[%2]";
  }
}

static const char *
output_2912 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4245 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2913 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4245 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2914 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4245 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2915 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4245 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.b[%2]";
  }
}

static const char *
output_2916 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4245 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2917 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4245 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2918 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4245 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2919 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4245 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "umov\t%w0, %1.h[%2]";
  }
}

static const char *
output_2920 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2921 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2922 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2923 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2924 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2925 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2926 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2927 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2928 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2929 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2930 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2931 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2932 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_2933 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 4264 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[2]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char * const output_2946[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2947[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2948[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2949[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2950[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2951[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2952[] = {
  "stp\t%s1, %s2, %y0",
  "stp\t%w1, %w2, %y0",
};

static const char * const output_2953[] = {
  "stp\t%s1, %s2, %y0",
  "stp\t%w1, %w2, %y0",
};

static const char * const output_2954[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2955[] = {
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2956[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2957[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2958[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2959[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2960[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2961[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2962[] = {
  "uzp1\t%0.2s, %1.2s, %2.2s",
  "ins\t%0.s[1], %w2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.s}[1], %2",
  "stp\t%s1, %s2, %y0",
  "stp\t%w1, %w2, %y0",
};

static const char * const output_2963[] = {
  "uzp1\t%0.2s, %1.2s, %2.2s",
  "ins\t%0.s[1], %w2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.s}[1], %2",
  "stp\t%s1, %s2, %y0",
  "stp\t%w1, %w2, %y0",
};

static const char * const output_2964[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2965[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d1, %d2, %y0",
  "stp\t%x1, %x2, %y0",
};

static const char * const output_2966[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2967[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2968[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2969[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2970[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2971[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2972[] = {
  "uzp1\t%0.2s, %1.2s, %2.2s",
  "ins\t%0.s[1], %w2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.s}[1], %2",
  "stp\t%s2, %s1, %y0",
  "stp\t%w2, %w1, %y0",
};

static const char * const output_2973[] = {
  "uzp1\t%0.2s, %1.2s, %2.2s",
  "ins\t%0.s[1], %w2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.s}[1], %2",
  "stp\t%s2, %s1, %y0",
  "stp\t%w2, %w1, %y0",
};

static const char * const output_2974[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2975[] = {
  "uzp1\t%0.2d, %1.2d, %2.2d",
  "ins\t%0.d[1], %x2",
  "fmov\t%0.d[1], %2",
  "ld1\t{%0.d}[1], %2",
  "stp\t%d2, %d1, %y0",
  "stp\t%x2, %x1, %y0",
};

static const char * const output_2976[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2977[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2978[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2979[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2980[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2981[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2982[] = {
  "fmov\t%s0, %s1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
};

static const char * const output_2983[] = {
  "fmov\t%s0, %s1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
};

static const char * const output_2984[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2985[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2986[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2987[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2988[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2989[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2990[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2991[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2992[] = {
  "fmov\t%s0, %s1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
};

static const char * const output_2993[] = {
  "fmov\t%s0, %s1",
  "fmov\t%s0, %w1",
  "ldr\t%s0, %1",
};

static const char * const output_2994[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char * const output_2995[] = {
  "fmov\t%d0, %d1",
  "fmov\t%d0, %x1",
  "ldr\t%d0, %1",
};

static const char *
output_3215 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5104 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_3216 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5104 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_3217 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2s, %1.2s, %2.s[%3]";
  }
}

static const char *
output_3218 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%0.4s, %1.4s, %2.s[%3]";
  }
}

static const char *
output_3219 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5123 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmulx\t%0.2d, %1.2d, %2.d[%3]";
  }
}

static const char *
output_3225 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5157 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode, INTVAL (operands[3]));
    return "fmulx\t%s0, %s1, %2.s[%3]";
  }
}

static const char *
output_3226 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5157 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode, INTVAL (operands[3]));
    return "fmulx\t%s0, %s1, %2.s[%3]";
  }
}

static const char *
output_3227 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5157 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode, INTVAL (operands[3]));
    return "fmulx\t%d0, %d1, %2.d[%3]";
  }
}

static const char * const output_3288[] = {
  "sqadd\t%s0, %s1, %s2",
  "#",
};

static const char * const output_3289[] = {
  "sqsub\t%s0, %s1, %s2",
  "#",
};

static const char * const output_3290[] = {
  "sqadd\t%d0, %d1, %d2",
  "#",
};

static const char * const output_3291[] = {
  "sqsub\t%d0, %d1, %d2",
  "#",
};

static const char * const output_3292[] = {
  "uqadd\t%s0, %s1, %s2",
  "#",
};

static const char * const output_3293[] = {
  "uqsub\t%s0, %s1, %s2",
  "#",
};

static const char * const output_3294[] = {
  "uqadd\t%d0, %d1, %d2",
  "#",
};

static const char * const output_3295[] = {
  "uqsub\t%d0, %d1, %d2",
  "#",
};

static const char *
output_3462 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3463 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3464 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3465 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3466 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_3469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_3470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3473 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_3477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5583 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_3478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4h, %1.4h, %2.h[%3]";
}

static const char *
output_3484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_3485 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.8h, %1.8h, %2.h[%3]";
}

static const char *
output_3486 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3487 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3490 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.2s, %1.2s, %2.s[%3]";
}

static const char *
output_3492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_3493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5598 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%0.4s, %1.4s, %2.s[%3]";
}

static const char *
output_3494 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5613 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_3495 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5613 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_3496 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5613 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_3497 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5613 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_3498 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5628 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_3499 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5628 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
   return "sqrdmulh\t%h0, %h1, %2.h[%3]";
}

static const char *
output_3500 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5628 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_3501 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5628 "../../gcc/config/aarch64/aarch64-simd.md"

   operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
   return "sqrdmulh\t%s0, %s1, %2.s[%3]";
}

static const char *
output_3522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_3529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_3530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3534 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3535 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3536 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_3537 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5660 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_3538 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5678 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_3539 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5678 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_3540 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5678 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_3541 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5678 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_3542 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3543 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3544 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3545 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3546 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3547 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4h, %2.4h, %3.h[%4]";
   }
}

static const char *
output_3548 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_3549 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.8h, %2.8h, %3.h[%4]";
   }
}

static const char *
output_3550 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3551 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3552 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3553 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3554 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3555 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.2s, %2.2s, %3.s[%4]";
   }
}

static const char *
output_3556 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_3557 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5698 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%0.4s, %2.4s, %3.s[%4]";
   }
}

static const char *
output_3558 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5716 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_3559 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5716 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%h0, %h2, %3.h[%4]";
   }
}

static const char *
output_3560 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5716 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlah\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_3561 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5716 "../../gcc/config/aarch64/aarch64-simd.md"
{
     operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
     return
      "sqrdmlsh\t%s0, %s2, %3.s[%4]";
   }
}

static const char *
output_3570 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5776 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_3571 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5776 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_3572 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5800 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_3573 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5800 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_3574 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5825 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_3575 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5825 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_3576 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5849 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.4s, %2.4h, %3.h[%4]";
  }
}

static const char *
output_3577 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5849 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%0.2d, %2.2s, %3.s[%4]";
  }
}

static const char *
output_3578 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5873 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_3579 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5873 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_3580 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5896 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_3581 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5896 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_3582 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5920 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_3583 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5920 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlal\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_3584 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5943 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%s0, %h2, %3.h[%4]";
  }
}

static const char *
output_3585 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 5943 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
      "sqdmlsl\t%d0, %s2, %3.s[%4]";
  }
}

static const char *
output_3594 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6066 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_3595 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6066 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_3596 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6092 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_3597 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6092 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_3598 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6118 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_3599 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6118 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
     "sqdmlsl2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_3600 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6144 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.4s, %2.8h, %3.h[%4]";
  }
}

static const char *
output_3601 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6144 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[4]));
    return
     "sqdmlal2\t%0.2d, %2.4s, %3.s[%4]";
  }
}

static const char *
output_3610 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6272 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_3611 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6272 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_3612 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6293 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull\t%0.4s, %1.4h, %2.h[%3]";
  }
}

static const char *
output_3613 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6293 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull\t%0.2d, %1.2s, %2.s[%3]";
  }
}

static const char *
output_3614 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6313 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull\t%s0, %h1, %2.h[%3]";
  }
}

static const char *
output_3615 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6313 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull\t%d0, %s1, %2.s[%3]";
  }
}

static const char *
output_3616 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6333 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull\t%s0, %h1, %2.h[%3]";
  }
}

static const char *
output_3617 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6333 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull\t%d0, %s1, %2.s[%3]";
  }
}

static const char *
output_3622 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6409 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.4s, %1.8h, %2.h[%3]";
  }
}

static const char *
output_3623 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6409 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.2d, %1.4s, %2.s[%3]";
  }
}

static const char *
output_3624 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6432 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.4s, %1.8h, %2.h[%3]";
  }
}

static const char *
output_3625 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 6432 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode, INTVAL (operands[3]));
    return "sqdmull2\t%0.2d, %1.4s, %2.s[%3]";
  }
}

static const char * const output_3768[] = {
  "shll\t%0.8h, %1.8b, %I2",
  "sshll\t%0.8h, %1.8b, %I2",
};

static const char * const output_3769[] = {
  "shll\t%0.8h, %1.8b, %I2",
  "ushll\t%0.8h, %1.8b, %I2",
};

static const char * const output_3770[] = {
  "shll\t%0.4s, %1.4h, %I2",
  "sshll\t%0.4s, %1.4h, %I2",
};

static const char * const output_3771[] = {
  "shll\t%0.4s, %1.4h, %I2",
  "ushll\t%0.4s, %1.4h, %I2",
};

static const char * const output_3772[] = {
  "shll\t%0.2d, %1.2s, %I2",
  "sshll\t%0.2d, %1.2s, %I2",
};

static const char * const output_3773[] = {
  "shll\t%0.2d, %1.2s, %I2",
  "ushll\t%0.2d, %1.2s, %I2",
};

static const char * const output_3774[] = {
  "shll2\t%0.8h, %1.16b, %I3",
  "sshll2\t%0.8h, %1.16b, %I3",
};

static const char * const output_3775[] = {
  "shll2\t%0.8h, %1.16b, %I3",
  "ushll2\t%0.8h, %1.16b, %I3",
};

static const char * const output_3776[] = {
  "shll2\t%0.4s, %1.8h, %I3",
  "sshll2\t%0.4s, %1.8h, %I3",
};

static const char * const output_3777[] = {
  "shll2\t%0.4s, %1.8h, %I3",
  "ushll2\t%0.4s, %1.8h, %I3",
};

static const char * const output_3778[] = {
  "shll2\t%0.2d, %1.4s, %I3",
  "sshll2\t%0.2d, %1.4s, %I3",
};

static const char * const output_3779[] = {
  "shll2\t%0.2d, %1.4s, %I3",
  "ushll2\t%0.2d, %1.4s, %I3",
};

static const char * const output_4062[] = {
  "cmgt\t%0.8b, %2.8b, %1.8b",
  "cmlt\t%0.8b, %1.8b, #0",
};

static const char * const output_4063[] = {
  "cmgt\t%0.8b, %2.8b, %1.8b",
  "cmlt\t%0.8b, %1.8b, #0",
};

static const char * const output_4064[] = {
  "cmgt\t%0.8b, %2.8b, %1.8b",
  "cmlt\t%0.8b, %1.8b, #0",
};

static const char * const output_4065[] = {
  "cmge\t%0.8b, %2.8b, %1.8b",
  "cmle\t%0.8b, %1.8b, #0",
};

static const char * const output_4066[] = {
  "cmge\t%0.8b, %2.8b, %1.8b",
  "cmle\t%0.8b, %1.8b, #0",
};

static const char * const output_4067[] = {
  "cmge\t%0.8b, %2.8b, %1.8b",
  "cmle\t%0.8b, %1.8b, #0",
};

static const char * const output_4068[] = {
  "cmeq\t%0.8b, %1.8b, %2.8b",
  "cmeq\t%0.8b, %1.8b, #0",
};

static const char * const output_4069[] = {
  "cmeq\t%0.8b, %1.8b, %2.8b",
  "cmeq\t%0.8b, %1.8b, #0",
};

static const char * const output_4070[] = {
  "cmeq\t%0.8b, %1.8b, %2.8b",
  "cmeq\t%0.8b, %1.8b, #0",
};

static const char * const output_4071[] = {
  "cmge\t%0.8b, %1.8b, %2.8b",
  "cmge\t%0.8b, %1.8b, #0",
};

static const char * const output_4072[] = {
  "cmge\t%0.8b, %1.8b, %2.8b",
  "cmge\t%0.8b, %1.8b, #0",
};

static const char * const output_4073[] = {
  "cmge\t%0.8b, %1.8b, %2.8b",
  "cmge\t%0.8b, %1.8b, #0",
};

static const char * const output_4074[] = {
  "cmgt\t%0.8b, %1.8b, %2.8b",
  "cmgt\t%0.8b, %1.8b, #0",
};

static const char * const output_4075[] = {
  "cmgt\t%0.8b, %1.8b, %2.8b",
  "cmgt\t%0.8b, %1.8b, #0",
};

static const char * const output_4076[] = {
  "cmgt\t%0.8b, %1.8b, %2.8b",
  "cmgt\t%0.8b, %1.8b, #0",
};

static const char * const output_4077[] = {
  "cmgt\t%0.16b, %2.16b, %1.16b",
  "cmlt\t%0.16b, %1.16b, #0",
};

static const char * const output_4078[] = {
  "cmge\t%0.16b, %2.16b, %1.16b",
  "cmle\t%0.16b, %1.16b, #0",
};

static const char * const output_4079[] = {
  "cmeq\t%0.16b, %1.16b, %2.16b",
  "cmeq\t%0.16b, %1.16b, #0",
};

static const char * const output_4080[] = {
  "cmge\t%0.16b, %1.16b, %2.16b",
  "cmge\t%0.16b, %1.16b, #0",
};

static const char * const output_4081[] = {
  "cmgt\t%0.16b, %1.16b, %2.16b",
  "cmgt\t%0.16b, %1.16b, #0",
};

static const char * const output_4082[] = {
  "cmgt\t%0.4h, %2.4h, %1.4h",
  "cmlt\t%0.4h, %1.4h, #0",
};

static const char * const output_4083[] = {
  "cmgt\t%0.4h, %2.4h, %1.4h",
  "cmlt\t%0.4h, %1.4h, #0",
};

static const char * const output_4084[] = {
  "cmgt\t%0.4h, %2.4h, %1.4h",
  "cmlt\t%0.4h, %1.4h, #0",
};

static const char * const output_4085[] = {
  "cmge\t%0.4h, %2.4h, %1.4h",
  "cmle\t%0.4h, %1.4h, #0",
};

static const char * const output_4086[] = {
  "cmge\t%0.4h, %2.4h, %1.4h",
  "cmle\t%0.4h, %1.4h, #0",
};

static const char * const output_4087[] = {
  "cmge\t%0.4h, %2.4h, %1.4h",
  "cmle\t%0.4h, %1.4h, #0",
};

static const char * const output_4088[] = {
  "cmeq\t%0.4h, %1.4h, %2.4h",
  "cmeq\t%0.4h, %1.4h, #0",
};

static const char * const output_4089[] = {
  "cmeq\t%0.4h, %1.4h, %2.4h",
  "cmeq\t%0.4h, %1.4h, #0",
};

static const char * const output_4090[] = {
  "cmeq\t%0.4h, %1.4h, %2.4h",
  "cmeq\t%0.4h, %1.4h, #0",
};

static const char * const output_4091[] = {
  "cmge\t%0.4h, %1.4h, %2.4h",
  "cmge\t%0.4h, %1.4h, #0",
};

static const char * const output_4092[] = {
  "cmge\t%0.4h, %1.4h, %2.4h",
  "cmge\t%0.4h, %1.4h, #0",
};

static const char * const output_4093[] = {
  "cmge\t%0.4h, %1.4h, %2.4h",
  "cmge\t%0.4h, %1.4h, #0",
};

static const char * const output_4094[] = {
  "cmgt\t%0.4h, %1.4h, %2.4h",
  "cmgt\t%0.4h, %1.4h, #0",
};

static const char * const output_4095[] = {
  "cmgt\t%0.4h, %1.4h, %2.4h",
  "cmgt\t%0.4h, %1.4h, #0",
};

static const char * const output_4096[] = {
  "cmgt\t%0.4h, %1.4h, %2.4h",
  "cmgt\t%0.4h, %1.4h, #0",
};

static const char * const output_4097[] = {
  "cmgt\t%0.8h, %2.8h, %1.8h",
  "cmlt\t%0.8h, %1.8h, #0",
};

static const char * const output_4098[] = {
  "cmge\t%0.8h, %2.8h, %1.8h",
  "cmle\t%0.8h, %1.8h, #0",
};

static const char * const output_4099[] = {
  "cmeq\t%0.8h, %1.8h, %2.8h",
  "cmeq\t%0.8h, %1.8h, #0",
};

static const char * const output_4100[] = {
  "cmge\t%0.8h, %1.8h, %2.8h",
  "cmge\t%0.8h, %1.8h, #0",
};

static const char * const output_4101[] = {
  "cmgt\t%0.8h, %1.8h, %2.8h",
  "cmgt\t%0.8h, %1.8h, #0",
};

static const char * const output_4102[] = {
  "cmgt\t%0.2s, %2.2s, %1.2s",
  "cmlt\t%0.2s, %1.2s, #0",
};

static const char * const output_4103[] = {
  "cmgt\t%0.2s, %2.2s, %1.2s",
  "cmlt\t%0.2s, %1.2s, #0",
};

static const char * const output_4104[] = {
  "cmgt\t%0.2s, %2.2s, %1.2s",
  "cmlt\t%0.2s, %1.2s, #0",
};

static const char * const output_4105[] = {
  "cmge\t%0.2s, %2.2s, %1.2s",
  "cmle\t%0.2s, %1.2s, #0",
};

static const char * const output_4106[] = {
  "cmge\t%0.2s, %2.2s, %1.2s",
  "cmle\t%0.2s, %1.2s, #0",
};

static const char * const output_4107[] = {
  "cmge\t%0.2s, %2.2s, %1.2s",
  "cmle\t%0.2s, %1.2s, #0",
};

static const char * const output_4108[] = {
  "cmeq\t%0.2s, %1.2s, %2.2s",
  "cmeq\t%0.2s, %1.2s, #0",
};

static const char * const output_4109[] = {
  "cmeq\t%0.2s, %1.2s, %2.2s",
  "cmeq\t%0.2s, %1.2s, #0",
};

static const char * const output_4110[] = {
  "cmeq\t%0.2s, %1.2s, %2.2s",
  "cmeq\t%0.2s, %1.2s, #0",
};

static const char * const output_4111[] = {
  "cmge\t%0.2s, %1.2s, %2.2s",
  "cmge\t%0.2s, %1.2s, #0",
};

static const char * const output_4112[] = {
  "cmge\t%0.2s, %1.2s, %2.2s",
  "cmge\t%0.2s, %1.2s, #0",
};

static const char * const output_4113[] = {
  "cmge\t%0.2s, %1.2s, %2.2s",
  "cmge\t%0.2s, %1.2s, #0",
};

static const char * const output_4114[] = {
  "cmgt\t%0.2s, %1.2s, %2.2s",
  "cmgt\t%0.2s, %1.2s, #0",
};

static const char * const output_4115[] = {
  "cmgt\t%0.2s, %1.2s, %2.2s",
  "cmgt\t%0.2s, %1.2s, #0",
};

static const char * const output_4116[] = {
  "cmgt\t%0.2s, %1.2s, %2.2s",
  "cmgt\t%0.2s, %1.2s, #0",
};

static const char * const output_4117[] = {
  "cmgt\t%0.4s, %2.4s, %1.4s",
  "cmlt\t%0.4s, %1.4s, #0",
};

static const char * const output_4118[] = {
  "cmge\t%0.4s, %2.4s, %1.4s",
  "cmle\t%0.4s, %1.4s, #0",
};

static const char * const output_4119[] = {
  "cmeq\t%0.4s, %1.4s, %2.4s",
  "cmeq\t%0.4s, %1.4s, #0",
};

static const char * const output_4120[] = {
  "cmge\t%0.4s, %1.4s, %2.4s",
  "cmge\t%0.4s, %1.4s, #0",
};

static const char * const output_4121[] = {
  "cmgt\t%0.4s, %1.4s, %2.4s",
  "cmgt\t%0.4s, %1.4s, #0",
};

static const char * const output_4122[] = {
  "cmgt\t%0.2d, %2.2d, %1.2d",
  "cmlt\t%0.2d, %1.2d, #0",
};

static const char * const output_4123[] = {
  "cmge\t%0.2d, %2.2d, %1.2d",
  "cmle\t%0.2d, %1.2d, #0",
};

static const char * const output_4124[] = {
  "cmeq\t%0.2d, %1.2d, %2.2d",
  "cmeq\t%0.2d, %1.2d, #0",
};

static const char * const output_4125[] = {
  "cmge\t%0.2d, %1.2d, %2.2d",
  "cmge\t%0.2d, %1.2d, #0",
};

static const char * const output_4126[] = {
  "cmgt\t%0.2d, %1.2d, %2.2d",
  "cmgt\t%0.2d, %1.2d, #0",
};

static const char * const output_4132[] = {
  "cmgt\t%d0, %d2, %d1",
  "cmlt\t%d0, %d1, #0",
};

static const char * const output_4133[] = {
  "cmge\t%d0, %d2, %d1",
  "cmle\t%d0, %d1, #0",
};

static const char * const output_4134[] = {
  "cmeq\t%d0, %d1, %d2",
  "cmeq\t%d0, %d1, #0",
};

static const char * const output_4135[] = {
  "cmge\t%d0, %d1, %d2",
  "cmge\t%d0, %d1, #0",
};

static const char * const output_4136[] = {
  "cmgt\t%d0, %d1, %d2",
  "cmgt\t%d0, %d1, #0",
};

static const char * const output_4227[] = {
  "fcmgt\t%0.4h, %2.4h, %1.4h",
  "fcmlt\t%0.4h, %1.4h, 0",
};

static const char * const output_4228[] = {
  "fcmgt\t%0.4h, %2.4h, %1.4h",
  "fcmlt\t%0.4h, %1.4h, 0",
};

static const char * const output_4229[] = {
  "fcmgt\t%0.4h, %2.4h, %1.4h",
  "fcmlt\t%0.4h, %1.4h, 0",
};

static const char * const output_4230[] = {
  "fcmge\t%0.4h, %2.4h, %1.4h",
  "fcmle\t%0.4h, %1.4h, 0",
};

static const char * const output_4231[] = {
  "fcmge\t%0.4h, %2.4h, %1.4h",
  "fcmle\t%0.4h, %1.4h, 0",
};

static const char * const output_4232[] = {
  "fcmge\t%0.4h, %2.4h, %1.4h",
  "fcmle\t%0.4h, %1.4h, 0",
};

static const char * const output_4233[] = {
  "fcmeq\t%0.4h, %1.4h, %2.4h",
  "fcmeq\t%0.4h, %1.4h, 0",
};

static const char * const output_4234[] = {
  "fcmeq\t%0.4h, %1.4h, %2.4h",
  "fcmeq\t%0.4h, %1.4h, 0",
};

static const char * const output_4235[] = {
  "fcmeq\t%0.4h, %1.4h, %2.4h",
  "fcmeq\t%0.4h, %1.4h, 0",
};

static const char * const output_4236[] = {
  "fcmge\t%0.4h, %1.4h, %2.4h",
  "fcmge\t%0.4h, %1.4h, 0",
};

static const char * const output_4237[] = {
  "fcmge\t%0.4h, %1.4h, %2.4h",
  "fcmge\t%0.4h, %1.4h, 0",
};

static const char * const output_4238[] = {
  "fcmge\t%0.4h, %1.4h, %2.4h",
  "fcmge\t%0.4h, %1.4h, 0",
};

static const char * const output_4239[] = {
  "fcmgt\t%0.4h, %1.4h, %2.4h",
  "fcmgt\t%0.4h, %1.4h, 0",
};

static const char * const output_4240[] = {
  "fcmgt\t%0.4h, %1.4h, %2.4h",
  "fcmgt\t%0.4h, %1.4h, 0",
};

static const char * const output_4241[] = {
  "fcmgt\t%0.4h, %1.4h, %2.4h",
  "fcmgt\t%0.4h, %1.4h, 0",
};

static const char * const output_4242[] = {
  "fcmgt\t%0.8h, %2.8h, %1.8h",
  "fcmlt\t%0.8h, %1.8h, 0",
};

static const char * const output_4243[] = {
  "fcmge\t%0.8h, %2.8h, %1.8h",
  "fcmle\t%0.8h, %1.8h, 0",
};

static const char * const output_4244[] = {
  "fcmeq\t%0.8h, %1.8h, %2.8h",
  "fcmeq\t%0.8h, %1.8h, 0",
};

static const char * const output_4245[] = {
  "fcmge\t%0.8h, %1.8h, %2.8h",
  "fcmge\t%0.8h, %1.8h, 0",
};

static const char * const output_4246[] = {
  "fcmgt\t%0.8h, %1.8h, %2.8h",
  "fcmgt\t%0.8h, %1.8h, 0",
};

static const char * const output_4247[] = {
  "fcmgt\t%0.2s, %2.2s, %1.2s",
  "fcmlt\t%0.2s, %1.2s, 0",
};

static const char * const output_4248[] = {
  "fcmgt\t%0.2s, %2.2s, %1.2s",
  "fcmlt\t%0.2s, %1.2s, 0",
};

static const char * const output_4249[] = {
  "fcmgt\t%0.2s, %2.2s, %1.2s",
  "fcmlt\t%0.2s, %1.2s, 0",
};

static const char * const output_4250[] = {
  "fcmge\t%0.2s, %2.2s, %1.2s",
  "fcmle\t%0.2s, %1.2s, 0",
};

static const char * const output_4251[] = {
  "fcmge\t%0.2s, %2.2s, %1.2s",
  "fcmle\t%0.2s, %1.2s, 0",
};

static const char * const output_4252[] = {
  "fcmge\t%0.2s, %2.2s, %1.2s",
  "fcmle\t%0.2s, %1.2s, 0",
};

static const char * const output_4253[] = {
  "fcmeq\t%0.2s, %1.2s, %2.2s",
  "fcmeq\t%0.2s, %1.2s, 0",
};

static const char * const output_4254[] = {
  "fcmeq\t%0.2s, %1.2s, %2.2s",
  "fcmeq\t%0.2s, %1.2s, 0",
};

static const char * const output_4255[] = {
  "fcmeq\t%0.2s, %1.2s, %2.2s",
  "fcmeq\t%0.2s, %1.2s, 0",
};

static const char * const output_4256[] = {
  "fcmge\t%0.2s, %1.2s, %2.2s",
  "fcmge\t%0.2s, %1.2s, 0",
};

static const char * const output_4257[] = {
  "fcmge\t%0.2s, %1.2s, %2.2s",
  "fcmge\t%0.2s, %1.2s, 0",
};

static const char * const output_4258[] = {
  "fcmge\t%0.2s, %1.2s, %2.2s",
  "fcmge\t%0.2s, %1.2s, 0",
};

static const char * const output_4259[] = {
  "fcmgt\t%0.2s, %1.2s, %2.2s",
  "fcmgt\t%0.2s, %1.2s, 0",
};

static const char * const output_4260[] = {
  "fcmgt\t%0.2s, %1.2s, %2.2s",
  "fcmgt\t%0.2s, %1.2s, 0",
};

static const char * const output_4261[] = {
  "fcmgt\t%0.2s, %1.2s, %2.2s",
  "fcmgt\t%0.2s, %1.2s, 0",
};

static const char * const output_4262[] = {
  "fcmgt\t%0.4s, %2.4s, %1.4s",
  "fcmlt\t%0.4s, %1.4s, 0",
};

static const char * const output_4263[] = {
  "fcmge\t%0.4s, %2.4s, %1.4s",
  "fcmle\t%0.4s, %1.4s, 0",
};

static const char * const output_4264[] = {
  "fcmeq\t%0.4s, %1.4s, %2.4s",
  "fcmeq\t%0.4s, %1.4s, 0",
};

static const char * const output_4265[] = {
  "fcmge\t%0.4s, %1.4s, %2.4s",
  "fcmge\t%0.4s, %1.4s, 0",
};

static const char * const output_4266[] = {
  "fcmgt\t%0.4s, %1.4s, %2.4s",
  "fcmgt\t%0.4s, %1.4s, 0",
};

static const char * const output_4267[] = {
  "fcmgt\t%0.2d, %2.2d, %1.2d",
  "fcmlt\t%0.2d, %1.2d, 0",
};

static const char * const output_4268[] = {
  "fcmge\t%0.2d, %2.2d, %1.2d",
  "fcmle\t%0.2d, %1.2d, 0",
};

static const char * const output_4269[] = {
  "fcmeq\t%0.2d, %1.2d, %2.2d",
  "fcmeq\t%0.2d, %1.2d, 0",
};

static const char * const output_4270[] = {
  "fcmge\t%0.2d, %1.2d, %2.2d",
  "fcmge\t%0.2d, %1.2d, 0",
};

static const char * const output_4271[] = {
  "fcmgt\t%0.2d, %1.2d, %2.2d",
  "fcmgt\t%0.2d, %1.2d, 0",
};

static const char * const output_4272[] = {
  "fcmgt\t%h0, %h2, %h1",
  "fcmlt\t%h0, %h1, 0",
};

static const char * const output_4273[] = {
  "fcmge\t%h0, %h2, %h1",
  "fcmle\t%h0, %h1, 0",
};

static const char * const output_4274[] = {
  "fcmeq\t%h0, %h1, %h2",
  "fcmeq\t%h0, %h1, 0",
};

static const char * const output_4275[] = {
  "fcmge\t%h0, %h1, %h2",
  "fcmge\t%h0, %h1, 0",
};

static const char * const output_4276[] = {
  "fcmgt\t%h0, %h1, %h2",
  "fcmgt\t%h0, %h1, 0",
};

static const char * const output_4277[] = {
  "fcmgt\t%s0, %s2, %s1",
  "fcmlt\t%s0, %s1, 0",
};

static const char * const output_4278[] = {
  "fcmge\t%s0, %s2, %s1",
  "fcmle\t%s0, %s1, 0",
};

static const char * const output_4279[] = {
  "fcmeq\t%s0, %s1, %s2",
  "fcmeq\t%s0, %s1, 0",
};

static const char * const output_4280[] = {
  "fcmge\t%s0, %s1, %s2",
  "fcmge\t%s0, %s1, 0",
};

static const char * const output_4281[] = {
  "fcmgt\t%s0, %s1, %s2",
  "fcmgt\t%s0, %s1, 0",
};

static const char * const output_4282[] = {
  "fcmgt\t%d0, %d2, %d1",
  "fcmlt\t%d0, %d1, 0",
};

static const char * const output_4283[] = {
  "fcmgt\t%d0, %d2, %d1",
  "fcmlt\t%d0, %d1, 0",
};

static const char * const output_4284[] = {
  "fcmgt\t%d0, %d2, %d1",
  "fcmlt\t%d0, %d1, 0",
};

static const char * const output_4285[] = {
  "fcmge\t%d0, %d2, %d1",
  "fcmle\t%d0, %d1, 0",
};

static const char * const output_4286[] = {
  "fcmge\t%d0, %d2, %d1",
  "fcmle\t%d0, %d1, 0",
};

static const char * const output_4287[] = {
  "fcmge\t%d0, %d2, %d1",
  "fcmle\t%d0, %d1, 0",
};

static const char * const output_4288[] = {
  "fcmeq\t%d0, %d1, %d2",
  "fcmeq\t%d0, %d1, 0",
};

static const char * const output_4289[] = {
  "fcmeq\t%d0, %d1, %d2",
  "fcmeq\t%d0, %d1, 0",
};

static const char * const output_4290[] = {
  "fcmeq\t%d0, %d1, %d2",
  "fcmeq\t%d0, %d1, 0",
};

static const char * const output_4291[] = {
  "fcmge\t%d0, %d1, %d2",
  "fcmge\t%d0, %d1, 0",
};

static const char * const output_4292[] = {
  "fcmge\t%d0, %d1, %d2",
  "fcmge\t%d0, %d1, 0",
};

static const char * const output_4293[] = {
  "fcmge\t%d0, %d1, %d2",
  "fcmge\t%d0, %d1, 0",
};

static const char * const output_4294[] = {
  "fcmgt\t%d0, %d1, %d2",
  "fcmgt\t%d0, %d1, 0",
};

static const char * const output_4295[] = {
  "fcmgt\t%d0, %d1, %d2",
  "fcmgt\t%d0, %d1, 0",
};

static const char * const output_4296[] = {
  "fcmgt\t%d0, %d1, %d2",
  "fcmgt\t%d0, %d1, 0",
};

static const char *
output_4403 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.b - %T0.b}[%3], %1";
  }
}

static const char *
output_4404 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_4405 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_4406 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_4407 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_4408 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_4409 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_4410 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_4411 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.b - %T0.b}[%3], %1";
  }
}

static const char *
output_4412 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_4413 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_4414 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_4415 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_4416 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.s - %T0.s}[%3], %1";
  }
}

static const char *
output_4417 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.d - %T0.d}[%3], %1";
  }
}

static const char *
output_4418 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7585 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode,
					   INTVAL (operands[3]));
    return "ld2\t{%S0.h - %T0.h}[%3], %1";
  }
}

static const char *
output_4427 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.b - %T1.b}[%2], %0";
  }
}

static const char *
output_4428 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_4429 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_4430 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_4431 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_4432 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_4433 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_4434 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_4435 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.b - %T1.b}[%2], %0";
  }
}

static const char *
output_4436 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_4437 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_4438 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_4439 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_4440 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.s - %T1.s}[%2], %0";
  }
}

static const char *
output_4441 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.d - %T1.d}[%2], %0";
  }
}

static const char *
output_4442 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7630 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode,
					   INTVAL (operands[2]));
    return "st2\t{%S1.h - %T1.h}[%2], %0";
  }
}

static const char *
output_4467 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.b - %U0.b}[%3], %1";
}
}

static const char *
output_4468 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_4469 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_4470 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_4471 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_4472 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_4473 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_4474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_4475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.b - %U0.b}[%3], %1";
}
}

static const char *
output_4476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_4477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_4478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_4479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_4480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.s - %U0.s}[%3], %1";
}
}

static const char *
output_4481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.d - %U0.d}[%3], %1";
}
}

static const char *
output_4482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7685 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode,
					   INTVAL (operands[3]));
    return "ld3\t{%S0.h - %U0.h}[%3], %1";
}
}

static const char *
output_4491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.b - %U1.b}[%2], %0";
  }
}

static const char *
output_4492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_4493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_4494 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_4495 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_4496 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_4497 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_4498 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_4499 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.b - %U1.b}[%2], %0";
  }
}

static const char *
output_4500 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_4501 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_4502 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_4503 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_4504 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.s - %U1.s}[%2], %0";
  }
}

static const char *
output_4505 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.d - %U1.d}[%2], %0";
  }
}

static const char *
output_4506 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7729 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode,
					   INTVAL (operands[2]));
    return "st3\t{%S1.h - %U1.h}[%2], %0";
  }
}

static const char *
output_4531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.b - %V0.b}[%3], %1";
}
}

static const char *
output_4532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_4533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_4534 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_4535 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_4536 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_4537 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (DFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_4538 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4BFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_4539 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.b - %V0.b}[%3], %1";
}
}

static const char *
output_4540 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_4541 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_4542 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_4543 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_4544 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.s - %V0.s}[%3], %1";
}
}

static const char *
output_4545 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.d - %V0.d}[%3], %1";
}
}

static const char *
output_4546 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7785 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V8BFmode,
					   INTVAL (operands[3]));
    return "ld4\t{%S0.h - %V0.h}[%3], %1";
}
}

static const char *
output_4555 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.b - %V1.b}[%2], %0";
  }
}

static const char *
output_4556 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_4557 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_4558 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_4559 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4HFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_4560 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2SFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_4561 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (DFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_4562 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4BFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_4563 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.b - %V1.b}[%2], %0";
  }
}

static const char *
output_4564 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_4565 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_4566 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_4567 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8HFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_4568 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V4SFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.s - %V1.s}[%2], %0";
  }
}

static const char *
output_4569 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.d - %V1.d}[%2], %0";
  }
}

static const char *
output_4570 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7830 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V8BFmode,
					   INTVAL (operands[2]));
    return "st4\t{%S1.h - %V1.h}[%2], %0";
  }
}

static const char *
output_4571 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7865 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V1DImode,
					   INTVAL (operands[2]));
    return "stl1\t{%S1.d}[%2], %0";
  }
}

static const char *
output_4572 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7865 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V1DFmode,
					   INTVAL (operands[2]));
    return "stl1\t{%S1.d}[%2], %0";
  }
}

static const char *
output_4573 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7865 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[2]));
    return "stl1\t{%S1.d}[%2], %0";
  }
}

static const char *
output_4574 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7865 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[2] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[2]));
    return "stl1\t{%S1.d}[%2], %0";
  }
}

static const char *
output_4575 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7897 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V1DImode,
					   INTVAL (operands[3]));
    return "ldap1\t{%S0.d}[%3], %1";
  }
}

static const char *
output_4576 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7897 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V1DFmode,
					   INTVAL (operands[3]));
    return "ldap1\t{%S0.d}[%3], %1";
  }
}

static const char *
output_4577 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7897 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DImode,
					   INTVAL (operands[3]));
    return "ldap1\t{%S0.d}[%3], %1";
  }
}

static const char *
output_4578 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 7897 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3] = aarch64_endian_lane_rtx (V2DFmode,
					   INTVAL (operands[3]));
    return "ldap1\t{%S0.d}[%3], %1";
  }
}

static const char * const output_4738[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4739[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4740[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4741[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4742[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4743[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4744[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4745[] = {
  "#",
  "stp\t%d1, %R1, %0",
  "ldp\t%d0, %R0, %1",
};

static const char * const output_4746[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4747[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4748[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4749[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4750[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4751[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4752[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4753[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char * const output_4754[] = {
  "#",
  "stp\t%q1, %R1, %0",
  "ldp\t%q0, %R0, %1",
};

static const char *
output_4994 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8QImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_4995 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V16QImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_4996 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4HImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_4997 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8HImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_4998 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2SImode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_4999 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4SImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5000 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2DImode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5001 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4HFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_5002 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8HFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5003 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4BFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_5004 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V8BFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5005 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2SFmode));
  return "ext\t%0.8b, %1.8b, %2.8b, #%3";
}
}

static const char *
output_5006 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V4SFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5007 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 8662 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[3] = GEN_INT (INTVAL (operands[3])
      * GET_MODE_UNIT_SIZE (V2DFmode));
  return "ext\t%0.16b, %1.16b, %2.16b, #%3";
}
}

static const char *
output_5188 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9144 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[3]
      = GEN_INT (64 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    return "xar\t%0.2d, %1.2d, %2.2d, %3";
  }
}

static const char *
output_5245 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9911 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.2s, %2.4h, %3.2h[%4]";
}
}

static const char *
output_5246 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9911 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V4BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.4s, %2.8h, %3.2h[%4]";
}
}

static const char *
output_5247 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9911 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V8BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.2s, %2.4h, %3.2h[%4]";
}
}

static const char *
output_5248 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9911 "../../gcc/config/aarch64/aarch64-simd.md"
{
  int nunits = GET_MODE_NUNITS (V8BFmode).to_constant ();
  int lane = INTVAL (operands[4]);
  operands[4] = gen_int_mode (ENDIAN_LANE_N (nunits / 2, lane), SImode);
  return "bfdot\t%0.4s, %2.8h, %3.2h[%4]";
}
}

static const char *
output_5252 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9952 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));
  return "bfmlalb\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_5253 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9952 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V4BFmode, INTVAL (operands[4]));
  return "bfmlalt\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_5254 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9952 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));
  return "bfmlalb\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_5255 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9952 "../../gcc/config/aarch64/aarch64-simd.md"
{
  operands[4] = aarch64_endian_lane_rtx (V8BFmode, INTVAL (operands[4]));
  return "bfmlalt\t%0.4s, %2.8h, %3.h[%4]";
}
}

static const char *
output_5335 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10197 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[4]));
    return "fmlalb\t%0.8h, %2.16b, %3.b[%4]";
  }
}

static const char *
output_5336 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10197 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[4]));
    return "fmlalt\t%0.8h, %2.16b, %3.b[%4]";
  }
}

static const char *
output_5337 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10197 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[4]));
    return "fmlalb\t%0.8h, %2.16b, %3.b[%4]";
  }
}

static const char *
output_5338 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10197 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[4]));
    return "fmlalt\t%0.8h, %2.16b, %3.b[%4]";
  }
}

static const char *
output_5343 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10228 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[4]));
    return "fmlallbb\t%0.4s, %2.16b, %3.b[%4]";
  }
}

static const char *
output_5344 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10228 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[4]));
    return "fmlallbt\t%0.4s, %2.16b, %3.b[%4]";
  }
}

static const char *
output_5345 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10228 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[4]));
    return "fmlalltb\t%0.4s, %2.16b, %3.b[%4]";
  }
}

static const char *
output_5346 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10228 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V8QImode,
					   INTVAL (operands[4]));
    return "fmlalltt\t%0.4s, %2.16b, %3.b[%4]";
  }
}

static const char *
output_5347 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10228 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[4]));
    return "fmlallbb\t%0.4s, %2.16b, %3.b[%4]";
  }
}

static const char *
output_5348 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10228 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[4]));
    return "fmlallbt\t%0.4s, %2.16b, %3.b[%4]";
  }
}

static const char *
output_5349 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10228 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[4]));
    return "fmlalltb\t%0.4s, %2.16b, %3.b[%4]";
  }
}

static const char *
output_5350 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10228 "../../gcc/config/aarch64/aarch64-simd.md"
{
    operands[4] = aarch64_endian_lane_rtx (V16QImode,
					   INTVAL (operands[4]));
    return "fmlalltt\t%0.4s, %2.16b, %3.b[%4]";
  }
}

static const char *
output_5356 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 129 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "casb\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casab\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "caslb\t%w0, %w2, %1";
  else
    return "casalb\t%w0, %w2, %1";
}
}

static const char *
output_5357 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 129 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cash\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casah\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "caslh\t%w0, %w2, %1";
  else
    return "casalh\t%w0, %w2, %1";
}
}

static const char *
output_5358 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cas\t%w0, %w2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casa\t%w0, %w2, %1";
  else if (is_mm_release (model))
    return "casl\t%w0, %w2, %1";
  else
    return "casal\t%w0, %w2, %1";
}
}

static const char *
output_5359 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 151 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "cas\t%x0, %x2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "casa\t%x0, %x2, %1";
  else if (is_mm_release (model))
    return "casl\t%x0, %x2, %1";
  else
    return "casal\t%x0, %x2, %1";
}
}

static const char *
output_5360 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 173 "../../gcc/config/aarch64/atomics.md"
{
  enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
  if (is_mm_relaxed (model))
    return "casp\t%0, %R0, %2, %R2, %1";
  else if (is_mm_acquire (model) || is_mm_consume (model))
    return "caspa\t%0, %R0, %2, %R2, %1";
  else if (is_mm_release (model))
    return "caspl\t%0, %R0, %2, %R2, %1";
  else
    return "caspal\t%0, %R0, %2, %R2, %1";
}
}

static const char *
output_5365 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swpb\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpab\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swplb\t%w2, %w0, %1";
    else
      return "swpalb\t%w2, %w0, %1";
  }
}

static const char *
output_5366 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swph\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpah\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swplh\t%w2, %w0, %1";
    else
      return "swpalh\t%w2, %w0, %1";
  }
}

static const char *
output_5367 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swp\t%w2, %w0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpa\t%w2, %w0, %1";
    else if (is_mm_release (model))
      return "swpl\t%w2, %w0, %1";
    else
      return "swpal\t%w2, %w0, %1";
  }
}

static const char *
output_5368 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 247 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model))
      return "swp\t%x2, %x0, %1";
    else if (is_mm_acquire (model) || is_mm_consume (model))
      return "swpa\t%x2, %x0, %1";
    else if (is_mm_release (model))
      return "swpl\t%x2, %x0, %1";
    else
      return "swpal\t%x2, %x0, %1";
  }
}

static const char *
output_5389 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldsetb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetab\t%w1, %w3, %0";
   else
     return "ldsetalb\t%w1, %w3, %0";
  }
}

static const char *
output_5390 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclrb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrab\t%w1, %w3, %0";
   else
     return "ldclralb\t%w1, %w3, %0";
  }
}

static const char *
output_5391 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeorb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorab\t%w1, %w3, %0";
   else
     return "ldeoralb\t%w1, %w3, %0";
  }
}

static const char *
output_5392 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldaddb\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddlb\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddab\t%w1, %w3, %0";
   else
     return "ldaddalb\t%w1, %w3, %0";
  }
}

static const char *
output_5393 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldseth\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetah\t%w1, %w3, %0";
   else
     return "ldsetalh\t%w1, %w3, %0";
  }
}

static const char *
output_5394 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclrh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrah\t%w1, %w3, %0";
   else
     return "ldclralh\t%w1, %w3, %0";
  }
}

static const char *
output_5395 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeorh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorah\t%w1, %w3, %0";
   else
     return "ldeoralh\t%w1, %w3, %0";
  }
}

static const char *
output_5396 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldaddh\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddlh\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddah\t%w1, %w3, %0";
   else
     return "ldaddalh\t%w1, %w3, %0";
  }
}

static const char *
output_5397 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldset\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldsetl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%w1, %w3, %0";
   else
     return "ldsetal\t%w1, %w3, %0";
  }
}

static const char *
output_5398 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclr\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldclrl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%w1, %w3, %0";
   else
     return "ldclral\t%w1, %w3, %0";
  }
}

static const char *
output_5399 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeor\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldeorl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%w1, %w3, %0";
   else
     return "ldeoral\t%w1, %w3, %0";
  }
}

static const char *
output_5400 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldadd\t%w1, %w3, %0";
   else if (is_mm_release (model))
     return "ldaddl\t%w1, %w3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%w1, %w3, %0";
   else
     return "ldaddal\t%w1, %w3, %0";
  }
}

static const char *
output_5401 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldset\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldsetl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%x1, %x3, %0";
   else
     return "ldsetal\t%x1, %x3, %0";
  }
}

static const char *
output_5402 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldclr\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldclrl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%x1, %x3, %0";
   else
     return "ldclral\t%x1, %x3, %0";
  }
}

static const char *
output_5403 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldeor\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldeorl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%x1, %x3, %0";
   else
     return "ldeoral\t%x1, %x3, %0";
  }
}

static const char *
output_5404 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 380 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
   if (is_mm_relaxed (model))
     return "ldadd\t%x1, %x3, %0";
   else if (is_mm_release (model))
     return "ldaddl\t%x1, %x3, %0";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%x1, %x3, %0";
   else
     return "ldaddal\t%x1, %x3, %0";
  }
}

static const char *
output_5429 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldsetb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetlb\t%w2, %w0, %1";
   else
     return "ldsetalb\t%w2, %w0, %1";
  }
}

static const char *
output_5430 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclrb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrlb\t%w2, %w0, %1";
   else
     return "ldclralb\t%w2, %w0, %1";
  }
}

static const char *
output_5431 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeorb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorlb\t%w2, %w0, %1";
   else
     return "ldeoralb\t%w2, %w0, %1";
  }
}

static const char *
output_5432 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldaddb\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddab\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddlb\t%w2, %w0, %1";
   else
     return "ldaddalb\t%w2, %w0, %1";
  }
}

static const char *
output_5433 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldseth\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldsetah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetlh\t%w2, %w0, %1";
   else
     return "ldsetalh\t%w2, %w0, %1";
  }
}

static const char *
output_5434 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclrh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclrah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrlh\t%w2, %w0, %1";
   else
     return "ldclralh\t%w2, %w0, %1";
  }
}

static const char *
output_5435 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeorh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeorah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorlh\t%w2, %w0, %1";
   else
     return "ldeoralh\t%w2, %w0, %1";
  }
}

static const char *
output_5436 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldaddh\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldaddah\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddlh\t%w2, %w0, %1";
   else
     return "ldaddalh\t%w2, %w0, %1";
  }
}

static const char *
output_5437 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldset\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldsetl\t%w2, %w0, %1";
   else
     return "ldsetal\t%w2, %w0, %1";
  }
}

static const char *
output_5438 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclr\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldclrl\t%w2, %w0, %1";
   else
     return "ldclral\t%w2, %w0, %1";
  }
}

static const char *
output_5439 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeor\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldeorl\t%w2, %w0, %1";
   else
     return "ldeoral\t%w2, %w0, %1";
  }
}

static const char *
output_5440 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldadd\t%w2, %w0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%w2, %w0, %1";
   else if (is_mm_release (model))
     return "ldaddl\t%w2, %w0, %1";
   else
     return "ldaddal\t%w2, %w0, %1";
  }
}

static const char *
output_5441 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldset\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldseta\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldsetl\t%x2, %x0, %1";
   else
     return "ldsetal\t%x2, %x0, %1";
  }
}

static const char *
output_5442 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldclr\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldclra\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldclrl\t%x2, %x0, %1";
   else
     return "ldclral\t%x2, %x0, %1";
  }
}

static const char *
output_5443 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldeor\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldeora\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldeorl\t%x2, %x0, %1";
   else
     return "ldeoral\t%x2, %x0, %1";
  }
}

static const char *
output_5444 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 529 "../../gcc/config/aarch64/atomics.md"
{
   enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
   if (is_mm_relaxed (model))
     return "ldadd\t%x2, %x0, %1";
   else if (is_mm_acquire (model) || is_mm_consume (model))
     return "ldadda\t%x2, %x0, %1";
   else if (is_mm_release (model))
     return "ldaddl\t%x2, %x0, %1";
   else
     return "ldaddal\t%x2, %x0, %1";
  }
}

static const char *
output_5473 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrb\t%w0, %1";
    else
      return "ldarb\t%w0, %1";
  }
}

static const char *
output_5474 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrb\t%w0, %1";
    else
      return "ldarb\t%w0, %1";
  }
}

static const char *
output_5475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrb\t%w0, %1";
    else
      return "ldarb\t%w0, %1";
  }
}

static const char *
output_5476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrh\t%w0, %1";
    else
      return "ldarh\t%w0, %1";
  }
}

static const char *
output_5477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrh\t%w0, %1";
    else
      return "ldarh\t%w0, %1";
  }
}

static const char *
output_5478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrh\t%w0, %1";
    else
      return "ldarh\t%w0, %1";
  }
}

static const char *
output_5479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%w0, %1";
    else
      return "ldar\t%w0, %1";
  }
}

static const char *
output_5480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%w0, %1";
    else
      return "ldar\t%w0, %1";
  }
}

static const char *
output_5481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 651 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%w0, %1";
    else
      return "ldar\t%w0, %1";
  }
}

static const char *
output_5486 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 698 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrb\t%w0, %1";
    else
      return "ldarb\t%w0, %1";
  }
}

static const char *
output_5487 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 698 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldrh\t%w0, %1";
    else
      return "ldarh\t%w0, %1";
  }
}

static const char *
output_5488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 698 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%w0, %1";
    else
      return "ldar\t%w0, %1";
  }
}

static const char *
output_5489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 698 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldr\t%x0, %1";
    else
      return "ldar\t%x0, %1";
  }
}

static const char *
output_5505 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 736 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "strb\t%w1, %0";
    else if (which_alternative == 0)
      return "stlrb\t%w1, %0";
    else
      return "stlurb\t%w1, %0";
  }
}

static const char *
output_5506 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 736 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "strh\t%w1, %0";
    else if (which_alternative == 0)
      return "stlrh\t%w1, %0";
    else
      return "stlurh\t%w1, %0";
  }
}

static const char *
output_5507 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 736 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "str\t%w1, %0";
    else if (which_alternative == 0)
      return "stlr\t%w1, %0";
    else
      return "stlur\t%w1, %0";
  }
}

static const char *
output_5508 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 736 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "str\t%x1, %0";
    else if (which_alternative == 0)
      return "stlr\t%x1, %0";
    else
      return "stlur\t%x1, %0";
  }
}

static const char *
output_5509 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 756 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxrb\t%w0, %1";
    else
      return "ldaxrb\t%w0, %1";
  }
}

static const char *
output_5510 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 756 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxrh\t%w0, %1";
    else
      return "ldaxrh\t%w0, %1";
  }
}

static const char *
output_5511 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 772 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxr\t%w0, %1";
    else
      return "ldaxr\t%w0, %1";
  }
}

static const char *
output_5512 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 772 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[2]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxr\t%x0, %1";
    else
      return "ldaxr\t%x0, %1";
  }
}

static const char *
output_5513 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 790 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_release (model))
      return "ldxp\t%0, %1, %2";
    else
      return "ldaxp\t%0, %1, %2";
  }
}

static const char *
output_5514 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxrb\t%w0, %w2, %1";
    else
      return "stlxrb\t%w0, %w2, %1";
  }
}

static const char *
output_5515 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxrh\t%w0, %w2, %1";
    else
      return "stlxrh\t%w0, %w2, %1";
  }
}

static const char *
output_5516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxr\t%w0, %w2, %1";
    else
      return "stlxr\t%w0, %w2, %1";
  }
}

static const char *
output_5517 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 808 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[3]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxr\t%w0, %x2, %1";
    else
      return "stlxr\t%w0, %x2, %1";
  }
}

static const char *
output_5518 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 827 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[4]));
    if (is_mm_relaxed (model) || is_mm_consume (model) || is_mm_acquire (model))
      return "stxp\t%w0, %x2, %x3, %1";
    else
      return "stlxp\t%w0, %x2, %x3, %1";
  }
}

static const char *
output_5519 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 863 "../../gcc/config/aarch64/atomics.md"
{
    enum memmodel model = memmodel_from_int (INTVAL (operands[1]));
    if (is_mm_acquire (model))
      return "dmb\tishld";
    else
      return "dmb\tish";
  }
}

static const char *
output_5520 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5521 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5522 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5523 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5524 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5525 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5526 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5527 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "ldr\t%0, %1";
    case 1: return "str\t%1, %0";
    case 2: return "mov\t%0.d, %1.d";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5528 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5529 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5530 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5531 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5532 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5533 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5534 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5535 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5536 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5537 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5538 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5539 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5540 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5541 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5542 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5543 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5544 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5545 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5546 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.d, %1.d";
    case 1:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char * const output_5547[] = {
  "#",
  "ld1b\t%0.b, %1/z, %2",
  "st1b\t%2.b, %1, %0",
};

static const char * const output_5548[] = {
  "#",
  "ld1b\t%0.h, %1/z, %2",
  "st1b\t%2.h, %1, %0",
};

static const char * const output_5549[] = {
  "#",
  "ld1b\t%0.s, %1/z, %2",
  "st1b\t%2.s, %1, %0",
};

static const char * const output_5550[] = {
  "#",
  "ld1b\t%0.d, %1/z, %2",
  "st1b\t%2.d, %1, %0",
};

static const char * const output_5551[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_5552[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_5553[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_5554[] = {
  "#",
  "ld1w\t%0.s, %1/z, %2",
  "st1w\t%2.s, %1, %0",
};

static const char * const output_5555[] = {
  "#",
  "ld1w\t%0.d, %1/z, %2",
  "st1w\t%2.d, %1, %0",
};

static const char * const output_5556[] = {
  "#",
  "ld1d\t%0.d, %1/z, %2",
  "st1d\t%2.d, %1, %0",
};

static const char * const output_5557[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_5558[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_5559[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_5560[] = {
  "#",
  "ld1h\t%0.h, %1/z, %2",
  "st1h\t%2.h, %1, %0",
};

static const char * const output_5561[] = {
  "#",
  "ld1h\t%0.s, %1/z, %2",
  "st1h\t%2.s, %1, %0",
};

static const char * const output_5562[] = {
  "#",
  "ld1h\t%0.d, %1/z, %2",
  "st1h\t%2.d, %1, %0",
};

static const char * const output_5563[] = {
  "#",
  "ld1w\t%0.s, %1/z, %2",
  "st1w\t%2.s, %1, %0",
};

static const char * const output_5564[] = {
  "#",
  "ld1w\t%0.d, %1/z, %2",
  "st1w\t%2.d, %1, %0",
};

static const char * const output_5565[] = {
  "#",
  "ld1d\t%0.d, %1/z, %2",
  "st1d\t%2.d, %1, %0",
};

static const char *
output_5700 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5701 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5702 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5703 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "mov\t%0.b, %1.b";
    case 1: return "str\t%1, %0";
    case 2: return "ldr\t%0, %1";
    case 3:
       return aarch64_output_sve_mov_immediate (operands[1]);
      default: gcc_unreachable ();
    }
}

static const char *
output_5704 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 984 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5705 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1010 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5706 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1010 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5707 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1010 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5708 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1036 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5709 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1062 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5710 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1062 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char *
output_5711 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1062 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_ptrues (operands[1]);
  }
}

static const char * const output_5712[] = {
  "#",
  "#",
  "#",
};

static const char * const output_5713[] = {
  "#",
  "#",
  "#",
};

static const char * const output_5714[] = {
  "setffr",
  "wrffr\t%0.b",
};

static const char * const output_5718[] = {
  "rdffr\t%0.b, %1/z",
  "rdffr\t%0.b, %1/z",
  "rdffr\t%0.b, %1/z",
};

static const char * const output_5719[] = {
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
};

static const char * const output_5720[] = {
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
};

static const char * const output_5721[] = {
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
};

static const char * const output_5722[] = {
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
  "rdffrs\t%0.b, %1/z",
};

static const char * const output_6079[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6080[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6081[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6082[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6083[] = {
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6084[] = {
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%2.s, #%1]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6085[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6086[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6087[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6088[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6089[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6090[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6091[] = {
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6092[] = {
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%2.d, #%1]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6093[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6094[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6095[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6096[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6097[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6098[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6099[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6100[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6101[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6102[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6103[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6104[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6105[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6106[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6107[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6108[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6109[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6110[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6111[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6112[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6113[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6114[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6115[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6116[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6117[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6118[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6119[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6120[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6121[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6122[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6123[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6124[] = {
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6125[] = {
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6126[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6127[] = {
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6128[] = {
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%2.s, #%1]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6129[] = {
  "ld1sh\t%0.s, %5/z, [%2.s]",
  "ld1sh\t%0.s, %5/z, [%2.s]",
  "ld1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6130[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6131[] = {
  "ld1sh\t%0.s, %5/z, [%2.s]",
  "ld1sh\t%0.s, %5/z, [%2.s]",
  "ld1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6132[] = {
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%2.s, #%1]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ld1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6133[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6134[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6135[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6136[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6137[] = {
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6138[] = {
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%2.d, #%1]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6139[] = {
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6140[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6141[] = {
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6142[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6143[] = {
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6144[] = {
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%2.d, #%1]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6145[] = {
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6146[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6147[] = {
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6148[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6149[] = {
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6150[] = {
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%2.d, #%1]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6151[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6152[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6153[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6154[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6155[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6156[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6157[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6158[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6159[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6160[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6161[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6162[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6163[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6164[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6165[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6166[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6167[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6168[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6169[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6170[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6171[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6172[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6173[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6174[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6175[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6176[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6177[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6178[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6179[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6180[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6181[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6182[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6183[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6184[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6185[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6186[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6187[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6188[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6189[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6190[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6191[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6192[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6193[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6194[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6195[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6196[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6197[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6198[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6199[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6200[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6201[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6202[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6203[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6204[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6205[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6206[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6207[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6208[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6209[] = {
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6210[] = {
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6211[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6212[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6213[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6214[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6215[] = {
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6216[] = {
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6217[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6218[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6219[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6220[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6221[] = {
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6222[] = {
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ld1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6223[] = {
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6224[] = {
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ldff1w\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6225[] = {
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6226[] = {
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6227[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6228[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6229[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6230[] = {
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1d\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6231[] = {
  "ldff1sb\t%0.s, %5/z, [%2.s]",
  "ldff1sb\t%0.s, %5/z, [%2.s]",
  "ldff1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sb\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ldff1sb\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6232[] = {
  "ldff1b\t%0.s, %5/z, [%2.s]",
  "ldff1b\t%0.s, %5/z, [%2.s]",
  "ldff1b\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1b\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ldff1b\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6233[] = {
  "ldff1sh\t%0.s, %5/z, [%2.s]",
  "ldff1sh\t%0.s, %5/z, [%2.s]",
  "ldff1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sh\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ldff1sh\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6234[] = {
  "ldff1h\t%0.s, %5/z, [%2.s]",
  "ldff1h\t%0.s, %5/z, [%2.s]",
  "ldff1h\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1h\t%0.s, %5/z, [%2.s, #%1]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, sxtw %p4]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
  "ldff1h\t%0.s, %5/z, [%1, %2.s, uxtw %p4]",
};

static const char * const output_6235[] = {
  "ldff1sb\t%0.d, %5/z, [%2.d]",
  "ldff1sb\t%0.d, %5/z, [%2.d]",
  "ldff1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sb\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6236[] = {
  "ldff1b\t%0.d, %5/z, [%2.d]",
  "ldff1b\t%0.d, %5/z, [%2.d]",
  "ldff1b\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1b\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6237[] = {
  "ldff1sh\t%0.d, %5/z, [%2.d]",
  "ldff1sh\t%0.d, %5/z, [%2.d]",
  "ldff1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sh\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6238[] = {
  "ldff1h\t%0.d, %5/z, [%2.d]",
  "ldff1h\t%0.d, %5/z, [%2.d]",
  "ldff1h\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1h\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6239[] = {
  "ldff1sw\t%0.d, %5/z, [%2.d]",
  "ldff1sw\t%0.d, %5/z, [%2.d]",
  "ldff1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sw\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6240[] = {
  "ldff1w\t%0.d, %5/z, [%2.d]",
  "ldff1w\t%0.d, %5/z, [%2.d]",
  "ldff1w\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1w\t%0.d, %5/z, [%2.d, #%1]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, lsl %p4]",
};

static const char * const output_6241[] = {
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6242[] = {
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6243[] = {
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6244[] = {
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6245[] = {
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6246[] = {
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, sxtw %p4]",
};

static const char * const output_6247[] = {
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1sb\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6248[] = {
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1b\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6249[] = {
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1sh\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6250[] = {
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1h\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6251[] = {
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1sw\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char * const output_6252[] = {
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
  "ldff1w\t%0.d, %5/z, [%1, %2.d, uxtw %p4]",
};

static const char *
output_6253 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2123 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx16QImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfb", operands[2], "%0, %1");
  }
}

static const char *
output_6254 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2123 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx8HImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfh", operands[2], "%0, %1");
  }
}

static const char *
output_6255 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2123 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx4SImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfw", operands[2], "%0, %1");
  }
}

static const char *
output_6256 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2123 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (VNx2DImode, operands[1]);
    return aarch64_output_sve_prefetch ("prfd", operands[2], "%0, %1");
  }
}

static const char *
output_6257 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2163 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%2.s]",
      "prfb", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfb", "%0, [%1, %2.s, sxtw %p4]",
      "prfb", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6258 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2163 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfh", "%0, [%2.s]",
      "prfh", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfh", "%0, [%1, %2.s, sxtw %p4]",
      "prfh", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6259 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2163 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfw", "%0, [%2.s]",
      "prfw", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfw", "%0, [%1, %2.s, sxtw %p4]",
      "prfw", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6260 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2163 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfd", "%0, [%2.s]",
      "prfd", "%0, [%2.s, #%1]",
      "prfb", "%0, [%1, %2.s, sxtw]",
      "prfb", "%0, [%1, %2.s, uxtw]",
      "prfd", "%0, [%1, %2.s, sxtw %p4]",
      "prfd", "%0, [%1, %2.s, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6261 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2192 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%2.d]",
      "prfb", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfb", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6262 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2192 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfh", "%0, [%2.d]",
      "prfh", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfh", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6263 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2192 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfw", "%0, [%2.d]",
      "prfw", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfw", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6264 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2192 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfd", "%0, [%2.d]",
      "prfd", "%0, [%2.d, #%1]",
      "prfb", "%0, [%1, %2.d]",
      "prfd", "%0, [%1, %2.d, lsl %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6265 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2223 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfb", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6266 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2223 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfh", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6267 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2223 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfw", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6268 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2223 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, sxtw]",
      "prfd", "%0, [%1, %2.d, sxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6269 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2253 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfb", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6270 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2253 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfh", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6271 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2253 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfw", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char *
output_6272 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2253 "../../gcc/config/aarch64/aarch64-sve.md"
{
    static const char *const insns[][2] = {
      "prfb", "%0, [%1, %2.d, uxtw]",
      "prfd", "%0, [%1, %2.d, uxtw %p4]"
    };
    const char *const *parts = insns[which_alternative];
    return aarch64_output_sve_prefetch (parts[0], operands[6], parts[1]);
  }
}

static const char * const output_6330[] = {
  "st1b\t%4.s, %5, [%1.s]",
  "st1b\t%4.s, %5, [%1.s, #%0]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6331[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6332[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6333[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6334[] = {
  "st1w\t%4.s, %5, [%1.s]",
  "st1w\t%4.s, %5, [%1.s, #%0]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6335[] = {
  "st1w\t%4.s, %5, [%1.s]",
  "st1w\t%4.s, %5, [%1.s, #%0]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1w\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1w\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6336[] = {
  "st1b\t%4.d, %5, [%1.d]",
  "st1b\t%4.d, %5, [%1.d, #%0]",
  "st1b\t%4.d, %5, [%0, %1.d]",
  "st1b\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6337[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6338[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6339[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6340[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6341[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6342[] = {
  "st1d\t%4.d, %5, [%1.d]",
  "st1d\t%4.d, %5, [%1.d, #%0]",
  "st1d\t%4.d, %5, [%0, %1.d]",
  "st1d\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6343[] = {
  "st1d\t%4.d, %5, [%1.d]",
  "st1d\t%4.d, %5, [%1.d, #%0]",
  "st1d\t%4.d, %5, [%0, %1.d]",
  "st1d\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6344[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6345[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6346[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6347[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6348[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6349[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6350[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6351[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6352[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6353[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6354[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6355[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6356[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6357[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6358[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6359[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6360[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6361[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6362[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6363[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6364[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6365[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6366[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6367[] = {
  "st1d\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6368[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6369[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6370[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6371[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6372[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6373[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6374[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6375[] = {
  "st1d\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1d\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6376[] = {
  "st1b\t%4.s, %5, [%1.s]",
  "st1b\t%4.s, %5, [%1.s, #%0]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1b\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1b\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6377[] = {
  "st1h\t%4.s, %5, [%1.s]",
  "st1h\t%4.s, %5, [%1.s, #%0]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw]",
  "st1h\t%4.s, %5, [%0, %1.s, sxtw %p3]",
  "st1h\t%4.s, %5, [%0, %1.s, uxtw %p3]",
};

static const char * const output_6378[] = {
  "st1b\t%4.d, %5, [%1.d]",
  "st1b\t%4.d, %5, [%1.d, #%0]",
  "st1b\t%4.d, %5, [%0, %1.d]",
  "st1b\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6379[] = {
  "st1h\t%4.d, %5, [%1.d]",
  "st1h\t%4.d, %5, [%1.d, #%0]",
  "st1h\t%4.d, %5, [%0, %1.d]",
  "st1h\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6380[] = {
  "st1w\t%4.d, %5, [%1.d]",
  "st1w\t%4.d, %5, [%1.d, #%0]",
  "st1w\t%4.d, %5, [%0, %1.d]",
  "st1w\t%4.d, %5, [%0, %1.d, lsl %p3]",
};

static const char * const output_6381[] = {
  "st1b\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6382[] = {
  "st1h\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6383[] = {
  "st1w\t%4.d, %5, [%0, %1.d, sxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, sxtw %p3]",
};

static const char * const output_6384[] = {
  "st1b\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1b\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6385[] = {
  "st1h\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1h\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6386[] = {
  "st1w\t%4.d, %5, [%0, %1.d, uxtw]",
  "st1w\t%4.d, %5, [%0, %1.d, uxtw %p3]",
};

static const char * const output_6387[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_6388[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_6389[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_6390[] = {
  "mov\t%0.b, %w1",
  "mov\t%0.b, %b1",
  "#",
};

static const char * const output_6391[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6392[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6393[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6394[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_6395[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_6396[] = {
  "mov\t%0.d, %x1",
  "mov\t%0.d, %d1",
  "#",
};

static const char * const output_6397[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6398[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6399[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6400[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6401[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6402[] = {
  "mov\t%0.h, %w1",
  "mov\t%0.h, %h1",
  "#",
};

static const char * const output_6403[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_6404[] = {
  "mov\t%0.s, %w1",
  "mov\t%0.s, %s1",
  "#",
};

static const char * const output_6405[] = {
  "mov\t%0.d, %x1",
  "mov\t%0.d, %d1",
  "#",
};

static const char *
output_6406 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2733 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx16QImode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6407 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2733 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx8HImode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6408 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2733 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx4SImode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6409 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2733 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx2DImode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6410 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2733 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx8BFmode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6411 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2733 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx8HFmode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6412 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2733 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx4SFmode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6413 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2733 "../../gcc/config/aarch64/aarch64-sve.md"
{
    switch (which_alternative)
      {
	case 0:
	  operands[1] = gen_rtx_REG (VNx2DFmode, REGNO (operands[1]));
	  return "dup\t%0.q, %1.q[0]";
	case 1:
	  return "#";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6414 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2775 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx16QImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6415 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2775 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6416 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2775 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6417 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2775 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DImode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6418 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2775 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8BFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6419 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2775 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx8HFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6420 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2775 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx4SFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6421 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2775 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (VNx2DFmode, REGNO (operands[1]));
    return "dup\t%0.q, %1.q[0]";
  }
}

static const char *
output_6441 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2805 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (QImode, XEXP (operands[1], 0));
    return "ld1rqb\t%0.b, %2/z, %1";
  }
}

static const char *
output_6442 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2805 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HImode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_6443 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2805 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SImode, XEXP (operands[1], 0));
    return "ld1rqw\t%0.s, %2/z, %1";
  }
}

static const char *
output_6444 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2805 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DImode, XEXP (operands[1], 0));
    return "ld1rqd\t%0.d, %2/z, %1";
  }
}

static const char *
output_6445 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2805 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (BFmode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_6446 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2805 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HFmode, XEXP (operands[1], 0));
    return "ld1rqh\t%0.h, %2/z, %1";
  }
}

static const char *
output_6447 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2805 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SFmode, XEXP (operands[1], 0));
    return "ld1rqw\t%0.s, %2/z, %1";
  }
}

static const char *
output_6448 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2805 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DFmode, XEXP (operands[1], 0));
    return "ld1rqd\t%0.d, %2/z, %1";
  }
}

static const char *
output_6449 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2819 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (QImode, XEXP (operands[1], 0));
    return "ld1rob\t%0.b, %2/z, %1";
  }
}

static const char *
output_6450 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2819 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HImode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_6451 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2819 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SImode, XEXP (operands[1], 0));
    return "ld1row\t%0.s, %2/z, %1";
  }
}

static const char *
output_6452 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2819 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DImode, XEXP (operands[1], 0));
    return "ld1rod\t%0.d, %2/z, %1";
  }
}

static const char *
output_6453 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2819 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (BFmode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_6454 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2819 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (HFmode, XEXP (operands[1], 0));
    return "ld1roh\t%0.h, %2/z, %1";
  }
}

static const char *
output_6455 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2819 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (SFmode, XEXP (operands[1], 0));
    return "ld1row\t%0.s, %2/z, %1";
  }
}

static const char *
output_6456 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2819 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_MEM (DFmode, XEXP (operands[1], 0));
    return "ld1rod\t%0.d, %2/z, %1";
  }
}

static const char * const output_6457[] = {
  "insr\t%0.b, %w2",
  "insr\t%0.b, %b2",
  "movprfx\t%0, %1\n\tinsr\t%0.b, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.b, %b2",
};

static const char * const output_6458[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_6459[] = {
  "insr\t%0.s, %w2",
  "insr\t%0.s, %s2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %s2",
};

static const char * const output_6460[] = {
  "insr\t%0.d, %x2",
  "insr\t%0.d, %d2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %x2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %d2",
};

static const char * const output_6461[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_6462[] = {
  "insr\t%0.h, %w2",
  "insr\t%0.h, %h2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.h, %h2",
};

static const char * const output_6463[] = {
  "insr\t%0.s, %w2",
  "insr\t%0.s, %s2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %w2",
  "movprfx\t%0, %1\n\tinsr\t%0.s, %s2",
};

static const char * const output_6464[] = {
  "insr\t%0.d, %x2",
  "insr\t%0.d, %d2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %x2",
  "movprfx\t%0, %1\n\tinsr\t%0.d, %d2",
};

static const char * const output_6465[] = {
  "index\t%0.b, #%1, %w2",
  "index\t%0.b, %w1, #%2",
  "index\t%0.b, %w1, %w2",
};

static const char * const output_6466[] = {
  "index\t%0.h, #%1, %w2",
  "index\t%0.h, %w1, #%2",
  "index\t%0.h, %w1, %w2",
};

static const char * const output_6467[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_6468[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_6469[] = {
  "index\t%0.h, #%1, %w2",
  "index\t%0.h, %w1, #%2",
  "index\t%0.h, %w1, %w2",
};

static const char * const output_6470[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_6471[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_6472[] = {
  "index\t%0.s, #%1, %w2",
  "index\t%0.s, %w1, #%2",
  "index\t%0.s, %w1, %w2",
};

static const char * const output_6473[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char * const output_6474[] = {
  "index\t%0.d, #%1, %x2",
  "index\t%0.d, %x1, #%2",
  "index\t%0.d, %x1, %x2",
};

static const char *
output_6475 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2920 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.b, %w1, #%2";
  }
}

static const char *
output_6476 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2920 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.h, %w1, #%2";
  }
}

static const char *
output_6477 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2920 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_6478 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2920 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_6479 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2920 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.h, %w1, #%2";
  }
}

static const char *
output_6480 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2920 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_6481 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2920 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_6482 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2920 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.s, %w1, #%2";
  }
}

static const char *
output_6483 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2920 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_6484 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2920 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = aarch64_check_zero_based_sve_index_immediate (operands[2]);
    return "index\t%0.d, %x1, #%2";
  }
}

static const char *
output_6485 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3011 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V16QImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.b}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6486 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3011 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6487 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3011 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.s}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6488 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3011 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.d}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6489 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3011 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8BFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6490 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3011 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.h}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6491 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3011 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.s}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6492 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3011 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[0]";
	case 1:
	  return "#";
	case 2:
	  return "st1\t{%1.d}[0], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6493 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3046 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V16QImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.b[%2]";
	case 1:
	  return "dup\t%b0, %1.b[%2]";
	case 2:
	  return "st1\t{%1.b}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6494 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3046 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6495 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3046 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6496 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3046 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DImode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6497 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3046 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8BFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6498 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3046 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V8HFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.h[%2]";
	case 1:
	  return "dup\t%h0, %1.h[%2]";
	case 2:
	  return "st1\t{%1.h}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6499 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3046 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V4SFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%w0, %1.s[%2]";
	case 1:
	  return "dup\t%s0, %1.s[%2]";
	case 2:
	  return "st1\t{%1.s}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6500 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3046 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[1] = gen_rtx_REG (V2DFmode, REGNO (operands[1]));
    switch (which_alternative)
      {
	case 0:
	  return "umov\t%x0, %1.d[%2]";
	case 1:
	  return "dup\t%d0, %1.d[%2]";
	case 2:
	  return "st1\t{%1.d}[%2], %0";
	default:
	  gcc_unreachable ();
      }
  }
}

static const char *
output_6501 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3072 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx16QImode, REGNO (operands[0]));
    return "dup\t%0.b, %1.b[%2]";
  }
}

static const char *
output_6502 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3072 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HImode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_6503 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3072 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SImode, REGNO (operands[0]));
    return "dup\t%0.s, %1.s[%2]";
  }
}

static const char *
output_6504 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3072 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DImode, REGNO (operands[0]));
    return "dup\t%0.d, %1.d[%2]";
  }
}

static const char *
output_6505 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3072 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8BFmode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_6506 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3072 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HFmode, REGNO (operands[0]));
    return "dup\t%0.h, %1.h[%2]";
  }
}

static const char *
output_6507 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3072 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SFmode, REGNO (operands[0]));
    return "dup\t%0.s, %1.s[%2]";
  }
}

static const char *
output_6508 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3072 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DFmode, REGNO (operands[0]));
    return "dup\t%0.d, %1.d[%2]";
  }
}

static const char *
output_6509 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3086 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx16QImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (QImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6510 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3086 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (HImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6511 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3086 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (SImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6512 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3086 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DImode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (DImode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6513 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3086 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8BFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (BFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6514 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3086 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx8HFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (HFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6515 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3086 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx4SFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (SFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char *
output_6516 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3086 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[0] = gen_rtx_REG (VNx2DFmode, REGNO (operands[0]));
    operands[2] = GEN_INT (INTVAL (operands[2]) * GET_MODE_SIZE (DFmode));
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %0.b, #%2"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %1.b, #%2");
  }
}

static const char * const output_6517[] = {
  "lasta\t%w0, %1, %2.b",
  "lasta\t%b0, %1, %2.b",
};

static const char * const output_6518[] = {
  "lastb\t%w0, %1, %2.b",
  "lastb\t%b0, %1, %2.b",
};

static const char * const output_6519[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_6520[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_6521[] = {
  "lasta\t%w0, %1, %2.s",
  "lasta\t%s0, %1, %2.s",
};

static const char * const output_6522[] = {
  "lastb\t%w0, %1, %2.s",
  "lastb\t%s0, %1, %2.s",
};

static const char * const output_6523[] = {
  "lasta\t%x0, %1, %2.d",
  "lasta\t%d0, %1, %2.d",
};

static const char * const output_6524[] = {
  "lastb\t%x0, %1, %2.d",
  "lastb\t%d0, %1, %2.d",
};

static const char * const output_6525[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_6526[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_6527[] = {
  "lasta\t%w0, %1, %2.h",
  "lasta\t%h0, %1, %2.h",
};

static const char * const output_6528[] = {
  "lastb\t%w0, %1, %2.h",
  "lastb\t%h0, %1, %2.h",
};

static const char * const output_6529[] = {
  "lasta\t%w0, %1, %2.s",
  "lasta\t%s0, %1, %2.s",
};

static const char * const output_6530[] = {
  "lastb\t%w0, %1, %2.s",
  "lastb\t%s0, %1, %2.s",
};

static const char * const output_6531[] = {
  "lasta\t%x0, %1, %2.d",
  "lasta\t%d0, %1, %2.d",
};

static const char * const output_6532[] = {
  "lastb\t%x0, %1, %2.d",
  "lastb\t%d0, %1, %2.d",
};

static const char * const output_6533[] = {
  "abs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6534[] = {
  "neg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6535[] = {
  "not\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6536[] = {
  "cls\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6537[] = {
  "clz\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6538[] = {
  "cnt\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6539[] = {
  "rbit\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6540[] = {
  "sqabs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6541[] = {
  "sqneg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6542[] = {
  "abs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6543[] = {
  "neg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6544[] = {
  "not\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6545[] = {
  "cls\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6546[] = {
  "clz\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6547[] = {
  "cnt\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6548[] = {
  "rbit\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6549[] = {
  "sqabs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6550[] = {
  "sqneg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6551[] = {
  "abs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6552[] = {
  "neg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6553[] = {
  "not\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6554[] = {
  "cls\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6555[] = {
  "clz\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6556[] = {
  "cnt\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6557[] = {
  "rbit\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6558[] = {
  "sqabs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6559[] = {
  "sqneg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6560[] = {
  "abs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6561[] = {
  "neg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6562[] = {
  "not\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6563[] = {
  "cls\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6564[] = {
  "clz\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6565[] = {
  "cnt\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6566[] = {
  "rbit\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6567[] = {
  "sqabs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6568[] = {
  "sqneg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6569[] = {
  "abs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6570[] = {
  "neg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6571[] = {
  "not\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6572[] = {
  "cls\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6573[] = {
  "clz\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6574[] = {
  "cnt\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6575[] = {
  "rbit\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6576[] = {
  "sqabs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6577[] = {
  "sqneg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6578[] = {
  "abs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6579[] = {
  "neg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6580[] = {
  "not\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6581[] = {
  "cls\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6582[] = {
  "clz\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6583[] = {
  "cnt\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6584[] = {
  "rbit\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6585[] = {
  "sqabs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6586[] = {
  "sqneg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6587[] = {
  "abs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6588[] = {
  "neg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6589[] = {
  "not\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6590[] = {
  "cls\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6591[] = {
  "clz\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6592[] = {
  "cnt\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6593[] = {
  "rbit\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6594[] = {
  "sqabs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6595[] = {
  "sqneg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6596[] = {
  "abs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6597[] = {
  "neg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6598[] = {
  "not\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6599[] = {
  "cls\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6600[] = {
  "clz\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6601[] = {
  "cnt\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6602[] = {
  "rbit\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6603[] = {
  "sqabs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6604[] = {
  "sqneg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6605[] = {
  "abs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6606[] = {
  "neg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6607[] = {
  "not\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6608[] = {
  "cls\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6609[] = {
  "clz\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6610[] = {
  "cnt\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6611[] = {
  "rbit\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6612[] = {
  "sqabs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6613[] = {
  "sqneg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6614[] = {
  "abs\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6615[] = {
  "neg\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6616[] = {
  "not\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6617[] = {
  "cls\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6618[] = {
  "clz\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6619[] = {
  "cnt\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6620[] = {
  "rbit\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6621[] = {
  "sqabs\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6622[] = {
  "sqneg\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6623[] = {
  "abs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6624[] = {
  "neg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6625[] = {
  "not\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6626[] = {
  "cls\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6627[] = {
  "clz\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6628[] = {
  "cnt\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6629[] = {
  "rbit\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6630[] = {
  "sqabs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6631[] = {
  "sqneg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6632[] = {
  "abs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6633[] = {
  "neg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6634[] = {
  "not\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6635[] = {
  "cls\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6636[] = {
  "clz\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6637[] = {
  "cnt\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6638[] = {
  "rbit\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6639[] = {
  "sqabs\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6640[] = {
  "sqneg\t%Z0.b, %1/m, %Z2.b",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.b, %1/m, %Z2.b",
};

static const char * const output_6641[] = {
  "abs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6642[] = {
  "neg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6643[] = {
  "not\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6644[] = {
  "cls\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6645[] = {
  "clz\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6646[] = {
  "cnt\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6647[] = {
  "rbit\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6648[] = {
  "sqabs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6649[] = {
  "sqneg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6650[] = {
  "abs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6651[] = {
  "neg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6652[] = {
  "not\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6653[] = {
  "cls\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6654[] = {
  "clz\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6655[] = {
  "cnt\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6656[] = {
  "rbit\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6657[] = {
  "sqabs\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6658[] = {
  "sqneg\t%Z0.h, %1/m, %Z2.h",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.h, %1/m, %Z2.h",
};

static const char * const output_6659[] = {
  "abs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6660[] = {
  "neg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6661[] = {
  "not\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6662[] = {
  "cls\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6663[] = {
  "clz\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6664[] = {
  "cnt\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6665[] = {
  "rbit\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6666[] = {
  "sqabs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6667[] = {
  "sqneg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6668[] = {
  "abs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6669[] = {
  "neg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6670[] = {
  "not\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6671[] = {
  "cls\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6672[] = {
  "clz\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6673[] = {
  "cnt\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6674[] = {
  "rbit\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6675[] = {
  "sqabs\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6676[] = {
  "sqneg\t%Z0.s, %1/m, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.s, %1/m, %Z2.s",
};

static const char * const output_6677[] = {
  "abs\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6678[] = {
  "neg\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6679[] = {
  "not\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6680[] = {
  "cls\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6681[] = {
  "clz\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6682[] = {
  "cnt\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6683[] = {
  "rbit\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6684[] = {
  "sqabs\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6685[] = {
  "sqneg\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6686[] = {
  "abs\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tabs\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6687[] = {
  "neg\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tneg\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6688[] = {
  "not\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tnot\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6689[] = {
  "cls\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tcls\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6690[] = {
  "clz\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tclz\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6691[] = {
  "cnt\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tcnt\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6692[] = {
  "rbit\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\trbit\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6693[] = {
  "sqabs\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsqabs\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6694[] = {
  "sqneg\t%Z0.d, %1/m, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsqneg\t%Z0.d, %1/m, %Z2.d",
};

static const char * const output_6695[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6696[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6697[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6698[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6699[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6700[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6701[] = {
  "rbit\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6702[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6703[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6704[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6705[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6706[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6707[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6708[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6709[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6710[] = {
  "rbit\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6711[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6712[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6713[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6714[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6715[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6716[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6717[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6718[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6719[] = {
  "rbit\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6720[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6721[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6722[] = {
  "abs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6723[] = {
  "neg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6724[] = {
  "not\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6725[] = {
  "cls\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6726[] = {
  "clz\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6727[] = {
  "cnt\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6728[] = {
  "rbit\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6729[] = {
  "sqabs\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6730[] = {
  "sqneg\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6731[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6732[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6733[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_6734[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_6735[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_6736[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_6737[] = {
  "rbit\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_6738[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6739[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6740[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6741[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6742[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_6743[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_6744[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_6745[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_6746[] = {
  "rbit\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_6747[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6748[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6749[] = {
  "abs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6750[] = {
  "neg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6751[] = {
  "not\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_6752[] = {
  "cls\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_6753[] = {
  "clz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_6754[] = {
  "cnt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_6755[] = {
  "rbit\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_6756[] = {
  "sqabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6757[] = {
  "sqneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6758[] = {
  "abs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6759[] = {
  "neg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6760[] = {
  "not\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_6761[] = {
  "cls\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_6762[] = {
  "clz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_6763[] = {
  "cnt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_6764[] = {
  "rbit\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_6765[] = {
  "sqabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6766[] = {
  "sqneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6767[] = {
  "abs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6768[] = {
  "neg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6769[] = {
  "not\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_6770[] = {
  "cls\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_6771[] = {
  "clz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_6772[] = {
  "cnt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_6773[] = {
  "rbit\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_6774[] = {
  "sqabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6775[] = {
  "sqneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6776[] = {
  "abs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_6777[] = {
  "neg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_6778[] = {
  "not\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_6779[] = {
  "cls\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_6780[] = {
  "clz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_6781[] = {
  "cnt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_6782[] = {
  "rbit\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\trbit\t%0.d, %1/m, %2.d",
};

static const char * const output_6783[] = {
  "sqabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_6784[] = {
  "sqneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_6785[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6786[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6787[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6788[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6789[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6790[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6791[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6792[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6793[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6794[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6795[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6796[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6797[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6798[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6799[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6800[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6801[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6802[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6803[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6804[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6805[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6806[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6807[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6808[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6809[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6810[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6811[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6812[] = {
  "abs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6813[] = {
  "neg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6814[] = {
  "not\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tnot\t%0.b, %1/m, %2.b",
};

static const char * const output_6815[] = {
  "cls\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcls\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcls\t%0.b, %1/m, %2.b",
};

static const char * const output_6816[] = {
  "clz\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tclz\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tclz\t%0.b, %1/m, %2.b",
};

static const char * const output_6817[] = {
  "cnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnt\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tcnt\t%0.b, %1/m, %2.b",
};

static const char * const output_6818[] = {
  "rbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trbit\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trbit\t%0.b, %1/m, %2.b",
};

static const char * const output_6819[] = {
  "sqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqabs\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqabs\t%0.b, %1/m, %2.b",
};

static const char * const output_6820[] = {
  "sqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqneg\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\tsqneg\t%0.b, %1/m, %2.b",
};

static const char * const output_6821[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6822[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6823[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_6824[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_6825[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_6826[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_6827[] = {
  "rbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_6828[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6829[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6830[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6831[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6832[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_6833[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_6834[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_6835[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_6836[] = {
  "rbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_6837[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6838[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6839[] = {
  "abs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6840[] = {
  "neg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6841[] = {
  "not\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tnot\t%0.h, %1/m, %2.h",
};

static const char * const output_6842[] = {
  "cls\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcls\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcls\t%0.h, %1/m, %2.h",
};

static const char * const output_6843[] = {
  "clz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tclz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tclz\t%0.h, %1/m, %2.h",
};

static const char * const output_6844[] = {
  "cnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tcnt\t%0.h, %1/m, %2.h",
};

static const char * const output_6845[] = {
  "rbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trbit\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trbit\t%0.h, %1/m, %2.h",
};

static const char * const output_6846[] = {
  "sqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqabs\t%0.h, %1/m, %2.h",
};

static const char * const output_6847[] = {
  "sqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsqneg\t%0.h, %1/m, %2.h",
};

static const char * const output_6848[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6849[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6850[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_6851[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_6852[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tclz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_6853[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_6854[] = {
  "rbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_6855[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6856[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6857[] = {
  "abs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6858[] = {
  "neg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6859[] = {
  "not\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tnot\t%0.s, %1/m, %2.s",
};

static const char * const output_6860[] = {
  "cls\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcls\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcls\t%0.s, %1/m, %2.s",
};

static const char * const output_6861[] = {
  "clz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tclz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tclz\t%0.s, %1/m, %2.s",
};

static const char * const output_6862[] = {
  "cnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tcnt\t%0.s, %1/m, %2.s",
};

static const char * const output_6863[] = {
  "rbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trbit\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trbit\t%0.s, %1/m, %2.s",
};

static const char * const output_6864[] = {
  "sqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqabs\t%0.s, %1/m, %2.s",
};

static const char * const output_6865[] = {
  "sqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsqneg\t%0.s, %1/m, %2.s",
};

static const char * const output_6866[] = {
  "abs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tabs\t%0.d, %1/m, %2.d",
};

static const char * const output_6867[] = {
  "neg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tneg\t%0.d, %1/m, %2.d",
};

static const char * const output_6868[] = {
  "not\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tnot\t%0.d, %1/m, %2.d",
};

static const char * const output_6869[] = {
  "cls\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcls\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tcls\t%0.d, %1/m, %2.d",
};

static const char * const output_6870[] = {
  "clz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tclz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tclz\t%0.d, %1/m, %2.d",
};

static const char * const output_6871[] = {
  "cnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcnt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tcnt\t%0.d, %1/m, %2.d",
};

static const char * const output_6872[] = {
  "rbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trbit\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trbit\t%0.d, %1/m, %2.d",
};

static const char * const output_6873[] = {
  "sqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsqabs\t%0.d, %1/m, %2.d",
};

static const char * const output_6874[] = {
  "sqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsqneg\t%0.d, %1/m, %2.d",
};

static const char * const output_6875[] = {
  "revb\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\trevb\t%0.b, %1/m, %2.b",
};

static const char * const output_6876[] = {
  "revh\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\trevh\t%0.b, %1/m, %2.b",
};

static const char * const output_6877[] = {
  "revw\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\trevw\t%0.b, %1/m, %2.b",
};

static const char * const output_6878[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_6879[] = {
  "revh\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevh\t%0.h, %1/m, %2.h",
};

static const char * const output_6880[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6881[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_6882[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_6883[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6884[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_6885[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_6886[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6887[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_6888[] = {
  "revh\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevh\t%0.h, %1/m, %2.h",
};

static const char * const output_6889[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6890[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6891[] = {
  "revh\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevh\t%0.h, %1/m, %2.h",
};

static const char * const output_6892[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6893[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6894[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6895[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6896[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6897[] = {
  "revh\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevh\t%0.h, %1/m, %2.h",
};

static const char * const output_6898[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6899[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6900[] = {
  "revh\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevh\t%0.h, %1/m, %2.h",
};

static const char * const output_6901[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6902[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6903[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6904[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6905[] = {
  "revd\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\trevd\t%0.h, %1/m, %2.h",
};

static const char * const output_6906[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_6907[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_6908[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6909[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6910[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_6911[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6912[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6913[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6914[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6915[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6916[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_6917[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6918[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6919[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_6920[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6921[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6922[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6923[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6924[] = {
  "revd\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\trevd\t%0.s, %1/m, %2.s",
};

static const char * const output_6925[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_6926[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_6927[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6928[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6929[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_6930[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6931[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6932[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6933[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6934[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6935[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_6936[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6937[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6938[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_6939[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6940[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6941[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6942[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6943[] = {
  "revd\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\trevd\t%0.d, %1/m, %2.d",
};

static const char * const output_6944[] = {
  "revb\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trevb\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trevb\t%0.b, %1/m, %2.b",
};

static const char * const output_6945[] = {
  "revh\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trevh\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trevh\t%0.b, %1/m, %2.b",
};

static const char * const output_6946[] = {
  "revw\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\trevw\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %3\n\trevw\t%0.b, %1/m, %2.b",
};

static const char * const output_6947[] = {
  "revb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trevb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trevb\t%0.h, %1/m, %2.h",
};

static const char * const output_6948[] = {
  "revh\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trevh\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trevh\t%0.h, %1/m, %2.h",
};

static const char * const output_6949[] = {
  "revw\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\trevw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\trevw\t%0.h, %1/m, %2.h",
};

static const char * const output_6950[] = {
  "revb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trevb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trevb\t%0.s, %1/m, %2.s",
};

static const char * const output_6951[] = {
  "revh\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trevh\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trevh\t%0.s, %1/m, %2.s",
};

static const char * const output_6952[] = {
  "revw\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\trevw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\trevw\t%0.s, %1/m, %2.s",
};

static const char * const output_6953[] = {
  "revb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevb\t%0.d, %1/m, %2.d",
};

static const char * const output_6954[] = {
  "revh\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevh\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevh\t%0.d, %1/m, %2.d",
};

static const char * const output_6955[] = {
  "revw\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\trevw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\trevw\t%0.d, %1/m, %2.d",
};

static const char * const output_6956[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6957[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6958[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6959[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6960[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6961[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6962[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6963[] = {
  "uxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6964[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6965[] = {
  "uxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6966[] = {
  "sxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_6967[] = {
  "uxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_6968[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6969[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6970[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6971[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6972[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6973[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6974[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6975[] = {
  "uxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6976[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6977[] = {
  "uxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6978[] = {
  "sxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_6979[] = {
  "uxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_6980[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6981[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6982[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6983[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6984[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6985[] = {
  "uxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_6986[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6987[] = {
  "uxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6988[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6989[] = {
  "uxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxth\t%0.h, %1/m, %2.h",
};

static const char * const output_6990[] = {
  "sxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_6991[] = {
  "uxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tuxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_6992[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6993[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6994[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6995[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6996[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6997[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_6998[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_6999[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7000[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7001[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7002[] = {
  "sxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtw\t%0.s, %1/m, %2.s",
};

static const char * const output_7003[] = {
  "uxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtw\t%0.s, %1/m, %2.s",
};

static const char * const output_7004[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7005[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7006[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7007[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7008[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7009[] = {
  "uxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7010[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7011[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7012[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7013[] = {
  "uxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7014[] = {
  "sxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtw\t%0.s, %1/m, %2.s",
};

static const char * const output_7015[] = {
  "uxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tuxtw\t%0.s, %1/m, %2.s",
};

static const char * const output_7016[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7017[] = {
  "uxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7018[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7019[] = {
  "uxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7020[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7021[] = {
  "uxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7022[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7023[] = {
  "uxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7024[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7025[] = {
  "uxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7026[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_7027[] = {
  "uxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tuxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_7028[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_7029[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_7030[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_7031[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_7032[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_7033[] = {
  "sxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tsxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_7034[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7035[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7036[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7037[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7038[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7039[] = {
  "sxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tsxtw\t%0.s, %1/m, %2.s",
};

static const char * const output_7040[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7041[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7042[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7043[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7044[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7045[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_7046[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_7047[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_7048[] = {
  "sxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxtb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxtb\t%0.h, %1/m, %2.h",
};

static const char * const output_7049[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_7050[] = {
  "sxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxth\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxth\t%0.h, %1/m, %2.h",
};

static const char * const output_7051[] = {
  "sxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsxtw\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tsxtw\t%0.h, %1/m, %2.h",
};

static const char * const output_7052[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7053[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7054[] = {
  "sxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxtb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxtb\t%0.s, %1/m, %2.s",
};

static const char * const output_7055[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7056[] = {
  "sxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxth\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxth\t%0.s, %1/m, %2.s",
};

static const char * const output_7057[] = {
  "sxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsxtw\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tsxtw\t%0.s, %1/m, %2.s",
};

static const char * const output_7058[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7059[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7060[] = {
  "sxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtb\t%0.d, %1/m, %2.d",
};

static const char * const output_7061[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7062[] = {
  "sxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxth\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxth\t%0.d, %1/m, %2.d",
};

static const char * const output_7063[] = {
  "sxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsxtw\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tsxtw\t%0.d, %1/m, %2.d",
};

static const char * const output_7064[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7065[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7066[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7067[] = {
  "uxt%e3\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7068[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_7069[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_7070[] = {
  "uxt%e3\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_7071[] = {
  "uxt%e3\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_7072[] = {
  "uxt%e3\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_7073[] = {
  "uxt%e3\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tuxt%e3\t%0.d, %1/m, %2.d",
};

static const char * const output_7074[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7075[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7076[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7077[] = {
  "uxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuxt%e3\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.b, %1/m, %2.b",
};

static const char * const output_7078[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_7079[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_7080[] = {
  "uxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuxt%e3\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.h, %1/m, %2.h",
};

static const char * const output_7081[] = {
  "uxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_7082[] = {
  "uxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuxt%e3\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.s, %1/m, %2.s",
};

static const char * const output_7083[] = {
  "uxt%e3\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuxt%e3\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %4\n\tuxt%e3\t%0.d, %1/m, %2.d",
};

static const char * const output_7120[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7121[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7122[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7123[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7124[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7125[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7126[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7127[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_7128[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_7129[] = {
  "cnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_7130[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7131[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7132[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7133[] = {
  "cnot\t%0.b, %1/m, %0.b",
  "movprfx\t%0, %2\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7134[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7135[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7136[] = {
  "cnot\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7137[] = {
  "cnot\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_7138[] = {
  "cnot\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_7139[] = {
  "cnot\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_7140[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7141[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7142[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7143[] = {
  "cnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tcnot\t%0.b, %1/m, %2.b",
  "movprfx\t%0, %6\n\tcnot\t%0.b, %1/m, %2.b",
};

static const char * const output_7144[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7145[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7146[] = {
  "cnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tcnot\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %6\n\tcnot\t%0.h, %1/m, %2.h",
};

static const char * const output_7147[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %6\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_7148[] = {
  "cnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tcnot\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %6\n\tcnot\t%0.s, %1/m, %2.s",
};

static const char * const output_7149[] = {
  "cnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tcnot\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %6\n\tcnot\t%0.d, %1/m, %2.d",
};

static const char * const output_7159[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_7160[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_7161[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_7162[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_7163[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_7164[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_7165[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_7166[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_7167[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_7168[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_7169[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_7170[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_7171[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_7172[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_7173[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_7174[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_7175[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_7176[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_7177[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_7178[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_7179[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_7180[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_7181[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_7182[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_7183[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_7184[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_7185[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_7186[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_7187[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_7188[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_7189[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_7190[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_7191[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_7192[] = {
  "fabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_7193[] = {
  "fneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_7194[] = {
  "frecpx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_7195[] = {
  "frinta\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_7196[] = {
  "frinti\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_7197[] = {
  "frintm\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_7198[] = {
  "frintn\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_7199[] = {
  "frintp\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_7200[] = {
  "frintx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_7201[] = {
  "frintz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_7202[] = {
  "fsqrt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_7203[] = {
  "fabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_7204[] = {
  "fneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_7205[] = {
  "frecpx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_7206[] = {
  "frinta\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_7207[] = {
  "frinti\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_7208[] = {
  "frintm\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_7209[] = {
  "frintn\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_7210[] = {
  "frintp\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_7211[] = {
  "frintx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_7212[] = {
  "frintz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_7213[] = {
  "fsqrt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_7214[] = {
  "fabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_7215[] = {
  "fneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_7216[] = {
  "frecpx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_7217[] = {
  "frinta\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_7218[] = {
  "frinti\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_7219[] = {
  "frintm\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_7220[] = {
  "frintn\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_7221[] = {
  "frintp\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_7222[] = {
  "frintx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_7223[] = {
  "frintz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_7224[] = {
  "fsqrt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_7225[] = {
  "fabs\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_7226[] = {
  "fneg\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_7227[] = {
  "frecpx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_7228[] = {
  "frinta\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_7229[] = {
  "frinti\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_7230[] = {
  "frintm\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_7231[] = {
  "frintn\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_7232[] = {
  "frintp\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_7233[] = {
  "frintx\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_7234[] = {
  "frintz\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_7235[] = {
  "fsqrt\t%0.h, %1/m, %0.h",
  "movprfx\t%0, %2\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_7236[] = {
  "fabs\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_7237[] = {
  "fneg\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_7238[] = {
  "frecpx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_7239[] = {
  "frinta\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_7240[] = {
  "frinti\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_7241[] = {
  "frintm\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_7242[] = {
  "frintn\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_7243[] = {
  "frintp\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_7244[] = {
  "frintx\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_7245[] = {
  "frintz\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_7246[] = {
  "fsqrt\t%0.s, %1/m, %0.s",
  "movprfx\t%0, %2\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_7247[] = {
  "fabs\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_7248[] = {
  "fneg\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_7249[] = {
  "frecpx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_7250[] = {
  "frinta\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_7251[] = {
  "frinti\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_7252[] = {
  "frintm\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_7253[] = {
  "frintn\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_7254[] = {
  "frintp\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_7255[] = {
  "frintx\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_7256[] = {
  "frintz\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_7257[] = {
  "fsqrt\t%0.d, %1/m, %0.d",
  "movprfx\t%0, %2\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_7258[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_7259[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_7260[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_7261[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_7262[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_7263[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_7264[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_7265[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_7266[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_7267[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_7268[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_7269[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_7270[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_7271[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_7272[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_7273[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_7274[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_7275[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_7276[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_7277[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_7278[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_7279[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_7280[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_7281[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_7282[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_7283[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_7284[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_7285[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_7286[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_7287[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_7288[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_7289[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_7290[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_7291[] = {
  "fabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfabs\t%0.h, %1/m, %2.h",
};

static const char * const output_7292[] = {
  "fneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfneg\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfneg\t%0.h, %1/m, %2.h",
};

static const char * const output_7293[] = {
  "frecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrecpx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrecpx\t%0.h, %1/m, %2.h",
};

static const char * const output_7294[] = {
  "frinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinta\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinta\t%0.h, %1/m, %2.h",
};

static const char * const output_7295[] = {
  "frinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrinti\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrinti\t%0.h, %1/m, %2.h",
};

static const char * const output_7296[] = {
  "frintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintm\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintm\t%0.h, %1/m, %2.h",
};

static const char * const output_7297[] = {
  "frintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintn\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintn\t%0.h, %1/m, %2.h",
};

static const char * const output_7298[] = {
  "frintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintp\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintp\t%0.h, %1/m, %2.h",
};

static const char * const output_7299[] = {
  "frintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintx\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintx\t%0.h, %1/m, %2.h",
};

static const char * const output_7300[] = {
  "frintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfrintz\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfrintz\t%0.h, %1/m, %2.h",
};

static const char * const output_7301[] = {
  "fsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsqrt\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfsqrt\t%0.h, %1/m, %2.h",
};

static const char * const output_7302[] = {
  "fabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfabs\t%0.s, %1/m, %2.s",
};

static const char * const output_7303[] = {
  "fneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfneg\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfneg\t%0.s, %1/m, %2.s",
};

static const char * const output_7304[] = {
  "frecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrecpx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrecpx\t%0.s, %1/m, %2.s",
};

static const char * const output_7305[] = {
  "frinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinta\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinta\t%0.s, %1/m, %2.s",
};

static const char * const output_7306[] = {
  "frinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrinti\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrinti\t%0.s, %1/m, %2.s",
};

static const char * const output_7307[] = {
  "frintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintm\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintm\t%0.s, %1/m, %2.s",
};

static const char * const output_7308[] = {
  "frintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintn\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintn\t%0.s, %1/m, %2.s",
};

static const char * const output_7309[] = {
  "frintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintp\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintp\t%0.s, %1/m, %2.s",
};

static const char * const output_7310[] = {
  "frintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintx\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintx\t%0.s, %1/m, %2.s",
};

static const char * const output_7311[] = {
  "frintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfrintz\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfrintz\t%0.s, %1/m, %2.s",
};

static const char * const output_7312[] = {
  "fsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsqrt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfsqrt\t%0.s, %1/m, %2.s",
};

static const char * const output_7313[] = {
  "fabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfabs\t%0.d, %1/m, %2.d",
};

static const char * const output_7314[] = {
  "fneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfneg\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfneg\t%0.d, %1/m, %2.d",
};

static const char * const output_7315[] = {
  "frecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrecpx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrecpx\t%0.d, %1/m, %2.d",
};

static const char * const output_7316[] = {
  "frinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinta\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinta\t%0.d, %1/m, %2.d",
};

static const char * const output_7317[] = {
  "frinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrinti\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrinti\t%0.d, %1/m, %2.d",
};

static const char * const output_7318[] = {
  "frintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintm\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintm\t%0.d, %1/m, %2.d",
};

static const char * const output_7319[] = {
  "frintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintn\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintn\t%0.d, %1/m, %2.d",
};

static const char * const output_7320[] = {
  "frintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintp\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintp\t%0.d, %1/m, %2.d",
};

static const char * const output_7321[] = {
  "frintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintx\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintx\t%0.d, %1/m, %2.d",
};

static const char * const output_7322[] = {
  "frintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfrintz\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfrintz\t%0.d, %1/m, %2.d",
};

static const char * const output_7323[] = {
  "fsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsqrt\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfsqrt\t%0.d, %1/m, %2.d",
};

static const char * const output_7328[] = {
  "#",
  "mul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7329[] = {
  "#",
  "smax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7330[] = {
  "#",
  "smin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7331[] = {
  "#",
  "umax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7332[] = {
  "#",
  "umin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7333[] = {
  "#",
  "mul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7334[] = {
  "#",
  "smax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7335[] = {
  "#",
  "smin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7336[] = {
  "#",
  "umax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7337[] = {
  "#",
  "umin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7338[] = {
  "#",
  "mul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7339[] = {
  "#",
  "smax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7340[] = {
  "#",
  "smin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7341[] = {
  "#",
  "umax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7342[] = {
  "#",
  "umin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7343[] = {
  "#",
  "mul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7344[] = {
  "#",
  "smax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7345[] = {
  "#",
  "smin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7346[] = {
  "#",
  "umax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7347[] = {
  "#",
  "umin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.b, %1/m, %Z0.b, %Z3.b",
};

static const char * const output_7348[] = {
  "#",
  "mul\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7349[] = {
  "#",
  "smax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7350[] = {
  "#",
  "smin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7351[] = {
  "#",
  "umax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7352[] = {
  "#",
  "umin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7353[] = {
  "#",
  "mul\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7354[] = {
  "#",
  "smax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7355[] = {
  "#",
  "smin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7356[] = {
  "#",
  "umax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7357[] = {
  "#",
  "umin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7358[] = {
  "#",
  "mul\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7359[] = {
  "#",
  "smax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7360[] = {
  "#",
  "smin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7361[] = {
  "#",
  "umax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7362[] = {
  "#",
  "umin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_7363[] = {
  "#",
  "mul\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7364[] = {
  "#",
  "smax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7365[] = {
  "#",
  "smin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7366[] = {
  "#",
  "umax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7367[] = {
  "#",
  "umin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7368[] = {
  "#",
  "mul\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7369[] = {
  "#",
  "smax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7370[] = {
  "#",
  "smin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7371[] = {
  "#",
  "umax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7372[] = {
  "#",
  "umin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_7373[] = {
  "#",
  "mul\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7374[] = {
  "#",
  "smax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7375[] = {
  "#",
  "smin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7376[] = {
  "#",
  "umax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7377[] = {
  "#",
  "umin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7378[] = {
  "#",
  "mul\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tmul\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7379[] = {
  "#",
  "smax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7380[] = {
  "#",
  "smin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tsmin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7381[] = {
  "#",
  "umax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tumax\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7382[] = {
  "#",
  "umin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "#",
  "movprfx\t%Z0, %Z2\n\tumin\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_7383[] = {
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7384[] = {
  "smax\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7385[] = {
  "smin\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7386[] = {
  "umax\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7387[] = {
  "umin\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7388[] = {
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7389[] = {
  "smax\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7390[] = {
  "smin\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7391[] = {
  "umax\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7392[] = {
  "umin\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7393[] = {
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7394[] = {
  "smax\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7395[] = {
  "smin\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7396[] = {
  "umax\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7397[] = {
  "umin\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7398[] = {
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7399[] = {
  "smax\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7400[] = {
  "smin\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_7401[] = {
  "umax\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7402[] = {
  "umin\t%Z0.b, %Z0.b, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.b, %Z0.b, #%D2",
};

static const char * const output_7403[] = {
  "mul\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7404[] = {
  "smax\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7405[] = {
  "smin\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7406[] = {
  "umax\t%Z0.h, %Z0.h, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.h, %Z0.h, #%D2",
};

static const char * const output_7407[] = {
  "umin\t%Z0.h, %Z0.h, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.h, %Z0.h, #%D2",
};

static const char * const output_7408[] = {
  "mul\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7409[] = {
  "smax\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7410[] = {
  "smin\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7411[] = {
  "umax\t%Z0.h, %Z0.h, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.h, %Z0.h, #%D2",
};

static const char * const output_7412[] = {
  "umin\t%Z0.h, %Z0.h, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.h, %Z0.h, #%D2",
};

static const char * const output_7413[] = {
  "mul\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7414[] = {
  "smax\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7415[] = {
  "smin\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_7416[] = {
  "umax\t%Z0.h, %Z0.h, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.h, %Z0.h, #%D2",
};

static const char * const output_7417[] = {
  "umin\t%Z0.h, %Z0.h, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.h, %Z0.h, #%D2",
};

static const char * const output_7418[] = {
  "mul\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_7419[] = {
  "smax\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_7420[] = {
  "smin\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_7421[] = {
  "umax\t%Z0.s, %Z0.s, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.s, %Z0.s, #%D2",
};

static const char * const output_7422[] = {
  "umin\t%Z0.s, %Z0.s, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.s, %Z0.s, #%D2",
};

static const char * const output_7423[] = {
  "mul\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_7424[] = {
  "smax\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_7425[] = {
  "smin\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_7426[] = {
  "umax\t%Z0.s, %Z0.s, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.s, %Z0.s, #%D2",
};

static const char * const output_7427[] = {
  "umin\t%Z0.s, %Z0.s, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.s, %Z0.s, #%D2",
};

static const char * const output_7428[] = {
  "mul\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_7429[] = {
  "smax\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_7430[] = {
  "smin\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_7431[] = {
  "umax\t%Z0.d, %Z0.d, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.d, %Z0.d, #%D2",
};

static const char * const output_7432[] = {
  "umin\t%Z0.d, %Z0.d, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.d, %Z0.d, #%D2",
};

static const char * const output_7433[] = {
  "mul\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_7434[] = {
  "smax\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tsmax\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_7435[] = {
  "smin\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tsmin\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_7436[] = {
  "umax\t%Z0.d, %Z0.d, #%D2",
  "movprfx\t%Z0, %Z1\n\tumax\t%Z0.d, %Z0.d, #%D2",
};

static const char * const output_7437[] = {
  "umin\t%Z0.d, %Z0.d, #%D2",
  "movprfx\t%Z0, %Z1\n\tumin\t%Z0.d, %Z0.d, #%D2",
};

static const char * const output_7438[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7439[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7440[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7441[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7442[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7443[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7444[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7445[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7446[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7447[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7448[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7449[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7450[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7451[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7452[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7453[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7454[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7455[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7456[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7457[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7458[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7459[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7460[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7461[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7462[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7463[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7464[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7465[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7466[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7467[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7468[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7469[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7470[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7471[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7472[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7473[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7474[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7475[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7476[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7477[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7478[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7479[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7480[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7481[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7482[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7483[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7484[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7485[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7486[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7487[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7488[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7489[] = {
  "add\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7490[] = {
  "sub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7491[] = {
  "mul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tmul\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7492[] = {
  "smax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7493[] = {
  "umax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumax\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7494[] = {
  "smin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7495[] = {
  "umin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumin\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7496[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7497[] = {
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7498[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7499[] = {
  "and\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tand\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7500[] = {
  "orr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\torr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7501[] = {
  "eor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\teor\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7502[] = {
  "sqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7503[] = {
  "uqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7504[] = {
  "sqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7505[] = {
  "uqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7506[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7507[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7508[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7509[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7510[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7511[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7512[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7513[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7514[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7515[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7516[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7517[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7518[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7519[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7520[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7521[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7522[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7523[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7524[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7525[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7526[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7527[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7528[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7529[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7530[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7531[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7532[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7533[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7534[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7535[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7536[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7537[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7538[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7539[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7540[] = {
  "add\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7541[] = {
  "sub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7542[] = {
  "mul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7543[] = {
  "smax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7544[] = {
  "umax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7545[] = {
  "smin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7546[] = {
  "umin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7547[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7548[] = {
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7549[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7550[] = {
  "and\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tand\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7551[] = {
  "orr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\torr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7552[] = {
  "eor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\teor\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7553[] = {
  "sqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7554[] = {
  "uqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7555[] = {
  "sqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7556[] = {
  "uqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7557[] = {
  "add\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7558[] = {
  "sub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7559[] = {
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7560[] = {
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7561[] = {
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7562[] = {
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7563[] = {
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7564[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7565[] = {
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7566[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7567[] = {
  "and\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tand\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7568[] = {
  "orr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\torr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7569[] = {
  "eor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\teor\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7570[] = {
  "sqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7571[] = {
  "uqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7572[] = {
  "sqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7573[] = {
  "uqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7574[] = {
  "add\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7575[] = {
  "sub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7576[] = {
  "mul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7577[] = {
  "smax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7578[] = {
  "umax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7579[] = {
  "smin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7580[] = {
  "umin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7581[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7582[] = {
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7583[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7584[] = {
  "and\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tand\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7585[] = {
  "orr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\torr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7586[] = {
  "eor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\teor\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7587[] = {
  "sqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7588[] = {
  "uqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7589[] = {
  "sqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7590[] = {
  "uqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7591[] = {
  "add\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7592[] = {
  "sub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7593[] = {
  "mul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7594[] = {
  "smax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7595[] = {
  "umax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7596[] = {
  "smin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7597[] = {
  "umin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7598[] = {
  "lsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7599[] = {
  "asr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7600[] = {
  "lsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7601[] = {
  "and\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tand\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7602[] = {
  "orr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\torr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7603[] = {
  "eor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\teor\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7604[] = {
  "sqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7605[] = {
  "uqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7606[] = {
  "sqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7607[] = {
  "uqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_7608[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7609[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7610[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7611[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7612[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7613[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7614[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7615[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7616[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7617[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7618[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7619[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7620[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7621[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7622[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7623[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7624[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7625[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7626[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7627[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7628[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7629[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7630[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7631[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7632[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7633[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7634[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7635[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7636[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7637[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7638[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7639[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7640[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7641[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7642[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7643[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7644[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7645[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7646[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7647[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7648[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7649[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7650[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7651[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7652[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7653[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7654[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7655[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7656[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7657[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7658[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7659[] = {
  "add\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7660[] = {
  "subr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7661[] = {
  "mul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tmul\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7662[] = {
  "smax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7663[] = {
  "umax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumax\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7664[] = {
  "smin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7665[] = {
  "umin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tumin\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7666[] = {
  "lslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7667[] = {
  "asrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7668[] = {
  "lsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7669[] = {
  "and\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tand\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7670[] = {
  "orr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\torr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7671[] = {
  "eor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\teor\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7672[] = {
  "sqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7673[] = {
  "uqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7674[] = {
  "sqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7675[] = {
  "uqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_7676[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7677[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7678[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7679[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7680[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7681[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7682[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7683[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7684[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7685[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7686[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7687[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7688[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7689[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7690[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7691[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7692[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7693[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7694[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7695[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7696[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7697[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7698[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7699[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7700[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7701[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7702[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7703[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7704[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7705[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7706[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7707[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7708[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7709[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7710[] = {
  "add\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7711[] = {
  "subr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7712[] = {
  "mul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7713[] = {
  "smax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7714[] = {
  "umax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7715[] = {
  "smin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7716[] = {
  "umin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tumin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7717[] = {
  "lslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7718[] = {
  "asrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7719[] = {
  "lsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7720[] = {
  "and\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tand\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7721[] = {
  "orr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\torr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7722[] = {
  "eor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\teor\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7723[] = {
  "sqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7724[] = {
  "uqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7725[] = {
  "sqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7726[] = {
  "uqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_7727[] = {
  "add\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7728[] = {
  "subr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7729[] = {
  "mul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7730[] = {
  "smax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7731[] = {
  "umax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7732[] = {
  "smin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7733[] = {
  "umin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7734[] = {
  "lslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7735[] = {
  "asrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7736[] = {
  "lsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7737[] = {
  "and\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tand\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7738[] = {
  "orr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\torr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7739[] = {
  "eor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\teor\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7740[] = {
  "sqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7741[] = {
  "uqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7742[] = {
  "sqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7743[] = {
  "uqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7744[] = {
  "add\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7745[] = {
  "subr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7746[] = {
  "mul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7747[] = {
  "smax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7748[] = {
  "umax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7749[] = {
  "smin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7750[] = {
  "umin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tumin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7751[] = {
  "lslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7752[] = {
  "asrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7753[] = {
  "lsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7754[] = {
  "and\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tand\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7755[] = {
  "orr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\torr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7756[] = {
  "eor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\teor\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7757[] = {
  "sqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7758[] = {
  "uqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7759[] = {
  "sqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7760[] = {
  "uqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_7761[] = {
  "add\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7762[] = {
  "subr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7763[] = {
  "mul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7764[] = {
  "smax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7765[] = {
  "umax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tumax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7766[] = {
  "smin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7767[] = {
  "umin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tumin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7768[] = {
  "lslr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tlslr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7769[] = {
  "asrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tasrr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7770[] = {
  "lsrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tlsrr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7771[] = {
  "and\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tand\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7772[] = {
  "orr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\torr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7773[] = {
  "eor\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\teor\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7774[] = {
  "sqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7775[] = {
  "uqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7776[] = {
  "sqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7777[] = {
  "uqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_7778[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7779[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7780[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7781[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7782[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7783[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7784[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7785[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7786[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7787[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7788[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7789[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7790[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7791[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7792[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7793[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7794[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7795[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7796[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7797[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7798[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7799[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7800[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7801[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7802[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7803[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7804[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7805[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7806[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7807[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7808[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7809[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7810[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7811[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7812[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7813[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7814[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7815[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7816[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7817[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7818[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7819[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7820[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7821[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7822[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7823[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7824[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7825[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7826[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7827[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7828[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7829[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7830[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7831[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmul\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tmul\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7832[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7833[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumax\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumax\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7834[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsmin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsmin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7835[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tumin\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tumin\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7836[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlslr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7837[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tasrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7838[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tlsrr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7839[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tand\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tand\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7840[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\torr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\torr\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7841[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\teor\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\teor\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7842[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7843[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7844[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7845[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_7846[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7847[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7848[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7849[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7850[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7851[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7852[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7853[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7854[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7855[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7856[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7857[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7858[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7859[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7860[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7861[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7862[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7863[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7864[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7865[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7866[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7867[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7868[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7869[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7870[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7871[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7872[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7873[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7874[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7875[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7876[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7877[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7878[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7879[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7880[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7881[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7882[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7883[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7884[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7885[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7886[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tumin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tumin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7887[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlslr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7888[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tasrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7889[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tlsrr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7890[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tand\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tand\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7891[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\torr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\torr\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7892[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\teor\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\teor\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7893[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7894[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7895[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7896[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_7897[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7898[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7899[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7900[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7901[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7902[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7903[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7904[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7905[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7906[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7907[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7908[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7909[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7910[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7911[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7912[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7913[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7914[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7915[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7916[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7917[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7918[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7919[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7920[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tumin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tumin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7921[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlslr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7922[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tasrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7923[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tlsrr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7924[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tand\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tand\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7925[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\torr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\torr\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7926[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\teor\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\teor\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7927[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7928[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7929[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7930[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_7931[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7932[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7933[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7934[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7935[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tumax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tumax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7936[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7937[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tumin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tumin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7938[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tlslr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7939[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tasrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tasr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7940[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tlsrr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7941[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tand\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tand\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7942[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\torr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\torr\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7943[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\teor\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\teor\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7944[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7945[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7946[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_7947[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char *
output_7948 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_7949 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_7950 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_7951 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.b, %0.b, #%D2";
    case 1: return "sub\t%0.b, %0.b, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.b", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.b, %0.b, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.b, %0.b, #%N2";
    case 5: return "add\t%0.b, %1.b, %2.b";
      default: gcc_unreachable ();
    }
}

static const char *
output_7952 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_7953 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_7954 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.h, %0.h, #%D2";
    case 1: return "sub\t%0.h, %0.h, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.h", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.h, %0.h, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.h, %0.h, #%N2";
    case 5: return "add\t%0.h, %1.h, %2.h";
      default: gcc_unreachable ();
    }
}

static const char *
output_7955 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.s, %0.s, #%D2";
    case 1: return "sub\t%0.s, %0.s, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.s", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.s, %0.s, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.s, %0.s, #%N2";
    case 5: return "add\t%0.s, %1.s, %2.s";
      default: gcc_unreachable ();
    }
}

static const char *
output_7956 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.s, %0.s, #%D2";
    case 1: return "sub\t%0.s, %0.s, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.s", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.s, %0.s, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.s, %0.s, #%N2";
    case 5: return "add\t%0.s, %1.s, %2.s";
      default: gcc_unreachable ();
    }
}

static const char *
output_7957 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  switch (which_alternative)
    {
    case 0: return "add\t%0.d, %0.d, #%D2";
    case 1: return "sub\t%0.d, %0.d, #%N2";
    case 2:
       return aarch64_output_sve_vector_inc_dec ("%0.d", operands[2]);
    case 3: return "movprfx\t%0, %1\n\tadd\t%0.d, %0.d, #%D2";
    case 4: return "movprfx\t%0, %1\n\tsub\t%0.d, %0.d, #%N2";
    case 5: return "add\t%0.d, %1.d, %2.d";
      default: gcc_unreachable ();
    }
}

static const char * const output_7958[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_7959[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_7960[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_7961[] = {
  "sub\t%0.b, %1.b, %2.b",
  "subr\t%0.b, %0.b, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.b, %0.b, #%D1",
};

static const char * const output_7962[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_7963[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_7964[] = {
  "sub\t%0.h, %1.h, %2.h",
  "subr\t%0.h, %0.h, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.h, %0.h, #%D1",
};

static const char * const output_7965[] = {
  "sub\t%0.s, %1.s, %2.s",
  "subr\t%0.s, %0.s, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.s, %0.s, #%D1",
};

static const char * const output_7966[] = {
  "sub\t%0.s, %1.s, %2.s",
  "subr\t%0.s, %0.s, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.s, %0.s, #%D1",
};

static const char * const output_7967[] = {
  "sub\t%0.d, %1.d, %2.d",
  "subr\t%0.d, %0.d, #%D1",
  "movprfx\t%0, %2\n\tsubr\t%0.d, %0.d, #%D1",
};

static const char * const output_7982[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7983[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7984[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7985[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7986[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7987[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7988[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7989[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_7990[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7991[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7992[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7993[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7994[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7995[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_7996[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7997[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7998[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_7999[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8000[] = {
  "sabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8001[] = {
  "uabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8002[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8003[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8004[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8005[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8006[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8007[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8008[] = {
  "sabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8009[] = {
  "uabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8010[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8011[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8012[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8013[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8014[] = {
  "sabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8015[] = {
  "uabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8016[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8017[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8018[] = {
  "sabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8019[] = {
  "uabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8020[] = {
  "sabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8021[] = {
  "uabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8022[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8023[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8024[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8025[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8026[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8027[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8028[] = {
  "sabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8029[] = {
  "uabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_8030[] = {
  "sabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8031[] = {
  "uabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8032[] = {
  "sabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8033[] = {
  "uabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8034[] = {
  "sabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8035[] = {
  "uabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8036[] = {
  "sabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8037[] = {
  "uabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8038[] = {
  "sabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8039[] = {
  "uabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8040[] = {
  "sabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8041[] = {
  "uabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8042[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8043[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8044[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8045[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8046[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8047[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8048[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8049[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuabd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuabd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8050[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8051[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8052[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8053[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8054[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8055[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8056[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8057[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8058[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8059[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8060[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8061[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8062[] = {
  "sqadd\t%0.b, %0.b, #%D2",
  "sqsub\t%0.b, %0.b, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.b, %0.b, #%N2",
  "sqadd\t%0.b, %1.b, %2.b",
};

static const char * const output_8063[] = {
  "sqsub\t%0.b, %0.b, #%D2",
  "sqadd\t%0.b, %0.b, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%N2",
  "sqsub\t%0.b, %1.b, %2.b",
};

static const char * const output_8064[] = {
  "sqadd\t%0.h, %0.h, #%D2",
  "sqsub\t%0.h, %0.h, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.h, %0.h, #%N2",
  "sqadd\t%0.h, %1.h, %2.h",
};

static const char * const output_8065[] = {
  "sqsub\t%0.h, %0.h, #%D2",
  "sqadd\t%0.h, %0.h, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%N2",
  "sqsub\t%0.h, %1.h, %2.h",
};

static const char * const output_8066[] = {
  "sqadd\t%0.s, %0.s, #%D2",
  "sqsub\t%0.s, %0.s, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.s, %0.s, #%N2",
  "sqadd\t%0.s, %1.s, %2.s",
};

static const char * const output_8067[] = {
  "sqsub\t%0.s, %0.s, #%D2",
  "sqadd\t%0.s, %0.s, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%N2",
  "sqsub\t%0.s, %1.s, %2.s",
};

static const char * const output_8068[] = {
  "sqadd\t%0.d, %0.d, #%D2",
  "sqsub\t%0.d, %0.d, #%N2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqsub\t%0.d, %0.d, #%N2",
  "sqadd\t%0.d, %1.d, %2.d",
};

static const char * const output_8069[] = {
  "sqsub\t%0.d, %0.d, #%D2",
  "sqadd\t%0.d, %0.d, #%N2",
  "movprfx\t%0, %1\n\tsqsub\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%N2",
  "sqsub\t%0.d, %1.d, %2.d",
};

static const char * const output_8070[] = {
  "uqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.b, %0.b, #%D2",
  "uqadd\t%0.b, %1.b, %2.b",
};

static const char * const output_8071[] = {
  "uqsub\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.b, %0.b, #%D2",
  "uqsub\t%0.b, %1.b, %2.b",
};

static const char * const output_8072[] = {
  "uqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.h, %0.h, #%D2",
  "uqadd\t%0.h, %1.h, %2.h",
};

static const char * const output_8073[] = {
  "uqsub\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.h, %0.h, #%D2",
  "uqsub\t%0.h, %1.h, %2.h",
};

static const char * const output_8074[] = {
  "uqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.s, %0.s, #%D2",
  "uqadd\t%0.s, %1.s, %2.s",
};

static const char * const output_8075[] = {
  "uqsub\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.s, %0.s, #%D2",
  "uqsub\t%0.s, %1.s, %2.s",
};

static const char * const output_8076[] = {
  "uqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tuqadd\t%0.d, %0.d, #%D2",
  "uqadd\t%0.d, %1.d, %2.d",
};

static const char * const output_8077[] = {
  "uqsub\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tuqsub\t%0.d, %0.d, #%D2",
  "uqsub\t%0.d, %1.d, %2.d",
};

static const char * const output_8078[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8079[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8080[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8081[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8082[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8083[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8084[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8085[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8086[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8087[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8088[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8089[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8090[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8091[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8092[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8093[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8094[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8095[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8096[] = {
  "smulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8097[] = {
  "umulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8098[] = {
  "smulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8099[] = {
  "umulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8100[] = {
  "smulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8101[] = {
  "umulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8102[] = {
  "smulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8103[] = {
  "umulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8104[] = {
  "smulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8105[] = {
  "umulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8106[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsmulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8107[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tumulh\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8108[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsmulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8109[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tumulh\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8110[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsmulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8111[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tumulh\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8112[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsmulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8113[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tumulh\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8114[] = {
  "sdiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "sdivr\t%Z0.s, %1/m, %Z0.s, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsdiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_8115[] = {
  "udiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "udivr\t%Z0.s, %1/m, %Z0.s, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tudiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_8116[] = {
  "sdiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "sdivr\t%Z0.d, %1/m, %Z0.d, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsdiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_8117[] = {
  "udiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "udivr\t%Z0.d, %1/m, %Z0.d, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tudiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_8118[] = {
  "sdiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "sdivr\t%Z0.s, %1/m, %Z0.s, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tsdiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_8119[] = {
  "udiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "udivr\t%Z0.s, %1/m, %Z0.s, %Z2.s",
  "movprfx\t%Z0, %Z2\n\tudiv\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_8120[] = {
  "sdiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "sdivr\t%Z0.d, %1/m, %Z0.d, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tsdiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_8121[] = {
  "udiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "udivr\t%Z0.d, %1/m, %Z0.d, %Z2.d",
  "movprfx\t%Z0, %Z2\n\tudiv\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_8122[] = {
  "sdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8123[] = {
  "udiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8124[] = {
  "sdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8125[] = {
  "udiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8126[] = {
  "sdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8127[] = {
  "udivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tudivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8128[] = {
  "sdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8129[] = {
  "udivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tudivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8130[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8131[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tudivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tudiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8132[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8133[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tudivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tudiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8134[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8135[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8136[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8137[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8138[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8139[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8140[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8141[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8142[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8143[] = {
  "and\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.b, %0.b, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8144[] = {
  "orr\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.b, %0.b, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8145[] = {
  "eor\t%0.b, %0.b, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.b, %0.b, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8146[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8147[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8148[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8149[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8150[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8151[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8152[] = {
  "and\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.h, %0.h, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8153[] = {
  "orr\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.h, %0.h, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8154[] = {
  "eor\t%0.h, %0.h, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.h, %0.h, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8155[] = {
  "and\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.s, %0.s, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8156[] = {
  "orr\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.s, %0.s, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8157[] = {
  "eor\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.s, %0.s, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8158[] = {
  "and\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.s, %0.s, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8159[] = {
  "orr\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.s, %0.s, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8160[] = {
  "eor\t%0.s, %0.s, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.s, %0.s, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8161[] = {
  "and\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\tand\t%0.d, %0.d, #%C2",
  "and\t%0.d, %1.d, %2.d",
};

static const char * const output_8162[] = {
  "orr\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\torr\t%0.d, %0.d, #%C2",
  "orr\t%0.d, %1.d, %2.d",
};

static const char * const output_8163[] = {
  "eor\t%0.d, %0.d, #%C2",
  "movprfx\t%0, %1\n\teor\t%0.d, %0.d, #%C2",
  "eor\t%0.d, %1.d, %2.d",
};

static const char * const output_8174[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8175[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8176[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8177[] = {
  "bic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tbic\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8178[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8179[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8180[] = {
  "bic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbic\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8181[] = {
  "bic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tbic\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8182[] = {
  "bic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tbic\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8183[] = {
  "bic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tbic\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8184[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8185[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8186[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8187[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tbic\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_8188[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8189[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8190[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbic\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8191[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8192[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tbic\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8193[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tbic\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8194[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8195[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8196[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8197[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8198[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8199[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8200[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8201[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8202[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8203[] = {
  "#",
  "lsl\t%0.b, %1/m, %0.b, %3.b",
  "lslr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8204[] = {
  "#",
  "asr\t%0.b, %1/m, %0.b, %3.b",
  "asrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8205[] = {
  "#",
  "lsr\t%0.b, %1/m, %0.b, %3.b",
  "lsrr\t%0.b, %1/m, %3.b, %2.b",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_8206[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8207[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8208[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8209[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8210[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8211[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8212[] = {
  "#",
  "lsl\t%0.h, %1/m, %0.h, %3.h",
  "lslr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8213[] = {
  "#",
  "asr\t%0.h, %1/m, %0.h, %3.h",
  "asrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8214[] = {
  "#",
  "lsr\t%0.h, %1/m, %0.h, %3.h",
  "lsrr\t%0.h, %1/m, %3.h, %2.h",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8215[] = {
  "#",
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "lslr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8216[] = {
  "#",
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "asrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8217[] = {
  "#",
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "lsrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8218[] = {
  "#",
  "lsl\t%0.s, %1/m, %0.s, %3.s",
  "lslr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8219[] = {
  "#",
  "asr\t%0.s, %1/m, %0.s, %3.s",
  "asrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8220[] = {
  "#",
  "lsr\t%0.s, %1/m, %0.s, %3.s",
  "lsrr\t%0.s, %1/m, %3.s, %2.s",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8221[] = {
  "#",
  "lsl\t%0.d, %1/m, %0.d, %3.d",
  "lslr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8222[] = {
  "#",
  "asr\t%0.d, %1/m, %0.d, %3.d",
  "asrr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8223[] = {
  "#",
  "lsr\t%0.d, %1/m, %0.d, %3.d",
  "lsrr\t%0.d, %1/m, %3.d, %2.d",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8224[] = {
  "add\t%0.b, %1.b, %1.b",
  "lsl\t%0.b, %1.b, #%2",
};

static const char * const output_8225[] = {
  "add\t%0.b, %1.b, %1.b",
  "lsl\t%0.b, %1.b, #%2",
};

static const char * const output_8226[] = {
  "add\t%0.b, %1.b, %1.b",
  "lsl\t%0.b, %1.b, #%2",
};

static const char * const output_8227[] = {
  "add\t%0.b, %1.b, %1.b",
  "lsl\t%0.b, %1.b, #%2",
};

static const char * const output_8228[] = {
  "add\t%0.h, %1.h, %1.h",
  "lsl\t%0.h, %1.h, #%2",
};

static const char * const output_8229[] = {
  "add\t%0.h, %1.h, %1.h",
  "lsl\t%0.h, %1.h, #%2",
};

static const char * const output_8230[] = {
  "add\t%0.h, %1.h, %1.h",
  "lsl\t%0.h, %1.h, #%2",
};

static const char * const output_8231[] = {
  "add\t%0.s, %1.s, %1.s",
  "lsl\t%0.s, %1.s, #%2",
};

static const char * const output_8232[] = {
  "add\t%0.s, %1.s, %1.s",
  "lsl\t%0.s, %1.s, #%2",
};

static const char * const output_8233[] = {
  "add\t%0.d, %1.d, %1.d",
  "lsl\t%0.d, %1.d, #%2",
};

static const char * const output_8254[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8255[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8256[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8257[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8258[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8259[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8260[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8261[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8262[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8263[] = {
  "lsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8264[] = {
  "asr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8265[] = {
  "lsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8266[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8267[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8268[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8269[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8270[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8271[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8272[] = {
  "lsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8273[] = {
  "asr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8274[] = {
  "lsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8275[] = {
  "lsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8276[] = {
  "asr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8277[] = {
  "lsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8278[] = {
  "lsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8279[] = {
  "asr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8280[] = {
  "lsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8281[] = {
  "lsl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tlsl\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8282[] = {
  "asr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8283[] = {
  "lsr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tlsr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8284[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8285[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8286[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8287[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8288[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8289[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8290[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8291[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8292[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8293[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsl\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8294[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8295[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tlsr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8296[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8297[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8298[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8299[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8300[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8301[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8302[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsl\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8303[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8304[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tlsr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8305[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8306[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8307[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8308[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsl\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8309[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8310[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tlsr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8311[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tlsl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsl\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8312[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tasr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tasr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8313[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tlsr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tlsr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8323[] = {
  "lsl\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_8324[] = {
  "asr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_8325[] = {
  "lsr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_8326[] = {
  "lsl\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_8327[] = {
  "asr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_8328[] = {
  "lsr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_8329[] = {
  "lsl\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_8330[] = {
  "asr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tasr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_8331[] = {
  "lsr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0, %2\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_8332[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsl\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_8333[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tasr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tasr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_8334[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
  "movprfx\t%0.b, %1/z, %2.b\n\tlsr\t%0.b, %1/m, %0.b, %3.d",
};

static const char * const output_8335[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsl\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_8336[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tasr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tasr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_8337[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tlsr\t%0.h, %1/m, %0.h, %3.d",
};

static const char * const output_8338[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsl\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_8339[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tasr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tasr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_8340[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tlsr\t%0.s, %1/m, %0.s, %3.d",
};

static const char * const output_8341[] = {
  "asrd\t%Z0.b, %1/m, %Z0.b, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.b, %1/m, %Z0.b, #%3",
};

static const char * const output_8342[] = {
  "asrd\t%Z0.b, %1/m, %Z0.b, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.b, %1/m, %Z0.b, #%3",
};

static const char * const output_8343[] = {
  "asrd\t%Z0.b, %1/m, %Z0.b, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.b, %1/m, %Z0.b, #%3",
};

static const char * const output_8344[] = {
  "asrd\t%Z0.b, %1/m, %Z0.b, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.b, %1/m, %Z0.b, #%3",
};

static const char * const output_8345[] = {
  "asrd\t%Z0.h, %1/m, %Z0.h, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.h, %1/m, %Z0.h, #%3",
};

static const char * const output_8346[] = {
  "asrd\t%Z0.h, %1/m, %Z0.h, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.h, %1/m, %Z0.h, #%3",
};

static const char * const output_8347[] = {
  "asrd\t%Z0.h, %1/m, %Z0.h, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.h, %1/m, %Z0.h, #%3",
};

static const char * const output_8348[] = {
  "asrd\t%Z0.s, %1/m, %Z0.s, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.s, %1/m, %Z0.s, #%3",
};

static const char * const output_8349[] = {
  "asrd\t%Z0.s, %1/m, %Z0.s, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.s, %1/m, %Z0.s, #%3",
};

static const char * const output_8350[] = {
  "asrd\t%Z0.d, %1/m, %Z0.d, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.d, %1/m, %Z0.d, #%3",
};

static const char * const output_8351[] = {
  "asrd\t%Z0.b, %1/m, %Z0.b, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.b, %1/m, %Z0.b, #%3",
};

static const char * const output_8352[] = {
  "asrd\t%Z0.b, %1/m, %Z0.b, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.b, %1/m, %Z0.b, #%3",
};

static const char * const output_8353[] = {
  "asrd\t%Z0.h, %1/m, %Z0.h, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.h, %1/m, %Z0.h, #%3",
};

static const char * const output_8354[] = {
  "asrd\t%Z0.h, %1/m, %Z0.h, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.h, %1/m, %Z0.h, #%3",
};

static const char * const output_8355[] = {
  "asrd\t%Z0.s, %1/m, %Z0.s, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.s, %1/m, %Z0.s, #%3",
};

static const char * const output_8356[] = {
  "asrd\t%Z0.s, %1/m, %Z0.s, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.s, %1/m, %Z0.s, #%3",
};

static const char * const output_8357[] = {
  "asrd\t%Z0.d, %1/m, %Z0.d, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.d, %1/m, %Z0.d, #%3",
};

static const char * const output_8358[] = {
  "asrd\t%Z0.d, %1/m, %Z0.d, #%3",
  "movprfx\t%Z0, %Z2\n\tasrd\t%Z0.d, %1/m, %Z0.d, #%3",
};

static const char * const output_8359[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8360[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8361[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8362[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8363[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8364[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8365[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8366[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8367[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8368[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8369[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8370[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8371[] = {
  "asrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8372[] = {
  "sqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8373[] = {
  "srshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8374[] = {
  "urshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.b, %1/m, %0.b, #%3",
};

static const char * const output_8375[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8376[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8377[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8378[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8379[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8380[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8381[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8382[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8383[] = {
  "asrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8384[] = {
  "sqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8385[] = {
  "srshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8386[] = {
  "urshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8387[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8388[] = {
  "sqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8389[] = {
  "srshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8390[] = {
  "urshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8391[] = {
  "asrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8392[] = {
  "sqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8393[] = {
  "srshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8394[] = {
  "urshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8395[] = {
  "asrd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tasrd\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8396[] = {
  "sqshlu\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8397[] = {
  "srshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8398[] = {
  "urshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\turshr\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8399[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8400[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8401[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8402[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8403[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8404[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8405[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8406[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8407[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8408[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8409[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8410[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8411[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tasrd\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8412[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshlu\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8413[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8414[] = {
  "movprfx\t%0.b, %1/z, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\turshr\t%0.b, %1/m, %0.b, #%3",
  "#",
};

static const char * const output_8415[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8416[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8417[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8418[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8419[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8420[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8421[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8422[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8423[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tasrd\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8424[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshlu\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8425[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8426[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\turshr\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8427[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8428[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8429[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8430[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8431[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tasrd\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8432[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshlu\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8433[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8434[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\turshr\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8435[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tasrd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tasrd\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8436[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshlu\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8437[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrshr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8438[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\turshr\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\turshr\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8445[] = {
  "fscale\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "movprfx\t%Z0, %Z2\n\tfscale\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_8446[] = {
  "fscale\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "movprfx\t%Z0, %Z2\n\tfscale\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_8447[] = {
  "fscale\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tfscale\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_8448[] = {
  "fscale\t%Z0.h, %1/m, %Z0.h, %Z3.h",
  "movprfx\t%Z0, %Z2\n\tfscale\t%Z0.h, %1/m, %Z0.h, %Z3.h",
};

static const char * const output_8449[] = {
  "fscale\t%Z0.s, %1/m, %Z0.s, %Z3.s",
  "movprfx\t%Z0, %Z2\n\tfscale\t%Z0.s, %1/m, %Z0.s, %Z3.s",
};

static const char * const output_8450[] = {
  "fscale\t%Z0.d, %1/m, %Z0.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tfscale\t%Z0.d, %1/m, %Z0.d, %Z3.d",
};

static const char * const output_8451[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8452[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8453[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8454[] = {
  "fscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8455[] = {
  "fscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8456[] = {
  "fscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8457[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8458[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8459[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8460[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfscale\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8461[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfscale\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8462[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfscale\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8481[] = {
  "famax\t%0.h, %1/m, %0.h, %3.h",
  "famax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8482[] = {
  "famin\t%0.h, %1/m, %0.h, %3.h",
  "famin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8483[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8484[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8485[] = {
  "famax\t%0.s, %1/m, %0.s, %3.s",
  "famax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8486[] = {
  "famin\t%0.s, %1/m, %0.s, %3.s",
  "famin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8487[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8488[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8489[] = {
  "famax\t%0.d, %1/m, %0.d, %3.d",
  "famax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8490[] = {
  "famin\t%0.d, %1/m, %0.d, %3.d",
  "famin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8491[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8492[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8493[] = {
  "bfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8494[] = {
  "bfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfamax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8495[] = {
  "bfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfamin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8496[] = {
  "bfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8497[] = {
  "bfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8498[] = {
  "bfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8499[] = {
  "bfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8500[] = {
  "bfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8501[] = {
  "bfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8502[] = {
  "bfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8503[] = {
  "bfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8504[] = {
  "bfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8505[] = {
  "bfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8506[] = {
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8507[] = {
  "famax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8508[] = {
  "famin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8509[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8510[] = {
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8511[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8512[] = {
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8513[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8514[] = {
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8515[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8516[] = {
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8517[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8518[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8519[] = {
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8520[] = {
  "famax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8521[] = {
  "famin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8522[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8523[] = {
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8524[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8525[] = {
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8526[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8527[] = {
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8528[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8529[] = {
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8530[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8531[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8532[] = {
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8533[] = {
  "famax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8534[] = {
  "famin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8535[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8536[] = {
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8537[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8538[] = {
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8539[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8540[] = {
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8541[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8542[] = {
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8543[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8544[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8545[] = {
  "bfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8546[] = {
  "bfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfamax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8547[] = {
  "bfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfamin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8548[] = {
  "bfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8549[] = {
  "bfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8550[] = {
  "bfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8551[] = {
  "bfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8552[] = {
  "bfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8553[] = {
  "bfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8554[] = {
  "bfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8555[] = {
  "bfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8556[] = {
  "bfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8557[] = {
  "bfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8558[] = {
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8559[] = {
  "famax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8560[] = {
  "famin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8561[] = {
  "fdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8562[] = {
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8563[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8564[] = {
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8565[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8566[] = {
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8567[] = {
  "fmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8568[] = {
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8569[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8570[] = {
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8571[] = {
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8572[] = {
  "famax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8573[] = {
  "famin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8574[] = {
  "fdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8575[] = {
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8576[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8577[] = {
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8578[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8579[] = {
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8580[] = {
  "fmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8581[] = {
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8582[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8583[] = {
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8584[] = {
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8585[] = {
  "famax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8586[] = {
  "famin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8587[] = {
  "fdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8588[] = {
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8589[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8590[] = {
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8591[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8592[] = {
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8593[] = {
  "fmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8594[] = {
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8595[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8596[] = {
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8597[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8598[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8599[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8600[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8601[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8602[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8603[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8604[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8605[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8606[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8607[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8608[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8609[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8610[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8611[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8612[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8613[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8614[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8615[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8616[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8617[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8618[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8619[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8620[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8621[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8622[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8623[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8624[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
};

static const char * const output_8625[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8626[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8627[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8628[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8629[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8630[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8631[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
};

static const char * const output_8632[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8633[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8634[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8635[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8636[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8637[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8638[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
};

static const char * const output_8639[] = {
  "bfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8640[] = {
  "bfamax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfamax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8641[] = {
  "bfamin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfamin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8642[] = {
  "bfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8643[] = {
  "bfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8644[] = {
  "bfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8645[] = {
  "bfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8646[] = {
  "bfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8647[] = {
  "bfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8648[] = {
  "bfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfmulx\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8649[] = {
  "bfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8650[] = {
  "bfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8651[] = {
  "bfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8652[] = {
  "fadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8653[] = {
  "famax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfamax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8654[] = {
  "famin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfamin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8655[] = {
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8656[] = {
  "fmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8657[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8658[] = {
  "fmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8659[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8660[] = {
  "fmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8661[] = {
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8662[] = {
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8663[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8664[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8665[] = {
  "fadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8666[] = {
  "famax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfamax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8667[] = {
  "famin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfamin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8668[] = {
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8669[] = {
  "fmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8670[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8671[] = {
  "fmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8672[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8673[] = {
  "fmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8674[] = {
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8675[] = {
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8676[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8677[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8678[] = {
  "fadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8679[] = {
  "famax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfamax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8680[] = {
  "famin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfamin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8681[] = {
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8682[] = {
  "fmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8683[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8684[] = {
  "fmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8685[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8686[] = {
  "fmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8687[] = {
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8688[] = {
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8689[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8690[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8691[] = {
  "bfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8692[] = {
  "bfamax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfamax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8693[] = {
  "bfamin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfamin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8694[] = {
  "bfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8695[] = {
  "bfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8696[] = {
  "bfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8697[] = {
  "bfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8698[] = {
  "bfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8699[] = {
  "bfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8700[] = {
  "bfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfmulx\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8701[] = {
  "bfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8702[] = {
  "bfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8703[] = {
  "bfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tbfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8704[] = {
  "fadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8705[] = {
  "famax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfamax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8706[] = {
  "famin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfamin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8707[] = {
  "fdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8708[] = {
  "fmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8709[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8710[] = {
  "fmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8711[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8712[] = {
  "fmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8713[] = {
  "fmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8714[] = {
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8715[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8716[] = {
  "fminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8717[] = {
  "fadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8718[] = {
  "famax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfamax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8719[] = {
  "famin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfamin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8720[] = {
  "fdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8721[] = {
  "fmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8722[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8723[] = {
  "fmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8724[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8725[] = {
  "fmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8726[] = {
  "fmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8727[] = {
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8728[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8729[] = {
  "fminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8730[] = {
  "fadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8731[] = {
  "famax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfamax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8732[] = {
  "famin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfamin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8733[] = {
  "fdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8734[] = {
  "fmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8735[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8736[] = {
  "fmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8737[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8738[] = {
  "fmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8739[] = {
  "fmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8740[] = {
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8741[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8742[] = {
  "fminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8743[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8744[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfamax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfamax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8745[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfamin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfamin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8746[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfdiv\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8747[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8748[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8749[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8750[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8751[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8752[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfmulx\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8753[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8754[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8755[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8756[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8757[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfamax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8758[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfamin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8759[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8760[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8761[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8762[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8763[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8764[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8765[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8766[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8767[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8768[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8769[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8770[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfamax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8771[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfamin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8772[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8773[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8774[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8775[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8776[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8777[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8778[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8779[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8780[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8781[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8782[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8783[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfamax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8784[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfamin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8785[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8786[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8787[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8788[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8789[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8790[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8791[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8792[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8793[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8794[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8795[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8796[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfamax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfamax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8797[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfamin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfamin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8798[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfdiv\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8799[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8800[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8801[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8802[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8803[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8804[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfmulx\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8805[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8806[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8807[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8808[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8809[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfamax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8810[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfamin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8811[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfdivr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfdiv\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8812[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8813[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8814[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8815[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8816[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8817[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmulx\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8818[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8819[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8820[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8821[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8822[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfamax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8823[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfamin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8824[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfdivr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfdiv\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8825[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmax\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8826[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8827[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmin\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8828[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8829[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmul\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8830[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmulx\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmulx\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8831[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8832[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8833[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfminnm\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8834[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8835[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfamax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8836[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfamin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8837[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfdivr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfdiv\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8838[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmax\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8839[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8840[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmin\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8841[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8842[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmul\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8843[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmulx\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmulx\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8844[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8845[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8846[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfminnm\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8847[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8848[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8849[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8850[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8851[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8852[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8853[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8854[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8855[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8856[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8857[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8858[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8859[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8860[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8861[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8862[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8863[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8864[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8865[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8866[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8867[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8868[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8869[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8870[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8871[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8872[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8873[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8874[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "#",
};

static const char * const output_8875[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8876[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8877[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8878[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8879[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8880[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8881[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "#",
};

static const char * const output_8882[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8883[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8884[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8885[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8886[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8887[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8888[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "#",
};

static const char * const output_8889[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "fadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8890[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "fadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8891[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "fadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8892[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
};

static const char * const output_8893[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
};

static const char * const output_8894[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
};

static const char * const output_8895[] = {
  "fadd\t%0.h, %1/m, %0.h, #%3",
  "fsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
};

static const char * const output_8896[] = {
  "fadd\t%0.s, %1/m, %0.s, #%3",
  "fsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
};

static const char * const output_8897[] = {
  "fadd\t%0.d, %1/m, %0.d, #%3",
  "fsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0, %2\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
};

static const char * const output_8898[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "#",
};

static const char * const output_8899[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "#",
};

static const char * const output_8900[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "#",
};

static const char * const output_8901[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfadd\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tfsub\t%0.h, %1/m, %0.h, #%N3",
  "#",
  "#",
};

static const char * const output_8902[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfadd\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tfsub\t%0.s, %1/m, %0.s, #%N3",
  "#",
  "#",
};

static const char * const output_8903[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfadd\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tfsub\t%0.d, %1/m, %0.d, #%N3",
  "#",
  "#",
};

static const char * const output_8904[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_8905[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_8906[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_8907[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_8908[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_8909[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_8910[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_8911[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_8912[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_8913[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_8914[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_8915[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_8916[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
};

static const char * const output_8917[] = {
  "fcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
};

static const char * const output_8918[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
};

static const char * const output_8919[] = {
  "fcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
};

static const char * const output_8920[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
};

static const char * const output_8921[] = {
  "fcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0, %2\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
};

static const char * const output_8922[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "#",
};

static const char * const output_8923[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "#",
};

static const char * const output_8924[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "#",
};

static const char * const output_8925[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "#",
};

static const char * const output_8926[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "#",
};

static const char * const output_8927[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "#",
};

static const char * const output_8928[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #90",
  "#",
};

static const char * const output_8929[] = {
  "movprfx\t%0.h, %1/z, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %2.h\n\tfcadd\t%0.h, %1/m, %0.h, %3.h, #270",
  "#",
};

static const char * const output_8930[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #90",
  "#",
};

static const char * const output_8931[] = {
  "movprfx\t%0.s, %1/z, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %2.s\n\tfcadd\t%0.s, %1/m, %0.s, %3.s, #270",
  "#",
};

static const char * const output_8932[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #90",
  "#",
};

static const char * const output_8933[] = {
  "movprfx\t%0.d, %1/z, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %2.d\n\tfcadd\t%0.d, %1/m, %0.d, %3.d, #270",
  "#",
};

static const char * const output_8934[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
  "fsub\t%0.h, %1/m, %0.h, %3.h",
  "fsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8935[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
  "fsub\t%0.s, %1/m, %0.s, %3.s",
  "fsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8936[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
  "fsub\t%0.d, %1/m, %0.d, %3.d",
  "fsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %2\n\tfsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8937[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
};

static const char * const output_8938[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
};

static const char * const output_8939[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
};

static const char * const output_8940[] = {
  "fsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
};

static const char * const output_8941[] = {
  "fsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
};

static const char * const output_8942[] = {
  "fsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0, %3\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
};

static const char * const output_8943[] = {
  "movprfx\t%0.h, %1/z, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0.h, %1/m, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
};

static const char * const output_8944[] = {
  "movprfx\t%0.s, %1/z, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0.s, %1/m, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
};

static const char * const output_8945[] = {
  "movprfx\t%0.d, %1/z, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0.d, %1/m, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
};

static const char * const output_8946[] = {
  "movprfx\t%0.h, %1/z, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "movprfx\t%0.h, %1/m, %3.h\n\tfsubr\t%0.h, %1/m, %0.h, #%2",
  "#",
};

static const char * const output_8947[] = {
  "movprfx\t%0.s, %1/z, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "movprfx\t%0.s, %1/m, %3.s\n\tfsubr\t%0.s, %1/m, %0.s, #%2",
  "#",
};

static const char * const output_8948[] = {
  "movprfx\t%0.d, %1/z, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "movprfx\t%0.d, %1/m, %3.d\n\tfsubr\t%0.d, %1/m, %0.d, #%2",
  "#",
};

static const char * const output_8949[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8950[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8951[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8952[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8953[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8954[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8955[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8956[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8957[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8958[] = {
  "fabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8959[] = {
  "fabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8960[] = {
  "fabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_8961[] = {
  "fabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8962[] = {
  "fabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8963[] = {
  "fabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8964[] = {
  "fabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_8965[] = {
  "fabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_8966[] = {
  "fabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_8967[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8968[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8969[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8970[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfabd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tfabd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_8971[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfabd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tfabd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_8972[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfabd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tfabd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_8973[] = {
  "fmul\t%0.h, %1/m, %0.h, #%3",
  "#",
  "fmul\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_8974[] = {
  "fmul\t%0.s, %1/m, %0.s, #%3",
  "#",
  "fmul\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_8975[] = {
  "fmul\t%0.d, %1/m, %0.d, #%3",
  "#",
  "fmul\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmul\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9007[] = {
  "fmax\t%0.h, %1/m, %0.h, #%3",
  "fmax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9008[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9009[] = {
  "fmin\t%0.h, %1/m, %0.h, #%3",
  "fmin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9010[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9011[] = {
  "fmaxnm\t%0.h, %1/m, %0.h, #%3",
  "fmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9012[] = {
  "fminnm\t%0.h, %1/m, %0.h, #%3",
  "fminnm\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_9013[] = {
  "fmax\t%0.s, %1/m, %0.s, #%3",
  "fmax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9014[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9015[] = {
  "fmin\t%0.s, %1/m, %0.s, #%3",
  "fmin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9016[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9017[] = {
  "fmaxnm\t%0.s, %1/m, %0.s, #%3",
  "fmaxnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9018[] = {
  "fminnm\t%0.s, %1/m, %0.s, #%3",
  "fminnm\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_9019[] = {
  "fmax\t%0.d, %1/m, %0.d, #%3",
  "fmax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9020[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9021[] = {
  "fmin\t%0.d, %1/m, %0.d, #%3",
  "fmin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9022[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9023[] = {
  "fmaxnm\t%0.d, %1/m, %0.d, #%3",
  "fmaxnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfmaxnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9024[] = {
  "fminnm\t%0.d, %1/m, %0.d, #%3",
  "fminnm\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tfminnm\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_9025[] = {
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
};

static const char * const output_9026[] = {
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
};

static const char * const output_9027[] = {
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
};

static const char * const output_9028[] = {
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
  "and\t%0.b, %1/z, %2.b, %2.b",
};

static const char * const output_9029[] = {
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9030[] = {
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9031[] = {
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9032[] = {
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9033[] = {
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9034[] = {
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9035[] = {
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9036[] = {
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9037[] = {
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9038[] = {
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
  "and\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9039[] = {
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
  "orr\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9040[] = {
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
  "eor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9041[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9042[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9043[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9044[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9045[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9046[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9047[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9048[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9049[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9050[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9051[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9052[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9053[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9054[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9055[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9056[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9057[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9058[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9059[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9060[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9061[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9062[] = {
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
  "ands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9063[] = {
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
  "orrs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9064[] = {
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
  "eors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9065[] = {
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9066[] = {
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9067[] = {
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9068[] = {
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9069[] = {
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9070[] = {
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9071[] = {
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
  "bic\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9072[] = {
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
  "orn\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9073[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9074[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9075[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9076[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9077[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9078[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9079[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9080[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9081[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9082[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9083[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9084[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9085[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9086[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9087[] = {
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
  "bics\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9088[] = {
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
  "orns\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9089[] = {
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9090[] = {
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9091[] = {
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9092[] = {
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9093[] = {
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9094[] = {
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9095[] = {
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
  "nor\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9096[] = {
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
  "nand\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9097[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9098[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9099[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9100[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9101[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9102[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9103[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9104[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9105[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9106[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9107[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9108[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9109[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9110[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9111[] = {
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
  "nors\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9112[] = {
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
  "nands\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9113[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9114[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9115[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9116[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9117[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9118[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9119[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9120[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9121[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9122[] = {
  "mad\t%0.d, %1/m, %3.d, %4.d",
  "mla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9123[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9124[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9125[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9126[] = {
  "mad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmad\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9127[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9128[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9129[] = {
  "mad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9130[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9131[] = {
  "mad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9132[] = {
  "mad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9133[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9134[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9135[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9136[] = {
  "mla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmla\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9137[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9138[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9139[] = {
  "mla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9140[] = {
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9141[] = {
  "mla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9142[] = {
  "mla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9143[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9144[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9145[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9146[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmad\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmla\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9147[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9148[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9149[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9150[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9151[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9152[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9153[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9154[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9155[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9156[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9157[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9158[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9159[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9160[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9161[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9162[] = {
  "msb\t%0.d, %1/m, %3.d, %4.d",
  "mls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9163[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9164[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9165[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9166[] = {
  "msb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0, %2\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
};

static const char * const output_9167[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9168[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9169[] = {
  "msb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9170[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9171[] = {
  "msb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9172[] = {
  "msb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9173[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9174[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9175[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9176[] = {
  "mls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0, %4\n\tmls\t%0.b, %1/m, %2.b, %3.b",
};

static const char * const output_9177[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9178[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9179[] = {
  "mls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9180[] = {
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9181[] = {
  "mls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9182[] = {
  "mls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9183[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9184[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9185[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9186[] = {
  "movprfx\t%0.b, %1/z, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %3.b, %4.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tmsb\t%0.b, %1/m, %2.b, %4.b",
  "movprfx\t%0.b, %1/m, %4.b\n\tmls\t%0.b, %1/m, %2.b, %3.b",
  "#",
};

static const char * const output_9187[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9188[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9189[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9190[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9191[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9192[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9193[] = {
  "sdot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tsdot\t%0.s, %1.b, %2.b",
};

static const char * const output_9194[] = {
  "udot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tudot\t%0.s, %1.b, %2.b",
};

static const char * const output_9195[] = {
  "sdot\t%0.d, %1.h, %2.h",
  "movprfx\t%0, %3\n\tsdot\t%0.d, %1.h, %2.h",
};

static const char * const output_9196[] = {
  "udot\t%0.d, %1.h, %2.h",
  "movprfx\t%0, %3\n\tudot\t%0.d, %1.h, %2.h",
};

static const char * const output_9197[] = {
  "sdot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_9198[] = {
  "udot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_9199[] = {
  "sdot\t%0.d, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.d, %1.b, %2.b[%3]",
};

static const char * const output_9200[] = {
  "udot\t%0.d, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.d, %1.b, %2.b[%3]",
};

static const char * const output_9201[] = {
  "sdot\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_9202[] = {
  "udot\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_9203[] = {
  "sdot\t%0.d, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tsdot\t%0.d, %1.h, %2.h[%3]",
};

static const char * const output_9204[] = {
  "udot\t%0.d, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tudot\t%0.d, %1.h, %2.h[%3]",
};

static const char * const output_9205[] = {
  "usdot\t%0.s, %1.b, %2.b",
  "movprfx\t%0, %3\n\tusdot\t%0.s, %1.b, %2.b",
};

static const char * const output_9206[] = {
  "usdot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tusdot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_9207[] = {
  "sudot\t%0.s, %1.b, %2.b[%3]",
  "movprfx\t%0, %4\n\tsudot\t%0.s, %1.b, %2.b[%3]",
};

static const char * const output_9208[] = {
  "smmla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmmla\t%0.s, %2.b, %3.b",
};

static const char * const output_9209[] = {
  "ummla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tummla\t%0.s, %2.b, %3.b",
};

static const char * const output_9210[] = {
  "usmmla\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tusmmla\t%0.s, %2.b, %3.b",
};

static const char * const output_9211[] = {
  "bfmla\t%0.h, %1/m, %2.h, %3.h",
  "bfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tbfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9212[] = {
  "bfmls\t%0.h, %1/m, %2.h, %3.h",
  "bfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tbfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9213[] = {
  "bfnmla\t%0.h, %1/m, %2.h, %3.h",
  "bfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tbfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9214[] = {
  "bfnmls\t%0.h, %1/m, %2.h, %3.h",
  "bfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tbfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9215[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9216[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9217[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9218[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9219[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9220[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9221[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9222[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9223[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9224[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9225[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9226[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9227[] = {
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9228[] = {
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9229[] = {
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9230[] = {
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9231[] = {
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9232[] = {
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9233[] = {
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9234[] = {
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9235[] = {
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9236[] = {
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9237[] = {
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9238[] = {
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9239[] = {
  "fmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9240[] = {
  "fmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9241[] = {
  "fnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9242[] = {
  "fnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0, %2\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
};

static const char * const output_9243[] = {
  "fmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9244[] = {
  "fmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9245[] = {
  "fnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9246[] = {
  "fnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0, %2\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
};

static const char * const output_9247[] = {
  "fmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9248[] = {
  "fmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9249[] = {
  "fnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9250[] = {
  "fnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0, %2\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
};

static const char * const output_9251[] = {
  "bfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tbfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9252[] = {
  "bfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tbfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9253[] = {
  "bfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tbfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9254[] = {
  "bfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tbfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9255[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9256[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9257[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9258[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9259[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9260[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9261[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9262[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9263[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9264[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9265[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9266[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9267[] = {
  "bfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tbfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9268[] = {
  "bfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tbfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9269[] = {
  "bfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tbfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9270[] = {
  "bfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tbfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9271[] = {
  "fmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9272[] = {
  "fmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9273[] = {
  "fnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9274[] = {
  "fnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0, %4\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
};

static const char * const output_9275[] = {
  "fmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9276[] = {
  "fmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9277[] = {
  "fnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9278[] = {
  "fnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0, %4\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
};

static const char * const output_9279[] = {
  "fmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9280[] = {
  "fmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9281[] = {
  "fnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9282[] = {
  "fnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0, %4\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
};

static const char * const output_9283[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tbfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tbfmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9284[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tbfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tbfmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9285[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tbfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfnmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tbfnmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9286[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tbfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfnmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tbfnmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9287[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9288[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9289[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9290[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9291[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9292[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9293[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9294[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9295[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9296[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9297[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9298[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9299[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tbfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tbfmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9300[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tbfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tbfmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9301[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tbfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfnmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tbfnmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9302[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tbfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tbfnmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tbfnmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9303[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9304[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9305[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmad\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmla\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9306[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %3.h, %4.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tfnmsb\t%0.h, %1/m, %2.h, %4.h",
  "movprfx\t%0.h, %1/m, %4.h\n\tfnmls\t%0.h, %1/m, %2.h, %3.h",
  "#",
};

static const char * const output_9307[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9308[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9309[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmad\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmla\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9310[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %3.s, %4.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tfnmsb\t%0.s, %1/m, %2.s, %4.s",
  "movprfx\t%0.s, %1/m, %4.s\n\tfnmls\t%0.s, %1/m, %2.s, %3.s",
  "#",
};

static const char * const output_9311[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9312[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9313[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmad\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmla\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9314[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %3.d, %4.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tfnmsb\t%0.d, %1/m, %2.d, %4.d",
  "movprfx\t%0.d, %1/m, %4.d\n\tfnmls\t%0.d, %1/m, %2.d, %3.d",
  "#",
};

static const char * const output_9315[] = {
  "bfmla\t%0.h, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tbfmla\t%0.h, %1.h, %2.h[%3]",
};

static const char * const output_9316[] = {
  "bfmls\t%0.h, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tbfmls\t%0.h, %1.h, %2.h[%3]",
};

static const char * const output_9317[] = {
  "fmla\t%0.h, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.h, %1.h, %2.h[%3]",
};

static const char * const output_9318[] = {
  "fmls\t%0.h, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.h, %1.h, %2.h[%3]",
};

static const char * const output_9319[] = {
  "fmla\t%0.s, %1.s, %2.s[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.s, %1.s, %2.s[%3]",
};

static const char * const output_9320[] = {
  "fmls\t%0.s, %1.s, %2.s[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.s, %1.s, %2.s[%3]",
};

static const char * const output_9321[] = {
  "fmla\t%0.d, %1.d, %2.d[%3]",
  "movprfx\t%0, %4\n\tfmla\t%0.d, %1.d, %2.d[%3]",
};

static const char * const output_9322[] = {
  "fmls\t%0.d, %1.d, %2.d[%3]",
  "movprfx\t%0, %4\n\tfmls\t%0.d, %1.d, %2.d[%3]",
};

static const char * const output_9323[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_9324[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_9325[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_9326[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_9327[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_9328[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_9329[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_9330[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_9331[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_9332[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_9333[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_9334[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_9335[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_9336[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_9337[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_9338[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_9339[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_9340[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_9341[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_9342[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_9343[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_9344[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_9345[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_9346[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_9347[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
};

static const char * const output_9348[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
};

static const char * const output_9349[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
};

static const char * const output_9350[] = {
  "fcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
};

static const char * const output_9351[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
};

static const char * const output_9352[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
};

static const char * const output_9353[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
};

static const char * const output_9354[] = {
  "fcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
};

static const char * const output_9355[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
};

static const char * const output_9356[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
};

static const char * const output_9357[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
};

static const char * const output_9358[] = {
  "fcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
};

static const char * const output_9359[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "#",
};

static const char * const output_9360[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "#",
};

static const char * const output_9361[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "#",
};

static const char * const output_9362[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "#",
};

static const char * const output_9363[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "#",
};

static const char * const output_9364[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "#",
};

static const char * const output_9365[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "#",
};

static const char * const output_9366[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "#",
};

static const char * const output_9367[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "#",
};

static const char * const output_9368[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "#",
};

static const char * const output_9369[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "#",
};

static const char * const output_9370[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "#",
};

static const char * const output_9371[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #0",
  "#",
};

static const char * const output_9372[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #90",
  "#",
};

static const char * const output_9373[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #180",
  "#",
};

static const char * const output_9374[] = {
  "movprfx\t%0.h, %1/z, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/z, %0.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "movprfx\t%0.h, %1/m, %4.h\n\tfcmla\t%0.h, %1/m, %2.h, %3.h, #270",
  "#",
};

static const char * const output_9375[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #0",
  "#",
};

static const char * const output_9376[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #90",
  "#",
};

static const char * const output_9377[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #180",
  "#",
};

static const char * const output_9378[] = {
  "movprfx\t%0.s, %1/z, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/z, %0.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "movprfx\t%0.s, %1/m, %4.s\n\tfcmla\t%0.s, %1/m, %2.s, %3.s, #270",
  "#",
};

static const char * const output_9379[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #0",
  "#",
};

static const char * const output_9380[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #90",
  "#",
};

static const char * const output_9381[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #180",
  "#",
};

static const char * const output_9382[] = {
  "movprfx\t%0.d, %1/z, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/z, %0.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "movprfx\t%0.d, %1/m, %4.d\n\tfcmla\t%0.d, %1/m, %2.d, %3.d, #270",
  "#",
};

static const char * const output_9383[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #0",
};

static const char * const output_9384[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #90",
};

static const char * const output_9385[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #180",
};

static const char * const output_9386[] = {
  "fcmla\t%0.h, %1.h, %2.h[%3], #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.h, %1.h, %2.h[%3], #270",
};

static const char * const output_9387[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #0",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #0",
};

static const char * const output_9388[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #90",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #90",
};

static const char * const output_9389[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #180",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #180",
};

static const char * const output_9390[] = {
  "fcmla\t%0.s, %1.s, %2.s[%3], #270",
  "movprfx\t%0, %4\n\tfcmla\t%0.s, %1.s, %2.s[%3], #270",
};

static const char * const output_9391[] = {
  "ftmad\t%0.h, %0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.h, %0.h, %2.h, #%3",
};

static const char * const output_9392[] = {
  "ftmad\t%0.s, %0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.s, %0.s, %2.s, #%3",
};

static const char * const output_9393[] = {
  "ftmad\t%0.d, %0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tftmad\t%0.d, %0.d, %2.d, #%3",
};

static const char * const output_9394[] = {
  "bfdot\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfdot\t%0.s, %2.h, %3.h",
};

static const char * const output_9395[] = {
  "bfmlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_9396[] = {
  "bfmlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_9397[] = {
  "bfmlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_9398[] = {
  "bfmlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_9399[] = {
  "bfmmla\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfmmla\t%0.s, %2.h, %3.h",
};

static const char * const output_9400[] = {
  "bfdot\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfdot\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9401[] = {
  "bfmlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9402[] = {
  "bfmlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9403[] = {
  "bfmlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9404[] = {
  "bfmlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tbfmlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_9405[] = {
  "fmmla\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tfmmla\t%0.s, %2.s, %3.s",
};

static const char * const output_9406[] = {
  "fmmla\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tfmmla\t%0.d, %2.d, %3.d",
};

static const char * const output_9407[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_9408[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_9409[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_9410[] = {
  "sel\t%0.b, %3, %1.b, %2.b",
  "mov\t%0.b, %3/m, #%I1",
  "mov\t%0.b, %3/z, #%I1",
  "fmov\t%0.b, %3/m, #%1",
  "movprfx\t%0.b, %3/z, %0.b\n\tfmov\t%0.b, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.b, %3/m, #%1",
};

static const char * const output_9411[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9412[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9413[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9414[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_9415[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_9416[] = {
  "sel\t%0.d, %3, %1.d, %2.d",
  "mov\t%0.d, %3/m, #%I1",
  "mov\t%0.d, %3/z, #%I1",
  "fmov\t%0.d, %3/m, #%1",
  "movprfx\t%0.d, %3/z, %0.d\n\tfmov\t%0.d, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.d, %3/m, #%1",
};

static const char * const output_9417[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9418[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9419[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9420[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9421[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9422[] = {
  "sel\t%0.h, %3, %1.h, %2.h",
  "mov\t%0.h, %3/m, #%I1",
  "mov\t%0.h, %3/z, #%I1",
  "fmov\t%0.h, %3/m, #%1",
  "movprfx\t%0.h, %3/z, %0.h\n\tfmov\t%0.h, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.h, %3/m, #%1",
};

static const char * const output_9423[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_9424[] = {
  "sel\t%0.s, %3, %1.s, %2.s",
  "mov\t%0.s, %3/m, #%I1",
  "mov\t%0.s, %3/z, #%I1",
  "fmov\t%0.s, %3/m, #%1",
  "movprfx\t%0.s, %3/z, %0.s\n\tfmov\t%0.s, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.s, %3/m, #%1",
};

static const char * const output_9425[] = {
  "sel\t%0.d, %3, %1.d, %2.d",
  "mov\t%0.d, %3/m, #%I1",
  "mov\t%0.d, %3/z, #%I1",
  "fmov\t%0.d, %3/m, #%1",
  "movprfx\t%0.d, %3/z, %0.d\n\tfmov\t%0.d, %3/m, #%1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, #%I1",
  "movprfx\t%0, %2\n\tfmov\t%0.d, %3/m, #%1",
};

static const char * const output_9426[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_9427[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_9428[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_9429[] = {
  "mov\t%0.b, %3/m, %w1",
  "mov\t%0.b, %3/m, %b1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0.b, %3/z, %0.b\n\tmov\t%0.b, %3/m, %b1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.b, %3/m, %b1",
};

static const char * const output_9430[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9431[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9432[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9433[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_9434[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_9435[] = {
  "mov\t%0.d, %3/m, %x1",
  "mov\t%0.d, %3/m, %d1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %d1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %d1",
};

static const char * const output_9436[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9437[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9438[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9439[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9440[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9441[] = {
  "mov\t%0.h, %3/m, %w1",
  "mov\t%0.h, %3/m, %h1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0.h, %3/z, %0.h\n\tmov\t%0.h, %3/m, %h1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.h, %3/m, %h1",
};

static const char * const output_9442[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_9443[] = {
  "mov\t%0.s, %3/m, %w1",
  "mov\t%0.s, %3/m, %s1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0.s, %3/z, %0.s\n\tmov\t%0.s, %3/m, %s1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %w1",
  "movprfx\t%0, %2\n\tmov\t%0.s, %3/m, %s1",
};

static const char * const output_9444[] = {
  "mov\t%0.d, %3/m, %x1",
  "mov\t%0.d, %3/m, %d1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0.d, %3/z, %0.d\n\tmov\t%0.d, %3/m, %d1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %x1",
  "movprfx\t%0, %2\n\tmov\t%0.d, %3/m, %d1",
};

static const char * const output_9445[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9446[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9447[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9448[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9449[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9450[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9451[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9452[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9453[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9454[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9455[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9456[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9457[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9458[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9459[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9460[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9461[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9462[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9463[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9464[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9465[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9466[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9467[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9468[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9469[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9470[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9471[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9472[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9473[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9474[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9475[] = {
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, #%4",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
  "cmplt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9476[] = {
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, #%4",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
  "cmple\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9477[] = {
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, #%4",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
  "cmpeq\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9478[] = {
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, #%4",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
  "cmpne\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9479[] = {
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, #%4",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
  "cmpge\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9480[] = {
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, #%4",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
  "cmpgt\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9481[] = {
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, #%4",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
  "cmplo\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9482[] = {
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, #%4",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
  "cmpls\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9483[] = {
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, #%4",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
  "cmphs\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9484[] = {
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, #%4",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
  "cmphi\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_9485[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9486[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9487[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9488[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9489[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9490[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9491[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9492[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9493[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9494[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9495[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9496[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9497[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9498[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9499[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9500[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9501[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9502[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9503[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9504[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9505[] = {
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, #%4",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
  "cmplt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9506[] = {
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, #%4",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
  "cmple\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9507[] = {
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, #%4",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
  "cmpeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9508[] = {
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, #%4",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
  "cmpne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9509[] = {
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, #%4",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
  "cmpge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9510[] = {
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, #%4",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
  "cmpgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9511[] = {
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, #%4",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
  "cmplo\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9512[] = {
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, #%4",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
  "cmpls\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9513[] = {
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, #%4",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
  "cmphs\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9514[] = {
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, #%4",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
  "cmphi\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_9515[] = {
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9516[] = {
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9517[] = {
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9518[] = {
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9519[] = {
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9520[] = {
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9521[] = {
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9522[] = {
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9523[] = {
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9524[] = {
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9525[] = {
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, #%4",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
  "cmplt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9526[] = {
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, #%4",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
  "cmple\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9527[] = {
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, #%4",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
  "cmpeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9528[] = {
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, #%4",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
  "cmpne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9529[] = {
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, #%4",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
  "cmpge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9530[] = {
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, #%4",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
  "cmpgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9531[] = {
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, #%4",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
  "cmplo\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9532[] = {
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, #%4",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
  "cmpls\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9533[] = {
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, #%4",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
  "cmphs\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9534[] = {
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, #%4",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
  "cmphi\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_9535[] = {
  "cmplt\t%0.d, %1/z, %3.d, #%4",
  "cmplt\t%0.d, %1/z, %3.d, #%4",
  "cmplt\t%0.d, %1/z, %3.d, #%4",
  "cmplt\t%0.d, %1/z, %3.d, %4.d",
  "cmplt\t%0.d, %1/z, %3.d, %4.d",
  "cmplt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9536[] = {
  "cmple\t%0.d, %1/z, %3.d, #%4",
  "cmple\t%0.d, %1/z, %3.d, #%4",
  "cmple\t%0.d, %1/z, %3.d, #%4",
  "cmple\t%0.d, %1/z, %3.d, %4.d",
  "cmple\t%0.d, %1/z, %3.d, %4.d",
  "cmple\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9537[] = {
  "cmpeq\t%0.d, %1/z, %3.d, #%4",
  "cmpeq\t%0.d, %1/z, %3.d, #%4",
  "cmpeq\t%0.d, %1/z, %3.d, #%4",
  "cmpeq\t%0.d, %1/z, %3.d, %4.d",
  "cmpeq\t%0.d, %1/z, %3.d, %4.d",
  "cmpeq\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9538[] = {
  "cmpne\t%0.d, %1/z, %3.d, #%4",
  "cmpne\t%0.d, %1/z, %3.d, #%4",
  "cmpne\t%0.d, %1/z, %3.d, #%4",
  "cmpne\t%0.d, %1/z, %3.d, %4.d",
  "cmpne\t%0.d, %1/z, %3.d, %4.d",
  "cmpne\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9539[] = {
  "cmpge\t%0.d, %1/z, %3.d, #%4",
  "cmpge\t%0.d, %1/z, %3.d, #%4",
  "cmpge\t%0.d, %1/z, %3.d, #%4",
  "cmpge\t%0.d, %1/z, %3.d, %4.d",
  "cmpge\t%0.d, %1/z, %3.d, %4.d",
  "cmpge\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9540[] = {
  "cmpgt\t%0.d, %1/z, %3.d, #%4",
  "cmpgt\t%0.d, %1/z, %3.d, #%4",
  "cmpgt\t%0.d, %1/z, %3.d, #%4",
  "cmpgt\t%0.d, %1/z, %3.d, %4.d",
  "cmpgt\t%0.d, %1/z, %3.d, %4.d",
  "cmpgt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9541[] = {
  "cmplo\t%0.d, %1/z, %3.d, #%4",
  "cmplo\t%0.d, %1/z, %3.d, #%4",
  "cmplo\t%0.d, %1/z, %3.d, #%4",
  "cmplo\t%0.d, %1/z, %3.d, %4.d",
  "cmplo\t%0.d, %1/z, %3.d, %4.d",
  "cmplo\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9542[] = {
  "cmpls\t%0.d, %1/z, %3.d, #%4",
  "cmpls\t%0.d, %1/z, %3.d, #%4",
  "cmpls\t%0.d, %1/z, %3.d, #%4",
  "cmpls\t%0.d, %1/z, %3.d, %4.d",
  "cmpls\t%0.d, %1/z, %3.d, %4.d",
  "cmpls\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9543[] = {
  "cmphs\t%0.d, %1/z, %3.d, #%4",
  "cmphs\t%0.d, %1/z, %3.d, #%4",
  "cmphs\t%0.d, %1/z, %3.d, #%4",
  "cmphs\t%0.d, %1/z, %3.d, %4.d",
  "cmphs\t%0.d, %1/z, %3.d, %4.d",
  "cmphs\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9544[] = {
  "cmphi\t%0.d, %1/z, %3.d, #%4",
  "cmphi\t%0.d, %1/z, %3.d, #%4",
  "cmphi\t%0.d, %1/z, %3.d, #%4",
  "cmphi\t%0.d, %1/z, %3.d, %4.d",
  "cmphi\t%0.d, %1/z, %3.d, %4.d",
  "cmphi\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_9545[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9546[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9547[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9548[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9549[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9550[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9551[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9552[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9553[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9554[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9555[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9556[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9557[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9558[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9559[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9560[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9561[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9562[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9563[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9564[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9565[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9566[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9567[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9568[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9569[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9570[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9571[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9572[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9573[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9574[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9575[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9576[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9577[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9578[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9579[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9580[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9581[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9582[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9583[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9584[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9585[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9586[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9587[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9588[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9589[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9590[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9591[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9592[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9593[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9594[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9595[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9596[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9597[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9598[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9599[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9600[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9601[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9602[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9603[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9604[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9605[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9606[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9607[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9608[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9609[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9610[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9611[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9612[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9613[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9614[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9615[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9616[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9617[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9618[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9619[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9620[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9621[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9622[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9623[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9624[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9625[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9626[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9627[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9628[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9629[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9630[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9631[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9632[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9633[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9634[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9635[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9636[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9637[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9638[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9639[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9640[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9641[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9642[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9643[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9644[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9645[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9646[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9647[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9648[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9649[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9650[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9651[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9652[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9653[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9654[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9655[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9656[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9657[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9658[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9659[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9660[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9661[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9662[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9663[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9664[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9665[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9666[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9667[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9668[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9669[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9670[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9671[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9672[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9673[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9674[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9675[] = {
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, #%3",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
  "cmplt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9676[] = {
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, #%3",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
  "cmple\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9677[] = {
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, #%3",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
  "cmpeq\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9678[] = {
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, #%3",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
  "cmpne\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9679[] = {
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, #%3",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
  "cmpge\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9680[] = {
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, #%3",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
  "cmpgt\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9681[] = {
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, #%3",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
  "cmplo\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9682[] = {
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, #%3",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
  "cmpls\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9683[] = {
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, #%3",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
  "cmphs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9684[] = {
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, #%3",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
  "cmphi\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_9685[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9686[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9687[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9688[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9689[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9690[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9691[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9692[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9693[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9694[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9695[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9696[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9697[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9698[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9699[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9700[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9701[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9702[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9703[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9704[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9705[] = {
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, #%3",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
  "cmplt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9706[] = {
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, #%3",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
  "cmple\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9707[] = {
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, #%3",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
  "cmpeq\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9708[] = {
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, #%3",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
  "cmpne\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9709[] = {
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, #%3",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
  "cmpge\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9710[] = {
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, #%3",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
  "cmpgt\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9711[] = {
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, #%3",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
  "cmplo\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9712[] = {
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, #%3",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
  "cmpls\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9713[] = {
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, #%3",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
  "cmphs\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9714[] = {
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, #%3",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
  "cmphi\t%0.h, %1/z, %2.h, %3.h",
};

static const char * const output_9715[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9716[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9717[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9718[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9719[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9720[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9721[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9722[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9723[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9724[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9725[] = {
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, #%3",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
  "cmplt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9726[] = {
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, #%3",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
  "cmple\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9727[] = {
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, #%3",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
  "cmpeq\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9728[] = {
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, #%3",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
  "cmpne\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9729[] = {
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, #%3",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
  "cmpge\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9730[] = {
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, #%3",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
  "cmpgt\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9731[] = {
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, #%3",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
  "cmplo\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9732[] = {
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, #%3",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
  "cmpls\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9733[] = {
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, #%3",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
  "cmphs\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9734[] = {
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, #%3",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
  "cmphi\t%0.s, %1/z, %2.s, %3.s",
};

static const char * const output_9735[] = {
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, #%3",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
  "cmplt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9736[] = {
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, #%3",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
  "cmple\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9737[] = {
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, #%3",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
  "cmpeq\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9738[] = {
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, #%3",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
  "cmpne\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9739[] = {
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, #%3",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
  "cmpge\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9740[] = {
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, #%3",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
  "cmpgt\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9741[] = {
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, #%3",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
  "cmplo\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9742[] = {
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, #%3",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
  "cmpls\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9743[] = {
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, #%3",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
  "cmphs\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9744[] = {
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, #%3",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
  "cmphi\t%0.d, %1/z, %2.d, %3.d",
};

static const char * const output_9845[] = {
  "cmpeq\t%0.b, %1/z, %3.b, %4.d",
  "cmpeq\t%0.b, %1/z, %3.b, %4.d",
  "cmpeq\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9846[] = {
  "cmpge\t%0.b, %1/z, %3.b, %4.d",
  "cmpge\t%0.b, %1/z, %3.b, %4.d",
  "cmpge\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9847[] = {
  "cmpgt\t%0.b, %1/z, %3.b, %4.d",
  "cmpgt\t%0.b, %1/z, %3.b, %4.d",
  "cmpgt\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9848[] = {
  "cmphi\t%0.b, %1/z, %3.b, %4.d",
  "cmphi\t%0.b, %1/z, %3.b, %4.d",
  "cmphi\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9849[] = {
  "cmphs\t%0.b, %1/z, %3.b, %4.d",
  "cmphs\t%0.b, %1/z, %3.b, %4.d",
  "cmphs\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9850[] = {
  "cmple\t%0.b, %1/z, %3.b, %4.d",
  "cmple\t%0.b, %1/z, %3.b, %4.d",
  "cmple\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9851[] = {
  "cmplo\t%0.b, %1/z, %3.b, %4.d",
  "cmplo\t%0.b, %1/z, %3.b, %4.d",
  "cmplo\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9852[] = {
  "cmpls\t%0.b, %1/z, %3.b, %4.d",
  "cmpls\t%0.b, %1/z, %3.b, %4.d",
  "cmpls\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9853[] = {
  "cmplt\t%0.b, %1/z, %3.b, %4.d",
  "cmplt\t%0.b, %1/z, %3.b, %4.d",
  "cmplt\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9854[] = {
  "cmpne\t%0.b, %1/z, %3.b, %4.d",
  "cmpne\t%0.b, %1/z, %3.b, %4.d",
  "cmpne\t%0.b, %1/z, %3.b, %4.d",
};

static const char * const output_9855[] = {
  "cmpeq\t%0.h, %1/z, %3.h, %4.d",
  "cmpeq\t%0.h, %1/z, %3.h, %4.d",
  "cmpeq\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9856[] = {
  "cmpge\t%0.h, %1/z, %3.h, %4.d",
  "cmpge\t%0.h, %1/z, %3.h, %4.d",
  "cmpge\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9857[] = {
  "cmpgt\t%0.h, %1/z, %3.h, %4.d",
  "cmpgt\t%0.h, %1/z, %3.h, %4.d",
  "cmpgt\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9858[] = {
  "cmphi\t%0.h, %1/z, %3.h, %4.d",
  "cmphi\t%0.h, %1/z, %3.h, %4.d",
  "cmphi\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9859[] = {
  "cmphs\t%0.h, %1/z, %3.h, %4.d",
  "cmphs\t%0.h, %1/z, %3.h, %4.d",
  "cmphs\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9860[] = {
  "cmple\t%0.h, %1/z, %3.h, %4.d",
  "cmple\t%0.h, %1/z, %3.h, %4.d",
  "cmple\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9861[] = {
  "cmplo\t%0.h, %1/z, %3.h, %4.d",
  "cmplo\t%0.h, %1/z, %3.h, %4.d",
  "cmplo\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9862[] = {
  "cmpls\t%0.h, %1/z, %3.h, %4.d",
  "cmpls\t%0.h, %1/z, %3.h, %4.d",
  "cmpls\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9863[] = {
  "cmplt\t%0.h, %1/z, %3.h, %4.d",
  "cmplt\t%0.h, %1/z, %3.h, %4.d",
  "cmplt\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9864[] = {
  "cmpne\t%0.h, %1/z, %3.h, %4.d",
  "cmpne\t%0.h, %1/z, %3.h, %4.d",
  "cmpne\t%0.h, %1/z, %3.h, %4.d",
};

static const char * const output_9865[] = {
  "cmpeq\t%0.s, %1/z, %3.s, %4.d",
  "cmpeq\t%0.s, %1/z, %3.s, %4.d",
  "cmpeq\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9866[] = {
  "cmpge\t%0.s, %1/z, %3.s, %4.d",
  "cmpge\t%0.s, %1/z, %3.s, %4.d",
  "cmpge\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9867[] = {
  "cmpgt\t%0.s, %1/z, %3.s, %4.d",
  "cmpgt\t%0.s, %1/z, %3.s, %4.d",
  "cmpgt\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9868[] = {
  "cmphi\t%0.s, %1/z, %3.s, %4.d",
  "cmphi\t%0.s, %1/z, %3.s, %4.d",
  "cmphi\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9869[] = {
  "cmphs\t%0.s, %1/z, %3.s, %4.d",
  "cmphs\t%0.s, %1/z, %3.s, %4.d",
  "cmphs\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9870[] = {
  "cmple\t%0.s, %1/z, %3.s, %4.d",
  "cmple\t%0.s, %1/z, %3.s, %4.d",
  "cmple\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9871[] = {
  "cmplo\t%0.s, %1/z, %3.s, %4.d",
  "cmplo\t%0.s, %1/z, %3.s, %4.d",
  "cmplo\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9872[] = {
  "cmpls\t%0.s, %1/z, %3.s, %4.d",
  "cmpls\t%0.s, %1/z, %3.s, %4.d",
  "cmpls\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9873[] = {
  "cmplt\t%0.s, %1/z, %3.s, %4.d",
  "cmplt\t%0.s, %1/z, %3.s, %4.d",
  "cmplt\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9874[] = {
  "cmpne\t%0.s, %1/z, %3.s, %4.d",
  "cmpne\t%0.s, %1/z, %3.s, %4.d",
  "cmpne\t%0.s, %1/z, %3.s, %4.d",
};

static const char * const output_9875[] = {
  "cmpeq\t%0.b, %1/z, %2.b, %3.d",
  "cmpeq\t%0.b, %1/z, %2.b, %3.d",
  "cmpeq\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9876[] = {
  "cmpge\t%0.b, %1/z, %2.b, %3.d",
  "cmpge\t%0.b, %1/z, %2.b, %3.d",
  "cmpge\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9877[] = {
  "cmpgt\t%0.b, %1/z, %2.b, %3.d",
  "cmpgt\t%0.b, %1/z, %2.b, %3.d",
  "cmpgt\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9878[] = {
  "cmphi\t%0.b, %1/z, %2.b, %3.d",
  "cmphi\t%0.b, %1/z, %2.b, %3.d",
  "cmphi\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9879[] = {
  "cmphs\t%0.b, %1/z, %2.b, %3.d",
  "cmphs\t%0.b, %1/z, %2.b, %3.d",
  "cmphs\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9880[] = {
  "cmple\t%0.b, %1/z, %2.b, %3.d",
  "cmple\t%0.b, %1/z, %2.b, %3.d",
  "cmple\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9881[] = {
  "cmplo\t%0.b, %1/z, %2.b, %3.d",
  "cmplo\t%0.b, %1/z, %2.b, %3.d",
  "cmplo\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9882[] = {
  "cmpls\t%0.b, %1/z, %2.b, %3.d",
  "cmpls\t%0.b, %1/z, %2.b, %3.d",
  "cmpls\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9883[] = {
  "cmplt\t%0.b, %1/z, %2.b, %3.d",
  "cmplt\t%0.b, %1/z, %2.b, %3.d",
  "cmplt\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9884[] = {
  "cmpne\t%0.b, %1/z, %2.b, %3.d",
  "cmpne\t%0.b, %1/z, %2.b, %3.d",
  "cmpne\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9885[] = {
  "cmpeq\t%0.h, %1/z, %2.h, %3.d",
  "cmpeq\t%0.h, %1/z, %2.h, %3.d",
  "cmpeq\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9886[] = {
  "cmpge\t%0.h, %1/z, %2.h, %3.d",
  "cmpge\t%0.h, %1/z, %2.h, %3.d",
  "cmpge\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9887[] = {
  "cmpgt\t%0.h, %1/z, %2.h, %3.d",
  "cmpgt\t%0.h, %1/z, %2.h, %3.d",
  "cmpgt\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9888[] = {
  "cmphi\t%0.h, %1/z, %2.h, %3.d",
  "cmphi\t%0.h, %1/z, %2.h, %3.d",
  "cmphi\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9889[] = {
  "cmphs\t%0.h, %1/z, %2.h, %3.d",
  "cmphs\t%0.h, %1/z, %2.h, %3.d",
  "cmphs\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9890[] = {
  "cmple\t%0.h, %1/z, %2.h, %3.d",
  "cmple\t%0.h, %1/z, %2.h, %3.d",
  "cmple\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9891[] = {
  "cmplo\t%0.h, %1/z, %2.h, %3.d",
  "cmplo\t%0.h, %1/z, %2.h, %3.d",
  "cmplo\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9892[] = {
  "cmpls\t%0.h, %1/z, %2.h, %3.d",
  "cmpls\t%0.h, %1/z, %2.h, %3.d",
  "cmpls\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9893[] = {
  "cmplt\t%0.h, %1/z, %2.h, %3.d",
  "cmplt\t%0.h, %1/z, %2.h, %3.d",
  "cmplt\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9894[] = {
  "cmpne\t%0.h, %1/z, %2.h, %3.d",
  "cmpne\t%0.h, %1/z, %2.h, %3.d",
  "cmpne\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9895[] = {
  "cmpeq\t%0.s, %1/z, %2.s, %3.d",
  "cmpeq\t%0.s, %1/z, %2.s, %3.d",
  "cmpeq\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9896[] = {
  "cmpge\t%0.s, %1/z, %2.s, %3.d",
  "cmpge\t%0.s, %1/z, %2.s, %3.d",
  "cmpge\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9897[] = {
  "cmpgt\t%0.s, %1/z, %2.s, %3.d",
  "cmpgt\t%0.s, %1/z, %2.s, %3.d",
  "cmpgt\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9898[] = {
  "cmphi\t%0.s, %1/z, %2.s, %3.d",
  "cmphi\t%0.s, %1/z, %2.s, %3.d",
  "cmphi\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9899[] = {
  "cmphs\t%0.s, %1/z, %2.s, %3.d",
  "cmphs\t%0.s, %1/z, %2.s, %3.d",
  "cmphs\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9900[] = {
  "cmple\t%0.s, %1/z, %2.s, %3.d",
  "cmple\t%0.s, %1/z, %2.s, %3.d",
  "cmple\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9901[] = {
  "cmplo\t%0.s, %1/z, %2.s, %3.d",
  "cmplo\t%0.s, %1/z, %2.s, %3.d",
  "cmplo\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9902[] = {
  "cmpls\t%0.s, %1/z, %2.s, %3.d",
  "cmpls\t%0.s, %1/z, %2.s, %3.d",
  "cmpls\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9903[] = {
  "cmplt\t%0.s, %1/z, %2.s, %3.d",
  "cmplt\t%0.s, %1/z, %2.s, %3.d",
  "cmplt\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9904[] = {
  "cmpne\t%0.s, %1/z, %2.s, %3.d",
  "cmpne\t%0.s, %1/z, %2.s, %3.d",
  "cmpne\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9905[] = {
  "cmpeq\t%0.b, %1/z, %2.b, %3.d",
  "cmpeq\t%0.b, %1/z, %2.b, %3.d",
  "cmpeq\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9906[] = {
  "cmpge\t%0.b, %1/z, %2.b, %3.d",
  "cmpge\t%0.b, %1/z, %2.b, %3.d",
  "cmpge\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9907[] = {
  "cmpgt\t%0.b, %1/z, %2.b, %3.d",
  "cmpgt\t%0.b, %1/z, %2.b, %3.d",
  "cmpgt\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9908[] = {
  "cmphi\t%0.b, %1/z, %2.b, %3.d",
  "cmphi\t%0.b, %1/z, %2.b, %3.d",
  "cmphi\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9909[] = {
  "cmphs\t%0.b, %1/z, %2.b, %3.d",
  "cmphs\t%0.b, %1/z, %2.b, %3.d",
  "cmphs\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9910[] = {
  "cmple\t%0.b, %1/z, %2.b, %3.d",
  "cmple\t%0.b, %1/z, %2.b, %3.d",
  "cmple\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9911[] = {
  "cmplo\t%0.b, %1/z, %2.b, %3.d",
  "cmplo\t%0.b, %1/z, %2.b, %3.d",
  "cmplo\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9912[] = {
  "cmpls\t%0.b, %1/z, %2.b, %3.d",
  "cmpls\t%0.b, %1/z, %2.b, %3.d",
  "cmpls\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9913[] = {
  "cmplt\t%0.b, %1/z, %2.b, %3.d",
  "cmplt\t%0.b, %1/z, %2.b, %3.d",
  "cmplt\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9914[] = {
  "cmpne\t%0.b, %1/z, %2.b, %3.d",
  "cmpne\t%0.b, %1/z, %2.b, %3.d",
  "cmpne\t%0.b, %1/z, %2.b, %3.d",
};

static const char * const output_9915[] = {
  "cmpeq\t%0.h, %1/z, %2.h, %3.d",
  "cmpeq\t%0.h, %1/z, %2.h, %3.d",
  "cmpeq\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9916[] = {
  "cmpge\t%0.h, %1/z, %2.h, %3.d",
  "cmpge\t%0.h, %1/z, %2.h, %3.d",
  "cmpge\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9917[] = {
  "cmpgt\t%0.h, %1/z, %2.h, %3.d",
  "cmpgt\t%0.h, %1/z, %2.h, %3.d",
  "cmpgt\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9918[] = {
  "cmphi\t%0.h, %1/z, %2.h, %3.d",
  "cmphi\t%0.h, %1/z, %2.h, %3.d",
  "cmphi\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9919[] = {
  "cmphs\t%0.h, %1/z, %2.h, %3.d",
  "cmphs\t%0.h, %1/z, %2.h, %3.d",
  "cmphs\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9920[] = {
  "cmple\t%0.h, %1/z, %2.h, %3.d",
  "cmple\t%0.h, %1/z, %2.h, %3.d",
  "cmple\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9921[] = {
  "cmplo\t%0.h, %1/z, %2.h, %3.d",
  "cmplo\t%0.h, %1/z, %2.h, %3.d",
  "cmplo\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9922[] = {
  "cmpls\t%0.h, %1/z, %2.h, %3.d",
  "cmpls\t%0.h, %1/z, %2.h, %3.d",
  "cmpls\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9923[] = {
  "cmplt\t%0.h, %1/z, %2.h, %3.d",
  "cmplt\t%0.h, %1/z, %2.h, %3.d",
  "cmplt\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9924[] = {
  "cmpne\t%0.h, %1/z, %2.h, %3.d",
  "cmpne\t%0.h, %1/z, %2.h, %3.d",
  "cmpne\t%0.h, %1/z, %2.h, %3.d",
};

static const char * const output_9925[] = {
  "cmpeq\t%0.s, %1/z, %2.s, %3.d",
  "cmpeq\t%0.s, %1/z, %2.s, %3.d",
  "cmpeq\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9926[] = {
  "cmpge\t%0.s, %1/z, %2.s, %3.d",
  "cmpge\t%0.s, %1/z, %2.s, %3.d",
  "cmpge\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9927[] = {
  "cmpgt\t%0.s, %1/z, %2.s, %3.d",
  "cmpgt\t%0.s, %1/z, %2.s, %3.d",
  "cmpgt\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9928[] = {
  "cmphi\t%0.s, %1/z, %2.s, %3.d",
  "cmphi\t%0.s, %1/z, %2.s, %3.d",
  "cmphi\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9929[] = {
  "cmphs\t%0.s, %1/z, %2.s, %3.d",
  "cmphs\t%0.s, %1/z, %2.s, %3.d",
  "cmphs\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9930[] = {
  "cmple\t%0.s, %1/z, %2.s, %3.d",
  "cmple\t%0.s, %1/z, %2.s, %3.d",
  "cmple\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9931[] = {
  "cmplo\t%0.s, %1/z, %2.s, %3.d",
  "cmplo\t%0.s, %1/z, %2.s, %3.d",
  "cmplo\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9932[] = {
  "cmpls\t%0.s, %1/z, %2.s, %3.d",
  "cmpls\t%0.s, %1/z, %2.s, %3.d",
  "cmpls\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9933[] = {
  "cmplt\t%0.s, %1/z, %2.s, %3.d",
  "cmplt\t%0.s, %1/z, %2.s, %3.d",
  "cmplt\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_9934[] = {
  "cmpne\t%0.s, %1/z, %2.s, %3.d",
  "cmpne\t%0.s, %1/z, %2.s, %3.d",
  "cmpne\t%0.s, %1/z, %2.s, %3.d",
};

static const char * const output_10175[] = {
  "fcmeq\t%0.h, %1/z, %3.h, #0.0",
  "fcmeq\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_10176[] = {
  "fcmge\t%0.h, %1/z, %3.h, #0.0",
  "fcmge\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_10177[] = {
  "fcmgt\t%0.h, %1/z, %3.h, #0.0",
  "fcmgt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_10178[] = {
  "fcmle\t%0.h, %1/z, %3.h, #0.0",
  "fcmle\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_10179[] = {
  "fcmlt\t%0.h, %1/z, %3.h, #0.0",
  "fcmlt\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_10180[] = {
  "fcmne\t%0.h, %1/z, %3.h, #0.0",
  "fcmne\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_10181[] = {
  "fcmeq\t%0.s, %1/z, %3.s, #0.0",
  "fcmeq\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_10182[] = {
  "fcmge\t%0.s, %1/z, %3.s, #0.0",
  "fcmge\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_10183[] = {
  "fcmgt\t%0.s, %1/z, %3.s, #0.0",
  "fcmgt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_10184[] = {
  "fcmle\t%0.s, %1/z, %3.s, #0.0",
  "fcmle\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_10185[] = {
  "fcmlt\t%0.s, %1/z, %3.s, #0.0",
  "fcmlt\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_10186[] = {
  "fcmne\t%0.s, %1/z, %3.s, #0.0",
  "fcmne\t%0.s, %1/z, %3.s, %4.s",
};

static const char * const output_10187[] = {
  "fcmeq\t%0.d, %1/z, %3.d, #0.0",
  "fcmeq\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_10188[] = {
  "fcmge\t%0.d, %1/z, %3.d, #0.0",
  "fcmge\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_10189[] = {
  "fcmgt\t%0.d, %1/z, %3.d, #0.0",
  "fcmgt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_10190[] = {
  "fcmle\t%0.d, %1/z, %3.d, #0.0",
  "fcmle\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_10191[] = {
  "fcmlt\t%0.d, %1/z, %3.d, #0.0",
  "fcmlt\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_10192[] = {
  "fcmne\t%0.d, %1/z, %3.d, #0.0",
  "fcmne\t%0.d, %1/z, %3.d, %4.d",
};

static const char * const output_10291[] = {
  "clasta\t%w0, %2, %w0, %3.b",
  "clasta\t%b0, %2, %b0, %3.b",
};

static const char * const output_10292[] = {
  "clastb\t%w0, %2, %w0, %3.b",
  "clastb\t%b0, %2, %b0, %3.b",
};

static const char * const output_10293[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_10294[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_10295[] = {
  "clasta\t%w0, %2, %w0, %3.s",
  "clasta\t%s0, %2, %s0, %3.s",
};

static const char * const output_10296[] = {
  "clastb\t%w0, %2, %w0, %3.s",
  "clastb\t%s0, %2, %s0, %3.s",
};

static const char * const output_10297[] = {
  "clasta\t%x0, %2, %x0, %3.d",
  "clasta\t%d0, %2, %d0, %3.d",
};

static const char * const output_10298[] = {
  "clastb\t%x0, %2, %x0, %3.d",
  "clastb\t%d0, %2, %d0, %3.d",
};

static const char * const output_10299[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_10300[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_10301[] = {
  "clasta\t%w0, %2, %w0, %3.h",
  "clasta\t%h0, %2, %h0, %3.h",
};

static const char * const output_10302[] = {
  "clastb\t%w0, %2, %w0, %3.h",
  "clastb\t%h0, %2, %h0, %3.h",
};

static const char * const output_10303[] = {
  "clasta\t%w0, %2, %w0, %3.s",
  "clasta\t%s0, %2, %s0, %3.s",
};

static const char * const output_10304[] = {
  "clastb\t%w0, %2, %w0, %3.s",
  "clastb\t%s0, %2, %s0, %3.s",
};

static const char * const output_10305[] = {
  "clasta\t%x0, %2, %x0, %3.d",
  "clasta\t%d0, %2, %d0, %3.d",
};

static const char * const output_10306[] = {
  "clastb\t%x0, %2, %x0, %3.d",
  "clastb\t%d0, %2, %d0, %3.d",
};

static const char * const output_10307[] = {
  "clasta\t%0.b, %2, %0.b, %3.b",
  "movprfx\t%0, %1\n\tclasta\t%0.b, %2, %0.b, %3.b",
};

static const char * const output_10308[] = {
  "clastb\t%0.b, %2, %0.b, %3.b",
  "movprfx\t%0, %1\n\tclastb\t%0.b, %2, %0.b, %3.b",
};

static const char * const output_10309[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_10310[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_10311[] = {
  "clasta\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclasta\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_10312[] = {
  "clastb\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclastb\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_10313[] = {
  "clasta\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclasta\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_10314[] = {
  "clastb\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclastb\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_10315[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_10316[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_10317[] = {
  "clasta\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclasta\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_10318[] = {
  "clastb\t%0.h, %2, %0.h, %3.h",
  "movprfx\t%0, %1\n\tclastb\t%0.h, %2, %0.h, %3.h",
};

static const char * const output_10319[] = {
  "clasta\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclasta\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_10320[] = {
  "clastb\t%0.s, %2, %0.s, %3.s",
  "movprfx\t%0, %1\n\tclastb\t%0.s, %2, %0.s, %3.s",
};

static const char * const output_10321[] = {
  "clasta\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclasta\t%0.d, %2, %0.d, %3.d",
};

static const char * const output_10322[] = {
  "clastb\t%0.d, %2, %0.d, %3.d",
  "movprfx\t%0, %1\n\tclastb\t%0.d, %2, %0.d, %3.d",
};

static const char *
output_10416 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9157 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (QImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10417 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9157 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (HImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10418 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9157 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (SImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10419 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9157 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (DImode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10420 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9157 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (BFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10421 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9157 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (HFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10422 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9157 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (SFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char *
output_10423 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9157 "../../gcc/config/aarch64/aarch64-sve.md"
{
    unsigned int byte = (INTVAL (XVECEXP (operands[2], 0, 0))
			 * GET_MODE_SIZE (DFmode));
    operands[2] = gen_int_mode (byte / 16, DImode);
    return "dup\t%0.q, %1.q[%2]";
  }
}

static const char * const output_10443[] = {
  "splice\t%0.b, %1, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsplice\t%0.b, %1, %0.b, %3.b",
};

static const char * const output_10444[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_10445[] = {
  "splice\t%0.s, %1, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsplice\t%0.s, %1, %0.s, %3.s",
};

static const char * const output_10446[] = {
  "splice\t%0.d, %1, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsplice\t%0.d, %1, %0.d, %3.d",
};

static const char * const output_10447[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_10448[] = {
  "splice\t%0.h, %1, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsplice\t%0.h, %1, %0.h, %3.h",
};

static const char * const output_10449[] = {
  "splice\t%0.s, %1, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsplice\t%0.s, %1, %0.s, %3.s",
};

static const char * const output_10450[] = {
  "splice\t%0.d, %1, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsplice\t%0.d, %1, %0.d, %3.d",
};

static const char *
output_10689 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 8 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10690 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10691 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10692 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10693 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10694 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10695 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10696 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10697 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10698 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10699 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10700 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10701 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10702 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 16 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10703 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10704 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10705 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 32 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10706 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_10707 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 9242 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * 64 / 8);
    return (which_alternative == 0
	    ? "ext\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\text\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char * const output_10766[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_10767[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_10768[] = {
  "fcvtzs\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.h, %1/m, %2.s",
};

static const char * const output_10769[] = {
  "fcvtzu\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.h, %1/m, %2.s",
};

static const char * const output_10770[] = {
  "fcvtzs\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.h, %1/m, %2.d",
};

static const char * const output_10771[] = {
  "fcvtzu\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.h, %1/m, %2.d",
};

static const char * const output_10772[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_10773[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_10774[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_10775[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_10776[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_10777[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_10778[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_10779[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_10780[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_10781[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_10782[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_10783[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_10784[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_10785[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_10786[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_10787[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_10788[] = {
  "fcvtzs\t%0.h, %1/m, %2.s",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.s",
};

static const char * const output_10789[] = {
  "fcvtzu\t%0.h, %1/m, %2.s",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.s",
};

static const char * const output_10790[] = {
  "fcvtzs\t%0.h, %1/m, %2.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.d",
};

static const char * const output_10791[] = {
  "fcvtzu\t%0.h, %1/m, %2.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.d",
};

static const char * const output_10792[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_10793[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_10794[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_10795[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_10796[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_10797[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_10798[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_10799[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_10800[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_10801[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_10802[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_10803[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_10804[] = {
  "fcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.h",
};

static const char * const output_10805[] = {
  "fcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.h",
};

static const char * const output_10806[] = {
  "fcvtzs\t%0.h, %1/m, %2.s",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.s",
};

static const char * const output_10807[] = {
  "fcvtzu\t%0.h, %1/m, %2.s",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.s",
};

static const char * const output_10808[] = {
  "fcvtzs\t%0.h, %1/m, %2.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzs\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.h, %1/m, %2.d",
};

static const char * const output_10809[] = {
  "fcvtzu\t%0.h, %1/m, %2.d",
  "movprfx\t%0.h, %1/z, %2.h\n\tfcvtzu\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.h, %1/m, %2.d",
};

static const char * const output_10810[] = {
  "fcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.h",
};

static const char * const output_10811[] = {
  "fcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.h",
};

static const char * const output_10812[] = {
  "fcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.s",
};

static const char * const output_10813[] = {
  "fcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.s",
};

static const char * const output_10814[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_10815[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_10816[] = {
  "fcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.h",
};

static const char * const output_10817[] = {
  "fcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.h",
};

static const char * const output_10818[] = {
  "fcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.s",
};

static const char * const output_10819[] = {
  "fcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.s",
};

static const char * const output_10820[] = {
  "fcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.d, %1/m, %2.d",
};

static const char * const output_10821[] = {
  "fcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.d, %1/m, %2.d",
};

static const char * const output_10822[] = {
  "fcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzs\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzs\t%0.s, %1/m, %2.d",
};

static const char * const output_10823[] = {
  "fcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtzu\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtzu\t%0.s, %1/m, %2.d",
};

static const char * const output_10824[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_10825[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_10826[] = {
  "scvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tscvtf\t%0.s, %1/m, %2.h",
};

static const char * const output_10827[] = {
  "ucvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tucvtf\t%0.s, %1/m, %2.h",
};

static const char * const output_10828[] = {
  "scvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.h",
};

static const char * const output_10829[] = {
  "ucvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.h",
};

static const char * const output_10830[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_10831[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_10832[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_10833[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_10834[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10835[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10836[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_10837[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_10838[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_10839[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_10840[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_10841[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_10842[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10843[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10844[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_10845[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_10846[] = {
  "scvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.h",
};

static const char * const output_10847[] = {
  "ucvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.h",
};

static const char * const output_10848[] = {
  "scvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.h",
};

static const char * const output_10849[] = {
  "ucvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.h",
};

static const char * const output_10850[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_10851[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_10852[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_10853[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_10854[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10855[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10856[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_10857[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_10858[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_10859[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_10860[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_10861[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_10862[] = {
  "scvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_10863[] = {
  "ucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.h",
};

static const char * const output_10864[] = {
  "scvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.h",
};

static const char * const output_10865[] = {
  "ucvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.h",
};

static const char * const output_10866[] = {
  "scvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tscvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.h",
};

static const char * const output_10867[] = {
  "ucvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tucvtf\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.h",
};

static const char * const output_10868[] = {
  "scvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_10869[] = {
  "ucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.s",
};

static const char * const output_10870[] = {
  "scvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_10871[] = {
  "ucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.s",
};

static const char * const output_10872[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tscvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10873[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10874[] = {
  "scvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_10875[] = {
  "ucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.h, %1/m, %2.d",
};

static const char * const output_10876[] = {
  "scvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_10877[] = {
  "ucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.s, %1/m, %2.d",
};

static const char * const output_10878[] = {
  "scvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_10879[] = {
  "ucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.d",
};

static const char * const output_10880[] = {
  "scvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tscvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tscvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10881[] = {
  "ucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tucvtf\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tucvtf\t%0.d, %1/m, %2.s",
};

static const char * const output_10882[] = {
  "fcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_10883[] = {
  "fcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvt\t%0.h, %1/m, %2.d",
};

static const char * const output_10884[] = {
  "fcvt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.s",
};

static const char * const output_10885[] = {
  "fcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.d",
};

static const char * const output_10886[] = {
  "fcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_10887[] = {
  "fcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.h, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvt\t%0.h, %1/m, %2.d",
};

static const char * const output_10888[] = {
  "fcvt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.s",
};

static const char * const output_10889[] = {
  "fcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.d",
};

static const char * const output_10890[] = {
  "bfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %2\n\tbfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_10891[] = {
  "bfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tbfcvt\t%0.h, %1/m, %2.s",
  "movprfx\t%0, %3\n\tbfcvt\t%0.h, %1/m, %2.s",
};

static const char * const output_10893[] = {
  "fcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.h",
};

static const char * const output_10894[] = {
  "fcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %2\n\tfcvt\t%0.d, %1/m, %2.h",
};

static const char * const output_10895[] = {
  "fcvt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.s, %1/m, %2.s",
};

static const char * const output_10896[] = {
  "fcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %2\n\tfcvt\t%0.d, %1/m, %2.s",
};

static const char * const output_10897[] = {
  "fcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.s, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.h",
};

static const char * const output_10898[] = {
  "fcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.d, %1/m, %2.h",
  "movprfx\t%0, %3\n\tfcvt\t%0.d, %1/m, %2.h",
};

static const char * const output_10899[] = {
  "fcvt\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tfcvt\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.s, %1/m, %2.s",
};

static const char * const output_10900[] = {
  "fcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvt\t%0.d, %1/m, %2.s",
  "movprfx\t%0, %3\n\tfcvt\t%0.d, %1/m, %2.s",
};

static const char * const output_10910[] = {
  "brka\t%0.b, %1/z, %2.b",
  "brka\t%0.b, %1/z, %2.b",
  "brka\t%0.b, %1/z, %2.b",
  "brka\t%0.b, %1/m, %2.b",
  "brka\t%0.b, %1/m, %2.b",
  "brka\t%0.b, %1/m, %2.b",
};

static const char * const output_10911[] = {
  "brkb\t%0.b, %1/z, %2.b",
  "brkb\t%0.b, %1/z, %2.b",
  "brkb\t%0.b, %1/z, %2.b",
  "brkb\t%0.b, %1/m, %2.b",
  "brkb\t%0.b, %1/m, %2.b",
  "brkb\t%0.b, %1/m, %2.b",
};

static const char * const output_10912[] = {
  "brkas\t%0.b, %1/z, %2.b",
  "brkas\t%0.b, %1/z, %2.b",
  "brkas\t%0.b, %1/z, %2.b",
};

static const char * const output_10913[] = {
  "brkbs\t%0.b, %1/z, %2.b",
  "brkbs\t%0.b, %1/z, %2.b",
  "brkbs\t%0.b, %1/z, %2.b",
};

static const char * const output_10914[] = {
  "brkas\t%0.b, %1/z, %2.b",
  "brkas\t%0.b, %1/z, %2.b",
  "brkas\t%0.b, %1/z, %2.b",
};

static const char * const output_10915[] = {
  "brkbs\t%0.b, %1/z, %2.b",
  "brkbs\t%0.b, %1/z, %2.b",
  "brkbs\t%0.b, %1/z, %2.b",
};

static const char * const output_10916[] = {
  "brkn\t%0.b, %1/z, %2.b, %0.b",
  "brkn\t%0.b, %1/z, %2.b, %0.b",
  "brkn\t%0.b, %1/z, %2.b, %0.b",
};

static const char * const output_10917[] = {
  "brkpa\t%0.b, %1/z, %2.b, %3.b",
  "brkpa\t%0.b, %1/z, %2.b, %3.b",
  "brkpa\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_10918[] = {
  "brkpb\t%0.b, %1/z, %2.b, %3.b",
  "brkpb\t%0.b, %1/z, %2.b, %3.b",
  "brkpb\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_10921[] = {
  "brkpas\t%0.b, %1/z, %2.b, %3.b",
  "brkpas\t%0.b, %1/z, %2.b, %3.b",
  "brkpas\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_10922[] = {
  "brkpbs\t%0.b, %1/z, %2.b, %3.b",
  "brkpbs\t%0.b, %1/z, %2.b, %3.b",
  "brkpbs\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_10923[] = {
  "brkpas\t%0.b, %1/z, %2.b, %3.b",
  "brkpas\t%0.b, %1/z, %2.b, %3.b",
  "brkpas\t%0.b, %1/z, %2.b, %3.b",
};

static const char * const output_10924[] = {
  "brkpbs\t%0.b, %1/z, %2.b, %3.b",
  "brkpbs\t%0.b, %1/z, %2.b, %3.b",
  "brkpbs\t%0.b, %1/z, %2.b, %3.b",
};

static const char *
output_10949 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10357 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("cnt", "%x0", operands + 1);
  }
}

static const char *
output_10950 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10382 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%x0",
						 operands + 2);
  }
}

static const char *
output_10951 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10382 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%x0",
						 operands + 2);
  }
}

static const char *
output_10952 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10382 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%x0",
						 operands + 2);
  }
}

static const char *
output_10953 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10399 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%x0", operands + 2);
  }
}

static const char *
output_10954 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10418 "../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (SS_PLUS == SS_PLUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", registers,
						 operands + 2);
  }
}

static const char *
output_10955 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10418 "../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (US_PLUS == SS_PLUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", registers,
						 operands + 2);
  }
}

static const char *
output_10956 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10447 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_10957 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10447 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_10958 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10447 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.d",
						 operands + 2);
  }
}

static const char *
output_10959 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10468 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_10960 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10468 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_10961 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10468 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.s",
						 operands + 2);
  }
}

static const char *
output_10962 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10503 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("inc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_10963 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10503 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqinc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_10964 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10503 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqinc", "%0.h",
						 operands + 2);
  }
}

static const char *
output_10965 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10532 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%x0",
						 operands + 2);
  }
}

static const char *
output_10966 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10532 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%x0",
						 operands + 2);
  }
}

static const char *
output_10967 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10532 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%x0",
						 operands + 2);
  }
}

static const char *
output_10968 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10549 "../../gcc/config/aarch64/aarch64-sve.md"
{
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%x0", operands + 2);
  }
}

static const char *
output_10969 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10568 "../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (SS_MINUS == SS_MINUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", registers,
						 operands + 2);
  }
}

static const char *
output_10970 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10568 "../../gcc/config/aarch64/aarch64-sve.md"
{
    const char *registers = (US_MINUS == SS_MINUS ? "%x0, %w0" : "%w0");
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", registers,
						 operands + 2);
  }
}

static const char *
output_10971 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10597 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_10972 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10597 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_10973 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10597 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.d",
						 operands + 2);
  }
}

static const char *
output_10974 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10618 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_10975 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10618 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_10976 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10618 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.s",
						 operands + 2);
  }
}

static const char *
output_10977 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10653 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("dec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_10978 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10653 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("sqdec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_10979 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10653 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (which_alternative == 1)
      output_asm_insn ("movprfx\t%0, %1", operands);
    return aarch64_output_sve_cnt_pat_immediate ("uqdec", "%0.h",
						 operands + 2);
  }
}

static const char *
output_11000 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10772 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.b, %w0";
    else
      return "sqincp\t%w0, %2.b";
  }
}

static const char *
output_11001 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10772 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.b, %w0";
    else
      return "uqincp\t%w0, %2.b";
  }
}

static const char *
output_11002 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10772 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.h, %w0";
    else
      return "sqincp\t%w0, %2.h";
  }
}

static const char *
output_11003 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10772 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.h, %w0";
    else
      return "uqincp\t%w0, %2.h";
  }
}

static const char *
output_11004 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10772 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.s, %w0";
    else
      return "sqincp\t%w0, %2.s";
  }
}

static const char *
output_11005 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10772 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.s, %w0";
    else
      return "uqincp\t%w0, %2.s";
  }
}

static const char *
output_11006 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10772 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_PLUS == SS_PLUS)
      return "sqincp\t%x0, %2.d, %w0";
    else
      return "sqincp\t%w0, %2.d";
  }
}

static const char *
output_11007 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 10772 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_PLUS == SS_PLUS)
      return "uqincp\t%x0, %2.d, %w0";
    else
      return "uqincp\t%w0, %2.d";
  }
}

static const char * const output_11008[] = {
  "incp\t%0.d, %2",
  "movprfx\t%0, %1\n\tincp\t%0.d, %2",
};

static const char * const output_11009[] = {
  "sqincp\t%0.d, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.d, %2",
};

static const char * const output_11010[] = {
  "uqincp\t%0.d, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.d, %2",
};

static const char * const output_11011[] = {
  "incp\t%0.s, %2",
  "movprfx\t%0, %1\n\tincp\t%0.s, %2",
};

static const char * const output_11012[] = {
  "sqincp\t%0.s, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.s, %2",
};

static const char * const output_11013[] = {
  "uqincp\t%0.s, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.s, %2",
};

static const char * const output_11014[] = {
  "incp\t%0.h, %2",
  "movprfx\t%0, %1\n\tincp\t%0.h, %2",
};

static const char * const output_11015[] = {
  "sqincp\t%0.h, %2",
  "movprfx\t%0, %1\n\tsqincp\t%0.h, %2",
};

static const char * const output_11016[] = {
  "uqincp\t%0.h, %2",
  "movprfx\t%0, %1\n\tuqincp\t%0.h, %2",
};

static const char *
output_11033 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11005 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.b, %w0";
    else
      return "sqdecp\t%w0, %2.b";
  }
}

static const char *
output_11034 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11005 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.b, %w0";
    else
      return "uqdecp\t%w0, %2.b";
  }
}

static const char *
output_11035 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11005 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.h, %w0";
    else
      return "sqdecp\t%w0, %2.h";
  }
}

static const char *
output_11036 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11005 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.h, %w0";
    else
      return "uqdecp\t%w0, %2.h";
  }
}

static const char *
output_11037 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11005 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.s, %w0";
    else
      return "sqdecp\t%w0, %2.s";
  }
}

static const char *
output_11038 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11005 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.s, %w0";
    else
      return "uqdecp\t%w0, %2.s";
  }
}

static const char *
output_11039 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11005 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (SS_MINUS == SS_MINUS)
      return "sqdecp\t%x0, %2.d, %w0";
    else
      return "sqdecp\t%w0, %2.d";
  }
}

static const char *
output_11040 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11005 "../../gcc/config/aarch64/aarch64-sve.md"
{
    if (US_MINUS == SS_MINUS)
      return "uqdecp\t%x0, %2.d, %w0";
    else
      return "uqdecp\t%w0, %2.d";
  }
}

static const char * const output_11041[] = {
  "decp\t%0.d, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.d, %2",
};

static const char * const output_11042[] = {
  "sqdecp\t%0.d, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.d, %2",
};

static const char * const output_11043[] = {
  "uqdecp\t%0.d, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.d, %2",
};

static const char * const output_11044[] = {
  "decp\t%0.s, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.s, %2",
};

static const char * const output_11045[] = {
  "sqdecp\t%0.s, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.s, %2",
};

static const char * const output_11046[] = {
  "uqdecp\t%0.s, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.s, %2",
};

static const char * const output_11047[] = {
  "decp\t%0.h, %2",
  "movprfx\t%0, %1\n\tdecp\t%0.h, %2",
};

static const char * const output_11048[] = {
  "sqdecp\t%0.h, %2",
  "movprfx\t%0, %1\n\tsqdecp\t%0.h, %2",
};

static const char * const output_11049[] = {
  "uqdecp\t%0.h, %2",
  "movprfx\t%0, %1\n\tuqdecp\t%0.h, %2",
};

static const char *
output_11058 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11173 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx16QImode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.b, %3, %2.b, %1.b";
  }
}

static const char *
output_11059 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11173 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx8HImode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.h, %3, %2.h, %1.h";
  }
}

static const char *
output_11060 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11173 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx4SImode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.s, %3, %2.s, %1.s";
  }
}

static const char *
output_11061 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11173 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx2DImode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.d, %3, %2.d, %1.d";
  }
}

static const char *
output_11062 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11173 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx8BFmode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.h, %3, %2.h, %1.h";
  }
}

static const char *
output_11063 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11173 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx8HFmode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.h, %3, %2.h, %1.h";
  }
}

static const char *
output_11064 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11173 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx4SFmode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.s, %3, %2.s, %1.s";
  }
}

static const char *
output_11065 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 11173 "../../gcc/config/aarch64/aarch64-sve.md"
{
    operands[2] = lowpart_subreg (VNx2DFmode, operands[2],
                                  GET_MODE (operands[2]));
    return "sel\t%0.d, %3, %2.d, %1.d";
  }
}

static const char * const output_11174[] = {
  "ld1q\t{%0.q}, %1/z, [%3.d]",
  "ld1q\t{%0.q}, %1/z, [%3.d]",
  "ld1q\t{%0.q}, %1/z, [%3.d, %2]",
  "ld1q\t{%0.q}, %1/z, [%3.d, %2]",
};

static const char * const output_11175[] = {
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11176[] = {
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11177[] = {
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11178[] = {
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1d\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11179[] = {
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11180[] = {
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11181[] = {
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11182[] = {
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11183[] = {
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1sb\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11184[] = {
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1b\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11185[] = {
  "ldnt1sh\t%0.s, %1/z, [%3.s]",
  "ldnt1sh\t%0.s, %1/z, [%3.s]",
  "ldnt1sh\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1sh\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11186[] = {
  "ldnt1h\t%0.s, %1/z, [%3.s]",
  "ldnt1h\t%0.s, %1/z, [%3.s]",
  "ldnt1h\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1h\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11187[] = {
  "ldnt1sh\t%0.s, %1/z, [%3.s]",
  "ldnt1sh\t%0.s, %1/z, [%3.s]",
  "ldnt1sh\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1sh\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11188[] = {
  "ldnt1h\t%0.s, %1/z, [%3.s]",
  "ldnt1h\t%0.s, %1/z, [%3.s]",
  "ldnt1h\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1h\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11189[] = {
  "ldnt1sw\t%0.s, %1/z, [%3.s]",
  "ldnt1sw\t%0.s, %1/z, [%3.s]",
  "ldnt1sw\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1sw\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11190[] = {
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
  "ldnt1w\t%0.s, %1/z, [%3.s, %2]",
};

static const char * const output_11191[] = {
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11192[] = {
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11193[] = {
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11194[] = {
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11195[] = {
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1sb\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11196[] = {
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1b\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11197[] = {
  "ldnt1sh\t%0.d, %1/z, [%3.d]",
  "ldnt1sh\t%0.d, %1/z, [%3.d]",
  "ldnt1sh\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1sh\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11198[] = {
  "ldnt1h\t%0.d, %1/z, [%3.d]",
  "ldnt1h\t%0.d, %1/z, [%3.d]",
  "ldnt1h\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1h\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11199[] = {
  "ldnt1sh\t%0.d, %1/z, [%3.d]",
  "ldnt1sh\t%0.d, %1/z, [%3.d]",
  "ldnt1sh\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1sh\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11200[] = {
  "ldnt1h\t%0.d, %1/z, [%3.d]",
  "ldnt1h\t%0.d, %1/z, [%3.d]",
  "ldnt1h\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1h\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11201[] = {
  "ldnt1sw\t%0.d, %1/z, [%3.d]",
  "ldnt1sw\t%0.d, %1/z, [%3.d]",
  "ldnt1sw\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1sw\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11202[] = {
  "ldnt1w\t%0.d, %1/z, [%3.d]",
  "ldnt1w\t%0.d, %1/z, [%3.d]",
  "ldnt1w\t%0.d, %1/z, [%3.d, %2]",
  "ldnt1w\t%0.d, %1/z, [%3.d, %2]",
};

static const char * const output_11327[] = {
  "st1q\t{%3.q}, %0, [%2.d]",
  "st1q\t{%3.q}, %0, [%2.d, %1]",
};

static const char * const output_11328[] = {
  "stnt1w\t%3.s, %0, [%2.s]",
  "stnt1w\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11329[] = {
  "stnt1d\t%3.d, %0, [%2.d]",
  "stnt1d\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11330[] = {
  "stnt1w\t%3.s, %0, [%2.s]",
  "stnt1w\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11331[] = {
  "stnt1d\t%3.d, %0, [%2.d]",
  "stnt1d\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11332[] = {
  "stnt1b\t%3.s, %0, [%2.s]",
  "stnt1b\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11333[] = {
  "stnt1b\t%3.s, %0, [%2.s]",
  "stnt1b\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11334[] = {
  "stnt1b\t%3.s, %0, [%2.s]",
  "stnt1b\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11335[] = {
  "stnt1h\t%3.s, %0, [%2.s]",
  "stnt1h\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11336[] = {
  "stnt1h\t%3.s, %0, [%2.s]",
  "stnt1h\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11337[] = {
  "stnt1w\t%3.s, %0, [%2.s]",
  "stnt1w\t%3.s, %0, [%2.s, %1]",
};

static const char * const output_11338[] = {
  "stnt1b\t%3.d, %0, [%2.d]",
  "stnt1b\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11339[] = {
  "stnt1b\t%3.d, %0, [%2.d]",
  "stnt1b\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11340[] = {
  "stnt1b\t%3.d, %0, [%2.d]",
  "stnt1b\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11341[] = {
  "stnt1h\t%3.d, %0, [%2.d]",
  "stnt1h\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11342[] = {
  "stnt1h\t%3.d, %0, [%2.d]",
  "stnt1h\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11343[] = {
  "stnt1w\t%3.d, %0, [%2.d]",
  "stnt1w\t%3.d, %0, [%2.d, %1]",
};

static const char * const output_11496[] = {
  "sclamp\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsclamp\t%0.b, %2.b, %3.b",
};

static const char * const output_11497[] = {
  "uclamp\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuclamp\t%0.b, %2.b, %3.b",
};

static const char * const output_11498[] = {
  "sclamp\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsclamp\t%0.h, %2.h, %3.h",
};

static const char * const output_11499[] = {
  "uclamp\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuclamp\t%0.h, %2.h, %3.h",
};

static const char * const output_11500[] = {
  "sclamp\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsclamp\t%0.s, %2.s, %3.s",
};

static const char * const output_11501[] = {
  "uclamp\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuclamp\t%0.s, %2.s, %3.s",
};

static const char * const output_11502[] = {
  "sclamp\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsclamp\t%0.d, %2.d, %3.d",
};

static const char * const output_11503[] = {
  "uclamp\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tuclamp\t%0.d, %2.d, %3.d",
};

static const char * const output_11504[] = {
  "#",
  "#",
};

static const char * const output_11505[] = {
  "#",
  "#",
};

static const char * const output_11506[] = {
  "#",
  "#",
};

static const char * const output_11507[] = {
  "#",
  "#",
};

static const char * const output_11508[] = {
  "#",
  "#",
};

static const char * const output_11509[] = {
  "#",
  "#",
};

static const char * const output_11510[] = {
  "#",
  "#",
};

static const char * const output_11511[] = {
  "#",
  "#",
};

static const char * const output_11532[] = {
  "mul\t%Z0.b, %Z1.b, %Z2.b",
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_11533[] = {
  "mul\t%Z0.b, %Z1.b, %Z2.b",
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_11534[] = {
  "mul\t%Z0.b, %Z1.b, %Z2.b",
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_11535[] = {
  "mul\t%Z0.b, %Z1.b, %Z2.b",
  "mul\t%Z0.b, %Z0.b, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.b, %Z0.b, #%2",
};

static const char * const output_11536[] = {
  "mul\t%Z0.h, %Z1.h, %Z2.h",
  "mul\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_11537[] = {
  "mul\t%Z0.h, %Z1.h, %Z2.h",
  "mul\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_11538[] = {
  "mul\t%Z0.h, %Z1.h, %Z2.h",
  "mul\t%Z0.h, %Z0.h, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.h, %Z0.h, #%2",
};

static const char * const output_11539[] = {
  "mul\t%Z0.s, %Z1.s, %Z2.s",
  "mul\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_11540[] = {
  "mul\t%Z0.s, %Z1.s, %Z2.s",
  "mul\t%Z0.s, %Z0.s, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.s, %Z0.s, #%2",
};

static const char * const output_11541[] = {
  "mul\t%Z0.d, %Z1.d, %Z2.d",
  "mul\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_11542[] = {
  "mul\t%Z0.d, %Z1.d, %Z2.d",
  "mul\t%Z0.d, %Z0.d, #%2",
  "movprfx\t%Z0, %Z1\n\tmul\t%Z0.d, %Z0.d, #%2",
};

static const char * const output_11543[] = {
  "sqadd\t%0.b, %0.b, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.b, %0.b, #%D2",
};

static const char * const output_11544[] = {
  "sqadd\t%0.h, %0.h, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.h, %0.h, #%D2",
};

static const char * const output_11545[] = {
  "sqadd\t%0.s, %0.s, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.s, %0.s, #%D2",
};

static const char * const output_11546[] = {
  "sqadd\t%0.d, %0.d, #%D2",
  "movprfx\t%0, %1\n\tsqadd\t%0.d, %0.d, #%D2",
};

static const char * const output_11547[] = {
  "shadd\t%0.b, %1/m, %0.b, %3.b",
  "shadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11548[] = {
  "shsub\t%0.b, %1/m, %0.b, %3.b",
  "shsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11549[] = {
  "sqrshl\t%0.b, %1/m, %0.b, %3.b",
  "sqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11550[] = {
  "srhadd\t%0.b, %1/m, %0.b, %3.b",
  "srhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11551[] = {
  "srshl\t%0.b, %1/m, %0.b, %3.b",
  "srshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11552[] = {
  "uhadd\t%0.b, %1/m, %0.b, %3.b",
  "uhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11553[] = {
  "uhsub\t%0.b, %1/m, %0.b, %3.b",
  "uhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11554[] = {
  "uqrshl\t%0.b, %1/m, %0.b, %3.b",
  "uqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11555[] = {
  "urhadd\t%0.b, %1/m, %0.b, %3.b",
  "urhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11556[] = {
  "urshl\t%0.b, %1/m, %0.b, %3.b",
  "urshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\turshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11557[] = {
  "shadd\t%0.h, %1/m, %0.h, %3.h",
  "shadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11558[] = {
  "shsub\t%0.h, %1/m, %0.h, %3.h",
  "shsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11559[] = {
  "sqrshl\t%0.h, %1/m, %0.h, %3.h",
  "sqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11560[] = {
  "srhadd\t%0.h, %1/m, %0.h, %3.h",
  "srhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11561[] = {
  "srshl\t%0.h, %1/m, %0.h, %3.h",
  "srshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11562[] = {
  "uhadd\t%0.h, %1/m, %0.h, %3.h",
  "uhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11563[] = {
  "uhsub\t%0.h, %1/m, %0.h, %3.h",
  "uhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11564[] = {
  "uqrshl\t%0.h, %1/m, %0.h, %3.h",
  "uqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11565[] = {
  "urhadd\t%0.h, %1/m, %0.h, %3.h",
  "urhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11566[] = {
  "urshl\t%0.h, %1/m, %0.h, %3.h",
  "urshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\turshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11567[] = {
  "shadd\t%0.s, %1/m, %0.s, %3.s",
  "shadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11568[] = {
  "shsub\t%0.s, %1/m, %0.s, %3.s",
  "shsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11569[] = {
  "sqrshl\t%0.s, %1/m, %0.s, %3.s",
  "sqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11570[] = {
  "srhadd\t%0.s, %1/m, %0.s, %3.s",
  "srhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11571[] = {
  "srshl\t%0.s, %1/m, %0.s, %3.s",
  "srshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11572[] = {
  "uhadd\t%0.s, %1/m, %0.s, %3.s",
  "uhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11573[] = {
  "uhsub\t%0.s, %1/m, %0.s, %3.s",
  "uhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11574[] = {
  "uqrshl\t%0.s, %1/m, %0.s, %3.s",
  "uqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11575[] = {
  "urhadd\t%0.s, %1/m, %0.s, %3.s",
  "urhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11576[] = {
  "urshl\t%0.s, %1/m, %0.s, %3.s",
  "urshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\turshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11577[] = {
  "shadd\t%0.d, %1/m, %0.d, %3.d",
  "shadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11578[] = {
  "shsub\t%0.d, %1/m, %0.d, %3.d",
  "shsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11579[] = {
  "sqrshl\t%0.d, %1/m, %0.d, %3.d",
  "sqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11580[] = {
  "srhadd\t%0.d, %1/m, %0.d, %3.d",
  "srhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11581[] = {
  "srshl\t%0.d, %1/m, %0.d, %3.d",
  "srshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11582[] = {
  "uhadd\t%0.d, %1/m, %0.d, %3.d",
  "uhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11583[] = {
  "uhsub\t%0.d, %1/m, %0.d, %3.d",
  "uhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11584[] = {
  "uqrshl\t%0.d, %1/m, %0.d, %3.d",
  "uqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11585[] = {
  "urhadd\t%0.d, %1/m, %0.d, %3.d",
  "urhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11586[] = {
  "urshl\t%0.d, %1/m, %0.d, %3.d",
  "urshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\turshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11587[] = {
  "shadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11588[] = {
  "shsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11589[] = {
  "sqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11590[] = {
  "srhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11591[] = {
  "srshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11592[] = {
  "suqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11593[] = {
  "uhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11594[] = {
  "uhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11595[] = {
  "uqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11596[] = {
  "urhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11597[] = {
  "urshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\turshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11598[] = {
  "usqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11599[] = {
  "shadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11600[] = {
  "shsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11601[] = {
  "sqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11602[] = {
  "srhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11603[] = {
  "srshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11604[] = {
  "suqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11605[] = {
  "uhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11606[] = {
  "uhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11607[] = {
  "uqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11608[] = {
  "urhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11609[] = {
  "urshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\turshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11610[] = {
  "usqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11611[] = {
  "shadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11612[] = {
  "shsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11613[] = {
  "sqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11614[] = {
  "srhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11615[] = {
  "srshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11616[] = {
  "suqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11617[] = {
  "uhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11618[] = {
  "uhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11619[] = {
  "uqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11620[] = {
  "urhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11621[] = {
  "urshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\turshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11622[] = {
  "usqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11623[] = {
  "shadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11624[] = {
  "shsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11625[] = {
  "sqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11626[] = {
  "srhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11627[] = {
  "srshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11628[] = {
  "suqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11629[] = {
  "uhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11630[] = {
  "uhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11631[] = {
  "uqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11632[] = {
  "urhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11633[] = {
  "urshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\turshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11634[] = {
  "usqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11635[] = {
  "shadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tshadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11636[] = {
  "shsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tshsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11637[] = {
  "sqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11638[] = {
  "srhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsrhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11639[] = {
  "srshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11640[] = {
  "uhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11641[] = {
  "uhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuhsubr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11642[] = {
  "uqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11643[] = {
  "urhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\turhadd\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11644[] = {
  "urshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\turshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11645[] = {
  "shadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tshadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11646[] = {
  "shsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tshsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11647[] = {
  "sqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11648[] = {
  "srhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsrhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11649[] = {
  "srshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11650[] = {
  "uhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11651[] = {
  "uhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuhsubr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11652[] = {
  "uqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11653[] = {
  "urhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\turhadd\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11654[] = {
  "urshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\turshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11655[] = {
  "shadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tshadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11656[] = {
  "shsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tshsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11657[] = {
  "sqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11658[] = {
  "srhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsrhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11659[] = {
  "srshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11660[] = {
  "uhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11661[] = {
  "uhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuhsubr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11662[] = {
  "uqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11663[] = {
  "urhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\turhadd\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11664[] = {
  "urshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\turshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11665[] = {
  "shadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tshadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11666[] = {
  "shsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tshsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11667[] = {
  "sqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11668[] = {
  "srhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsrhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11669[] = {
  "srshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11670[] = {
  "uhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11671[] = {
  "uhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuhsubr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11672[] = {
  "uqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqrshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11673[] = {
  "urhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\turhadd\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11674[] = {
  "urshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\turshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11675[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tshadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tshadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11676[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tshsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tshsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11677[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11678[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsrhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11679[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11680[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11681[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuhsubr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuhsub\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11682[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqrshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqrshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11683[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\turhadd\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\turhadd\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11684[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\turshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\turshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
};

static const char * const output_11685[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tshadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tshadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11686[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tshsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tshsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11687[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11688[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsrhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11689[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11690[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11691[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuhsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuhsub\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11692[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqrshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqrshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11693[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\turhadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\turhadd\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11694[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\turshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\turshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
};

static const char * const output_11695[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tshadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tshadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11696[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tshsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tshsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11697[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11698[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsrhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11699[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11700[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11701[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuhsubr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuhsub\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11702[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqrshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqrshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11703[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\turhadd\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\turhadd\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11704[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\turshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\turshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
};

static const char * const output_11705[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tshadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tshadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11706[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tshsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tshsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11707[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11708[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsrhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11709[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11710[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11711[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuhsubr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuhsub\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11712[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqrshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqrshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11713[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\turhadd\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\turhadd\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11714[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\turshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\turshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
};

static const char * const output_11715[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsuqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11716[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tusqadd\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11717[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsuqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11718[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tusqadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11719[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsuqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11720[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tusqadd\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11721[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsuqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11722[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tusqadd\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11737[] = {
  "sqshl\t%0.b, %1/m, %0.b, #%3",
  "sqshl\t%0.b, %1/m, %0.b, %3.b",
  "sqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11738[] = {
  "uqshl\t%0.b, %1/m, %0.b, #%3",
  "uqshl\t%0.b, %1/m, %0.b, %3.b",
  "uqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11739[] = {
  "sqshl\t%0.h, %1/m, %0.h, #%3",
  "sqshl\t%0.h, %1/m, %0.h, %3.h",
  "sqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11740[] = {
  "uqshl\t%0.h, %1/m, %0.h, #%3",
  "uqshl\t%0.h, %1/m, %0.h, %3.h",
  "uqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11741[] = {
  "sqshl\t%0.s, %1/m, %0.s, #%3",
  "sqshl\t%0.s, %1/m, %0.s, %3.s",
  "sqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11742[] = {
  "uqshl\t%0.s, %1/m, %0.s, #%3",
  "uqshl\t%0.s, %1/m, %0.s, %3.s",
  "uqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11743[] = {
  "sqshl\t%0.d, %1/m, %0.d, #%3",
  "sqshl\t%0.d, %1/m, %0.d, %3.d",
  "sqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11744[] = {
  "uqshl\t%0.d, %1/m, %0.d, #%3",
  "uqshl\t%0.d, %1/m, %0.d, %3.d",
  "uqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11745[] = {
  "sqshl\t%0.b, %1/m, %0.b, #%3",
  "sqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11746[] = {
  "uqshl\t%0.b, %1/m, %0.b, #%3",
  "uqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_11747[] = {
  "sqshl\t%0.h, %1/m, %0.h, #%3",
  "sqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11748[] = {
  "uqshl\t%0.h, %1/m, %0.h, #%3",
  "uqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11749[] = {
  "sqshl\t%0.s, %1/m, %0.s, #%3",
  "sqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11750[] = {
  "uqshl\t%0.s, %1/m, %0.s, #%3",
  "uqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_11751[] = {
  "sqshl\t%0.d, %1/m, %0.d, #%3",
  "sqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11752[] = {
  "uqshl\t%0.d, %1/m, %0.d, #%3",
  "uqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0, %2\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_11753[] = {
  "sqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tsqshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11754[] = {
  "uqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0, %3\n\tuqshlr\t%0.b, %1/m, %0.b, %2.b",
};

static const char * const output_11755[] = {
  "sqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tsqshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11756[] = {
  "uqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %3\n\tuqshlr\t%0.h, %1/m, %0.h, %2.h",
};

static const char * const output_11757[] = {
  "sqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tsqshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11758[] = {
  "uqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0, %3\n\tuqshlr\t%0.s, %1/m, %0.s, %2.s",
};

static const char * const output_11759[] = {
  "sqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tsqshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11760[] = {
  "uqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0, %3\n\tuqshlr\t%0.d, %1/m, %0.d, %2.d",
};

static const char * const output_11761[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tsqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tsqshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "#",
};

static const char * const output_11762[] = {
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/z, %0.b\n\tuqshlr\t%0.b, %1/m, %0.b, %2.b",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/z, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, #%3",
  "movprfx\t%0.b, %1/m, %2.b\n\tuqshl\t%0.b, %1/m, %0.b, %3.b",
  "#",
  "#",
};

static const char * const output_11763[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tsqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tsqshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "#",
};

static const char * const output_11764[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/z, %0.h\n\tuqshlr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/z, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, #%3",
  "movprfx\t%0.h, %1/m, %2.h\n\tuqshl\t%0.h, %1/m, %0.h, %3.h",
  "#",
  "#",
};

static const char * const output_11765[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tsqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tsqshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "#",
};

static const char * const output_11766[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/z, %0.s\n\tuqshlr\t%0.s, %1/m, %0.s, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/z, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, #%3",
  "movprfx\t%0.s, %1/m, %2.s\n\tuqshl\t%0.s, %1/m, %0.s, %3.s",
  "#",
  "#",
};

static const char * const output_11767[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tsqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tsqshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "#",
};

static const char * const output_11768[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/z, %0.d\n\tuqshlr\t%0.d, %1/m, %0.d, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/z, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, #%3",
  "movprfx\t%0.d, %1/m, %2.d\n\tuqshl\t%0.d, %1/m, %0.d, %3.d",
  "#",
  "#",
};

static const char * const output_11769[] = {
  "bfadd\t%0.h, %1/m, %0.h, %3.h",
  "bfadd\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tbfadd\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11770[] = {
  "bfmax\t%0.h, %1/m, %0.h, %3.h",
  "bfmax\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tbfmax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11771[] = {
  "bfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "bfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11772[] = {
  "bfmin\t%0.h, %1/m, %0.h, %3.h",
  "bfmin\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tbfmin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11773[] = {
  "bfminnm\t%0.h, %1/m, %0.h, %3.h",
  "bfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11774[] = {
  "bfmul\t%0.h, %1/m, %0.h, %3.h",
  "bfmul\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tbfmul\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11775[] = {
  "bfmulx\t%0.h, %1/m, %0.h, %3.h",
  "bfmulx\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tbfmulx\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11776[] = {
  "bfsub\t%0.h, %1/m, %0.h, %3.h",
  "bfsubr\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tbfsub\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11777[] = {
  "bfmaxnm\t%0.h, %1/m, %0.h, %3.h",
  "bfmaxnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tbfmaxnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11778[] = {
  "bfminnm\t%0.h, %1/m, %0.h, %3.h",
  "bfminnm\t%0.h, %1/m, %0.h, %2.h",
  "movprfx\t%0, %2\n\tbfminnm\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_11779[] = {
  "bfclamp\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tbfclamp\t%0.h, %2.h, %3.h",
};

static const char * const output_11780[] = {
  "fclamp\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tfclamp\t%0.h, %2.h, %3.h",
};

static const char * const output_11781[] = {
  "fclamp\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tfclamp\t%0.s, %2.s, %3.s",
};

static const char * const output_11782[] = {
  "fclamp\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tfclamp\t%0.d, %2.d, %3.d",
};

static const char * const output_11783[] = {
  "#",
  "#",
};

static const char * const output_11784[] = {
  "#",
  "#",
};

static const char * const output_11785[] = {
  "#",
  "#",
};

static const char * const output_11786[] = {
  "#",
  "#",
};

static const char * const output_11795[] = {
  "adclb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tadclb\t%0.b, %2.b, %3.b",
};

static const char * const output_11796[] = {
  "adclt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tadclt\t%0.b, %2.b, %3.b",
};

static const char * const output_11797[] = {
  "eorbt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\teorbt\t%0.b, %2.b, %3.b",
};

static const char * const output_11798[] = {
  "eortb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\teortb\t%0.b, %2.b, %3.b",
};

static const char * const output_11799[] = {
  "sbclb\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsbclb\t%0.b, %2.b, %3.b",
};

static const char * const output_11800[] = {
  "sbclt\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsbclt\t%0.b, %2.b, %3.b",
};

static const char * const output_11801[] = {
  "sqrdmlah\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.b, %2.b, %3.b",
};

static const char * const output_11802[] = {
  "sqrdmlsh\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.b, %2.b, %3.b",
};

static const char * const output_11803[] = {
  "adclb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tadclb\t%0.h, %2.h, %3.h",
};

static const char * const output_11804[] = {
  "adclt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tadclt\t%0.h, %2.h, %3.h",
};

static const char * const output_11805[] = {
  "eorbt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\teorbt\t%0.h, %2.h, %3.h",
};

static const char * const output_11806[] = {
  "eortb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\teortb\t%0.h, %2.h, %3.h",
};

static const char * const output_11807[] = {
  "sbclb\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsbclb\t%0.h, %2.h, %3.h",
};

static const char * const output_11808[] = {
  "sbclt\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsbclt\t%0.h, %2.h, %3.h",
};

static const char * const output_11809[] = {
  "sqrdmlah\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.h, %2.h, %3.h",
};

static const char * const output_11810[] = {
  "sqrdmlsh\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.h, %2.h, %3.h",
};

static const char * const output_11811[] = {
  "adclb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tadclb\t%0.s, %2.s, %3.s",
};

static const char * const output_11812[] = {
  "adclt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tadclt\t%0.s, %2.s, %3.s",
};

static const char * const output_11813[] = {
  "eorbt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\teorbt\t%0.s, %2.s, %3.s",
};

static const char * const output_11814[] = {
  "eortb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\teortb\t%0.s, %2.s, %3.s",
};

static const char * const output_11815[] = {
  "sbclb\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsbclb\t%0.s, %2.s, %3.s",
};

static const char * const output_11816[] = {
  "sbclt\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsbclt\t%0.s, %2.s, %3.s",
};

static const char * const output_11817[] = {
  "sqrdmlah\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.s, %2.s, %3.s",
};

static const char * const output_11818[] = {
  "sqrdmlsh\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.s, %2.s, %3.s",
};

static const char * const output_11819[] = {
  "adclb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tadclb\t%0.d, %2.d, %3.d",
};

static const char * const output_11820[] = {
  "adclt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tadclt\t%0.d, %2.d, %3.d",
};

static const char * const output_11821[] = {
  "eorbt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\teorbt\t%0.d, %2.d, %3.d",
};

static const char * const output_11822[] = {
  "eortb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\teortb\t%0.d, %2.d, %3.d",
};

static const char * const output_11823[] = {
  "sbclb\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsbclb\t%0.d, %2.d, %3.d",
};

static const char * const output_11824[] = {
  "sbclt\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsbclt\t%0.d, %2.d, %3.d",
};

static const char * const output_11825[] = {
  "sqrdmlah\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.d, %2.d, %3.d",
};

static const char * const output_11826[] = {
  "sqrdmlsh\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.d, %2.d, %3.d",
};

static const char * const output_11827[] = {
  "sqrdmlah\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_11828[] = {
  "sqrdmlsh\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_11829[] = {
  "sqrdmlah\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_11830[] = {
  "sqrdmlsh\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_11831[] = {
  "sqrdmlah\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tsqrdmlah\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_11832[] = {
  "sqrdmlsh\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tsqrdmlsh\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_11833[] = {
  "mla\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_11834[] = {
  "mla\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_11835[] = {
  "mla\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tmla\t%0.d, %2.d, %3.d[%4]",
};

static const char * const output_11836[] = {
  "mls\t%0.h, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.h, %2.h, %3.h[%4]",
};

static const char * const output_11837[] = {
  "mls\t%0.s, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.s, %2.s, %3.s[%4]",
};

static const char * const output_11838[] = {
  "mls\t%0.d, %2.d, %3.d[%4]",
  "movprfx\t%0, %1\n\tmls\t%0.d, %2.d, %3.d[%4]",
};

static const char *
output_11839 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1537 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (VNx16QImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.b, %Z0.b, %Z2.b, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.b, %Z0.b, %Z2.b, #%3";
  }
}

static const char *
output_11840 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1537 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (VNx8HImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.h, %Z0.h, %Z2.h, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.h, %Z0.h, %Z2.h, #%3";
  }
}

static const char *
output_11841 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1537 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (VNx4SImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.s, %Z0.s, %Z2.s, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.s, %Z0.s, %Z2.s, #%3";
  }
}

static const char *
output_11842 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1537 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (VNx2DImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.d, %Z0.d, %Z2.d, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.d, %Z0.d, %Z2.d, #%3";
  }
}

static const char *
output_11843 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1537 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V8QImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.b, %Z0.b, %Z2.b, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.b, %Z0.b, %Z2.b, #%3";
  }
}

static const char *
output_11844 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1537 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V16QImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.b, %Z0.b, %Z2.b, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.b, %Z0.b, %Z2.b, #%3";
  }
}

static const char *
output_11845 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1537 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V4HImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.h, %Z0.h, %Z2.h, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.h, %Z0.h, %Z2.h, #%3";
  }
}

static const char *
output_11846 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1537 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V8HImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.h, %Z0.h, %Z2.h, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.h, %Z0.h, %Z2.h, #%3";
  }
}

static const char *
output_11847 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1537 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V2SImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.s, %Z0.s, %Z2.s, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.s, %Z0.s, %Z2.s, #%3";
  }
}

static const char *
output_11848 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1537 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V4SImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.s, %Z0.s, %Z2.s, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.s, %Z0.s, %Z2.s, #%3";
  }
}

static const char *
output_11849 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1537 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3]
      = GEN_INT (GET_MODE_UNIT_BITSIZE (V2DImode)
		 - INTVAL (unwrap_const_vec_duplicate (operands[3])));
    if (which_alternative == 0)
      return "xar\t%Z0.d, %Z0.d, %Z2.d, #%3";
    return "movprfx\t%Z0, %Z1\n\txar\t%Z0.d, %Z0.d, %Z2.d, #%3";
  }
}

static const char * const output_11850[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11851[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11852[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11853[] = {
  "bcax\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbcax\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11854[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11855[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11856[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11857[] = {
  "eor3\t%0.d, %0.d, %2.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %3.d",
  "eor3\t%0.d, %0.d, %1.d, %2.d",
  "movprfx\t%0, %1\n\teor3\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11858[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_11859[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_11860[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_11861[] = {
  "nbsl\t%0.d, %0.d, %2.d, %0.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %0.d",
};

static const char * const output_11862[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_11863[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_11864[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_11865[] = {
  "nbsl\t%0.d, %0.d, %2.d, %2.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %2.d",
};

static const char * const output_11866[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11867[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11868[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11869[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11870[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11871[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11872[] = {
  "bsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11873[] = {
  "bsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11874[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11875[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11876[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11877[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11878[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11879[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11880[] = {
  "nbsl\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tnbsl\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11881[] = {
  "nbsl\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tnbsl\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11882[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tnbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11883[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tnbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11884[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tnbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11885[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tnbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11886[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tnbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11887[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tnbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11888[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tnbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11889[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tnbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11890[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tnbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11891[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tnbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11892[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tnbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11893[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tnbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11894[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tnbsl\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11895[] = {
  "nbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tnbsl\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11896[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11897[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11898[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11899[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11900[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11901[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11902[] = {
  "bsl1n\t%0.d, %0.d, %1.d, %3.d",
  "movprfx\t%0, %2\n\tbsl1n\t%0.d, %0.d, %1.d, %3.d",
};

static const char * const output_11903[] = {
  "bsl1n\t%0.d, %0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tbsl1n\t%0.d, %0.d, %2.d, %3.d",
};

static const char * const output_11904[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tbsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11905[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tbsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11906[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tbsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11907[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tbsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11908[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tbsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11909[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tbsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11910[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tbsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11911[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tbsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11912[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tbsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11913[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tbsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11914[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tbsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11915[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tbsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11916[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
  "movprfx\t%Z0, %Z2\n\tbsl1n\t%Z0.d, %Z0.d, %Z1.d, %Z3.d",
};

static const char * const output_11917[] = {
  "bsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
  "movprfx\t%Z0, %Z1\n\tbsl1n\t%Z0.d, %Z0.d, %Z2.d, %Z3.d",
};

static const char * const output_11918[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11919[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11920[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11921[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11922[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11923[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11924[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11925[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11926[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11927[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11928[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11929[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11930[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11931[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11932[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %1.d",
  "movprfx\t%0, %2\n\tbsl2n\t%0.d, %0.d, %3.d, %1.d",
};

static const char * const output_11933[] = {
  "bsl2n\t%0.d, %0.d, %3.d, %2.d",
  "movprfx\t%0, %1\n\tbsl2n\t%0.d, %0.d, %3.d, %2.d",
};

static const char * const output_11934[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11935[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11936[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11937[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11938[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11939[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11940[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11941[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11942[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11943[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11944[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11945[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11946[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11947[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11948[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11949[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11950[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11951[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11952[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11953[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11954[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11955[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11956[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11957[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11958[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11959[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11960[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
  "movprfx\t%Z0, %Z2\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z1.d",
};

static const char * const output_11961[] = {
  "bsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
  "movprfx\t%Z0, %Z1\n\tbsl2n\t%Z0.d, %Z0.d, %Z3.d, %Z2.d",
};

static const char * const output_11962[] = {
  "ssra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.b, %2.b, #%3",
};

static const char * const output_11963[] = {
  "usra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.b, %2.b, #%3",
};

static const char * const output_11964[] = {
  "ssra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.h, %2.h, #%3",
};

static const char * const output_11965[] = {
  "usra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.h, %2.h, #%3",
};

static const char * const output_11966[] = {
  "ssra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.s, %2.s, #%3",
};

static const char * const output_11967[] = {
  "usra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.s, %2.s, #%3",
};

static const char * const output_11968[] = {
  "ssra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tssra\t%0.d, %2.d, #%3",
};

static const char * const output_11969[] = {
  "usra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tusra\t%0.d, %2.d, #%3",
};

static const char * const output_11970[] = {
  "srsra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.b, %2.b, #%3",
};

static const char * const output_11971[] = {
  "ursra\t%0.b, %2.b, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.b, %2.b, #%3",
};

static const char * const output_11972[] = {
  "srsra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.h, %2.h, #%3",
};

static const char * const output_11973[] = {
  "ursra\t%0.h, %2.h, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.h, %2.h, #%3",
};

static const char * const output_11974[] = {
  "srsra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.s, %2.s, #%3",
};

static const char * const output_11975[] = {
  "ursra\t%0.s, %2.s, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.s, %2.s, #%3",
};

static const char * const output_11976[] = {
  "srsra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tsrsra\t%0.d, %2.d, #%3",
};

static const char * const output_11977[] = {
  "ursra\t%0.d, %2.d, #%3",
  "movprfx\t%0, %1\n\tursra\t%0.d, %2.d, #%3",
};

static const char * const output_11986[] = {
  "saba\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsaba\t%0.b, %2.b, %3.b",
};

static const char * const output_11987[] = {
  "uaba\t%0.b, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuaba\t%0.b, %2.b, %3.b",
};

static const char * const output_11988[] = {
  "saba\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsaba\t%0.h, %2.h, %3.h",
};

static const char * const output_11989[] = {
  "uaba\t%0.h, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuaba\t%0.h, %2.h, %3.h",
};

static const char * const output_11990[] = {
  "saba\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsaba\t%0.s, %2.s, %3.s",
};

static const char * const output_11991[] = {
  "uaba\t%0.s, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuaba\t%0.s, %2.s, %3.s",
};

static const char * const output_11992[] = {
  "saba\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tsaba\t%0.d, %2.d, %3.d",
};

static const char * const output_11993[] = {
  "uaba\t%0.d, %2.d, %3.d",
  "movprfx\t%0, %1\n\tuaba\t%0.d, %2.d, %3.d",
};

static const char * const output_11994[] = {
  "fmlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tfmlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_11995[] = {
  "fmlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tfmlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_11996[] = {
  "fmlallbb\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tfmlallbb\t%0.s, %2.b, %3.b",
};

static const char * const output_11997[] = {
  "fmlallbt\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tfmlallbt\t%0.s, %2.b, %3.b",
};

static const char * const output_11998[] = {
  "fmlalltb\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tfmlalltb\t%0.s, %2.b, %3.b",
};

static const char * const output_11999[] = {
  "fmlalltt\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tfmlalltt\t%0.s, %2.b, %3.b",
};

static const char * const output_12000[] = {
  "fmlalb\t%0.h, %2.b, %3.b[%4]",
  "movprfx\t%0, %1\n\tfmlalb\t%0.h, %2.b, %3.b[%4]",
};

static const char * const output_12001[] = {
  "fmlalt\t%0.h, %2.b, %3.b[%4]",
  "movprfx\t%0, %1\n\tfmlalt\t%0.h, %2.b, %3.b[%4]",
};

static const char * const output_12002[] = {
  "fmlallbb\t%0.s, %2.b, %3.b[%4]",
  "movprfx\t%0, %1\n\tfmlallbb\t%0.s, %2.b, %3.b[%4]",
};

static const char * const output_12003[] = {
  "fmlallbt\t%0.s, %2.b, %3.b[%4]",
  "movprfx\t%0, %1\n\tfmlallbt\t%0.s, %2.b, %3.b[%4]",
};

static const char * const output_12004[] = {
  "fmlalltb\t%0.s, %2.b, %3.b[%4]",
  "movprfx\t%0, %1\n\tfmlalltb\t%0.s, %2.b, %3.b[%4]",
};

static const char * const output_12005[] = {
  "fmlalltt\t%0.s, %2.b, %3.b[%4]",
  "movprfx\t%0, %1\n\tfmlalltt\t%0.s, %2.b, %3.b[%4]",
};

static const char * const output_12006[] = {
  "fdot\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tfdot\t%0.h, %2.b, %3.b",
};

static const char * const output_12007[] = {
  "fdot\t%0.s, %2.b, %3.b",
  "movprfx\t%0, %1\n\tfdot\t%0.s, %2.b, %3.b",
};

static const char * const output_12008[] = {
  "fdot\t%0.h, %2.b, %3.b[%4]",
  "movprfx\t%0, %1\n\tfdot\t%0.h, %2.b, %3.b[%4]",
};

static const char * const output_12009[] = {
  "fdot\t%0.s, %2.b, %3.b[%4]",
  "movprfx\t%0, %1\n\tfdot\t%0.s, %2.b, %3.b[%4]",
};

static const char * const output_12133[] = {
  "sabalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsabalb\t%0.h, %2.b, %3.b",
};

static const char * const output_12134[] = {
  "sabalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsabalt\t%0.h, %2.b, %3.b",
};

static const char * const output_12135[] = {
  "smlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_12136[] = {
  "smlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_12137[] = {
  "uabalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuabalb\t%0.h, %2.b, %3.b",
};

static const char * const output_12138[] = {
  "uabalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tuabalt\t%0.h, %2.b, %3.b",
};

static const char * const output_12139[] = {
  "umlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_12140[] = {
  "umlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_12141[] = {
  "sabalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsabalb\t%0.s, %2.h, %3.h",
};

static const char * const output_12142[] = {
  "sabalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsabalt\t%0.s, %2.h, %3.h",
};

static const char * const output_12143[] = {
  "smlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_12144[] = {
  "smlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_12145[] = {
  "uabalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuabalb\t%0.s, %2.h, %3.h",
};

static const char * const output_12146[] = {
  "uabalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tuabalt\t%0.s, %2.h, %3.h",
};

static const char * const output_12147[] = {
  "umlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_12148[] = {
  "umlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_12149[] = {
  "sabalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsabalb\t%0.d, %2.s, %3.s",
};

static const char * const output_12150[] = {
  "sabalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsabalt\t%0.d, %2.s, %3.s",
};

static const char * const output_12151[] = {
  "smlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_12152[] = {
  "smlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_12153[] = {
  "uabalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuabalb\t%0.d, %2.s, %3.s",
};

static const char * const output_12154[] = {
  "uabalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tuabalt\t%0.d, %2.s, %3.s",
};

static const char * const output_12155[] = {
  "umlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_12156[] = {
  "umlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_12157[] = {
  "smlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_12158[] = {
  "smlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_12159[] = {
  "umlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_12160[] = {
  "umlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_12161[] = {
  "smlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_12162[] = {
  "smlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_12163[] = {
  "umlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_12164[] = {
  "umlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_12165[] = {
  "sqdmlalb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.h, %2.b, %3.b",
};

static const char * const output_12166[] = {
  "sqdmlalbt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.h, %2.b, %3.b",
};

static const char * const output_12167[] = {
  "sqdmlalt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.h, %2.b, %3.b",
};

static const char * const output_12168[] = {
  "sqdmlalb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.s, %2.h, %3.h",
};

static const char * const output_12169[] = {
  "sqdmlalbt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.s, %2.h, %3.h",
};

static const char * const output_12170[] = {
  "sqdmlalt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.s, %2.h, %3.h",
};

static const char * const output_12171[] = {
  "sqdmlalb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.d, %2.s, %3.s",
};

static const char * const output_12172[] = {
  "sqdmlalbt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalbt\t%0.d, %2.s, %3.s",
};

static const char * const output_12173[] = {
  "sqdmlalt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.d, %2.s, %3.s",
};

static const char * const output_12174[] = {
  "sqdmlalb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_12175[] = {
  "sqdmlalt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_12176[] = {
  "sqdmlalb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlalb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_12177[] = {
  "sqdmlalt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlalt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_12178[] = {
  "smlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_12179[] = {
  "smlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsmlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_12180[] = {
  "umlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_12181[] = {
  "umlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tumlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_12182[] = {
  "smlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_12183[] = {
  "smlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsmlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_12184[] = {
  "umlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_12185[] = {
  "umlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tumlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_12186[] = {
  "smlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_12187[] = {
  "smlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsmlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_12188[] = {
  "umlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_12189[] = {
  "umlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tumlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_12190[] = {
  "smlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_12191[] = {
  "smlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsmlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_12192[] = {
  "umlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_12193[] = {
  "umlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tumlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_12194[] = {
  "smlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_12195[] = {
  "smlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsmlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_12196[] = {
  "umlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_12197[] = {
  "umlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tumlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_12198[] = {
  "sqdmlslb\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.h, %2.b, %3.b",
};

static const char * const output_12199[] = {
  "sqdmlslbt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.h, %2.b, %3.b",
};

static const char * const output_12200[] = {
  "sqdmlslt\t%0.h, %2.b, %3.b",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.h, %2.b, %3.b",
};

static const char * const output_12201[] = {
  "sqdmlslb\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.s, %2.h, %3.h",
};

static const char * const output_12202[] = {
  "sqdmlslbt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.s, %2.h, %3.h",
};

static const char * const output_12203[] = {
  "sqdmlslt\t%0.s, %2.h, %3.h",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.s, %2.h, %3.h",
};

static const char * const output_12204[] = {
  "sqdmlslb\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.d, %2.s, %3.s",
};

static const char * const output_12205[] = {
  "sqdmlslbt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslbt\t%0.d, %2.s, %3.s",
};

static const char * const output_12206[] = {
  "sqdmlslt\t%0.d, %2.s, %3.s",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.d, %2.s, %3.s",
};

static const char * const output_12207[] = {
  "sqdmlslb\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_12208[] = {
  "sqdmlslt\t%0.s, %2.h, %3.h[%4]",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.s, %2.h, %3.h[%4]",
};

static const char * const output_12209[] = {
  "sqdmlslb\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlslb\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_12210[] = {
  "sqdmlslt\t%0.d, %2.s, %3.s[%4]",
  "movprfx\t%0, %1\n\tsqdmlslt\t%0.d, %2.s, %3.s[%4]",
};

static const char * const output_12211[] = {
  "sdot\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tsdot\t%0.s, %1.h, %2.h",
};

static const char * const output_12212[] = {
  "udot\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tudot\t%0.s, %1.h, %2.h",
};

static const char * const output_12277[] = {
  "fmlalb\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlalb\t%0.s, %1.h, %2.h",
};

static const char * const output_12278[] = {
  "fmlalt\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlalt\t%0.s, %1.h, %2.h",
};

static const char * const output_12279[] = {
  "fmlslb\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlslb\t%0.s, %1.h, %2.h",
};

static const char * const output_12280[] = {
  "fmlslt\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfmlslt\t%0.s, %1.h, %2.h",
};

static const char * const output_12281[] = {
  "fmlalb\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlalb\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_12282[] = {
  "fmlalt\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlalt\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_12283[] = {
  "fmlslb\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlslb\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_12284[] = {
  "fmlslt\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfmlslt\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_12285[] = {
  "fdot\t%0.s, %1.h, %2.h",
  "movprfx\t%0, %3\n\tfdot\t%0.s, %1.h, %2.h",
};

static const char * const output_12286[] = {
  "fdot\t%0.s, %1.h, %2.h[%3]",
  "movprfx\t%0, %4\n\tfdot\t%0.s, %1.h, %2.h[%3]",
};

static const char * const output_12416[] = {
  "addp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\taddp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_12417[] = {
  "smaxp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsmaxp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_12418[] = {
  "sminp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tsminp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_12419[] = {
  "umaxp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tumaxp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_12420[] = {
  "uminp\t%0.b, %1/m, %0.b, %3.b",
  "movprfx\t%0, %2\n\tuminp\t%0.b, %1/m, %0.b, %3.b",
};

static const char * const output_12421[] = {
  "addp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\taddp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12422[] = {
  "smaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsmaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12423[] = {
  "sminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tsminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12424[] = {
  "umaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tumaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12425[] = {
  "uminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tuminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12426[] = {
  "addp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\taddp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12427[] = {
  "smaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsmaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12428[] = {
  "sminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tsminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12429[] = {
  "umaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tumaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12430[] = {
  "uminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tuminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12431[] = {
  "addp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\taddp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12432[] = {
  "smaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsmaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12433[] = {
  "sminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tsminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12434[] = {
  "umaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tumaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12435[] = {
  "uminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tuminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12436[] = {
  "faddp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfaddp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12437[] = {
  "fmaxp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12438[] = {
  "fmaxnmp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12439[] = {
  "fminp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12440[] = {
  "fminnmp\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfminnmp\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12441[] = {
  "faddp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfaddp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12442[] = {
  "fmaxp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12443[] = {
  "fmaxnmp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12444[] = {
  "fminp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12445[] = {
  "fminnmp\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfminnmp\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12446[] = {
  "faddp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfaddp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12447[] = {
  "fmaxp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12448[] = {
  "fmaxnmp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfmaxnmp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12449[] = {
  "fminp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12450[] = {
  "fminnmp\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfminnmp\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12451[] = {
  "sadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0, %2\n\tsadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_12452[] = {
  "uadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0, %2\n\tuadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_12453[] = {
  "sadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0, %2\n\tsadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_12454[] = {
  "uadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0, %2\n\tuadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_12455[] = {
  "sadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0, %2\n\tsadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_12456[] = {
  "uadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0, %2\n\tuadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_12457[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tsadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0.h, %1/z, %2.h\n\tsadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_12458[] = {
  "movprfx\t%0.h, %1/z, %0.h\n\tuadalp\t%0.h, %1/m, %3.b",
  "movprfx\t%0.h, %1/z, %2.h\n\tuadalp\t%0.h, %1/m, %3.b",
};

static const char * const output_12459[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tsadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tsadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_12460[] = {
  "movprfx\t%0.s, %1/z, %0.s\n\tuadalp\t%0.s, %1/m, %3.h",
  "movprfx\t%0.s, %1/z, %2.s\n\tuadalp\t%0.s, %1/m, %3.h",
};

static const char * const output_12461[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tsadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tsadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_12462[] = {
  "movprfx\t%0.d, %1/z, %0.d\n\tuadalp\t%0.d, %1/m, %3.s",
  "movprfx\t%0.d, %1/z, %2.d\n\tuadalp\t%0.d, %1/m, %3.s",
};

static const char * const output_12463[] = {
  "famax\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfamax\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12464[] = {
  "famin\t%0.h, %1/m, %0.h, %3.h",
  "movprfx\t%0, %2\n\tfamin\t%0.h, %1/m, %0.h, %3.h",
};

static const char * const output_12465[] = {
  "famax\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfamax\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12466[] = {
  "famin\t%0.s, %1/m, %0.s, %3.s",
  "movprfx\t%0, %2\n\tfamin\t%0.s, %1/m, %0.s, %3.s",
};

static const char * const output_12467[] = {
  "famax\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfamax\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12468[] = {
  "famin\t%0.d, %1/m, %0.d, %3.d",
  "movprfx\t%0, %2\n\tfamin\t%0.d, %1/m, %0.d, %3.d",
};

static const char * const output_12469[] = {
  "cadd\t%0.b, %0.b, %2.b, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.b, %0.b, %2.b, #90",
};

static const char * const output_12470[] = {
  "cadd\t%0.b, %0.b, %2.b, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.b, %0.b, %2.b, #270",
};

static const char * const output_12471[] = {
  "sqcadd\t%0.b, %0.b, %2.b, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.b, %0.b, %2.b, #90",
};

static const char * const output_12472[] = {
  "sqcadd\t%0.b, %0.b, %2.b, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.b, %0.b, %2.b, #270",
};

static const char * const output_12473[] = {
  "cadd\t%0.h, %0.h, %2.h, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.h, %0.h, %2.h, #90",
};

static const char * const output_12474[] = {
  "cadd\t%0.h, %0.h, %2.h, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.h, %0.h, %2.h, #270",
};

static const char * const output_12475[] = {
  "sqcadd\t%0.h, %0.h, %2.h, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.h, %0.h, %2.h, #90",
};

static const char * const output_12476[] = {
  "sqcadd\t%0.h, %0.h, %2.h, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.h, %0.h, %2.h, #270",
};

static const char * const output_12477[] = {
  "cadd\t%0.s, %0.s, %2.s, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.s, %0.s, %2.s, #90",
};

static const char * const output_12478[] = {
  "cadd\t%0.s, %0.s, %2.s, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.s, %0.s, %2.s, #270",
};

static const char * const output_12479[] = {
  "sqcadd\t%0.s, %0.s, %2.s, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.s, %0.s, %2.s, #90",
};

static const char * const output_12480[] = {
  "sqcadd\t%0.s, %0.s, %2.s, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.s, %0.s, %2.s, #270",
};

static const char * const output_12481[] = {
  "cadd\t%0.d, %0.d, %2.d, #90",
  "movprfx\t%0, %1\n\tcadd\t%0.d, %0.d, %2.d, #90",
};

static const char * const output_12482[] = {
  "cadd\t%0.d, %0.d, %2.d, #270",
  "movprfx\t%0, %1\n\tcadd\t%0.d, %0.d, %2.d, #270",
};

static const char * const output_12483[] = {
  "sqcadd\t%0.d, %0.d, %2.d, #90",
  "movprfx\t%0, %1\n\tsqcadd\t%0.d, %0.d, %2.d, #90",
};

static const char * const output_12484[] = {
  "sqcadd\t%0.d, %0.d, %2.d, #270",
  "movprfx\t%0, %1\n\tsqcadd\t%0.d, %0.d, %2.d, #270",
};

static const char * const output_12485[] = {
  "cmla\t%0.b, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #0",
};

static const char * const output_12486[] = {
  "cmla\t%0.b, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #90",
};

static const char * const output_12487[] = {
  "cmla\t%0.b, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #180",
};

static const char * const output_12488[] = {
  "cmla\t%0.b, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.b, %2.b, %3.b, #270",
};

static const char * const output_12489[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #0",
};

static const char * const output_12490[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #90",
};

static const char * const output_12491[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #180",
};

static const char * const output_12492[] = {
  "sqrdcmlah\t%0.b, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.b, %2.b, %3.b, #270",
};

static const char * const output_12493[] = {
  "cmla\t%0.h, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #0",
};

static const char * const output_12494[] = {
  "cmla\t%0.h, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #90",
};

static const char * const output_12495[] = {
  "cmla\t%0.h, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #180",
};

static const char * const output_12496[] = {
  "cmla\t%0.h, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h, #270",
};

static const char * const output_12497[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #0",
};

static const char * const output_12498[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #90",
};

static const char * const output_12499[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #180",
};

static const char * const output_12500[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h, #270",
};

static const char * const output_12501[] = {
  "cmla\t%0.s, %2.s, %3.s, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #0",
};

static const char * const output_12502[] = {
  "cmla\t%0.s, %2.s, %3.s, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #90",
};

static const char * const output_12503[] = {
  "cmla\t%0.s, %2.s, %3.s, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #180",
};

static const char * const output_12504[] = {
  "cmla\t%0.s, %2.s, %3.s, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s, #270",
};

static const char * const output_12505[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #0",
};

static const char * const output_12506[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #90",
};

static const char * const output_12507[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #180",
};

static const char * const output_12508[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s, #270",
};

static const char * const output_12509[] = {
  "cmla\t%0.d, %2.d, %3.d, #0",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #0",
};

static const char * const output_12510[] = {
  "cmla\t%0.d, %2.d, %3.d, #90",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #90",
};

static const char * const output_12511[] = {
  "cmla\t%0.d, %2.d, %3.d, #180",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #180",
};

static const char * const output_12512[] = {
  "cmla\t%0.d, %2.d, %3.d, #270",
  "movprfx\t%0, %1\n\tcmla\t%0.d, %2.d, %3.d, #270",
};

static const char * const output_12513[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #0",
};

static const char * const output_12514[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #90",
};

static const char * const output_12515[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #180",
};

static const char * const output_12516[] = {
  "sqrdcmlah\t%0.d, %2.d, %3.d, #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.d, %2.d, %3.d, #270",
};

static const char * const output_12517[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #0",
};

static const char * const output_12518[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #90",
};

static const char * const output_12519[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #180",
};

static const char * const output_12520[] = {
  "cmla\t%0.h, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tcmla\t%0.h, %2.h, %3.h[%4], #270",
};

static const char * const output_12521[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #0",
};

static const char * const output_12522[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #90",
};

static const char * const output_12523[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #180",
};

static const char * const output_12524[] = {
  "sqrdcmlah\t%0.h, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.h, %2.h, %3.h[%4], #270",
};

static const char * const output_12525[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #0",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #0",
};

static const char * const output_12526[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #90",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #90",
};

static const char * const output_12527[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #180",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #180",
};

static const char * const output_12528[] = {
  "cmla\t%0.s, %2.s, %3.s[%4], #270",
  "movprfx\t%0, %1\n\tcmla\t%0.s, %2.s, %3.s[%4], #270",
};

static const char * const output_12529[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #0",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #0",
};

static const char * const output_12530[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #90",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #90",
};

static const char * const output_12531[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #180",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #180",
};

static const char * const output_12532[] = {
  "sqrdcmlah\t%0.s, %2.s, %3.s[%4], #270",
  "movprfx\t%0, %1\n\tsqrdcmlah\t%0.s, %2.s, %3.s[%4], #270",
};

static const char * const output_12533[] = {
  "cdot\t%0.s, %2.b, %3.b, #0",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #0",
};

static const char * const output_12534[] = {
  "cdot\t%0.s, %2.b, %3.b, #90",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #90",
};

static const char * const output_12535[] = {
  "cdot\t%0.s, %2.b, %3.b, #180",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #180",
};

static const char * const output_12536[] = {
  "cdot\t%0.s, %2.b, %3.b, #270",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b, #270",
};

static const char * const output_12537[] = {
  "cdot\t%0.d, %2.h, %3.h, #0",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #0",
};

static const char * const output_12538[] = {
  "cdot\t%0.d, %2.h, %3.h, #90",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #90",
};

static const char * const output_12539[] = {
  "cdot\t%0.d, %2.h, %3.h, #180",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #180",
};

static const char * const output_12540[] = {
  "cdot\t%0.d, %2.h, %3.h, #270",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h, #270",
};

static const char * const output_12541[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #0",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #0",
};

static const char * const output_12542[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #90",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #90",
};

static const char * const output_12543[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #180",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #180",
};

static const char * const output_12544[] = {
  "cdot\t%0.s, %2.b, %3.b[%4], #270",
  "movprfx\t%0, %1\n\tcdot\t%0.s, %2.b, %3.b[%4], #270",
};

static const char * const output_12545[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #0",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #0",
};

static const char * const output_12546[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #90",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #90",
};

static const char * const output_12547[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #180",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #180",
};

static const char * const output_12548[] = {
  "cdot\t%0.d, %2.h, %3.h[%4], #270",
  "movprfx\t%0, %1\n\tcdot\t%0.d, %2.h, %3.h[%4], #270",
};

static const char * const output_12565[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %2\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_12566[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_12567[] = {
  "fcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tfcvtx\t%0.s, %1/m, %2.d",
  "movprfx\t%0, %3\n\tfcvtx\t%0.s, %1/m, %2.d",
};

static const char * const output_12587[] = {
  "urecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\turecpe\t%0.s, %1/m, %2.s",
};

static const char * const output_12588[] = {
  "ursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tursqrte\t%0.s, %1/m, %2.s",
};

static const char * const output_12589[] = {
  "urecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\turecpe\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\turecpe\t%0.s, %1/m, %2.s",
};

static const char * const output_12590[] = {
  "ursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tursqrte\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tursqrte\t%0.s, %1/m, %2.s",
};

static const char * const output_12591[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %2\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_12592[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %2\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_12593[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %2\n\tflogb\t%0.d, %1/m, %2.d",
};

static const char * const output_12594[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tflogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_12595[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tflogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_12596[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tflogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tflogb\t%0.d, %1/m, %2.d",
};

static const char * const output_12597[] = {
  "flogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0.h, %1/z, %2.h\n\tflogb\t%0.h, %1/m, %2.h",
  "movprfx\t%0, %3\n\tflogb\t%0.h, %1/m, %2.h",
};

static const char * const output_12598[] = {
  "flogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0.s, %1/z, %2.s\n\tflogb\t%0.s, %1/m, %2.s",
  "movprfx\t%0, %3\n\tflogb\t%0.s, %1/m, %2.s",
};

static const char * const output_12599[] = {
  "flogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0.d, %1/z, %2.d\n\tflogb\t%0.d, %1/m, %2.d",
  "movprfx\t%0, %3\n\tflogb\t%0.d, %1/m, %2.d",
};

static const char * const output_12738[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12739[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12740[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12741[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12742[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12743[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12744[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12745[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %2\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12746[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12747[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12748[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12749[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12750[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12751[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12752[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char * const output_12753[] = {
  "revd\t%0.q, %1/m, %2.q",
  "movprfx\t%0, %3\n\trevd\t%0.q, %1/m, %2.q",
};

static const char *
output_12762 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3820 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * (8 / 8));
    return (which_alternative == 0
	    ? "extq\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\textq\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_12763 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3820 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * (16 / 8));
    return (which_alternative == 0
	    ? "extq\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\textq\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_12764 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3820 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * (32 / 8));
    return (which_alternative == 0
	    ? "extq\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\textq\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_12765 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3820 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * (64 / 8));
    return (which_alternative == 0
	    ? "extq\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\textq\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_12766 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3820 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * (16 / 8));
    return (which_alternative == 0
	    ? "extq\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\textq\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_12767 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3820 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * (16 / 8));
    return (which_alternative == 0
	    ? "extq\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\textq\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_12768 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3820 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * (32 / 8));
    return (which_alternative == 0
	    ? "extq\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\textq\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char *
output_12769 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 3820 "../../gcc/config/aarch64/aarch64-sve2.md"
{
    operands[3] = GEN_INT (INTVAL (operands[3]) * (64 / 8));
    return (which_alternative == 0
	    ? "extq\t%0.b, %0.b, %2.b, #%3"
	    : "movprfx\t%0, %1\n\textq\t%0.b, %0.b, %2.b, #%3");
  }
}

static const char * const output_12873[] = {
  "match\t%0.b, %1/z, %3.b, %4.b",
  "match\t%0.b, %1/z, %3.b, %4.b",
  "match\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_12874[] = {
  "nmatch\t%0.b, %1/z, %3.b, %4.b",
  "nmatch\t%0.b, %1/z, %3.b, %4.b",
  "nmatch\t%0.b, %1/z, %3.b, %4.b",
};

static const char * const output_12875[] = {
  "match\t%0.h, %1/z, %3.h, %4.h",
  "match\t%0.h, %1/z, %3.h, %4.h",
  "match\t%0.h, %1/z, %3.h, %4.h",
};

static const char * const output_12876[] = {
  "nmatch\t%0.h, %1/z, %3.h, %4.h",
  "nmatch\t%0.h, %1/z, %3.h, %4.h",
  "nmatch\t%0.h, %1/z, %3.h, %4.h",
};

static const char *
output_13121 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.b[%w2, 0:%3]";
  }
}

static const char *
output_13122 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.b[%w2, 0:%3]";
  }
}

static const char *
output_13123 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_13124 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_13125 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.s[%w2, 0:%3]";
  }
}

static const char *
output_13126 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.s[%w2, 0:%3]";
  }
}

static const char *
output_13127 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.d[%w2, 0:%3]";
  }
}

static const char *
output_13128 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.d[%w2, 0:%3]";
  }
}

static const char *
output_13129 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_13130 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_13131 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_13132 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_13133 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.s[%w2, 0:%3]";
  }
}

static const char *
output_13134 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.s[%w2, 0:%3]";
  }
}

static const char *
output_13135 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1h.d[%w2, 0:%3]";
  }
}

static const char *
output_13136 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\t%0, za%1v.d[%w2, 0:%3]";
  }
}

static const char *
output_13137 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.b[%w2, 0:%3]";
  }
}

static const char *
output_13138 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.b[%w2, 0:%3]";
  }
}

static const char *
output_13139 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_13140 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_13141 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.s[%w2, 0:%3]";
  }
}

static const char *
output_13142 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.s[%w2, 0:%3]";
  }
}

static const char *
output_13143 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.d[%w2, 0:%3]";
  }
}

static const char *
output_13144 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.d[%w2, 0:%3]";
  }
}

static const char *
output_13145 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_13146 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_13147 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_13148 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_13149 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.s[%w2, 0:%3]";
  }
}

static const char *
output_13150 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.s[%w2, 0:%3]";
  }
}

static const char *
output_13151 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1h.d[%w2, 0:%3]";
  }
}

static const char *
output_13152 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 828 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\t%0, za%1v.d[%w2, 0:%3]";
  }
}

static const char *
output_13153 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.b[%w2, %3:%4]";
  }
}

static const char *
output_13154 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.b[%w2, %3:%4]";
  }
}

static const char *
output_13155 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_13156 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_13157 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.s[%w2, %3:%4]";
  }
}

static const char *
output_13158 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.s[%w2, %3:%4]";
  }
}

static const char *
output_13159 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.d[%w2, %3:%4]";
  }
}

static const char *
output_13160 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.d[%w2, %3:%4]";
  }
}

static const char *
output_13161 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_13162 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_13163 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_13164 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_13165 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.s[%w2, %3:%4]";
  }
}

static const char *
output_13166 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.s[%w2, %3:%4]";
  }
}

static const char *
output_13167 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1h.d[%w2, %3:%4]";
  }
}

static const char *
output_13168 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "mova\t%0, za%1v.d[%w2, %3:%4]";
  }
}

static const char *
output_13169 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.b[%w2, %3:%4]";
  }
}

static const char *
output_13170 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.b[%w2, %3:%4]";
  }
}

static const char *
output_13171 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_13172 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_13173 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.s[%w2, %3:%4]";
  }
}

static const char *
output_13174 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.s[%w2, %3:%4]";
  }
}

static const char *
output_13175 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.d[%w2, %3:%4]";
  }
}

static const char *
output_13176 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.d[%w2, %3:%4]";
  }
}

static const char *
output_13177 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_13178 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_13179 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_13180 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_13181 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.s[%w2, %3:%4]";
  }
}

static const char *
output_13182 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.s[%w2, %3:%4]";
  }
}

static const char *
output_13183 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1h.d[%w2, %3:%4]";
  }
}

static const char *
output_13184 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 847 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "mova\t%0, za%1v.d[%w2, %3:%4]";
  }
}

static const char *
output_13185 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1h.b[%w2, 0:%3]";
  }
}

static const char *
output_13186 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1v.b[%w2, 0:%3]";
  }
}

static const char *
output_13187 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_13188 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_13189 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1h.s[%w2, 0:%3]";
  }
}

static const char *
output_13190 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1v.s[%w2, 0:%3]";
  }
}

static const char *
output_13191 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1h.d[%w2, 0:%3]";
  }
}

static const char *
output_13192 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1v.d[%w2, 0:%3]";
  }
}

static const char *
output_13193 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_13194 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_13195 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_13196 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_13197 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1h.s[%w2, 0:%3]";
  }
}

static const char *
output_13198 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1v.s[%w2, 0:%3]";
  }
}

static const char *
output_13199 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1h.d[%w2, 0:%3]";
  }
}

static const char *
output_13200 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "movaz\t%0, za%1v.d[%w2, 0:%3]";
  }
}

static const char *
output_13201 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1h.b[%w2, 0:%3]";
  }
}

static const char *
output_13202 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1v.b[%w2, 0:%3]";
  }
}

static const char *
output_13203 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_13204 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_13205 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1h.s[%w2, 0:%3]";
  }
}

static const char *
output_13206 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1v.s[%w2, 0:%3]";
  }
}

static const char *
output_13207 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1h.d[%w2, 0:%3]";
  }
}

static const char *
output_13208 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1v.d[%w2, 0:%3]";
  }
}

static const char *
output_13209 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_13210 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_13211 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1h.h[%w2, 0:%3]";
  }
}

static const char *
output_13212 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1v.h[%w2, 0:%3]";
  }
}

static const char *
output_13213 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1h.s[%w2, 0:%3]";
  }
}

static const char *
output_13214 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1v.s[%w2, 0:%3]";
  }
}

static const char *
output_13215 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1h.d[%w2, 0:%3]";
  }
}

static const char *
output_13216 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 871 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "movaz\t%0, za%1v.d[%w2, 0:%3]";
  }
}

static const char *
output_13217 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1h.b[%w2, %3:%4]";
  }
}

static const char *
output_13218 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1v.b[%w2, %3:%4]";
  }
}

static const char *
output_13219 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_13220 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_13221 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1h.s[%w2, %3:%4]";
  }
}

static const char *
output_13222 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1v.s[%w2, %3:%4]";
  }
}

static const char *
output_13223 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1h.d[%w2, %3:%4]";
  }
}

static const char *
output_13224 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1v.d[%w2, %3:%4]";
  }
}

static const char *
output_13225 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_13226 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_13227 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_13228 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_13229 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1h.s[%w2, %3:%4]";
  }
}

static const char *
output_13230 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1v.s[%w2, %3:%4]";
  }
}

static const char *
output_13231 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1h.d[%w2, %3:%4]";
  }
}

static const char *
output_13232 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 2 - 1);
    return "movaz\t%0, za%1v.d[%w2, %3:%4]";
  }
}

static const char *
output_13233 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1h.b[%w2, %3:%4]";
  }
}

static const char *
output_13234 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1v.b[%w2, %3:%4]";
  }
}

static const char *
output_13235 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_13236 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_13237 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1h.s[%w2, %3:%4]";
  }
}

static const char *
output_13238 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1v.s[%w2, %3:%4]";
  }
}

static const char *
output_13239 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1h.d[%w2, %3:%4]";
  }
}

static const char *
output_13240 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1v.d[%w2, %3:%4]";
  }
}

static const char *
output_13241 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_13242 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_13243 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1h.h[%w2, %3:%4]";
  }
}

static const char *
output_13244 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1v.h[%w2, %3:%4]";
  }
}

static const char *
output_13245 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1h.s[%w2, %3:%4]";
  }
}

static const char *
output_13246 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1v.s[%w2, %3:%4]";
  }
}

static const char *
output_13247 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1h.d[%w2, %3:%4]";
  }
}

static const char *
output_13248 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 901 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[3]) + 4 - 1);
    return "movaz\t%0, za%1v.d[%w2, %3:%4]";
  }
}

static const char *
output_13257 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.b[%w1, 0:%3], %2";
  }
}

static const char *
output_13258 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.b[%w1, 0:%3], %2";
  }
}

static const char *
output_13259 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.h[%w1, 0:%3], %2";
  }
}

static const char *
output_13260 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.h[%w1, 0:%3], %2";
  }
}

static const char *
output_13261 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.s[%w1, 0:%3], %2";
  }
}

static const char *
output_13262 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.s[%w1, 0:%3], %2";
  }
}

static const char *
output_13263 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.d[%w1, 0:%3], %2";
  }
}

static const char *
output_13264 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.d[%w1, 0:%3], %2";
  }
}

static const char *
output_13265 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.h[%w1, 0:%3], %2";
  }
}

static const char *
output_13266 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.h[%w1, 0:%3], %2";
  }
}

static const char *
output_13267 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.h[%w1, 0:%3], %2";
  }
}

static const char *
output_13268 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.h[%w1, 0:%3], %2";
  }
}

static const char *
output_13269 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.s[%w1, 0:%3], %2";
  }
}

static const char *
output_13270 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.s[%w1, 0:%3], %2";
  }
}

static const char *
output_13271 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0h.d[%w1, 0:%3], %2";
  }
}

static const char *
output_13272 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (2 - 1);
    return "mova\tza%0v.d[%w1, 0:%3], %2";
  }
}

static const char *
output_13273 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.b[%w1, 0:%3], %2";
  }
}

static const char *
output_13274 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.b[%w1, 0:%3], %2";
  }
}

static const char *
output_13275 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.h[%w1, 0:%3], %2";
  }
}

static const char *
output_13276 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.h[%w1, 0:%3], %2";
  }
}

static const char *
output_13277 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.s[%w1, 0:%3], %2";
  }
}

static const char *
output_13278 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.s[%w1, 0:%3], %2";
  }
}

static const char *
output_13279 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.d[%w1, 0:%3], %2";
  }
}

static const char *
output_13280 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.d[%w1, 0:%3], %2";
  }
}

static const char *
output_13281 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.h[%w1, 0:%3], %2";
  }
}

static const char *
output_13282 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.h[%w1, 0:%3], %2";
  }
}

static const char *
output_13283 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.h[%w1, 0:%3], %2";
  }
}

static const char *
output_13284 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.h[%w1, 0:%3], %2";
  }
}

static const char *
output_13285 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.s[%w1, 0:%3], %2";
  }
}

static const char *
output_13286 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.s[%w1, 0:%3], %2";
  }
}

static const char *
output_13287 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0h.d[%w1, 0:%3], %2";
  }
}

static const char *
output_13288 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 980 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[3] = GEN_INT (4 - 1);
    return "mova\tza%0v.d[%w1, 0:%3], %2";
  }
}

static const char *
output_13289 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.b[%w1, %2:%4], %3";
  }
}

static const char *
output_13290 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.b[%w1, %2:%4], %3";
  }
}

static const char *
output_13291 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.h[%w1, %2:%4], %3";
  }
}

static const char *
output_13292 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.h[%w1, %2:%4], %3";
  }
}

static const char *
output_13293 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.s[%w1, %2:%4], %3";
  }
}

static const char *
output_13294 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.s[%w1, %2:%4], %3";
  }
}

static const char *
output_13295 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.d[%w1, %2:%4], %3";
  }
}

static const char *
output_13296 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.d[%w1, %2:%4], %3";
  }
}

static const char *
output_13297 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.h[%w1, %2:%4], %3";
  }
}

static const char *
output_13298 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.h[%w1, %2:%4], %3";
  }
}

static const char *
output_13299 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.h[%w1, %2:%4], %3";
  }
}

static const char *
output_13300 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.h[%w1, %2:%4], %3";
  }
}

static const char *
output_13301 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.s[%w1, %2:%4], %3";
  }
}

static const char *
output_13302 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.s[%w1, %2:%4], %3";
  }
}

static const char *
output_13303 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0h.d[%w1, %2:%4], %3";
  }
}

static const char *
output_13304 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 2 - 1);
    return "mova\tza%0v.d[%w1, %2:%4], %3";
  }
}

static const char *
output_13305 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.b[%w1, %2:%4], %3";
  }
}

static const char *
output_13306 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.b[%w1, %2:%4], %3";
  }
}

static const char *
output_13307 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.h[%w1, %2:%4], %3";
  }
}

static const char *
output_13308 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.h[%w1, %2:%4], %3";
  }
}

static const char *
output_13309 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.s[%w1, %2:%4], %3";
  }
}

static const char *
output_13310 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.s[%w1, %2:%4], %3";
  }
}

static const char *
output_13311 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.d[%w1, %2:%4], %3";
  }
}

static const char *
output_13312 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.d[%w1, %2:%4], %3";
  }
}

static const char *
output_13313 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.h[%w1, %2:%4], %3";
  }
}

static const char *
output_13314 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.h[%w1, %2:%4], %3";
  }
}

static const char *
output_13315 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.h[%w1, %2:%4], %3";
  }
}

static const char *
output_13316 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.h[%w1, %2:%4], %3";
  }
}

static const char *
output_13317 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.s[%w1, %2:%4], %3";
  }
}

static const char *
output_13318 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.s[%w1, %2:%4], %3";
  }
}

static const char *
output_13319 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0h.d[%w1, %2:%4], %3";
  }
}

static const char *
output_13320 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1000 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[2]) + 4 - 1);
    return "mova\tza%0v.d[%w1, %2:%4], %3";
  }
}

static const char *
output_13325 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1047 "../../gcc/config/aarch64/aarch64-sme.md"
{
    return aarch64_output_sme_zero_za (operands[0]);
  }
}

static const char *
output_13340 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1099 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[2] = GEN_INT (INTVAL (operands[1]) + 3);
    return "zero\tza.d[%w0, %1:%2]";
  }
}

static const char *
output_13341 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1099 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[2] = GEN_INT (INTVAL (operands[1]) + 3);
    return "zero\tza.d[%w0, %1:%2, vgx2]";
  }
}

static const char *
output_13342 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1099 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[2] = GEN_INT (INTVAL (operands[1]) + 3);
    return "zero\tza.d[%w0, %1:%2, vgx4]";
  }
}

static const char *
output_13343 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1099 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[2] = GEN_INT (INTVAL (operands[1]) + 1);
    return "zero\tza.d[%w0, %1:%2]";
  }
}

static const char *
output_13344 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1099 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[2] = GEN_INT (INTVAL (operands[1]) + 1);
    return "zero\tza.d[%w0, %1:%2, vgx2]";
  }
}

static const char *
output_13345 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1099 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[2] = GEN_INT (INTVAL (operands[1]) + 1);
    return "zero\tza.d[%w0, %1:%2, vgx4]";
  }
}

static const char *
output_13667 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1444 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%4], %2.b, %3.b";
  }
}

static const char *
output_13668 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1444 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%4], %2.b, %3.b";
  }
}

static const char *
output_13669 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1444 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%4], %2.b, %3.b";
  }
}

static const char *
output_13670 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1444 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%4], %2.b, %3.b";
  }
}

static const char *
output_13671 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1444 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13672 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1444 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13673 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1444 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13674 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1444 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13691 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13692 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13693 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13694 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13695 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13696 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13697 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13698 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13699 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13700 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13701 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13702 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13703 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13704 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13705 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13706 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1474 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13723 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%4, vgx2], %2, %3.b";
  }
}

static const char *
output_13724 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%4, vgx2], %2, %3.b";
  }
}

static const char *
output_13725 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%4, vgx2], %2, %3.b";
  }
}

static const char *
output_13726 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%4, vgx2], %2, %3.b";
  }
}

static const char *
output_13727 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%4, vgx4], %2, %3.b";
  }
}

static const char *
output_13728 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%4, vgx4], %2, %3.b";
  }
}

static const char *
output_13729 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%4, vgx4], %2, %3.b";
  }
}

static const char *
output_13730 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%4, vgx4], %2, %3.b";
  }
}

static const char *
output_13731 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13732 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13733 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13734 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13735 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13736 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13737 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13738 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1506 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13763 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%5], %2.b, %3.b[%4]";
  }
}

static const char *
output_13764 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%5], %2.b, %3.b[%4]";
  }
}

static const char *
output_13765 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%5], %2.b, %3.b[%4]";
  }
}

static const char *
output_13766 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%5], %2.b, %3.b[%4]";
  }
}

static const char *
output_13767 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%5, vgx2], %2, %3.b[%4]";
  }
}

static const char *
output_13768 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%5, vgx2], %2, %3.b[%4]";
  }
}

static const char *
output_13769 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%5, vgx2], %2, %3.b[%4]";
  }
}

static const char *
output_13770 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%5, vgx2], %2, %3.b[%4]";
  }
}

static const char *
output_13771 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.s[%w0, %1:%5, vgx4], %2, %3.b[%4]";
  }
}

static const char *
output_13772 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.s[%w0, %1:%5, vgx4], %2, %3.b[%4]";
  }
}

static const char *
output_13773 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.s[%w0, %1:%5, vgx4], %2, %3.b[%4]";
  }
}

static const char *
output_13774 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.s[%w0, %1:%5, vgx4], %2, %3.b[%4]";
  }
}

static const char *
output_13775 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13776 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13777 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13778 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13779 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13780 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13781 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13782 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13783 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlal\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13784 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "smlsl\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13785 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlal\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13786 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1542 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "umlsl\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13791 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1572 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13792 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1572 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13793 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1572 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13794 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1572 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_13803 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1602 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13804 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1602 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13805 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1602 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13806 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1602 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_13807 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1602 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13808 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1602 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13809 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1602 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13810 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1602 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_13819 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1634 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13820 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1634 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13821 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1634 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13822 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1634 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_13823 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1634 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13824 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1634 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13825 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1634 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13826 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1634 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_13839 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13840 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13841 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13842 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_13843 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13844 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13845 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13846 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_13847 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlall\tza.d[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13848 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "smlsll\tza.d[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13849 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlall\tza.d[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_13850 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1670 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 3);
    return "umlsll\tza.d[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_14005 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1981 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_14006 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1981 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_14007 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1981 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_14008 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 1981 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%4], %2.h, %3.h";
  }
}

static const char *
output_14017 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2011 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_14018 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2011 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_14019 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2011 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_14020 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2011 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_14021 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2011 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_14022 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2011 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%4, vgx2], %2, %3";
  }
}

static const char *
output_14023 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2011 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_14024 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2011 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%4, vgx4], %2, %3";
  }
}

static const char *
output_14033 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2043 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_14034 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2043 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_14035 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2043 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_14036 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2043 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_14037 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2043 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_14038 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2043 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%4, vgx2], %2, %3.h";
  }
}

static const char *
output_14039 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2043 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_14040 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2043 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[4] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%4, vgx4], %2, %3.h";
  }
}

static const char *
output_14053 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_14054 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_14055 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_14056 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_14057 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlal\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_14058 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "bfmlsl\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_14059 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_14060 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%5], %2.h, %3.h[%4]";
  }
}

static const char *
output_14061 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_14062 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%5, vgx2], %2, %3.h[%4]";
  }
}

static const char *
output_14063 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlal\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}

static const char *
output_14064 (rtx *operands ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
#line 2079 "../../gcc/config/aarch64/aarch64-sme.md"
{
    operands[5] = GEN_INT (INTVAL (operands[1]) + 1);
    return "fmlsl\tza.s[%w0, %1:%5, vgx4], %2, %3.h[%4]";
  }
}



static const struct insn_operand_data operand_data[] = 
{
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sysreg_string,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sysreg_string,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sysreg_string,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ccmp_operand,
    "r,Uss,Usn",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ccmp_operand,
    "r,Uss,Usn",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPEmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    cc_register,
    "",
    E_CCFPEmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_prefetch_operand,
    "Dp",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_prefetch_operand,
    "Dp",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucr,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucs,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_call_insn_operand,
    "Ucs,Usf",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,r,r,w,r,r,r,w,m,m,r,r,w,w,w,w,Umv,r",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Z,r,M,Dq,Usv,Usr,m,m,rZ,w,w,w,rZ,rZ,w,w,rZ,Umv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,r,w,r,r,r,w,m,m,r,r,w,w,w,w,Umv,r",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Z,r,M,Dh,Usv,Usr,m,m,rZ,w,w,w,rZ,rZ,w,w,rZ,Umv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,rk,r,r,r,r,r,r,r,w,m,m,r,r,r,w,r,w,w,Umv,r",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Z,r,k,M,n,Usv,Usr,UsR,m,m,rZ,w,Usw,Usa,Ush,rZ,w,w,Ds,rZ,Umv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,k,r,r,r,r,r,r,r,w,m,m,r,r,r,w,r,w,w,w,Umv,r",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Z,r,r,k,O,n,Usv,Usr,UsR,m,m,rZ,w,Usw,Usa,Ush,rZ,w,w,Dd,Dx,rZ,Umv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=r,w,w,w,r,w,w,r,m,m,w,m",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_movti_operand,
    "rUti,Z,Z,r,w,w,w,m,r,Z,m,w",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,w,w,?r,?r,w,w,w,w,w,m,r,m,r",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,?r,?rY,w,w,w,w,Ufc,Uvi,m,w,m,rY,r",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,w,w,?r,?r,w,w,w,w,w,m,r,m,r",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,?r,?rY,w,w,w,w,Ufc,Uvi,m,w,m,rY,r",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_SDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,M",
    E_SDmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,M",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_DDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,O",
    E_DDmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,w,w,w,m,r,m,r,r",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "Y,?rY,w,w,Ufc,Uvi,m,w,m,rY,r,O",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,?r,w,?w,w,m,?r,m,m",
    E_TDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,?rY,?r,w,Y,Y,m,w,m,?r,Y",
    E_TDmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,?r,w,?r,w,?w,w,m,?r,m,m",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,?rY,?r,w,Y,Y,m,w,m,?r,Y",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "+&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "Umn,Umn",
    E_V2x4QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "Umn,Umn",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "Umn",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_ldp_reg_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2x4QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_ldp_reg_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "=rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=&rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=&rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=&rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=&rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=&rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=&rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_TImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_TImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    1
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=rk,rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0,0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_stp_reg_operand,
    "rYZ,w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    1
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    pmode_register_operand,
    "=rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "0",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_ldp_reg_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_TImode,
    0,
    1,
    0,
    1
  },
  {
    aarch64_mem_pair_operator,
    "",
    E_TImode,
    0,
    1,
    0,
    1
  },
  {
    pmode_plus_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "Umn",
    E_V2x4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,r,m,w,w",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "Umn,Umn",
    E_V2x4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m,w",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m,m,w",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "r,m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=rk,rk,w,rk,r,r,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,w,rk,rk,0,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,w,J,Uaa,Uai,Uav,UaV",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,rk,w,rk,r,r,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,w,rk,rk,0,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,w,J,Uaa,Uai,Uav,UaV",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,rk,rk,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_operand,
    "I,r,J,Uaa",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk,0,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "I,r,J,Uaa,Uai,Uav,Uat",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk,rk,0,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "I,r,J,Uaa,Uai,Uav,Uat",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r,I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_carry_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_scalar_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "J,I",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "I,J",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "J,I",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rkZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm3,
    "Ui3",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_borrow_operation,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "Y,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "Y,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_si,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm_di,
    "n",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_QImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm24,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,r,r,r,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,rZ,UsM,rZ,Ui1,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_zero_or_m1_or_1,
    "rZ,UsM,rZ,Ui1,rZ,UsM,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operation,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cnt_immediate,
    "Usv",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cnt_immediate,
    "Usv",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_and_immediate,
    "UsO",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_and_immediate,
    "UsP",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,0,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K,K,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r,0,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,L,L,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,L",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_logical_operand,
    "r,K",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,?w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r,Uss,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r,Usd,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r,Usg,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r,Usj,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r,w,&w,&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r,w,w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Uss,r,Usg,w,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_di,
    "Usd,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_shift_imm_si,
    "Uss,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r,w,?w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_DImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "r,w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n,Ulc",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ulc,n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2,
    "F",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt,Dt",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt,Dt",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_pow2_recip,
    "Dt",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sminmax_operand,
    "r,Usm",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_uminmax_operand,
    "r,Uum",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sminmax_operand,
    "r,Usm",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_uminmax_operand,
    "r,Uum",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_ie_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_tls_le_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "L",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_immediate,
    "L",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "=m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_uimm6,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_memtag_tag_offset,
    "i",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_simm9,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_granule16_simm9,
    "i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_V8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_V8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_V8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,r,m,m,m,w,w,?r,?r,?w,?r,w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,m,Dz,w,r,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,m,m,m,w,w,?r,?r,?w,?r,w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,m,Dz,w,r,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,m,m,m,w,w,?r,?r,?w,?r,w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,m,Dz,w,r,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,m,m,m,w,w,?r,?r,?w,?r,w,w,w",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,m,Dz,w,r,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,m,m,m,w,w,?r,?r,?w,?r,w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,m,Dz,w,r,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,r,m,m,m,w,w,?r,?r,?w,?r,w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,m,Dz,w,r,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,Umn,m,w,w,?r,?w,?r,w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "m,Dz,w,w,w,w,r,r,Dn,Dz,Dx",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "=m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "=m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?r,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?r,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?r,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?r,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?r,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?r,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?r,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_and_imm,
    "w,Db",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_orr_imm,
    "w,Do",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_xor_imm,
    "w,De",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "Dr",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "D1,Dr",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_di,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_vec_pow2,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_select_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=?r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i,i,i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "Utq",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mem_pair_lanes_operand,
    "=Umn,Umn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,w,?r",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_mem_pair_operand,
    "=w,w,w,w,Umn,Umn",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,0,0,?w,?r",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "w,?r,?r,Utv,?w,?r",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,?r,m",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_raddsubhn_imm_vec,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "w,JIr",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=X,&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "w,JIr",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=X,&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shll_imm_vec,
    "D2,DL",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shll_imm_vec,
    "D2,DL",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shll_imm_vec,
    "D2,DL",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    ",",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shll_imm_vec,
    "D2,DL",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    ",",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shll_imm_vec,
    "D2,DL",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    ",",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shll_imm_vec,
    "D2,DL",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_di,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_qi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_hi,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_si,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_half_mode,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_qi,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_hi,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_si,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_int_rnd_operand,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_umax_quarter_mode,
    "",
    E_V2TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,ZDz",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_minus_one,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,YDz",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_even_or_odd_half,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Q",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "0",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=r,m,r",
    E_V8DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "r,r,m",
    E_V8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "=Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,m,w",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,m",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,o,w",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "w,w,o",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "i",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_or_scalar_imm_zero,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "Dl",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "Ui7",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_lo_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "Ui2",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "n",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    vect_par_cnst_hi_half,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_imm,
    "rn",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plushi_operand,
    "rUih",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "+r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_QImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_HImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rK",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "rIJ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "+Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "rL",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&r",
    E_SImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_rcpc_memory_operand,
    "=Q,Ust",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "rZ,rZ",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_BLKmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=w,w,m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,m,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "w",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_nonimmediate_operand,
    "=w,Utr,w,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_general_operand,
    "Utr,w,w,Dn",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w,w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_nonmemory_operand,
    "w,Dn",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "=w,w,Utx",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_struct_nonimmediate_operand,
    "w,Utx,w",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,m,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,Upa,m,Dn",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_sve_ptrue_svpattern_immediate,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "=Upa,Upa,m",
    E_VNx32BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,m,Upa",
    E_VNx32BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "=Upa,Upa,m",
    E_VNx64BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_mov_operand,
    "Upa,m,Upa",
    E_VNx64BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_reg_or_minus_one,
    "Dm,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldnf1_operand,
    "Utn",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,Z,vgd,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Ui1,Ui1,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,0,w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,Z,Z,Ui1,Ui1,Z,Z,Ui1,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,Z,vgb,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,Z,vgh,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w,&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,Z,vgw,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0,w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,i,i,i,i,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPb",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPh",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPw",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_prefetch_operand,
    "UPd",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "i,i,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "Z,vgd,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "Ui1,Ui1,Z,Ui1,Z,Ui1",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,Ui1,i,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "Z,vgb,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "Z,vgh,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "Z,vgw,rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,Ui1,Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rk,rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "Ui1,i",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "r,w,Uty",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "w,UtQ",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    scratch_operand,
    "=X,Upl",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1r_operand,
    "Uty",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1rq_operand,
    "UtQ",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_b,
    "UOb",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_w,
    "UOw",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_d,
    "UOd",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_h,
    "UOh",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_w,
    "UOw",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ld1ro_operand_d,
    "UOd",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ,w,rZ,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "Usi,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_index_operand,
    "r,Usi,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "=r,w,Utv",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxt_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_one,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "vsm,w,vsm,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "vsb,w,vsb,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_immediate,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_immediate,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?w,?w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_add_operand,
    "vsa,vsn,vsi,vsa,vsn,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "w,vsa,vsa",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_uxtw_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_sqadd_operand,
    "vsQ,vsS,vsQ,vsS,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_operand,
    "vsa,vsa,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_logical_operand,
    "vsl,vsl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "Dr,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "vs1,Dl",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "vsA,vsN,w,w,vsA,vsN,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,i,Z,Ui1,i,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_immediate,
    "vsA,vsN,vsA,vsN,vsA,vsN",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "vsA,w,0,w,vsA,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_immediate,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "vsM,w,w,vsM,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "i,Z,Ui1,i,Ui1",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "vsB,w,vsB,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%w,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,w,?w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "w,vss,vss,Ufc,Ufc,vss,Ufc",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "w,0,Dz,0,Dz,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa,Upa,Upa,Upl,Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?w,w,??w,?&w,??&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r,w,r,w,r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,0,Dz,Dz,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,vsc,vsc,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa,&Upa,?Upl,Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl,Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,vsd,vsd,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsc_operand,
    "vsc,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_cmp_vsd_operand,
    "vsd,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    ",,",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    ",,",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    ",,",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upl,Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "wDz",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upl",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "wDz",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upl",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "wDz",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upl",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upl",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upl",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upl",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=?r,w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa,&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa,Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa,Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,0,0,0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,00,0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    ",,",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=&Upa,?Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,0Upa,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx4BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx2BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    subreg_lowpart_operator,
    "",
    E_HImode,
    0,
    1,
    0,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    descending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx1SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx1SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_maskload_else_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwd",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=Uwt",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,Z,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,Z,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,Z,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,Z,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,Z,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=&w,?w,&w,?w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,Z,r,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "UplDnm,UplDnm,UplDnm,UplDnm",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "+m",
    E_VNx1SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx1SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx1DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx2TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx3TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwd",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "+m",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "Uwt",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_register,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "Z,r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Up2",
    E_VNx32BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "w,vsm,vsm",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_arith_immediate,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w,&w,&w,&w,&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,0,w,w,w,w,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "Dl,w,0,Dl,w,Dl,w,Dl,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "Dz,Dz,Dz,Dz,Dz,0,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,w,w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,0,w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "%0",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "0",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_vec_exact_top,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_imm_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "y,y",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x,x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,&w,&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&w,?&w,?&w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "0,Dz,w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uph",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Up2",
    E_VNx32BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Uph",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "rZ",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w,?&w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0,w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&Upa,?Upl,Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl,0,Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w,w,w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx16BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "=Upa",
    E_VNx8BImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "%0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "m",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    pmode_register_operand,
    "r",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx1TImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "Utf",
    E_VNx1TImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    pmode_register_operand,
    "rk",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mov_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "rk",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_mov_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sync_memory_operand,
    "Q",
    E_V8DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx1TImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ldff1_operand,
    "+Utf",
    E_VNx1TImode,
    0,
    0,
    1,
    1
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "=Q",
    E_V8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "0",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Ucj",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_12_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_12_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_12_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_12_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_12_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_4_step_4_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_7_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_14_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Uci",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_0_to_6_step_2_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "x",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "Upl",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    scratch_operand,
    "",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    scratch_operand,
    "",
    E_DImode,
    0,
    0,
    0,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_SDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SDmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_DDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DDmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_TDmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_TDmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_BLKmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_pluslong_or_poly_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    cc_register,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const0_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator_mode,
    "",
    E_SImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_fp_compare_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_comparison_operator,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_imm,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sminmax_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_uminmax_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sminmax_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_uminmax_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_SDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_DDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_constant_pool_symref,
    "S",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_TDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "w",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=&r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_valid_symref,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    ascending_int_parallel,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_shift_imm64_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_qi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_bitsize_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_qi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_hi,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_offset_si,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_struct_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x1DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x1DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x1DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x1DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_OImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_CImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_XImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_V8DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_V8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=w",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "r",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x1DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x1DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V3x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4x8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_nonimmediate_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8BFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DFmode,
    0,
    0,
    1,
    0
  },
  {
    immediate_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_shift_imm_di,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_lane_imm3,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_imm2,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    1
  },
  {
    nonmemory_operand,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_reg_or_zero,
    "",
    E_TImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_reg_or_zero,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_plus_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sync_memory_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    aarch64_logical_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    1
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "=Upl",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_any_register_operand,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    1
  },
  {
    nonimmediate_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    general_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx48QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx24HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx12SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx6DFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    memory_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_d,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_b,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_h,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gather_offset_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_gather_scale_operand_w,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_dup_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsb_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vsm_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_pred_and_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    const_1_to_3_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_rshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_V1DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_lshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_with_sub_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_maxmin_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_mul_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_float_arith_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_gp_strictness,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    general_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    1
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_reg_or_dup_imm,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx16BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    nonmemory_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx8BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx4BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    comparison_operator,
    "",
    E_VNx2BImode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_ptrue_flag,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_equality_operator,
    "",
    E_VOIDmode,
    0,
    1,
    0,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    0,
    "",
    E_VOIDmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_vec_perm_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8BFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx32QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx64QImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_sve_lshift_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_rshift_imm,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32BFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx16HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx8SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw2",
    E_VNx4DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx32HFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx16SFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "=Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    aligned_register_operand,
    "Uw4",
    E_VNx8DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx16QImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_simd_reg_or_zero,
    "",
    E_VNx2DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx8HFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2BImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx4SFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_VNx2DFmode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_bytes_per_sve_vector_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_SImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    register_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    aarch64_bytes_per_sve_vector_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
  {
    const_int_operand,
    "",
    E_DImode,
    0,
    0,
    1,
    0
  },
};


#if GCC_VERSION >= 2007
__extension__
#endif

const struct insn_data_d insn_data[] = 
{
  /* <internal>:0 */
  {
    "*placeholder_for_nothing",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { 0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:645 */
  {
    "aarch64_read_sysregdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%x0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_read_sysregdi },
    &operand_data[1],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:653 */
  {
    "aarch64_read_sysregti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrrs\t%x0, %H0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_read_sysregti },
    &operand_data[3],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:661 */
  {
    "aarch64_write_sysregdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\t%0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_write_sysregdi },
    &operand_data[4],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:669 */
  {
    "aarch64_write_sysregti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msrr\t%x0, %x1, %H1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_write_sysregti },
    &operand_data[6],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:677 */
  {
    "indirect_jump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5 },
#else
    { 0, 0, output_5 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_indirect_jump },
    &operand_data[8],
    1,
    1,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:688 */
  {
    "jump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "b\t%l0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_jump },
    &operand_data[9],
    1,
    1,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:733 */
  {
    "ccmpccsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7 },
#else
    { 0, output_7, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccsi },
    &operand_data[10],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:733 */
  {
    "ccmpccdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8 },
#else
    { 0, output_8, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccdi },
    &operand_data[16],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:753 */
  {
    "ccmpccfpsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%s2, %s3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpsf },
    &operand_data[22],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:753 */
  {
    "ccmpccfpdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%d2, %d3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpdf },
    &operand_data[28],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:753 */
  {
    "ccmpccfpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%s2, %s3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpesf },
    &operand_data[34],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:753 */
  {
    "ccmpccfpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%d2, %d3, %k5, %m4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpedf },
    &operand_data[40],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:770 */
  {
    "ccmpccsi_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_13 },
#else
    { 0, output_13, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccsi_rev },
    &operand_data[10],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:770 */
  {
    "ccmpccdi_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_14 },
#else
    { 0, output_14, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccdi_rev },
    &operand_data[16],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:790 */
  {
    "ccmpccfpsf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%s2, %s3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpsf_rev },
    &operand_data[22],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:790 */
  {
    "ccmpccfpdf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmp\t%d2, %d3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpdf_rev },
    &operand_data[28],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:790 */
  {
    "ccmpccfpesf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%s2, %s3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpesf_rev },
    &operand_data[34],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:790 */
  {
    "ccmpccfpedf_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fccmpe\t%d2, %d3, %k5, %M4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ccmpccfpedf_rev },
    &operand_data[40],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:863 */
  {
    "condjump",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_19 },
#else
    { 0, 0, output_19 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_condjump },
    &operand_data[46],
    3,
    3,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:902 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[49],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:902 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[49],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:902 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[52],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:902 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[52],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:902 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[49],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:902 */
  {
    "*compare_condjumpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[49],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:902 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[52],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:902 */
  {
    "*compare_condjumpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[52],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:989 */
  {
    "*casesi_dispatch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_28 },
#else
    { 0, 0, output_28 },
#endif
    { 0 },
    &operand_data[55],
    3,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1007 */
  {
    "nop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nop },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1014 */
  {
    "prefetch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_30 },
#else
    { 0, 0, output_30 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_prefetch },
    &operand_data[60],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1045 */
  {
    "aarch64_pldx",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_31 },
#else
    { 0, 0, output_31 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pldx },
    &operand_data[63],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1056 */
  {
    "trap",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brk #1000",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_trap },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1080 */
  {
    "*do_return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_33 },
#else
    { 0, 0, output_33 },
#endif
    { 0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1108 */
  {
    "simple_return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_34 },
#else
    { 0, 0, output_34 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_simple_return },
    &operand_data[0],
    0,
    0,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1119 */
  {
    "aarch64_cbeqsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_35 },
#else
    { 0, 0, output_35 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cbeqsi1 },
    &operand_data[56],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1119 */
  {
    "aarch64_cbnesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_36 },
#else
    { 0, 0, output_36 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cbnesi1 },
    &operand_data[56],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1119 */
  {
    "aarch64_cbeqdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_37 },
#else
    { 0, 0, output_37 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cbeqdi1 },
    &operand_data[8],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1119 */
  {
    "aarch64_cbnedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_38 },
#else
    { 0, 0, output_38 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cbnedi1 },
    &operand_data[8],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbeqqisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_39 },
#else
    { 0, 0, output_39 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqqisi },
    &operand_data[65],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbneqisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_40 },
#else
    { 0, 0, output_40 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbneqisi },
    &operand_data[65],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbeqqidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_41 },
#else
    { 0, 0, output_41 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqqidi },
    &operand_data[65],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbneqidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_42 },
#else
    { 0, 0, output_42 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbneqidi },
    &operand_data[65],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbeqhisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_43 },
#else
    { 0, 0, output_43 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqhisi },
    &operand_data[68],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbnehisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_44 },
#else
    { 0, 0, output_44 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbnehisi },
    &operand_data[68],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbeqhidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_45 },
#else
    { 0, 0, output_45 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqhidi },
    &operand_data[68],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbnehidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_46 },
#else
    { 0, 0, output_46 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbnehidi },
    &operand_data[68],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbeqsisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_47 },
#else
    { 0, 0, output_47 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqsisi },
    &operand_data[71],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbnesisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_48 },
#else
    { 0, 0, output_48 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbnesisi },
    &operand_data[71],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbeqsidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_49 },
#else
    { 0, 0, output_49 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqsidi },
    &operand_data[71],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbnesidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_50 },
#else
    { 0, 0, output_50 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbnesidi },
    &operand_data[71],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbeqdisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_51 },
#else
    { 0, 0, output_51 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqdisi },
    &operand_data[74],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbnedisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_52 },
#else
    { 0, 0, output_52 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbnedisi },
    &operand_data[74],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbeqdidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_53 },
#else
    { 0, 0, output_53 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbeqdidi },
    &operand_data[74],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1161 */
  {
    "aarch64_tbnedidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_54 },
#else
    { 0, 0, output_54 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tbnedidi },
    &operand_data[74],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1201 */
  {
    "*cbltqi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_55 },
#else
    { 0, 0, output_55 },
#endif
    { 0 },
    &operand_data[77],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1201 */
  {
    "*cbgeqi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_56 },
#else
    { 0, 0, output_56 },
#endif
    { 0 },
    &operand_data[77],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1201 */
  {
    "*cblthi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_57 },
#else
    { 0, 0, output_57 },
#endif
    { 0 },
    &operand_data[79],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1201 */
  {
    "*cbgehi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_58 },
#else
    { 0, 0, output_58 },
#endif
    { 0 },
    &operand_data[79],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1201 */
  {
    "*cbltsi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_59 },
#else
    { 0, 0, output_59 },
#endif
    { 0 },
    &operand_data[56],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1201 */
  {
    "*cbgesi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_60 },
#else
    { 0, 0, output_60 },
#endif
    { 0 },
    &operand_data[56],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1201 */
  {
    "*cbltdi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_61 },
#else
    { 0, 0, output_61 },
#endif
    { 0 },
    &operand_data[8],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1201 */
  {
    "*cbgedi1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_62 },
#else
    { 0, 0, output_62 },
#endif
    { 0 },
    &operand_data[8],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1340 */
  {
    "*call_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_63 },
#else
    { 0, 0, output_63 },
#endif
    { 0 },
    &operand_data[81],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1367 */
  {
    "*call_value_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_64 },
#else
    { 0, 0, output_64 },
#endif
    { 0 },
    &operand_data[80],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1407 */
  {
    "*sibcall_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_65 },
#else
    { 0, 0, output_65 },
#endif
    { 0 },
    &operand_data[84],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1425 */
  {
    "*sibcall_value_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_66 },
#else
    { 0, 0, output_66 },
#endif
    { 0 },
    &operand_data[87],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1512 */
  {
    "*movqi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_67 },
#else
    { 0, 0, output_67 },
#endif
    { 0 },
    &operand_data[91],
    2,
    2,
    0,
    18,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1512 */
  {
    "*movhi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_68 },
#else
    { 0, 0, output_68 },
#endif
    { 0 },
    &operand_data[93],
    2,
    2,
    0,
    18,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1573 */
  {
    "*movsi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_69 },
#else
    { 0, 0, output_69 },
#endif
    { 0 },
    &operand_data[95],
    2,
    2,
    0,
    21,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1611 */
  {
    "*movdi_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_70 },
#else
    { 0, 0, output_70 },
#endif
    { 0 },
    &operand_data[97],
    2,
    2,
    0,
    23,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1658 */
  {
    "insv_immsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movk\t%w0, %X2, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insv_immsi },
    &operand_data[99],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1658 */
  {
    "insv_immdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movk\t%x0, %X2, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insv_immdi },
    &operand_data[102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1670 */
  {
    "aarch64_movksi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_73 },
#else
    { 0, 0, output_73 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movksi },
    &operand_data[105],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1670 */
  {
    "aarch64_movkdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_74 },
#else
    { 0, 0, output_74 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movkdi },
    &operand_data[109],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1705 */
  {
    "*movti_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_75 },
#else
    { 0, output_75, 0 },
#endif
    { 0 },
    &operand_data[113],
    2,
    2,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1787 */
  {
    "*movhf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_76 },
#else
    { 0, 0, output_76 },
#endif
    { 0 },
    &operand_data[115],
    2,
    2,
    0,
    15,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1787 */
  {
    "*movbf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_77 },
#else
    { 0, 0, output_77 },
#endif
    { 0 },
    &operand_data[117],
    2,
    2,
    0,
    15,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1810 */
  {
    "*movsd_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_78 },
#else
    { 0, 0, output_78 },
#endif
    { 0 },
    &operand_data[119],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1810 */
  {
    "*movsf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_79 },
#else
    { 0, 0, output_79 },
#endif
    { 0 },
    &operand_data[121],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1830 */
  {
    "*movdd_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_80 },
#else
    { 0, 0, output_80 },
#endif
    { 0 },
    &operand_data[123],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1830 */
  {
    "*movdf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_81 },
#else
    { 0, 0, output_81 },
#endif
    { 0 },
    &operand_data[125],
    2,
    2,
    0,
    12,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:1850 */
  {
    "*movtd_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_82 },
#else
    { 0, output_82, 0 },
#endif
    { 0 },
    &operand_data[127],
    2,
    2,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1850 */
  {
    "*movtf_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_83 },
#else
    { 0, output_83, 0 },
#endif
    { 0 },
    &operand_data[129],
    2,
    2,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:1917 */
  {
    "aarch64_write_fpmr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpmr, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_write_fpmr },
    &operand_data[5],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1940 */
  {
    "*aarch64_cpymemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cpyfp\t[%x0]!, [%x1]!, %x2!\n\tcpyfm\t[%x0]!, [%x1]!, %x2!\n\tcpyfe\t[%x0]!, [%x1]!, %x2!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[131],
    3,
    3,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:1985 */
  {
    "*aarch64_movmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cpyp\t[%x0]!, [%x1]!, %x2!\n\tcpym\t[%x0]!, [%x1]!, %x2!\n\tcpye\t[%x0]!, [%x1]!, %x2!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[131],
    3,
    3,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2030 */
  {
    "*aarch64_setmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "setp\t[%x0]!, %x2!, %x1\n\tsetm\t[%x0]!, %x2!, %x1\n\tsete\t[%x0]!, %x2!, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[133],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2059 */
  {
    "*load_pair_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_88 },
#else
    { 0, output_88, 0 },
#endif
    { 0 },
    &operand_data[136],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2059 */
  {
    "*load_pair_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_89 },
#else
    { 0, output_89, 0 },
#endif
    { 0 },
    &operand_data[139],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2076 */
  {
    "*load_pair_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q0, %q2, %y1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[142],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2092 */
  {
    "*store_pair_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_91 },
#else
    { 0, output_91, 0 },
#endif
    { 0 },
    &operand_data[145],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2092 */
  {
    "*store_pair_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_92 },
#else
    { 0, output_92, 0 },
#endif
    { 0 },
    &operand_data[148],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2105 */
  {
    "*store_pair_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q1, %q2, %y0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[151],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2126 */
  {
    "*loadwb_post_pair_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_94 },
#else
    { 0, output_94, 0 },
#endif
    { 0 },
    &operand_data[154],
    9,
    9,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2126 */
  {
    "*loadwb_post_pair_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_95 },
#else
    { 0, output_95, 0 },
#endif
    { 0 },
    &operand_data[163],
    9,
    9,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2146 */
  {
    "*loadwb_post_pair_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%1], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[172],
    9,
    9,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2165 */
  {
    "*loadwb_pre_pair_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_97 },
#else
    { 0, output_97, 0 },
#endif
    { 0 },
    &operand_data[181],
    11,
    11,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2165 */
  {
    "*loadwb_pre_pair_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_98 },
#else
    { 0, output_98, 0 },
#endif
    { 0 },
    &operand_data[192],
    11,
    11,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2192 */
  {
    "*loadwb_pre_pair_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[203],
    11,
    11,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2218 */
  {
    "*storewb_pre_pair_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_100 },
#else
    { 0, output_100, 0 },
#endif
    { 0 },
    &operand_data[214],
    11,
    11,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2218 */
  {
    "*storewb_pre_pair_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_101 },
#else
    { 0, output_101, 0 },
#endif
    { 0 },
    &operand_data[225],
    11,
    11,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2248 */
  {
    "*storewb_pre_pair_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0, %4]!",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[236],
    11,
    11,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2276 */
  {
    "*storewb_post_pair_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_103 },
#else
    { 0, output_103, 0 },
#endif
    { 0 },
    &operand_data[247],
    9,
    9,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2276 */
  {
    "*storewb_post_pair_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_104 },
#else
    { 0, output_104, 0 },
#endif
    { 0 },
    &operand_data[256],
    9,
    9,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2300 */
  {
    "*storewb_post_pair_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stp\t%q2, %q3, [%0], %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[265],
    9,
    9,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2332 */
  {
    "*extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_106 },
#else
    { 0, output_106, 0 },
#endif
    { 0 },
    &operand_data[274],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2342 */
  {
    "*load_pair_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldpsw\t%0, %2, %y1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[276],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2356 */
  {
    "*zero_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_108 },
#else
    { 0, output_108, 0 },
#endif
    { 0 },
    &operand_data[279],
    2,
    2,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2370 */
  {
    "*load_pair_zero_extendsidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_109 },
#else
    { 0, output_109, 0 },
#endif
    { 0 },
    &operand_data[281],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2392 */
  {
    "*extendqisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_110 },
#else
    { 0, output_110, 0 },
#endif
    { 0 },
    &operand_data[284],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2392 */
  {
    "*extendqidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_111 },
#else
    { 0, output_111, 0 },
#endif
    { 0 },
    &operand_data[286],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2392 */
  {
    "*extendhisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_112 },
#else
    { 0, output_112, 0 },
#endif
    { 0 },
    &operand_data[288],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2392 */
  {
    "*extendhidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_113 },
#else
    { 0, output_113, 0 },
#endif
    { 0 },
    &operand_data[290],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2403 */
  {
    "*zero_extendqisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_114 },
#else
    { 0, output_114, 0 },
#endif
    { 0 },
    &operand_data[292],
    2,
    2,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2403 */
  {
    "*zero_extendqidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_115 },
#else
    { 0, output_115, 0 },
#endif
    { 0 },
    &operand_data[294],
    2,
    2,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2403 */
  {
    "*zero_extendhisi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_116 },
#else
    { 0, output_116, 0 },
#endif
    { 0 },
    &operand_data[296],
    2,
    2,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2403 */
  {
    "*zero_extendhidi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_117 },
#else
    { 0, output_117, 0 },
#endif
    { 0 },
    &operand_data[298],
    2,
    2,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2421 */
  {
    "*extendqihi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_118 },
#else
    { 0, output_118, 0 },
#endif
    { 0 },
    &operand_data[300],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2431 */
  {
    "*zero_extendqihi2_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_119 },
#else
    { 0, output_119, 0 },
#endif
    { 0 },
    &operand_data[300],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2482 */
  {
    "*addsi3_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_120 },
#else
    { 0, 0, output_120 },
#endif
    { 0 },
    &operand_data[302],
    3,
    3,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2482 */
  {
    "*adddi3_aarch64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_121 },
#else
    { 0, 0, output_121 },
#endif
    { 0 },
    &operand_data[305],
    3,
    3,
    0,
    8,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2503 */
  {
    "*addsi3_aarch64_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_122 },
#else
    { 0, output_122, 0 },
#endif
    { 0 },
    &operand_data[308],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2576 */
  {
    "*addsi3_poly_1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_123 },
#else
    { 0, 0, output_123 },
#endif
    { 0 },
    &operand_data[311],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2576 */
  {
    "*adddi3_poly_1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_124 },
#else
    { 0, 0, output_124 },
#endif
    { 0 },
    &operand_data[314],
    3,
    3,
    0,
    7,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "addsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_125 },
#else
    { 0, output_125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compare0 },
    &operand_data[317],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2753 */
  {
    "adddi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_126 },
#else
    { 0, output_126, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compare0 },
    &operand_data[320],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2770 */
  {
    "*addsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_127 },
#else
    { 0, output_127, 0 },
#endif
    { 0 },
    &operand_data[323],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2786 */
  {
    "*addsi3_compareC_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_128 },
#else
    { 0, output_128, 0 },
#endif
    { 0 },
    &operand_data[326],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2786 */
  {
    "*adddi3_compareC_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_129 },
#else
    { 0, output_129, 0 },
#endif
    { 0 },
    &operand_data[328],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2801 */
  {
    "addsi3_compareC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_130 },
#else
    { 0, output_130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareC },
    &operand_data[330],
    3,
    3,
    3,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2801 */
  {
    "adddi3_compareC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_131 },
#else
    { 0, output_131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareC },
    &operand_data[333],
    3,
    3,
    3,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2818 */
  {
    "*addsi3_compareV_cconly_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_132 },
#else
    { 0, output_132, 0 },
#endif
    { 0 },
    &operand_data[336],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2818 */
  {
    "*adddi3_compareV_cconly_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_133 },
#else
    { 0, output_133, 0 },
#endif
    { 0 },
    &operand_data[339],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2836 */
  {
    "*addsi3_compareV_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[342],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2836 */
  {
    "*adddi3_compareV_cconly",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[344],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2848 */
  {
    "addsi3_compareV_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_136 },
#else
    { 0, output_136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareV_imm },
    &operand_data[346],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2848 */
  {
    "adddi3_compareV_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_137 },
#else
    { 0, output_137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareV_imm },
    &operand_data[349],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2866 */
  {
    "addsi3_compareV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_compareV },
    &operand_data[352],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2866 */
  {
    "adddi3_compareV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_compareV },
    &operand_data[355],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "*adds_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2880 */
  {
    "*adds_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2896 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsl %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[366],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2896 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, asr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[366],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2896 */
  {
    "*subs_shift_imm_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, lsr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[366],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2896 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsl %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[370],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2896 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, asr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[370],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2896 */
  {
    "*subs_shift_imm_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2, lsr %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[370],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "*adds_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[374],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "*adds_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[374],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "*adds_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[377],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "*adds_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[377],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "*adds_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[380],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "*adds_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[380],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "*adds_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[383],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "*adds_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[383],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "*adds_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[386],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "*adds_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[386],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "*adds_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[389],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2912 */
  {
    "*adds_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[389],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2926 */
  {
    "*subs_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[392],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2926 */
  {
    "*subs_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[392],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2926 */
  {
    "*subs_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[395],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2926 */
  {
    "*subs_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[395],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2926 */
  {
    "*subs_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[398],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2926 */
  {
    "*subs_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[398],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2926 */
  {
    "*subs_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[401],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2926 */
  {
    "*subs_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[401],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2926 */
  {
    "*subs_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[352],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2926 */
  {
    "*subs_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[352],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2926 */
  {
    "*subs_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[404],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2926 */
  {
    "*subs_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[404],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2940 */
  {
    "*adds_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[407],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2940 */
  {
    "*adds_zero_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[407],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2940 */
  {
    "*adds_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[411],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2940 */
  {
    "*adds_zero_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[411],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2940 */
  {
    "*adds_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[415],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2940 */
  {
    "*adds_zero_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[415],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2940 */
  {
    "*adds_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[419],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2940 */
  {
    "*adds_zero_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[419],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2940 */
  {
    "*adds_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[423],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2940 */
  {
    "*adds_zero_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%w0, %w3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[423],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2940 */
  {
    "*adds_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[427],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2940 */
  {
    "*adds_zero_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adds\t%x0, %x3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[427],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "*subs_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[431],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "*subs_zero_extendqi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[431],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "*subs_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[435],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "*subs_zero_extendqi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[435],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "*subs_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "*subs_zero_extendhi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "*subs_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "*subs_zero_extendhi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "*subs_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "*subs_zero_extendsi_shift_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "*subs_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2958 */
  {
    "*subs_zero_extendsi_shift_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2976 */
  {
    "*addsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_200 },
#else
    { 0, output_200, 0 },
#endif
    { 0 },
    &operand_data[455],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2976 */
  {
    "*adddi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_201 },
#else
    { 0, output_201, 0 },
#endif
    { 0 },
    &operand_data[457],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:2990 */
  {
    "aarch64_subsi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subsi_compare0 },
    &operand_data[459],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:2990 */
  {
    "aarch64_subdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subdi_compare0 },
    &operand_data[461],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3001 */
  {
    "*compare_negsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%w1, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[342],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3001 */
  {
    "*compare_negdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmn\t%x1, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[344],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3011 */
  {
    "*add_lsl_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3011 */
  {
    "*add_asr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3011 */
  {
    "*add_lsr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3011 */
  {
    "*add_lsl_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3011 */
  {
    "*add_asr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3011 */
  {
    "*add_lsr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3022 */
  {
    "*add_lsl_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3022 */
  {
    "*add_asr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3022 */
  {
    "*add_lsr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3033 */
  {
    "*add_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3033 */
  {
    "*add_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[467],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3033 */
  {
    "*add_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3033 */
  {
    "*add_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3033 */
  {
    "*add_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3033 */
  {
    "*add_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[473],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3033 */
  {
    "*add_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3033 */
  {
    "*add_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3033 */
  {
    "*add_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3033 */
  {
    "*add_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[479],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3033 */
  {
    "*add_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3033 */
  {
    "*add_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x2, %w1, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[482],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3043 */
  {
    "*add_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3043 */
  {
    "*add_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[485],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3043 */
  {
    "*add_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3043 */
  {
    "*add_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[470],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3043 */
  {
    "*add_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3043 */
  {
    "*add_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[488],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3043 */
  {
    "*add_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3043 */
  {
    "*add_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w2, %w1, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[476],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "*add_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "*add_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[491],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "*add_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "*add_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[495],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "*add_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "*add_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[499],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "*add_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "*add_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[503],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "*add_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "*add_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[507],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "*add_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, sxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[511],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3053 */
  {
    "*add_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x3, %w1, uxtw %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[511],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3065 */
  {
    "*add_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[515],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3065 */
  {
    "*add_zero_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxtb %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[515],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3065 */
  {
    "*add_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, sxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[519],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3065 */
  {
    "*add_zero_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w3, %w1, uxth %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[519],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3091 */
  {
    "*addsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[523],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3091 */
  {
    "*adddi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[527],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3104 */
  {
    "*addsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3144 */
  {
    "*addsi3_carryinC_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[535],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3144 */
  {
    "*adddi3_carryinC_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[540],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3160 */
  {
    "*addsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[545],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3160 */
  {
    "*adddi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[551],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3206 */
  {
    "*addsi3_carryinV_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[535],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3206 */
  {
    "*adddi3_carryinV_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[540],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3223 */
  {
    "*addsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[545],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3223 */
  {
    "*adddi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[551],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3246 */
  {
    "*add_uxtsi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_262 },
#else
    { 0, 0, output_262 },
#endif
    { 0 },
    &operand_data[557],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3246 */
  {
    "*add_uxtdi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_263 },
#else
    { 0, 0, output_263 },
#endif
    { 0 },
    &operand_data[562],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3262 */
  {
    "*add_uxtsi_shift2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_264 },
#else
    { 0, 0, output_264 },
#endif
    { 0 },
    &operand_data[567],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3278 */
  {
    "subsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3 },
    &operand_data[447],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3288 */
  {
    "*subsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3298 */
  {
    "subdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_267 },
#else
    { 0, output_267, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3 },
    &operand_data[575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3325 */
  {
    "subvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi_insn },
    &operand_data[352],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3325 */
  {
    "subvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi_insn },
    &operand_data[355],
    3,
    3,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3341 */
  {
    "subvsi_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_270 },
#else
    { 0, output_270, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi_imm },
    &operand_data[346],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3341 */
  {
    "subvdi_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_271 },
#else
    { 0, output_271, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi_imm },
    &operand_data[349],
    3,
    3,
    4,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3373 */
  {
    "negvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi_insn },
    &operand_data[358],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3373 */
  {
    "negvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_insn },
    &operand_data[362],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3386 */
  {
    "negvsi_cmp_only",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%wzr, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi_cmp_only },
    &operand_data[49],
    1,
    1,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3386 */
  {
    "negvdi_cmp_only",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%xzr, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_cmp_only },
    &operand_data[8],
    1,
    1,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3397 */
  {
    "*cmpvsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_276 },
#else
    { 0, output_276, 0 },
#endif
    { 0 },
    &operand_data[326],
    2,
    2,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3397 */
  {
    "*cmpvdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_277 },
#else
    { 0, output_277, 0 },
#endif
    { 0 },
    &operand_data[328],
    2,
    2,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3501 */
  {
    "negdi_carryout",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi_carryout },
    &operand_data[362],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3512 */
  {
    "negvdi_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngcs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi_carryinV },
    &operand_data[362],
    2,
    2,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3529 */
  {
    "*subsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[352],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3529 */
  {
    "*subdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[355],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3542 */
  {
    "*subsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[578],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3554 */
  {
    "subsi3_compare1_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_283 },
#else
    { 0, output_283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_compare1_imm },
    &operand_data[581],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3554 */
  {
    "subdi3_compare1_imm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_284 },
#else
    { 0, output_284, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_compare1_imm },
    &operand_data[585],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:3571 */
  {
    "subsi3_compare1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_compare1 },
    &operand_data[589],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3571 */
  {
    "subdi3_compare1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_compare1 },
    &operand_data[592],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3659 */
  {
    "*sub_lsl_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3659 */
  {
    "*sub_asr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3659 */
  {
    "*sub_lsr_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3659 */
  {
    "*sub_lsl_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3659 */
  {
    "*sub_asr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3659 */
  {
    "*sub_lsr_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x3, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3671 */
  {
    "*sub_lsl_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3671 */
  {
    "*sub_asr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3671 */
  {
    "*sub_lsr_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w3, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "*sub_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "*sub_zero_extendqi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[431],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "*sub_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[435],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "*sub_zero_extendqi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[435],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "*sub_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "*sub_zero_extendhi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "*sub_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "*sub_zero_extendhi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "*sub_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "*sub_zero_extendsi_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "*sub_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3683 */
  {
    "*sub_zero_extendsi_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3694 */
  {
    "*sub_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[595],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3694 */
  {
    "*sub_zero_extendqi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[595],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3694 */
  {
    "*sub_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[598],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3694 */
  {
    "*sub_zero_extendhi_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[598],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3705 */
  {
    "*sub_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[431],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3705 */
  {
    "*sub_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[431],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3705 */
  {
    "*sub_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[435],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3705 */
  {
    "*sub_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[435],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3705 */
  {
    "*sub_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3705 */
  {
    "*sub_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[439],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3705 */
  {
    "*sub_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3705 */
  {
    "*sub_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[443],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3705 */
  {
    "*sub_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3705 */
  {
    "*sub_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[447],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3705 */
  {
    "*sub_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, sxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3705 */
  {
    "*sub_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%x0, %x1, %w2, uxtw %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3717 */
  {
    "*sub_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[601],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3717 */
  {
    "*sub_zero_extendqi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxtb %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[601],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3717 */
  {
    "*sub_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, sxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3717 */
  {
    "*sub_zero_extendhi_shft_si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%w0, %w1, %w2, uxth %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[605],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3735 */
  {
    "*subsi3_carryin0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[609],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3735 */
  {
    "*subdi3_carryin0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3746 */
  {
    "*subsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[615],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3768 */
  {
    "*subsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[618],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3768 */
  {
    "*subdi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[622],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3782 */
  {
    "*subsi3_carryin_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[626],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3796 */
  {
    "*subsi3_carryin_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[618],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3796 */
  {
    "*subdi3_carryin_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[622],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3809 */
  {
    "*subsi3_carryin_alt_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbc\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[626],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3839 */
  {
    "*usubsi3_carryinC_z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, wzr, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[630],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3839 */
  {
    "*usubdi3_carryinC_z1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, xzr, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[634],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3856 */
  {
    "*usubsi3_carryinC_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[630],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3856 */
  {
    "*usubdi3_carryinC_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[634],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3871 */
  {
    "*usubsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[638],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3871 */
  {
    "*usubdi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[643],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3911 */
  {
    "*subsi3_carryinV_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, wzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[630],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3911 */
  {
    "*subdi3_carryinV_z2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[634],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3928 */
  {
    "*subsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[638],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3928 */
  {
    "*subdi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbcs\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[643],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3952 */
  {
    "*sub_uxtsi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_347 },
#else
    { 0, 0, output_347 },
#endif
    { 0 },
    &operand_data[648],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3952 */
  {
    "*sub_uxtdi_shift2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_348 },
#else
    { 0, 0, output_348 },
#endif
    { 0 },
    &operand_data[653],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3968 */
  {
    "*sub_uxtsi_shift2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_349 },
#else
    { 0, 0, output_349 },
#endif
    { 0 },
    &operand_data[658],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:3984 */
  {
    "*aarch64_abssi2_cssc_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:3984 */
  {
    "*aarch64_absdi2_cssc_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4007 */
  {
    "negsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_352 },
#else
    { 0, output_352, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsi2 },
    &operand_data[663],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4007 */
  {
    "negdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_353 },
#else
    { 0, output_353, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi2 },
    &operand_data[665],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4018 */
  {
    "*negsi2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[389],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4026 */
  {
    "*ngcsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4026 */
  {
    "*ngcdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[670],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4036 */
  {
    "*ngcsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ngc\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[673],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4047 */
  {
    "negsi2_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsi2_compare0 },
    &operand_data[358],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4047 */
  {
    "negdi2_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdi2_compare0 },
    &operand_data[362],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4059 */
  {
    "*negsi2_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[389],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4070 */
  {
    "*neg_lslsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4070 */
  {
    "*neg_asrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4070 */
  {
    "*neg_lsrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4070 */
  {
    "*neg_lsldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4070 */
  {
    "*neg_asrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4070 */
  {
    "*neg_lsrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "negs\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4084 */
  {
    "*neg_lsl_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4084 */
  {
    "*neg_asr_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4084 */
  {
    "*neg_lsr_si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4084 */
  {
    "*neg_lsl_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4084 */
  {
    "*neg_asr_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4084 */
  {
    "*neg_lsr_di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%x0, %x1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4095 */
  {
    "*neg_lsl_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsl %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4095 */
  {
    "*neg_asr_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4095 */
  {
    "*neg_lsr_si2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, lsr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[463],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4106 */
  {
    "*neg_asr_si2_extr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%w0, %w1, asr %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[676],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4118 */
  {
    "mulsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsi3 },
    &operand_data[366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4118 */
  {
    "muldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_muldi3 },
    &operand_data[370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4128 */
  {
    "*mulsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4138 */
  {
    "maddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maddsi },
    &operand_data[681],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4138 */
  {
    "madddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%x0, %x1, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_madddi },
    &operand_data[685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4149 */
  {
    "*maddsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "madd\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[689],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4160 */
  {
    "*msubsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[681],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4160 */
  {
    "*msubdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%x0, %x1, %x2, %x3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4172 */
  {
    "*msubsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msub\t%w0, %w1, %w2, %w3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[689],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4184 */
  {
    "*mulsi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4184 */
  {
    "*muldi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4195 */
  {
    "*mulsi_neg_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mneg\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4206 */
  {
    "mulsidi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsidi3 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4206 */
  {
    "umulsidi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulsidi3 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "maddsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaddl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maddsidi4 },
    &operand_data[693],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4215 */
  {
    "umaddsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaddl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaddsidi4 },
    &operand_data[693],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4226 */
  {
    "msubsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smsubl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_msubsidi4 },
    &operand_data[693],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4226 */
  {
    "umsubsidi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umsubl\t%0, %w1, %w2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umsubsidi4 },
    &operand_data[693],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4238 */
  {
    "*mulsidi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smnegl\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4238 */
  {
    "*umulsidi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umnegl\t%0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4290 */
  {
    "smuldi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smulh\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smuldi3_highpart },
    &operand_data[370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4290 */
  {
    "umuldi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umulh\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umuldi3_highpart },
    &operand_data[370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4303 */
  {
    "divsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divsi3 },
    &operand_data[366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4303 */
  {
    "udivsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivsi3 },
    &operand_data[366],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4303 */
  {
    "divdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divdi3 },
    &operand_data[370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4303 */
  {
    "udivdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivdi3 },
    &operand_data[370],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4313 */
  {
    "*divsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4313 */
  {
    "*udivsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udiv\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4327 */
  {
    "cmpsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_405 },
#else
    { 0, output_405, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmpsi },
    &operand_data[331],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4327 */
  {
    "cmpdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_406 },
#else
    { 0, output_406, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmpdi },
    &operand_data[334],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4339 */
  {
    "fcmpsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_407 },
#else
    { 0, output_407, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpsf },
    &operand_data[697],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4339 */
  {
    "fcmpdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_408 },
#else
    { 0, output_408, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpdf },
    &operand_data[699],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4351 */
  {
    "fcmpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_409 },
#else
    { 0, output_409, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpesf },
    &operand_data[697],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4351 */
  {
    "fcmpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_410 },
#else
    { 0, output_410, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcmpedf },
    &operand_data[699],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4363 */
  {
    "*cmp_swp_lsl_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[701],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4363 */
  {
    "*cmp_swp_asr_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[701],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4363 */
  {
    "*cmp_swp_lsr_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[701],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4363 */
  {
    "*cmp_swp_lsl_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, lsl %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4363 */
  {
    "*cmp_swp_asr_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, asr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4363 */
  {
    "*cmp_swp_lsr_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %x0, lsr %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[704],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4374 */
  {
    "*cmp_swp_extendqi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[468],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4374 */
  {
    "*cmp_swp_zero_extendqi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[468],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4374 */
  {
    "*cmp_swp_extendqi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, sxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[471],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4374 */
  {
    "*cmp_swp_zero_extendqi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, uxtb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[471],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4374 */
  {
    "*cmp_swp_extendhi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[474],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4374 */
  {
    "*cmp_swp_zero_extendhi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[474],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4374 */
  {
    "*cmp_swp_extendhi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, sxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4374 */
  {
    "*cmp_swp_zero_extendhi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, uxth",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[477],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4374 */
  {
    "*cmp_swp_extendsi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[342],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4374 */
  {
    "*cmp_swp_zero_extendsi_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w1, %w0, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[342],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4374 */
  {
    "*cmp_swp_extendsi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[343],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4374 */
  {
    "*cmp_swp_zero_extendsi_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x1, %w0, uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[343],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4384 */
  {
    "*cmp_swp_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[492],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4384 */
  {
    "*cmp_swp_zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[492],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4384 */
  {
    "*cmp_swp_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, sxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4384 */
  {
    "*cmp_swp_zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, uxtb %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4384 */
  {
    "*cmp_swp_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4384 */
  {
    "*cmp_swp_zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[500],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4384 */
  {
    "*cmp_swp_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, sxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4384 */
  {
    "*cmp_swp_zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, uxth %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4384 */
  {
    "*cmp_swp_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, sxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4384 */
  {
    "*cmp_swp_zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%w2, %w0, uxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4384 */
  {
    "*cmp_swp_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, sxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4384 */
  {
    "*cmp_swp_zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmp\t%x2, %w0, uxtw %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[512],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "aarch64_cstoreqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoreqi },
    &operand_data[707],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "aarch64_cstorehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstorehi },
    &operand_data[710],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "aarch64_cstoresi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoresi },
    &operand_data[713],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4438 */
  {
    "aarch64_cstoredi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%x0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cstoredi },
    &operand_data[716],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4457 */
  {
    "*compare_cstoresi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[719],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4457 */
  {
    "*compare_cstoresi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[719],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4457 */
  {
    "*compare_cstoredi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[722],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4457 */
  {
    "*compare_cstoredi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[722],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4483 */
  {
    "*cstoresi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cset\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4493 */
  {
    "cstoreqi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoreqi_neg },
    &operand_data[707],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4493 */
  {
    "cstorehi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstorehi_neg },
    &operand_data[710],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4493 */
  {
    "cstoresi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresi_neg },
    &operand_data[713],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4493 */
  {
    "cstoredi_neg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%x0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredi_neg },
    &operand_data[716],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4503 */
  {
    "*cstoresi_neg_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csetm\t%w0, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4545 */
  {
    "*cmovqi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_455 },
#else
    { 0, output_455, 0 },
#endif
    { 0 },
    &operand_data[728],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4545 */
  {
    "*cmovhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_456 },
#else
    { 0, output_456, 0 },
#endif
    { 0 },
    &operand_data[733],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4545 */
  {
    "*cmovsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_457 },
#else
    { 0, output_457, 0 },
#endif
    { 0 },
    &operand_data[738],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4545 */
  {
    "*cmovdi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_458 },
#else
    { 0, output_458, 0 },
#endif
    { 0 },
    &operand_data[743],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4567 */
  {
    "*cmovsi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_459 },
#else
    { 0, output_459, 0 },
#endif
    { 0 },
    &operand_data[748],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:4592 */
  {
    "*cmovsi_insn_m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4592 */
  {
    "*cmovdi_insn_m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[757],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4610 */
  {
    "*cmovdi_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csel\t%w0, %w3, %w4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[761],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4622 */
  {
    "*cmovsf_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcsel\t%s0, %s3, %s4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[766],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4622 */
  {
    "*cmovdf_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcsel\t%d0, %d3, %d4, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[771],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4711 */
  {
    "aarch64_crc32b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_465 },
#else
    { 0, 0, output_465 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32b },
    &operand_data[776],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4711 */
  {
    "aarch64_crc32h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_466 },
#else
    { 0, 0, output_466 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32h },
    &operand_data[779],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4711 */
  {
    "aarch64_crc32w",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_467 },
#else
    { 0, 0, output_467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32w },
    &operand_data[366],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4711 */
  {
    "aarch64_crc32x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_468 },
#else
    { 0, 0, output_468 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32x },
    &operand_data[782],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4711 */
  {
    "aarch64_crc32cb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_469 },
#else
    { 0, 0, output_469 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cb },
    &operand_data[776],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4711 */
  {
    "aarch64_crc32ch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_470 },
#else
    { 0, 0, output_470 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32ch },
    &operand_data[779],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4711 */
  {
    "aarch64_crc32cw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_471 },
#else
    { 0, 0, output_471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cw },
    &operand_data[366],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4711 */
  {
    "aarch64_crc32cx",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_472 },
#else
    { 0, 0, output_472 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crc32cx },
    &operand_data[782],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4783 */
  {
    "*csinc2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cinc\t%w0, %w1, %m2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[785],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4783 */
  {
    "*csinc2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cinc\t%x0, %x1, %m2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[788],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4792 */
  {
    "csinc3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinc\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csinc3si_insn },
    &operand_data[791],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4792 */
  {
    "csinc3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinc\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csinc3di_insn },
    &operand_data[795],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4804 */
  {
    "*csinv3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[791],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4804 */
  {
    "*csinv3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[795],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4815 */
  {
    "*csneg3_uxtw_insn4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[799],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4815 */
  {
    "*csinv3_uxtw_insn4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[799],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4827 */
  {
    "csneg3si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3si_insn },
    &operand_data[791],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4827 */
  {
    "csneg3di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%x0, %x3, %x2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_csneg3di_insn },
    &operand_data[795],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4838 */
  {
    "*csinv3_uxtw_insn1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w2, %w3, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[803],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4838 */
  {
    "*csinv3_uxtw_insn1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w2, %w3, %m1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[803],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4851 */
  {
    "*csinv3_uxtw_insn2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[803],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4851 */
  {
    "*csinv3_uxtw_insn2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, %w3, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[803],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4864 */
  {
    "*csinv3_uxtw_insn3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csneg\t%w0, wzr, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[799],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4864 */
  {
    "*csinv3_uxtw_insn3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "csinv\t%w0, wzr, %w2, %M1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[799],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4881 */
  {
    "*cmovsi_insn_insv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[807],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4881 */
  {
    "*cmovdi_insn_insv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[811],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4902 */
  {
    "*cmov_uxtw_insn_insv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[815],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4981 */
  {
    "aarch64_uqdecsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_492 },
#else
    { 0, 0, output_492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqdecsi },
    &operand_data[819],
    3,
    3,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4981 */
  {
    "aarch64_uqdecdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_493 },
#else
    { 0, 0, output_493 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqdecdi },
    &operand_data[822],
    3,
    3,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:4995 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4995 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4995 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4995 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4995 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[829],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4995 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[829],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4995 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[829],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:4995 */
  {
    "*aarch64_minmax_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[829],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5025 */
  {
    "*aarch64_andsi_imm2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[833],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5025 */
  {
    "*aarch64_anddi_imm2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[836],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5044 */
  {
    "andsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_504 },
#else
    { 0, output_504, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andsi3 },
    &operand_data[839],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5044 */
  {
    "iorsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_505 },
#else
    { 0, output_505, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorsi3 },
    &operand_data[839],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5044 */
  {
    "xorsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_506 },
#else
    { 0, output_506, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsi3 },
    &operand_data[839],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5044 */
  {
    "anddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_507 },
#else
    { 0, output_507, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_anddi3 },
    &operand_data[842],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5044 */
  {
    "iordi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_508 },
#else
    { 0, output_508, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iordi3 },
    &operand_data[842],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5044 */
  {
    "xordi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_509 },
#else
    { 0, output_509, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xordi3 },
    &operand_data[842],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5058 */
  {
    "*andsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_510 },
#else
    { 0, output_510, 0 },
#endif
    { 0 },
    &operand_data[845],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5058 */
  {
    "*iorsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_511 },
#else
    { 0, output_511, 0 },
#endif
    { 0 },
    &operand_data[845],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5058 */
  {
    "*xorsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_512 },
#else
    { 0, output_512, 0 },
#endif
    { 0 },
    &operand_data[845],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5070 */
  {
    "*andsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_513 },
#else
    { 0, output_513, 0 },
#endif
    { 0 },
    &operand_data[848],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5070 */
  {
    "*anddi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_514 },
#else
    { 0, output_514, 0 },
#endif
    { 0 },
    &operand_data[851],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5086 */
  {
    "*andsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_515 },
#else
    { 0, output_515, 0 },
#endif
    { 0 },
    &operand_data[854],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5101 */
  {
    "*and_ashlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_516 },
#else
    { 0, 0, output_516 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5101 */
  {
    "*and_ashrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_517 },
#else
    { 0, 0, output_517 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5101 */
  {
    "*and_lshrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_518 },
#else
    { 0, 0, output_518 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5101 */
  {
    "*and_rotrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_519 },
#else
    { 0, 0, output_519 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5101 */
  {
    "*and_rotlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_520 },
#else
    { 0, 0, output_520 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5101 */
  {
    "*and_ashldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_521 },
#else
    { 0, 0, output_521 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5101 */
  {
    "*and_ashrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_522 },
#else
    { 0, 0, output_522 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5101 */
  {
    "*and_lshrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_523 },
#else
    { 0, 0, output_523 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5101 */
  {
    "*and_rotrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_524 },
#else
    { 0, 0, output_524 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5101 */
  {
    "*and_rotldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_525 },
#else
    { 0, 0, output_525 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5121 */
  {
    "*and_ashlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_526 },
#else
    { 0, 0, output_526 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5121 */
  {
    "*and_ashrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_527 },
#else
    { 0, 0, output_527 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5121 */
  {
    "*and_lshrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_528 },
#else
    { 0, 0, output_528 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5121 */
  {
    "*and_rotrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_529 },
#else
    { 0, 0, output_529 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5121 */
  {
    "*and_rotlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_530 },
#else
    { 0, 0, output_530 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "and_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_531 },
#else
    { 0, 0, output_531 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_ashlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "ior_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_532 },
#else
    { 0, 0, output_532 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_ashlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "xor_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_533 },
#else
    { 0, 0, output_533 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_ashlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "and_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_534 },
#else
    { 0, 0, output_534 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_ashrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "ior_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_535 },
#else
    { 0, 0, output_535 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_ashrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "xor_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_536 },
#else
    { 0, 0, output_536 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_ashrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "and_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_537 },
#else
    { 0, 0, output_537 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_lshrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "ior_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_538 },
#else
    { 0, 0, output_538 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_lshrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "xor_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_539 },
#else
    { 0, 0, output_539 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_lshrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "and_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_540 },
#else
    { 0, 0, output_540 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_rotrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "ior_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_541 },
#else
    { 0, 0, output_541 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_rotrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "xor_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_542 },
#else
    { 0, 0, output_542 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_rotrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "and_rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_543 },
#else
    { 0, 0, output_543 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_rotlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "ior_rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_544 },
#else
    { 0, 0, output_544 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_rotlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "xor_rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_545 },
#else
    { 0, 0, output_545 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_rotlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "and_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_546 },
#else
    { 0, 0, output_546 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_ashldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "ior_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_547 },
#else
    { 0, 0, output_547 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_ashldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "xor_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_548 },
#else
    { 0, 0, output_548 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_ashldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "and_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_549 },
#else
    { 0, 0, output_549 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_ashrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "ior_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_550 },
#else
    { 0, 0, output_550 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_ashrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "xor_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_551 },
#else
    { 0, 0, output_551 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_ashrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "and_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_552 },
#else
    { 0, 0, output_552 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_lshrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "ior_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_553 },
#else
    { 0, 0, output_553 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_lshrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "xor_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_554 },
#else
    { 0, 0, output_554 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_lshrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "and_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_555 },
#else
    { 0, 0, output_555 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_rotrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "ior_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_556 },
#else
    { 0, 0, output_556 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_rotrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "xor_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_557 },
#else
    { 0, 0, output_557 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_rotrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "and_rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_558 },
#else
    { 0, 0, output_558 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_rotldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "ior_rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_559 },
#else
    { 0, 0, output_559 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_rotldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5141 */
  {
    "xor_rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_560 },
#else
    { 0, 0, output_560 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_rotldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*and_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_561 },
#else
    { 0, 0, output_561 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*ior_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_562 },
#else
    { 0, 0, output_562 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*xor_ashlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_563 },
#else
    { 0, 0, output_563 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*and_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_564 },
#else
    { 0, 0, output_564 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*ior_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_565 },
#else
    { 0, 0, output_565 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*xor_ashrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_566 },
#else
    { 0, 0, output_566 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*and_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_567 },
#else
    { 0, 0, output_567 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*ior_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_568 },
#else
    { 0, 0, output_568 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*xor_lshrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_569 },
#else
    { 0, 0, output_569 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*and_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_570 },
#else
    { 0, 0, output_570 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*ior_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_571 },
#else
    { 0, 0, output_571 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*xor_rotrsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_572 },
#else
    { 0, 0, output_572 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*and_rotlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_573 },
#else
    { 0, 0, output_573 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*ior_rotlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_574 },
#else
    { 0, 0, output_574 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5246 */
  {
    "*xor_rotlsi3_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_575 },
#else
    { 0, 0, output_575 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5262 */
  {
    "one_cmplsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_576 },
#else
    { 0, output_576, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplsi2 },
    &operand_data[663],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5262 */
  {
    "one_cmpldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_577 },
#else
    { 0, output_577, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmpldi2 },
    &operand_data[665],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5272 */
  {
    "*one_cmpl_zero_extend",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mvn\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[389],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5281 */
  {
    "*one_cmpl_ashlsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_579 },
#else
    { 0, 0, output_579 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5281 */
  {
    "*one_cmpl_ashrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_580 },
#else
    { 0, 0, output_580 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5281 */
  {
    "*one_cmpl_lshrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_581 },
#else
    { 0, 0, output_581 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5281 */
  {
    "*one_cmpl_rotrsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_582 },
#else
    { 0, 0, output_582 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5281 */
  {
    "*one_cmpl_rotlsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_583 },
#else
    { 0, 0, output_583 },
#endif
    { 0 },
    &operand_data[358],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5281 */
  {
    "*one_cmpl_ashldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_584 },
#else
    { 0, 0, output_584 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5281 */
  {
    "*one_cmpl_ashrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_585 },
#else
    { 0, 0, output_585 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5281 */
  {
    "*one_cmpl_lshrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_586 },
#else
    { 0, 0, output_586 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5281 */
  {
    "*one_cmpl_rotrdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_587 },
#else
    { 0, 0, output_587 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5281 */
  {
    "*one_cmpl_rotldi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_588 },
#else
    { 0, 0, output_588 },
#endif
    { 0 },
    &operand_data[362],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5296 */
  {
    "andnsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_589 },
#else
    { 0, output_589, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnsi3 },
    &operand_data[857],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5296 */
  {
    "iornsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_590 },
#else
    { 0, output_590, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornsi3 },
    &operand_data[857],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5296 */
  {
    "andndi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_591 },
#else
    { 0, output_591, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andndi3 },
    &operand_data[860],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5296 */
  {
    "iorndi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_592 },
#else
    { 0, output_592, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorndi3 },
    &operand_data[860],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5307 */
  {
    "*andnsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5307 */
  {
    "*iornsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5317 */
  {
    "*xor_one_cmplsidi3_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eon\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5329 */
  {
    "*xor_one_cmplsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_596 },
#else
    { 0, output_596, 0 },
#endif
    { 0 },
    &operand_data[863],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5329 */
  {
    "*xor_one_cmpldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_597 },
#else
    { 0, output_597, 0 },
#endif
    { 0 },
    &operand_data[866],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5347 */
  {
    "*and_one_cmplsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[366],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5347 */
  {
    "*and_one_cmpldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%x0, %x2, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[370],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5362 */
  {
    "*and_one_cmplsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\t%w0, %w2, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[531],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5376 */
  {
    "*and_one_cmplsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\twzr, %w1, %w0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[342],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5376 */
  {
    "*and_one_cmpldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bics\txzr, %x1, %x0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[344],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "and_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_603 },
#else
    { 0, 0, output_603 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "ior_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_604 },
#else
    { 0, 0, output_604 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "xor_one_cmpl_ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_605 },
#else
    { 0, 0, output_605 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "and_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_606 },
#else
    { 0, 0, output_606 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "ior_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_607 },
#else
    { 0, 0, output_607 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "xor_one_cmpl_ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_608 },
#else
    { 0, 0, output_608 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "and_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_609 },
#else
    { 0, 0, output_609 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "ior_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_610 },
#else
    { 0, 0, output_610 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "xor_one_cmpl_lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_611 },
#else
    { 0, 0, output_611 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "and_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_612 },
#else
    { 0, 0, output_612 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "ior_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_613 },
#else
    { 0, 0, output_613 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "xor_one_cmpl_rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_614 },
#else
    { 0, 0, output_614 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "and_one_cmpl_rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_615 },
#else
    { 0, 0, output_615 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "ior_one_cmpl_rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_616 },
#else
    { 0, 0, output_616 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "xor_one_cmpl_rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_617 },
#else
    { 0, 0, output_617 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotlsi3 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "and_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_618 },
#else
    { 0, 0, output_618 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "ior_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_619 },
#else
    { 0, 0, output_619 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "xor_one_cmpl_ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_620 },
#else
    { 0, 0, output_620 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "and_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_621 },
#else
    { 0, 0, output_621 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "ior_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_622 },
#else
    { 0, 0, output_622 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "xor_one_cmpl_ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_623 },
#else
    { 0, 0, output_623 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "and_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_624 },
#else
    { 0, 0, output_624 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "ior_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_625 },
#else
    { 0, 0, output_625 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "xor_one_cmpl_lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_626 },
#else
    { 0, 0, output_626 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "and_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_627 },
#else
    { 0, 0, output_627 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "ior_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_628 },
#else
    { 0, 0, output_628 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "xor_one_cmpl_rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_629 },
#else
    { 0, 0, output_629 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrdi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "and_one_cmpl_rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_630 },
#else
    { 0, 0, output_630 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "ior_one_cmpl_rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_631 },
#else
    { 0, 0, output_631 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5388 */
  {
    "xor_one_cmpl_rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_632 },
#else
    { 0, 0, output_632 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotldi3 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "and_one_cmpl_ashlsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_633 },
#else
    { 0, 0, output_633 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashlsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "ior_one_cmpl_ashlsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_634 },
#else
    { 0, 0, output_634 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashlsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "xor_one_cmpl_ashlsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_635 },
#else
    { 0, 0, output_635 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashlsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "and_one_cmpl_ashrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_636 },
#else
    { 0, 0, output_636 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_ashrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "ior_one_cmpl_ashrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_637 },
#else
    { 0, 0, output_637 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_ashrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "xor_one_cmpl_ashrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_638 },
#else
    { 0, 0, output_638 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_ashrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "and_one_cmpl_lshrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_639 },
#else
    { 0, 0, output_639 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_lshrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "ior_one_cmpl_lshrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_640 },
#else
    { 0, 0, output_640 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_lshrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "xor_one_cmpl_lshrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_641 },
#else
    { 0, 0, output_641 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_lshrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "and_one_cmpl_rotrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_642 },
#else
    { 0, 0, output_642 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "ior_one_cmpl_rotrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_643 },
#else
    { 0, 0, output_643 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "xor_one_cmpl_rotrsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_644 },
#else
    { 0, 0, output_644 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotrsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "and_one_cmpl_rotlsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_645 },
#else
    { 0, 0, output_645 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_and_one_cmpl_rotlsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "ior_one_cmpl_rotlsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_646 },
#else
    { 0, 0, output_646 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ior_one_cmpl_rotlsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5405 */
  {
    "xor_one_cmpl_rotlsidi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_647 },
#else
    { 0, 0, output_647 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xor_one_cmpl_rotlsidi_uxtw },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5421 */
  {
    "*eor_one_cmpl_ashlsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_648 },
#else
    { 0, 0, output_648 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5421 */
  {
    "*eor_one_cmpl_ashrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_649 },
#else
    { 0, 0, output_649 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5421 */
  {
    "*eor_one_cmpl_lshrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_650 },
#else
    { 0, 0, output_650 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5421 */
  {
    "*eor_one_cmpl_rotrsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_651 },
#else
    { 0, 0, output_651 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5421 */
  {
    "*eor_one_cmpl_rotlsi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_652 },
#else
    { 0, 0, output_652 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5421 */
  {
    "*eor_one_cmpl_ashldi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_653 },
#else
    { 0, 0, output_653 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5421 */
  {
    "*eor_one_cmpl_ashrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_654 },
#else
    { 0, 0, output_654 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5421 */
  {
    "*eor_one_cmpl_lshrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_655 },
#else
    { 0, 0, output_655 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5421 */
  {
    "*eor_one_cmpl_rotrdi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_656 },
#else
    { 0, 0, output_656 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5421 */
  {
    "*eor_one_cmpl_rotldi3_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_657 },
#else
    { 0, 0, output_657 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5438 */
  {
    "*eor_one_cmpl_ashlsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_658 },
#else
    { 0, 0, output_658 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5438 */
  {
    "*eor_one_cmpl_ashrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_659 },
#else
    { 0, 0, output_659 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5438 */
  {
    "*eor_one_cmpl_lshrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_660 },
#else
    { 0, 0, output_660 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5438 */
  {
    "*eor_one_cmpl_rotrsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_661 },
#else
    { 0, 0, output_661 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5438 */
  {
    "*eor_one_cmpl_rotlsidi3_alt_ze",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_662 },
#else
    { 0, 0, output_662 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5455 */
  {
    "*and_one_cmpl_ashlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_663 },
#else
    { 0, 0, output_663 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5455 */
  {
    "*and_one_cmpl_ashrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_664 },
#else
    { 0, 0, output_664 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5455 */
  {
    "*and_one_cmpl_lshrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_665 },
#else
    { 0, 0, output_665 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5455 */
  {
    "*and_one_cmpl_rotrsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_666 },
#else
    { 0, 0, output_666 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5455 */
  {
    "*and_one_cmpl_rotlsi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_667 },
#else
    { 0, 0, output_667 },
#endif
    { 0 },
    &operand_data[358],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5455 */
  {
    "*and_one_cmpl_ashldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_668 },
#else
    { 0, 0, output_668 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5455 */
  {
    "*and_one_cmpl_ashrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_669 },
#else
    { 0, 0, output_669 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5455 */
  {
    "*and_one_cmpl_lshrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_670 },
#else
    { 0, 0, output_670 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5455 */
  {
    "*and_one_cmpl_rotrdi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_671 },
#else
    { 0, 0, output_671 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5455 */
  {
    "*and_one_cmpl_rotldi3_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_672 },
#else
    { 0, 0, output_672 },
#endif
    { 0 },
    &operand_data[362],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5478 */
  {
    "*and_one_cmpl_ashlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_673 },
#else
    { 0, 0, output_673 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5478 */
  {
    "*and_one_cmpl_ashrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_674 },
#else
    { 0, 0, output_674 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5478 */
  {
    "*and_one_cmpl_lshrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_675 },
#else
    { 0, 0, output_675 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5478 */
  {
    "*and_one_cmpl_rotrsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_676 },
#else
    { 0, 0, output_676 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5478 */
  {
    "*and_one_cmpl_rotlsi3_compare0_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_677 },
#else
    { 0, 0, output_677 },
#endif
    { 0 },
    &operand_data[463],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5500 */
  {
    "*and_one_cmpl_ashlsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_678 },
#else
    { 0, 0, output_678 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5500 */
  {
    "*and_one_cmpl_ashrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_679 },
#else
    { 0, 0, output_679 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5500 */
  {
    "*and_one_cmpl_lshrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_680 },
#else
    { 0, 0, output_680 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5500 */
  {
    "*and_one_cmpl_rotrsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_681 },
#else
    { 0, 0, output_681 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5500 */
  {
    "*and_one_cmpl_rotlsi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_682 },
#else
    { 0, 0, output_682 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5500 */
  {
    "*and_one_cmpl_ashldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_683 },
#else
    { 0, 0, output_683 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5500 */
  {
    "*and_one_cmpl_ashrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_684 },
#else
    { 0, 0, output_684 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5500 */
  {
    "*and_one_cmpl_lshrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_685 },
#else
    { 0, 0, output_685 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5500 */
  {
    "*and_one_cmpl_rotrdi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_686 },
#else
    { 0, 0, output_686 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5500 */
  {
    "*and_one_cmpl_rotldi3_compare0_no_reuse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_687 },
#else
    { 0, 0, output_687 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5518 */
  {
    "clzsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzsi2 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5518 */
  {
    "clzdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzdi2 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5541 */
  {
    "*aarch64_popcountsi2_cssc_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5541 */
  {
    "*aarch64_popcountdi2_cssc_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5617 */
  {
    "clrsbsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbsi2 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5617 */
  {
    "clrsbdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbdi2 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5625 */
  {
    "aarch64_rbitsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitsi },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5625 */
  {
    "aarch64_rbitdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitdi },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5638 */
  {
    "ctzsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_696 },
#else
    { 0, 0, output_696 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzsi2 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5638 */
  {
    "ctzdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_697 },
#else
    { 0, 0, output_697 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzdi2 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5651 */
  {
    "*andqi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w0, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[65],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5651 */
  {
    "*andhi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tst\t%w0, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[68],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5661 */
  {
    "*andssi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w1, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[374],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5661 */
  {
    "*andsdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x1, 255",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[377],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5661 */
  {
    "*andssi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%w0, %w1, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[380],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5661 */
  {
    "*andsdi_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ands\t%x0, %x1, 65535",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[383],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5673 */
  {
    "aarch64_andsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_704 },
#else
    { 0, output_704, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_andsi3nr_compare0 },
    &operand_data[846],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5673 */
  {
    "aarch64_anddi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_705 },
#else
    { 0, output_705, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_anddi3nr_compare0 },
    &operand_data[852],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5702 */
  {
    "*andsi3nr_compare0_zextract",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_706 },
#else
    { 0, 0, output_706 },
#endif
    { 0 },
    &operand_data[869],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5702 */
  {
    "*anddi3nr_compare0_zextract",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_707 },
#else
    { 0, 0, output_707 },
#endif
    { 0 },
    &operand_data[872],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5724 */
  {
    "*and_ashlsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_708 },
#else
    { 0, 0, output_708 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5724 */
  {
    "*and_ashrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_709 },
#else
    { 0, 0, output_709 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5724 */
  {
    "*and_lshrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_710 },
#else
    { 0, 0, output_710 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5724 */
  {
    "*and_rotrsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_711 },
#else
    { 0, 0, output_711 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5724 */
  {
    "*and_rotlsi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_712 },
#else
    { 0, 0, output_712 },
#endif
    { 0 },
    &operand_data[359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5724 */
  {
    "*and_ashldi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_713 },
#else
    { 0, 0, output_713 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5724 */
  {
    "*and_ashrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_714 },
#else
    { 0, 0, output_714 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5724 */
  {
    "*and_lshrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_715 },
#else
    { 0, 0, output_715 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5724 */
  {
    "*and_rotrdi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_716 },
#else
    { 0, 0, output_716 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5724 */
  {
    "*and_rotldi3nr_compare0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_717 },
#else
    { 0, 0, output_717 },
#endif
    { 0 },
    &operand_data[363],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5852 */
  {
    "*aarch64_ashl_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[875],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5852 */
  {
    "*aarch64_ashr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[875],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5852 */
  {
    "*aarch64_lshr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[875],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5852 */
  {
    "*aarch64_rotr_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[875],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5852 */
  {
    "*aarch64_rotl_reg_si3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%w0, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[875],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5852 */
  {
    "*aarch64_ashl_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[880],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5852 */
  {
    "*aarch64_ashr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[880],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5852 */
  {
    "*aarch64_lshr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[880],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5852 */
  {
    "*aarch64_rotr_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[880],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5852 */
  {
    "*aarch64_rotl_reg_di3_mask1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%x0, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[880],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5864 */
  {
    "*aarch64_ashl_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[885],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5864 */
  {
    "*aarch64_ashr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[885],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5864 */
  {
    "*aarch64_lshr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[885],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5864 */
  {
    "*aarch64_rotr_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[885],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5864 */
  {
    "*aarch64_rotl_reg_si3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[885],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5864 */
  {
    "*aarch64_ashl_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[890],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5864 */
  {
    "*aarch64_ashr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[890],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5864 */
  {
    "*aarch64_lshr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[890],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5864 */
  {
    "*aarch64_rotr_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[890],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5864 */
  {
    "*aarch64_rotl_reg_di3_neg_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[890],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5888 */
  {
    "*aarch64_ashl_reg_si3_minus_mask",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[895],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5888 */
  {
    "*aarch64_ashl_reg_di3_minus_mask",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[901],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5916 */
  {
    "*aarch64_ashl_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_740 },
#else
    { 0, 0, output_740 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5916 */
  {
    "*aarch64_ashr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_741 },
#else
    { 0, 0, output_741 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5916 */
  {
    "*aarch64_lshr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_742 },
#else
    { 0, 0, output_742 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5916 */
  {
    "*aarch64_rotr_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_743 },
#else
    { 0, 0, output_743 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5916 */
  {
    "*aarch64_rotl_reg_di3_mask2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_744 },
#else
    { 0, 0, output_744 },
#endif
    { 0 },
    &operand_data[907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:5935 */
  {
    "*aarch64_ashl_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5935 */
  {
    "*aarch64_ashr_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5935 */
  {
    "*aarch64_lshr_reg_minussi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[912],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5935 */
  {
    "*aarch64_ashl_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5935 */
  {
    "*aarch64_ashr_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5935 */
  {
    "*aarch64_lshr_reg_minusdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[916],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:5965 */
  {
    "*aarch64_ashl_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_751 },
#else
    { 0, output_751, 0 },
#endif
    { 0 },
    &operand_data[920],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5965 */
  {
    "*aarch64_ashl_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_752 },
#else
    { 0, output_752, 0 },
#endif
    { 0 },
    &operand_data[923],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5980 */
  {
    "*aarch64_lshr_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_753 },
#else
    { 0, output_753, 0 },
#endif
    { 0 },
    &operand_data[926],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:5980 */
  {
    "*aarch64_lshr_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_754 },
#else
    { 0, output_754, 0 },
#endif
    { 0 },
    &operand_data[929],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6026 */
  {
    "*aarch64_ashr_sisd_or_int_si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_755 },
#else
    { 0, output_755, 0 },
#endif
    { 0 },
    &operand_data[932],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6026 */
  {
    "*aarch64_ashr_sisd_or_int_di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_756 },
#else
    { 0, output_756, 0 },
#endif
    { 0 },
    &operand_data[929],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6071 */
  {
    "*aarch64_sisd_ushl",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6081 */
  {
    "*aarch64_ushl_2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6091 */
  {
    "*aarch64_sisd_sshl",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6101 */
  {
    "*aarch64_sshl_2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6111 */
  {
    "*aarch64_sisd_neg_qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[941],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6121 */
  {
    "*rorsi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_762 },
#else
    { 0, output_762, 0 },
#endif
    { 0 },
    &operand_data[943],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6121 */
  {
    "*rordi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_763 },
#else
    { 0, output_763, 0 },
#endif
    { 0 },
    &operand_data[946],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6133 */
  {
    "*rolsi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_764 },
#else
    { 0, 0, output_764 },
#endif
    { 0 },
    &operand_data[949],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6133 */
  {
    "*roldi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_765 },
#else
    { 0, 0, output_765 },
#endif
    { 0 },
    &operand_data[952],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6146 */
  {
    "*ashlsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_766 },
#else
    { 0, output_766, 0 },
#endif
    { 0 },
    &operand_data[955],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6146 */
  {
    "*ashrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_767 },
#else
    { 0, output_767, 0 },
#endif
    { 0 },
    &operand_data[955],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6146 */
  {
    "*lshrsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_768 },
#else
    { 0, output_768, 0 },
#endif
    { 0 },
    &operand_data[955],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:6159 */
  {
    "*rorsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ror\t%w0, %w1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[958],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6170 */
  {
    "*rolsi3_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_770 },
#else
    { 0, 0, output_770 },
#endif
    { 0 },
    &operand_data[958],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6183 */
  {
    "*ashlqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_771 },
#else
    { 0, 0, output_771 },
#endif
    { 0 },
    &operand_data[961],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6183 */
  {
    "*ashrqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_772 },
#else
    { 0, 0, output_772 },
#endif
    { 0 },
    &operand_data[961],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6183 */
  {
    "*lshrqi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_773 },
#else
    { 0, 0, output_773 },
#endif
    { 0 },
    &operand_data[961],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6183 */
  {
    "*ashlhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_774 },
#else
    { 0, 0, output_774 },
#endif
    { 0 },
    &operand_data[964],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6183 */
  {
    "*ashrhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_775 },
#else
    { 0, 0, output_775 },
#endif
    { 0 },
    &operand_data[964],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6183 */
  {
    "*lshrhi3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_776 },
#else
    { 0, 0, output_776 },
#endif
    { 0 },
    &operand_data[964],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6195 */
  {
    "*extrsi5_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[967],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6195 */
  {
    "*extrdi5_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%x0, %x1, %x2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[972],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6209 */
  {
    "*extrsi5_insn_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[967],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6209 */
  {
    "*extrdi5_insn_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%x0, %x1, %x2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[972],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6223 */
  {
    "*extrsi5_insn_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[977],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6236 */
  {
    "*extrsi5_insn_uxtw_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[977],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6249 */
  {
    "*extrsi5_insn_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "extr\t%w0, %w1, %w2, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[982],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6265 */
  {
    "*extendsi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_784 },
#else
    { 0, 0, output_784 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6265 */
  {
    "*zero_extendsi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_785 },
#else
    { 0, 0, output_785 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6265 */
  {
    "*extenddi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_786 },
#else
    { 0, 0, output_786 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6265 */
  {
    "*zero_extenddi_ashlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_787 },
#else
    { 0, 0, output_787 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6265 */
  {
    "*extendsi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_788 },
#else
    { 0, 0, output_788 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6265 */
  {
    "*zero_extendsi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_789 },
#else
    { 0, 0, output_789 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6265 */
  {
    "*extenddi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_790 },
#else
    { 0, 0, output_790 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6265 */
  {
    "*zero_extenddi_ashlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_791 },
#else
    { 0, 0, output_791 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6278 */
  {
    "*zero_extendsi_lshrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_792 },
#else
    { 0, 0, output_792 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6278 */
  {
    "*zero_extenddi_lshrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_793 },
#else
    { 0, 0, output_793 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6278 */
  {
    "*zero_extendsi_lshrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_794 },
#else
    { 0, 0, output_794 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6278 */
  {
    "*zero_extenddi_lshrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_795 },
#else
    { 0, 0, output_795 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6291 */
  {
    "*extendsi_ashrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_796 },
#else
    { 0, 0, output_796 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6291 */
  {
    "*extenddi_ashrqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_797 },
#else
    { 0, 0, output_797 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6291 */
  {
    "*extendsi_ashrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_798 },
#else
    { 0, 0, output_798 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6291 */
  {
    "*extenddi_ashrhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_799 },
#else
    { 0, 0, output_799 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6323 */
  {
    "*extvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfx\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1001],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6323 */
  {
    "*extzvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfx\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1001],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6323 */
  {
    "*extvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfx\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6323 */
  {
    "*extzvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfx\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6387 */
  {
    "*insv_regsi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_804 },
#else
    { 0, 0, output_804 },
#endif
    { 0 },
    &operand_data[1009],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6387 */
  {
    "*insv_regsi_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_805 },
#else
    { 0, 0, output_805 },
#endif
    { 0 },
    &operand_data[1009],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6387 */
  {
    "*insv_regsi_32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_806 },
#else
    { 0, 0, output_806 },
#endif
    { 0 },
    &operand_data[1009],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6387 */
  {
    "*insv_regdi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_807 },
#else
    { 0, 0, output_807 },
#endif
    { 0 },
    &operand_data[1012],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6387 */
  {
    "*insv_regdi_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_808 },
#else
    { 0, 0, output_808 },
#endif
    { 0 },
    &operand_data[1012],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6387 */
  {
    "*insv_regdi_32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_809 },
#else
    { 0, 0, output_809 },
#endif
    { 0 },
    &operand_data[1012],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6407 */
  {
    "*insv_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6407 */
  {
    "*insv_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*aarch64_bfisiqi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1023],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*aarch64_bfidiqi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1026],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*aarch64_bfisihi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1029],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*aarch64_bfisihi_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1029],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*aarch64_bfidihi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1032],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*aarch64_bfidihi_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1032],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*aarch64_bfisisi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1009],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*aarch64_bfisisi_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1009],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*aarch64_bfisisi_32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1009],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*aarch64_bfidisi_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1035],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*aarch64_bfidisi_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1035],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6419 */
  {
    "*aarch64_bfidisi_32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1035],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6441 */
  {
    "*aarch64_bfisiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1038],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6441 */
  {
    "*aarch64_bfidiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1042],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6441 */
  {
    "*aarch64_bfisihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1046],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6441 */
  {
    "*aarch64_bfidihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1050],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6441 */
  {
    "*aarch64_bfisisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1015],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6441 */
  {
    "*aarch64_bfidisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %2, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1054],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6451 */
  {
    "*aarch64_bfidiqi_subreg_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1058],
    4,
    4,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6451 */
  {
    "*aarch64_bfidihi_subreg_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1062],
    4,
    4,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6451 */
  {
    "*aarch64_bfidihi_subreg_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1062],
    4,
    4,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6451 */
  {
    "*aarch64_bfidisi_subreg_8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1066],
    4,
    4,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6451 */
  {
    "*aarch64_bfidisi_subreg_16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1066],
    4,
    4,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6451 */
  {
    "*aarch64_bfidisi_subreg_32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1066],
    4,
    4,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "*aarch64_bfisi5_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, %4, %P5",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1070],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6480 */
  {
    "*aarch64_bfidi5_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, %4, %P5",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1076],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6495 */
  {
    "*aarch64_bfisi5_shift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1082],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6495 */
  {
    "*aarch64_bfidi5_shift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1088],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6513 */
  {
    "*aarch64_bfisi4_noand",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_840 },
#else
    { 0, 0, output_840 },
#endif
    { 0 },
    &operand_data[1070],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6513 */
  {
    "*aarch64_bfidi4_noand",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_841 },
#else
    { 0, 0, output_841 },
#endif
    { 0 },
    &operand_data[1076],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6530 */
  {
    "*aarch64_bfisi4_noand_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_842 },
#else
    { 0, 0, output_842 },
#endif
    { 0 },
    &operand_data[1094],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6530 */
  {
    "*aarch64_bfidi4_noand_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_843 },
#else
    { 0, 0, output_843 },
#endif
    { 0 },
    &operand_data[1099],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6551 */
  {
    "*aarch64_bfisi4_noshift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1104],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6551 */
  {
    "*aarch64_bfidi4_noshift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1109],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6563 */
  {
    "*aarch64_bfisi4_noshift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%w0, %w3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1104],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6563 */
  {
    "*aarch64_bfidi4_noshift_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfi\t%x0, %x3, 0, %P4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1109],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6575 */
  {
    "*aarch64_bfxilsi_extr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%w0, %w3, %5, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1114],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6575 */
  {
    "*aarch64_bfxildi_extr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%x0, %x3, %5, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1120],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6591 */
  {
    "*aarch64_bfxilsi_extrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%w0, %w3, %5, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1126],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6607 */
  {
    "*extr_insv_lower_regsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%w0, %w2, %3, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1133],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6607 */
  {
    "*extr_insv_lower_regdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfxil\t%x0, %x2, %3, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1137],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6621 */
  {
    "*extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_853 },
#else
    { 0, 0, output_853 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6621 */
  {
    "*zero_extendqi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_854 },
#else
    { 0, 0, output_854 },
#endif
    { 0 },
    &operand_data[989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6621 */
  {
    "*extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_855 },
#else
    { 0, 0, output_855 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6621 */
  {
    "*zero_extendqi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_856 },
#else
    { 0, 0, output_856 },
#endif
    { 0 },
    &operand_data[992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6621 */
  {
    "*extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_857 },
#else
    { 0, 0, output_857 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6621 */
  {
    "*zero_extendhi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_858 },
#else
    { 0, 0, output_858 },
#endif
    { 0 },
    &operand_data[995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6621 */
  {
    "*extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_859 },
#else
    { 0, 0, output_859 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6621 */
  {
    "*zero_extendhi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_860 },
#else
    { 0, 0, output_860 },
#endif
    { 0 },
    &operand_data[998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6621 */
  {
    "*extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_861 },
#else
    { 0, 0, output_861 },
#endif
    { 0 },
    &operand_data[949],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6621 */
  {
    "*zero_extendsi_shft_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_862 },
#else
    { 0, 0, output_862 },
#endif
    { 0 },
    &operand_data[949],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6621 */
  {
    "*extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_863 },
#else
    { 0, 0, output_863 },
#endif
    { 0 },
    &operand_data[958],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6621 */
  {
    "*zero_extendsi_shft_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_864 },
#else
    { 0, 0, output_864 },
#endif
    { 0 },
    &operand_data[958],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6638 */
  {
    "*andim_ashiftsi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfiz\t%w0, %w1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1141],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6638 */
  {
    "*andim_ashiftdi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ubfiz\t%x0, %x1, %2, %P3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1145],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6650 */
  {
    "*ashiftsi_extv_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1001],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6650 */
  {
    "*ashiftdi_extv_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%x0, %x1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6662 */
  {
    "*ashiftsi_extvdi_bfiz",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sbfiz\t%w0, %w1, %3, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1149],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6695 */
  {
    "bswapsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapsi2 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6695 */
  {
    "bswapdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapdi2 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6703 */
  {
    "bswaphi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswaphi2 },
    &operand_data[964],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6711 */
  {
    "*aarch64_bfxilsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_873 },
#else
    { 0, 0, output_873 },
#endif
    { 0 },
    &operand_data[1154],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6711 */
  {
    "*aarch64_bfxildi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_874 },
#else
    { 0, 0, output_874 },
#endif
    { 0 },
    &operand_data[1159],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6737 */
  {
    "*aarch64_bfxilsi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_875 },
#else
    { 0, 0, output_875 },
#endif
    { 0 },
    &operand_data[1164],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6767 */
  {
    "aarch64_rev16si2_alt1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16si2_alt1 },
    &operand_data[1169],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6767 */
  {
    "aarch64_rev16di2_alt1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16di2_alt1 },
    &operand_data[1173],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6781 */
  {
    "*aarch64_rev16si2_alt2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1169],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6781 */
  {
    "*aarch64_rev16di2_alt2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%x0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1173],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6796 */
  {
    "aarch64_rev16si2_alt3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16si2_alt3 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6806 */
  {
    "*bswapsi2_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%w0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[389],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "btrunchf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btrunchf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "ceilhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilhf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "floorhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorhf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "roundevenhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenhf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "nearbyinthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyinthf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "rinthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rinthf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "roundhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundhf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "btruncsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "ceilsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "floorsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "roundevensf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevensf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "nearbyintsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "rintsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "roundsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "btruncdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncdf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "ceildf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceildf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "floordf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floordf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "roundevendf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevendf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "nearbyintdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintdf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "rintdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintdf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6836 */
  {
    "rounddf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rounddf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lbtrunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lceilhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfloorhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lroundhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfrintnhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lbtruncuhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lceiluhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lflooruhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lrounduhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfrintnuhfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lbtrunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lceilhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfloorhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lroundhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfrintnhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lbtruncuhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lceiluhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lflooruhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lrounduhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfrintnuhfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lbtruncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncsfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lceilsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilsfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfloorsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorsfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lroundsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundsfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfrintnsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnsfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lbtruncusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncusfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lceilusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilusfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfloorusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorusfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lroundusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundusfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfrintnusfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnusfsi2 },
    &operand_data[1187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lbtruncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lceilsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfloorsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lroundsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfrintnsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lbtruncusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncusfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lceilusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilusfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfloorusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorusfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lroundusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundusfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfrintnusfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnusfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lbtruncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncdfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lceildfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceildfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfloordfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloordfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lrounddfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounddfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfrintndfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintndfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lbtruncudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncudfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lceiludfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiludfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfloorudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorudfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lroundudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundudfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfrintnudfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnudfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lbtruncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncdfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lceildfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceildfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfloordfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloordfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lrounddfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounddfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfrintndfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintndfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lbtruncudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncudfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lceiludfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiludfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfloorudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorudfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lroundudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundudfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6847 */
  {
    "lfrintnudfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnudfdi2 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6857 */
  {
    "*aarch64_fcvtsfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_963 },
#else
    { 0, 0, output_963 },
#endif
    { 0 },
    &operand_data[1195],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6857 */
  {
    "*aarch64_fcvtusfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_964 },
#else
    { 0, 0, output_964 },
#endif
    { 0 },
    &operand_data[1195],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6857 */
  {
    "*aarch64_fcvtsfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_965 },
#else
    { 0, 0, output_965 },
#endif
    { 0 },
    &operand_data[1198],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6857 */
  {
    "*aarch64_fcvtusfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_966 },
#else
    { 0, 0, output_966 },
#endif
    { 0 },
    &operand_data[1198],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6857 */
  {
    "*aarch64_fcvtdfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_967 },
#else
    { 0, 0, output_967 },
#endif
    { 0 },
    &operand_data[1201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6857 */
  {
    "*aarch64_fcvtudfsi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_968 },
#else
    { 0, 0, output_968 },
#endif
    { 0 },
    &operand_data[1201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6857 */
  {
    "*aarch64_fcvtdfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_969 },
#else
    { 0, 0, output_969 },
#endif
    { 0 },
    &operand_data[1204],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6857 */
  {
    "*aarch64_fcvtudfdi2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_970 },
#else
    { 0, 0, output_970 },
#endif
    { 0 },
    &operand_data[1204],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:6889 */
  {
    "*aarch64_fmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%h0, %h2, %h3, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1207],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6889 */
  {
    "*aarch64_fmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6889 */
  {
    "*aarch64_fmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6908 */
  {
    "*aarch64_fnmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%h0, %h2, %h3, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1207],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6908 */
  {
    "*aarch64_fnmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6908 */
  {
    "*aarch64_fnmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmsub\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6928 */
  {
    "*aarch64_fmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmsub\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6928 */
  {
    "*aarch64_fmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmsub\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6946 */
  {
    "*aarch64_fnmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6946 */
  {
    "*aarch64_fnmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6957 */
  {
    "*aarch64_fnmaddsf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%s0, %s2, %s3, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6957 */
  {
    "*aarch64_fnmadddf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmadd\t%d0, %d2, %d3, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6971 */
  {
    "extendsfdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%d0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendsfdf2 },
    &operand_data[1219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6979 */
  {
    "extendhfsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%s0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhfsf2 },
    &operand_data[1221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6987 */
  {
    "extendhfdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%d0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhfdf2 },
    &operand_data[1223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:6995 */
  {
    "truncdfsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncdfsf2 },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7003 */
  {
    "truncsfhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncsfhf2 },
    &operand_data[1227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7011 */
  {
    "truncdfhf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%h0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncdfhf2 },
    &operand_data[1229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7022 */
  {
    "fix_truncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_989 },
#else
    { 0, output_989, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncsfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7022 */
  {
    "fixuns_truncsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_990 },
#else
    { 0, output_990, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncsfsi2 },
    &operand_data[1231],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7022 */
  {
    "fix_truncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_991 },
#else
    { 0, output_991, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncdfdi2 },
    &operand_data[1233],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7022 */
  {
    "fixuns_truncdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_992 },
#else
    { 0, output_992, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncdfdi2 },
    &operand_data[1233],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7034 */
  {
    "fix_trunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7034 */
  {
    "fixuns_trunchfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfsi2 },
    &operand_data[1183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7034 */
  {
    "fix_trunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7034 */
  {
    "fixuns_trunchfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfdi2 },
    &operand_data[1185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7045 */
  {
    "fix_truncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncdfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7045 */
  {
    "fixuns_truncdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncdfsi2 },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7045 */
  {
    "fix_truncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7045 */
  {
    "fixuns_truncsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncsfdi2 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7053 */
  {
    "*fix_to_zero_extendsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7053 */
  {
    "*fix_to_zero_extenddfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7064 */
  {
    "*aarch64_scvtfsisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1003 },
#else
    { 0, 0, output_1003 },
#endif
    { 0 },
    &operand_data[1235],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7064 */
  {
    "*aarch64_ucvtfsisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1004 },
#else
    { 0, 0, output_1004 },
#endif
    { 0 },
    &operand_data[1235],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7064 */
  {
    "*aarch64_scvtfdidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1005 },
#else
    { 0, 0, output_1005 },
#endif
    { 0 },
    &operand_data[1238],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7064 */
  {
    "*aarch64_ucvtfdidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1006 },
#else
    { 0, 0, output_1006 },
#endif
    { 0 },
    &operand_data[1238],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7087 */
  {
    "*aarch64_scvtfdisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1007 },
#else
    { 0, 0, output_1007 },
#endif
    { 0 },
    &operand_data[1241],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7087 */
  {
    "*aarch64_ucvtfdisf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1008 },
#else
    { 0, 0, output_1008 },
#endif
    { 0 },
    &operand_data[1241],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7087 */
  {
    "*aarch64_scvtfsidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1009 },
#else
    { 0, 0, output_1009 },
#endif
    { 0 },
    &operand_data[1244],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7087 */
  {
    "*aarch64_ucvtfsidf2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1010 },
#else
    { 0, 0, output_1010 },
#endif
    { 0 },
    &operand_data[1244],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7101 */
  {
    "floatsisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1011 },
#else
    { 0, output_1011, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsisf2 },
    &operand_data[1235],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7101 */
  {
    "floatunssisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1012 },
#else
    { 0, output_1012, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssisf2 },
    &operand_data[1235],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7101 */
  {
    "floatdidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1013 },
#else
    { 0, output_1013, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdidf2 },
    &operand_data[1238],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7101 */
  {
    "floatunsdidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1014 },
#else
    { 0, output_1014, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdidf2 },
    &operand_data[1238],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7112 */
  {
    "floatdisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%s0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdisf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7112 */
  {
    "floatunsdisf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%s0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdisf2 },
    &operand_data[1241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7112 */
  {
    "floatsidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%d0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsidf2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7112 */
  {
    "floatunssidf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%d0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssidf2 },
    &operand_data[1244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7127 */
  {
    "aarch64_fp16_floatsihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatsihf2 },
    &operand_data[1247],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7127 */
  {
    "aarch64_fp16_floatunssihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %w1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatunssihf2 },
    &operand_data[1247],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7127 */
  {
    "aarch64_fp16_floatdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatdihf2 },
    &operand_data[1249],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7127 */
  {
    "aarch64_fp16_floatunsdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fp16_floatunsdihf2 },
    &operand_data[1249],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7184 */
  {
    "fcvtzssf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1023 },
#else
    { 0, output_1023, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzssf3 },
    &operand_data[1251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7184 */
  {
    "fcvtzusf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1024 },
#else
    { 0, output_1024, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzusf3 },
    &operand_data[1251],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7184 */
  {
    "fcvtzsdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1025 },
#else
    { 0, output_1025, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsdf3 },
    &operand_data[1254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7184 */
  {
    "fcvtzudf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1026 },
#else
    { 0, output_1026, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzudf3 },
    &operand_data[1254],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7196 */
  {
    "scvtfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1027 },
#else
    { 0, output_1027, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfsi3 },
    &operand_data[1257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7196 */
  {
    "ucvtfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1028 },
#else
    { 0, output_1028, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfsi3 },
    &operand_data[1257],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7196 */
  {
    "scvtfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1029 },
#else
    { 0, output_1029, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfdi3 },
    &operand_data[1260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7196 */
  {
    "ucvtfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1030 },
#else
    { 0, output_1030, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfdi3 },
    &operand_data[1260],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7208 */
  {
    "fcvtzshfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%w0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshfsi3 },
    &operand_data[1263],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7208 */
  {
    "fcvtzuhfsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%w0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhfsi3 },
    &operand_data[1263],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7208 */
  {
    "fcvtzshfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%x0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshfdi3 },
    &operand_data[1266],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7208 */
  {
    "fcvtzuhfdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%x0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhfdi3 },
    &operand_data[1266],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7218 */
  {
    "scvtfsihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %w1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfsihf3 },
    &operand_data[1269],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7218 */
  {
    "ucvtfsihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %w1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfsihf3 },
    &operand_data[1269],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7218 */
  {
    "scvtfdihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %x1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfdihf3 },
    &operand_data[1272],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7218 */
  {
    "ucvtfdihf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %x1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfdihf3 },
    &operand_data[1272],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "fcvtzshf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzshf3 },
    &operand_data[1275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7228 */
  {
    "fcvtzuhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuhf3 },
    &operand_data[1275],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7238 */
  {
    "scvtfhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfhi3 },
    &operand_data[1278],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7238 */
  {
    "ucvtfhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %h1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfhi3 },
    &operand_data[1278],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7252 */
  {
    "addhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7252 */
  {
    "addsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7252 */
  {
    "adddf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7262 */
  {
    "subhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7262 */
  {
    "subsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7262 */
  {
    "subdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7272 */
  {
    "mulhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7272 */
  {
    "mulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7272 */
  {
    "muldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_muldf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7282 */
  {
    "*fnmulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7282 */
  {
    "*fnmuldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7292 */
  {
    "*fnmulsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7292 */
  {
    "*fnmuldf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fnmul\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "*divhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "*divsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7314 */
  {
    "*divdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7323 */
  {
    "neghf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_neghf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7323 */
  {
    "negsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7323 */
  {
    "negdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7340 */
  {
    "*sqrthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7340 */
  {
    "*sqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7340 */
  {
    "*sqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7348 */
  {
    "abshf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abshf2 },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7348 */
  {
    "abssf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abssf2 },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7348 */
  {
    "absdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absdf2 },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7377 */
  {
    "*aarch64_smaxsi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1068 },
#else
    { 0, output_1068, 0 },
#endif
    { 0 },
    &operand_data[1281],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7377 */
  {
    "*aarch64_sminsi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1069 },
#else
    { 0, output_1069, 0 },
#endif
    { 0 },
    &operand_data[1281],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7377 */
  {
    "*aarch64_umaxsi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1070 },
#else
    { 0, output_1070, 0 },
#endif
    { 0 },
    &operand_data[1284],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7377 */
  {
    "*aarch64_uminsi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1071 },
#else
    { 0, output_1071, 0 },
#endif
    { 0 },
    &operand_data[1284],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7377 */
  {
    "*aarch64_smaxdi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1072 },
#else
    { 0, output_1072, 0 },
#endif
    { 0 },
    &operand_data[1287],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7377 */
  {
    "*aarch64_smindi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1073 },
#else
    { 0, output_1073, 0 },
#endif
    { 0 },
    &operand_data[1287],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7377 */
  {
    "*aarch64_umaxdi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1074 },
#else
    { 0, output_1074, 0 },
#endif
    { 0 },
    &operand_data[1290],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7377 */
  {
    "*aarch64_umindi3_cssc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1075 },
#else
    { 0, output_1075, 0 },
#endif
    { 0 },
    &operand_data[1290],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7388 */
  {
    "*aarch64_smaxsi3_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%w0, %w1, %w1, asr #31",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7388 */
  {
    "*aarch64_sminsi3_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w1, asr #31",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[358],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7388 */
  {
    "*aarch64_smaxdi3_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%x0, %x1, %x1, asr #63",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7388 */
  {
    "*aarch64_smindi3_zero",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x1, %x1, asr #63",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[362],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7402 */
  {
    "smaxsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7402 */
  {
    "smaxdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxdf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7411 */
  {
    "sminsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7411 */
  {
    "smindf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smindf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7423 */
  {
    "fmax_nanhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7423 */
  {
    "fmin_nanhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7423 */
  {
    "fmaxhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7423 */
  {
    "fminhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7423 */
  {
    "fmax_nansf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nansf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7423 */
  {
    "fmin_nansf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nansf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7423 */
  {
    "fmaxsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7423 */
  {
    "fminsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7423 */
  {
    "fmax_nandf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nandf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7423 */
  {
    "fmin_nandf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nandf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7423 */
  {
    "fmaxdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxdf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7423 */
  {
    "fmindf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmindf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7490 */
  {
    "copysignsf3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1096 },
#else
    { 0, output_1096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignsf3_insn },
    &operand_data[1293],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7490 */
  {
    "copysigndf3_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1097 },
#else
    { 0, output_1097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysigndf3_insn },
    &operand_data[1297],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64.md:7578 */
  {
    "aarch64_movdi_tilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tilow },
    &operand_data[1301],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7578 */
  {
    "aarch64_movdi_tflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tflow },
    &operand_data[1303],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7578 */
  {
    "aarch64_movdi_tdlow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tdlow },
    &operand_data[1305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7588 */
  {
    "aarch64_movdi_tihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tihigh },
    &operand_data[1301],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7588 */
  {
    "aarch64_movdi_tfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tfhigh },
    &operand_data[1303],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7588 */
  {
    "aarch64_movdi_tdhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%x0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movdi_tdhigh },
    &operand_data[1305],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7598 */
  {
    "aarch64_movtihigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtihigh_di },
    &operand_data[1307],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7598 */
  {
    "aarch64_movtfhigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtfhigh_di },
    &operand_data[1309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7598 */
  {
    "aarch64_movtdhigh_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0.d[1], %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtdhigh_di },
    &operand_data[1311],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7608 */
  {
    "aarch64_movtilow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtilow_di },
    &operand_data[1313],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7608 */
  {
    "aarch64_movtflow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtflow_di },
    &operand_data[1315],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7608 */
  {
    "aarch64_movtdlow_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %x1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtdlow_di },
    &operand_data[1317],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7617 */
  {
    "aarch64_movtilow_tilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movtilow_tilow },
    &operand_data[1319],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7648 */
  {
    "add_losym_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, :lo12:%c2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym_si },
    &operand_data[1321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7648 */
  {
    "add_losym_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, :lo12:%c2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym_di },
    &operand_data[1324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7657 */
  {
    "ldr_got_small_28k_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:gotpage_lo14:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_si },
    &operand_data[1327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7657 */
  {
    "ldr_got_small_28k_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, [%1, #:gotpage_lo15:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_di },
    &operand_data[1330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7668 */
  {
    "ldr_got_small_28k_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, [%1, #:gotpage_lo14:%c2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_small_28k_sidi },
    &operand_data[1330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7680 */
  {
    "ldr_got_tiny_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_si },
    &operand_data[1333],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7680 */
  {
    "ldr_got_tiny_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_di },
    &operand_data[1335],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7689 */
  {
    "ldr_got_tiny_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldr_got_tiny_sidi },
    &operand_data[1335],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7699 */
  {
    "aarch64_load_tp_hard",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1119 },
#else
    { 0, 0, output_1119 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_tp_hard },
    &operand_data[1],
    1,
    1,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7721 */
  {
    "*tlsgd_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A1\n\tadd\tx0, x0, %L1\n\tbl\t%2\n\tnop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1337],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7721 */
  {
    "*tlsgd_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A1\n\tadd\tx0, x0, %L1\n\tbl\t%2\n\tnop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1340],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7733 */
  {
    "tlsie_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%w0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_si },
    &operand_data[1343],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7733 */
  {
    "tlsie_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%x0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_di },
    &operand_data[1345],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7743 */
  {
    "tlsie_small_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\t%0, %A1\n\tldr\t%w0, [%0, #%L1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_small_sidi },
    &operand_data[1345],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7754 */
  {
    "tlsie_tiny_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1\n\tadd\t%w0, %w0, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_si },
    &operand_data[1347],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7754 */
  {
    "tlsie_tiny_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x0, %L1\n\tadd\t%x0, %x0, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_di },
    &operand_data[1350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7765 */
  {
    "tlsie_tiny_sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w0, %L1\n\tadd\t%w0, %w0, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsie_tiny_sidi },
    &operand_data[1350],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7778 */
  {
    "tlsle12_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle12_si },
    &operand_data[1353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7778 */
  {
    "tlsle12_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle12_di },
    &operand_data[1356],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7789 */
  {
    "tlsle24_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%w0, %w1, #%G2, lsl #12\n\tadd\t%w0, %w0, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle24_si },
    &operand_data[1353],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7789 */
  {
    "tlsle24_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%x0, %x1, #%G2, lsl #12\n\tadd\t%x0, %x0, #%L2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle24_di },
    &operand_data[1356],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7800 */
  {
    "tlsle32_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%w0, #:tprel_g1:%1\n\tmovk\t%w0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle32_si },
    &operand_data[1359],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7800 */
  {
    "tlsle32_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%x0, #:tprel_g1:%1\n\tmovk\t%x0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle32_di },
    &operand_data[1361],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7810 */
  {
    "tlsle48_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%w0, #:tprel_g2:%1\n\tmovk\t%w0, #:tprel_g1_nc:%1\n\tmovk\t%w0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle48_si },
    &operand_data[1359],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7810 */
  {
    "tlsle48_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movz\t%x0, #:tprel_g2:%1\n\tmovk\t%x0, #:tprel_g1_nc:%1\n\tmovk\t%x0, #:tprel_g0_nc:%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsle48_di },
    &operand_data[1361],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7841 */
  {
    "tlsdesc_small_advsimd_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%w1, [x0, #%L0]\n\tadd\tw0, w0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_advsimd_si },
    &operand_data[1363],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7841 */
  {
    "tlsdesc_small_advsimd_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\t%x1, [x0, #%L0]\n\tadd\tx0, x0, %L0\n\t.tlsdesccall\t%0\n\tblr\t%1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_advsimd_di },
    &operand_data[1363],
    1,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7857 */
  {
    "tlsdesc_small_sve_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\tw30, [x0, #%L0]\n\tadd\tw0, w0, %L0\n\t.tlsdesccall\t%0\n\tblr\tx30",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_sve_si },
    &operand_data[1365],
    2,
    2,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7857 */
  {
    "tlsdesc_small_sve_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adrp\tx0, %A0\n\tldr\tx30, [x0, #%L0]\n\tadd\tx0, x0, %L0\n\t.tlsdesccall\t%0\n\tblr\tx30",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_sve_di },
    &operand_data[1365],
    2,
    2,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7870 */
  {
    "stack_tie",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_tie },
    &operand_data[1367],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7881 */
  {
    "aarch64_fjcvtzs",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fjcvtzs\t%w0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fjcvtzs },
    &operand_data[1191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7900 */
  {
    "paciasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t25 // paciasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_paciasp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7900 */
  {
    "autiasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t29 // autiasp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autiasp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7900 */
  {
    "pacibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t27 // pacibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacibsp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7900 */
  {
    "autibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t31 // autibsp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autibsp },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7909 */
  {
    "pacia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t8 // pacia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacia1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7909 */
  {
    "autia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t12 // autia1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autia1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7909 */
  {
    "pacib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t10 // pacib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_pacib1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7909 */
  {
    "autib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t14 // autib1716",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_autib1716 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7918 */
  {
    "xpaclri",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t7 // xpaclri",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xpaclri },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7937 */
  {
    "blockage",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_blockage },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:7945 */
  {
    "probe_stack_range",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1152 },
#else
    { 0, 0, output_1152 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_stack_range },
    &operand_data[1369],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7961 */
  {
    "probe_sve_stack_clash_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1153 },
#else
    { 0, 0, output_1153 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_sve_stack_clash_si },
    &operand_data[1372],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:7961 */
  {
    "probe_sve_stack_clash_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1154 },
#else
    { 0, 0, output_1154 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_probe_sve_stack_clash_di },
    &operand_data[1377],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8014 */
  {
    "reg_stack_protect_address_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1155 },
#else
    { 0, 0, output_1155 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reg_stack_protect_address_si },
    &operand_data[1382],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8014 */
  {
    "reg_stack_protect_address_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1156 },
#else
    { 0, 0, output_1156 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reg_stack_protect_address_di },
    &operand_data[1384],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8030 */
  {
    "stack_protect_set_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w2, %1\n\tstr\t%w2, %0\n\tmov\t%w2, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set_si },
    &operand_data[1386],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8030 */
  {
    "stack_protect_set_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x2, %1\n\tstr\t%x2, %0\n\tmov\t%x2, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set_di },
    &operand_data[1389],
    2,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8075 */
  {
    "stack_protect_test_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%w2, %0\n\tldr\t%w3, %1\n\tsubs\t%w2, %w2, %w3\n\tmov\t%3, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test_si },
    &operand_data[1392],
    2,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8075 */
  {
    "stack_protect_test_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%x2, %0\n\tldr\t%x3, %1\n\tsubs\t%x2, %x2, %x3\n\tmov\t%3, 0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test_di },
    &operand_data[1396],
    2,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8088 */
  {
    "aarch64_set_fpsrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpsr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpsrsi },
    &operand_data[49],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8088 */
  {
    "aarch64_set_fpcrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpcr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpcrsi },
    &operand_data[49],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8088 */
  {
    "aarch64_set_fpsrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpsr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpsrdi },
    &operand_data[8],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8088 */
  {
    "aarch64_set_fpcrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tfpcr, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_set_fpcrdi },
    &operand_data[8],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8095 */
  {
    "aarch64_get_fpsrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpsrsi },
    &operand_data[105],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8095 */
  {
    "aarch64_get_fpcrsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpcrsi },
    &operand_data[105],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8095 */
  {
    "aarch64_get_fpsrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpsr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpsrdi },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8095 */
  {
    "aarch64_get_fpcrdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, fpcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_fpcrdi },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8141 */
  {
    "speculation_tracker",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1169 },
#else
    { 0, 0, output_1169 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_tracker },
    &operand_data[9],
    1,
    1,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8155 */
  {
    "speculation_tracker_rev",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1170 },
#else
    { 0, 0, output_1170 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_tracker_rev },
    &operand_data[9],
    1,
    1,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8169 */
  {
    "bti_noarg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t32 // bti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_noarg },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8176 */
  {
    "bti_c",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t34 // bti c",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_c },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8183 */
  {
    "bti_j",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t36 // bti j",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_j },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8190 */
  {
    "bti_jc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t38 // bti jc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bti_jc },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8198 */
  {
    "speculation_barrier",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "isb\n\tdsb\tsy",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_speculation_barrier },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8238 */
  {
    "*despeculate_copyqi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1176 },
#else
    { 0, 0, output_1176 },
#endif
    { 0 },
    &operand_data[1400],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8238 */
  {
    "*despeculate_copyhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1177 },
#else
    { 0, 0, output_1177 },
#endif
    { 0 },
    &operand_data[1403],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8238 */
  {
    "*despeculate_copysi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1178 },
#else
    { 0, 0, output_1178 },
#endif
    { 0 },
    &operand_data[1406],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8238 */
  {
    "*despeculate_copydi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1179 },
#else
    { 0, 0, output_1179 },
#endif
    { 0 },
    &operand_data[1409],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8258 */
  {
    "*despeculate_copyti_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1180 },
#else
    { 0, 0, output_1180 },
#endif
    { 0 },
    &operand_data[1412],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8278 */
  {
    "despeculate_simpleqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpleqi },
    &operand_data[1415],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8278 */
  {
    "despeculate_simplehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simplehi },
    &operand_data[1418],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8278 */
  {
    "despeculate_simplesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%w0, %w1, %w2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simplesi },
    &operand_data[1421],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8278 */
  {
    "despeculate_simpledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%x0, %x1, %x2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpledi },
    &operand_data[1424],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8291 */
  {
    "despeculate_simpleti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0, %1, %2\n\tand\t%H0, %H1, %2\n\thint\t0x14 // csdb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_simpleti },
    &operand_data[1427],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint32zv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint32xv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint64zv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint64xv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint32zv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint32xv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint64zv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint64xv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint32zv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint32xv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint64zv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint64xv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint32zdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zdf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint32xdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xdf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint64zdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zdf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint64xdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xdf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint32zsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32z\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32zsf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint32xsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint32x\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint32xsf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint64zsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64z\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64zsf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8304 */
  {
    "aarch64_frint64xsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frint64x\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frint64xsf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8316 */
  {
    "tstart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tstart\t%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tstart },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8325 */
  {
    "ttest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ttest\t%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ttest },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8334 */
  {
    "tcommit",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tcommit",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tcommit },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8342 */
  {
    "tcancel",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tcancel\t#%0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tcancel },
    &operand_data[560],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8351 */
  {
    "aarch64_rndr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, RNDR",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rndr },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8361 */
  {
    "aarch64_rndrrs",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, RNDRRS",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rndrrs },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8373 */
  {
    "irg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "irg\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_irg },
    &operand_data[1436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8386 */
  {
    "gmi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "gmi\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gmi },
    &operand_data[355],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8399 */
  {
    "addg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addg\t%0, %1, #%2, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addg },
    &operand_data[1439],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8416 */
  {
    "subp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subp\t%0, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subp },
    &operand_data[1443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8429 */
  {
    "ldg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldg\t%0, [%1, #%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldg },
    &operand_data[1446],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8446 */
  {
    "stg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stg\t%0, [%1, #%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stg },
    &operand_data[1449],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8459 */
  {
    "ld64b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld64b\t%0, [%1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ld64b },
    &operand_data[1452],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8470 */
  {
    "st64b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st64b\t%1, [%0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_st64b },
    &operand_data[1453],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8480 */
  {
    "st64bv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st64bv\t%0, %2, [%1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_st64bv },
    &operand_data[1455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8492 */
  {
    "st64bv0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st64bv0\t%0, %2, [%1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_st64bv0 },
    &operand_data[1455],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8504 */
  {
    "patchable_area",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1222 },
#else
    { 0, 0, output_1222 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_patchable_area },
    &operand_data[185],
    2,
    2,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64.md:8517 */
  {
    "aarch64_save_nzcv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, nzcv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_save_nzcv },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8524 */
  {
    "aarch64_restore_nzcv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\tnzcv, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_restore_nzcv },
    &operand_data[8],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8533 */
  {
    "aarch64_chkfeat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "hint\t40 // chkfeat x16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_chkfeat },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8541 */
  {
    "aarch64_load_gcspr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, s3_3_c2_c5_1 // gcspr_el0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_gcspr },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8549 */
  {
    "aarch64_gcspopm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sysl\t%0, #3, c7, c7, #1 // gcspopm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gcspopm },
    &operand_data[109],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8556 */
  {
    "aarch64_gcspopm_xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sysl\txzr, #3, c7, c7, #1 // gcspopm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gcspopm_xzr },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8562 */
  {
    "aarch64_gcsss1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sys\t#3, c7, c7, #2, %0 // gcsss1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gcsss1 },
    &operand_data[8],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:8568 */
  {
    "aarch64_gcsss2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sysl\t%0, #3, c7, c7, #3 // gcsss2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gcsss2 },
    &operand_data[109],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1231 },
#else
    { 0, output_1231, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8qi },
    &operand_data[1458],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1232 },
#else
    { 0, output_1232, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv16qi },
    &operand_data[1460],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1233 },
#else
    { 0, output_1233, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4hi },
    &operand_data[1462],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1234 },
#else
    { 0, output_1234, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8hi },
    &operand_data[1464],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1235 },
#else
    { 0, output_1235, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2si },
    &operand_data[1466],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1236 },
#else
    { 0, output_1236, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4si },
    &operand_data[1468],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:93 */
  {
    "aarch64_simd_dupv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1237 },
#else
    { 0, output_1237, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2di },
    &operand_data[1470],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1238 },
#else
    { 0, output_1238, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4hf },
    &operand_data[1472],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1239 },
#else
    { 0, output_1239, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8hf },
    &operand_data[1474],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1240 },
#else
    { 0, output_1240, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2sf },
    &operand_data[1476],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1241 },
#else
    { 0, output_1241, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4sf },
    &operand_data[1478],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1242 },
#else
    { 0, output_1242, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv2df },
    &operand_data[1480],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1243 },
#else
    { 0, output_1243, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv4bf },
    &operand_data[1482],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:104 */
  {
    "aarch64_simd_dupv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1244 },
#else
    { 0, output_1244, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_dupv8bf },
    &operand_data[1484],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1245 },
#else
    { 0, 0, output_1245 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8qi },
    &operand_data[1486],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1246 },
#else
    { 0, 0, output_1246 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev16qi },
    &operand_data[1489],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1247 },
#else
    { 0, 0, output_1247 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4hi },
    &operand_data[1492],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1248 },
#else
    { 0, 0, output_1248 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8hi },
    &operand_data[1495],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1249 },
#else
    { 0, 0, output_1249 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2si },
    &operand_data[1498],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1250 },
#else
    { 0, 0, output_1250 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4si },
    &operand_data[1501],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1251 },
#else
    { 0, 0, output_1251 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2di },
    &operand_data[1504],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1252 },
#else
    { 0, 0, output_1252 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4hf },
    &operand_data[1507],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1253 },
#else
    { 0, 0, output_1253 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8hf },
    &operand_data[1510],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1254 },
#else
    { 0, 0, output_1254 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4bf },
    &operand_data[1513],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1255 },
#else
    { 0, 0, output_1255 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev8bf },
    &operand_data[1516],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1256 },
#else
    { 0, 0, output_1256 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2sf },
    &operand_data[1519],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1257 },
#else
    { 0, 0, output_1257 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev4sf },
    &operand_data[1522],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:115 */
  {
    "aarch64_dup_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1258 },
#else
    { 0, 0, output_1258 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lanev2df },
    &operand_data[1525],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_128v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1259 },
#else
    { 0, 0, output_1259 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v8qi },
    &operand_data[1528],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1260 },
#else
    { 0, 0, output_1260 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v16qi },
    &operand_data[1531],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1261 },
#else
    { 0, 0, output_1261 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v4hi },
    &operand_data[1534],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1262 },
#else
    { 0, 0, output_1262 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v8hi },
    &operand_data[1537],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1263 },
#else
    { 0, 0, output_1263 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v2si },
    &operand_data[1540],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1264 },
#else
    { 0, 0, output_1264 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v4si },
    &operand_data[1543],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_128v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1265 },
#else
    { 0, 0, output_1265 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v4hf },
    &operand_data[1546],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1266 },
#else
    { 0, 0, output_1266 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v8hf },
    &operand_data[1549],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1267 },
#else
    { 0, 0, output_1267 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_128v2sf },
    &operand_data[1552],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:130 */
  {
    "aarch64_dup_lane_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1268 },
#else
    { 0, 0, output_1268 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_dup_lane_to_64v4sf },
    &operand_data[1555],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:145 */
  {
    "*aarch64_simd_movv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1269 },
#else
    { 0, 0, output_1269 },
#endif
    { 0 },
    &operand_data[1558],
    2,
    2,
    0,
    14,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:145 */
  {
    "*aarch64_simd_movv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1270 },
#else
    { 0, 0, output_1270 },
#endif
    { 0 },
    &operand_data[1560],
    2,
    2,
    0,
    14,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:145 */
  {
    "*aarch64_simd_movv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1271 },
#else
    { 0, 0, output_1271 },
#endif
    { 0 },
    &operand_data[1562],
    2,
    2,
    0,
    14,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:145 */
  {
    "*aarch64_simd_movv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1272 },
#else
    { 0, 0, output_1272 },
#endif
    { 0 },
    &operand_data[1564],
    2,
    2,
    0,
    14,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:145 */
  {
    "*aarch64_simd_movv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1273 },
#else
    { 0, 0, output_1273 },
#endif
    { 0 },
    &operand_data[1566],
    2,
    2,
    0,
    14,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:145 */
  {
    "*aarch64_simd_movv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1274 },
#else
    { 0, 0, output_1274 },
#endif
    { 0 },
    &operand_data[1568],
    2,
    2,
    0,
    14,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1275 },
#else
    { 0, 0, output_1275 },
#endif
    { 0 },
    &operand_data[1570],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1276 },
#else
    { 0, 0, output_1276 },
#endif
    { 0 },
    &operand_data[1572],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1277 },
#else
    { 0, 0, output_1277 },
#endif
    { 0 },
    &operand_data[1574],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1278 },
#else
    { 0, 0, output_1278 },
#endif
    { 0 },
    &operand_data[1576],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1279 },
#else
    { 0, 0, output_1279 },
#endif
    { 0 },
    &operand_data[1578],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1280 },
#else
    { 0, 0, output_1280 },
#endif
    { 0 },
    &operand_data[1580],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1281 },
#else
    { 0, 0, output_1281 },
#endif
    { 0 },
    &operand_data[1582],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:177 */
  {
    "*aarch64_simd_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1282 },
#else
    { 0, 0, output_1282 },
#endif
    { 0 },
    &operand_data[1584],
    2,
    2,
    0,
    11,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%b1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8qi },
    &operand_data[1586],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%b1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v16qi },
    &operand_data[1589],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4hi },
    &operand_data[1592],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8hi },
    &operand_data[1595],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2si },
    &operand_data[1598],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4si },
    &operand_data[1601],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%d1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2di },
    &operand_data[1604],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4hf },
    &operand_data[1607],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8hf },
    &operand_data[1610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4bf },
    &operand_data[1613],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%h1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v8bf },
    &operand_data[1616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2sf },
    &operand_data[1619],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%s1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v4sf },
    &operand_data[1622],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:224 */
  {
    "aarch64_store_lane0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\t%d1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_lane0v2df },
    &operand_data[1625],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:234 */
  {
    "aarch64_simd_stpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1297 },
#else
    { 0, output_1297, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_stpv2si },
    &operand_data[1628],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:234 */
  {
    "aarch64_simd_stpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1298 },
#else
    { 0, output_1298, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_stpv2sf },
    &operand_data[1630],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:234 */
  {
    "aarch64_simd_stpv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1299 },
#else
    { 0, output_1299, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_stpv2di },
    &operand_data[1632],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:234 */
  {
    "aarch64_simd_stpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1300 },
#else
    { 0, output_1300, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_stpv2df },
    &operand_data[1634],
    2,
    2,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:290 */
  {
    "aarch64_simd_mov_from_v16qilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1301 },
#else
    { 0, output_1301, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v16qilow },
    &operand_data[1636],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:290 */
  {
    "aarch64_simd_mov_from_v8hilow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1302 },
#else
    { 0, output_1302, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hilow },
    &operand_data[1639],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:290 */
  {
    "aarch64_simd_mov_from_v4silow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1303 },
#else
    { 0, output_1303, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4silow },
    &operand_data[1642],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:290 */
  {
    "aarch64_simd_mov_from_v8hflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1304 },
#else
    { 0, output_1304, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hflow },
    &operand_data[1645],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:290 */
  {
    "aarch64_simd_mov_from_v8bflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1305 },
#else
    { 0, output_1305, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8bflow },
    &operand_data[1648],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:290 */
  {
    "aarch64_simd_mov_from_v4sflow",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1306 },
#else
    { 0, output_1306, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sflow },
    &operand_data[1651],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:309 */
  {
    "aarch64_simd_mov_from_v16qihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1307 },
#else
    { 0, output_1307, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v16qihigh },
    &operand_data[1654],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:309 */
  {
    "aarch64_simd_mov_from_v8hihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1308 },
#else
    { 0, output_1308, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hihigh },
    &operand_data[1657],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:309 */
  {
    "aarch64_simd_mov_from_v4sihigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1309 },
#else
    { 0, output_1309, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sihigh },
    &operand_data[1660],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:309 */
  {
    "aarch64_simd_mov_from_v8hfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1310 },
#else
    { 0, output_1310, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8hfhigh },
    &operand_data[1663],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:309 */
  {
    "aarch64_simd_mov_from_v8bfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1311 },
#else
    { 0, output_1311, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v8bfhigh },
    &operand_data[1666],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:309 */
  {
    "aarch64_simd_mov_from_v4sfhigh",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1312 },
#else
    { 0, output_1312, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_mov_from_v4sfhigh },
    &operand_data[1669],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:324 */
  {
    "iornv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orn\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iornv2di3 },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:333 */
  {
    "andnv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnv2di3 },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:342 */
  {
    "addv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2di3 },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:351 */
  {
    "subv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2di3 },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:360 */
  {
    "mulv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:369 */
  {
    "bswapv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv4hi2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:369 */
  {
    "bswapv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv8hi2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:369 */
  {
    "bswapv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv2si2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:369 */
  {
    "bswapv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv4si2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:369 */
  {
    "bswapv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bswapv2di2 },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:377 */
  {
    "aarch64_rbitv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:377 */
  {
    "aarch64_rbitv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:377 */
  {
    "aarch64_rbitv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:377 */
  {
    "aarch64_rbitv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rbit\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rbitv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4h, %1.4h, %2.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.8h, %1.8h, %2.8h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.8h, %1.8h, %2.8h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2s, %1.2s, %2.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4s, %1.4s, %2.4s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.4s, %1.4s, %2.4s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2d, %1.2d, %2.2d, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd90v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:434 */
  {
    "aarch64_fcadd270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcadd\t%0.2d, %1.2d, %2.2d, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcadd270v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4hf },
    &operand_data[1731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4hf_vec_concatz_le },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4hf_vec_concatz_be },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4hf },
    &operand_data[1731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4hf_vec_concatz_le },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4hf_vec_concatz_be },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4hf },
    &operand_data[1731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4hf_vec_concatz_le },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4hf_vec_concatz_be },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4hf },
    &operand_data[1731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4hf_vec_concatz_le },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4h, %2.4h, %3.4h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4hf_vec_concatz_be },
    &operand_data[1735],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v8hf },
    &operand_data[1740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v8hf },
    &operand_data[1740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v8hf },
    &operand_data[1740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.8h, %2.8h, %3.8h, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v8hf },
    &operand_data[1740],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2sf },
    &operand_data[1744],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2sf_vec_concatz_le },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2sf_vec_concatz_be },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2sf },
    &operand_data[1744],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2sf_vec_concatz_le },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2sf_vec_concatz_be },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2sf },
    &operand_data[1744],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2sf_vec_concatz_le },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2sf_vec_concatz_be },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2sf },
    &operand_data[1744],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2sf_vec_concatz_le },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2s, %2.2s, %3.2s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2sf_vec_concatz_be },
    &operand_data[1748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v4sf },
    &operand_data[1753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v4sf },
    &operand_data[1753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v4sf },
    &operand_data[1753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.4s, %2.4s, %3.4s, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v4sf },
    &operand_data[1753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla0v2df },
    &operand_data[1757],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #90",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90v2df },
    &operand_data[1757],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla180v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #180",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180v2df },
    &operand_data[1757],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:452 */
  {
    "aarch64_fcmla270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmla\t%0.2d, %2.2d, %3.2d, #270",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270v2df },
    &operand_data[1757],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1440 },
#else
    { 0, 0, output_1440 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4hf },
    &operand_data[1761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1441 },
#else
    { 0, 0, output_1441 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4hf_vec_concatz_le },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1442 },
#else
    { 0, 0, output_1442 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4hf_vec_concatz_be },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1443 },
#else
    { 0, 0, output_1443 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4hf },
    &operand_data[1761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1444 },
#else
    { 0, 0, output_1444 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4hf_vec_concatz_le },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1445 },
#else
    { 0, 0, output_1445 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4hf_vec_concatz_be },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1446 },
#else
    { 0, 0, output_1446 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4hf },
    &operand_data[1761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1447 },
#else
    { 0, 0, output_1447 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4hf_vec_concatz_le },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1448 },
#else
    { 0, 0, output_1448 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4hf_vec_concatz_be },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1449 },
#else
    { 0, 0, output_1449 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4hf },
    &operand_data[1761],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1450 },
#else
    { 0, 0, output_1450 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4hf_vec_concatz_le },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1451 },
#else
    { 0, 0, output_1451 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4hf_vec_concatz_be },
    &operand_data[1766],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1452 },
#else
    { 0, 0, output_1452 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v8hf },
    &operand_data[1772],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1453 },
#else
    { 0, 0, output_1453 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v8hf },
    &operand_data[1772],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1454 },
#else
    { 0, 0, output_1454 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v8hf },
    &operand_data[1772],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1455 },
#else
    { 0, 0, output_1455 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v8hf },
    &operand_data[1772],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1456 },
#else
    { 0, 0, output_1456 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2sf },
    &operand_data[1777],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1457 },
#else
    { 0, 0, output_1457 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2sf_vec_concatz_le },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1458 },
#else
    { 0, 0, output_1458 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2sf_vec_concatz_be },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1459 },
#else
    { 0, 0, output_1459 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2sf },
    &operand_data[1777],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1460 },
#else
    { 0, 0, output_1460 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2sf_vec_concatz_le },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1461 },
#else
    { 0, 0, output_1461 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2sf_vec_concatz_be },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1462 },
#else
    { 0, 0, output_1462 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2sf },
    &operand_data[1777],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1463 },
#else
    { 0, 0, output_1463 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2sf_vec_concatz_le },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1464 },
#else
    { 0, 0, output_1464 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2sf_vec_concatz_be },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1465 },
#else
    { 0, 0, output_1465 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2sf },
    &operand_data[1777],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1466 },
#else
    { 0, 0, output_1466 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2sf_vec_concatz_le },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1467 },
#else
    { 0, 0, output_1467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2sf_vec_concatz_be },
    &operand_data[1782],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1468 },
#else
    { 0, 0, output_1468 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v4sf },
    &operand_data[1788],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1469 },
#else
    { 0, 0, output_1469 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v4sf },
    &operand_data[1788],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1470 },
#else
    { 0, 0, output_1470 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v4sf },
    &operand_data[1788],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1471 },
#else
    { 0, 0, output_1471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v4sf },
    &operand_data[1788],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane0v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1472 },
#else
    { 0, 0, output_1472 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane0v2df },
    &operand_data[1793],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane90v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1473 },
#else
    { 0, 0, output_1473 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane90v2df },
    &operand_data[1793],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane180v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1474 },
#else
    { 0, 0, output_1474 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane180v2df },
    &operand_data[1793],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:464 */
  {
    "aarch64_fcmla_lane270v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1475 },
#else
    { 0, 0, output_1475 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane270v2df },
    &operand_data[1793],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq0v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1476 },
#else
    { 0, 0, output_1476 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq0v4hf },
    &operand_data[1798],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq0v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1477 },
#else
    { 0, 0, output_1477 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq0v4hf_vec_concatz_le },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq0v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1478 },
#else
    { 0, 0, output_1478 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq0v4hf_vec_concatz_be },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq90v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1479 },
#else
    { 0, 0, output_1479 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq90v4hf },
    &operand_data[1798],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq90v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1480 },
#else
    { 0, 0, output_1480 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq90v4hf_vec_concatz_le },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq90v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1481 },
#else
    { 0, 0, output_1481 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq90v4hf_vec_concatz_be },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq180v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1482 },
#else
    { 0, 0, output_1482 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq180v4hf },
    &operand_data[1798],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq180v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1483 },
#else
    { 0, 0, output_1483 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq180v4hf_vec_concatz_le },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq180v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1484 },
#else
    { 0, 0, output_1484 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq180v4hf_vec_concatz_be },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq270v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1485 },
#else
    { 0, 0, output_1485 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq270v4hf },
    &operand_data[1798],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq270v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1486 },
#else
    { 0, 0, output_1486 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq270v4hf_vec_concatz_le },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:479 */
  {
    "aarch64_fcmla_laneq270v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1487 },
#else
    { 0, 0, output_1487 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_laneq270v4hf_vec_concatz_be },
    &operand_data[1803],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane0v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1488 },
#else
    { 0, 0, output_1488 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane0v8hf },
    &operand_data[1809],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane90v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1489 },
#else
    { 0, 0, output_1489 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane90v8hf },
    &operand_data[1809],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane180v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1490 },
#else
    { 0, 0, output_1490 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane180v8hf },
    &operand_data[1809],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane270v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1491 },
#else
    { 0, 0, output_1491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane270v8hf },
    &operand_data[1809],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane0v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1492 },
#else
    { 0, 0, output_1492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane0v4sf },
    &operand_data[1814],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane90v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1493 },
#else
    { 0, 0, output_1493 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane90v4sf },
    &operand_data[1814],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane180v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1494 },
#else
    { 0, 0, output_1494 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane180v4sf },
    &operand_data[1814],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:494 */
  {
    "aarch64_fcmlaq_lane270v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1495 },
#else
    { 0, 0, output_1495 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmlaq_lane270v4sf },
    &operand_data[1814],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "sdot_prodv2siv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv2siv8qi },
    &operand_data[1819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "sdot_prodv2siv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv2siv8qi_vec_concatz_le },
    &operand_data[1823],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "sdot_prodv2siv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv2siv8qi_vec_concatz_be },
    &operand_data[1823],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "udot_prodv2siv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv2siv8qi },
    &operand_data[1819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "udot_prodv2siv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv2siv8qi_vec_concatz_le },
    &operand_data[1823],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "udot_prodv2siv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv2siv8qi_vec_concatz_be },
    &operand_data[1823],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "sdot_prodv4siv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\t%0.4s, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodv4siv16qi },
    &operand_data[1828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:570 */
  {
    "udot_prodv4siv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\t%0.4s, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodv4siv16qi },
    &operand_data[1828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:584 */
  {
    "usdot_prodv2siv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usdot_prodv2siv8qi },
    &operand_data[1819],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:584 */
  {
    "usdot_prodv2siv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usdot_prodv2siv8qi_vec_concatz_le },
    &operand_data[1823],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:584 */
  {
    "usdot_prodv2siv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.2s, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usdot_prodv2siv8qi_vec_concatz_be },
    &operand_data[1823],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:584 */
  {
    "usdot_prodv4siv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\t%0.4s, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usdot_prodv4siv16qi },
    &operand_data[1828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_sdot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1508 },
#else
    { 0, 0, output_1508 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev8qi },
    &operand_data[1832],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_sdot_lanev8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1509 },
#else
    { 0, 0, output_1509 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev8qi_vec_concatz_le },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_sdot_lanev8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1510 },
#else
    { 0, 0, output_1510 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev8qi_vec_concatz_be },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_udot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1511 },
#else
    { 0, 0, output_1511 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev8qi },
    &operand_data[1832],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_udot_lanev8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1512 },
#else
    { 0, 0, output_1512 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev8qi_vec_concatz_le },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_udot_lanev8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1513 },
#else
    { 0, 0, output_1513 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev8qi_vec_concatz_be },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_sdot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1514 },
#else
    { 0, 0, output_1514 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_lanev16qi },
    &operand_data[1843],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:598 */
  {
    "aarch64_udot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1515 },
#else
    { 0, 0, output_1515 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_lanev16qi },
    &operand_data[1843],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_sdot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1516 },
#else
    { 0, 0, output_1516 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv8qi },
    &operand_data[1848],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_sdot_laneqv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1517 },
#else
    { 0, 0, output_1517 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv8qi_vec_concatz_le },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_sdot_laneqv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1518 },
#else
    { 0, 0, output_1518 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv8qi_vec_concatz_be },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_udot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1519 },
#else
    { 0, 0, output_1519 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv8qi },
    &operand_data[1848],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_udot_laneqv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1520 },
#else
    { 0, 0, output_1520 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv8qi_vec_concatz_le },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_udot_laneqv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1521 },
#else
    { 0, 0, output_1521 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv8qi_vec_concatz_be },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_sdot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1522 },
#else
    { 0, 0, output_1522 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_laneqv16qi },
    &operand_data[1859],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:614 */
  {
    "aarch64_udot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1523 },
#else
    { 0, 0, output_1523 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_laneqv16qi },
    &operand_data[1859],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1524 },
#else
    { 0, 0, output_1524 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev8qi },
    &operand_data[1832],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_lanev8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1525 },
#else
    { 0, 0, output_1525 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev8qi_vec_concatz_le },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_lanev8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1526 },
#else
    { 0, 0, output_1526 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev8qi_vec_concatz_be },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1527 },
#else
    { 0, 0, output_1527 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev8qi },
    &operand_data[1832],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_lanev8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1528 },
#else
    { 0, 0, output_1528 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev8qi_vec_concatz_le },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_lanev8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1529 },
#else
    { 0, 0, output_1529 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev8qi_vec_concatz_be },
    &operand_data[1837],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1530 },
#else
    { 0, 0, output_1530 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_lanev16qi },
    &operand_data[1843],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1531 },
#else
    { 0, 0, output_1531 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_lanev16qi },
    &operand_data[1843],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1532 },
#else
    { 0, 0, output_1532 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv8qi },
    &operand_data[1848],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_laneqv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1533 },
#else
    { 0, 0, output_1533 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv8qi_vec_concatz_le },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_laneqv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1534 },
#else
    { 0, 0, output_1534 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv8qi_vec_concatz_be },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_laneqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1535 },
#else
    { 0, 0, output_1535 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv8qi },
    &operand_data[1848],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_laneqv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1536 },
#else
    { 0, 0, output_1536 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv8qi_vec_concatz_le },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_laneqv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1537 },
#else
    { 0, 0, output_1537 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv8qi_vec_concatz_be },
    &operand_data[1853],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_usdot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1538 },
#else
    { 0, 0, output_1538 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_laneqv16qi },
    &operand_data[1859],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:632 */
  {
    "aarch64_sudot_laneqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1539 },
#else
    { 0, 0, output_1539 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_laneqv16qi },
    &operand_data[1859],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1540 },
#else
    { 0, 0, output_1540 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev4hi3 },
    &operand_data[1864],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1541 },
#else
    { 0, 0, output_1541 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev8hi3 },
    &operand_data[1868],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1542 },
#else
    { 0, 0, output_1542 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev2si3 },
    &operand_data[1872],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1543 },
#else
    { 0, 0, output_1543 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev4si3 },
    &operand_data[1876],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1544 },
#else
    { 0, 0, output_1544 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev4hf3 },
    &operand_data[1880],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1545 },
#else
    { 0, 0, output_1545 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev8hf3 },
    &operand_data[1884],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1546 },
#else
    { 0, 0, output_1546 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev2sf3 },
    &operand_data[1888],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:686 */
  {
    "mul_lanev4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1547 },
#else
    { 0, 0, output_1547 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_lanev4sf3 },
    &operand_data[1892],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1548 },
#else
    { 0, 0, output_1548 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv4hi3 },
    &operand_data[1896],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1549 },
#else
    { 0, 0, output_1549 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv8hi3 },
    &operand_data[1900],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1550 },
#else
    { 0, 0, output_1550 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv2si3 },
    &operand_data[1904],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1551 },
#else
    { 0, 0, output_1551 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv4si3 },
    &operand_data[1908],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1552 },
#else
    { 0, 0, output_1552 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv4hf3 },
    &operand_data[1912],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1553 },
#else
    { 0, 0, output_1553 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv8hf3 },
    &operand_data[1916],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1554 },
#else
    { 0, 0, output_1554 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv2sf3 },
    &operand_data[1920],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1555 },
#else
    { 0, 0, output_1555 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv4sf3 },
    &operand_data[1924],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:702 */
  {
    "mul_laneqv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1556 },
#else
    { 0, 0, output_1556 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_laneqv2df3 },
    &operand_data[1928],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv4hi3 },
    &operand_data[1932],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv8hi3 },
    &operand_data[1935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv2si3 },
    &operand_data[1938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv4si3 },
    &operand_data[1941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv4hf3 },
    &operand_data[1944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv8hf3 },
    &operand_data[1947],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv2sf3 },
    &operand_data[1950],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv4sf3 },
    &operand_data[1953],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:718 */
  {
    "mul_nv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2d, %1.2d, %2.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mul_nv2df3 },
    &operand_data[1956],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtev2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtehf },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtesf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:729 */
  {
    "aarch64_rsqrtedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtedf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtsv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtsv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtshf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtshf },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtssf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtssf },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:737 */
  {
    "aarch64_rsqrtsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsdf },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:756 */
  {
    "aarch64_ursqrtev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursqrte\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursqrtev2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:756 */
  {
    "aarch64_ursqrtev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursqrte\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursqrtev4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:764 */
  {
    "*aarch64_mul3_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1584 },
#else
    { 0, 0, output_1584 },
#endif
    { 0 },
    &operand_data[1959],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8qi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8qi2_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8qi2_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv16qi2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hi2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv4hi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hi2_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv4hi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hi2_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8hi2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2si2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv2si2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2si2_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv2si2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2si2_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4si2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:779 */
  {
    "negv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "neg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2di2 },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8qi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8qi2_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8qi2_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv16qi2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hi2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv4hi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hi2_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv4hi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hi2_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8hi2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2si2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv2si2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2si2_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv2si2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2si2_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4si2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:787 */
  {
    "absv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2di2 },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4hi_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4hi_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2si_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2si_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absv2di },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absdi },
    &operand_data[935],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absdi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absdi_vec_concatz_le },
    &operand_data[1969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:798 */
  {
    "aarch64_absdi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "abs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_absdi_vec_concatz_be },
    &operand_data[1969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8qi },
    &operand_data[1672],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8qi },
    &operand_data[1672],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv16qi },
    &operand_data[1679],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv16qi },
    &operand_data[1679],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4hi },
    &operand_data[1682],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4hi },
    &operand_data[1682],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv8hi },
    &operand_data[1689],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv8hi },
    &operand_data[1689],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv2si },
    &operand_data[1692],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv2si },
    &operand_data[1692],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_sabdv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdv4si },
    &operand_data[1699],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:813 */
  {
    "aarch64_uabdv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdv4si },
    &operand_data[1699],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:839 */
  {
    "aarch64_sabdlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv8qi },
    &operand_data[1972],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:839 */
  {
    "aarch64_uabdlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv8qi },
    &operand_data[1972],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:839 */
  {
    "aarch64_sabdlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv4hi },
    &operand_data[1975],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:839 */
  {
    "aarch64_uabdlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv4hi },
    &operand_data[1975],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:839 */
  {
    "aarch64_sabdlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv2si },
    &operand_data[1978],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:839 */
  {
    "aarch64_uabdlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv2si },
    &operand_data[1978],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "aarch64_sabdl2v16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v16qi_insn },
    &operand_data[1981],
    4,
    4,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "aarch64_uabdl2v16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v16qi_insn },
    &operand_data[1981],
    4,
    4,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "aarch64_sabdl2v8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v8hi_insn },
    &operand_data[1985],
    4,
    4,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "aarch64_uabdl2v8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v8hi_insn },
    &operand_data[1985],
    4,
    4,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "aarch64_sabdl2v4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v4si_insn },
    &operand_data[1989],
    4,
    4,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:854 */
  {
    "aarch64_uabdl2v4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v4si_insn },
    &operand_data[1989],
    4,
    4,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:892 */
  {
    "aarch64_sabdlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv16qi_hi_internal },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:892 */
  {
    "aarch64_uabdlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv16qi_hi_internal },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:892 */
  {
    "aarch64_sabdlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv8hi_hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:892 */
  {
    "aarch64_uabdlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv8hi_hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:892 */
  {
    "aarch64_sabdlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv4si_hi_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:892 */
  {
    "aarch64_uabdlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv4si_hi_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:909 */
  {
    "aarch64_sabdlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv16qi_lo_internal },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:909 */
  {
    "aarch64_uabdlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv16qi_lo_internal },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:909 */
  {
    "aarch64_sabdlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv8hi_lo_internal },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:909 */
  {
    "aarch64_uabdlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv8hi_lo_internal },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:909 */
  {
    "aarch64_sabdlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdlv4si_lo_internal },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:909 */
  {
    "aarch64_uabdlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdlv4si_lo_internal },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:952 */
  {
    "aarch64_sabalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv8qi },
    &operand_data[2005],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:952 */
  {
    "aarch64_uabalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv8qi },
    &operand_data[2005],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:952 */
  {
    "aarch64_sabalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv4hi },
    &operand_data[2009],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:952 */
  {
    "aarch64_uabalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv4hi },
    &operand_data[2009],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:952 */
  {
    "aarch64_sabalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabalv2si },
    &operand_data[2013],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:952 */
  {
    "aarch64_uabalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabalv2si },
    &operand_data[2013],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:969 */
  {
    "aarch64_sabal2v16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal2\t%0.8h, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v16qi_insn },
    &operand_data[2017],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:969 */
  {
    "aarch64_uabal2v16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal2\t%0.8h, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v16qi_insn },
    &operand_data[2017],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:969 */
  {
    "aarch64_sabal2v8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v8hi_insn },
    &operand_data[2022],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:969 */
  {
    "aarch64_uabal2v8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v8hi_insn },
    &operand_data[2022],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:969 */
  {
    "aarch64_sabal2v4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabal2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v4si_insn },
    &operand_data[2027],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:969 */
  {
    "aarch64_uabal2v4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabal2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v4si_insn },
    &operand_data[2027],
    5,
    5,
    5,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2032],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2037],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2037],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2032],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2037],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2037],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2043],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2043],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2048],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2053],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2053],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2048],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2053],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2053],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2059],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2059],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2064],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2064],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.1d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2069],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.1d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2074],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_sadalpv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sadalp\t%0.1d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2074],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.1d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2069],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.1d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2074],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1028 */
  {
    "*aarch64_uadalpv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uadalp\t%0.1d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2074],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav8qi },
    &operand_data[2080],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav8qi_vec_concatz_le },
    &operand_data[2084],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav8qi_vec_concatz_be },
    &operand_data[2084],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav8qi },
    &operand_data[2080],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav8qi_vec_concatz_le },
    &operand_data[2084],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav8qi_vec_concatz_be },
    &operand_data[2084],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav16qi },
    &operand_data[2089],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav16qi },
    &operand_data[2089],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav4hi },
    &operand_data[2093],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav4hi_vec_concatz_le },
    &operand_data[2097],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav4hi_vec_concatz_be },
    &operand_data[2097],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav4hi },
    &operand_data[2093],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav4hi_vec_concatz_le },
    &operand_data[2097],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav4hi_vec_concatz_be },
    &operand_data[2097],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav8hi },
    &operand_data[2102],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav8hi },
    &operand_data[2102],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav2si },
    &operand_data[2106],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav2si_vec_concatz_le },
    &operand_data[2110],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav2si_vec_concatz_be },
    &operand_data[2110],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav2si },
    &operand_data[2106],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav2si_vec_concatz_le },
    &operand_data[2110],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav2si_vec_concatz_be },
    &operand_data[2110],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_sabav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saba\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabav4si },
    &operand_data[2115],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1094 */
  {
    "aarch64_uabav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaba\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabav4si },
    &operand_data[2115],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdhf3 },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabdsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabdsf3 },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabddf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabddf3 },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabddf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabddf3_vec_concatz_le },
    &operand_data[2119],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1109 */
  {
    "fabddf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabd\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fabddf3_vec_concatz_be },
    &operand_data[2119],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1749 },
#else
    { 0, 0, output_1749 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8qi3 },
    &operand_data[2123],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1750 },
#else
    { 0, 0, output_1750 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8qi3_vec_concatz_le },
    &operand_data[2126],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1751 },
#else
    { 0, 0, output_1751 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8qi3_vec_concatz_be },
    &operand_data[2126],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1752 },
#else
    { 0, 0, output_1752 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv16qi3 },
    &operand_data[2130],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1753 },
#else
    { 0, 0, output_1753 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4hi3 },
    &operand_data[2133],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1754 },
#else
    { 0, 0, output_1754 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4hi3_vec_concatz_le },
    &operand_data[2136],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1755 },
#else
    { 0, 0, output_1755 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4hi3_vec_concatz_be },
    &operand_data[2136],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1756 },
#else
    { 0, 0, output_1756 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv8hi3 },
    &operand_data[2140],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1757 },
#else
    { 0, 0, output_1757 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2si3 },
    &operand_data[2143],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1758 },
#else
    { 0, 0, output_1758 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2si3_vec_concatz_le },
    &operand_data[2146],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1759 },
#else
    { 0, 0, output_1759 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2si3_vec_concatz_be },
    &operand_data[2146],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1760 },
#else
    { 0, 0, output_1760 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv4si3 },
    &operand_data[2150],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1121 */
  {
    "andv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1761 },
#else
    { 0, 0, output_1761 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andv2di3 },
    &operand_data[2153],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1762 },
#else
    { 0, 0, output_1762 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8qi3 },
    &operand_data[2156],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1763 },
#else
    { 0, 0, output_1763 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8qi3_vec_concatz_le },
    &operand_data[2159],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1764 },
#else
    { 0, 0, output_1764 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8qi3_vec_concatz_be },
    &operand_data[2159],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1765 },
#else
    { 0, 0, output_1765 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv16qi3 },
    &operand_data[2163],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1766 },
#else
    { 0, 0, output_1766 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4hi3 },
    &operand_data[2166],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1767 },
#else
    { 0, 0, output_1767 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4hi3_vec_concatz_le },
    &operand_data[2169],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1768 },
#else
    { 0, 0, output_1768 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4hi3_vec_concatz_be },
    &operand_data[2169],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1769 },
#else
    { 0, 0, output_1769 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv8hi3 },
    &operand_data[2173],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1770 },
#else
    { 0, 0, output_1770 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2si3 },
    &operand_data[2176],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1771 },
#else
    { 0, 0, output_1771 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2si3_vec_concatz_le },
    &operand_data[2179],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1772 },
#else
    { 0, 0, output_1772 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2si3_vec_concatz_be },
    &operand_data[2179],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1773 },
#else
    { 0, 0, output_1773 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv4si3 },
    &operand_data[2183],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1134 */
  {
    "iorv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1774 },
#else
    { 0, 0, output_1774 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorv2di3 },
    &operand_data[2186],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1775 },
#else
    { 0, 0, output_1775 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8qi3 },
    &operand_data[2189],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1776 },
#else
    { 0, 0, output_1776 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8qi3_vec_concatz_le },
    &operand_data[2192],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1777 },
#else
    { 0, 0, output_1777 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8qi3_vec_concatz_be },
    &operand_data[2192],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1778 },
#else
    { 0, 0, output_1778 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv16qi3 },
    &operand_data[2196],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1779 },
#else
    { 0, 0, output_1779 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4hi3 },
    &operand_data[2199],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1780 },
#else
    { 0, 0, output_1780 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4hi3_vec_concatz_le },
    &operand_data[2202],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1781 },
#else
    { 0, 0, output_1781 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4hi3_vec_concatz_be },
    &operand_data[2202],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1782 },
#else
    { 0, 0, output_1782 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv8hi3 },
    &operand_data[2206],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1783 },
#else
    { 0, 0, output_1783 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2si3 },
    &operand_data[2209],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1784 },
#else
    { 0, 0, output_1784 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2si3_vec_concatz_le },
    &operand_data[2212],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1785 },
#else
    { 0, 0, output_1785 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2si3_vec_concatz_be },
    &operand_data[2212],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1786 },
#else
    { 0, 0, output_1786 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv4si3 },
    &operand_data[2216],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1147 */
  {
    "xorv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1787 },
#else
    { 0, 0, output_1787 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorv2di3 },
    &operand_data[2219],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8qi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8qi2_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8qi2_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv16qi2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4hi2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv4hi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4hi2_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv4hi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4hi2_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv8hi2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2si2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv2si2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2si2_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv2si2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2si2_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv4si2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1159 */
  {
    "one_cmplv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplv2di2 },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1801 },
#else
    { 0, 0, output_1801 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8qi },
    &operand_data[2222],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1802 },
#else
    { 0, 0, output_1802 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv16qi },
    &operand_data[2226],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1803 },
#else
    { 0, 0, output_1803 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4hi },
    &operand_data[2230],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1804 },
#else
    { 0, 0, output_1804 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8hi },
    &operand_data[2234],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1805 },
#else
    { 0, 0, output_1805 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2si },
    &operand_data[2238],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1806 },
#else
    { 0, 0, output_1806 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4si },
    &operand_data[2242],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1807 },
#else
    { 0, 0, output_1807 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2di },
    &operand_data[2246],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1808 },
#else
    { 0, 0, output_1808 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4hf },
    &operand_data[2250],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1809 },
#else
    { 0, 0, output_1809 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8hf },
    &operand_data[2254],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1810 },
#else
    { 0, 0, output_1810 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4bf },
    &operand_data[2258],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1811 },
#else
    { 0, 0, output_1811 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv8bf },
    &operand_data[2262],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1812 },
#else
    { 0, 0, output_1812 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2sf },
    &operand_data[2266],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1813 },
#else
    { 0, 0, output_1813 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv4sf },
    &operand_data[2270],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1167 */
  {
    "aarch64_simd_vec_setv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1814 },
#else
    { 0, 0, output_1814 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_setv2df },
    &operand_data[2274],
    4,
    4,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1815 },
#else
    { 0, 0, output_1815 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov8qi },
    &operand_data[2278],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1816 },
#else
    { 0, 0, output_1816 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov16qi },
    &operand_data[2282],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1817 },
#else
    { 0, 0, output_1817 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov4hi },
    &operand_data[2286],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1818 },
#else
    { 0, 0, output_1818 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov8hi },
    &operand_data[2290],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1819 },
#else
    { 0, 0, output_1819 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov2si },
    &operand_data[2294],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1820 },
#else
    { 0, 0, output_1820 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov4si },
    &operand_data[2298],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1821 },
#else
    { 0, 0, output_1821 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov2di },
    &operand_data[2302],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1822 },
#else
    { 0, 0, output_1822 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov4hf },
    &operand_data[2306],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1823 },
#else
    { 0, 0, output_1823 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov8hf },
    &operand_data[2310],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1824 },
#else
    { 0, 0, output_1824 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov4bf },
    &operand_data[2314],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1825 },
#else
    { 0, 0, output_1825 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov8bf },
    &operand_data[2318],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1826 },
#else
    { 0, 0, output_1826 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov2sf },
    &operand_data[2322],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1827 },
#else
    { 0, 0, output_1827 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov4sf },
    &operand_data[2326],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1193 */
  {
    "aarch64_simd_vec_set_zerov2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1828 },
#else
    { 0, 0, output_1828 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_set_zerov2df },
    &operand_data[2330],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1829 },
#else
    { 0, 0, output_1829 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8qi },
    &operand_data[2334],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1830 },
#else
    { 0, 0, output_1830 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev16qi },
    &operand_data[2339],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1831 },
#else
    { 0, 0, output_1831 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4hi },
    &operand_data[2344],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1832 },
#else
    { 0, 0, output_1832 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8hi },
    &operand_data[2349],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1833 },
#else
    { 0, 0, output_1833 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2si },
    &operand_data[2354],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1834 },
#else
    { 0, 0, output_1834 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4si },
    &operand_data[2359],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1835 },
#else
    { 0, 0, output_1835 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2di },
    &operand_data[2364],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1836 },
#else
    { 0, 0, output_1836 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4hf },
    &operand_data[2369],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1837 },
#else
    { 0, 0, output_1837 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8hf },
    &operand_data[2374],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1838 },
#else
    { 0, 0, output_1838 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4bf },
    &operand_data[2379],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1839 },
#else
    { 0, 0, output_1839 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev8bf },
    &operand_data[2384],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1840 },
#else
    { 0, 0, output_1840 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2sf },
    &operand_data[2389],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1841 },
#else
    { 0, 0, output_1841 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev4sf },
    &operand_data[2394],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1207 */
  {
    "aarch64_simd_vec_copy_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1842 },
#else
    { 0, 0, output_1842 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lanev2df },
    &operand_data[2399],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "aarch64_simd_vec_copy_lane_to_128v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1843 },
#else
    { 0, 0, output_1843 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lane_to_128v8qi },
    &operand_data[2404],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "aarch64_simd_vec_copy_lane_to_64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1844 },
#else
    { 0, 0, output_1844 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lane_to_64v16qi },
    &operand_data[2409],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "aarch64_simd_vec_copy_lane_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1845 },
#else
    { 0, 0, output_1845 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lane_to_128v4hi },
    &operand_data[2414],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "aarch64_simd_vec_copy_lane_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1846 },
#else
    { 0, 0, output_1846 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lane_to_64v8hi },
    &operand_data[2419],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "aarch64_simd_vec_copy_lane_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1847 },
#else
    { 0, 0, output_1847 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lane_to_128v2si },
    &operand_data[2424],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "aarch64_simd_vec_copy_lane_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1848 },
#else
    { 0, 0, output_1848 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lane_to_64v4si },
    &operand_data[2429],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "aarch64_simd_vec_copy_lane_to_128v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1849 },
#else
    { 0, 0, output_1849 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lane_to_128v4hf },
    &operand_data[2434],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "aarch64_simd_vec_copy_lane_to_64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1850 },
#else
    { 0, 0, output_1850 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lane_to_64v8hf },
    &operand_data[2439],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "aarch64_simd_vec_copy_lane_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1851 },
#else
    { 0, 0, output_1851 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lane_to_128v2sf },
    &operand_data[2444],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1228 */
  {
    "aarch64_simd_vec_copy_lane_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1852 },
#else
    { 0, 0, output_1852 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_copy_lane_to_64v4sf },
    &operand_data[2449],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8qi },
    &operand_data[2454],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8qi_vec_concatz_le },
    &operand_data[2457],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8qi_vec_concatz_be },
    &operand_data[2457],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv16qi },
    &operand_data[2461],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4hi },
    &operand_data[2464],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4hi_vec_concatz_le },
    &operand_data[2467],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4hi_vec_concatz_be },
    &operand_data[2467],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv8hi },
    &operand_data[2471],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2si },
    &operand_data[2474],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2si_vec_concatz_le },
    &operand_data[2477],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2si_vec_concatz_be },
    &operand_data[2477],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv4si },
    &operand_data[2481],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1265 */
  {
    "aarch64_simd_lshrv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_lshrv2di },
    &operand_data[2484],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1866 },
#else
    { 0, output_1866, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8qi },
    &operand_data[2487],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1867 },
#else
    { 0, output_1867, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8qi_vec_concatz_le },
    &operand_data[2490],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1868 },
#else
    { 0, output_1868, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8qi_vec_concatz_be },
    &operand_data[2490],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1869 },
#else
    { 0, output_1869, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv16qi },
    &operand_data[2494],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1870 },
#else
    { 0, output_1870, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4hi },
    &operand_data[2497],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1871 },
#else
    { 0, output_1871, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4hi_vec_concatz_le },
    &operand_data[2500],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1872 },
#else
    { 0, output_1872, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4hi_vec_concatz_be },
    &operand_data[2500],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1873 },
#else
    { 0, output_1873, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv8hi },
    &operand_data[2504],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1874 },
#else
    { 0, output_1874, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2si },
    &operand_data[2507],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1875 },
#else
    { 0, output_1875, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2si_vec_concatz_le },
    &operand_data[2510],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1876 },
#else
    { 0, output_1876, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2si_vec_concatz_be },
    &operand_data[2510],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1877 },
#else
    { 0, output_1877, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv4si },
    &operand_data[2514],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1274 */
  {
    "aarch64_simd_ashrv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1878 },
#else
    { 0, output_1878, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ashrv2di },
    &operand_data[2517],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8qi_insn },
    &operand_data[2520],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8qi_insn },
    &operand_data[2520],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv16qi_insn },
    &operand_data[2524],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv16qi_insn },
    &operand_data[2524],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4hi_insn },
    &operand_data[2528],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4hi_insn },
    &operand_data[2528],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8hi_insn },
    &operand_data[2532],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8hi_insn },
    &operand_data[2532],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2si_insn },
    &operand_data[2536],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2si_insn },
    &operand_data[2536],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4si_insn },
    &operand_data[2540],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4si_insn },
    &operand_data[2540],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_ssra_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2di_insn },
    &operand_data[2544],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1285 */
  {
    "aarch64_usra_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2di_insn },
    &operand_data[2544],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2548],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2557],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2560],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2563],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1301 */
  {
    "*aarch64_simd_rotate_immv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2566],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8qi_insn },
    &operand_data[2569],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8qi_insn },
    &operand_data[2569],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv16qi_insn },
    &operand_data[2574],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv16qi_insn },
    &operand_data[2574],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4hi_insn },
    &operand_data[2579],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4hi_insn },
    &operand_data[2579],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8hi_insn },
    &operand_data[2584],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8hi_insn },
    &operand_data[2584],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2si_insn },
    &operand_data[2589],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2si_insn },
    &operand_data[2589],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4si_insn },
    &operand_data[2594],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4si_insn },
    &operand_data[2594],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2di_insn },
    &operand_data[2599],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2di_insn },
    &operand_data[2599],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_srsra_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srsra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_ndi_insn },
    &operand_data[2604],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1331 */
  {
    "aarch64_ursra_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ursra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_ndi_insn },
    &operand_data[2604],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1916 },
#else
    { 0, output_1916, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8qi },
    &operand_data[2609],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1917 },
#else
    { 0, output_1917, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8qi_vec_concatz_le },
    &operand_data[2612],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1918 },
#else
    { 0, output_1918, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8qi_vec_concatz_be },
    &operand_data[2612],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1919 },
#else
    { 0, output_1919, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv16qi },
    &operand_data[2616],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1920 },
#else
    { 0, output_1920, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4hi },
    &operand_data[2619],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1921 },
#else
    { 0, output_1921, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4hi_vec_concatz_le },
    &operand_data[2622],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1922 },
#else
    { 0, output_1922, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4hi_vec_concatz_be },
    &operand_data[2622],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1923 },
#else
    { 0, output_1923, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv8hi },
    &operand_data[2626],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1924 },
#else
    { 0, output_1924, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2si },
    &operand_data[2629],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1925 },
#else
    { 0, output_1925, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2si_vec_concatz_le },
    &operand_data[2632],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1926 },
#else
    { 0, output_1926, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2si_vec_concatz_be },
    &operand_data[2632],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1927 },
#else
    { 0, output_1927, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv4si },
    &operand_data[2636],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1389 */
  {
    "aarch64_simd_imm_shlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_1928 },
#else
    { 0, output_1928, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_imm_shlv2di },
    &operand_data[2639],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1400 */
  {
    "aarch64_simd_reg_sshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_sshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv8qi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_unsigned },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv8qi_unsigned_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_unsigned_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv8qi_unsigned_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_unsigned_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv16qi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv16qi_unsigned },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv4hi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_unsigned },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv4hi_unsigned_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_unsigned_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv4hi_unsigned_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_unsigned_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv8hi_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8hi_unsigned },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv2si_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_unsigned },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv2si_unsigned_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_unsigned_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv2si_unsigned_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_unsigned_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv4si_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4si_unsigned },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1409 */
  {
    "aarch64_simd_reg_shlv2di_unsigned",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2di_unsigned },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv8qi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_signed },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv8qi_signed_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_signed_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv8qi_signed_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8qi_signed_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv16qi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv16qi_signed },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv4hi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_signed },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv4hi_signed_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_signed_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv4hi_signed_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4hi_signed_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv8hi_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv8hi_signed },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv2si_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_signed },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv2si_signed_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_signed_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv2si_signed_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2si_signed_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv4si_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv4si_signed },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1419 */
  {
    "aarch64_simd_reg_shlv2di_signed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_reg_shlv2di_signed },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1968 },
#else
    { 0, 0, output_1968 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v8qi },
    &operand_data[1486],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1969 },
#else
    { 0, 0, output_1969 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v8qi_vec_concatz_le },
    &operand_data[2642],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1970 },
#else
    { 0, 0, output_1970 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v8qi_vec_concatz_be },
    &operand_data[2642],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1971 },
#else
    { 0, 0, output_1971 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hi },
    &operand_data[1492],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1972 },
#else
    { 0, 0, output_1972 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hi_vec_concatz_le },
    &operand_data[2646],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1973 },
#else
    { 0, 0, output_1973 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hi_vec_concatz_be },
    &operand_data[2646],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1974 },
#else
    { 0, 0, output_1974 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hf },
    &operand_data[1507],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1975 },
#else
    { 0, 0, output_1975 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hf_vec_concatz_le },
    &operand_data[2650],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1976 },
#else
    { 0, 0, output_1976 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4hf_vec_concatz_be },
    &operand_data[2650],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1977 },
#else
    { 0, 0, output_1977 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2si },
    &operand_data[1498],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1978 },
#else
    { 0, 0, output_1978 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2si_vec_concatz_le },
    &operand_data[2654],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1979 },
#else
    { 0, 0, output_1979 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2si_vec_concatz_be },
    &operand_data[2654],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1980 },
#else
    { 0, 0, output_1980 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2sf },
    &operand_data[1519],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1981 },
#else
    { 0, 0, output_1981 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2sf_vec_concatz_le },
    &operand_data[2658],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1982 },
#else
    { 0, 0, output_1982 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v2sf_vec_concatz_be },
    &operand_data[2658],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1983 },
#else
    { 0, 0, output_1983 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4bf },
    &operand_data[1513],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1984 },
#else
    { 0, 0, output_1984 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4bf_vec_concatz_le },
    &operand_data[2662],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1601 */
  {
    "vec_shr_v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1985 },
#else
    { 0, 0, output_1985 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shr_v4bf_vec_concatz_be },
    &operand_data[2662],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8qi },
    &operand_data[2080],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8qi_vec_concatz_le },
    &operand_data[2084],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8qi_vec_concatz_be },
    &operand_data[2084],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav16qi },
    &operand_data[2089],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4hi },
    &operand_data[2093],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4hi_vec_concatz_le },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4hi_vec_concatz_be },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav8hi },
    &operand_data[2102],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav2si },
    &operand_data[2106],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav2si_vec_concatz_le },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav2si_vec_concatz_be },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1630 */
  {
    "aarch64_mlav4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlav4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1998 },
#else
    { 0, 0, output_1998 },
#endif
    { 0 },
    &operand_data[2666],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_1999 },
#else
    { 0, 0, output_1999 },
#endif
    { 0 },
    &operand_data[2671],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2000 },
#else
    { 0, 0, output_2000 },
#endif
    { 0 },
    &operand_data[2671],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2001 },
#else
    { 0, 0, output_2001 },
#endif
    { 0 },
    &operand_data[2677],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2002 },
#else
    { 0, 0, output_2002 },
#endif
    { 0 },
    &operand_data[2682],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2003 },
#else
    { 0, 0, output_2003 },
#endif
    { 0 },
    &operand_data[2687],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2004 },
#else
    { 0, 0, output_2004 },
#endif
    { 0 },
    &operand_data[2687],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1641 */
  {
    "*aarch64_mla_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2005 },
#else
    { 0, 0, output_2005 },
#endif
    { 0 },
    &operand_data[2693],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2006 },
#else
    { 0, 0, output_2006 },
#endif
    { 0 },
    &operand_data[2698],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_128v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2007 },
#else
    { 0, 0, output_2007 },
#endif
    { 0 },
    &operand_data[2703],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_128v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2008 },
#else
    { 0, 0, output_2008 },
#endif
    { 0 },
    &operand_data[2703],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2009 },
#else
    { 0, 0, output_2009 },
#endif
    { 0 },
    &operand_data[2709],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2010 },
#else
    { 0, 0, output_2010 },
#endif
    { 0 },
    &operand_data[2714],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_128v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2011 },
#else
    { 0, 0, output_2011 },
#endif
    { 0 },
    &operand_data[2719],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_128v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2012 },
#else
    { 0, 0, output_2012 },
#endif
    { 0 },
    &operand_data[2719],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1659 */
  {
    "*aarch64_mla_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2013 },
#else
    { 0, 0, output_2013 },
#endif
    { 0 },
    &operand_data[2725],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv4hi },
    &operand_data[2730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv4hi_vec_concatz_le },
    &operand_data[2734],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv4hi_vec_concatz_be },
    &operand_data[2734],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.8h, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv8hi },
    &operand_data[2739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv2si },
    &operand_data[2743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv2si_vec_concatz_le },
    &operand_data[2747],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv2si_vec_concatz_be },
    &operand_data[2747],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1677 */
  {
    "aarch64_mla_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mla\t%0.4s, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mla_nv4si },
    &operand_data[2752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8qi },
    &operand_data[2080],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8qi_vec_concatz_le },
    &operand_data[2084],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8b, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8qi_vec_concatz_be },
    &operand_data[2084],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv16qi },
    &operand_data[2089],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4hi },
    &operand_data[2093],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4hi_vec_concatz_le },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4hi_vec_concatz_be },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv8hi },
    &operand_data[2102],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv2si },
    &operand_data[2106],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv2si_vec_concatz_le },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv2si_vec_concatz_be },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1690 */
  {
    "aarch64_mlsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mlsv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2034 },
#else
    { 0, 0, output_2034 },
#endif
    { 0 },
    &operand_data[2666],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2035 },
#else
    { 0, 0, output_2035 },
#endif
    { 0 },
    &operand_data[2671],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2036 },
#else
    { 0, 0, output_2036 },
#endif
    { 0 },
    &operand_data[2671],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2037 },
#else
    { 0, 0, output_2037 },
#endif
    { 0 },
    &operand_data[2677],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2038 },
#else
    { 0, 0, output_2038 },
#endif
    { 0 },
    &operand_data[2682],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2039 },
#else
    { 0, 0, output_2039 },
#endif
    { 0 },
    &operand_data[2687],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2040 },
#else
    { 0, 0, output_2040 },
#endif
    { 0 },
    &operand_data[2687],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1700 */
  {
    "*aarch64_mls_eltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2041 },
#else
    { 0, 0, output_2041 },
#endif
    { 0 },
    &operand_data[2693],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_128v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2042 },
#else
    { 0, 0, output_2042 },
#endif
    { 0 },
    &operand_data[2698],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_128v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2043 },
#else
    { 0, 0, output_2043 },
#endif
    { 0 },
    &operand_data[2703],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_128v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2044 },
#else
    { 0, 0, output_2044 },
#endif
    { 0 },
    &operand_data[2703],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2045 },
#else
    { 0, 0, output_2045 },
#endif
    { 0 },
    &operand_data[2709],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_128v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2046 },
#else
    { 0, 0, output_2046 },
#endif
    { 0 },
    &operand_data[2714],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_128v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2047 },
#else
    { 0, 0, output_2047 },
#endif
    { 0 },
    &operand_data[2719],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_128v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2048 },
#else
    { 0, 0, output_2048 },
#endif
    { 0 },
    &operand_data[2719],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1718 */
  {
    "*aarch64_mls_elt_to_64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2049 },
#else
    { 0, 0, output_2049 },
#endif
    { 0 },
    &operand_data[2725],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv4hi },
    &operand_data[2730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv4hi_vec_concatz_le },
    &operand_data[2734],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4h, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv4hi_vec_concatz_be },
    &operand_data[2734],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.8h, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv8hi },
    &operand_data[2739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv2si },
    &operand_data[2743],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv2si_vec_concatz_le },
    &operand_data[2747],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.2s, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv2si_vec_concatz_be },
    &operand_data[2747],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1736 */
  {
    "aarch64_mls_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mls\t%0.4s, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mls_nv4si },
    &operand_data[2752],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "smaxv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "sminv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "umaxv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1750 */
  {
    "uminv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_umaxpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_umaxpv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_umaxpv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_uminpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_uminpv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_uminpv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_smaxpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_smaxpv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_smaxpv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_sminpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_sminpv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_sminpv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_umaxpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_uminpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_smaxpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_sminpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_umaxpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_umaxpv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_umaxpv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_uminpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_uminpv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_uminpv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_smaxpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_smaxpv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_smaxpv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_sminpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_sminpv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_sminpv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_umaxpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_uminpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_smaxpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_sminpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_umaxpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_umaxpv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_umaxpv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_uminpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_uminpv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_uminpv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_smaxpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_smaxpv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_smaxpv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_sminpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_sminpv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_sminpv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_umaxpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umaxpv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_uminpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uminpv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_smaxpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1795 */
  {
    "aarch64_sminpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smax_nanpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smax_nanpv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smax_nanpv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smin_nanpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smin_nanpv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smin_nanpv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smaxpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smaxpv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smaxpv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_sminpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_sminpv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_sminpv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smax_nanpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smin_nanpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smaxpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_sminpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smax_nanpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smax_nanpv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smax_nanpv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smin_nanpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smin_nanpv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smin_nanpv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smaxpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smaxpv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smaxpv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_sminpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_sminpv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_sminpv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smax_nanpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smin_nanpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smaxpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_sminpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smax_nanpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smax_nanpv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smin_nanpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smin_nanpv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_smaxpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smaxpv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1806 */
  {
    "aarch64_sminpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sminpv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1824 */
  {
    "aarch64_xtn2v8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v8hi_insn_le },
    &operand_data[2756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1824 */
  {
    "aarch64_xtn2v4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v4si_insn_le },
    &operand_data[2759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1824 */
  {
    "aarch64_xtn2v2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v2di_insn_le },
    &operand_data[2762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1834 */
  {
    "aarch64_xtn2v8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v8hi_insn_be },
    &operand_data[2756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1834 */
  {
    "aarch64_xtn2v4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v4si_insn_be },
    &operand_data[2759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1834 */
  {
    "aarch64_xtn2v2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v2di_insn_be },
    &operand_data[2762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1860 */
  {
    "*aarch64_narrow_truncv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2196 },
#else
    { 0, 0, output_2196 },
#endif
    { 0 },
    &operand_data[2765],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1860 */
  {
    "*aarch64_narrow_truncv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2197 },
#else
    { 0, 0, output_2197 },
#endif
    { 0 },
    &operand_data[2768],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1860 */
  {
    "*aarch64_narrow_truncv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2198 },
#else
    { 0, 0, output_2198 },
#endif
    { 0 },
    &operand_data[2771],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1877 */
  {
    "*aarch64_trunc_concatv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2199 },
#else
    { 0, 0, output_2199 },
#endif
    { 0 },
    &operand_data[2774],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1877 */
  {
    "*aarch64_trunc_concatv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2200 },
#else
    { 0, 0, output_2200 },
#endif
    { 0 },
    &operand_data[2777],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1877 */
  {
    "*aarch64_trunc_concatv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2201 },
#else
    { 0, 0, output_2201 },
#endif
    { 0 },
    &operand_data[2780],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1932 */
  {
    "*aarch64_rtopbits_shufflev8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2783],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1932 */
  {
    "*aarch64_topbits_shufflev8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2783],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1932 */
  {
    "*aarch64_rtopbits_shufflev4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2787],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1932 */
  {
    "*aarch64_topbits_shufflev4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2787],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1932 */
  {
    "*aarch64_rtopbits_shufflev2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2791],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1932 */
  {
    "*aarch64_topbits_shufflev2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2791],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "*aarch64_rtopbits_shufflev8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2783],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "*aarch64_topbits_shufflev8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2783],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "*aarch64_rtopbits_shufflev4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2787],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "*aarch64_topbits_shufflev4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2787],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "*aarch64_rtopbits_shufflev2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2791],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1946 */
  {
    "*aarch64_topbits_shufflev2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2791],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1962 */
  {
    "aarch64_simd_vec_unpacks_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v16qi },
    &operand_data[2795],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1962 */
  {
    "aarch64_simd_vec_unpacku_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v16qi },
    &operand_data[2795],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1962 */
  {
    "aarch64_simd_vec_unpacks_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v8hi },
    &operand_data[2798],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1962 */
  {
    "aarch64_simd_vec_unpacku_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v8hi },
    &operand_data[2798],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1962 */
  {
    "aarch64_simd_vec_unpacks_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v4si },
    &operand_data[2801],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1962 */
  {
    "aarch64_simd_vec_unpacku_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacku_hi_v4si },
    &operand_data[2801],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2009 */
  {
    "*aarch64_smlal_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2804],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2009 */
  {
    "*aarch64_umlal_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2804],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2009 */
  {
    "*aarch64_smlal_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2809],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2009 */
  {
    "*aarch64_umlal_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2809],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2009 */
  {
    "*aarch64_smlal_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2814],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2009 */
  {
    "*aarch64_umlal_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2814],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "aarch64_smlal_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv16qi_insn },
    &operand_data[2819],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "aarch64_umlal_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv16qi_insn },
    &operand_data[2819],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "aarch64_smlal_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv8hi_insn },
    &operand_data[2824],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "aarch64_umlal_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv8hi_insn },
    &operand_data[2824],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "aarch64_smlal_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv4si_insn },
    &operand_data[2829],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2025 */
  {
    "aarch64_umlal_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv4si_insn },
    &operand_data[2829],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2055 */
  {
    "aarch64_smlal_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.4s, %2.8h, %4.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_nv8hi_insn },
    &operand_data[2834],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2055 */
  {
    "aarch64_umlal_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.4s, %2.8h, %4.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_nv8hi_insn },
    &operand_data[2834],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2055 */
  {
    "aarch64_smlal_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal2\t%0.2d, %2.4s, %4.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_nv4si_insn },
    &operand_data[2839],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2055 */
  {
    "aarch64_umlal_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal2\t%0.2d, %2.4s, %4.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_nv4si_insn },
    &operand_data[2839],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2086 */
  {
    "*aarch64_smlsl_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2804],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2086 */
  {
    "*aarch64_umlsl_lov16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.8h, %2.8b, %4.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2804],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2086 */
  {
    "*aarch64_smlsl_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2809],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2086 */
  {
    "*aarch64_umlsl_lov8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %4.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2809],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2086 */
  {
    "*aarch64_smlsl_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2814],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2086 */
  {
    "*aarch64_umlsl_lov4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %4.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2814],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2102 */
  {
    "aarch64_smlsl_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv16qi_insn },
    &operand_data[2819],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2102 */
  {
    "aarch64_umlsl_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.8h, %2.16b, %4.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv16qi_insn },
    &operand_data[2819],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2102 */
  {
    "aarch64_smlsl_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv8hi_insn },
    &operand_data[2824],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2102 */
  {
    "aarch64_umlsl_hiv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.4s, %2.8h, %4.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv8hi_insn },
    &operand_data[2824],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2102 */
  {
    "aarch64_smlsl_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv4si_insn },
    &operand_data[2829],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2102 */
  {
    "aarch64_umlsl_hiv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.2d, %2.4s, %4.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv4si_insn },
    &operand_data[2829],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2132 */
  {
    "aarch64_smlsl_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.4s, %2.8h, %4.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_nv8hi_insn },
    &operand_data[2834],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2132 */
  {
    "aarch64_umlsl_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.4s, %2.8h, %4.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_nv8hi_insn },
    &operand_data[2834],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2132 */
  {
    "aarch64_smlsl_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl2\t%0.2d, %2.4s, %4.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_nv4si_insn },
    &operand_data[2839],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2132 */
  {
    "aarch64_umlsl_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl2\t%0.2d, %2.4s, %4.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_nv4si_insn },
    &operand_data[2839],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2163 */
  {
    "aarch64_smlalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlalv8qi },
    &operand_data[2005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2163 */
  {
    "aarch64_umlalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlalv8qi },
    &operand_data[2005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2163 */
  {
    "aarch64_smlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlalv4hi },
    &operand_data[2009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2163 */
  {
    "aarch64_umlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlalv4hi },
    &operand_data[2009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2163 */
  {
    "aarch64_smlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlalv2si },
    &operand_data[2013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2163 */
  {
    "aarch64_umlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlalv2si },
    &operand_data[2013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2177 */
  {
    "aarch64_smlal_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_nv4hi },
    &operand_data[2844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2177 */
  {
    "aarch64_umlal_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_nv4hi },
    &operand_data[2844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2177 */
  {
    "aarch64_smlal_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_nv2si },
    &operand_data[2848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2177 */
  {
    "aarch64_umlal_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_nv2si },
    &operand_data[2848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2192 */
  {
    "aarch64_smlslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlslv8qi },
    &operand_data[2005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2192 */
  {
    "aarch64_umlslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.8h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlslv8qi },
    &operand_data[2005],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2192 */
  {
    "aarch64_smlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlslv4hi },
    &operand_data[2009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2192 */
  {
    "aarch64_umlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlslv4hi },
    &operand_data[2009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2192 */
  {
    "aarch64_smlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlslv2si },
    &operand_data[2013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2192 */
  {
    "aarch64_umlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlslv2si },
    &operand_data[2013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2206 */
  {
    "aarch64_smlsl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_nv4hi },
    &operand_data[2844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2206 */
  {
    "aarch64_umlsl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_nv4hi },
    &operand_data[2844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2206 */
  {
    "aarch64_smlsl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_nv2si },
    &operand_data[2848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2206 */
  {
    "aarch64_umlsl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_nv2si },
    &operand_data[2848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2221 */
  {
    "aarch64_simd_vec_smult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v16qi },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2221 */
  {
    "aarch64_simd_vec_umult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v16qi },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2221 */
  {
    "aarch64_simd_vec_smult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v8hi },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2221 */
  {
    "aarch64_simd_vec_umult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v8hi },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2221 */
  {
    "aarch64_simd_vec_smult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_lo_v4si },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2221 */
  {
    "aarch64_simd_vec_umult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_lo_v4si },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2234 */
  {
    "aarch64_intrinsic_vec_smult_lo_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2234 */
  {
    "aarch64_intrinsic_vec_umult_lo_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2234 */
  {
    "aarch64_intrinsic_vec_smult_lo_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2234 */
  {
    "aarch64_intrinsic_vec_umult_lo_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2234 */
  {
    "aarch64_intrinsic_vec_smult_lo_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_smult_lo_v2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2234 */
  {
    "aarch64_intrinsic_vec_umult_lo_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_intrinsic_vec_umult_lo_v2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2259 */
  {
    "aarch64_simd_vec_smult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v16qi },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2259 */
  {
    "aarch64_simd_vec_umult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v16qi },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2259 */
  {
    "aarch64_simd_vec_smult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v8hi },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2259 */
  {
    "aarch64_simd_vec_umult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v8hi },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2259 */
  {
    "aarch64_simd_vec_smult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_smult_hi_v4si },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2259 */
  {
    "aarch64_simd_vec_umult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_umult_hi_v4si },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2288 */
  {
    "aarch64_vec_smult_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2290 },
#else
    { 0, 0, output_2290 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_lane_v4hi },
    &operand_data[2852],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2288 */
  {
    "aarch64_vec_umult_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2291 },
#else
    { 0, 0, output_2291 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_lane_v4hi },
    &operand_data[2852],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2288 */
  {
    "aarch64_vec_smult_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2292 },
#else
    { 0, 0, output_2292 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_laneq_v4hi },
    &operand_data[2856],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2288 */
  {
    "aarch64_vec_umult_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2293 },
#else
    { 0, 0, output_2293 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_laneq_v4hi },
    &operand_data[2856],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2288 */
  {
    "aarch64_vec_smult_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2294 },
#else
    { 0, 0, output_2294 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_lane_v2si },
    &operand_data[2860],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2288 */
  {
    "aarch64_vec_umult_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2295 },
#else
    { 0, 0, output_2295 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_lane_v2si },
    &operand_data[2860],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2288 */
  {
    "aarch64_vec_smult_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2296 },
#else
    { 0, 0, output_2296 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smult_laneq_v2si },
    &operand_data[2864],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2288 */
  {
    "aarch64_vec_umult_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2297 },
#else
    { 0, 0, output_2297 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umult_laneq_v2si },
    &operand_data[2864],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2306 */
  {
    "aarch64_smull_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2298 },
#else
    { 0, 0, output_2298 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_lanev8hi_insn },
    &operand_data[2868],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2306 */
  {
    "aarch64_umull_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2299 },
#else
    { 0, 0, output_2299 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_lanev8hi_insn },
    &operand_data[2868],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2306 */
  {
    "aarch64_smull_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2300 },
#else
    { 0, 0, output_2300 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_lanev4si_insn },
    &operand_data[2873],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2306 */
  {
    "aarch64_umull_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2301 },
#else
    { 0, 0, output_2301 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_lanev4si_insn },
    &operand_data[2873],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2340 */
  {
    "aarch64_smull_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2302 },
#else
    { 0, 0, output_2302 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_laneqv8hi_insn },
    &operand_data[2878],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2340 */
  {
    "aarch64_umull_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2303 },
#else
    { 0, 0, output_2303 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_laneqv8hi_insn },
    &operand_data[2878],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2340 */
  {
    "aarch64_smull_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2304 },
#else
    { 0, 0, output_2304 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_laneqv4si_insn },
    &operand_data[2883],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2340 */
  {
    "aarch64_umull_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2305 },
#else
    { 0, 0, output_2305 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_laneqv4si_insn },
    &operand_data[2883],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2374 */
  {
    "aarch64_smull_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.4s, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_nv4hi },
    &operand_data[2888],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2374 */
  {
    "aarch64_umull_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.4s, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_nv4hi },
    &operand_data[2888],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2374 */
  {
    "aarch64_smull_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull\t%0.2d, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_nv2si },
    &operand_data[2891],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2374 */
  {
    "aarch64_umull_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull\t%0.2d, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_nv2si },
    &operand_data[2891],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2387 */
  {
    "aarch64_smull_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.4s, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_nv8hi_insn },
    &operand_data[2894],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2387 */
  {
    "aarch64_umull_hi_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.4s, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_nv8hi_insn },
    &operand_data[2894],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2387 */
  {
    "aarch64_smull_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smull2\t%0.2d, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_nv4si_insn },
    &operand_data[2898],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2387 */
  {
    "aarch64_umull_hi_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umull2\t%0.2d, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_nv4si_insn },
    &operand_data[2898],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "aarch64_vec_smlal_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2314 },
#else
    { 0, 0, output_2314 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_lane_v4hi },
    &operand_data[2902],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "aarch64_vec_umlal_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2315 },
#else
    { 0, 0, output_2315 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_lane_v4hi },
    &operand_data[2902],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "aarch64_vec_smlal_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2316 },
#else
    { 0, 0, output_2316 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_laneq_v4hi },
    &operand_data[2907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "aarch64_vec_umlal_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2317 },
#else
    { 0, 0, output_2317 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_laneq_v4hi },
    &operand_data[2907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "aarch64_vec_smlal_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2318 },
#else
    { 0, 0, output_2318 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_lane_v2si },
    &operand_data[2912],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "aarch64_vec_umlal_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2319 },
#else
    { 0, 0, output_2319 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_lane_v2si },
    &operand_data[2912],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "aarch64_vec_smlal_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2320 },
#else
    { 0, 0, output_2320 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlal_laneq_v2si },
    &operand_data[2917],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2416 */
  {
    "aarch64_vec_umlal_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2321 },
#else
    { 0, 0, output_2321 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlal_laneq_v2si },
    &operand_data[2917],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2436 */
  {
    "aarch64_smlal_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2322 },
#else
    { 0, 0, output_2322 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_lanev8hi_insn },
    &operand_data[2922],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2436 */
  {
    "aarch64_umlal_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2323 },
#else
    { 0, 0, output_2323 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_lanev8hi_insn },
    &operand_data[2922],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2436 */
  {
    "aarch64_smlal_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2324 },
#else
    { 0, 0, output_2324 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_lanev4si_insn },
    &operand_data[2928],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2436 */
  {
    "aarch64_umlal_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2325 },
#else
    { 0, 0, output_2325 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_lanev4si_insn },
    &operand_data[2928],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2473 */
  {
    "aarch64_smlal_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2326 },
#else
    { 0, 0, output_2326 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_laneqv8hi_insn },
    &operand_data[2934],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2473 */
  {
    "aarch64_umlal_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2327 },
#else
    { 0, 0, output_2327 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_laneqv8hi_insn },
    &operand_data[2934],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2473 */
  {
    "aarch64_smlal_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2328 },
#else
    { 0, 0, output_2328 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_laneqv4si_insn },
    &operand_data[2940],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2473 */
  {
    "aarch64_umlal_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2329 },
#else
    { 0, 0, output_2329 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_laneqv4si_insn },
    &operand_data[2940],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2510 */
  {
    "aarch64_vec_smlsl_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2330 },
#else
    { 0, 0, output_2330 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlsl_lane_v4hi },
    &operand_data[2902],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2510 */
  {
    "aarch64_vec_umlsl_lane_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2331 },
#else
    { 0, 0, output_2331 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlsl_lane_v4hi },
    &operand_data[2902],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2510 */
  {
    "aarch64_vec_smlsl_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2332 },
#else
    { 0, 0, output_2332 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlsl_laneq_v4hi },
    &operand_data[2907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2510 */
  {
    "aarch64_vec_umlsl_laneq_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2333 },
#else
    { 0, 0, output_2333 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlsl_laneq_v4hi },
    &operand_data[2907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2510 */
  {
    "aarch64_vec_smlsl_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2334 },
#else
    { 0, 0, output_2334 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlsl_lane_v2si },
    &operand_data[2912],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2510 */
  {
    "aarch64_vec_umlsl_lane_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2335 },
#else
    { 0, 0, output_2335 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlsl_lane_v2si },
    &operand_data[2912],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2510 */
  {
    "aarch64_vec_smlsl_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2336 },
#else
    { 0, 0, output_2336 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_smlsl_laneq_v2si },
    &operand_data[2917],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2510 */
  {
    "aarch64_vec_umlsl_laneq_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2337 },
#else
    { 0, 0, output_2337 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_umlsl_laneq_v2si },
    &operand_data[2917],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2530 */
  {
    "aarch64_smlsl_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2338 },
#else
    { 0, 0, output_2338 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_lanev8hi_insn },
    &operand_data[2922],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2530 */
  {
    "aarch64_umlsl_hi_lanev8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2339 },
#else
    { 0, 0, output_2339 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_lanev8hi_insn },
    &operand_data[2922],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2530 */
  {
    "aarch64_smlsl_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2340 },
#else
    { 0, 0, output_2340 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_lanev4si_insn },
    &operand_data[2928],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2530 */
  {
    "aarch64_umlsl_hi_lanev4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2341 },
#else
    { 0, 0, output_2341 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_lanev4si_insn },
    &operand_data[2928],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2568 */
  {
    "aarch64_smlsl_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2342 },
#else
    { 0, 0, output_2342 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_laneqv8hi_insn },
    &operand_data[2934],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2568 */
  {
    "aarch64_umlsl_hi_laneqv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2343 },
#else
    { 0, 0, output_2343 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_laneqv8hi_insn },
    &operand_data[2934],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2568 */
  {
    "aarch64_smlsl_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2344 },
#else
    { 0, 0, output_2344 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_laneqv4si_insn },
    &operand_data[2940],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2568 */
  {
    "aarch64_umlsl_hi_laneqv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2345 },
#else
    { 0, 0, output_2345 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_laneqv4si_insn },
    &operand_data[2940],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "addv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "addv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "addv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "addv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "addv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "addv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "addv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "addv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2631 */
  {
    "addv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "subv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "subv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "subv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "subv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "subv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "subv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "subv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "subv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2640 */
  {
    "subv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2649 */
  {
    "mulv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2649 */
  {
    "mulv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2649 */
  {
    "mulv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2649 */
  {
    "mulv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2649 */
  {
    "mulv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2649 */
  {
    "mulv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2649 */
  {
    "mulv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2649 */
  {
    "mulv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2649 */
  {
    "mulv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2670 */
  {
    "*divv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2670 */
  {
    "*divv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2670 */
  {
    "*divv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2670 */
  {
    "*divv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2670 */
  {
    "*divv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2670 */
  {
    "*divv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2670 */
  {
    "*divv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2670 */
  {
    "*divv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2670 */
  {
    "*divv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdiv\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2679 */
  {
    "negv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2679 */
  {
    "negv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hf2_vec_concatz_le },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2679 */
  {
    "negv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4hf2_vec_concatz_be },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2679 */
  {
    "negv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2679 */
  {
    "negv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2679 */
  {
    "negv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2sf2_vec_concatz_le },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2679 */
  {
    "negv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2sf2_vec_concatz_be },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2679 */
  {
    "negv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2679 */
  {
    "negv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2687 */
  {
    "aarch64_fnegv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnegv2di2 },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2696 */
  {
    "absv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2696 */
  {
    "absv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hf2_vec_concatz_le },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2696 */
  {
    "absv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4hf2_vec_concatz_be },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2696 */
  {
    "absv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2696 */
  {
    "absv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2696 */
  {
    "absv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2sf2_vec_concatz_le },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2696 */
  {
    "absv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2sf2_vec_concatz_be },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2696 */
  {
    "absv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2696 */
  {
    "absv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fabs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2850 */
  {
    "fmav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4hf4 },
    &operand_data[2952],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2850 */
  {
    "fmav4hf4_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4hf4_vec_concatz_le },
    &operand_data[2956],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2850 */
  {
    "fmav4hf4_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4hf4_vec_concatz_be },
    &operand_data[2956],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2850 */
  {
    "fmav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav8hf4 },
    &operand_data[2961],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2850 */
  {
    "fmav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2sf4 },
    &operand_data[2965],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2850 */
  {
    "fmav2sf4_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2sf4_vec_concatz_le },
    &operand_data[2969],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2850 */
  {
    "fmav2sf4_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2sf4_vec_concatz_be },
    &operand_data[2969],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2850 */
  {
    "fmav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav4sf4 },
    &operand_data[2974],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2850 */
  {
    "fmav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmav2df4 },
    &operand_data[2978],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2860 */
  {
    "*aarch64_fma4_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2410 },
#else
    { 0, 0, output_2410 },
#endif
    { 0 },
    &operand_data[2982],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2860 */
  {
    "*aarch64_fma4_eltv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2411 },
#else
    { 0, 0, output_2411 },
#endif
    { 0 },
    &operand_data[2987],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2860 */
  {
    "*aarch64_fma4_eltv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2412 },
#else
    { 0, 0, output_2412 },
#endif
    { 0 },
    &operand_data[2987],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2860 */
  {
    "*aarch64_fma4_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2413 },
#else
    { 0, 0, output_2413 },
#endif
    { 0 },
    &operand_data[2993],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2860 */
  {
    "*aarch64_fma4_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2414 },
#else
    { 0, 0, output_2414 },
#endif
    { 0 },
    &operand_data[2998],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2877 */
  {
    "*aarch64_fma4_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2415 },
#else
    { 0, 0, output_2415 },
#endif
    { 0 },
    &operand_data[3003],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2877 */
  {
    "*aarch64_fma4_elt_to_128v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2416 },
#else
    { 0, 0, output_2416 },
#endif
    { 0 },
    &operand_data[3008],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2877 */
  {
    "*aarch64_fma4_elt_to_128v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2417 },
#else
    { 0, 0, output_2417 },
#endif
    { 0 },
    &operand_data[3008],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2877 */
  {
    "*aarch64_fma4_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2418 },
#else
    { 0, 0, output_2418 },
#endif
    { 0 },
    &operand_data[3014],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3023],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3023],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3028],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3032],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3036],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3036],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3041],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3045],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3049],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3049],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3054],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3058],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3062],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3062],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3067],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2894 */
  {
    "*aarch64_fma4_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3071],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2906 */
  {
    "*aarch64_fma4_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2436 },
#else
    { 0, 0, output_2436 },
#endif
    { 0 },
    &operand_data[3075],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2922 */
  {
    "fnmav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4hf4 },
    &operand_data[2952],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2922 */
  {
    "fnmav4hf4_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4hf4_vec_concatz_le },
    &operand_data[2956],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2922 */
  {
    "fnmav4hf4_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4hf4_vec_concatz_be },
    &operand_data[2956],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2922 */
  {
    "fnmav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav8hf4 },
    &operand_data[2961],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2922 */
  {
    "fnmav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2sf4 },
    &operand_data[2965],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2922 */
  {
    "fnmav2sf4_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2sf4_vec_concatz_le },
    &operand_data[2969],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2922 */
  {
    "fnmav2sf4_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2sf4_vec_concatz_be },
    &operand_data[2969],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2922 */
  {
    "fnmav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav4sf4 },
    &operand_data[2974],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2922 */
  {
    "fnmav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmav2df4 },
    &operand_data[2978],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2933 */
  {
    "*aarch64_fnma4_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2446 },
#else
    { 0, 0, output_2446 },
#endif
    { 0 },
    &operand_data[2982],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2933 */
  {
    "*aarch64_fnma4_eltv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2447 },
#else
    { 0, 0, output_2447 },
#endif
    { 0 },
    &operand_data[2987],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2933 */
  {
    "*aarch64_fnma4_eltv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2448 },
#else
    { 0, 0, output_2448 },
#endif
    { 0 },
    &operand_data[2987],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2933 */
  {
    "*aarch64_fnma4_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2449 },
#else
    { 0, 0, output_2449 },
#endif
    { 0 },
    &operand_data[2993],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2933 */
  {
    "*aarch64_fnma4_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2450 },
#else
    { 0, 0, output_2450 },
#endif
    { 0 },
    &operand_data[2998],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2451 },
#else
    { 0, 0, output_2451 },
#endif
    { 0 },
    &operand_data[3003],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_to_128v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2452 },
#else
    { 0, 0, output_2452 },
#endif
    { 0 },
    &operand_data[3008],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_to_128v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2453 },
#else
    { 0, 0, output_2453 },
#endif
    { 0 },
    &operand_data[3008],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2951 */
  {
    "*aarch64_fnma4_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2454 },
#else
    { 0, 0, output_2454 },
#endif
    { 0 },
    &operand_data[3014],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3019],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3023],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3023],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3028],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3032],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3036],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3036],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3041],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3045],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3049],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4h, %2.4h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3049],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.8h, %2.8h, %1.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3054],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3058],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3062],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2s, %2.2s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3062],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.4s, %2.4s, %1.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3067],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2969 */
  {
    "*aarch64_fnma4_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\t%0.2d, %2.2d, %1.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3071],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2982 */
  {
    "*aarch64_fnma4_elt_to_64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2472 },
#else
    { 0, 0, output_2472 },
#endif
    { 0 },
    &operand_data[3075],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "btruncv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "btruncv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4hf2_vec_concatz_le },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "btruncv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4hf2_vec_concatz_be },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "ceilv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "ceilv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4hf2_vec_concatz_le },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "ceilv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4hf2_vec_concatz_be },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "floorv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "floorv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4hf2_vec_concatz_le },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "floorv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4hf2_vec_concatz_be },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundevenv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundevenv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv4hf2_vec_concatz_le },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundevenv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv4hf2_vec_concatz_be },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "nearbyintv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "nearbyintv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4hf2_vec_concatz_le },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "nearbyintv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4hf2_vec_concatz_be },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "rintv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "rintv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4hf2_vec_concatz_le },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "rintv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4hf2_vec_concatz_be },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4hf2 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4hf2_vec_concatz_le },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4hf2_vec_concatz_be },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "btruncv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "ceilv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "floorv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundevenv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "nearbyintv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "rintv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv8hf2 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "btruncv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "btruncv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2sf2_vec_concatz_le },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "btruncv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2sf2_vec_concatz_be },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "ceilv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "ceilv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2sf2_vec_concatz_le },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "ceilv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2sf2_vec_concatz_be },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "floorv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "floorv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2sf2_vec_concatz_le },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "floorv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2sf2_vec_concatz_be },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundevenv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundevenv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv2sf2_vec_concatz_le },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundevenv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv2sf2_vec_concatz_be },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "nearbyintv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "nearbyintv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2sf2_vec_concatz_le },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "nearbyintv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2sf2_vec_concatz_be },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "rintv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "rintv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2sf2_vec_concatz_le },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "rintv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2sf2_vec_concatz_be },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2sf2 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2sf2_vec_concatz_le },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2sf2_vec_concatz_be },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "btruncv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "ceilv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "floorv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundevenv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "nearbyintv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "rintv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv4sf2 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "btruncv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintz\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "ceilv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "floorv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundevenv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "nearbyintv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinti\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "rintv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintx\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3001 */
  {
    "roundv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundv2df2 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lbtruncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv4hfv4hi2 },
    &operand_data[3080],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lceilv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv4hfv4hi2 },
    &operand_data[3080],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfloorv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv4hfv4hi2 },
    &operand_data[3080],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lroundv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv4hfv4hi2 },
    &operand_data[3080],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfrintnv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv4hfv4hi2 },
    &operand_data[3080],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lbtruncuv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv4hfv4hi2 },
    &operand_data[3080],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lceiluv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv4hfv4hi2 },
    &operand_data[3080],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lflooruv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv4hfv4hi2 },
    &operand_data[3080],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lrounduv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv4hfv4hi2 },
    &operand_data[3080],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfrintnuv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv4hfv4hi2 },
    &operand_data[3080],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lbtruncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv8hfv8hi2 },
    &operand_data[3082],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lceilv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv8hfv8hi2 },
    &operand_data[3082],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfloorv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv8hfv8hi2 },
    &operand_data[3082],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lroundv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv8hfv8hi2 },
    &operand_data[3082],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfrintnv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv8hfv8hi2 },
    &operand_data[3082],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lbtruncuv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv8hfv8hi2 },
    &operand_data[3082],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lceiluv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv8hfv8hi2 },
    &operand_data[3082],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lflooruv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv8hfv8hi2 },
    &operand_data[3082],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lrounduv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv8hfv8hi2 },
    &operand_data[3082],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfrintnuv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv8hfv8hi2 },
    &operand_data[3082],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lbtruncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv2sfv2si2 },
    &operand_data[3084],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lceilv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv2sfv2si2 },
    &operand_data[3084],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfloorv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv2sfv2si2 },
    &operand_data[3084],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lroundv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv2sfv2si2 },
    &operand_data[3084],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfrintnv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv2sfv2si2 },
    &operand_data[3084],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lbtruncuv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv2sfv2si2 },
    &operand_data[3084],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lceiluv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv2sfv2si2 },
    &operand_data[3084],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lflooruv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv2sfv2si2 },
    &operand_data[3084],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lrounduv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv2sfv2si2 },
    &operand_data[3084],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfrintnuv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv2sfv2si2 },
    &operand_data[3084],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lbtruncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv4sfv4si2 },
    &operand_data[3086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lceilv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv4sfv4si2 },
    &operand_data[3086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfloorv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv4sfv4si2 },
    &operand_data[3086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lroundv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv4sfv4si2 },
    &operand_data[3086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfrintnv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv4sfv4si2 },
    &operand_data[3086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lbtruncuv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv4sfv4si2 },
    &operand_data[3086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lceiluv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv4sfv4si2 },
    &operand_data[3086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lflooruv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv4sfv4si2 },
    &operand_data[3086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lrounduv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv4sfv4si2 },
    &operand_data[3086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfrintnuv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv4sfv4si2 },
    &operand_data[3086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lbtruncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncv2dfv2di2 },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lceilv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilv2dfv2di2 },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfloorv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorv2dfv2di2 },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lroundv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundv2dfv2di2 },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfrintnv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnv2dfv2di2 },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lbtruncuv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuv2dfv2di2 },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lceiluv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluv2dfv2di2 },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lflooruv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruv2dfv2di2 },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lrounduv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduv2dfv2di2 },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3012 */
  {
    "lfrintnuv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuv2dfv2di2 },
    &operand_data[3088],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3023 */
  {
    "lbtrunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtrunchfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3023 */
  {
    "lceilhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtps\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceilhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3023 */
  {
    "lfloorhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtms\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfloorhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3023 */
  {
    "lroundhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtas\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lroundhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3023 */
  {
    "lfrintnhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtns\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3023 */
  {
    "lbtruncuhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lbtruncuhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3023 */
  {
    "lceiluhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtpu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lceiluhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3023 */
  {
    "lflooruhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtmu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lflooruhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3023 */
  {
    "lrounduhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtau\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrounduhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3023 */
  {
    "lfrintnuhfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lfrintnuhfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3032 */
  {
    "fix_trunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_trunchfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3032 */
  {
    "fixuns_trunchfhi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_trunchfhi2 },
    &operand_data[1275],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3040 */
  {
    "floathihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floathihf2 },
    &operand_data[1278],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3040 */
  {
    "floatunshihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunshihf2 },
    &operand_data[1278],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3048 */
  {
    "*aarch64_fcvtv2sfv2si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2600 },
#else
    { 0, 0, output_2600 },
#endif
    { 0 },
    &operand_data[3090],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3048 */
  {
    "*aarch64_fcvtuv2sfv2si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2601 },
#else
    { 0, 0, output_2601 },
#endif
    { 0 },
    &operand_data[3090],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3048 */
  {
    "*aarch64_fcvtv4sfv4si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2602 },
#else
    { 0, 0, output_2602 },
#endif
    { 0 },
    &operand_data[3093],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3048 */
  {
    "*aarch64_fcvtuv4sfv4si2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2603 },
#else
    { 0, 0, output_2603 },
#endif
    { 0 },
    &operand_data[3093],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3048 */
  {
    "*aarch64_fcvtv2dfv2di2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2604 },
#else
    { 0, 0, output_2604 },
#endif
    { 0 },
    &operand_data[3096],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3048 */
  {
    "*aarch64_fcvtuv2dfv2di2_mult",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2605 },
#else
    { 0, 0, output_2605 },
#endif
    { 0 },
    &operand_data[3096],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3091 */
  {
    "floatv4hiv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv4hiv4hf2 },
    &operand_data[3099],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3091 */
  {
    "floatunsv4hiv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv4hiv4hf2 },
    &operand_data[3099],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3091 */
  {
    "floatv8hiv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv8hiv8hf2 },
    &operand_data[3101],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3091 */
  {
    "floatunsv8hiv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv8hiv8hf2 },
    &operand_data[3101],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3091 */
  {
    "floatv2siv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv2siv2sf2 },
    &operand_data[3103],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3091 */
  {
    "floatunsv2siv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv2siv2sf2 },
    &operand_data[3103],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3091 */
  {
    "floatv4siv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv4siv4sf2 },
    &operand_data[3105],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3091 */
  {
    "floatunsv4siv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv4siv4sf2 },
    &operand_data[3105],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3091 */
  {
    "floatv2div2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatv2div2df2 },
    &operand_data[3107],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3091 */
  {
    "floatunsv2div2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsv2div2df2 },
    &operand_data[3107],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3106 */
  {
    "aarch64_simd_vec_unpacks_lo_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v8hf },
    &operand_data[3109],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3106 */
  {
    "aarch64_simd_vec_unpacks_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_lo_v4sf },
    &operand_data[3112],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3119 */
  {
    "fcvtzsv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv4hf3 },
    &operand_data[3115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3119 */
  {
    "fcvtzuv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv4hf3 },
    &operand_data[3115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3119 */
  {
    "fcvtzsv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv8hf3 },
    &operand_data[3118],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3119 */
  {
    "fcvtzuv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv8hf3 },
    &operand_data[3118],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3119 */
  {
    "fcvtzsv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv2sf3 },
    &operand_data[3121],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3119 */
  {
    "fcvtzuv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv2sf3 },
    &operand_data[3121],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3119 */
  {
    "fcvtzsv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv4sf3 },
    &operand_data[3124],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3119 */
  {
    "fcvtzuv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv4sf3 },
    &operand_data[3124],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3119 */
  {
    "fcvtzsv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzsv2df3 },
    &operand_data[3127],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3119 */
  {
    "fcvtzuv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fcvtzuv2df3 },
    &operand_data[3127],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "scvtfv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv4hi3 },
    &operand_data[3130],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "ucvtfv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4h, %1.4h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv4hi3 },
    &operand_data[3130],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "scvtfv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv8hi3 },
    &operand_data[3133],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "ucvtfv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.8h, %1.8h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv8hi3 },
    &operand_data[3133],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "scvtfv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv2si3 },
    &operand_data[3136],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "ucvtfv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2s, %1.2s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv2si3 },
    &operand_data[3136],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "scvtfv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv4si3 },
    &operand_data[3139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "ucvtfv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.4s, %1.4s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv4si3 },
    &operand_data[3139],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "scvtfv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scvtfv2di3 },
    &operand_data[3142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3130 */
  {
    "ucvtfv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0.2d, %1.2d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ucvtfv2di3 },
    &operand_data[3142],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3162 */
  {
    "aarch64_simd_vec_unpacks_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl2\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v8hf },
    &operand_data[3145],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3162 */
  {
    "aarch64_simd_vec_unpacks_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl2\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_vec_unpacks_hi_v4sf },
    &operand_data[3148],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3184 */
  {
    "extendv2sfv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv2sfv2df2 },
    &operand_data[3151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3184 */
  {
    "extendv4hfv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv4hfv4sf2 },
    &operand_data[3153],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3195 */
  {
    "aarch64_float_trunc_rodd_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_trunc_rodd_df },
    &operand_data[1225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3204 */
  {
    "aarch64_float_trunc_rodd_lo_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_trunc_rodd_lo_v2sf },
    &operand_data[3155],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3213 */
  {
    "aarch64_float_trunc_rodd_hi_v4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_trunc_rodd_hi_v4sf_le },
    &operand_data[3157],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3224 */
  {
    "aarch64_float_trunc_rodd_hi_v4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_trunc_rodd_hi_v4sf_be },
    &operand_data[3157],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3249 */
  {
    "truncv2dfv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2dfv2sf2 },
    &operand_data[3155],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3249 */
  {
    "truncv2dfv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2dfv2sf2_vec_concatz_le },
    &operand_data[3160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3249 */
  {
    "truncv2dfv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2dfv2sf2_vec_concatz_be },
    &operand_data[3160],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3249 */
  {
    "truncv4sfv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4sfv4hf2 },
    &operand_data[3163],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3249 */
  {
    "truncv4sfv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4sfv4hf2_vec_concatz_le },
    &operand_data[3165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3249 */
  {
    "truncv4sfv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4sfv4hf2_vec_concatz_be },
    &operand_data[3165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3258 */
  {
    "aarch64_float_truncate_hi_v4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf_le },
    &operand_data[3157],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3258 */
  {
    "aarch64_float_truncate_hi_v8hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf_le },
    &operand_data[3168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3269 */
  {
    "aarch64_float_truncate_hi_v4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf_be },
    &operand_data[3157],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3269 */
  {
    "aarch64_float_truncate_hi_v8hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf_be },
    &operand_data[3168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3344 */
  {
    "smaxv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3344 */
  {
    "sminv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3344 */
  {
    "smaxv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3344 */
  {
    "sminv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3344 */
  {
    "smaxv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3344 */
  {
    "sminv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3344 */
  {
    "smaxv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3344 */
  {
    "sminv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3344 */
  {
    "smaxv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3344 */
  {
    "sminv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmax_nanv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmax_nanv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmax_nanv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmin_nanv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmin_nanv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmin_nanv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmaxv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmaxv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmaxv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fminv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4hf3 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fminv4hf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4hf3_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fminv4hf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4hf3_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmax_nanv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmin_nanv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmaxv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fminv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv8hf3 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmax_nanv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmax_nanv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmax_nanv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmin_nanv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmin_nanv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmin_nanv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmaxv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmaxv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmaxv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fminv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2sf3 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fminv2sf3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2sf3_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fminv2sf3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2sf3_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmax_nanv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmin_nanv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmaxv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fminv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv4sf3 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmax_nanv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmin_nanv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fmaxv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3356 */
  {
    "fminv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminv2df3 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3368 */
  {
    "aarch64_faddpv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3368 */
  {
    "aarch64_faddpv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3368 */
  {
    "aarch64_faddpv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3368 */
  {
    "aarch64_faddpv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3368 */
  {
    "aarch64_faddpv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3368 */
  {
    "aarch64_faddpv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3368 */
  {
    "aarch64_faddpv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3368 */
  {
    "aarch64_faddpv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3368 */
  {
    "aarch64_faddpv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faddpv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3378 */
  {
    "reduc_plus_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v8qi },
    &operand_data[3171],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3378 */
  {
    "reduc_plus_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v16qi },
    &operand_data[3173],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3378 */
  {
    "reduc_plus_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4hi },
    &operand_data[3175],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3378 */
  {
    "reduc_plus_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v8hi },
    &operand_data[3177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3378 */
  {
    "reduc_plus_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4si },
    &operand_data[3179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3378 */
  {
    "reduc_plus_scal_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2di },
    &operand_data[3181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3387 */
  {
    "reduc_plus_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2si },
    &operand_data[3183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3397 */
  {
    "aarch64_zero_extendsi_reduc_plus_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v8qi },
    &operand_data[3185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3397 */
  {
    "aarch64_zero_extenddi_reduc_plus_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v8qi },
    &operand_data[3187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3397 */
  {
    "aarch64_zero_extendsi_reduc_plus_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v16qi },
    &operand_data[3189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3397 */
  {
    "aarch64_zero_extenddi_reduc_plus_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v16qi },
    &operand_data[3191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3397 */
  {
    "aarch64_zero_extendsi_reduc_plus_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v4hi },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3397 */
  {
    "aarch64_zero_extenddi_reduc_plus_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v4hi },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3397 */
  {
    "aarch64_zero_extendsi_reduc_plus_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extendsi_reduc_plus_v8hi },
    &operand_data[3197],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3397 */
  {
    "aarch64_zero_extenddi_reduc_plus_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zero_extenddi_reduc_plus_v8hi },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3407 */
  {
    "reduc_plus_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2sf },
    &operand_data[3201],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3407 */
  {
    "reduc_plus_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v2df },
    &operand_data[1959],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3432 */
  {
    "aarch64_saddlvv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv8qi },
    &operand_data[3203],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3432 */
  {
    "aarch64_uaddlvv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv8qi },
    &operand_data[3203],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3432 */
  {
    "aarch64_saddlvv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv16qi },
    &operand_data[3205],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3432 */
  {
    "aarch64_uaddlvv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv16qi },
    &operand_data[3205],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3432 */
  {
    "aarch64_saddlvv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv4hi },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3432 */
  {
    "aarch64_uaddlvv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv4hi },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3432 */
  {
    "aarch64_saddlvv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv8hi },
    &operand_data[3197],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3432 */
  {
    "aarch64_uaddlvv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv8hi },
    &operand_data[3197],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3432 */
  {
    "aarch64_saddlvv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv4si },
    &operand_data[3207],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3432 */
  {
    "aarch64_uaddlvv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv4si },
    &operand_data[3207],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3432 */
  {
    "aarch64_saddlvv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlvv2si },
    &operand_data[3209],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3432 */
  {
    "aarch64_uaddlvv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlvv2si },
    &operand_data[3209],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3447 */
  {
    "*aarch64_saddlvv8qi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3211],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3447 */
  {
    "*aarch64_uaddlvv8qi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3211],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3447 */
  {
    "*aarch64_saddlvv16qi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3215],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3447 */
  {
    "*aarch64_uaddlvv16qi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3215],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3447 */
  {
    "*aarch64_saddlvv4hi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3219],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3447 */
  {
    "*aarch64_uaddlvv4hi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3219],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3447 */
  {
    "*aarch64_saddlvv8hi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3223],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3447 */
  {
    "*aarch64_uaddlvv8hi_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3223],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3447 */
  {
    "*aarch64_saddlvv4si_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3227],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3447 */
  {
    "*aarch64_uaddlvv4si_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3227],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3447 */
  {
    "*aarch64_saddlvv2si_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3231],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3447 */
  {
    "*aarch64_uaddlvv2si_reduction",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3231],
    4,
    4,
    1,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3473 */
  {
    "*aarch64_uaddlvv8qi_reduction_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3235],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3473 */
  {
    "*aarch64_uaddlvv16qi_reduction_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3239],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3473 */
  {
    "*aarch64_uaddlvv4hi_reduction_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3243],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3473 */
  {
    "*aarch64_uaddlvv8hi_reduction_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3247],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_saddlvv8qi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_uaddlvv8qi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3185],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_saddlvv8qi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_uaddlvv8qi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3187],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_saddlvv16qi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_uaddlvv16qi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3189],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_saddlvv16qi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_uaddlvv16qi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%h0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_saddlvv4hi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_uaddlvv4hi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_saddlvv4hi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_uaddlvv4hi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3195],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_saddlvv8hi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3197],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_uaddlvv8hi_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3197],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_saddlvv8hi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_uaddlvv8hi_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%s0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3199],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_saddlvv4si_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_uaddlvv4si_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_saddlvv4si_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3207],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_uaddlvv4si_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlv\t%d0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3207],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_saddlvv2si_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_uaddlvv2si_zesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3183],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_saddlvv2si_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3209],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3501 */
  {
    "*aarch64_uaddlvv2si_zedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3209],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_saddlpv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.4h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3251],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_saddlpv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.4h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3255],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_saddlpv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.4h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3255],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_uaddlpv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.4h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3251],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_uaddlpv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.4h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3255],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_uaddlpv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.4h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3255],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_saddlpv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3260],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_uaddlpv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3260],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_saddlpv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.2s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3264],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_saddlpv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.2s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3268],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_saddlpv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.2s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3268],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_uaddlpv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.2s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3264],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_uaddlpv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.2s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3268],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_uaddlpv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.2s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3268],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_saddlpv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3273],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_uaddlpv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.4s, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3273],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_saddlpv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3277],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_uaddlpv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.2d, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3277],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_saddlpv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3281],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_saddlpv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3285],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_saddlpv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3285],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_uaddlpv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3281],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_uaddlpv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3285],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3531 */
  {
    "*aarch64_uaddlpv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlp\t%0.1d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3285],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3546 */
  {
    "clrsbv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8qi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3546 */
  {
    "clrsbv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8qi2_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3546 */
  {
    "clrsbv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8qi2_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3546 */
  {
    "clrsbv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv16qi2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3546 */
  {
    "clrsbv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4hi2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3546 */
  {
    "clrsbv4hi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4hi2_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3546 */
  {
    "clrsbv4hi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4hi2_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3546 */
  {
    "clrsbv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv8hi2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3546 */
  {
    "clrsbv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv2si2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3546 */
  {
    "clrsbv2si2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv2si2_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3546 */
  {
    "clrsbv2si2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv2si2_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3546 */
  {
    "clrsbv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cls\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbv4si2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3554 */
  {
    "clzv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8qi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3554 */
  {
    "clzv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8qi2_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3554 */
  {
    "clzv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8qi2_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3554 */
  {
    "clzv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv16qi2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3554 */
  {
    "clzv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4hi2 },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3554 */
  {
    "clzv4hi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4hi2_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3554 */
  {
    "clzv4hi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4hi2_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3554 */
  {
    "clzv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv8hi2 },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3554 */
  {
    "clzv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv2si2 },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3554 */
  {
    "clzv2si2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv2si2_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3554 */
  {
    "clzv2si2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv2si2_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3554 */
  {
    "clzv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "clz\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzv4si2 },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3562 */
  {
    "popcountv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv8qi2 },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3562 */
  {
    "popcountv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv8qi2_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3562 */
  {
    "popcountv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv8qi2_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3562 */
  {
    "popcountv16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cnt\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv16qi2 },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_umax_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_umin_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_umax_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_umin_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_internalv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_umax_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_umin_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_umax_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_umin_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_internalv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_umax_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_umin_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smax_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3674 */
  {
    "aarch64_reduc_smin_internalv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3683 */
  {
    "aarch64_reduc_umax_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umax_internalv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3683 */
  {
    "aarch64_reduc_umin_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_umin_internalv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3683 */
  {
    "aarch64_reduc_smax_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3683 */
  {
    "aarch64_reduc_smin_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminp\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smax_nan_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smin_nan_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smax_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smin_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smax_nan_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smin_nan_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smax_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smin_internalv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smax_nan_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smin_nan_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smax_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smin_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%s0, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smax_nan_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smin_nan_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smax_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smin_internalv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%s0, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smax_nan_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_nan_internalv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smin_nan_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_nan_internalv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smax_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smax_internalv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3692 */
  {
    "aarch64_reduc_smin_internalv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmp\t%d0, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reduc_smin_internalv2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv8qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2876 },
#else
    { 0, output_2876, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi_internal },
    &operand_data[3290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv8qi_internal_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2877 },
#else
    { 0, output_2877, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi_internal_vec_concatz_le },
    &operand_data[3294],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv8qi_internal_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2878 },
#else
    { 0, output_2878, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi_internal_vec_concatz_be },
    &operand_data[3294],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2879 },
#else
    { 0, output_2879, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv16qi_internal },
    &operand_data[3299],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv4hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2880 },
#else
    { 0, output_2880, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi_internal },
    &operand_data[3303],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv4hi_internal_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2881 },
#else
    { 0, output_2881, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi_internal_vec_concatz_le },
    &operand_data[3307],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv4hi_internal_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2882 },
#else
    { 0, output_2882, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi_internal_vec_concatz_be },
    &operand_data[3307],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2883 },
#else
    { 0, output_2883, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hi_internal },
    &operand_data[3312],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv2si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2884 },
#else
    { 0, output_2884, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si_internal },
    &operand_data[3316],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv2si_internal_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2885 },
#else
    { 0, output_2885, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si_internal_vec_concatz_le },
    &operand_data[3320],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv2si_internal_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2886 },
#else
    { 0, output_2886, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si_internal_vec_concatz_be },
    &operand_data[3320],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2887 },
#else
    { 0, output_2887, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4si_internal },
    &operand_data[3325],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3721 */
  {
    "aarch64_simd_bslv2di_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2888 },
#else
    { 0, output_2888, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2di_internal },
    &operand_data[3329],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv8qi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2889 },
#else
    { 0, output_2889, 0 },
#endif
    { 0 },
    &operand_data[3333],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv8qi_alt_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2890 },
#else
    { 0, output_2890, 0 },
#endif
    { 0 },
    &operand_data[3337],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv8qi_alt_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2891 },
#else
    { 0, output_2891, 0 },
#endif
    { 0 },
    &operand_data[3337],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv16qi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2892 },
#else
    { 0, output_2892, 0 },
#endif
    { 0 },
    &operand_data[3342],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv4hi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2893 },
#else
    { 0, output_2893, 0 },
#endif
    { 0 },
    &operand_data[3346],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv4hi_alt_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2894 },
#else
    { 0, output_2894, 0 },
#endif
    { 0 },
    &operand_data[3350],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv4hi_alt_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2895 },
#else
    { 0, output_2895, 0 },
#endif
    { 0 },
    &operand_data[3350],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv8hi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2896 },
#else
    { 0, output_2896, 0 },
#endif
    { 0 },
    &operand_data[3355],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv2si_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2897 },
#else
    { 0, output_2897, 0 },
#endif
    { 0 },
    &operand_data[3359],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv2si_alt_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2898 },
#else
    { 0, output_2898, 0 },
#endif
    { 0 },
    &operand_data[3363],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv2si_alt_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2899 },
#else
    { 0, output_2899, 0 },
#endif
    { 0 },
    &operand_data[3363],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv4si_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2900 },
#else
    { 0, output_2900, 0 },
#endif
    { 0 },
    &operand_data[3368],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3746 */
  {
    "*aarch64_simd_bslv2di_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2901 },
#else
    { 0, output_2901, 0 },
#endif
    { 0 },
    &operand_data[3372],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3774 */
  {
    "aarch64_simd_bsldi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2902 },
#else
    { 0, output_2902, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi_internal },
    &operand_data[3376],
    4,
    4,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3815 */
  {
    "aarch64_simd_bsldi_alt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2903 },
#else
    { 0, output_2903, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi_alt },
    &operand_data[3380],
    4,
    4,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4223 */
  {
    "*aarch64_get_lane_extendsiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2904 },
#else
    { 0, 0, output_2904 },
#endif
    { 0 },
    &operand_data[3384],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4223 */
  {
    "*aarch64_get_lane_extenddiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2905 },
#else
    { 0, 0, output_2905 },
#endif
    { 0 },
    &operand_data[3387],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4223 */
  {
    "*aarch64_get_lane_extendsiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2906 },
#else
    { 0, 0, output_2906 },
#endif
    { 0 },
    &operand_data[3390],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4223 */
  {
    "*aarch64_get_lane_extenddiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2907 },
#else
    { 0, 0, output_2907 },
#endif
    { 0 },
    &operand_data[3393],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4223 */
  {
    "*aarch64_get_lane_extendsiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2908 },
#else
    { 0, 0, output_2908 },
#endif
    { 0 },
    &operand_data[3396],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4223 */
  {
    "*aarch64_get_lane_extenddiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2909 },
#else
    { 0, 0, output_2909 },
#endif
    { 0 },
    &operand_data[3399],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4223 */
  {
    "*aarch64_get_lane_extendsiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2910 },
#else
    { 0, 0, output_2910 },
#endif
    { 0 },
    &operand_data[3402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4223 */
  {
    "*aarch64_get_lane_extenddiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2911 },
#else
    { 0, 0, output_2911 },
#endif
    { 0 },
    &operand_data[3405],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4238 */
  {
    "*aarch64_get_lane_zero_extendsiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2912 },
#else
    { 0, 0, output_2912 },
#endif
    { 0 },
    &operand_data[3384],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4238 */
  {
    "*aarch64_get_lane_zero_extenddiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2913 },
#else
    { 0, 0, output_2913 },
#endif
    { 0 },
    &operand_data[3387],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4238 */
  {
    "*aarch64_get_lane_zero_extendsiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2914 },
#else
    { 0, 0, output_2914 },
#endif
    { 0 },
    &operand_data[3390],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4238 */
  {
    "*aarch64_get_lane_zero_extenddiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2915 },
#else
    { 0, 0, output_2915 },
#endif
    { 0 },
    &operand_data[3393],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4238 */
  {
    "*aarch64_get_lane_zero_extendsiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2916 },
#else
    { 0, 0, output_2916 },
#endif
    { 0 },
    &operand_data[3396],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4238 */
  {
    "*aarch64_get_lane_zero_extenddiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2917 },
#else
    { 0, 0, output_2917 },
#endif
    { 0 },
    &operand_data[3399],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4238 */
  {
    "*aarch64_get_lane_zero_extendsiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2918 },
#else
    { 0, 0, output_2918 },
#endif
    { 0 },
    &operand_data[3402],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4238 */
  {
    "*aarch64_get_lane_zero_extenddiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2919 },
#else
    { 0, 0, output_2919 },
#endif
    { 0 },
    &operand_data[3405],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2920 },
#else
    { 0, 0, output_2920 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8qi },
    &operand_data[3408],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2921 },
#else
    { 0, 0, output_2921 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev16qi },
    &operand_data[3411],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2922 },
#else
    { 0, 0, output_2922 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4hi },
    &operand_data[3414],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2923 },
#else
    { 0, 0, output_2923 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8hi },
    &operand_data[3417],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2924 },
#else
    { 0, 0, output_2924 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2si },
    &operand_data[3420],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2925 },
#else
    { 0, 0, output_2925 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4si },
    &operand_data[3423],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2926 },
#else
    { 0, 0, output_2926 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2di },
    &operand_data[3426],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2927 },
#else
    { 0, 0, output_2927 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4hf },
    &operand_data[3429],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2928 },
#else
    { 0, 0, output_2928 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8hf },
    &operand_data[3432],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2929 },
#else
    { 0, 0, output_2929 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4bf },
    &operand_data[3435],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2930 },
#else
    { 0, 0, output_2930 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev8bf },
    &operand_data[3438],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2931 },
#else
    { 0, 0, output_2931 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2sf },
    &operand_data[3441],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2932 },
#else
    { 0, 0, output_2932 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev4sf },
    &operand_data[3444],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4258 */
  {
    "aarch64_get_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_2933 },
#else
    { 0, 0, output_2933 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_lanev2df },
    &operand_data[3447],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4287 */
  {
    "*aarch64_get_highv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3450],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4287 */
  {
    "*aarch64_get_highv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmov\t%0, %1.d[1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3453],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4297 */
  {
    "load_pair_lanesv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv8qi },
    &operand_data[3456],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4297 */
  {
    "load_pair_lanesv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4hi },
    &operand_data[3459],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4297 */
  {
    "load_pair_lanesv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4bf },
    &operand_data[3462],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4297 */
  {
    "load_pair_lanesv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv4hf },
    &operand_data[3465],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4297 */
  {
    "load_pair_lanesv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv2si },
    &operand_data[3468],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4297 */
  {
    "load_pair_lanesv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesv2sf },
    &operand_data[3471],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4297 */
  {
    "load_pair_lanessi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%d0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanessi },
    &operand_data[3474],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4297 */
  {
    "load_pair_lanessf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%d0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanessf },
    &operand_data[3477],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4297 */
  {
    "load_pair_lanesdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesdi },
    &operand_data[3480],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4297 */
  {
    "load_pair_lanesdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\t%q0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_load_pair_lanesdf },
    &operand_data[3483],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4327 */
  {
    "store_pair_lanesv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2946 },
#else
    { 0, output_2946, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv8qi },
    &operand_data[3486],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4327 */
  {
    "store_pair_lanesv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2947 },
#else
    { 0, output_2947, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4hi },
    &operand_data[3489],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4327 */
  {
    "store_pair_lanesv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2948 },
#else
    { 0, output_2948, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4bf },
    &operand_data[3492],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4327 */
  {
    "store_pair_lanesv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2949 },
#else
    { 0, output_2949, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv4hf },
    &operand_data[3495],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4327 */
  {
    "store_pair_lanesv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2950 },
#else
    { 0, output_2950, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv2si },
    &operand_data[3498],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4327 */
  {
    "store_pair_lanesv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2951 },
#else
    { 0, output_2951, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesv2sf },
    &operand_data[3501],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4327 */
  {
    "store_pair_lanessi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2952 },
#else
    { 0, output_2952, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanessi },
    &operand_data[3504],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4327 */
  {
    "store_pair_lanessf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2953 },
#else
    { 0, output_2953, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanessf },
    &operand_data[3507],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4327 */
  {
    "store_pair_lanesdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2954 },
#else
    { 0, output_2954, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesdi },
    &operand_data[3510],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4327 */
  {
    "store_pair_lanesdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2955 },
#else
    { 0, output_2955, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_store_pair_lanesdf },
    &operand_data[3513],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4346 */
  {
    "*aarch64_combine_internalv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2956 },
#else
    { 0, output_2956, 0 },
#endif
    { 0 },
    &operand_data[3516],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4346 */
  {
    "*aarch64_combine_internalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2957 },
#else
    { 0, output_2957, 0 },
#endif
    { 0 },
    &operand_data[3519],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4346 */
  {
    "*aarch64_combine_internalv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2958 },
#else
    { 0, output_2958, 0 },
#endif
    { 0 },
    &operand_data[3522],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4346 */
  {
    "*aarch64_combine_internalv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2959 },
#else
    { 0, output_2959, 0 },
#endif
    { 0 },
    &operand_data[3525],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4346 */
  {
    "*aarch64_combine_internalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2960 },
#else
    { 0, output_2960, 0 },
#endif
    { 0 },
    &operand_data[3528],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4346 */
  {
    "*aarch64_combine_internalv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2961 },
#else
    { 0, output_2961, 0 },
#endif
    { 0 },
    &operand_data[3531],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4346 */
  {
    "*aarch64_combine_internalsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2962 },
#else
    { 0, output_2962, 0 },
#endif
    { 0 },
    &operand_data[3534],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4346 */
  {
    "*aarch64_combine_internalsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2963 },
#else
    { 0, output_2963, 0 },
#endif
    { 0 },
    &operand_data[3537],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4346 */
  {
    "*aarch64_combine_internaldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2964 },
#else
    { 0, output_2964, 0 },
#endif
    { 0 },
    &operand_data[3540],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4346 */
  {
    "*aarch64_combine_internaldf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2965 },
#else
    { 0, output_2965, 0 },
#endif
    { 0 },
    &operand_data[3543],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4365 */
  {
    "*aarch64_combine_internal_bev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2966 },
#else
    { 0, output_2966, 0 },
#endif
    { 0 },
    &operand_data[3546],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4365 */
  {
    "*aarch64_combine_internal_bev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2967 },
#else
    { 0, output_2967, 0 },
#endif
    { 0 },
    &operand_data[3549],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4365 */
  {
    "*aarch64_combine_internal_bev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2968 },
#else
    { 0, output_2968, 0 },
#endif
    { 0 },
    &operand_data[3552],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4365 */
  {
    "*aarch64_combine_internal_bev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2969 },
#else
    { 0, output_2969, 0 },
#endif
    { 0 },
    &operand_data[3555],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4365 */
  {
    "*aarch64_combine_internal_bev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2970 },
#else
    { 0, output_2970, 0 },
#endif
    { 0 },
    &operand_data[3558],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4365 */
  {
    "*aarch64_combine_internal_bev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2971 },
#else
    { 0, output_2971, 0 },
#endif
    { 0 },
    &operand_data[3561],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4365 */
  {
    "*aarch64_combine_internal_besi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2972 },
#else
    { 0, output_2972, 0 },
#endif
    { 0 },
    &operand_data[3564],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4365 */
  {
    "*aarch64_combine_internal_besf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2973 },
#else
    { 0, output_2973, 0 },
#endif
    { 0 },
    &operand_data[3567],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4365 */
  {
    "*aarch64_combine_internal_bedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2974 },
#else
    { 0, output_2974, 0 },
#endif
    { 0 },
    &operand_data[3570],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4365 */
  {
    "*aarch64_combine_internal_bedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2975 },
#else
    { 0, output_2975, 0 },
#endif
    { 0 },
    &operand_data[3573],
    3,
    3,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4387 */
  {
    "*aarch64_combinezv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2976 },
#else
    { 0, output_2976, 0 },
#endif
    { 0 },
    &operand_data[3576],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4387 */
  {
    "*aarch64_combinezv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2977 },
#else
    { 0, output_2977, 0 },
#endif
    { 0 },
    &operand_data[3579],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4387 */
  {
    "*aarch64_combinezv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2978 },
#else
    { 0, output_2978, 0 },
#endif
    { 0 },
    &operand_data[3582],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4387 */
  {
    "*aarch64_combinezv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2979 },
#else
    { 0, output_2979, 0 },
#endif
    { 0 },
    &operand_data[3585],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4387 */
  {
    "*aarch64_combinezv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2980 },
#else
    { 0, output_2980, 0 },
#endif
    { 0 },
    &operand_data[3588],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4387 */
  {
    "*aarch64_combinezv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2981 },
#else
    { 0, output_2981, 0 },
#endif
    { 0 },
    &operand_data[3591],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4387 */
  {
    "*aarch64_combinezsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2982 },
#else
    { 0, output_2982, 0 },
#endif
    { 0 },
    &operand_data[3594],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4387 */
  {
    "*aarch64_combinezsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2983 },
#else
    { 0, output_2983, 0 },
#endif
    { 0 },
    &operand_data[3597],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4387 */
  {
    "*aarch64_combinezdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2984 },
#else
    { 0, output_2984, 0 },
#endif
    { 0 },
    &operand_data[3600],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4387 */
  {
    "*aarch64_combinezdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2985 },
#else
    { 0, output_2985, 0 },
#endif
    { 0 },
    &operand_data[3603],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4400 */
  {
    "*aarch64_combinez_bev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2986 },
#else
    { 0, output_2986, 0 },
#endif
    { 0 },
    &operand_data[3576],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4400 */
  {
    "*aarch64_combinez_bev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2987 },
#else
    { 0, output_2987, 0 },
#endif
    { 0 },
    &operand_data[3579],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4400 */
  {
    "*aarch64_combinez_bev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2988 },
#else
    { 0, output_2988, 0 },
#endif
    { 0 },
    &operand_data[3582],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4400 */
  {
    "*aarch64_combinez_bev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2989 },
#else
    { 0, output_2989, 0 },
#endif
    { 0 },
    &operand_data[3585],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4400 */
  {
    "*aarch64_combinez_bev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2990 },
#else
    { 0, output_2990, 0 },
#endif
    { 0 },
    &operand_data[3588],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4400 */
  {
    "*aarch64_combinez_bev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2991 },
#else
    { 0, output_2991, 0 },
#endif
    { 0 },
    &operand_data[3591],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4400 */
  {
    "*aarch64_combinez_besi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2992 },
#else
    { 0, output_2992, 0 },
#endif
    { 0 },
    &operand_data[3594],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4400 */
  {
    "*aarch64_combinez_besf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2993 },
#else
    { 0, output_2993, 0 },
#endif
    { 0 },
    &operand_data[3597],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4400 */
  {
    "*aarch64_combinez_bedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2994 },
#else
    { 0, output_2994, 0 },
#endif
    { 0 },
    &operand_data[3600],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4400 */
  {
    "*aarch64_combinez_bedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_2995 },
#else
    { 0, output_2995, 0 },
#endif
    { 0 },
    &operand_data[3603],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4473 */
  {
    "aarch64_saddlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv16qi_hi_internal },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4473 */
  {
    "aarch64_ssublv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv16qi_hi_internal },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4473 */
  {
    "aarch64_uaddlv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv16qi_hi_internal },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4473 */
  {
    "aarch64_usublv16qi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv16qi_hi_internal },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4473 */
  {
    "aarch64_saddlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8hi_hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4473 */
  {
    "aarch64_ssublv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8hi_hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4473 */
  {
    "aarch64_uaddlv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8hi_hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4473 */
  {
    "aarch64_usublv8hi_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8hi_hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4473 */
  {
    "aarch64_saddlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4si_hi_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4473 */
  {
    "aarch64_ssublv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4si_hi_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4473 */
  {
    "aarch64_uaddlv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4si_hi_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4473 */
  {
    "aarch64_usublv4si_hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4si_hi_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4486 */
  {
    "aarch64_saddlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv16qi_lo_internal },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4486 */
  {
    "aarch64_ssublv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv16qi_lo_internal },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4486 */
  {
    "aarch64_uaddlv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv16qi_lo_internal },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4486 */
  {
    "aarch64_usublv16qi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv16qi_lo_internal },
    &operand_data[1993],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4486 */
  {
    "aarch64_saddlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8hi_lo_internal },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4486 */
  {
    "aarch64_ssublv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8hi_lo_internal },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4486 */
  {
    "aarch64_uaddlv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8hi_lo_internal },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4486 */
  {
    "aarch64_usublv8hi_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8hi_lo_internal },
    &operand_data[1997],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4486 */
  {
    "aarch64_saddlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4si_lo_internal },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4486 */
  {
    "aarch64_ssublv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4si_lo_internal },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4486 */
  {
    "aarch64_uaddlv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4si_lo_internal },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4486 */
  {
    "aarch64_usublv4si_lo_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4si_lo_internal },
    &operand_data[2001],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4595 */
  {
    "aarch64_saddlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4595 */
  {
    "aarch64_ssublv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4595 */
  {
    "aarch64_uaddlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4595 */
  {
    "aarch64_usublv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4595 */
  {
    "aarch64_saddlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4595 */
  {
    "aarch64_ssublv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4595 */
  {
    "aarch64_uaddlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4595 */
  {
    "aarch64_usublv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4595 */
  {
    "aarch64_saddlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlv2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4595 */
  {
    "aarch64_ssublv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssublv2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4595 */
  {
    "aarch64_uaddlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlv2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4595 */
  {
    "aarch64_usublv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubl\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usublv2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssubwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv8qi },
    &operand_data[3606],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usubwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv8qi },
    &operand_data[3606],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssubwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv4hi },
    &operand_data[3609],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usubwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv4hi },
    &operand_data[3609],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_ssubwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv2si },
    &operand_data[3612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4664 */
  {
    "aarch64_usubwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv2si },
    &operand_data[3612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4674 */
  {
    "aarch64_ssubwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv16qi_internal },
    &operand_data[3615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4674 */
  {
    "aarch64_usubwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv16qi_internal },
    &operand_data[3615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4674 */
  {
    "aarch64_ssubwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv8hi_internal },
    &operand_data[3619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4674 */
  {
    "aarch64_usubwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv8hi_internal },
    &operand_data[3619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4674 */
  {
    "aarch64_ssubwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubwv4si_internal },
    &operand_data[3623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4674 */
  {
    "aarch64_usubwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubwv4si_internal },
    &operand_data[3623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4686 */
  {
    "aarch64_ssubw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v16qi_internal },
    &operand_data[3627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4686 */
  {
    "aarch64_usubw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v16qi_internal },
    &operand_data[3627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4686 */
  {
    "aarch64_ssubw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v8hi_internal },
    &operand_data[3631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4686 */
  {
    "aarch64_usubw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v8hi_internal },
    &operand_data[3631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4686 */
  {
    "aarch64_ssubw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v4si_internal },
    &operand_data[3635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4686 */
  {
    "aarch64_usubw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v4si_internal },
    &operand_data[3635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4698 */
  {
    "aarch64_saddwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv8qi },
    &operand_data[3606],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4698 */
  {
    "aarch64_uaddwv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv8qi },
    &operand_data[3606],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4698 */
  {
    "aarch64_saddwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv4hi },
    &operand_data[3609],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4698 */
  {
    "aarch64_uaddwv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv4hi },
    &operand_data[3609],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4698 */
  {
    "aarch64_saddwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv2si },
    &operand_data[3612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4698 */
  {
    "aarch64_uaddwv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv2si },
    &operand_data[3612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_saddwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv16qi_internal },
    &operand_data[3615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_uaddwv16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.8h, %1.8h, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv16qi_internal },
    &operand_data[3615],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_saddwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv8hi_internal },
    &operand_data[3619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_uaddwv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.4s, %1.4s, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv8hi_internal },
    &operand_data[3619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_saddwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddwv4si_internal },
    &operand_data[3623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4708 */
  {
    "aarch64_uaddwv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw\t%0.2d, %1.2d, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddwv4si_internal },
    &operand_data[3623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4721 */
  {
    "aarch64_saddw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v16qi_internal },
    &operand_data[3627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4721 */
  {
    "aarch64_uaddw2v16qi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.8h, %1.8h, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v16qi_internal },
    &operand_data[3627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4721 */
  {
    "aarch64_saddw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v8hi_internal },
    &operand_data[3631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4721 */
  {
    "aarch64_uaddw2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.4s, %1.4s, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v8hi_internal },
    &operand_data[3631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4721 */
  {
    "aarch64_saddw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v4si_internal },
    &operand_data[3635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4721 */
  {
    "aarch64_uaddw2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddw2\t%0.2d, %1.2d, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v4si_internal },
    &operand_data[3635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shaddv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shaddv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shaddv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shsubv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shsubv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shsubv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhaddv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhaddv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhaddv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhsubv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhsubv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhsubv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shaddv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3648],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shsubv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3648],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhaddv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3648],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhsubv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3648],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shaddv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shaddv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shaddv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shsubv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shsubv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shsubv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhaddv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhaddv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhaddv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhsubv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhsubv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhsubv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shaddv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3661],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shsubv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3661],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhaddv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3661],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhsubv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3661],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shaddv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3665],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shaddv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3669],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shaddv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3669],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shsubv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3665],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shsubv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3669],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shsubv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3669],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhaddv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3665],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhaddv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3669],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhaddv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3669],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhsubv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3665],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhsubv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3669],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhsubv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3669],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shaddv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3674],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_shsubv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3674],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhaddv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3674],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4809 */
  {
    "*aarch64_uhsubv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uhsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3674],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_srhaddv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3639],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_srhaddv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_srhaddv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_urhaddv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3639],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_urhaddv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_urhaddv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3643],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_srhaddv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3648],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_urhaddv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3648],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_srhaddv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3652],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_srhaddv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_srhaddv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_urhaddv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3652],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_urhaddv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_urhaddv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3656],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_srhaddv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3661],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_urhaddv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3661],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_srhaddv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3665],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_srhaddv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3669],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_srhaddv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3669],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_urhaddv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3665],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_urhaddv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3669],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_urhaddv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3669],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_srhaddv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3674],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4824 */
  {
    "*aarch64_urhaddv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urhadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3674],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_addhnv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv8hi_insn },
    &operand_data[3678],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_addhnv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv8hi_insn_vec_concatz_le },
    &operand_data[3682],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_addhnv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv8hi_insn_vec_concatz_be },
    &operand_data[3682],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_subhnv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv8hi_insn },
    &operand_data[3678],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_subhnv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv8hi_insn_vec_concatz_le },
    &operand_data[3682],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_subhnv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv8hi_insn_vec_concatz_be },
    &operand_data[3682],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_addhnv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv4si_insn },
    &operand_data[3687],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_addhnv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv4si_insn_vec_concatz_le },
    &operand_data[3691],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_addhnv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv4si_insn_vec_concatz_be },
    &operand_data[3691],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_subhnv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv4si_insn },
    &operand_data[3687],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_subhnv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv4si_insn_vec_concatz_le },
    &operand_data[3691],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_subhnv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv4si_insn_vec_concatz_be },
    &operand_data[3691],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_addhnv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv2di_insn },
    &operand_data[3696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_addhnv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv2di_insn_vec_concatz_le },
    &operand_data[3700],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_addhnv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv2di_insn_vec_concatz_be },
    &operand_data[3700],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_subhnv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv2di_insn },
    &operand_data[3696],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_subhnv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv2di_insn_vec_concatz_le },
    &operand_data[3700],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4843 */
  {
    "aarch64_subhnv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv2di_insn_vec_concatz_be },
    &operand_data[3700],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_raddhnv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv8hi_insn },
    &operand_data[3705],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_raddhnv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv8hi_insn_vec_concatz_le },
    &operand_data[3710],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_raddhnv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv8hi_insn_vec_concatz_be },
    &operand_data[3710],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_rsubhnv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv8hi_insn },
    &operand_data[3705],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_rsubhnv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv8hi_insn_vec_concatz_le },
    &operand_data[3710],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_rsubhnv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.8b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv8hi_insn_vec_concatz_be },
    &operand_data[3710],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_raddhnv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv4si_insn },
    &operand_data[3716],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_raddhnv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv4si_insn_vec_concatz_le },
    &operand_data[3721],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_raddhnv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv4si_insn_vec_concatz_be },
    &operand_data[3721],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_rsubhnv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv4si_insn },
    &operand_data[3716],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_rsubhnv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv4si_insn_vec_concatz_le },
    &operand_data[3721],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_rsubhnv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.4h, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv4si_insn_vec_concatz_be },
    &operand_data[3721],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_raddhnv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv2di_insn },
    &operand_data[3727],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_raddhnv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv2di_insn_vec_concatz_le },
    &operand_data[3732],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_raddhnv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv2di_insn_vec_concatz_be },
    &operand_data[3732],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_rsubhnv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv2di_insn },
    &operand_data[3727],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_rsubhnv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv2di_insn_vec_concatz_le },
    &operand_data[3732],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4855 */
  {
    "aarch64_rsubhnv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn\t%0.2s, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv2di_insn_vec_concatz_be },
    &operand_data[3732],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4902 */
  {
    "aarch64_addhn2v8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v8hi_insn_le },
    &operand_data[3738],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4902 */
  {
    "aarch64_subhn2v8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v8hi_insn_le },
    &operand_data[3738],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4902 */
  {
    "aarch64_addhn2v4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v4si_insn_le },
    &operand_data[3743],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4902 */
  {
    "aarch64_subhn2v4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v4si_insn_le },
    &operand_data[3743],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4902 */
  {
    "aarch64_addhn2v2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v2di_insn_le },
    &operand_data[3748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4902 */
  {
    "aarch64_subhn2v2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v2di_insn_le },
    &operand_data[3748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4916 */
  {
    "aarch64_raddhn2v8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v8hi_insn_le },
    &operand_data[3753],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4916 */
  {
    "aarch64_rsubhn2v8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v8hi_insn_le },
    &operand_data[3753],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4916 */
  {
    "aarch64_raddhn2v4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v4si_insn_le },
    &operand_data[3759],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4916 */
  {
    "aarch64_rsubhn2v4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v4si_insn_le },
    &operand_data[3759],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4916 */
  {
    "aarch64_raddhn2v2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v2di_insn_le },
    &operand_data[3765],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4916 */
  {
    "aarch64_rsubhn2v2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v2di_insn_le },
    &operand_data[3765],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4932 */
  {
    "aarch64_addhn2v8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v8hi_insn_be },
    &operand_data[3738],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4932 */
  {
    "aarch64_subhn2v8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v8hi_insn_be },
    &operand_data[3738],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4932 */
  {
    "aarch64_addhn2v4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v4si_insn_be },
    &operand_data[3743],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4932 */
  {
    "aarch64_subhn2v4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v4si_insn_be },
    &operand_data[3743],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4932 */
  {
    "aarch64_addhn2v2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v2di_insn_be },
    &operand_data[3748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4932 */
  {
    "aarch64_subhn2v2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v2di_insn_be },
    &operand_data[3748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4946 */
  {
    "aarch64_raddhn2v8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v8hi_insn_be },
    &operand_data[3753],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4946 */
  {
    "aarch64_rsubhn2v8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.16b, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v8hi_insn_be },
    &operand_data[3753],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4946 */
  {
    "aarch64_raddhn2v4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v4si_insn_be },
    &operand_data[3759],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4946 */
  {
    "aarch64_rsubhn2v4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.8h, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v4si_insn_be },
    &operand_data[3759],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4946 */
  {
    "aarch64_raddhn2v2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v2di_insn_be },
    &operand_data[3765],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4946 */
  {
    "aarch64_rsubhn2v2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhn2\t%0.4s, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v2di_insn_be },
    &operand_data[3765],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5006 */
  {
    "*bitmask_shift_plusv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3771],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5006 */
  {
    "*bitmask_shift_plusv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3776],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5006 */
  {
    "*bitmask_shift_plusv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3781],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5031 */
  {
    "aarch64_pmulv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmulv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5031 */
  {
    "aarch64_pmulv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmulv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5041 */
  {
    "aarch64_pmullv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull\t%0.8h, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmullv8qi },
    &operand_data[1972],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5051 */
  {
    "aarch64_pmull_hiv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull2\t%0.8h, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmull_hiv16qi_insn },
    &operand_data[1981],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5081 */
  {
    "aarch64_fmulxv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5081 */
  {
    "aarch64_fmulxv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5081 */
  {
    "aarch64_fmulxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5081 */
  {
    "aarch64_fmulxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5081 */
  {
    "aarch64_fmulxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5081 */
  {
    "aarch64_fmulxhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxhf },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5081 */
  {
    "aarch64_fmulxsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxsf },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5081 */
  {
    "aarch64_fmulxdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmulxdf },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5094 */
  {
    "*aarch64_mulx_elt_to_128v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3215 },
#else
    { 0, 0, output_3215 },
#endif
    { 0 },
    &operand_data[3786],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5094 */
  {
    "*aarch64_mulx_elt_to_64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3216 },
#else
    { 0, 0, output_3216 },
#endif
    { 0 },
    &operand_data[1892],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "*aarch64_mulx_eltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3217 },
#else
    { 0, 0, output_3217 },
#endif
    { 0 },
    &operand_data[1888],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "*aarch64_mulx_eltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3218 },
#else
    { 0, 0, output_3218 },
#endif
    { 0 },
    &operand_data[3790],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5113 */
  {
    "*aarch64_mulx_eltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3219 },
#else
    { 0, 0, output_3219 },
#endif
    { 0 },
    &operand_data[3794],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5132 */
  {
    "*aarch64_mulx_elt_from_dupv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5132 */
  {
    "*aarch64_mulx_elt_from_dupv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1947],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5132 */
  {
    "*aarch64_mulx_elt_from_dupv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1950],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5132 */
  {
    "*aarch64_mulx_elt_from_dupv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1953],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5132 */
  {
    "*aarch64_mulx_elt_from_dupv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmulx\t%0.2d, %1.2d, %2.d[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1956],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5148 */
  {
    "*aarch64_vgetfmulxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3225 },
#else
    { 0, 0, output_3225 },
#endif
    { 0 },
    &operand_data[3798],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5148 */
  {
    "*aarch64_vgetfmulxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3226 },
#else
    { 0, 0, output_3226 },
#endif
    { 0 },
    &operand_data[3802],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5148 */
  {
    "*aarch64_vgetfmulxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3227 },
#else
    { 0, 0, output_3227 },
#endif
    { 0 },
    &operand_data[3806],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv8qi3 },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv8qi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv8qi3_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv8qi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv8qi3_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv16qi3 },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv4hi3 },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv4hi3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv4hi3_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv4hi3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv4hi3_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv8hi3 },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv2si3 },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv2si3_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv2si3_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv2si3_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv2si3_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv4si3 },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddv2di3 },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddv2di3 },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubv2di3 },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubv2di3 },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddhi3 },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddhi3 },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubhi3 },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubhi3 },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ssaddqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqadd\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddqi3 },
    &operand_data[3813],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "usaddqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqadd\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddqi3 },
    &operand_data[3813],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "sssubqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqsub\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubqi3 },
    &operand_data[3813],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5165 */
  {
    "ussubqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqsub\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubqi3 },
    &operand_data[3813],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5205 */
  {
    "aarch64_ssaddsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3288 },
#else
    { 0, output_3288, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssaddsi3 },
    &operand_data[3816],
    3,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5205 */
  {
    "aarch64_sssubsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3289 },
#else
    { 0, output_3289, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sssubsi3 },
    &operand_data[3816],
    3,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5205 */
  {
    "aarch64_ssadddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3290 },
#else
    { 0, output_3290, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssadddi3 },
    &operand_data[3820],
    3,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5205 */
  {
    "aarch64_sssubdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3291 },
#else
    { 0, output_3291, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sssubdi3 },
    &operand_data[3820],
    3,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5303 */
  {
    "usaddsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3292 },
#else
    { 0, output_3292, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddsi3 },
    &operand_data[3816],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5303 */
  {
    "ussubsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3293 },
#else
    { 0, output_3293, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubsi3 },
    &operand_data[3816],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5303 */
  {
    "usadddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3294 },
#else
    { 0, output_3294, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadddi3 },
    &operand_data[3820],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5303 */
  {
    "ussubdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3295 },
#else
    { 0, output_3295, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubdi3 },
    &operand_data[3820],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8qi },
    &operand_data[2080],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8qi_vec_concatz_le },
    &operand_data[3824],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8qi_vec_concatz_be },
    &operand_data[3824],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8qi },
    &operand_data[2080],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8qi_vec_concatz_le },
    &operand_data[3824],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8qi_vec_concatz_be },
    &operand_data[3824],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv16qi },
    &operand_data[2089],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv16qi },
    &operand_data[2089],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4hi },
    &operand_data[2093],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4hi_vec_concatz_le },
    &operand_data[3828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4hi_vec_concatz_be },
    &operand_data[3828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4hi },
    &operand_data[2093],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4hi_vec_concatz_le },
    &operand_data[3828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4hi_vec_concatz_be },
    &operand_data[3828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv8hi },
    &operand_data[2102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv8hi },
    &operand_data[2102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2si },
    &operand_data[2106],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2si_vec_concatz_le },
    &operand_data[3832],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2si_vec_concatz_be },
    &operand_data[3832],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2si },
    &operand_data[2106],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2si_vec_concatz_le },
    &operand_data[3832],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2si_vec_concatz_be },
    &operand_data[3832],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv4si },
    &operand_data[2115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv4si },
    &operand_data[2115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddv2di },
    &operand_data[2544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddv2di },
    &operand_data[2544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%b0, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddqi },
    &operand_data[3836],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%b0, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddqi },
    &operand_data[3836],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%h0, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddhi },
    &operand_data[3839],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%h0, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddhi },
    &operand_data[3839],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%s0, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqaddsi },
    &operand_data[3842],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqaddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%s0, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqaddsi },
    &operand_data[3842],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqadddi },
    &operand_data[2604],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqadddi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqadddi_vec_concatz_le },
    &operand_data[3845],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_suqadddi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_suqadddi_vec_concatz_be },
    &operand_data[3845],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqadddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqadddi },
    &operand_data[2604],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqadddi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqadddi_vec_concatz_le },
    &operand_data[3845],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5375 */
  {
    "aarch64_usqadddi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usqadd\t%d0, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usqadddi_vec_concatz_be },
    &operand_data[3845],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5387 */
  {
    "aarch64_sqmovnhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnhi },
    &operand_data[3849],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5387 */
  {
    "aarch64_uqmovnhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnhi },
    &operand_data[3849],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5387 */
  {
    "aarch64_sqmovnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnsi },
    &operand_data[3851],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5387 */
  {
    "aarch64_uqmovnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnsi },
    &operand_data[3851],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5387 */
  {
    "aarch64_sqmovndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovndi },
    &operand_data[3853],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5387 */
  {
    "aarch64_uqmovndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovndi },
    &operand_data[3853],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_sqmovnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv8hi },
    &operand_data[3678],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_sqmovnv8hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv8hi_vec_concatz_le },
    &operand_data[3855],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_sqmovnv8hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv8hi_vec_concatz_be },
    &operand_data[3855],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_uqmovnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv8hi },
    &operand_data[3678],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_uqmovnv8hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv8hi_vec_concatz_le },
    &operand_data[3855],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_uqmovnv8hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv8hi_vec_concatz_be },
    &operand_data[3855],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_sqmovnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv4si },
    &operand_data[3687],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_sqmovnv4si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv4si_vec_concatz_le },
    &operand_data[3858],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_sqmovnv4si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv4si_vec_concatz_be },
    &operand_data[3858],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_uqmovnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv4si },
    &operand_data[3687],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_uqmovnv4si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv4si_vec_concatz_le },
    &operand_data[3858],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_uqmovnv4si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv4si_vec_concatz_be },
    &operand_data[3858],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_sqmovnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv2di },
    &operand_data[3696],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_sqmovnv2di_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv2di_vec_concatz_le },
    &operand_data[3861],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_sqmovnv2di_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovnv2di_vec_concatz_be },
    &operand_data[3861],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_uqmovnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv2di },
    &operand_data[3696],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_uqmovnv2di_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv2di_vec_concatz_le },
    &operand_data[3861],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5396 */
  {
    "aarch64_uqmovnv2di_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqmovnv2di_vec_concatz_be },
    &operand_data[3861],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5405 */
  {
    "aarch64_sqxtn2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v8hi_le },
    &operand_data[2756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5405 */
  {
    "aarch64_uqxtn2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v8hi_le },
    &operand_data[2756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5405 */
  {
    "aarch64_sqxtn2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v4si_le },
    &operand_data[2759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5405 */
  {
    "aarch64_uqxtn2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v4si_le },
    &operand_data[2759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5405 */
  {
    "aarch64_sqxtn2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v2di_le },
    &operand_data[2762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5405 */
  {
    "aarch64_uqxtn2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v2di_le },
    &operand_data[2762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "aarch64_sqxtn2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v8hi_be },
    &operand_data[2756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "aarch64_uqxtn2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v8hi_be },
    &operand_data[2756],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "aarch64_sqxtn2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v4si_be },
    &operand_data[2759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "aarch64_uqxtn2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v4si_be },
    &operand_data[2759],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "aarch64_sqxtn2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v2di_be },
    &operand_data[2762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5416 */
  {
    "aarch64_uqxtn2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtn2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v2di_be },
    &operand_data[2762],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5446 */
  {
    "aarch64_sqmovunhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%b0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunhi },
    &operand_data[3849],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5446 */
  {
    "aarch64_sqmovunsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunsi },
    &operand_data[3851],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5446 */
  {
    "aarch64_sqmovundi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%s0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovundi },
    &operand_data[3853],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5459 */
  {
    "*aarch64_sqmovunv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3864],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5459 */
  {
    "*aarch64_sqmovunv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3868],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5459 */
  {
    "*aarch64_sqmovunv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3868],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5459 */
  {
    "*aarch64_sqmovunv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3873],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5459 */
  {
    "*aarch64_sqmovunv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3877],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5459 */
  {
    "*aarch64_sqmovunv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3877],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5459 */
  {
    "*aarch64_sqmovunv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3882],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5459 */
  {
    "*aarch64_sqmovunv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3886],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5459 */
  {
    "*aarch64_sqmovunv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[3886],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5487 */
  {
    "aarch64_sqxtun2v8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v8hi_le },
    &operand_data[3891],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5487 */
  {
    "aarch64_sqxtun2v4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v4si_le },
    &operand_data[3896],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5487 */
  {
    "aarch64_sqxtun2v2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v2di_le },
    &operand_data[3901],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5502 */
  {
    "aarch64_sqxtun2v8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.16b, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v8hi_be },
    &operand_data[3891],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5502 */
  {
    "aarch64_sqxtun2v4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v4si_be },
    &operand_data[3896],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5502 */
  {
    "aarch64_sqxtun2v2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtun2\t%0.4s, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v2di_be },
    &operand_data[3901],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4hi_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4hi_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4hi_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4hi_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2si_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2si_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2si_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2si_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegv2di },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsv2di },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%b0, %b1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegqi },
    &operand_data[941],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%b0, %b1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsqi },
    &operand_data[941],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqneghi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqneghi },
    &operand_data[3810],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabshi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabshi },
    &operand_data[3810],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegsi },
    &operand_data[938],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabssi },
    &operand_data[938],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegdi },
    &operand_data[935],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegdi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegdi_vec_concatz_le },
    &operand_data[1969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqnegdi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqneg\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqnegdi_vec_concatz_be },
    &operand_data[1969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsdi },
    &operand_data[935],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsdi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsdi_vec_concatz_le },
    &operand_data[1969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5538 */
  {
    "aarch64_sqabsdi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqabs\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqabsdi_vec_concatz_be },
    &operand_data[1969],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqdmulhv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqdmulhv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqdmulhv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqrdmulhv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqrdmulhv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqrdmulhv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqdmulhv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqrdmulhv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqdmulhv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqdmulhv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqdmulhv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqrdmulhv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqrdmulhv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqrdmulhv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqdmulhv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqrdmulhv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqdmulhhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhhi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqrdmulhhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhhi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqdmulhsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulhsi },
    &operand_data[3906],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5549 */
  {
    "aarch64_sqrdmulhsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulhsi },
    &operand_data[3906],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqdmulh_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv4hi },
    &operand_data[1932],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqdmulh_nv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv4hi_vec_concatz_le },
    &operand_data[3909],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqdmulh_nv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv4hi_vec_concatz_be },
    &operand_data[3909],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqrdmulh_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv4hi },
    &operand_data[1932],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqrdmulh_nv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv4hi_vec_concatz_le },
    &operand_data[3909],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqrdmulh_nv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4h, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv4hi_vec_concatz_be },
    &operand_data[3909],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqdmulh_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv8hi },
    &operand_data[1935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqrdmulh_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.8h, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv8hi },
    &operand_data[1935],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqdmulh_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv2si },
    &operand_data[1938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqdmulh_nv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv2si_vec_concatz_le },
    &operand_data[3913],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqdmulh_nv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv2si_vec_concatz_be },
    &operand_data[3913],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqrdmulh_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv2si },
    &operand_data[1938],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqrdmulh_nv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv2si_vec_concatz_le },
    &operand_data[3913],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqrdmulh_nv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.2s, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv2si_vec_concatz_be },
    &operand_data[3913],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqdmulh_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_nv4si },
    &operand_data[1941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5560 */
  {
    "aarch64_sqrdmulh_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.4s, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_nv4si },
    &operand_data[1941],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqdmulh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3462 },
#else
    { 0, 0, output_3462 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4hi },
    &operand_data[1864],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqdmulh_lanev4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3463 },
#else
    { 0, 0, output_3463 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4hi_vec_concatz_le },
    &operand_data[3917],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqdmulh_lanev4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3464 },
#else
    { 0, 0, output_3464 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4hi_vec_concatz_be },
    &operand_data[3917],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqrdmulh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3465 },
#else
    { 0, 0, output_3465 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4hi },
    &operand_data[1864],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqrdmulh_lanev4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3466 },
#else
    { 0, 0, output_3466 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4hi_vec_concatz_le },
    &operand_data[3917],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqrdmulh_lanev4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3467 },
#else
    { 0, 0, output_3467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4hi_vec_concatz_be },
    &operand_data[3917],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqdmulh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3468 },
#else
    { 0, 0, output_3468 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev8hi },
    &operand_data[1868],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqrdmulh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3469 },
#else
    { 0, 0, output_3469 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev8hi },
    &operand_data[1868],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqdmulh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3470 },
#else
    { 0, 0, output_3470 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev2si },
    &operand_data[1872],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqdmulh_lanev2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3471 },
#else
    { 0, 0, output_3471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev2si_vec_concatz_le },
    &operand_data[3922],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqdmulh_lanev2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3472 },
#else
    { 0, 0, output_3472 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev2si_vec_concatz_be },
    &operand_data[3922],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqrdmulh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3473 },
#else
    { 0, 0, output_3473 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev2si },
    &operand_data[1872],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqrdmulh_lanev2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3474 },
#else
    { 0, 0, output_3474 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev2si_vec_concatz_le },
    &operand_data[3922],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqrdmulh_lanev2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3475 },
#else
    { 0, 0, output_3475 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev2si_vec_concatz_be },
    &operand_data[3922],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqdmulh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3476 },
#else
    { 0, 0, output_3476 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanev4si },
    &operand_data[1876],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5574 */
  {
    "aarch64_sqrdmulh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3477 },
#else
    { 0, 0, output_3477 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanev4si },
    &operand_data[1876],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqdmulh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3478 },
#else
    { 0, 0, output_3478 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4hi },
    &operand_data[3927],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqdmulh_laneqv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3479 },
#else
    { 0, 0, output_3479 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4hi_vec_concatz_le },
    &operand_data[3931],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqdmulh_laneqv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3480 },
#else
    { 0, 0, output_3480 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4hi_vec_concatz_be },
    &operand_data[3931],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqrdmulh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3481 },
#else
    { 0, 0, output_3481 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4hi },
    &operand_data[3927],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqrdmulh_laneqv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3482 },
#else
    { 0, 0, output_3482 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4hi_vec_concatz_le },
    &operand_data[3931],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqrdmulh_laneqv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3483 },
#else
    { 0, 0, output_3483 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4hi_vec_concatz_be },
    &operand_data[3931],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqdmulh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3484 },
#else
    { 0, 0, output_3484 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv8hi },
    &operand_data[3936],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqrdmulh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3485 },
#else
    { 0, 0, output_3485 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv8hi },
    &operand_data[3936],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqdmulh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3486 },
#else
    { 0, 0, output_3486 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv2si },
    &operand_data[3940],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqdmulh_laneqv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3487 },
#else
    { 0, 0, output_3487 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv2si_vec_concatz_le },
    &operand_data[3944],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqdmulh_laneqv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3488 },
#else
    { 0, 0, output_3488 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv2si_vec_concatz_be },
    &operand_data[3944],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqrdmulh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3489 },
#else
    { 0, 0, output_3489 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv2si },
    &operand_data[3940],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqrdmulh_laneqv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3490 },
#else
    { 0, 0, output_3490 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv2si_vec_concatz_le },
    &operand_data[3944],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqrdmulh_laneqv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3491 },
#else
    { 0, 0, output_3491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv2si_vec_concatz_be },
    &operand_data[3944],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqdmulh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3492 },
#else
    { 0, 0, output_3492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqv4si },
    &operand_data[3949],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5589 */
  {
    "aarch64_sqrdmulh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3493 },
#else
    { 0, 0, output_3493 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqv4si },
    &operand_data[3949],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5604 */
  {
    "aarch64_sqdmulh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3494 },
#else
    { 0, 0, output_3494 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanehi },
    &operand_data[3953],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5604 */
  {
    "aarch64_sqrdmulh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3495 },
#else
    { 0, 0, output_3495 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanehi },
    &operand_data[3953],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5604 */
  {
    "aarch64_sqdmulh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3496 },
#else
    { 0, 0, output_3496 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_lanesi },
    &operand_data[3957],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5604 */
  {
    "aarch64_sqrdmulh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3497 },
#else
    { 0, 0, output_3497 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_lanesi },
    &operand_data[3957],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5619 */
  {
    "aarch64_sqdmulh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3498 },
#else
    { 0, 0, output_3498 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqhi },
    &operand_data[3961],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5619 */
  {
    "aarch64_sqrdmulh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3499 },
#else
    { 0, 0, output_3499 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqhi },
    &operand_data[3961],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5619 */
  {
    "aarch64_sqdmulh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3500 },
#else
    { 0, 0, output_3500 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmulh_laneqsi },
    &operand_data[3965],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5619 */
  {
    "aarch64_sqrdmulh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3501 },
#else
    { 0, 0, output_3501 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmulh_laneqsi },
    &operand_data[3965],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlahv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4hi },
    &operand_data[2093],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlahv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4hi_vec_concatz_le },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlahv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4hi_vec_concatz_be },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlshv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4hi },
    &operand_data[2093],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlshv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4hi_vec_concatz_le },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlshv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4h, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4hi_vec_concatz_be },
    &operand_data[2097],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlahv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv8hi },
    &operand_data[2102],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlshv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.8h, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv8hi },
    &operand_data[2102],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlahv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv2si },
    &operand_data[2106],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlahv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv2si_vec_concatz_le },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlahv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv2si_vec_concatz_be },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlshv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv2si },
    &operand_data[2106],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlshv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv2si_vec_concatz_le },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlshv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.2s, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv2si_vec_concatz_be },
    &operand_data[2110],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlahv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlshv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlahhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%h0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahhi },
    &operand_data[3969],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlshhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%h0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshhi },
    &operand_data[3969],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlahsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlah\t%s0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlahsi },
    &operand_data[3973],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5636 */
  {
    "aarch64_sqrdmlshsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmlsh\t%s0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlshsi },
    &operand_data[3973],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlah_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3522 },
#else
    { 0, 0, output_3522 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4hi },
    &operand_data[3977],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlah_lanev4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3523 },
#else
    { 0, 0, output_3523 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4hi_vec_concatz_le },
    &operand_data[3982],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlah_lanev4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3524 },
#else
    { 0, 0, output_3524 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4hi_vec_concatz_be },
    &operand_data[3982],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlsh_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3525 },
#else
    { 0, 0, output_3525 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4hi },
    &operand_data[3977],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlsh_lanev4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3526 },
#else
    { 0, 0, output_3526 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4hi_vec_concatz_le },
    &operand_data[3982],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlsh_lanev4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3527 },
#else
    { 0, 0, output_3527 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4hi_vec_concatz_be },
    &operand_data[3982],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlah_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3528 },
#else
    { 0, 0, output_3528 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev8hi },
    &operand_data[3988],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlsh_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3529 },
#else
    { 0, 0, output_3529 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev8hi },
    &operand_data[3988],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlah_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3530 },
#else
    { 0, 0, output_3530 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev2si },
    &operand_data[3993],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlah_lanev2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3531 },
#else
    { 0, 0, output_3531 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev2si_vec_concatz_le },
    &operand_data[3998],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlah_lanev2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3532 },
#else
    { 0, 0, output_3532 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev2si_vec_concatz_be },
    &operand_data[3998],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlsh_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3533 },
#else
    { 0, 0, output_3533 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev2si },
    &operand_data[3993],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlsh_lanev2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3534 },
#else
    { 0, 0, output_3534 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev2si_vec_concatz_le },
    &operand_data[3998],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlsh_lanev2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3535 },
#else
    { 0, 0, output_3535 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev2si_vec_concatz_be },
    &operand_data[3998],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlah_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3536 },
#else
    { 0, 0, output_3536 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanev4si },
    &operand_data[4004],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5650 */
  {
    "aarch64_sqrdmlsh_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3537 },
#else
    { 0, 0, output_3537 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanev4si },
    &operand_data[4004],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_sqrdmlah_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3538 },
#else
    { 0, 0, output_3538 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanehi },
    &operand_data[4009],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_sqrdmlsh_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3539 },
#else
    { 0, 0, output_3539 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanehi },
    &operand_data[4009],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_sqrdmlah_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3540 },
#else
    { 0, 0, output_3540 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_lanesi },
    &operand_data[4014],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5668 */
  {
    "aarch64_sqrdmlsh_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3541 },
#else
    { 0, 0, output_3541 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_lanesi },
    &operand_data[4014],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlah_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3542 },
#else
    { 0, 0, output_3542 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4hi },
    &operand_data[4019],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlah_laneqv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3543 },
#else
    { 0, 0, output_3543 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4hi_vec_concatz_le },
    &operand_data[4024],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlah_laneqv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3544 },
#else
    { 0, 0, output_3544 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4hi_vec_concatz_be },
    &operand_data[4024],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlsh_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3545 },
#else
    { 0, 0, output_3545 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4hi },
    &operand_data[4019],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlsh_laneqv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3546 },
#else
    { 0, 0, output_3546 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4hi_vec_concatz_le },
    &operand_data[4024],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlsh_laneqv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3547 },
#else
    { 0, 0, output_3547 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4hi_vec_concatz_be },
    &operand_data[4024],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlah_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3548 },
#else
    { 0, 0, output_3548 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv8hi },
    &operand_data[4030],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlsh_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3549 },
#else
    { 0, 0, output_3549 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv8hi },
    &operand_data[4030],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlah_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3550 },
#else
    { 0, 0, output_3550 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv2si },
    &operand_data[4035],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlah_laneqv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3551 },
#else
    { 0, 0, output_3551 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv2si_vec_concatz_le },
    &operand_data[4040],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlah_laneqv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3552 },
#else
    { 0, 0, output_3552 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv2si_vec_concatz_be },
    &operand_data[4040],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlsh_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3553 },
#else
    { 0, 0, output_3553 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv2si },
    &operand_data[4035],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlsh_laneqv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3554 },
#else
    { 0, 0, output_3554 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv2si_vec_concatz_le },
    &operand_data[4040],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlsh_laneqv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3555 },
#else
    { 0, 0, output_3555 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv2si_vec_concatz_be },
    &operand_data[4040],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlah_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3556 },
#else
    { 0, 0, output_3556 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqv4si },
    &operand_data[4046],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5688 */
  {
    "aarch64_sqrdmlsh_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3557 },
#else
    { 0, 0, output_3557 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqv4si },
    &operand_data[4046],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5706 */
  {
    "aarch64_sqrdmlah_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3558 },
#else
    { 0, 0, output_3558 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqhi },
    &operand_data[4051],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5706 */
  {
    "aarch64_sqrdmlsh_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3559 },
#else
    { 0, 0, output_3559 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqhi },
    &operand_data[4051],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5706 */
  {
    "aarch64_sqrdmlah_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3560 },
#else
    { 0, 0, output_3560 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlah_laneqsi },
    &operand_data[4056],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5706 */
  {
    "aarch64_sqrdmlsh_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3561 },
#else
    { 0, 0, output_3561 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdmlsh_laneqsi },
    &operand_data[4056],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5726 */
  {
    "aarch64_sqdmlalv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalv4hi },
    &operand_data[2009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5726 */
  {
    "aarch64_sqdmlalv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalv2si },
    &operand_data[2013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5726 */
  {
    "aarch64_sqdmlalhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%s0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalhi },
    &operand_data[4061],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5726 */
  {
    "aarch64_sqdmlalsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%d0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlalsi },
    &operand_data[4065],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5742 */
  {
    "aarch64_sqdmlslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslv4hi },
    &operand_data[2009],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5742 */
  {
    "aarch64_sqdmlslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.2d, %2.2s, %3.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslv2si },
    &operand_data[2013],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5742 */
  {
    "aarch64_sqdmlslhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%s0, %h2, %h3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslhi },
    &operand_data[4061],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5742 */
  {
    "aarch64_sqdmlslsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%d0, %s2, %s3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlslsi },
    &operand_data[4065],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_sqdmlal_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3570 },
#else
    { 0, 0, output_3570 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanev4hi },
    &operand_data[2902],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5760 */
  {
    "aarch64_sqdmlal_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3571 },
#else
    { 0, 0, output_3571 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanev2si },
    &operand_data[2912],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5784 */
  {
    "aarch64_sqdmlsl_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3572 },
#else
    { 0, 0, output_3572 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanev4hi },
    &operand_data[2902],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5784 */
  {
    "aarch64_sqdmlsl_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3573 },
#else
    { 0, 0, output_3573 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanev2si },
    &operand_data[2912],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5809 */
  {
    "aarch64_sqdmlsl_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3574 },
#else
    { 0, 0, output_3574 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqv4hi },
    &operand_data[2907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5809 */
  {
    "aarch64_sqdmlsl_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3575 },
#else
    { 0, 0, output_3575 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqv2si },
    &operand_data[2917],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5833 */
  {
    "aarch64_sqdmlal_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3576 },
#else
    { 0, 0, output_3576 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqv4hi },
    &operand_data[2907],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5833 */
  {
    "aarch64_sqdmlal_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3577 },
#else
    { 0, 0, output_3577 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqv2si },
    &operand_data[2917],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5858 */
  {
    "aarch64_sqdmlal_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3578 },
#else
    { 0, 0, output_3578 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanehi },
    &operand_data[4069],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5858 */
  {
    "aarch64_sqdmlal_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3579 },
#else
    { 0, 0, output_3579 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_lanesi },
    &operand_data[4074],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5881 */
  {
    "aarch64_sqdmlsl_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3580 },
#else
    { 0, 0, output_3580 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanehi },
    &operand_data[4069],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5881 */
  {
    "aarch64_sqdmlsl_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3581 },
#else
    { 0, 0, output_3581 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_lanesi },
    &operand_data[4074],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5905 */
  {
    "aarch64_sqdmlal_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3582 },
#else
    { 0, 0, output_3582 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqhi },
    &operand_data[4079],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5905 */
  {
    "aarch64_sqdmlal_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3583 },
#else
    { 0, 0, output_3583 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_laneqsi },
    &operand_data[4084],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5928 */
  {
    "aarch64_sqdmlsl_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3584 },
#else
    { 0, 0, output_3584 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqhi },
    &operand_data[4079],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5928 */
  {
    "aarch64_sqdmlsl_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3585 },
#else
    { 0, 0, output_3585 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_laneqsi },
    &operand_data[4084],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5953 */
  {
    "aarch64_sqdmlsl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_nv4hi },
    &operand_data[2844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5953 */
  {
    "aarch64_sqdmlsl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl_nv2si },
    &operand_data[2848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5970 */
  {
    "aarch64_sqdmlal_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.4s, %2.4h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_nv4hi },
    &operand_data[2844],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5970 */
  {
    "aarch64_sqdmlal_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal\t%0.2d, %2.2s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal_nv2si },
    &operand_data[2848],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5990 */
  {
    "aarch64_sqdmlal2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v8hi_internal },
    &operand_data[2022],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5990 */
  {
    "aarch64_sqdmlal2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v4si_internal },
    &operand_data[2027],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6010 */
  {
    "aarch64_sqdmlsl2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v8hi_internal },
    &operand_data[2022],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6010 */
  {
    "aarch64_sqdmlsl2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.2d, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v4si_internal },
    &operand_data[2027],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6048 */
  {
    "aarch64_sqdmlsl2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3594 },
#else
    { 0, 0, output_3594 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev8hi_internal },
    &operand_data[4089],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6048 */
  {
    "aarch64_sqdmlsl2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3595 },
#else
    { 0, 0, output_3595 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev4si_internal },
    &operand_data[4095],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6074 */
  {
    "aarch64_sqdmlal2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3596 },
#else
    { 0, 0, output_3596 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev8hi_internal },
    &operand_data[4089],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6074 */
  {
    "aarch64_sqdmlal2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3597 },
#else
    { 0, 0, output_3597 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev4si_internal },
    &operand_data[4095],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6100 */
  {
    "aarch64_sqdmlsl2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3598 },
#else
    { 0, 0, output_3598 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv8hi_internal },
    &operand_data[4101],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6100 */
  {
    "aarch64_sqdmlsl2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3599 },
#else
    { 0, 0, output_3599 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv4si_internal },
    &operand_data[4107],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6126 */
  {
    "aarch64_sqdmlal2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3600 },
#else
    { 0, 0, output_3600 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv8hi_internal },
    &operand_data[4101],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6126 */
  {
    "aarch64_sqdmlal2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3601 },
#else
    { 0, 0, output_3601 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv4si_internal },
    &operand_data[4107],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6186 */
  {
    "aarch64_sqdmlsl2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.4s, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv8hi_internal },
    &operand_data[4113],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6186 */
  {
    "aarch64_sqdmlsl2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlsl2\t%0.2d, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv4si_internal },
    &operand_data[4118],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6205 */
  {
    "aarch64_sqdmlal2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.4s, %2.8h, %3.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv8hi_internal },
    &operand_data[4113],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6205 */
  {
    "aarch64_sqdmlal2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmlal2\t%0.2d, %2.4s, %3.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv4si_internal },
    &operand_data[4118],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_sqdmullv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.4s, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullv4hi },
    &operand_data[1975],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_sqdmullv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.2d, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullv2si },
    &operand_data[1978],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_sqdmullhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%s0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullhi },
    &operand_data[4123],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6242 */
  {
    "aarch64_sqdmullsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%d0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmullsi },
    &operand_data[4126],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6258 */
  {
    "aarch64_sqdmull_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3610 },
#else
    { 0, 0, output_3610 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanev4hi },
    &operand_data[2852],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6258 */
  {
    "aarch64_sqdmull_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3611 },
#else
    { 0, 0, output_3611 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanev2si },
    &operand_data[2860],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6279 */
  {
    "aarch64_sqdmull_laneqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3612 },
#else
    { 0, 0, output_3612 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqv4hi },
    &operand_data[2856],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6279 */
  {
    "aarch64_sqdmull_laneqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3613 },
#else
    { 0, 0, output_3613 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqv2si },
    &operand_data[2864],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6300 */
  {
    "aarch64_sqdmull_lanehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3614 },
#else
    { 0, 0, output_3614 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanehi },
    &operand_data[4129],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6300 */
  {
    "aarch64_sqdmull_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3615 },
#else
    { 0, 0, output_3615 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_lanesi },
    &operand_data[4133],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6320 */
  {
    "aarch64_sqdmull_laneqhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3616 },
#else
    { 0, 0, output_3616 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqhi },
    &operand_data[4137],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6320 */
  {
    "aarch64_sqdmull_laneqsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3617 },
#else
    { 0, 0, output_3617 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_laneqsi },
    &operand_data[4141],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6342 */
  {
    "aarch64_sqdmull_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.4s, %1.4h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_nv4hi },
    &operand_data[2888],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6342 */
  {
    "aarch64_sqdmull_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull\t%0.2d, %1.2s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull_nv2si },
    &operand_data[2891],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6360 */
  {
    "aarch64_sqdmull2v8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.4s, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v8hi_internal },
    &operand_data[1985],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6360 */
  {
    "aarch64_sqdmull2v4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.2d, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v4si_internal },
    &operand_data[1989],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6393 */
  {
    "aarch64_sqdmull2_lanev8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3622 },
#else
    { 0, 0, output_3622 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev8hi_internal },
    &operand_data[4145],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6393 */
  {
    "aarch64_sqdmull2_lanev4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3623 },
#else
    { 0, 0, output_3623 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev4si_internal },
    &operand_data[4150],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6416 */
  {
    "aarch64_sqdmull2_laneqv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3624 },
#else
    { 0, 0, output_3624 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv8hi_internal },
    &operand_data[4155],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6416 */
  {
    "aarch64_sqdmull2_laneqv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_3625 },
#else
    { 0, 0, output_3625 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv4si_internal },
    &operand_data[4160],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6469 */
  {
    "aarch64_sqdmull2_nv8hi_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.4s, %1.8h, %2.h[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv8hi_internal },
    &operand_data[2894],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6469 */
  {
    "aarch64_sqdmull2_nv4si_internal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmull2\t%0.2d, %1.4s, %2.s[0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv4si_internal },
    &operand_data[2898],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshldi },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshldi_vec_concatz_le },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_sshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshldi_vec_concatz_be },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushldi },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushldi_vec_concatz_le },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_ushldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushldi_vec_concatz_be },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshldi },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshldi_vec_concatz_le },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_srshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshldi_vec_concatz_be },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshldi },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshldi_vec_concatz_le },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6501 */
  {
    "aarch64_urshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshldi_vec_concatz_be },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlqi },
    &operand_data[3813],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlqi },
    &operand_data[3813],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlqi },
    &operand_data[3813],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%b0, %b1, %b2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlqi },
    &operand_data[3813],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlhi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlhi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlhi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlhi },
    &operand_data[3810],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlsi },
    &operand_data[3906],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshlsi },
    &operand_data[3906],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshlsi },
    &operand_data[3906],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshlsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshlsi },
    &operand_data[3906],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshldi },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshldi_vec_concatz_le },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshldi_vec_concatz_be },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshldi },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshldi_vec_concatz_le },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshldi_vec_concatz_be },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshldi },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshldi_vec_concatz_le },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_sqrshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshldi_vec_concatz_be },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshldi },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshldi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshldi_vec_concatz_le },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6515 */
  {
    "aarch64_uqrshldi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshl\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshldi_vec_concatz_be },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6528 */
  {
    "aarch64_sshllv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3768 },
#else
    { 0, output_3768, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshllv8qi },
    &operand_data[4172],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6528 */
  {
    "aarch64_ushllv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3769 },
#else
    { 0, output_3769, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushllv8qi },
    &operand_data[4172],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6528 */
  {
    "aarch64_sshllv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3770 },
#else
    { 0, output_3770, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshllv4hi },
    &operand_data[4175],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6528 */
  {
    "aarch64_ushllv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3771 },
#else
    { 0, output_3771, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushllv4hi },
    &operand_data[4175],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6528 */
  {
    "aarch64_sshllv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3772 },
#else
    { 0, output_3772, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshllv2si },
    &operand_data[4178],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6528 */
  {
    "aarch64_ushllv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3773 },
#else
    { 0, output_3773, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushllv2si },
    &operand_data[4178],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6558 */
  {
    "aarch64_sshll2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3774 },
#else
    { 0, output_3774, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2v16qi },
    &operand_data[4181],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6558 */
  {
    "aarch64_ushll2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3775 },
#else
    { 0, output_3775, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2v16qi },
    &operand_data[4181],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6558 */
  {
    "aarch64_sshll2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3776 },
#else
    { 0, output_3776, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2v8hi },
    &operand_data[4185],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6558 */
  {
    "aarch64_ushll2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3777 },
#else
    { 0, output_3777, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2v8hi },
    &operand_data[4185],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6558 */
  {
    "aarch64_sshll2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3778 },
#else
    { 0, output_3778, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2v4si },
    &operand_data[4189],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6558 */
  {
    "aarch64_ushll2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_3779 },
#else
    { 0, output_3779, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2v4si },
    &operand_data[4189],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8qi_insn },
    &operand_data[4193],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8qi_vec_concatz_le_insn },
    &operand_data[4197],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8qi_vec_concatz_be_insn },
    &operand_data[4197],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8qi_insn },
    &operand_data[4193],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8qi_vec_concatz_le_insn },
    &operand_data[4197],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8qi_vec_concatz_be_insn },
    &operand_data[4197],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv16qi_insn },
    &operand_data[4202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv16qi_insn },
    &operand_data[4202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4hi_insn },
    &operand_data[4206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4hi_vec_concatz_le_insn },
    &operand_data[4210],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4hi_vec_concatz_be_insn },
    &operand_data[4210],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4hi_insn },
    &operand_data[4206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4hi_vec_concatz_le_insn },
    &operand_data[4210],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4hi_vec_concatz_be_insn },
    &operand_data[4210],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8hi_insn },
    &operand_data[4215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8hi_insn },
    &operand_data[4215],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2si_insn },
    &operand_data[4219],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2si_vec_concatz_le_insn },
    &operand_data[4223],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2si_vec_concatz_be_insn },
    &operand_data[4223],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2si_insn },
    &operand_data[4219],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2si_vec_concatz_le_insn },
    &operand_data[4223],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2si_vec_concatz_be_insn },
    &operand_data[4223],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4si_insn },
    &operand_data[4228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4si_insn },
    &operand_data[4228],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2di_insn },
    &operand_data[4232],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2di_insn },
    &operand_data[4232],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_ndi_insn },
    &operand_data[4236],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_ndi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_ndi_vec_concatz_le_insn },
    &operand_data[4240],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_srshr_ndi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_ndi_vec_concatz_be_insn },
    &operand_data[4240],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_ndi_insn },
    &operand_data[4236],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_ndi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_ndi_vec_concatz_le_insn },
    &operand_data[4240],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6591 */
  {
    "aarch64_urshr_ndi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshr\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_ndi_vec_concatz_be_insn },
    &operand_data[4240],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6634 */
  {
    "aarch64_ssra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_ndi },
    &operand_data[4245],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6634 */
  {
    "aarch64_usra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usra\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_ndi },
    &operand_data[4245],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssli_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv8qi },
    &operand_data[4249],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usli_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv8qi },
    &operand_data[4249],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssri_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv8qi },
    &operand_data[4253],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usri_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8b, %2.8b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv8qi },
    &operand_data[4253],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssli_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv16qi },
    &operand_data[4257],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usli_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv16qi },
    &operand_data[4257],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssri_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv16qi },
    &operand_data[4261],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usri_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.16b, %2.16b, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv16qi },
    &operand_data[4261],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssli_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv4hi },
    &operand_data[4265],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usli_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv4hi },
    &operand_data[4265],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssri_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv4hi },
    &operand_data[4269],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usri_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4h, %2.4h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv4hi },
    &operand_data[4269],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssli_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv8hi },
    &operand_data[4273],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usli_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv8hi },
    &operand_data[4273],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssri_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv8hi },
    &operand_data[4277],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usri_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.8h, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv8hi },
    &operand_data[4277],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssli_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv2si },
    &operand_data[4281],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usli_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv2si },
    &operand_data[4281],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssri_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv2si },
    &operand_data[4285],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usri_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2s, %2.2s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv2si },
    &operand_data[4285],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssli_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv4si },
    &operand_data[4289],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usli_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv4si },
    &operand_data[4289],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssri_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv4si },
    &operand_data[4293],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usri_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.4s, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv4si },
    &operand_data[4293],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssli_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_nv2di },
    &operand_data[4297],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usli_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_nv2di },
    &operand_data[4297],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssri_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_nv2di },
    &operand_data[4301],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usri_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.2d, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_nv2di },
    &operand_data[4301],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssli_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssli_ndi },
    &operand_data[4305],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usli_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usli_ndi },
    &operand_data[4305],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_ssri_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssri_ndi },
    &operand_data[4245],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6648 */
  {
    "aarch64_usri_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%d0, %d2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usri_ndi },
    &operand_data[4245],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshlu_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv8qi },
    &operand_data[4309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshl_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv8qi },
    &operand_data[4309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_uqshl_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8b, %1.8b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv8qi },
    &operand_data[4309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshlu_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv16qi },
    &operand_data[4312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshl_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv16qi },
    &operand_data[4312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_uqshl_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.16b, %1.16b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv16qi },
    &operand_data[4312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshlu_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv4hi },
    &operand_data[4315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv4hi },
    &operand_data[4315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_uqshl_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4h, %1.4h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv4hi },
    &operand_data[4315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshlu_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv8hi },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshl_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv8hi },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_uqshl_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.8h, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv8hi },
    &operand_data[4318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshlu_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv2si },
    &operand_data[4321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv2si },
    &operand_data[4321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_uqshl_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2s, %1.2s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv2si },
    &operand_data[4321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshlu_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv4si },
    &operand_data[4324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshl_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv4si },
    &operand_data[4324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_uqshl_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.4s, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv4si },
    &operand_data[4324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshlu_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nv2di },
    &operand_data[4327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshl_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nv2di },
    &operand_data[4327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_uqshl_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%0.2d, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nv2di },
    &operand_data[4327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshlu_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nqi },
    &operand_data[4330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshl_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nqi },
    &operand_data[4330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_uqshl_nqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%b0, %b1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nqi },
    &operand_data[4330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshlu_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nhi },
    &operand_data[4333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshl_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nhi },
    &operand_data[4333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_uqshl_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%h0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nhi },
    &operand_data[4333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshlu_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_nsi },
    &operand_data[4336],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshl_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_nsi },
    &operand_data[4336],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_uqshl_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%s0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_nsi },
    &operand_data[4336],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshlu_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshlu\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshlu_ndi },
    &operand_data[4339],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_sqshl_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshl\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshl_ndi },
    &operand_data[4339],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6662 */
  {
    "aarch64_uqshl_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshl\t%d0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshl_ndi },
    &operand_data[4339],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6676 */
  {
    "aarch64_sqshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nhi },
    &operand_data[4342],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6676 */
  {
    "aarch64_uqshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nhi },
    &operand_data[4342],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6676 */
  {
    "aarch64_sqshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nsi },
    &operand_data[4345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6676 */
  {
    "aarch64_uqshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nsi },
    &operand_data[4345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6676 */
  {
    "aarch64_sqshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_ndi },
    &operand_data[4348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6676 */
  {
    "aarch64_uqshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_ndi },
    &operand_data[4348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqsshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqsshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4354],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqsshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4354],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4354],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4354],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqsshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqsshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4354],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqsshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4354],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4354],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4354],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4354],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4354],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_shrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_shrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4354],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_shrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4354],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqsshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqsshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqsshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqsshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqsshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqsshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_shrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4358],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_shrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_shrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqsshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4365],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqsshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqsshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4365],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sqshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqsshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4365],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqsshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqsshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4365],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_uqshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4365],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_sshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_shrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4365],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_shrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6687 */
  {
    "*aarch64_shrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_sqrshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_sqrshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4376],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_sqrshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4376],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_uqrshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_uqrshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4376],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_uqrshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4376],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_rshrn_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_rshrn_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4376],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_rshrn_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4376],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_sqrshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4381],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_sqrshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4385],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_sqrshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4385],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_uqrshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4381],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_uqrshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4385],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_uqrshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4385],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_rshrn_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4381],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_rshrn_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4385],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_rshrn_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4385],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_sqrshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4390],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_sqrshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4394],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_sqrshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4394],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_uqrshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4390],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_uqrshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4394],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_uqrshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4394],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_rshrn_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4390],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_rshrn_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4394],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6711 */
  {
    "*aarch64_rshrn_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4394],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6726 */
  {
    "*aarch64_sqrshrn_nhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4399],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6726 */
  {
    "*aarch64_uqrshrn_nhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4399],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6726 */
  {
    "*aarch64_sqrshrn_nsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4403],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6726 */
  {
    "*aarch64_uqrshrn_nsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4403],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6726 */
  {
    "*aarch64_sqrshrn_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6726 */
  {
    "*aarch64_uqrshrn_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4407],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6790 */
  {
    "*aarch64_sqshrun_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4411],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6790 */
  {
    "*aarch64_sqshrun_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4416],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6790 */
  {
    "*aarch64_sqshrun_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4416],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6790 */
  {
    "*aarch64_sqshrun_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4422],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6790 */
  {
    "*aarch64_sqshrun_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4427],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6790 */
  {
    "*aarch64_sqshrun_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4427],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6790 */
  {
    "*aarch64_sqshrun_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4433],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6790 */
  {
    "*aarch64_sqshrun_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4438],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6790 */
  {
    "*aarch64_sqshrun_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4438],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6805 */
  {
    "aarch64_sqshrun_nhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nhi_insn },
    &operand_data[4444],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6805 */
  {
    "aarch64_sqshrun_nsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nsi_insn },
    &operand_data[4447],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6805 */
  {
    "aarch64_sqshrun_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_ndi_insn },
    &operand_data[4450],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6854 */
  {
    "*aarch64_sqrshrun_nv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4453],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6854 */
  {
    "*aarch64_sqrshrun_nv8hi_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4459],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6854 */
  {
    "*aarch64_sqrshrun_nv8hi_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.8b, %1.8h, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4459],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6854 */
  {
    "*aarch64_sqrshrun_nv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4466],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6854 */
  {
    "*aarch64_sqrshrun_nv4si_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4472],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6854 */
  {
    "*aarch64_sqrshrun_nv4si_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.4h, %1.4s, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4472],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6854 */
  {
    "*aarch64_sqrshrun_nv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4479],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6854 */
  {
    "*aarch64_sqrshrun_nv2di_insn_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4485],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6854 */
  {
    "*aarch64_sqrshrun_nv2di_insn_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.2s, %1.2d, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4485],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6873 */
  {
    "aarch64_sqrshrun_nhi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%b0, %h1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nhi_insn },
    &operand_data[4492],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6873 */
  {
    "aarch64_sqrshrun_nsi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%h0, %s1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nsi_insn },
    &operand_data[4496],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6873 */
  {
    "aarch64_sqrshrun_ndi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%s0, %d1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_ndi_insn },
    &operand_data[4500],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_sqsshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv8hi_insn_le },
    &operand_data[4504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_squshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv8hi_insn_le },
    &operand_data[4504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_uqsshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv8hi_insn_le },
    &operand_data[4504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_uqushrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv8hi_insn_le },
    &operand_data[4504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_sshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv8hi_insn_le },
    &operand_data[4504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_ushrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv8hi_insn_le },
    &operand_data[4504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_sqsshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv4si_insn_le },
    &operand_data[4508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_squshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv4si_insn_le },
    &operand_data[4508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_uqsshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv4si_insn_le },
    &operand_data[4508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_uqushrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv4si_insn_le },
    &operand_data[4508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_sshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv4si_insn_le },
    &operand_data[4508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_ushrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv4si_insn_le },
    &operand_data[4508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_sqsshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv2di_insn_le },
    &operand_data[4512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_squshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv2di_insn_le },
    &operand_data[4512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_uqsshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv2di_insn_le },
    &operand_data[4512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_uqushrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv2di_insn_le },
    &operand_data[4512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_sshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv2di_insn_le },
    &operand_data[4512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6934 */
  {
    "aarch64_ushrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv2di_insn_le },
    &operand_data[4512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_sqsshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv8hi_insn_be },
    &operand_data[4504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_squshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv8hi_insn_be },
    &operand_data[4504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_uqsshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv8hi_insn_be },
    &operand_data[4504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_uqushrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv8hi_insn_be },
    &operand_data[4504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_sshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv8hi_insn_be },
    &operand_data[4504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_ushrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv8hi_insn_be },
    &operand_data[4504],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_sqsshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv4si_insn_be },
    &operand_data[4508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_squshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv4si_insn_be },
    &operand_data[4508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_uqsshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv4si_insn_be },
    &operand_data[4508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_uqushrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv4si_insn_be },
    &operand_data[4508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_sshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv4si_insn_be },
    &operand_data[4508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_ushrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv4si_insn_be },
    &operand_data[4508],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_sqsshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv2di_insn_be },
    &operand_data[4512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_squshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv2di_insn_be },
    &operand_data[4512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_uqsshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv2di_insn_be },
    &operand_data[4512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_uqushrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv2di_insn_be },
    &operand_data[4512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_sshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv2di_insn_be },
    &operand_data[4512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6948 */
  {
    "aarch64_ushrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv2di_insn_be },
    &operand_data[4512],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6983 */
  {
    "aarch64_sqrshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv8hi_insn_le },
    &operand_data[4516],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6983 */
  {
    "aarch64_uqrshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv8hi_insn_le },
    &operand_data[4516],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6983 */
  {
    "aarch64_rshrn2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv8hi_insn_le },
    &operand_data[4516],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6983 */
  {
    "aarch64_sqrshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv4si_insn_le },
    &operand_data[4521],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6983 */
  {
    "aarch64_uqrshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv4si_insn_le },
    &operand_data[4521],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6983 */
  {
    "aarch64_rshrn2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv4si_insn_le },
    &operand_data[4521],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6983 */
  {
    "aarch64_sqrshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv2di_insn_le },
    &operand_data[4526],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6983 */
  {
    "aarch64_uqrshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv2di_insn_le },
    &operand_data[4526],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6983 */
  {
    "aarch64_rshrn2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv2di_insn_le },
    &operand_data[4526],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7000 */
  {
    "aarch64_sqrshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv8hi_insn_be },
    &operand_data[4516],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7000 */
  {
    "aarch64_uqrshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv8hi_insn_be },
    &operand_data[4516],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7000 */
  {
    "aarch64_rshrn2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv8hi_insn_be },
    &operand_data[4516],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7000 */
  {
    "aarch64_sqrshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv4si_insn_be },
    &operand_data[4521],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7000 */
  {
    "aarch64_uqrshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv4si_insn_be },
    &operand_data[4521],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7000 */
  {
    "aarch64_rshrn2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv4si_insn_be },
    &operand_data[4521],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7000 */
  {
    "aarch64_sqrshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv2di_insn_be },
    &operand_data[4526],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7000 */
  {
    "aarch64_uqrshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv2di_insn_be },
    &operand_data[4526],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7000 */
  {
    "aarch64_rshrn2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrn2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv2di_insn_be },
    &operand_data[4526],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7056 */
  {
    "aarch64_sqshrun2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv8hi_insn_le },
    &operand_data[4531],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7056 */
  {
    "aarch64_sqshrun2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv4si_insn_le },
    &operand_data[4537],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7056 */
  {
    "aarch64_sqshrun2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv2di_insn_le },
    &operand_data[4543],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7073 */
  {
    "aarch64_sqshrun2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv8hi_insn_be },
    &operand_data[4531],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7073 */
  {
    "aarch64_sqshrun2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv4si_insn_be },
    &operand_data[4537],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7073 */
  {
    "aarch64_sqshrun2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrun2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv2di_insn_be },
    &operand_data[4543],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7115 */
  {
    "aarch64_sqrshrun2_nv8hi_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv8hi_insn_le },
    &operand_data[4549],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7115 */
  {
    "aarch64_sqrshrun2_nv4si_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv4si_insn_le },
    &operand_data[4556],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7115 */
  {
    "aarch64_sqrshrun2_nv2di_insn_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv2di_insn_le },
    &operand_data[4563],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7136 */
  {
    "aarch64_sqrshrun2_nv8hi_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.16b, %2.8h, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv8hi_insn_be },
    &operand_data[4549],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7136 */
  {
    "aarch64_sqrshrun2_nv4si_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.8h, %2.4s, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv4si_insn_be },
    &operand_data[4556],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7136 */
  {
    "aarch64_sqrshrun2_nv2di_insn_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun2\t%0.4s, %2.2d, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv2di_insn_be },
    &operand_data[4563],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4062 },
#else
    { 0, output_4062, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8qi },
    &operand_data[4570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4063 },
#else
    { 0, output_4063, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8qi_vec_concatz_le },
    &operand_data[4573],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4064 },
#else
    { 0, output_4064, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8qi_vec_concatz_be },
    &operand_data[4573],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4065 },
#else
    { 0, output_4065, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8qi },
    &operand_data[4570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4066 },
#else
    { 0, output_4066, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8qi_vec_concatz_le },
    &operand_data[4573],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4067 },
#else
    { 0, output_4067, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8qi_vec_concatz_be },
    &operand_data[4573],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4068 },
#else
    { 0, output_4068, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8qi },
    &operand_data[4570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4069 },
#else
    { 0, output_4069, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8qi_vec_concatz_le },
    &operand_data[4573],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4070 },
#else
    { 0, output_4070, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8qi_vec_concatz_be },
    &operand_data[4573],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4071 },
#else
    { 0, output_4071, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8qi },
    &operand_data[4570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4072 },
#else
    { 0, output_4072, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8qi_vec_concatz_le },
    &operand_data[4573],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4073 },
#else
    { 0, output_4073, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8qi_vec_concatz_be },
    &operand_data[4573],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4074 },
#else
    { 0, output_4074, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8qi },
    &operand_data[4570],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4075 },
#else
    { 0, output_4075, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8qi_vec_concatz_le },
    &operand_data[4573],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4076 },
#else
    { 0, output_4076, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8qi_vec_concatz_be },
    &operand_data[4573],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4077 },
#else
    { 0, output_4077, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv16qi },
    &operand_data[4577],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4078 },
#else
    { 0, output_4078, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev16qi },
    &operand_data[4577],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4079 },
#else
    { 0, output_4079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv16qi },
    &operand_data[4577],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4080 },
#else
    { 0, output_4080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev16qi },
    &operand_data[4577],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4081 },
#else
    { 0, output_4081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv16qi },
    &operand_data[4577],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4082 },
#else
    { 0, output_4082, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hi },
    &operand_data[4580],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4083 },
#else
    { 0, output_4083, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hi_vec_concatz_le },
    &operand_data[4583],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4084 },
#else
    { 0, output_4084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hi_vec_concatz_be },
    &operand_data[4583],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4085 },
#else
    { 0, output_4085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hi },
    &operand_data[4580],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4086 },
#else
    { 0, output_4086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hi_vec_concatz_le },
    &operand_data[4583],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4087 },
#else
    { 0, output_4087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hi_vec_concatz_be },
    &operand_data[4583],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4088 },
#else
    { 0, output_4088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hi },
    &operand_data[4580],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4089 },
#else
    { 0, output_4089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hi_vec_concatz_le },
    &operand_data[4583],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4090 },
#else
    { 0, output_4090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hi_vec_concatz_be },
    &operand_data[4583],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4091 },
#else
    { 0, output_4091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hi },
    &operand_data[4580],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4092 },
#else
    { 0, output_4092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hi_vec_concatz_le },
    &operand_data[4583],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4093 },
#else
    { 0, output_4093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hi_vec_concatz_be },
    &operand_data[4583],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4094 },
#else
    { 0, output_4094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hi },
    &operand_data[4580],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4095 },
#else
    { 0, output_4095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hi_vec_concatz_le },
    &operand_data[4583],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4096 },
#else
    { 0, output_4096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hi_vec_concatz_be },
    &operand_data[4583],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4097 },
#else
    { 0, output_4097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8hi },
    &operand_data[4587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4098 },
#else
    { 0, output_4098, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8hi },
    &operand_data[4587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4099 },
#else
    { 0, output_4099, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8hi },
    &operand_data[4587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4100 },
#else
    { 0, output_4100, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8hi },
    &operand_data[4587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4101 },
#else
    { 0, output_4101, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8hi },
    &operand_data[4587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4102 },
#else
    { 0, output_4102, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2si },
    &operand_data[4590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4103 },
#else
    { 0, output_4103, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2si_vec_concatz_le },
    &operand_data[4593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4104 },
#else
    { 0, output_4104, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2si_vec_concatz_be },
    &operand_data[4593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4105 },
#else
    { 0, output_4105, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2si },
    &operand_data[4590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4106 },
#else
    { 0, output_4106, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2si_vec_concatz_le },
    &operand_data[4593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4107 },
#else
    { 0, output_4107, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2si_vec_concatz_be },
    &operand_data[4593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4108 },
#else
    { 0, output_4108, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2si },
    &operand_data[4590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4109 },
#else
    { 0, output_4109, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2si_vec_concatz_le },
    &operand_data[4593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4110 },
#else
    { 0, output_4110, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2si_vec_concatz_be },
    &operand_data[4593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4111 },
#else
    { 0, output_4111, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2si },
    &operand_data[4590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4112 },
#else
    { 0, output_4112, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2si_vec_concatz_le },
    &operand_data[4593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4113 },
#else
    { 0, output_4113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2si_vec_concatz_be },
    &operand_data[4593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4114 },
#else
    { 0, output_4114, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2si },
    &operand_data[4590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4115 },
#else
    { 0, output_4115, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2si_vec_concatz_le },
    &operand_data[4593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4116 },
#else
    { 0, output_4116, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2si_vec_concatz_be },
    &operand_data[4593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4117 },
#else
    { 0, output_4117, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4si },
    &operand_data[4597],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4118 },
#else
    { 0, output_4118, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4si },
    &operand_data[4597],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4119 },
#else
    { 0, output_4119, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4si },
    &operand_data[4597],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4120 },
#else
    { 0, output_4120, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4si },
    &operand_data[4597],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4121 },
#else
    { 0, output_4121, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4si },
    &operand_data[4597],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmltv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4122 },
#else
    { 0, output_4122, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2di },
    &operand_data[4600],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmlev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4123 },
#else
    { 0, output_4123, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2di },
    &operand_data[4600],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmeqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4124 },
#else
    { 0, output_4124, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2di },
    &operand_data[4600],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4125 },
#else
    { 0, output_4125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2di },
    &operand_data[4600],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7189 */
  {
    "aarch64_cmgtv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4126 },
#else
    { 0, output_4126, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2di },
    &operand_data[4600],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7203 */
  {
    "aarch64_cmltdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdi },
    &operand_data[4603],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7203 */
  {
    "aarch64_cmledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledi },
    &operand_data[4603],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7203 */
  {
    "aarch64_cmeqdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdi },
    &operand_data[4603],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7203 */
  {
    "aarch64_cmgedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedi },
    &operand_data[4603],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7203 */
  {
    "aarch64_cmgtdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdi },
    &operand_data[4603],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7238 */
  {
    "*aarch64_cmltdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4132 },
#else
    { 0, output_4132, 0 },
#endif
    { 0 },
    &operand_data[4606],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7238 */
  {
    "*aarch64_cmledi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4133 },
#else
    { 0, output_4133, 0 },
#endif
    { 0 },
    &operand_data[4606],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7238 */
  {
    "*aarch64_cmeqdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4134 },
#else
    { 0, output_4134, 0 },
#endif
    { 0 },
    &operand_data[4606],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7238 */
  {
    "*aarch64_cmgedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4135 },
#else
    { 0, output_4135, 0 },
#endif
    { 0 },
    &operand_data[4606],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7238 */
  {
    "*aarch64_cmgtdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4136 },
#else
    { 0, output_4136, 0 },
#endif
    { 0 },
    &operand_data[4606],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %2.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.16b, %2.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmltuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltuv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmleuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleuv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgeuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeuv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7254 */
  {
    "aarch64_cmgtuv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtuv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7266 */
  {
    "aarch64_cmltudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltudi },
    &operand_data[4609],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7266 */
  {
    "aarch64_cmleudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmleudi },
    &operand_data[4609],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7266 */
  {
    "aarch64_cmgeudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgeudi },
    &operand_data[4609],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7266 */
  {
    "aarch64_cmgtudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtudi },
    &operand_data[4609],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7301 */
  {
    "*aarch64_cmltudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7301 */
  {
    "*aarch64_cmleudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7301 */
  {
    "*aarch64_cmgeudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhs\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7301 */
  {
    "*aarch64_cmgtudi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmhi\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4612],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8qi },
    &operand_data[4615],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8qi_vec_concatz_le },
    &operand_data[4620],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8qi_vec_concatz_be },
    &operand_data[4620],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv16qi },
    &operand_data[4626],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4hi },
    &operand_data[4631],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4hi_vec_concatz_le },
    &operand_data[4636],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4hi_vec_concatz_be },
    &operand_data[4636],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv8hi },
    &operand_data[4642],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2si },
    &operand_data[4647],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2si_vec_concatz_le },
    &operand_data[4652],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2si_vec_concatz_be },
    &operand_data[4652],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv4si },
    &operand_data[4658],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7321 */
  {
    "aarch64_cmtstv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstv2di },
    &operand_data[4663],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4668],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4672],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8b, %1.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4672],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.16b, %1.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4677],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4681],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4685],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4h, %1.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4685],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.8h, %1.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4690],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4694],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4698],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2s, %1.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4698],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.4s, %1.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4703],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7340 */
  {
    "*aarch64_cmtst_same_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%0.2d, %1.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4707],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7353 */
  {
    "aarch64_cmtstdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmtstdi },
    &operand_data[4711],
    3,
    3,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7391 */
  {
    "*aarch64_cmtstdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7391 */
  {
    "*aarch64_cmtstdi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7391 */
  {
    "*aarch64_cmtstdi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cmtst\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4168],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4227 },
#else
    { 0, output_4227, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hf },
    &operand_data[4714],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4228 },
#else
    { 0, output_4228, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hf_vec_concatz_le },
    &operand_data[4717],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4229 },
#else
    { 0, output_4229, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4hf_vec_concatz_be },
    &operand_data[4717],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmlev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4230 },
#else
    { 0, output_4230, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hf },
    &operand_data[4714],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmlev4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4231 },
#else
    { 0, output_4231, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hf_vec_concatz_le },
    &operand_data[4717],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmlev4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4232 },
#else
    { 0, output_4232, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4hf_vec_concatz_be },
    &operand_data[4717],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4233 },
#else
    { 0, output_4233, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hf },
    &operand_data[4714],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4234 },
#else
    { 0, output_4234, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hf_vec_concatz_le },
    &operand_data[4717],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4235 },
#else
    { 0, output_4235, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4hf_vec_concatz_be },
    &operand_data[4717],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4236 },
#else
    { 0, output_4236, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hf },
    &operand_data[4714],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgev4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4237 },
#else
    { 0, output_4237, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hf_vec_concatz_le },
    &operand_data[4717],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgev4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4238 },
#else
    { 0, output_4238, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4hf_vec_concatz_be },
    &operand_data[4717],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4239 },
#else
    { 0, output_4239, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hf },
    &operand_data[4714],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4240 },
#else
    { 0, output_4240, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hf_vec_concatz_le },
    &operand_data[4717],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4241 },
#else
    { 0, output_4241, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4hf_vec_concatz_be },
    &operand_data[4717],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4242 },
#else
    { 0, output_4242, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv8hf },
    &operand_data[4721],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmlev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4243 },
#else
    { 0, output_4243, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev8hf },
    &operand_data[4721],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4244 },
#else
    { 0, output_4244, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv8hf },
    &operand_data[4721],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4245 },
#else
    { 0, output_4245, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev8hf },
    &operand_data[4721],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4246 },
#else
    { 0, output_4246, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv8hf },
    &operand_data[4721],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4247 },
#else
    { 0, output_4247, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2sf },
    &operand_data[4724],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4248 },
#else
    { 0, output_4248, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2sf_vec_concatz_le },
    &operand_data[4727],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4249 },
#else
    { 0, output_4249, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2sf_vec_concatz_be },
    &operand_data[4727],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmlev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4250 },
#else
    { 0, output_4250, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2sf },
    &operand_data[4724],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmlev2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4251 },
#else
    { 0, output_4251, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2sf_vec_concatz_le },
    &operand_data[4727],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmlev2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4252 },
#else
    { 0, output_4252, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2sf_vec_concatz_be },
    &operand_data[4727],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4253 },
#else
    { 0, output_4253, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2sf },
    &operand_data[4724],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4254 },
#else
    { 0, output_4254, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2sf_vec_concatz_le },
    &operand_data[4727],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4255 },
#else
    { 0, output_4255, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2sf_vec_concatz_be },
    &operand_data[4727],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4256 },
#else
    { 0, output_4256, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2sf },
    &operand_data[4724],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgev2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4257 },
#else
    { 0, output_4257, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2sf_vec_concatz_le },
    &operand_data[4727],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgev2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4258 },
#else
    { 0, output_4258, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2sf_vec_concatz_be },
    &operand_data[4727],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4259 },
#else
    { 0, output_4259, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2sf },
    &operand_data[4724],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4260 },
#else
    { 0, output_4260, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2sf_vec_concatz_le },
    &operand_data[4727],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4261 },
#else
    { 0, output_4261, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2sf_vec_concatz_be },
    &operand_data[4727],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4262 },
#else
    { 0, output_4262, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv4sf },
    &operand_data[4731],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmlev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4263 },
#else
    { 0, output_4263, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev4sf },
    &operand_data[4731],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4264 },
#else
    { 0, output_4264, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv4sf },
    &operand_data[4731],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4265 },
#else
    { 0, output_4265, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev4sf },
    &operand_data[4731],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4266 },
#else
    { 0, output_4266, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv4sf },
    &operand_data[4731],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4267 },
#else
    { 0, output_4267, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltv2df },
    &operand_data[4734],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmlev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4268 },
#else
    { 0, output_4268, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlev2df },
    &operand_data[4734],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4269 },
#else
    { 0, output_4269, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqv2df },
    &operand_data[4734],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4270 },
#else
    { 0, output_4270, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgev2df },
    &operand_data[4734],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4271 },
#else
    { 0, output_4271, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtv2df },
    &operand_data[4734],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmlthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4272 },
#else
    { 0, output_4272, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlthf },
    &operand_data[4737],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmlehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4273 },
#else
    { 0, output_4273, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlehf },
    &operand_data[4737],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4274 },
#else
    { 0, output_4274, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqhf },
    &operand_data[4737],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4275 },
#else
    { 0, output_4275, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgehf },
    &operand_data[4737],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4276 },
#else
    { 0, output_4276, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgthf },
    &operand_data[4737],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4277 },
#else
    { 0, output_4277, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltsf },
    &operand_data[4740],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmlesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4278 },
#else
    { 0, output_4278, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmlesf },
    &operand_data[4740],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4279 },
#else
    { 0, output_4279, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqsf },
    &operand_data[4740],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4280 },
#else
    { 0, output_4280, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgesf },
    &operand_data[4740],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4281 },
#else
    { 0, output_4281, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtsf },
    &operand_data[4740],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4282 },
#else
    { 0, output_4282, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdf },
    &operand_data[4743],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltdf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4283 },
#else
    { 0, output_4283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdf_vec_concatz_le },
    &operand_data[4746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmltdf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4284 },
#else
    { 0, output_4284, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmltdf_vec_concatz_be },
    &operand_data[4746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4285 },
#else
    { 0, output_4285, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledf },
    &operand_data[4743],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmledf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4286 },
#else
    { 0, output_4286, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledf_vec_concatz_le },
    &operand_data[4746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmledf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4287 },
#else
    { 0, output_4287, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmledf_vec_concatz_be },
    &operand_data[4746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4288 },
#else
    { 0, output_4288, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdf },
    &operand_data[4743],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqdf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4289 },
#else
    { 0, output_4289, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdf_vec_concatz_le },
    &operand_data[4746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmeqdf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4290 },
#else
    { 0, output_4290, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmeqdf_vec_concatz_be },
    &operand_data[4746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4291 },
#else
    { 0, output_4291, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedf },
    &operand_data[4743],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgedf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4292 },
#else
    { 0, output_4292, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedf_vec_concatz_le },
    &operand_data[4746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgedf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4293 },
#else
    { 0, output_4293, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgedf_vec_concatz_be },
    &operand_data[4746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4294 },
#else
    { 0, output_4294, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdf },
    &operand_data[4743],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtdf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4295 },
#else
    { 0, output_4295, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdf_vec_concatz_le },
    &operand_data[4746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7406 */
  {
    "aarch64_cmgtdf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4296 },
#else
    { 0, output_4296, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmgtdf_vec_concatz_be },
    &operand_data[4746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4hf },
    &operand_data[4750],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4hf_vec_concatz_le },
    &operand_data[4753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4hf_vec_concatz_be },
    &operand_data[4753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_faclev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4hf },
    &operand_data[4750],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_faclev4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4hf_vec_concatz_le },
    &operand_data[4753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_faclev4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %2.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4hf_vec_concatz_be },
    &operand_data[4753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4hf },
    &operand_data[4750],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgev4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4hf_vec_concatz_le },
    &operand_data[4753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgev4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4hf_vec_concatz_be },
    &operand_data[4753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4hf },
    &operand_data[4750],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtv4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4hf_vec_concatz_le },
    &operand_data[4753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtv4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4hf_vec_concatz_be },
    &operand_data[4753],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv8hf },
    &operand_data[4757],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_faclev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.8h, %2.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev8hf },
    &operand_data[4757],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev8hf },
    &operand_data[4757],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv8hf },
    &operand_data[4757],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2sf },
    &operand_data[4760],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2sf_vec_concatz_le },
    &operand_data[4763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2sf_vec_concatz_be },
    &operand_data[4763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_faclev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2sf },
    &operand_data[4760],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_faclev2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2sf_vec_concatz_le },
    &operand_data[4763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_faclev2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %2.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2sf_vec_concatz_be },
    &operand_data[4763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2sf },
    &operand_data[4760],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgev2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2sf_vec_concatz_le },
    &operand_data[4763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgev2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2sf_vec_concatz_be },
    &operand_data[4763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2sf },
    &operand_data[4760],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtv2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2sf_vec_concatz_le },
    &operand_data[4763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtv2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2sf_vec_concatz_be },
    &operand_data[4763],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv4sf },
    &operand_data[4767],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_faclev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4s, %2.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev4sf },
    &operand_data[4767],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev4sf },
    &operand_data[4767],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv4sf },
    &operand_data[4767],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltv2df },
    &operand_data[4770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_faclev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2d, %2.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclev2df },
    &operand_data[4770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgev2df },
    &operand_data[4770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtv2df },
    &operand_data[4770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_faclthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%h0, %h2, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclthf },
    &operand_data[4773],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_faclehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%h0, %h2, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclehf },
    &operand_data[4773],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgehf },
    &operand_data[4773],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgthf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgthf },
    &operand_data[4773],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%s0, %s2, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltsf },
    &operand_data[4776],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_faclesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%s0, %s2, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faclesf },
    &operand_data[4776],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgesf },
    &operand_data[4776],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtsf },
    &operand_data[4776],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltdf },
    &operand_data[4779],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltdf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltdf_vec_concatz_le },
    &operand_data[4782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facltdf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facltdf_vec_concatz_be },
    &operand_data[4782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facledf },
    &operand_data[4779],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facledf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facledf_vec_concatz_le },
    &operand_data[4782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facledf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d2, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facledf_vec_concatz_be },
    &operand_data[4782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgedf },
    &operand_data[4779],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgedf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgedf_vec_concatz_le },
    &operand_data[4782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgedf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgedf_vec_concatz_be },
    &operand_data[4782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtdf },
    &operand_data[4779],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtdf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtdf_vec_concatz_le },
    &operand_data[4782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7425 */
  {
    "aarch64_facgtdf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_facgtdf_vec_concatz_be },
    &operand_data[4782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7445 */
  {
    "aarch64_addpv16qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv16qi_insn },
    &operand_data[4786],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7445 */
  {
    "aarch64_addpv8hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8hi_insn },
    &operand_data[4791],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7445 */
  {
    "aarch64_addpv4si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4si_insn },
    &operand_data[4796],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7445 */
  {
    "aarch64_addpv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2di_insn },
    &operand_data[4801],
    5,
    5,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7471 */
  {
    "aarch64_addpv8qi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8qi_insn },
    &operand_data[4806],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7471 */
  {
    "aarch64_addpv8qi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8qi_vec_concatz_le_insn },
    &operand_data[4811],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7471 */
  {
    "aarch64_addpv8qi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8qi_vec_concatz_be_insn },
    &operand_data[4811],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7471 */
  {
    "aarch64_addpv4hi_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4hi_insn },
    &operand_data[4817],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7471 */
  {
    "aarch64_addpv4hi_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4hi_vec_concatz_le_insn },
    &operand_data[4822],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7471 */
  {
    "aarch64_addpv4hi_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4hi_vec_concatz_be_insn },
    &operand_data[4822],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7471 */
  {
    "aarch64_addpv2si_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2si_insn },
    &operand_data[4828],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7471 */
  {
    "aarch64_addpv2si_vec_concatz_le_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2si_vec_concatz_le_insn },
    &operand_data[4833],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7471 */
  {
    "aarch64_addpv2si_vec_concatz_be_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addp\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2si_vec_concatz_be_insn },
    &operand_data[4833],
    6,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7492 */
  {
    "*aarch64_addp_same_regv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4839],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7492 */
  {
    "*aarch64_addp_same_regv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4843],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7492 */
  {
    "*aarch64_addp_same_regv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4847],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7492 */
  {
    "*aarch64_addp_same_regv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[4851],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7547 */
  {
    "*sqrtv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7547 */
  {
    "*sqrtv4hf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7547 */
  {
    "*sqrtv4hf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7547 */
  {
    "*sqrtv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7547 */
  {
    "*sqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7547 */
  {
    "*sqrtv2sf2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7547 */
  {
    "*sqrtv2sf2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7547 */
  {
    "*sqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7547 */
  {
    "*sqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsqrt\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7557 */
  {
    "aarch64_simd_ld2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v16qi },
    &operand_data[4855],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7557 */
  {
    "aarch64_simd_ld2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8hi },
    &operand_data[4857],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7557 */
  {
    "aarch64_simd_ld2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v4si },
    &operand_data[4859],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7557 */
  {
    "aarch64_simd_ld2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v2di },
    &operand_data[4861],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7557 */
  {
    "aarch64_simd_ld2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8hf },
    &operand_data[4863],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7557 */
  {
    "aarch64_simd_ld2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v4sf },
    &operand_data[4865],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7557 */
  {
    "aarch64_simd_ld2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v2df },
    &operand_data[4867],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7557 */
  {
    "aarch64_simd_ld2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2v8bf },
    &operand_data[4869],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8qi },
    &operand_data[4871],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4hi },
    &operand_data[4873],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2si },
    &operand_data[4875],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rdi },
    &operand_data[4877],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4hf },
    &operand_data[4879],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2sf },
    &operand_data[4881],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rdf },
    &operand_data[4883],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4bf },
    &operand_data[4885],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv16qi },
    &operand_data[4887],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8hi },
    &operand_data[4889],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4si },
    &operand_data[4891],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2di },
    &operand_data[4893],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8hf },
    &operand_data[4895],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv4sf },
    &operand_data[4897],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv2df },
    &operand_data[4899],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7567 */
  {
    "aarch64_simd_ld2rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2r\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld2rv8bf },
    &operand_data[4901],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x8qi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4403 },
#else
    { 0, 0, output_4403 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x8qi_lanev8qi },
    &operand_data[4903],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x4hi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4404 },
#else
    { 0, 0, output_4404 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x4hi_lanev4hi },
    &operand_data[4907],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x2si_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4405 },
#else
    { 0, 0, output_4405 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x2si_lanev2si },
    &operand_data[4911],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x1di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4406 },
#else
    { 0, 0, output_4406 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x1di_lanedi },
    &operand_data[4915],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x4hf_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4407 },
#else
    { 0, 0, output_4407 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x4hf_lanev4hf },
    &operand_data[4919],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x2sf_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4408 },
#else
    { 0, 0, output_4408 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x2sf_lanev2sf },
    &operand_data[4923],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4409 },
#else
    { 0, 0, output_4409 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x1df_lanedf },
    &operand_data[4927],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x4bf_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4410 },
#else
    { 0, 0, output_4410 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x4bf_lanev4bf },
    &operand_data[4931],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x16qi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4411 },
#else
    { 0, 0, output_4411 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x16qi_lanev16qi },
    &operand_data[4935],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x8hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4412 },
#else
    { 0, 0, output_4412 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x8hi_lanev8hi },
    &operand_data[4939],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x4si_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4413 },
#else
    { 0, 0, output_4413 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x4si_lanev4si },
    &operand_data[4943],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x2di_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4414 },
#else
    { 0, 0, output_4414 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x2di_lanev2di },
    &operand_data[4947],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x8hf_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4415 },
#else
    { 0, 0, output_4415 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x8hf_lanev8hf },
    &operand_data[4951],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x4sf_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4416 },
#else
    { 0, 0, output_4416 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x4sf_lanev4sf },
    &operand_data[4955],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x2df_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4417 },
#else
    { 0, 0, output_4417 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x2df_lanev2df },
    &operand_data[4959],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7577 */
  {
    "aarch64_vec_load_lanesv2x8bf_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4418 },
#else
    { 0, 0, output_4418 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv2x8bf_lanev8bf },
    &operand_data[4963],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7613 */
  {
    "aarch64_simd_st2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.16b - %T1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v16qi },
    &operand_data[4967],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7613 */
  {
    "aarch64_simd_st2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8hi },
    &operand_data[4969],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7613 */
  {
    "aarch64_simd_st2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v4si },
    &operand_data[4971],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7613 */
  {
    "aarch64_simd_st2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v2di },
    &operand_data[4973],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7613 */
  {
    "aarch64_simd_st2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8hf },
    &operand_data[4975],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7613 */
  {
    "aarch64_simd_st2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v4sf },
    &operand_data[4977],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7613 */
  {
    "aarch64_simd_st2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v2df },
    &operand_data[4979],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7613 */
  {
    "aarch64_simd_st2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st2v8bf },
    &operand_data[4981],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x8qi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4427 },
#else
    { 0, 0, output_4427 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x8qi_lanev8qi },
    &operand_data[4983],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x4hi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4428 },
#else
    { 0, 0, output_4428 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x4hi_lanev4hi },
    &operand_data[4986],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x2si_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4429 },
#else
    { 0, 0, output_4429 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x2si_lanev2si },
    &operand_data[4989],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x1di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4430 },
#else
    { 0, 0, output_4430 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x1di_lanedi },
    &operand_data[4992],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x4hf_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4431 },
#else
    { 0, 0, output_4431 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x4hf_lanev4hf },
    &operand_data[4995],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x2sf_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4432 },
#else
    { 0, 0, output_4432 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x2sf_lanev2sf },
    &operand_data[4998],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4433 },
#else
    { 0, 0, output_4433 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x1df_lanedf },
    &operand_data[5001],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x4bf_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4434 },
#else
    { 0, 0, output_4434 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x4bf_lanev4bf },
    &operand_data[5004],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x16qi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4435 },
#else
    { 0, 0, output_4435 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x16qi_lanev16qi },
    &operand_data[5007],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x8hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4436 },
#else
    { 0, 0, output_4436 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x8hi_lanev8hi },
    &operand_data[5010],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x4si_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4437 },
#else
    { 0, 0, output_4437 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x4si_lanev4si },
    &operand_data[5013],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x2di_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4438 },
#else
    { 0, 0, output_4438 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x2di_lanev2di },
    &operand_data[5016],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x8hf_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4439 },
#else
    { 0, 0, output_4439 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x8hf_lanev8hf },
    &operand_data[5019],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x4sf_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4440 },
#else
    { 0, 0, output_4440 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x4sf_lanev4sf },
    &operand_data[5022],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x2df_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4441 },
#else
    { 0, 0, output_4441 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x2df_lanev2df },
    &operand_data[5025],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7624 */
  {
    "aarch64_vec_store_lanesv2x8bf_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4442 },
#else
    { 0, 0, output_4442 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv2x8bf_lanev8bf },
    &operand_data[5028],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7657 */
  {
    "aarch64_simd_ld3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v16qi },
    &operand_data[5031],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7657 */
  {
    "aarch64_simd_ld3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8hi },
    &operand_data[5033],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7657 */
  {
    "aarch64_simd_ld3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v4si },
    &operand_data[5035],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7657 */
  {
    "aarch64_simd_ld3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v2di },
    &operand_data[5037],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7657 */
  {
    "aarch64_simd_ld3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8hf },
    &operand_data[5039],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7657 */
  {
    "aarch64_simd_ld3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v4sf },
    &operand_data[5041],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7657 */
  {
    "aarch64_simd_ld3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v2df },
    &operand_data[5043],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7657 */
  {
    "aarch64_simd_ld3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3v8bf },
    &operand_data[5045],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8qi },
    &operand_data[5047],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4hi },
    &operand_data[5049],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2si },
    &operand_data[5051],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rdi },
    &operand_data[5053],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4hf },
    &operand_data[5055],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2sf },
    &operand_data[5057],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rdf },
    &operand_data[5059],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4bf },
    &operand_data[5061],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv16qi },
    &operand_data[5063],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8hi },
    &operand_data[5065],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4si },
    &operand_data[5067],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2di },
    &operand_data[5069],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8hf },
    &operand_data[5071],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv4sf },
    &operand_data[5073],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv2df },
    &operand_data[5075],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7667 */
  {
    "aarch64_simd_ld3rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3r\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld3rv8bf },
    &operand_data[5077],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x8qi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4467 },
#else
    { 0, 0, output_4467 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x8qi_lanev8qi },
    &operand_data[5079],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x4hi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4468 },
#else
    { 0, 0, output_4468 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x4hi_lanev4hi },
    &operand_data[5083],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x2si_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4469 },
#else
    { 0, 0, output_4469 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x2si_lanev2si },
    &operand_data[5087],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x1di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4470 },
#else
    { 0, 0, output_4470 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x1di_lanedi },
    &operand_data[5091],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x4hf_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4471 },
#else
    { 0, 0, output_4471 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x4hf_lanev4hf },
    &operand_data[5095],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x2sf_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4472 },
#else
    { 0, 0, output_4472 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x2sf_lanev2sf },
    &operand_data[5099],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4473 },
#else
    { 0, 0, output_4473 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x1df_lanedf },
    &operand_data[5103],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x4bf_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4474 },
#else
    { 0, 0, output_4474 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x4bf_lanev4bf },
    &operand_data[5107],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x16qi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4475 },
#else
    { 0, 0, output_4475 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x16qi_lanev16qi },
    &operand_data[5111],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x8hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4476 },
#else
    { 0, 0, output_4476 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x8hi_lanev8hi },
    &operand_data[5115],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x4si_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4477 },
#else
    { 0, 0, output_4477 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x4si_lanev4si },
    &operand_data[5119],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x2di_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4478 },
#else
    { 0, 0, output_4478 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x2di_lanev2di },
    &operand_data[5123],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x8hf_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4479 },
#else
    { 0, 0, output_4479 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x8hf_lanev8hf },
    &operand_data[5127],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x4sf_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4480 },
#else
    { 0, 0, output_4480 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x4sf_lanev4sf },
    &operand_data[5131],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x2df_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4481 },
#else
    { 0, 0, output_4481 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x2df_lanev2df },
    &operand_data[5135],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7677 */
  {
    "aarch64_vec_load_lanesv3x8bf_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4482 },
#else
    { 0, 0, output_4482 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv3x8bf_lanev8bf },
    &operand_data[5139],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7713 */
  {
    "aarch64_simd_st3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.16b - %U1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v16qi },
    &operand_data[5143],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7713 */
  {
    "aarch64_simd_st3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8hi },
    &operand_data[5145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7713 */
  {
    "aarch64_simd_st3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v4si },
    &operand_data[5147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7713 */
  {
    "aarch64_simd_st3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v2di },
    &operand_data[5149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7713 */
  {
    "aarch64_simd_st3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8hf },
    &operand_data[5151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7713 */
  {
    "aarch64_simd_st3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v4sf },
    &operand_data[5153],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7713 */
  {
    "aarch64_simd_st3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v2df },
    &operand_data[5155],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7713 */
  {
    "aarch64_simd_st3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st3v8bf },
    &operand_data[5157],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x8qi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4491 },
#else
    { 0, 0, output_4491 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x8qi_lanev8qi },
    &operand_data[5159],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x4hi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4492 },
#else
    { 0, 0, output_4492 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x4hi_lanev4hi },
    &operand_data[5162],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x2si_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4493 },
#else
    { 0, 0, output_4493 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x2si_lanev2si },
    &operand_data[5165],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x1di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4494 },
#else
    { 0, 0, output_4494 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x1di_lanedi },
    &operand_data[5168],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x4hf_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4495 },
#else
    { 0, 0, output_4495 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x4hf_lanev4hf },
    &operand_data[5171],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x2sf_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4496 },
#else
    { 0, 0, output_4496 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x2sf_lanev2sf },
    &operand_data[5174],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4497 },
#else
    { 0, 0, output_4497 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x1df_lanedf },
    &operand_data[5177],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x4bf_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4498 },
#else
    { 0, 0, output_4498 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x4bf_lanev4bf },
    &operand_data[5180],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x16qi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4499 },
#else
    { 0, 0, output_4499 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x16qi_lanev16qi },
    &operand_data[5183],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x8hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4500 },
#else
    { 0, 0, output_4500 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x8hi_lanev8hi },
    &operand_data[5186],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x4si_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4501 },
#else
    { 0, 0, output_4501 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x4si_lanev4si },
    &operand_data[5189],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x2di_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4502 },
#else
    { 0, 0, output_4502 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x2di_lanev2di },
    &operand_data[5192],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x8hf_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4503 },
#else
    { 0, 0, output_4503 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x8hf_lanev8hf },
    &operand_data[5195],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x4sf_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4504 },
#else
    { 0, 0, output_4504 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x4sf_lanev4sf },
    &operand_data[5198],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x2df_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4505 },
#else
    { 0, 0, output_4505 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x2df_lanev2df },
    &operand_data[5201],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7723 */
  {
    "aarch64_vec_store_lanesv3x8bf_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4506 },
#else
    { 0, 0, output_4506 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv3x8bf_lanev8bf },
    &operand_data[5204],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7757 */
  {
    "aarch64_simd_ld4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v16qi },
    &operand_data[5207],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7757 */
  {
    "aarch64_simd_ld4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8hi },
    &operand_data[5209],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7757 */
  {
    "aarch64_simd_ld4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v4si },
    &operand_data[5211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7757 */
  {
    "aarch64_simd_ld4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v2di },
    &operand_data[5213],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7757 */
  {
    "aarch64_simd_ld4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8hf },
    &operand_data[5215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7757 */
  {
    "aarch64_simd_ld4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v4sf },
    &operand_data[5217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7757 */
  {
    "aarch64_simd_ld4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v2df },
    &operand_data[5219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7757 */
  {
    "aarch64_simd_ld4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4v8bf },
    &operand_data[5221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8qi },
    &operand_data[5223],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4hi },
    &operand_data[5225],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2si },
    &operand_data[5227],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rdi },
    &operand_data[5229],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4hf },
    &operand_data[5231],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2sf },
    &operand_data[5233],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rdf },
    &operand_data[5235],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4bf },
    &operand_data[5237],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv16qi },
    &operand_data[5239],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8hi },
    &operand_data[5241],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4si },
    &operand_data[5243],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2di },
    &operand_data[5245],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8hf },
    &operand_data[5247],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv4sf },
    &operand_data[5249],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv2df },
    &operand_data[5251],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7767 */
  {
    "aarch64_simd_ld4rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4r\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld4rv8bf },
    &operand_data[5253],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x8qi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4531 },
#else
    { 0, 0, output_4531 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x8qi_lanev8qi },
    &operand_data[5255],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x4hi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4532 },
#else
    { 0, 0, output_4532 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x4hi_lanev4hi },
    &operand_data[5259],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x2si_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4533 },
#else
    { 0, 0, output_4533 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x2si_lanev2si },
    &operand_data[5263],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x1di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4534 },
#else
    { 0, 0, output_4534 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x1di_lanedi },
    &operand_data[5267],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x4hf_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4535 },
#else
    { 0, 0, output_4535 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x4hf_lanev4hf },
    &operand_data[5271],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x2sf_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4536 },
#else
    { 0, 0, output_4536 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x2sf_lanev2sf },
    &operand_data[5275],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4537 },
#else
    { 0, 0, output_4537 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x1df_lanedf },
    &operand_data[5279],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x4bf_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4538 },
#else
    { 0, 0, output_4538 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x4bf_lanev4bf },
    &operand_data[5283],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x16qi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4539 },
#else
    { 0, 0, output_4539 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x16qi_lanev16qi },
    &operand_data[5287],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x8hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4540 },
#else
    { 0, 0, output_4540 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x8hi_lanev8hi },
    &operand_data[5291],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x4si_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4541 },
#else
    { 0, 0, output_4541 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x4si_lanev4si },
    &operand_data[5295],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x2di_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4542 },
#else
    { 0, 0, output_4542 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x2di_lanev2di },
    &operand_data[5299],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x8hf_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4543 },
#else
    { 0, 0, output_4543 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x8hf_lanev8hf },
    &operand_data[5303],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x4sf_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4544 },
#else
    { 0, 0, output_4544 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x4sf_lanev4sf },
    &operand_data[5307],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x2df_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4545 },
#else
    { 0, 0, output_4545 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x2df_lanev2df },
    &operand_data[5311],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7777 */
  {
    "aarch64_vec_load_lanesv4x8bf_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4546 },
#else
    { 0, 0, output_4546 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_load_lanesv4x8bf_lanev8bf },
    &operand_data[5315],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7813 */
  {
    "aarch64_simd_st4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.16b - %V1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v16qi },
    &operand_data[5319],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7813 */
  {
    "aarch64_simd_st4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8hi },
    &operand_data[5321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7813 */
  {
    "aarch64_simd_st4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v4si },
    &operand_data[5323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7813 */
  {
    "aarch64_simd_st4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v2di },
    &operand_data[5325],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7813 */
  {
    "aarch64_simd_st4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8hf },
    &operand_data[5327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7813 */
  {
    "aarch64_simd_st4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v4sf },
    &operand_data[5329],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7813 */
  {
    "aarch64_simd_st4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v2df },
    &operand_data[5331],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7813 */
  {
    "aarch64_simd_st4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_st4v8bf },
    &operand_data[5333],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x8qi_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4555 },
#else
    { 0, 0, output_4555 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x8qi_lanev8qi },
    &operand_data[5335],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x4hi_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4556 },
#else
    { 0, 0, output_4556 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x4hi_lanev4hi },
    &operand_data[5338],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x2si_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4557 },
#else
    { 0, 0, output_4557 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x2si_lanev2si },
    &operand_data[5341],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x1di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4558 },
#else
    { 0, 0, output_4558 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x1di_lanedi },
    &operand_data[5344],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x4hf_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4559 },
#else
    { 0, 0, output_4559 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x4hf_lanev4hf },
    &operand_data[5347],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x2sf_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4560 },
#else
    { 0, 0, output_4560 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x2sf_lanev2sf },
    &operand_data[5350],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4561 },
#else
    { 0, 0, output_4561 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x1df_lanedf },
    &operand_data[5353],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x4bf_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4562 },
#else
    { 0, 0, output_4562 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x4bf_lanev4bf },
    &operand_data[5356],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x16qi_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4563 },
#else
    { 0, 0, output_4563 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x16qi_lanev16qi },
    &operand_data[5359],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x8hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4564 },
#else
    { 0, 0, output_4564 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x8hi_lanev8hi },
    &operand_data[5362],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x4si_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4565 },
#else
    { 0, 0, output_4565 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x4si_lanev4si },
    &operand_data[5365],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x2di_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4566 },
#else
    { 0, 0, output_4566 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x2di_lanev2di },
    &operand_data[5368],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x8hf_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4567 },
#else
    { 0, 0, output_4567 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x8hf_lanev8hf },
    &operand_data[5371],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x4sf_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4568 },
#else
    { 0, 0, output_4568 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x4sf_lanev4sf },
    &operand_data[5374],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x2df_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4569 },
#else
    { 0, 0, output_4569 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x2df_lanev2df },
    &operand_data[5377],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7824 */
  {
    "aarch64_vec_store_lanesv4x8bf_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4570 },
#else
    { 0, 0, output_4570 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_store_lanesv4x8bf_lanev8bf },
    &operand_data[5380],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7859 */
  {
    "aarch64_vec_stl1_lanesv1di_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4571 },
#else
    { 0, 0, output_4571 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanesv1di_lanesi },
    &operand_data[5383],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7859 */
  {
    "aarch64_vec_stl1_lanesv1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4572 },
#else
    { 0, 0, output_4572 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanesv1df_lanedf },
    &operand_data[5386],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7859 */
  {
    "aarch64_vec_stl1_lanesv2di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4573 },
#else
    { 0, 0, output_4573 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanesv2di_lanedi },
    &operand_data[5389],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7859 */
  {
    "aarch64_vec_stl1_lanesv2df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4574 },
#else
    { 0, 0, output_4574 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanesv2df_lanedf },
    &operand_data[5392],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7889 */
  {
    "aarch64_vec_ldap1_lanesv1di_lanesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4575 },
#else
    { 0, 0, output_4575 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanesv1di_lanesi },
    &operand_data[5395],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7889 */
  {
    "aarch64_vec_ldap1_lanesv1df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4576 },
#else
    { 0, 0, output_4576 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanesv1df_lanedf },
    &operand_data[5399],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7889 */
  {
    "aarch64_vec_ldap1_lanesv2di_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4577 },
#else
    { 0, 0, output_4577 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanesv2di_lanedi },
    &operand_data[5403],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7889 */
  {
    "aarch64_vec_ldap1_lanesv2df_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4578 },
#else
    { 0, 0, output_4578 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanesv2df_lanedf },
    &operand_data[5407],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x8qi },
    &operand_data[5411],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x4hi },
    &operand_data[5414],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x2si },
    &operand_data[5417],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x1di },
    &operand_data[5420],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x4hf },
    &operand_data[5423],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x2sf },
    &operand_data[5426],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x1df },
    &operand_data[5429],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x4bf },
    &operand_data[5432],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x8qi },
    &operand_data[5435],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x4hi },
    &operand_data[5438],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x2si },
    &operand_data[5441],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x1di },
    &operand_data[5444],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x4hf },
    &operand_data[5447],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x2sf },
    &operand_data[5450],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x1df },
    &operand_data[5453],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x4bf },
    &operand_data[5456],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x8qi },
    &operand_data[5459],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x4hi },
    &operand_data[5462],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x2si },
    &operand_data[5465],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x1di },
    &operand_data[5468],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x4hf },
    &operand_data[5471],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x2sf },
    &operand_data[5474],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x1df },
    &operand_data[5477],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x4bf },
    &operand_data[5480],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x16qi },
    &operand_data[5483],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x8hi },
    &operand_data[5486],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x4si },
    &operand_data[5489],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x2di },
    &operand_data[5492],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x8hf },
    &operand_data[5495],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x4sf },
    &operand_data[5498],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x2df },
    &operand_data[5501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv2x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv2x8bf },
    &operand_data[5504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x16qi },
    &operand_data[5507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x8hi },
    &operand_data[5510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x4si },
    &operand_data[5513],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x2di },
    &operand_data[5516],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x8hf },
    &operand_data[5519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x4sf },
    &operand_data[5522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x2df },
    &operand_data[5525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv3x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv3x8bf },
    &operand_data[5528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x16qi },
    &operand_data[5531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x8hi },
    &operand_data[5534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x4si },
    &operand_data[5537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x2di },
    &operand_data[5540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x8hf },
    &operand_data[5543],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x4sf },
    &operand_data[5546],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x2df },
    &operand_data[5549],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7922 */
  {
    "aarch64_rev_reglistv4x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev_reglistv4x8bf },
    &operand_data[5552],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8qi },
    &operand_data[5555],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4hi },
    &operand_data[5557],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2si },
    &operand_data[5559],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_di },
    &operand_data[5561],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4hf },
    &operand_data[5563],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2sf },
    &operand_data[5565],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_df },
    &operand_data[5567],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4bf },
    &operand_data[5569],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %U0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v16qi },
    &operand_data[5031],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8hi },
    &operand_data[5033],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4si },
    &operand_data[5035],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2di },
    &operand_data[5037],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8hf },
    &operand_data[5039],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %U0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v4sf },
    &operand_data[5041],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %U0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v2df },
    &operand_data[5043],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8001 */
  {
    "aarch64_ld1_x3_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %U0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x3_v8bf },
    &operand_data[5045],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8qi },
    &operand_data[5571],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4hi },
    &operand_data[5573],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2si },
    &operand_data[5575],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_di },
    &operand_data[5577],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4hf },
    &operand_data[5579],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2sf },
    &operand_data[5581],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_df },
    &operand_data[5583],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4bf },
    &operand_data[5585],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %V0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v16qi },
    &operand_data[5207],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8hi },
    &operand_data[5209],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4si },
    &operand_data[5211],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2di },
    &operand_data[5213],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8hf },
    &operand_data[5215],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %V0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v4sf },
    &operand_data[5217],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %V0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v2df },
    &operand_data[5219],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8021 */
  {
    "aarch64_ld1_x4_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %V0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1_x4_v8bf },
    &operand_data[5221],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %T1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8qi },
    &operand_data[5587],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4hi },
    &operand_data[5589],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2si },
    &operand_data[5591],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_di },
    &operand_data[5593],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4hf },
    &operand_data[5595],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2sf },
    &operand_data[5597],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_df },
    &operand_data[5599],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4bf },
    &operand_data[5601],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %T1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v16qi },
    &operand_data[4967],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8hi },
    &operand_data[4969],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4si },
    &operand_data[4971],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2di },
    &operand_data[4973],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8hf },
    &operand_data[4975],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %T1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v4sf },
    &operand_data[4977],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %T1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v2df },
    &operand_data[4979],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8041 */
  {
    "aarch64_st1_x2_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %T1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x2_v8bf },
    &operand_data[4981],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %U1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8qi },
    &operand_data[5603],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4hi },
    &operand_data[5605],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2si },
    &operand_data[5607],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_di },
    &operand_data[5609],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4hf },
    &operand_data[5611],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2sf },
    &operand_data[5613],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_df },
    &operand_data[5615],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4bf },
    &operand_data[5617],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %U1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v16qi },
    &operand_data[5143],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8hi },
    &operand_data[5145],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4si },
    &operand_data[5147],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2di },
    &operand_data[5149],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8hf },
    &operand_data[5151],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %U1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v4sf },
    &operand_data[5153],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %U1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v2df },
    &operand_data[5155],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8061 */
  {
    "aarch64_st1_x3_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %U1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x3_v8bf },
    &operand_data[5157],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8b - %V1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8qi },
    &operand_data[5619],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4hi },
    &operand_data[5621],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2si },
    &operand_data[5623],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_di },
    &operand_data[5625],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4hf },
    &operand_data[5627],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2sf },
    &operand_data[5629],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_df },
    &operand_data[5631],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4bf },
    &operand_data[5633],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.16b - %V1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v16qi },
    &operand_data[5319],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8hi },
    &operand_data[5321],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4si },
    &operand_data[5323],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2di },
    &operand_data[5325],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8hf },
    &operand_data[5327],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.4s - %V1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v4sf },
    &operand_data[5329],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.2d - %V1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v2df },
    &operand_data[5331],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8081 */
  {
    "aarch64_st1_x4_v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.8h - %V1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1_x4_v8bf },
    &operand_data[5333],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8091 */
  {
    "*aarch64_movv8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5635],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8qi },
    &operand_data[5637],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v16qi },
    &operand_data[5639],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4hi },
    &operand_data[5641],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8hi },
    &operand_data[5643],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2si },
    &operand_data[5645],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4si },
    &operand_data[5647],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2di },
    &operand_data[5649],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4hf },
    &operand_data[5651],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8hf },
    &operand_data[5653],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4bf },
    &operand_data[5655],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v8bf },
    &operand_data[5657],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2sf },
    &operand_data[5659],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v4sf },
    &operand_data[5661],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1v2df },
    &operand_data[5663],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8101 */
  {
    "aarch64_be_ld1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%0}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_ld1di },
    &operand_data[5665],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8qi },
    &operand_data[5667],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.16b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v16qi },
    &operand_data[5669],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4hi },
    &operand_data[5671],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8hi },
    &operand_data[5673],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2si },
    &operand_data[5675],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4si },
    &operand_data[5677],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2di },
    &operand_data[5679],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4hf },
    &operand_data[5681],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8hf },
    &operand_data[5683],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4bf },
    &operand_data[5685],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.8h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v8bf },
    &operand_data[5687],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2sf },
    &operand_data[5689],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.4s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v4sf },
    &operand_data[5691],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1.2d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1v2df },
    &operand_data[5693],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8111 */
  {
    "aarch64_be_st1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%1}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_st1di },
    &operand_data[5695],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8120 */
  {
    "*aarch64_movv2x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4738 },
#else
    { 0, output_4738, 0 },
#endif
    { 0 },
    &operand_data[5697],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8120 */
  {
    "*aarch64_movv2x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4739 },
#else
    { 0, output_4739, 0 },
#endif
    { 0 },
    &operand_data[5699],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8120 */
  {
    "*aarch64_movv2x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4740 },
#else
    { 0, output_4740, 0 },
#endif
    { 0 },
    &operand_data[5701],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8120 */
  {
    "*aarch64_movv2x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4741 },
#else
    { 0, output_4741, 0 },
#endif
    { 0 },
    &operand_data[5703],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8120 */
  {
    "*aarch64_movv2x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4742 },
#else
    { 0, output_4742, 0 },
#endif
    { 0 },
    &operand_data[5705],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8120 */
  {
    "*aarch64_movv2x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4743 },
#else
    { 0, output_4743, 0 },
#endif
    { 0 },
    &operand_data[5707],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8120 */
  {
    "*aarch64_movv2x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4744 },
#else
    { 0, output_4744, 0 },
#endif
    { 0 },
    &operand_data[5709],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8120 */
  {
    "*aarch64_movv2x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4745 },
#else
    { 0, output_4745, 0 },
#endif
    { 0 },
    &operand_data[5711],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8133 */
  {
    "*aarch64_movv2x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4746 },
#else
    { 0, output_4746, 0 },
#endif
    { 0 },
    &operand_data[5713],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8133 */
  {
    "*aarch64_movv2x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4747 },
#else
    { 0, output_4747, 0 },
#endif
    { 0 },
    &operand_data[5715],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8133 */
  {
    "*aarch64_movv2x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4748 },
#else
    { 0, output_4748, 0 },
#endif
    { 0 },
    &operand_data[5717],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8133 */
  {
    "*aarch64_movv2x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4749 },
#else
    { 0, output_4749, 0 },
#endif
    { 0 },
    &operand_data[5719],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8133 */
  {
    "*aarch64_movv2x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4750 },
#else
    { 0, output_4750, 0 },
#endif
    { 0 },
    &operand_data[5721],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8133 */
  {
    "*aarch64_movv2x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4751 },
#else
    { 0, output_4751, 0 },
#endif
    { 0 },
    &operand_data[5723],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8133 */
  {
    "*aarch64_movv2x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4752 },
#else
    { 0, output_4752, 0 },
#endif
    { 0 },
    &operand_data[5725],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8133 */
  {
    "*aarch64_movv2x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4753 },
#else
    { 0, output_4753, 0 },
#endif
    { 0 },
    &operand_data[5727],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8146 */
  {
    "*aarch64_movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_4754 },
#else
    { 0, output_4754, 0 },
#endif
    { 0 },
    &operand_data[5729],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5731],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5733],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5735],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5737],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5739],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5741],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5743],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5745],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5747],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5749],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5751],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5753],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5755],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5757],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5759],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8159 */
  {
    "*aarch64_movv3x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5761],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8171 */
  {
    "*aarch64_movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5763],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5765],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5767],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5769],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5771],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5773],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5775],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5777],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5779],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5781],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5783],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5785],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5787],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5789],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5791],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5793],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8183 */
  {
    "*aarch64_movv4x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5795],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8195 */
  {
    "*aarch64_movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5797],
    2,
    2,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8378 */
  {
    "aarch64_ld2v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8qi_dreg },
    &operand_data[5799],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8378 */
  {
    "aarch64_ld2v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hi_dreg },
    &operand_data[5801],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8378 */
  {
    "aarch64_ld2v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2si_dreg },
    &operand_data[5803],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8378 */
  {
    "aarch64_ld2v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hf_dreg },
    &operand_data[5805],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8378 */
  {
    "aarch64_ld2v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2sf_dreg },
    &operand_data[5807],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8378 */
  {
    "aarch64_ld2v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4bf_dreg },
    &operand_data[5809],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8388 */
  {
    "aarch64_ld2di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2di_dreg },
    &operand_data[5811],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8388 */
  {
    "aarch64_ld2df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2df_dreg },
    &operand_data[5813],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8398 */
  {
    "aarch64_ld3v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.8b - %U0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8qi_dreg },
    &operand_data[5555],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8398 */
  {
    "aarch64_ld3v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hi_dreg },
    &operand_data[5557],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8398 */
  {
    "aarch64_ld3v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2si_dreg },
    &operand_data[5559],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8398 */
  {
    "aarch64_ld3v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hf_dreg },
    &operand_data[5563],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8398 */
  {
    "aarch64_ld3v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.2s - %U0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2sf_dreg },
    &operand_data[5565],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8398 */
  {
    "aarch64_ld3v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3\t{%S0.4h - %U0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4bf_dreg },
    &operand_data[5569],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8408 */
  {
    "aarch64_ld3di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3di_dreg },
    &operand_data[5561],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8408 */
  {
    "aarch64_ld3df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %U0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3df_dreg },
    &operand_data[5567],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8418 */
  {
    "aarch64_ld4v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.8b - %V0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8qi_dreg },
    &operand_data[5571],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8418 */
  {
    "aarch64_ld4v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hi_dreg },
    &operand_data[5573],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8418 */
  {
    "aarch64_ld4v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2si_dreg },
    &operand_data[5575],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8418 */
  {
    "aarch64_ld4v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hf_dreg },
    &operand_data[5579],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8418 */
  {
    "aarch64_ld4v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.2s - %V0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2sf_dreg },
    &operand_data[5581],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8418 */
  {
    "aarch64_ld4v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4\t{%S0.4h - %V0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4bf_dreg },
    &operand_data[5585],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8428 */
  {
    "aarch64_ld4di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4di_dreg },
    &operand_data[5577],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8428 */
  {
    "aarch64_ld4df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %V0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4df_dreg },
    &operand_data[5583],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8520 */
  {
    "aarch64_qtbl1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.8b, {%1.16b}, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl1v8qi },
    &operand_data[5815],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8520 */
  {
    "aarch64_qtbl1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.16b, {%1.16b}, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl1v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8530 */
  {
    "aarch64_qtbx1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.8b, {%2.16b}, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx1v8qi },
    &operand_data[5818],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8530 */
  {
    "aarch64_qtbx1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.16b, {%2.16b}, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx1v16qi },
    &operand_data[2089],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8543 */
  {
    "aarch64_qtbl2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %T1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl2v8qi },
    &operand_data[5822],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8543 */
  {
    "aarch64_qtbl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %T1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl2v16qi },
    &operand_data[5825],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8553 */
  {
    "aarch64_qtbx2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %T2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx2v8qi },
    &operand_data[5828],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8553 */
  {
    "aarch64_qtbx2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %T2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx2v16qi },
    &operand_data[5832],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8566 */
  {
    "aarch64_qtbl3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %U1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl3v8qi },
    &operand_data[5836],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8566 */
  {
    "aarch64_qtbl3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %U1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl3v16qi },
    &operand_data[5839],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8576 */
  {
    "aarch64_qtbx3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %U2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx3v8qi },
    &operand_data[5842],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8576 */
  {
    "aarch64_qtbx3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %U2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx3v16qi },
    &operand_data[5846],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8589 */
  {
    "aarch64_qtbl4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.8b, {%S1.16b - %V1.16b}, %S2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl4v8qi },
    &operand_data[5850],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8589 */
  {
    "aarch64_qtbl4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%S0.16b, {%S1.16b - %V1.16b}, %S2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbl4v16qi },
    &operand_data[5853],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8599 */
  {
    "aarch64_qtbx4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.8b, {%S2.16b - %V2.16b}, %S3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx4v8qi },
    &operand_data[5856],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8599 */
  {
    "aarch64_qtbx4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%S0.16b, {%S2.16b - %V2.16b}, %S3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_qtbx4v16qi },
    &operand_data[5860],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8610 */
  {
    "aarch64_combinev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev16qi },
    &operand_data[5864],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8qi },
    &operand_data[1672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8qi_vec_concatz_le },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8b, %1.8b, %2.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8qi_vec_concatz_be },
    &operand_data[1675],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v16qi },
    &operand_data[1679],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hi },
    &operand_data[1682],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hi_vec_concatz_le },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hi_vec_concatz_be },
    &operand_data[1685],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8hi },
    &operand_data[1689],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2si },
    &operand_data[1692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2si_vec_concatz_le },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2si_vec_concatz_be },
    &operand_data[1695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hf_vec_concatz_le },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4hf_vec_concatz_be },
    &operand_data[1711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4bf },
    &operand_data[5867],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4bf_vec_concatz_le },
    &operand_data[5870],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4bf_vec_concatz_be },
    &operand_data[5870],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4bf },
    &operand_data[5867],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4bf_vec_concatz_le },
    &operand_data[5870],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4bf_vec_concatz_be },
    &operand_data[5870],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4bf },
    &operand_data[5867],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4bf_vec_concatz_le },
    &operand_data[5870],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4bf_vec_concatz_be },
    &operand_data[5870],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4bf },
    &operand_data[5867],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4bf_vec_concatz_le },
    &operand_data[5870],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4bf_vec_concatz_be },
    &operand_data[5870],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4bf },
    &operand_data[5867],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4bf_vec_concatz_le },
    &operand_data[5870],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4bf_vec_concatz_be },
    &operand_data[5870],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4bf },
    &operand_data[5867],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4bf_vec_concatz_le },
    &operand_data[5870],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4bf_vec_concatz_be },
    &operand_data[5870],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8bf },
    &operand_data[5874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v8bf },
    &operand_data[5874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v8bf },
    &operand_data[5874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v8bf },
    &operand_data[5874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v8bf },
    &operand_data[5874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v8bf },
    &operand_data[5874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2sf_vec_concatz_le },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2sf_vec_concatz_be },
    &operand_data[1721],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_zip2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip2v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn1v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_trn2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_trn2v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp1v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8629 */
  {
    "aarch64_uzp2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uzp2v2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8641 */
  {
    "aarch64_zip1v16qi_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.16b, %1.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v16qi_low },
    &operand_data[1675],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8641 */
  {
    "aarch64_zip1v8hi_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hi_low },
    &operand_data[1685],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8641 */
  {
    "aarch64_zip1v4si_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4si_low },
    &operand_data[1695],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8641 */
  {
    "aarch64_zip1v2di_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2di_low },
    &operand_data[4168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8641 */
  {
    "aarch64_zip1v8hf_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8hf_low },
    &operand_data[1711],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8641 */
  {
    "aarch64_zip1v4sf_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v4sf_low },
    &operand_data[1721],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8641 */
  {
    "aarch64_zip1v2df_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v2df_low },
    &operand_data[2119],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8641 */
  {
    "aarch64_zip1v8bf_low",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_zip1v8bf_low },
    &operand_data[5870],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4994 },
#else
    { 0, 0, output_4994 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8qi },
    &operand_data[5877],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4995 },
#else
    { 0, 0, output_4995 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv16qi },
    &operand_data[5881],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4996 },
#else
    { 0, 0, output_4996 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4hi },
    &operand_data[5885],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4997 },
#else
    { 0, 0, output_4997 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8hi },
    &operand_data[5889],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4998 },
#else
    { 0, 0, output_4998 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2si },
    &operand_data[1872],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_4999 },
#else
    { 0, 0, output_4999 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4si },
    &operand_data[3949],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5000 },
#else
    { 0, 0, output_5000 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2di },
    &operand_data[5893],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5001 },
#else
    { 0, 0, output_5001 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4hf },
    &operand_data[5897],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5002 },
#else
    { 0, 0, output_5002 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8hf },
    &operand_data[5901],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5003 },
#else
    { 0, 0, output_5003 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4bf },
    &operand_data[5905],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5004 },
#else
    { 0, 0, output_5004 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv8bf },
    &operand_data[5909],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5005 },
#else
    { 0, 0, output_5005 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2sf },
    &operand_data[1888],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5006 },
#else
    { 0, 0, output_5006 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv4sf },
    &operand_data[3790],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8655 */
  {
    "aarch64_extv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5007 },
#else
    { 0, 0, output_5007 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_extv2df },
    &operand_data[3794],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8qi },
    &operand_data[1486],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v8qi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8qi_vec_concatz_le },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v8qi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8b, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8qi_vec_concatz_be },
    &operand_data[1705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hi_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hi_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hi_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hi_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hi },
    &operand_data[1492],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v4hi_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hi_vec_concatz_le },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v4hi_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hi_vec_concatz_be },
    &operand_data[1963],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8hi },
    &operand_data[1495],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2si_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2si_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2si_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2si_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v2si_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2si_vec_concatz_le },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v2si_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2si_vec_concatz_be },
    &operand_data[1966],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2di },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2di },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2di },
    &operand_data[1504],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hf_vec_concatz_le },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4hf_vec_concatz_be },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hf_vec_concatz_le },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4hf_vec_concatz_be },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v4hf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hf_vec_concatz_le },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v4hf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4hf_vec_concatz_be },
    &operand_data[2946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4bf },
    &operand_data[1513],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4bf_vec_concatz_le },
    &operand_data[5913],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4bf_vec_concatz_be },
    &operand_data[5913],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4bf },
    &operand_data[1513],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4bf_vec_concatz_le },
    &operand_data[5913],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4bf_vec_concatz_be },
    &operand_data[5913],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4bf },
    &operand_data[1513],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v4bf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4bf_vec_concatz_le },
    &operand_data[5913],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v4bf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4bf_vec_concatz_be },
    &operand_data[5913],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v8bf },
    &operand_data[1516],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v8bf },
    &operand_data[1516],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v8bf },
    &operand_data[1516],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2sf_vec_concatz_le },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2sf_vec_concatz_be },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2sf_vec_concatz_le },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2sf_vec_concatz_be },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v2sf_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2sf_vec_concatz_le },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v2sf_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2sf_vec_concatz_be },
    &operand_data[2949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev64v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev64\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev64v2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev32v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev32\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev32v2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8673 */
  {
    "aarch64_rev16v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev16\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16v2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8682 */
  {
    "aarch64_st2v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.8b - %T1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8qi_dreg },
    &operand_data[5587],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8682 */
  {
    "aarch64_st2v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hi_dreg },
    &operand_data[5589],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8682 */
  {
    "aarch64_st2v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2si_dreg },
    &operand_data[5591],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8682 */
  {
    "aarch64_st2v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hf_dreg },
    &operand_data[5595],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8682 */
  {
    "aarch64_st2v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.2s - %T1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2sf_dreg },
    &operand_data[5597],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8682 */
  {
    "aarch64_st2v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2\t{%S1.4h - %T1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4bf_dreg },
    &operand_data[5601],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8692 */
  {
    "aarch64_st2di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2di_dreg },
    &operand_data[5593],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8692 */
  {
    "aarch64_st2df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %T1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2df_dreg },
    &operand_data[5599],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8702 */
  {
    "aarch64_st3v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.8b - %U1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8qi_dreg },
    &operand_data[5603],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8702 */
  {
    "aarch64_st3v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hi_dreg },
    &operand_data[5605],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8702 */
  {
    "aarch64_st3v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2si_dreg },
    &operand_data[5607],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8702 */
  {
    "aarch64_st3v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hf_dreg },
    &operand_data[5611],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8702 */
  {
    "aarch64_st3v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.2s - %U1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2sf_dreg },
    &operand_data[5613],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8702 */
  {
    "aarch64_st3v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3\t{%S1.4h - %U1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4bf_dreg },
    &operand_data[5617],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8712 */
  {
    "aarch64_st3di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3di_dreg },
    &operand_data[5609],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8712 */
  {
    "aarch64_st3df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %U1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3df_dreg },
    &operand_data[5615],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8722 */
  {
    "aarch64_st4v8qi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.8b - %V1.8b}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8qi_dreg },
    &operand_data[5619],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8722 */
  {
    "aarch64_st4v4hi_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hi_dreg },
    &operand_data[5621],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8722 */
  {
    "aarch64_st4v2si_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2si_dreg },
    &operand_data[5623],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8722 */
  {
    "aarch64_st4v4hf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hf_dreg },
    &operand_data[5627],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8722 */
  {
    "aarch64_st4v2sf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.2s - %V1.2s}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2sf_dreg },
    &operand_data[5629],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8722 */
  {
    "aarch64_st4v4bf_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4\t{%S1.4h - %V1.4h}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4bf_dreg },
    &operand_data[5633],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8732 */
  {
    "aarch64_st4di_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4di_dreg },
    &operand_data[5625],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8732 */
  {
    "aarch64_st4df_dreg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1\t{%S1.1d - %V1.1d}, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4df_dreg },
    &operand_data[5631],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5916],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5918],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5920],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5922],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5924],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5926],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5928],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5930],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5932],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5934],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5936],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5938],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5940],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8813 */
  {
    "*aarch64_simd_ld1rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1r\t{%0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5942],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v8qi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8b - %T0.8b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8qi_x2 },
    &operand_data[5799],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v4hi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4hi_x2 },
    &operand_data[5801],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v2si_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2si_x2 },
    &operand_data[5803],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1di_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1di_x2 },
    &operand_data[5811],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v4hf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4hf_x2 },
    &operand_data[5805],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v2sf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2s - %T0.2s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2sf_x2 },
    &operand_data[5807],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1df_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.1d - %T0.1d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1df_x2 },
    &operand_data[5813],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v4bf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4h - %T0.4h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4bf_x2 },
    &operand_data[5809],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v16qi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.16b - %T0.16b}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v16qi_x2 },
    &operand_data[4855],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v8hi_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8hi_x2 },
    &operand_data[4857],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v4si_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4si_x2 },
    &operand_data[4859],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v2di_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2di_x2 },
    &operand_data[4861],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v8hf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8hf_x2 },
    &operand_data[4863],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v4sf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.4s - %T0.4s}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v4sf_x2 },
    &operand_data[4865],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v2df_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.2d - %T0.2d}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v2df_x2 },
    &operand_data[4867],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8822 */
  {
    "aarch64_simd_ld1v8bf_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1\t{%S0.8h - %T0.8h}, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ld1v8bf_x2 },
    &operand_data[4869],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8833 */
  {
    "aarch64_frecpev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.4h, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev4hf },
    &operand_data[1507],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8833 */
  {
    "aarch64_frecpev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.8h, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev8hf },
    &operand_data[1510],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8833 */
  {
    "aarch64_frecpev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev2sf },
    &operand_data[1430],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8833 */
  {
    "aarch64_frecpev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev4sf },
    &operand_data[1432],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8833 */
  {
    "aarch64_frecpev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.2d, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpev2df },
    &operand_data[1434],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8833 */
  {
    "aarch64_frecpehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpehf },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8833 */
  {
    "aarch64_frecpesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpesf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8833 */
  {
    "aarch64_frecpedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpedf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8843 */
  {
    "aarch64_frecpxhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%h0, %h1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxhf },
    &operand_data[1177],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8843 */
  {
    "aarch64_frecpxsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxsf },
    &operand_data[1179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8843 */
  {
    "aarch64_frecpxdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpx\t%d0, %d1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpxdf },
    &operand_data[1181],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8852 */
  {
    "aarch64_frecpsv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8852 */
  {
    "aarch64_frecpsv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8852 */
  {
    "aarch64_frecpsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8852 */
  {
    "aarch64_frecpsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8852 */
  {
    "aarch64_frecpsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8852 */
  {
    "aarch64_frecpshf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%h0, %h1, %h2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpshf },
    &operand_data[1207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8852 */
  {
    "aarch64_frecpssf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%s0, %s1, %s2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpssf },
    &operand_data[1211],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8852 */
  {
    "aarch64_frecpsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%d0, %d1, %d2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsdf },
    &operand_data[1215],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8863 */
  {
    "aarch64_urecpev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urecpe\t%0.2s, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urecpev2si },
    &operand_data[1498],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8863 */
  {
    "aarch64_urecpev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urecpe\t%0.4s, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urecpev4si },
    &operand_data[1501],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8915 */
  {
    "aarch64_crypto_aesev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesev16qi },
    &operand_data[5944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8915 */
  {
    "aarch64_crypto_aesdv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.16b, %2.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesdv16qi },
    &operand_data[5944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8927 */
  {
    "aarch64_crypto_aesmcv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesmc\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesmcv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8927 */
  {
    "aarch64_crypto_aesimcv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesimc\t%0.16b, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_aesimcv16qi },
    &operand_data[1489],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8941 */
  {
    "*aarch64_crypto_aese_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.16b, %2.16b\n\taesmc\t%0.16b, %0.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8962 */
  {
    "*aarch64_crypto_aesd_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.16b, %2.16b\n\taesimc\t%0.16b, %0.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[5944],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8980 */
  {
    "aarch64_crypto_sha1hsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1hsi },
    &operand_data[938],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8990 */
  {
    "aarch64_crypto_sha1hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1hv4si },
    &operand_data[3179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9000 */
  {
    "aarch64_be_crypto_sha1hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1h\t%s0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_be_crypto_sha1hv4si },
    &operand_data[3179],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9010 */
  {
    "aarch64_crypto_sha1su1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1su1\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1su1v4si },
    &operand_data[2115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9020 */
  {
    "aarch64_crypto_sha1cv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1c\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1cv4si },
    &operand_data[5947],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9020 */
  {
    "aarch64_crypto_sha1mv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1m\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1mv4si },
    &operand_data[5947],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9020 */
  {
    "aarch64_crypto_sha1pv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1p\t%q0, %s2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1pv4si },
    &operand_data[5947],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9031 */
  {
    "aarch64_crypto_sha1su0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha1su0\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha1su0v4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9044 */
  {
    "aarch64_crypto_sha256hv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256h\t%q0, %q2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256hv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9044 */
  {
    "aarch64_crypto_sha256h2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256h2\t%q0, %q2, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256h2v4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9055 */
  {
    "aarch64_crypto_sha256su0v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256su0\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256su0v4si },
    &operand_data[2115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9065 */
  {
    "aarch64_crypto_sha256su1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha256su1\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha256su1v4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9078 */
  {
    "aarch64_crypto_sha512hqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512h\t%q0, %q2, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512hqv2di },
    &operand_data[5951],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9078 */
  {
    "aarch64_crypto_sha512h2qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512h2\t%q0, %q2, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512h2qv2di },
    &operand_data[5951],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9089 */
  {
    "aarch64_crypto_sha512su0qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512su0\t%0.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512su0qv2di },
    &operand_data[2544],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9099 */
  {
    "aarch64_crypto_sha512su1qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sha512su1\t%0.2d, %2.2d, %3.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_sha512su1qv2di },
    &operand_data[5951],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9112 */
  {
    "eor3qv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv16qi4 },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9112 */
  {
    "eor3qv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv8hi4 },
    &operand_data[5959],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9112 */
  {
    "eor3qv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv4si4 },
    &operand_data[5963],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9112 */
  {
    "eor3qv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor3\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_eor3qv2di4 },
    &operand_data[5967],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9124 */
  {
    "aarch64_rax1qv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rax1\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rax1qv2di },
    &operand_data[1702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9136 */
  {
    "*aarch64_xarqv2di_insn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5188 },
#else
    { 0, 0, output_5188 },
#endif
    { 0 },
    &operand_data[5971],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9173 */
  {
    "bcaxqv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv16qi4 },
    &operand_data[5955],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9173 */
  {
    "bcaxqv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv8hi4 },
    &operand_data[5959],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9173 */
  {
    "bcaxqv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv4si4 },
    &operand_data[5963],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9173 */
  {
    "bcaxqv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bcax\t%0.16b, %1.16b, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_bcaxqv2di4 },
    &operand_data[5967],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9187 */
  {
    "aarch64_sm3ss1qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3ss1\t%0.4s, %1.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3ss1qv4si },
    &operand_data[5963],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9199 */
  {
    "aarch64_sm3tt1aqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt1a\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt1aqv4si },
    &operand_data[5975],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9199 */
  {
    "aarch64_sm3tt1bqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt1b\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt1bqv4si },
    &operand_data[5975],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9199 */
  {
    "aarch64_sm3tt2aqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt2a\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt2aqv4si },
    &operand_data[5975],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9199 */
  {
    "aarch64_sm3tt2bqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3tt2b\t%0.4s, %2.4s, %3.4s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3tt2bqv4si },
    &operand_data[5975],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9211 */
  {
    "aarch64_sm3partw1qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3partw1\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3partw1qv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9211 */
  {
    "aarch64_sm3partw2qv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm3partw2\t%0.4s, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm3partw2qv4si },
    &operand_data[2115],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9224 */
  {
    "aarch64_sm4eqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4e\t%0.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm4eqv4si },
    &operand_data[2115],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9234 */
  {
    "aarch64_sm4ekeyqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4ekey\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sm4ekeyqv4si },
    &operand_data[1699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9289 */
  {
    "aarch64_simd_fmlal_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lowv2sf },
    &operand_data[5980],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9289 */
  {
    "aarch64_simd_fmlalq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lowv4sf },
    &operand_data[5986],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9306 */
  {
    "aarch64_simd_fmlsl_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lowv2sf },
    &operand_data[5980],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9306 */
  {
    "aarch64_simd_fmlslq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lowv4sf },
    &operand_data[5986],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9324 */
  {
    "aarch64_simd_fmlal_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_highv2sf },
    &operand_data[5992],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9324 */
  {
    "aarch64_simd_fmlalq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_highv4sf },
    &operand_data[5998],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9341 */
  {
    "aarch64_simd_fmlsl_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.2h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_highv2sf },
    &operand_data[5992],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9341 */
  {
    "aarch64_simd_fmlslq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_highv4sf },
    &operand_data[5998],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9400 */
  {
    "aarch64_simd_fmlal_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lane_lowv2sf },
    &operand_data[6004],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9418 */
  {
    "aarch64_simd_fmlsl_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lane_lowv2sf },
    &operand_data[6004],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9437 */
  {
    "aarch64_simd_fmlal_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_lane_highv2sf },
    &operand_data[6010],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9455 */
  {
    "aarch64_simd_fmlsl_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_lane_highv2sf },
    &operand_data[6010],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9514 */
  {
    "aarch64_simd_fmlalq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_laneq_lowv4sf },
    &operand_data[6016],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9532 */
  {
    "aarch64_simd_fmlslq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_laneq_lowv4sf },
    &operand_data[6016],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9551 */
  {
    "aarch64_simd_fmlalq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_laneq_highv4sf },
    &operand_data[6022],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9569 */
  {
    "aarch64_simd_fmlslq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_laneq_highv4sf },
    &operand_data[6022],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9630 */
  {
    "aarch64_simd_fmlal_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_laneq_lowv2sf },
    &operand_data[6028],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9648 */
  {
    "aarch64_simd_fmlsl_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_laneq_lowv2sf },
    &operand_data[6028],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9667 */
  {
    "aarch64_simd_fmlal_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlal_laneq_highv2sf },
    &operand_data[6034],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9685 */
  {
    "aarch64_simd_fmlsl_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.2s, %2.2h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlsl_laneq_highv2sf },
    &operand_data[6034],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9744 */
  {
    "aarch64_simd_fmlalq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lane_lowv4sf },
    &operand_data[6040],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9762 */
  {
    "aarch64_simd_fmlslq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lane_lowv4sf },
    &operand_data[6040],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9781 */
  {
    "aarch64_simd_fmlalq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlalq_lane_highv4sf },
    &operand_data[6046],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9799 */
  {
    "aarch64_simd_fmlslq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl2\t%0.4s, %2.4h, %3.h[%5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_fmlslq_lane_highv4sf },
    &operand_data[6046],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9820 */
  {
    "aarch64_crypto_pmulldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull\t%0.1q, %1.1d, %2.1d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_pmulldi },
    &operand_data[6052],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9830 */
  {
    "aarch64_crypto_pmullv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmull2\t%0.1q, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_crypto_pmullv2di },
    &operand_data[6055],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9841 */
  {
    "extendv8qiv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv8qiv8hi2 },
    &operand_data[1972],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9841 */
  {
    "zero_extendv8qiv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv8qiv8hi2 },
    &operand_data[1972],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9841 */
  {
    "extendv4hiv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv4hiv4si2 },
    &operand_data[1975],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9841 */
  {
    "zero_extendv4hiv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.4s, %1.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv4hiv4si2 },
    &operand_data[1975],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9841 */
  {
    "extendv2siv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendv2siv2di2 },
    &operand_data[1978],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9841 */
  {
    "zero_extendv2siv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uxtl\t%0.2d, %1.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendv2siv2di2 },
    &operand_data[1978],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9871 */
  {
    "truncv8hiv8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv8hiv8qi2 },
    &operand_data[3678],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9871 */
  {
    "truncv8hiv8qi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv8hiv8qi2_vec_concatz_le },
    &operand_data[3855],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9871 */
  {
    "truncv8hiv8qi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.8b, %1.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv8hiv8qi2_vec_concatz_be },
    &operand_data[3855],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9871 */
  {
    "truncv4siv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4siv4hi2 },
    &operand_data[3687],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9871 */
  {
    "truncv4siv4hi2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4siv4hi2_vec_concatz_le },
    &operand_data[3858],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9871 */
  {
    "truncv4siv4hi2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv4siv4hi2_vec_concatz_be },
    &operand_data[3858],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9871 */
  {
    "truncv2div2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2div2si2 },
    &operand_data[3696],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9871 */
  {
    "truncv2div2si2_vec_concatz_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2div2si2_vec_concatz_le },
    &operand_data[3861],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9871 */
  {
    "truncv2div2si2_vec_concatz_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "xtn\t%0.2s, %1.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncv2div2si2_vec_concatz_be },
    &operand_data[3861],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9888 */
  {
    "aarch64_bfdotv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\t%0.2s, %2.4h, %3.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdotv2sf },
    &operand_data[6058],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9888 */
  {
    "aarch64_bfdotv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdotv4sf },
    &operand_data[6062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9901 */
  {
    "aarch64_bfdot_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5245 },
#else
    { 0, 0, output_5245 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_lanev2sf },
    &operand_data[6066],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9901 */
  {
    "aarch64_bfdot_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5246 },
#else
    { 0, 0, output_5246 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_lanev4sf },
    &operand_data[6071],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9901 */
  {
    "aarch64_bfdot_laneqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5247 },
#else
    { 0, 0, output_5247 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_laneqv2sf },
    &operand_data[6076],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9901 */
  {
    "aarch64_bfdot_laneqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5248 },
#else
    { 0, 0, output_5248 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfdot_laneqv4sf },
    &operand_data[6081],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9921 */
  {
    "aarch64_bfmmlaqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmmla\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmmlaqv4sf },
    &operand_data[6062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9933 */
  {
    "aarch64_bfmlalbv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlalb\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalbv4sf },
    &operand_data[6062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9933 */
  {
    "aarch64_bfmlaltv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlalt\t%0.4s, %2.8h, %3.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlaltv4sf },
    &operand_data[6062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9944 */
  {
    "aarch64_bfmlalb_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5252 },
#else
    { 0, 0, output_5252 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalb_lanev4sf },
    &operand_data[6086],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9944 */
  {
    "aarch64_bfmlalt_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5253 },
#else
    { 0, 0, output_5253 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalt_lanev4sf },
    &operand_data[6086],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9944 */
  {
    "aarch64_bfmlalb_lane_qv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5254 },
#else
    { 0, 0, output_5254 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalb_lane_qv4sf },
    &operand_data[6091],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9944 */
  {
    "aarch64_bfmlalt_lane_qv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5255 },
#else
    { 0, 0, output_5255 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfmlalt_lane_qv4sf },
    &operand_data[6091],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9960 */
  {
    "aarch64_simd_smmlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smmla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_smmlav16qi },
    &operand_data[1859],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9960 */
  {
    "aarch64_simd_ummlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ummla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_ummlav16qi },
    &operand_data[1859],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9960 */
  {
    "aarch64_simd_usmmlav16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmmla\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_usmmlav16qi },
    &operand_data[1859],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9972 */
  {
    "aarch64_bfcvtnv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtnv4bf },
    &operand_data[6096],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9972 */
  {
    "aarch64_bfcvtn_qv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.4h, %1.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtn_qv8bf },
    &operand_data[6098],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9981 */
  {
    "aarch64_bfcvtn2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn2\t%0.8h, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtn2v8bf },
    &operand_data[6100],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9991 */
  {
    "aarch64_bfcvtbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvt\t%h0, %s1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtbf },
    &operand_data[6103],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10001 */
  {
    "aarch64_vbfcvtv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll\t%0.4s, %1.4h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvtv4bf },
    &operand_data[6105],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10001 */
  {
    "aarch64_vbfcvtv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll\t%0.4s, %1.4h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvtv8bf },
    &operand_data[6107],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10010 */
  {
    "aarch64_vbfcvt_highv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shll2\t%0.4s, %1.8h, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vbfcvt_highv8bf },
    &operand_data[6107],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10019 */
  {
    "aarch64_bfcvtsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shl\t%d0, %d1, #16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_bfcvtsf },
    &operand_data[6109],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10029 */
  {
    "aarch64_famaxv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_famaxv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10029 */
  {
    "aarch64_faminv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faminv4hf },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10029 */
  {
    "aarch64_famaxv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_famaxv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10029 */
  {
    "aarch64_faminv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faminv8hf },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10029 */
  {
    "aarch64_famaxv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_famaxv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10029 */
  {
    "aarch64_faminv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faminv2sf },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10029 */
  {
    "aarch64_famaxv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_famaxv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10029 */
  {
    "aarch64_faminv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faminv4sf },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10029 */
  {
    "aarch64_famaxv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_famaxv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10029 */
  {
    "aarch64_faminv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_faminv2df },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10038 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10038 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10038 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10038 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1715],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10038 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10038 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1718],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10038 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10038 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10038 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famax\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10038 */
  {
    "*aarch64_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "famin\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[1728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10047 */
  {
    "aarch64_lutv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.16b, {%1.16b}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv8qiv8qi },
    &operand_data[6111],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10047 */
  {
    "aarch64_lutv16qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.16b, {%1.16b}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv16qiv8qi },
    &operand_data[6116],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10047 */
  {
    "aarch64_lutv4hiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.8h, {%1.8h}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv4hiv8qi },
    &operand_data[6121],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10047 */
  {
    "aarch64_lutv4hfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.8h, {%1.8h}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv4hfv8qi },
    &operand_data[6126],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10047 */
  {
    "aarch64_lutv4bfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.8h, {%1.8h}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv4bfv8qi },
    &operand_data[6131],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10047 */
  {
    "aarch64_lutv8qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.16b, {%1.16b}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv8qiv16qi },
    &operand_data[6136],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10047 */
  {
    "aarch64_lutv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.16b, {%1.16b}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv16qiv16qi },
    &operand_data[6141],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10047 */
  {
    "aarch64_lutv4hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.8h, {%1.8h}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv4hiv16qi },
    &operand_data[6146],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10047 */
  {
    "aarch64_lutv4hfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.8h, {%1.8h}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv4hfv16qi },
    &operand_data[6151],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10047 */
  {
    "aarch64_lutv4bfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.8h, {%1.8h}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv4bfv16qi },
    &operand_data[6156],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10060 */
  {
    "aarch64_lutv2x8hiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.8h, {%S1.8h, %T1.8h}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv2x8hiv8qi },
    &operand_data[6161],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10060 */
  {
    "aarch64_lutv2x8hfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.8h, {%S1.8h, %T1.8h}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv2x8hfv8qi },
    &operand_data[6166],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10060 */
  {
    "aarch64_lutv2x8bfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.8h, {%S1.8h, %T1.8h}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv2x8bfv8qi },
    &operand_data[6171],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10060 */
  {
    "aarch64_lutv2x8hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.8h, {%S1.8h, %T1.8h}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv2x8hiv16qi },
    &operand_data[6176],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10060 */
  {
    "aarch64_lutv2x8hfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.8h, {%S1.8h, %T1.8h}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv2x8hfv16qi },
    &operand_data[6181],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10060 */
  {
    "aarch64_lutv2x8bfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti%4\t%0.8h, {%S1.8h, %T1.8h}, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lutv2x8bfv16qi },
    &operand_data[6186],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10073 */
  {
    "aarch64_f1cvtlv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "f1cvtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_f1cvtlv8hf },
    &operand_data[6191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10073 */
  {
    "aarch64_f2cvtlv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "f2cvtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_f2cvtlv8hf },
    &operand_data[6191],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10073 */
  {
    "aarch64_f1cvtlv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bf1cvtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_f1cvtlv8bf },
    &operand_data[6193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10073 */
  {
    "aarch64_f2cvtlv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bf2cvtl\t%0.8h, %1.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_f2cvtlv8bf },
    &operand_data[6193],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10084 */
  {
    "aarch64_f1cvtlv8hf_high",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "f1cvtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_f1cvtlv8hf_high },
    &operand_data[6195],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10084 */
  {
    "aarch64_f2cvtlv8hf_high",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "f2cvtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_f2cvtlv8hf_high },
    &operand_data[6195],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10084 */
  {
    "aarch64_f1cvtlv8bf_high",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bf1cvtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_f1cvtlv8bf_high },
    &operand_data[6198],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10084 */
  {
    "aarch64_f2cvtlv8bf_high",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bf2cvtl2\t%0.8h, %1.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_f2cvtlv8bf_high },
    &operand_data[6198],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10097 */
  {
    "aarch64_fcvtnv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.8b, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcvtnv4hf },
    &operand_data[6201],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10097 */
  {
    "aarch64_fcvtnv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.16b, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcvtnv8hf },
    &operand_data[6204],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10097 */
  {
    "aarch64_fcvtnv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.8b, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcvtnv4sf },
    &operand_data[6207],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10109 */
  {
    "aarch64_fcvtnv4sf_high_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%1.16b, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcvtnv4sf_high_le },
    &operand_data[6210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10122 */
  {
    "aarch64_fcvtnv4sf_high_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn2\t%1.16b, %2.4s, %3.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcvtnv4sf_high_be },
    &operand_data[6210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10136 */
  {
    "aarch64_fscalev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fscale\t%0.4h, %1.4h, %2.4h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fscalev4hf },
    &operand_data[6214],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10136 */
  {
    "aarch64_fscalev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fscale\t%0.8h, %1.8h, %2.8h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fscalev8hf },
    &operand_data[6217],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10136 */
  {
    "aarch64_fscalev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fscale\t%0.2s, %1.2s, %2.2s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fscalev2sf },
    &operand_data[6220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10136 */
  {
    "aarch64_fscalev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fscale\t%0.4s, %1.4s, %2.4s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fscalev4sf },
    &operand_data[6223],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10136 */
  {
    "aarch64_fscalev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fscale\t%0.2d, %1.2d, %2.2d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fscalev2df },
    &operand_data[6226],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10147 */
  {
    "aarch64_fdotv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\t%1.4h, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdotv4hf },
    &operand_data[6229],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10147 */
  {
    "aarch64_fdotv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\t%1.8h, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdotv8hf },
    &operand_data[6233],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10147 */
  {
    "aarch64_fdotv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\t%1.2s, %2.8b, %3.8b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdotv2sf },
    &operand_data[6237],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10147 */
  {
    "aarch64_fdotv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\t%1.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdotv4sf },
    &operand_data[6241],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10159 */
  {
    "aarch64_fdot_lanev4hfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\t%1.4h, %2.8b, %3.2b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdot_lanev4hfv8qi },
    &operand_data[6245],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10159 */
  {
    "aarch64_fdot_lanev8hfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\t%1.8h, %2.16b, %3.2b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdot_lanev8hfv8qi },
    &operand_data[6250],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10159 */
  {
    "aarch64_fdot_lanev2sfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\t%1.2s, %2.8b, %3.4b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdot_lanev2sfv8qi },
    &operand_data[6255],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10159 */
  {
    "aarch64_fdot_lanev4sfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\t%1.4s, %2.16b, %3.4b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdot_lanev4sfv8qi },
    &operand_data[6260],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10159 */
  {
    "aarch64_fdot_lanev4hfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\t%1.4h, %2.8b, %3.2b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdot_lanev4hfv16qi },
    &operand_data[6265],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10159 */
  {
    "aarch64_fdot_lanev8hfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\t%1.8h, %2.16b, %3.2b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdot_lanev8hfv16qi },
    &operand_data[6270],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10159 */
  {
    "aarch64_fdot_lanev2sfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\t%1.2s, %2.8b, %3.4b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdot_lanev2sfv16qi },
    &operand_data[6275],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10159 */
  {
    "aarch64_fdot_lanev4sfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\t%1.4s, %2.16b, %3.4b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdot_lanev4sfv16qi },
    &operand_data[6280],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10173 */
  {
    "aarch64_fmlalbv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlalb\t%0.8h, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalbv8hf },
    &operand_data[6233],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10173 */
  {
    "aarch64_fmlaltv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlalt\t%0.8h, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlaltv8hf },
    &operand_data[6233],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10185 */
  {
    "aarch64_fmlalb_lanev8hfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5335 },
#else
    { 0, 0, output_5335 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalb_lanev8hfv8qi },
    &operand_data[6285],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10185 */
  {
    "aarch64_fmlalt_lanev8hfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5336 },
#else
    { 0, 0, output_5336 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalt_lanev8hfv8qi },
    &operand_data[6285],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10185 */
  {
    "aarch64_fmlalb_lanev8hfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5337 },
#else
    { 0, 0, output_5337 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalb_lanev8hfv16qi },
    &operand_data[6290],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10185 */
  {
    "aarch64_fmlalt_lanev8hfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5338 },
#else
    { 0, 0, output_5338 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalt_lanev8hfv16qi },
    &operand_data[6290],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10204 */
  {
    "aarch64_fmlallbbv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlallbb\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlallbbv4sf },
    &operand_data[6241],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10204 */
  {
    "aarch64_fmlallbtv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlallbt\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlallbtv4sf },
    &operand_data[6241],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10204 */
  {
    "aarch64_fmlalltbv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlalltb\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalltbv4sf },
    &operand_data[6241],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10204 */
  {
    "aarch64_fmlallttv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlalltt\t%0.4s, %2.16b, %3.16b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlallttv4sf },
    &operand_data[6241],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10216 */
  {
    "aarch64_fmlallbb_lanev4sfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5343 },
#else
    { 0, 0, output_5343 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlallbb_lanev4sfv8qi },
    &operand_data[6295],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10216 */
  {
    "aarch64_fmlallbt_lanev4sfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5344 },
#else
    { 0, 0, output_5344 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlallbt_lanev4sfv8qi },
    &operand_data[6295],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10216 */
  {
    "aarch64_fmlalltb_lanev4sfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5345 },
#else
    { 0, 0, output_5345 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalltb_lanev4sfv8qi },
    &operand_data[6295],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10216 */
  {
    "aarch64_fmlalltt_lanev4sfv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5346 },
#else
    { 0, 0, output_5346 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalltt_lanev4sfv8qi },
    &operand_data[6295],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10216 */
  {
    "aarch64_fmlallbb_lanev4sfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5347 },
#else
    { 0, 0, output_5347 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlallbb_lanev4sfv16qi },
    &operand_data[6300],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10216 */
  {
    "aarch64_fmlallbt_lanev4sfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5348 },
#else
    { 0, 0, output_5348 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlallbt_lanev4sfv16qi },
    &operand_data[6300],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10216 */
  {
    "aarch64_fmlalltb_lanev4sfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5349 },
#else
    { 0, 0, output_5349 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalltb_lanev4sfv16qi },
    &operand_data[6300],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:10216 */
  {
    "aarch64_fmlalltt_lanev4sfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5350 },
#else
    { 0, 0, output_5350 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalltt_lanev4sfv16qi },
    &operand_data[6300],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:44 */
  {
    "aarch64_compare_and_swapqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapqi },
    &operand_data[6305],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:44 */
  {
    "aarch64_compare_and_swaphi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swaphi },
    &operand_data[6313],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:70 */
  {
    "aarch64_compare_and_swapsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapsi },
    &operand_data[6321],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:70 */
  {
    "aarch64_compare_and_swapdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapdi },
    &operand_data[6329],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:94 */
  {
    "aarch64_compare_and_swapti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapti },
    &operand_data[6337],
    7,
    8,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:118 */
  {
    "aarch64_compare_and_swapqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5356 },
#else
    { 0, 0, output_5356 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapqi_lse },
    &operand_data[6345],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:118 */
  {
    "aarch64_compare_and_swaphi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5357 },
#else
    { 0, 0, output_5357 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swaphi_lse },
    &operand_data[6349],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:141 */
  {
    "aarch64_compare_and_swapsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5358 },
#else
    { 0, 0, output_5358 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapsi_lse },
    &operand_data[6353],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:141 */
  {
    "aarch64_compare_and_swapdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5359 },
#else
    { 0, 0, output_5359 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapdi_lse },
    &operand_data[6357],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:163 */
  {
    "aarch64_compare_and_swapti_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5360 },
#else
    { 0, 0, output_5360 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_compare_and_swapti_lse },
    &operand_data[6361],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangeqi },
    &operand_data[6365],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangehi },
    &operand_data[6370],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangesi },
    &operand_data[6375],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:217 */
  {
    "aarch64_atomic_exchangedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangedi },
    &operand_data[6380],
    4,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangeqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5365 },
#else
    { 0, 0, output_5365 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangeqi_lse },
    &operand_data[6385],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangehi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5366 },
#else
    { 0, 0, output_5366 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangehi_lse },
    &operand_data[6389],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangesi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5367 },
#else
    { 0, 0, output_5367 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangesi_lse },
    &operand_data[6393],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:238 */
  {
    "aarch64_atomic_exchangedi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5368 },
#else
    { 0, 0, output_5368 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_exchangedi_lse },
    &operand_data[6397],
    4,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addqi },
    &operand_data[6401],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subqi },
    &operand_data[6401],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orqi },
    &operand_data[6406],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorqi },
    &operand_data[6406],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andqi },
    &operand_data[6406],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addhi },
    &operand_data[6411],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subhi },
    &operand_data[6411],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orhi },
    &operand_data[6416],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorhi },
    &operand_data[6416],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andhi },
    &operand_data[6416],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addsi },
    &operand_data[6421],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subsi },
    &operand_data[6421],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_orsi },
    &operand_data[6426],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorsi },
    &operand_data[6426],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_andsi },
    &operand_data[6426],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_adddi },
    &operand_data[6431],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_subdi },
    &operand_data[6431],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_ordi },
    &operand_data[6436],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xordi },
    &operand_data[6436],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:338 */
  {
    "aarch64_atomic_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_anddi },
    &operand_data[6436],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5389 },
#else
    { 0, 0, output_5389 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorqi_lse },
    &operand_data[6441],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5390 },
#else
    { 0, 0, output_5390 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicqi_lse },
    &operand_data[6441],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5391 },
#else
    { 0, 0, output_5391 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorqi_lse },
    &operand_data[6441],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5392 },
#else
    { 0, 0, output_5392 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addqi_lse },
    &operand_data[6441],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5393 },
#else
    { 0, 0, output_5393 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorhi_lse },
    &operand_data[6445],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bichi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5394 },
#else
    { 0, 0, output_5394 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bichi_lse },
    &operand_data[6445],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5395 },
#else
    { 0, 0, output_5395 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorhi_lse },
    &operand_data[6445],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5396 },
#else
    { 0, 0, output_5396 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addhi_lse },
    &operand_data[6445],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5397 },
#else
    { 0, 0, output_5397 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iorsi_lse },
    &operand_data[6449],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5398 },
#else
    { 0, 0, output_5398 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicsi_lse },
    &operand_data[6449],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5399 },
#else
    { 0, 0, output_5399 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xorsi_lse },
    &operand_data[6449],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_addsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5400 },
#else
    { 0, 0, output_5400 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_addsi_lse },
    &operand_data[6449],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_iordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5401 },
#else
    { 0, 0, output_5401 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_iordi_lse },
    &operand_data[6453],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_bicdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5402 },
#else
    { 0, 0, output_5402 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_bicdi_lse },
    &operand_data[6453],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_xordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5403 },
#else
    { 0, 0, output_5403 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xordi_lse },
    &operand_data[6453],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:371 */
  {
    "aarch64_atomic_adddi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5404 },
#else
    { 0, 0, output_5404 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_adddi_lse },
    &operand_data[6453],
    3,
    4,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandqi },
    &operand_data[6406],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandhi },
    &operand_data[6416],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nandsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nandsi },
    &operand_data[6426],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:393 */
  {
    "atomic_nanddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nanddi },
    &operand_data[6436],
    3,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addqi },
    &operand_data[6457],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subqi },
    &operand_data[6457],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orqi },
    &operand_data[6463],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorqi },
    &operand_data[6463],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andqi },
    &operand_data[6463],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addhi },
    &operand_data[6469],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subhi },
    &operand_data[6469],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orhi },
    &operand_data[6475],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorhi },
    &operand_data[6475],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andhi },
    &operand_data[6475],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addsi },
    &operand_data[6481],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subsi },
    &operand_data[6481],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_orsi },
    &operand_data[6487],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorsi },
    &operand_data[6487],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_andsi },
    &operand_data[6487],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_adddi },
    &operand_data[6493],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_subdi },
    &operand_data[6493],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_ordi },
    &operand_data[6499],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xordi },
    &operand_data[6499],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:496 */
  {
    "aarch64_atomic_fetch_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_anddi },
    &operand_data[6499],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5429 },
#else
    { 0, 0, output_5429 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorqi_lse },
    &operand_data[6505],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5430 },
#else
    { 0, 0, output_5430 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicqi_lse },
    &operand_data[6505],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5431 },
#else
    { 0, 0, output_5431 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorqi_lse },
    &operand_data[6505],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addqi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5432 },
#else
    { 0, 0, output_5432 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addqi_lse },
    &operand_data[6505],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5433 },
#else
    { 0, 0, output_5433 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorhi_lse },
    &operand_data[6509],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bichi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5434 },
#else
    { 0, 0, output_5434 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bichi_lse },
    &operand_data[6509],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5435 },
#else
    { 0, 0, output_5435 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorhi_lse },
    &operand_data[6509],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addhi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5436 },
#else
    { 0, 0, output_5436 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addhi_lse },
    &operand_data[6509],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5437 },
#else
    { 0, 0, output_5437 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iorsi_lse },
    &operand_data[6513],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5438 },
#else
    { 0, 0, output_5438 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicsi_lse },
    &operand_data[6513],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xorsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5439 },
#else
    { 0, 0, output_5439 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xorsi_lse },
    &operand_data[6513],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_addsi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5440 },
#else
    { 0, 0, output_5440 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_addsi_lse },
    &operand_data[6513],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_iordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5441 },
#else
    { 0, 0, output_5441 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_iordi_lse },
    &operand_data[6517],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_bicdi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5442 },
#else
    { 0, 0, output_5442 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_bicdi_lse },
    &operand_data[6517],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_xordi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5443 },
#else
    { 0, 0, output_5443 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_xordi_lse },
    &operand_data[6517],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:519 */
  {
    "aarch64_atomic_fetch_adddi_lse",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5444 },
#else
    { 0, 0, output_5444 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_fetch_adddi_lse },
    &operand_data[6517],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandqi },
    &operand_data[6463],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandhi },
    &operand_data[6475],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nandsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nandsi },
    &operand_data[6487],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:542 */
  {
    "atomic_fetch_nanddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_nanddi },
    &operand_data[6499],
    4,
    6,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchqi },
    &operand_data[6521],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchqi },
    &operand_data[6521],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchqi },
    &operand_data[6526],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchqi },
    &operand_data[6526],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchqi },
    &operand_data[6526],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchhi },
    &operand_data[6531],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchhi },
    &operand_data[6531],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchhi },
    &operand_data[6536],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchhi },
    &operand_data[6536],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchhi },
    &operand_data[6536],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchsi },
    &operand_data[6481],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchsi },
    &operand_data[6481],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchsi },
    &operand_data[6487],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchsi },
    &operand_data[6487],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchsi },
    &operand_data[6487],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_add_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_add_fetchdi },
    &operand_data[6541],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_sub_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_sub_fetchdi },
    &operand_data[6541],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_or_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_or_fetchdi },
    &operand_data[6546],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_xor_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_xor_fetchdi },
    &operand_data[6546],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:596 */
  {
    "aarch64_atomic_and_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_and_fetchdi },
    &operand_data[6546],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchqi },
    &operand_data[6526],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchhi },
    &operand_data[6536],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchsi },
    &operand_data[6487],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:619 */
  {
    "atomic_nand_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_nand_fetchdi },
    &operand_data[6546],
    4,
    5,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadqi_zexthi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5473 },
#else
    { 0, 0, output_5473 },
#endif
    { 0 },
    &operand_data[6551],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadqi_zextsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5474 },
#else
    { 0, 0, output_5474 },
#endif
    { 0 },
    &operand_data[6554],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadqi_zextdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5475 },
#else
    { 0, 0, output_5475 },
#endif
    { 0 },
    &operand_data[6557],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadhi_zexthi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5476 },
#else
    { 0, 0, output_5476 },
#endif
    { 0 },
    &operand_data[6560],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadhi_zextsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5477 },
#else
    { 0, 0, output_5477 },
#endif
    { 0 },
    &operand_data[6563],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadhi_zextdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5478 },
#else
    { 0, 0, output_5478 },
#endif
    { 0 },
    &operand_data[6566],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadsi_zexthi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5479 },
#else
    { 0, 0, output_5479 },
#endif
    { 0 },
    &operand_data[6569],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadsi_zextsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5480 },
#else
    { 0, 0, output_5480 },
#endif
    { 0 },
    &operand_data[6572],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:643 */
  {
    "*atomic_loadsi_zextdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5481 },
#else
    { 0, 0, output_5481 },
#endif
    { 0 },
    &operand_data[6575],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:681 */
  {
    "aarch64_atomic_loadqi_rcpc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprb\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loadqi_rcpc },
    &operand_data[6578],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:681 */
  {
    "aarch64_atomic_loadhi_rcpc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprh\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loadhi_rcpc },
    &operand_data[6560],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:681 */
  {
    "aarch64_atomic_loadsi_rcpc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapr\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loadsi_rcpc },
    &operand_data[6572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:681 */
  {
    "aarch64_atomic_loaddi_rcpc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapr\t%x0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loaddi_rcpc },
    &operand_data[6581],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:691 */
  {
    "aarch64_atomic_loadqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5486 },
#else
    { 0, 0, output_5486 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loadqi },
    &operand_data[6578],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:691 */
  {
    "aarch64_atomic_loadhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5487 },
#else
    { 0, 0, output_5487 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loadhi },
    &operand_data[6560],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:691 */
  {
    "aarch64_atomic_loadsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5488 },
#else
    { 0, 0, output_5488 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loadsi },
    &operand_data[6572],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:691 */
  {
    "aarch64_atomic_loaddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5489 },
#else
    { 0, 0, output_5489 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_atomic_loaddi },
    &operand_data[6581],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadqi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprb\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6551],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadqi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprb\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadqi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprb\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6557],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadhi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprh\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6560],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadhi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprh\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6563],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadhi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldaprh\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6566],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadsi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapr\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6569],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadsi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapr\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:707 */
  {
    "*aarch64_atomic_loadsi_rcpc_zext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapr\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:718 */
  {
    "*aarch64_atomic_loadqi_rcpc_sext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapursb\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6554],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:718 */
  {
    "*aarch64_atomic_loadqi_rcpc_sext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapursb\t%x0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6557],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:718 */
  {
    "*aarch64_atomic_loadhi_rcpc_sext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapursh\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6563],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:718 */
  {
    "*aarch64_atomic_loadhi_rcpc_sext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapursh\t%x0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6566],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:718 */
  {
    "*aarch64_atomic_loadsi_rcpc_sext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapursw\t%w0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6572],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:718 */
  {
    "*aarch64_atomic_loadsi_rcpc_sext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldapursw\t%x0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6575],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/atomics.md:729 */
  {
    "atomic_storeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5505 },
#else
    { 0, 0, output_5505 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storeqi },
    &operand_data[6584],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:729 */
  {
    "atomic_storehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5506 },
#else
    { 0, 0, output_5506 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storehi },
    &operand_data[6587],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:729 */
  {
    "atomic_storesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5507 },
#else
    { 0, 0, output_5507 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storesi },
    &operand_data[6590],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:729 */
  {
    "atomic_storedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5508 },
#else
    { 0, 0, output_5508 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_storedi },
    &operand_data[6593],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:748 */
  {
    "aarch64_load_exclusiveqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5509 },
#else
    { 0, 0, output_5509 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusiveqi },
    &operand_data[6554],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:748 */
  {
    "aarch64_load_exclusivehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5510 },
#else
    { 0, 0, output_5510 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivehi },
    &operand_data[6563],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:765 */
  {
    "aarch64_load_exclusivesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5511 },
#else
    { 0, 0, output_5511 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivesi },
    &operand_data[6572],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:765 */
  {
    "aarch64_load_exclusivedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5512 },
#else
    { 0, 0, output_5512 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusivedi },
    &operand_data[6581],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:781 */
  {
    "aarch64_load_exclusive_pair",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5513 },
#else
    { 0, 0, output_5513 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_exclusive_pair },
    &operand_data[6596],
    4,
    4,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:799 */
  {
    "aarch64_store_exclusiveqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5514 },
#else
    { 0, 0, output_5514 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusiveqi },
    &operand_data[6600],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:799 */
  {
    "aarch64_store_exclusivehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5515 },
#else
    { 0, 0, output_5515 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivehi },
    &operand_data[6604],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:799 */
  {
    "aarch64_store_exclusivesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5516 },
#else
    { 0, 0, output_5516 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivesi },
    &operand_data[6608],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:799 */
  {
    "aarch64_store_exclusivedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5517 },
#else
    { 0, 0, output_5517 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusivedi },
    &operand_data[6612],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:817 */
  {
    "aarch64_store_exclusive_pair",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5518 },
#else
    { 0, 0, output_5518 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_exclusive_pair },
    &operand_data[6616],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/atomics.md:858 */
  {
    "*dmb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5519 },
#else
    { 0, 0, output_5519 },
#endif
    { 0 },
    &operand_data[6621],
    2,
    2,
    1,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx16qi_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5520 },
#else
    { 0, 0, output_5520 },
#endif
    { 0 },
    &operand_data[6623],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx8hi_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5521 },
#else
    { 0, 0, output_5521 },
#endif
    { 0 },
    &operand_data[6625],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx4si_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5522 },
#else
    { 0, 0, output_5522 },
#endif
    { 0 },
    &operand_data[6627],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx2di_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5523 },
#else
    { 0, 0, output_5523 },
#endif
    { 0 },
    &operand_data[6629],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx8bf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5524 },
#else
    { 0, 0, output_5524 },
#endif
    { 0 },
    &operand_data[6631],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx8hf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5525 },
#else
    { 0, 0, output_5525 },
#endif
    { 0 },
    &operand_data[6633],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx4sf_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5526 },
#else
    { 0, 0, output_5526 },
#endif
    { 0 },
    &operand_data[6635],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:689 */
  {
    "*aarch64_sve_movvnx2df_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5527 },
#else
    { 0, 0, output_5527 },
#endif
    { 0 },
    &operand_data[6637],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx16qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5528 },
#else
    { 0, 0, output_5528 },
#endif
    { 0 },
    &operand_data[6639],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx8qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5529 },
#else
    { 0, 0, output_5529 },
#endif
    { 0 },
    &operand_data[6641],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx4qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5530 },
#else
    { 0, 0, output_5530 },
#endif
    { 0 },
    &operand_data[6643],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx2qi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5531 },
#else
    { 0, 0, output_5531 },
#endif
    { 0 },
    &operand_data[6645],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx8hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5532 },
#else
    { 0, 0, output_5532 },
#endif
    { 0 },
    &operand_data[6647],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx4hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5533 },
#else
    { 0, 0, output_5533 },
#endif
    { 0 },
    &operand_data[6649],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx2hi_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5534 },
#else
    { 0, 0, output_5534 },
#endif
    { 0 },
    &operand_data[6651],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx4si_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5535 },
#else
    { 0, 0, output_5535 },
#endif
    { 0 },
    &operand_data[6653],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx2si_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5536 },
#else
    { 0, 0, output_5536 },
#endif
    { 0 },
    &operand_data[6655],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx2di_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5537 },
#else
    { 0, 0, output_5537 },
#endif
    { 0 },
    &operand_data[6657],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx8hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5538 },
#else
    { 0, 0, output_5538 },
#endif
    { 0 },
    &operand_data[6659],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx4hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5539 },
#else
    { 0, 0, output_5539 },
#endif
    { 0 },
    &operand_data[6661],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx2hf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5540 },
#else
    { 0, 0, output_5540 },
#endif
    { 0 },
    &operand_data[6663],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx8bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5541 },
#else
    { 0, 0, output_5541 },
#endif
    { 0 },
    &operand_data[6665],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx4bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5542 },
#else
    { 0, 0, output_5542 },
#endif
    { 0 },
    &operand_data[6667],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx2bf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5543 },
#else
    { 0, 0, output_5543 },
#endif
    { 0 },
    &operand_data[6669],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx4sf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5544 },
#else
    { 0, 0, output_5544 },
#endif
    { 0 },
    &operand_data[6671],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx2sf_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5545 },
#else
    { 0, 0, output_5545 },
#endif
    { 0 },
    &operand_data[6673],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:708 */
  {
    "*aarch64_sve_movvnx2df_no_ldr_str",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5546 },
#else
    { 0, 0, output_5546 },
#endif
    { 0 },
    &operand_data[6675],
    2,
    2,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5547 },
#else
    { 0, output_5547, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16qi },
    &operand_data[6677],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5548 },
#else
    { 0, output_5548, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8qi },
    &operand_data[6680],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5549 },
#else
    { 0, output_5549, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4qi },
    &operand_data[6683],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5550 },
#else
    { 0, output_5550, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2qi },
    &operand_data[6686],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5551 },
#else
    { 0, output_5551, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8hi },
    &operand_data[6689],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5552 },
#else
    { 0, output_5552, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4hi },
    &operand_data[6692],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5553 },
#else
    { 0, output_5553, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2hi },
    &operand_data[6695],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5554 },
#else
    { 0, output_5554, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4si },
    &operand_data[6698],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5555 },
#else
    { 0, output_5555, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2si },
    &operand_data[6701],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5556 },
#else
    { 0, output_5556, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2di },
    &operand_data[6704],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5557 },
#else
    { 0, output_5557, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8hf },
    &operand_data[6707],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5558 },
#else
    { 0, output_5558, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4hf },
    &operand_data[6710],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5559 },
#else
    { 0, output_5559, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2hf },
    &operand_data[6713],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5560 },
#else
    { 0, output_5560, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8bf },
    &operand_data[6716],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5561 },
#else
    { 0, output_5561, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4bf },
    &operand_data[6719],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5562 },
#else
    { 0, output_5562, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2bf },
    &operand_data[6722],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5563 },
#else
    { 0, output_5563, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4sf },
    &operand_data[6725],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5564 },
#else
    { 0, output_5564, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2sf },
    &operand_data[6728],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:747 */
  {
    "aarch64_pred_movvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5565 },
#else
    { 0, output_5565, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx2df },
    &operand_data[6731],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx16qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx8qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx4qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6740],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx2qi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6743],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx8hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6746],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx4hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6749],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx2hi_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6752],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx4si_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6755],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx2si_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6758],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx2di_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6761],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx8hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6764],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx4hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6767],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx2hf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx8bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6773],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx4bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6776],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx2bf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6779],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx4sf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx2sf_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6785],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:770 */
  {
    "*aarch64_sve_movvnx2df_subreg_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6788],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6791],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6793],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6795],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6797],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6799],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6801],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6803],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6805],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6807],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6809],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6811],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6813],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6815],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6817],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6819],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6821],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6823],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6825],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6827],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6829],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6831],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6833],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6835],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6837],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6839],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6841],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6843],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6845],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6847],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6849],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6851],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6853],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6855],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6857],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6859],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6861],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6863],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6865],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6867],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6869],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6871],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6873],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:807 */
  {
    "*aarch64_sve_reinterpretvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6875],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx32qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6877],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx16hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6879],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx8si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6881],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx4di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6883],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx16bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6885],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx16hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6887],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx8sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6889],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx4df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6891],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx48qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6893],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx24hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6895],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx12si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6897],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx6di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6899],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx24bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6901],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx24hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6903],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx12sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6905],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx6df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6907],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx64qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6909],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx32hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6911],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx16si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6913],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx8di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6915],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx32bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6917],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx32hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6919],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx16sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6921],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:852 */
  {
    "*aarch64_sve_movvnx8df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6923],
    2,
    2,
    0,
    4,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx32qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6925],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx16hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6927],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx8si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6929],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx4di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6931],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx16bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6933],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx16hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6935],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx8sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6937],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx4df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6939],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx48qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6941],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx24hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6943],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx12si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6945],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx6di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6947],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx24bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6949],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx24hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6951],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx12sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6953],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx6df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6955],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx64qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6957],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx32hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6959],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx16si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6961],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx8di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6963],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx32bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6965],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx32hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6967],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx16sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6969],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:862 */
  {
    "*aarch64_sve_movvnx8df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[6971],
    2,
    2,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32qi },
    &operand_data[6973],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16hi },
    &operand_data[6976],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8si },
    &operand_data[6979],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4di },
    &operand_data[6982],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16bf },
    &operand_data[6985],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16hf },
    &operand_data[6988],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8sf },
    &operand_data[6991],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx4df },
    &operand_data[6994],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx48qi },
    &operand_data[6997],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24hi },
    &operand_data[7000],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx12si },
    &operand_data[7003],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx6di },
    &operand_data[7006],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24bf },
    &operand_data[7009],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx24hf },
    &operand_data[7012],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx12sf },
    &operand_data[7015],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx6df },
    &operand_data[7018],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx64qi },
    &operand_data[7021],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32hi },
    &operand_data[7024],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16si },
    &operand_data[7027],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8di },
    &operand_data[7030],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32bf },
    &operand_data[7033],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx32hf },
    &operand_data[7036],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx16sf },
    &operand_data[7039],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:898 */
  {
    "aarch64_pred_movvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_movvnx8df },
    &operand_data[7042],
    3,
    3,
    0,
    3,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:954 */
  {
    "*aarch64_sve_movvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5700 },
#else
    { 0, 0, output_5700 },
#endif
    { 0 },
    &operand_data[7045],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:954 */
  {
    "*aarch64_sve_movvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5701 },
#else
    { 0, 0, output_5701 },
#endif
    { 0 },
    &operand_data[7047],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:954 */
  {
    "*aarch64_sve_movvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5702 },
#else
    { 0, 0, output_5702 },
#endif
    { 0 },
    &operand_data[7049],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:954 */
  {
    "*aarch64_sve_movvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5703 },
#else
    { 0, 0, output_5703 },
#endif
    { 0 },
    &operand_data[7051],
    2,
    2,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:969 */
  {
    "*aarch64_sve_ptruevnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5704 },
#else
    { 0, 0, output_5704 },
#endif
    { 0 },
    &operand_data[7053],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:994 */
  {
    "*aarch64_sve_ptruevnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5705 },
#else
    { 0, 0, output_5705 },
#endif
    { 0 },
    &operand_data[7059],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:994 */
  {
    "*aarch64_sve_ptruevnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5706 },
#else
    { 0, 0, output_5706 },
#endif
    { 0 },
    &operand_data[7065],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:994 */
  {
    "*aarch64_sve_ptruevnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5707 },
#else
    { 0, 0, output_5707 },
#endif
    { 0 },
    &operand_data[7071],
    6,
    6,
    1,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1022 */
  {
    "*aarch64_sve_ptruevnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5708 },
#else
    { 0, 0, output_5708 },
#endif
    { 0 },
    &operand_data[7077],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1047 */
  {
    "*aarch64_sve_ptruevnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5709 },
#else
    { 0, 0, output_5709 },
#endif
    { 0 },
    &operand_data[7083],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1047 */
  {
    "*aarch64_sve_ptruevnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5710 },
#else
    { 0, 0, output_5710 },
#endif
    { 0 },
    &operand_data[7089],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1047 */
  {
    "*aarch64_sve_ptruevnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_5711 },
#else
    { 0, 0, output_5711 },
#endif
    { 0 },
    &operand_data[7095],
    6,
    6,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1076 */
  {
    "movvnx32bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5712 },
#else
    { 0, output_5712, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32bi },
    &operand_data[7101],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1076 */
  {
    "movvnx64bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5713 },
#else
    { 0, output_5713, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx64bi },
    &operand_data[7103],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1105 */
  {
    "aarch64_wrffr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5714 },
#else
    { 0, output_5714, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_wrffr },
    &operand_data[7105],
    1,
    1,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1123 */
  {
    "aarch64_update_ffr_for_load",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_update_ffr_for_load },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1138 */
  {
    "aarch64_copy_ffr_to_ffrt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_copy_ffr_to_ffrt },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1149 */
  {
    "aarch64_rdffr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rdffr\t%0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rdffr },
    &operand_data[7053],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1157 */
  {
    "aarch64_rdffr_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5718 },
#else
    { 0, output_5718, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rdffr_z },
    &operand_data[7106],
    2,
    2,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1171 */
  {
    "*aarch64_rdffr_z_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5719 },
#else
    { 0, output_5719, 0 },
#endif
    { 0 },
    &operand_data[7108],
    3,
    3,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1191 */
  {
    "*aarch64_rdffr_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5720 },
#else
    { 0, output_5720, 0 },
#endif
    { 0 },
    &operand_data[7108],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1209 */
  {
    "*aarch64_rdffr_z_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5721 },
#else
    { 0, output_5721, 0 },
#endif
    { 0 },
    &operand_data[7111],
    3,
    3,
    3,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1232 */
  {
    "*aarch64_rdffr_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_5722 },
#else
    { 0, output_5722, 0 },
#endif
    { 0 },
    &operand_data[7106],
    2,
    2,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1254 */
  {
    "aarch64_update_ffrt",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_update_ffrt },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx16qivnx16bi },
    &operand_data[7114],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8qivnx8bi },
    &operand_data[7118],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4qivnx4bi },
    &operand_data[7122],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2qivnx2bi },
    &operand_data[7126],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8hivnx8bi },
    &operand_data[7130],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4hivnx4bi },
    &operand_data[7134],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2hivnx2bi },
    &operand_data[7138],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4sivnx4bi },
    &operand_data[7142],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2sivnx2bi },
    &operand_data[7146],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2divnx2bi },
    &operand_data[7150],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8hfvnx8bi },
    &operand_data[7154],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4hfvnx4bi },
    &operand_data[7158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2hfvnx2bi },
    &operand_data[7162],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx8bfvnx8bi },
    &operand_data[7166],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4bfvnx4bi },
    &operand_data[7170],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2bfvnx2bi },
    &operand_data[7174],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx4sfvnx4bi },
    &operand_data[7178],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2sfvnx2bi },
    &operand_data[7182],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1289 */
  {
    "maskloadvnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskloadvnx2dfvnx2bi },
    &operand_data[7186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32qivnx16qi },
    &operand_data[7190],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16hivnx8hi },
    &operand_data[7194],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8sivnx4si },
    &operand_data[7198],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx4divnx2di },
    &operand_data[7202],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16bfvnx8bf },
    &operand_data[7206],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16hfvnx8hf },
    &operand_data[7210],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8sfvnx4sf },
    &operand_data[7214],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx4dfvnx2df },
    &operand_data[7218],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx48qivnx16qi },
    &operand_data[7222],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24hivnx8hi },
    &operand_data[7226],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx12sivnx4si },
    &operand_data[7230],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx6divnx2di },
    &operand_data[7234],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24bfvnx8bf },
    &operand_data[7238],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx24hfvnx8hf },
    &operand_data[7242],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx12sfvnx4sf },
    &operand_data[7246],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx6dfvnx2df },
    &operand_data[7250],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4b\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx64qivnx16qi },
    &operand_data[7254],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32hivnx8hi },
    &operand_data[7258],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16sivnx4si },
    &operand_data[7262],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8divnx2di },
    &operand_data[7266],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32bfvnx8bf },
    &operand_data[7270],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4h\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx32hfvnx8hf },
    &operand_data[7274],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4w\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx16sfvnx4sf },
    &operand_data[7278],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1316 */
  {
    "vec_mask_load_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4d\t%0, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_load_lanesvnx8dfvnx2df },
    &operand_data[7282],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx8qi },
    &operand_data[7286],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx8qi },
    &operand_data[7286],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx4qi },
    &operand_data[7291],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx4qi },
    &operand_data[7291],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx2qi },
    &operand_data[7296],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx2qi },
    &operand_data[7296],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx4hi },
    &operand_data[7301],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx4hi },
    &operand_data[7301],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx2hi },
    &operand_data[7306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx2hi },
    &operand_data[7306],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx8hivnx2si },
    &operand_data[7311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx8hivnx2si },
    &operand_data[7311],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx8qi },
    &operand_data[7316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx8qi },
    &operand_data[7316],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx4qi },
    &operand_data[7321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx4qi },
    &operand_data[7321],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx2qi },
    &operand_data[7326],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx2qi },
    &operand_data[7326],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx4hi },
    &operand_data[7331],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx4hi },
    &operand_data[7331],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx2hi },
    &operand_data[7336],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx2hi },
    &operand_data[7336],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4hivnx2si },
    &operand_data[7341],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4hivnx2si },
    &operand_data[7341],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx8qi },
    &operand_data[7346],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx8qi },
    &operand_data[7346],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx4qi },
    &operand_data[7351],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx4qi },
    &operand_data[7351],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx2qi },
    &operand_data[7356],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx2qi },
    &operand_data[7356],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx4hi },
    &operand_data[7361],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx4hi },
    &operand_data[7361],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx2hi },
    &operand_data[7366],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx2hi },
    &operand_data[7366],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2hivnx2si },
    &operand_data[7371],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2hivnx2si },
    &operand_data[7371],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx8qi },
    &operand_data[7376],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx8qi },
    &operand_data[7376],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx4qi },
    &operand_data[7381],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx4qi },
    &operand_data[7381],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx2qi },
    &operand_data[7386],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx2qi },
    &operand_data[7386],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx4hi },
    &operand_data[7391],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx4hi },
    &operand_data[7391],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx2hi },
    &operand_data[7396],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx2hi },
    &operand_data[7396],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx4sivnx2si },
    &operand_data[7401],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx4sivnx2si },
    &operand_data[7401],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx8qi },
    &operand_data[7406],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx8qi },
    &operand_data[7406],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx4qi },
    &operand_data[7411],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx4qi },
    &operand_data[7411],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx2qi },
    &operand_data[7416],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx2qi },
    &operand_data[7416],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx4hi },
    &operand_data[7421],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx4hi },
    &operand_data[7421],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx2hi },
    &operand_data[7426],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx2hi },
    &operand_data[7426],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2sivnx2si },
    &operand_data[7431],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2sivnx2si },
    &operand_data[7431],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx8qi },
    &operand_data[7436],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx8qi },
    &operand_data[7436],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx4qi },
    &operand_data[7441],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx4qi },
    &operand_data[7441],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2qi },
    &operand_data[7446],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2qi },
    &operand_data[7446],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx4hi },
    &operand_data[7451],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx4hi },
    &operand_data[7451],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2hi },
    &operand_data[7456],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2hi },
    &operand_data[7456],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_extendvnx2divnx2si },
    &operand_data[7461],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1340 */
  {
    "aarch64_load_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_load_zero_extendvnx2divnx2si },
    &operand_data[7461],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7286],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7286],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7291],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7291],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7296],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7296],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7301],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7301],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7306],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7306],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7311],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7311],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7316],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7316],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7321],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7321],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7326],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7326],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7331],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7331],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7336],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7336],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7341],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7341],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7346],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7346],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7351],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7356],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7356],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7366],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7366],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7371],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7371],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7376],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7376],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7381],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7381],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7386],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7386],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7391],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7391],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7396],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7396],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7401],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7401],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7406],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7406],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7411],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7411],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7421],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7421],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7426],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7426],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7431],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7431],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7436],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7441],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7441],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7446],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7446],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7451],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7456],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7456],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_extend_movvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7461],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1361 */
  {
    "*aarch64_load_zero_extend_movvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[7461],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldff1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx16qi },
    &operand_data[7466],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldnf1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx16qi },
    &operand_data[7469],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldff1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8hi },
    &operand_data[7472],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldnf1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8hi },
    &operand_data[7475],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldff1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx4si },
    &operand_data[7478],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldnf1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx4si },
    &operand_data[7481],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldff1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx2di },
    &operand_data[7484],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldnf1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx2di },
    &operand_data[7487],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldff1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8bf },
    &operand_data[7490],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldnf1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8bf },
    &operand_data[7493],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldff1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx8hf },
    &operand_data[7496],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldnf1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx8hf },
    &operand_data[7499],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldff1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx4sf },
    &operand_data[7502],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldnf1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx4sf },
    &operand_data[7505],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldff1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1vnx2df },
    &operand_data[7508],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1394 */
  {
    "aarch64_ldnf1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1vnx2df },
    &operand_data[7511],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx8qi },
    &operand_data[7514],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx8qi },
    &operand_data[7518],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx8qi },
    &operand_data[7514],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx8qi },
    &operand_data[7518],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx4qi },
    &operand_data[7522],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx4qi },
    &operand_data[7526],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx4qi },
    &operand_data[7522],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx4qi },
    &operand_data[7526],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx2qi },
    &operand_data[7530],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx2qi },
    &operand_data[7534],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx2qi },
    &operand_data[7530],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx2qi },
    &operand_data[7534],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx4hi },
    &operand_data[7538],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx4hi },
    &operand_data[7542],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx4hi },
    &operand_data[7538],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx4hi },
    &operand_data[7542],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx2hi },
    &operand_data[7546],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx2hi },
    &operand_data[7550],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx2hi },
    &operand_data[7546],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx2hi },
    &operand_data[7550],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx8hivnx2si },
    &operand_data[7554],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx8hivnx2si },
    &operand_data[7558],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx8hivnx2si },
    &operand_data[7554],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx8hivnx2si },
    &operand_data[7558],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx8qi },
    &operand_data[7562],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx8qi },
    &operand_data[7566],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx8qi },
    &operand_data[7562],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx8qi },
    &operand_data[7566],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx4qi },
    &operand_data[7570],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx4qi },
    &operand_data[7574],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx4qi },
    &operand_data[7570],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx4qi },
    &operand_data[7574],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx2qi },
    &operand_data[7578],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx2qi },
    &operand_data[7582],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx2qi },
    &operand_data[7578],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx2qi },
    &operand_data[7582],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx4hi },
    &operand_data[7586],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx4hi },
    &operand_data[7590],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx4hi },
    &operand_data[7586],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx4hi },
    &operand_data[7590],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx2hi },
    &operand_data[7594],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx2hi },
    &operand_data[7598],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx2hi },
    &operand_data[7594],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx2hi },
    &operand_data[7598],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4hivnx2si },
    &operand_data[7602],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4hivnx2si },
    &operand_data[7606],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4hivnx2si },
    &operand_data[7602],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx4hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4hivnx2si },
    &operand_data[7606],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx8qi },
    &operand_data[7610],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx8qi },
    &operand_data[7614],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx8qi },
    &operand_data[7610],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx8qi },
    &operand_data[7614],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx4qi },
    &operand_data[7618],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx4qi },
    &operand_data[7622],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx4qi },
    &operand_data[7618],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx4qi },
    &operand_data[7622],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx2qi },
    &operand_data[7626],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx2qi },
    &operand_data[7630],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx2qi },
    &operand_data[7626],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx2qi },
    &operand_data[7630],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx4hi },
    &operand_data[7634],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx4hi },
    &operand_data[7638],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx4hi },
    &operand_data[7634],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx4hi },
    &operand_data[7638],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx2hi },
    &operand_data[7642],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx2hi },
    &operand_data[7646],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx2hi },
    &operand_data[7642],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx2hi },
    &operand_data[7646],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2hivnx2si },
    &operand_data[7650],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2hivnx2si },
    &operand_data[7654],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2hivnx2si },
    &operand_data[7650],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2hivnx2si },
    &operand_data[7654],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx8qi },
    &operand_data[7658],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx8qi },
    &operand_data[7662],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx8qi },
    &operand_data[7658],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx8qi },
    &operand_data[7662],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx4qi },
    &operand_data[7666],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx4qi },
    &operand_data[7670],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx4qi },
    &operand_data[7666],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx4qi },
    &operand_data[7670],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx2qi },
    &operand_data[7674],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx2qi },
    &operand_data[7678],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx2qi },
    &operand_data[7674],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx2qi },
    &operand_data[7678],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx4hi },
    &operand_data[7682],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx4hi },
    &operand_data[7686],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx4hi },
    &operand_data[7682],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx4hi },
    &operand_data[7686],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx2hi },
    &operand_data[7690],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx2hi },
    &operand_data[7694],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx2hi },
    &operand_data[7690],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx2hi },
    &operand_data[7694],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx4sivnx2si },
    &operand_data[7698],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx4sivnx2si },
    &operand_data[7702],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx4sivnx2si },
    &operand_data[7698],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx4sivnx2si },
    &operand_data[7702],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx8qi },
    &operand_data[7706],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx8qi },
    &operand_data[7710],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx8qi },
    &operand_data[7706],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx8qi },
    &operand_data[7710],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx4qi },
    &operand_data[7714],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx4qi },
    &operand_data[7718],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx4qi },
    &operand_data[7714],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx4qi },
    &operand_data[7718],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx2qi },
    &operand_data[7722],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx2qi },
    &operand_data[7726],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx2qi },
    &operand_data[7722],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx2qi },
    &operand_data[7726],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx4hi },
    &operand_data[7730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx4hi },
    &operand_data[7734],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx4hi },
    &operand_data[7730],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx4hi },
    &operand_data[7734],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx2hi },
    &operand_data[7738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx2hi },
    &operand_data[7742],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx2hi },
    &operand_data[7738],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx2hi },
    &operand_data[7742],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2sivnx2si },
    &operand_data[7746],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2sivnx2si },
    &operand_data[7750],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2sivnx2si },
    &operand_data[7746],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2sivnx2si },
    &operand_data[7750],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx8qi },
    &operand_data[7754],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx8qi },
    &operand_data[7758],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx8qi },
    &operand_data[7754],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx8qi },
    &operand_data[7758],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx4qi },
    &operand_data[7762],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx4qi },
    &operand_data[7766],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx4qi },
    &operand_data[7762],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx4qi },
    &operand_data[7766],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2qi },
    &operand_data[7770],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sb\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2qi },
    &operand_data[7774],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2qi },
    &operand_data[7770],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1b\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2qi },
    &operand_data[7774],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx4hi },
    &operand_data[7778],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx4hi },
    &operand_data[7782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx4hi },
    &operand_data[7778],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx4hi },
    &operand_data[7782],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2hi },
    &operand_data[7786],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sh\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2hi },
    &operand_data[7790],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2hi },
    &operand_data[7786],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1h\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2hi },
    &operand_data[7790],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_extendvnx2divnx2si },
    &operand_data[7794],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1sw\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_extendvnx2divnx2si },
    &operand_data[7798],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldff1_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldff1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_zero_extendvnx2divnx2si },
    &operand_data[7794],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1424 */
  {
    "aarch64_ldnf1_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnf1w\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnf1_zero_extendvnx2divnx2si },
    &operand_data[7798],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1456 */
  {
    "aarch64_ldnt1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t%0.b, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16qi },
    &operand_data[7114],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1456 */
  {
    "aarch64_ldnt1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8hi },
    &operand_data[7130],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1456 */
  {
    "aarch64_ldnt1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4si },
    &operand_data[7142],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1456 */
  {
    "aarch64_ldnt1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx2di },
    &operand_data[7150],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1456 */
  {
    "aarch64_ldnt1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8bf },
    &operand_data[7166],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1456 */
  {
    "aarch64_ldnt1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0.h, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8hf },
    &operand_data[7154],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1456 */
  {
    "aarch64_ldnt1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0.s, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4sf },
    &operand_data[7178],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1456 */
  {
    "aarch64_ldnt1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0.d, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx2df },
    &operand_data[7186],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1496 */
  {
    "mask_gather_loadvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6079 },
#else
    { 0, output_6079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4qivnx4si },
    &operand_data[7802],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1496 */
  {
    "mask_gather_loadvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6080 },
#else
    { 0, output_6080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4hivnx4si },
    &operand_data[7809],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1496 */
  {
    "mask_gather_loadvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6081 },
#else
    { 0, output_6081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4hfvnx4si },
    &operand_data[7816],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1496 */
  {
    "mask_gather_loadvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6082 },
#else
    { 0, output_6082, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4bfvnx4si },
    &operand_data[7823],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1496 */
  {
    "mask_gather_loadvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6083 },
#else
    { 0, output_6083, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4sivnx4si },
    &operand_data[7830],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1496 */
  {
    "mask_gather_loadvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6084 },
#else
    { 0, output_6084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx4sfvnx4si },
    &operand_data[7837],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1526 */
  {
    "mask_gather_loadvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6085 },
#else
    { 0, output_6085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2qivnx2di },
    &operand_data[7844],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1526 */
  {
    "mask_gather_loadvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6086 },
#else
    { 0, output_6086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2hivnx2di },
    &operand_data[7851],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1526 */
  {
    "mask_gather_loadvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6087 },
#else
    { 0, output_6087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2hfvnx2di },
    &operand_data[7858],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1526 */
  {
    "mask_gather_loadvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6088 },
#else
    { 0, output_6088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2bfvnx2di },
    &operand_data[7865],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1526 */
  {
    "mask_gather_loadvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6089 },
#else
    { 0, output_6089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2sivnx2di },
    &operand_data[7872],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1526 */
  {
    "mask_gather_loadvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6090 },
#else
    { 0, output_6090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2sfvnx2di },
    &operand_data[7879],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1526 */
  {
    "mask_gather_loadvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6091 },
#else
    { 0, output_6091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2divnx2di },
    &operand_data[7886],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1526 */
  {
    "mask_gather_loadvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6092 },
#else
    { 0, output_6092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_gather_loadvnx2dfvnx2di },
    &operand_data[7893],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2qivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6093 },
#else
    { 0, output_6093, 0 },
#endif
    { 0 },
    &operand_data[7900],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2qivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6094 },
#else
    { 0, output_6094, 0 },
#endif
    { 0 },
    &operand_data[7900],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2hivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6095 },
#else
    { 0, output_6095, 0 },
#endif
    { 0 },
    &operand_data[7908],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2hivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6096 },
#else
    { 0, output_6096, 0 },
#endif
    { 0 },
    &operand_data[7908],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2hfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6097 },
#else
    { 0, output_6097, 0 },
#endif
    { 0 },
    &operand_data[7916],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2hfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6098 },
#else
    { 0, output_6098, 0 },
#endif
    { 0 },
    &operand_data[7916],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2bfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6099 },
#else
    { 0, output_6099, 0 },
#endif
    { 0 },
    &operand_data[7924],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2bfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6100 },
#else
    { 0, output_6100, 0 },
#endif
    { 0 },
    &operand_data[7924],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2sivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6101 },
#else
    { 0, output_6101, 0 },
#endif
    { 0 },
    &operand_data[7932],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2sivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6102 },
#else
    { 0, output_6102, 0 },
#endif
    { 0 },
    &operand_data[7932],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2sfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6103 },
#else
    { 0, output_6103, 0 },
#endif
    { 0 },
    &operand_data[7940],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2sfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6104 },
#else
    { 0, output_6104, 0 },
#endif
    { 0 },
    &operand_data[7940],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2divnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6105 },
#else
    { 0, output_6105, 0 },
#endif
    { 0 },
    &operand_data[7948],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2divnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6106 },
#else
    { 0, output_6106, 0 },
#endif
    { 0 },
    &operand_data[7948],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2dfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6107 },
#else
    { 0, output_6107, 0 },
#endif
    { 0 },
    &operand_data[7956],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1551 */
  {
    "*mask_gather_loadvnx2dfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6108 },
#else
    { 0, output_6108, 0 },
#endif
    { 0 },
    &operand_data[7956],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6109 },
#else
    { 0, output_6109, 0 },
#endif
    { 0 },
    &operand_data[7964],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6110 },
#else
    { 0, output_6110, 0 },
#endif
    { 0 },
    &operand_data[7972],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2hfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6111 },
#else
    { 0, output_6111, 0 },
#endif
    { 0 },
    &operand_data[7980],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2bfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6112 },
#else
    { 0, output_6112, 0 },
#endif
    { 0 },
    &operand_data[7988],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6113 },
#else
    { 0, output_6113, 0 },
#endif
    { 0 },
    &operand_data[7996],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2sfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6114 },
#else
    { 0, output_6114, 0 },
#endif
    { 0 },
    &operand_data[8004],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6115 },
#else
    { 0, output_6115, 0 },
#endif
    { 0 },
    &operand_data[8012],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1581 */
  {
    "*mask_gather_loadvnx2dfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6116 },
#else
    { 0, output_6116, 0 },
#endif
    { 0 },
    &operand_data[8020],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1612 */
  {
    "*mask_gather_loadvnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6117 },
#else
    { 0, output_6117, 0 },
#endif
    { 0 },
    &operand_data[8028],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1612 */
  {
    "*mask_gather_loadvnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6118 },
#else
    { 0, output_6118, 0 },
#endif
    { 0 },
    &operand_data[8036],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1612 */
  {
    "*mask_gather_loadvnx2hfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6119 },
#else
    { 0, output_6119, 0 },
#endif
    { 0 },
    &operand_data[8044],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1612 */
  {
    "*mask_gather_loadvnx2bfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6120 },
#else
    { 0, output_6120, 0 },
#endif
    { 0 },
    &operand_data[8052],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1612 */
  {
    "*mask_gather_loadvnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6121 },
#else
    { 0, output_6121, 0 },
#endif
    { 0 },
    &operand_data[8060],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1612 */
  {
    "*mask_gather_loadvnx2sfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6122 },
#else
    { 0, output_6122, 0 },
#endif
    { 0 },
    &operand_data[8068],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1612 */
  {
    "*mask_gather_loadvnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6123 },
#else
    { 0, output_6123, 0 },
#endif
    { 0 },
    &operand_data[8076],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1612 */
  {
    "*mask_gather_loadvnx2dfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6124 },
#else
    { 0, output_6124, 0 },
#endif
    { 0 },
    &operand_data[8084],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1648 */
  {
    "aarch64_gather_load_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6125 },
#else
    { 0, output_6125, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4hivnx4qi },
    &operand_data[8092],
    8,
    8,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1648 */
  {
    "aarch64_gather_load_zero_extendvnx4hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6126 },
#else
    { 0, output_6126, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4hivnx4qi },
    &operand_data[8092],
    8,
    8,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1648 */
  {
    "aarch64_gather_load_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6127 },
#else
    { 0, output_6127, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4sivnx4qi },
    &operand_data[8100],
    8,
    8,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1648 */
  {
    "aarch64_gather_load_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6128 },
#else
    { 0, output_6128, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4sivnx4qi },
    &operand_data[8100],
    8,
    8,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1648 */
  {
    "aarch64_gather_load_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6129 },
#else
    { 0, output_6129, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4hivnx4hi },
    &operand_data[8108],
    8,
    8,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1648 */
  {
    "aarch64_gather_load_zero_extendvnx4hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6130 },
#else
    { 0, output_6130, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4hivnx4hi },
    &operand_data[8108],
    8,
    8,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1648 */
  {
    "aarch64_gather_load_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6131 },
#else
    { 0, output_6131, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx4sivnx4hi },
    &operand_data[8116],
    8,
    8,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1648 */
  {
    "aarch64_gather_load_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6132 },
#else
    { 0, output_6132, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx4sivnx4hi },
    &operand_data[8116],
    8,
    8,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6133 },
#else
    { 0, output_6133, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2hivnx2qi },
    &operand_data[8124],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_zero_extendvnx2hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6134 },
#else
    { 0, output_6134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2hivnx2qi },
    &operand_data[8124],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6135 },
#else
    { 0, output_6135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2sivnx2qi },
    &operand_data[8132],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_zero_extendvnx2sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6136 },
#else
    { 0, output_6136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2sivnx2qi },
    &operand_data[8132],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6137 },
#else
    { 0, output_6137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2qi },
    &operand_data[8140],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6138 },
#else
    { 0, output_6138, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2qi },
    &operand_data[8140],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6139 },
#else
    { 0, output_6139, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2hivnx2hi },
    &operand_data[8148],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_zero_extendvnx2hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6140 },
#else
    { 0, output_6140, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2hivnx2hi },
    &operand_data[8148],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6141 },
#else
    { 0, output_6141, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2sivnx2hi },
    &operand_data[8156],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_zero_extendvnx2sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6142 },
#else
    { 0, output_6142, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2sivnx2hi },
    &operand_data[8156],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6143 },
#else
    { 0, output_6143, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2hi },
    &operand_data[8164],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6144 },
#else
    { 0, output_6144, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2hi },
    &operand_data[8164],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6145 },
#else
    { 0, output_6145, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2hivnx2si },
    &operand_data[8172],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_zero_extendvnx2hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6146 },
#else
    { 0, output_6146, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2hivnx2si },
    &operand_data[8172],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6147 },
#else
    { 0, output_6147, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2sivnx2si },
    &operand_data[8180],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_zero_extendvnx2sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6148 },
#else
    { 0, output_6148, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2sivnx2si },
    &operand_data[8180],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6149 },
#else
    { 0, output_6149, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_extendvnx2divnx2si },
    &operand_data[8188],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1688 */
  {
    "aarch64_gather_load_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6150 },
#else
    { 0, output_6150, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_load_zero_extendvnx2divnx2si },
    &operand_data[8188],
    8,
    8,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6151 },
#else
    { 0, output_6151, 0 },
#endif
    { 0 },
    &operand_data[8196],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6152 },
#else
    { 0, output_6152, 0 },
#endif
    { 0 },
    &operand_data[8196],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6153 },
#else
    { 0, output_6153, 0 },
#endif
    { 0 },
    &operand_data[8196],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6154 },
#else
    { 0, output_6154, 0 },
#endif
    { 0 },
    &operand_data[8196],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6155 },
#else
    { 0, output_6155, 0 },
#endif
    { 0 },
    &operand_data[8205],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6156 },
#else
    { 0, output_6156, 0 },
#endif
    { 0 },
    &operand_data[8205],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6157 },
#else
    { 0, output_6157, 0 },
#endif
    { 0 },
    &operand_data[8205],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6158 },
#else
    { 0, output_6158, 0 },
#endif
    { 0 },
    &operand_data[8205],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6159 },
#else
    { 0, output_6159, 0 },
#endif
    { 0 },
    &operand_data[8214],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6160 },
#else
    { 0, output_6160, 0 },
#endif
    { 0 },
    &operand_data[8214],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6161 },
#else
    { 0, output_6161, 0 },
#endif
    { 0 },
    &operand_data[8214],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6162 },
#else
    { 0, output_6162, 0 },
#endif
    { 0 },
    &operand_data[8214],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6163 },
#else
    { 0, output_6163, 0 },
#endif
    { 0 },
    &operand_data[8223],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6164 },
#else
    { 0, output_6164, 0 },
#endif
    { 0 },
    &operand_data[8223],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6165 },
#else
    { 0, output_6165, 0 },
#endif
    { 0 },
    &operand_data[8223],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6166 },
#else
    { 0, output_6166, 0 },
#endif
    { 0 },
    &operand_data[8223],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6167 },
#else
    { 0, output_6167, 0 },
#endif
    { 0 },
    &operand_data[8232],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6168 },
#else
    { 0, output_6168, 0 },
#endif
    { 0 },
    &operand_data[8232],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6169 },
#else
    { 0, output_6169, 0 },
#endif
    { 0 },
    &operand_data[8232],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6170 },
#else
    { 0, output_6170, 0 },
#endif
    { 0 },
    &operand_data[8232],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6171 },
#else
    { 0, output_6171, 0 },
#endif
    { 0 },
    &operand_data[8241],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6172 },
#else
    { 0, output_6172, 0 },
#endif
    { 0 },
    &operand_data[8241],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6173 },
#else
    { 0, output_6173, 0 },
#endif
    { 0 },
    &operand_data[8241],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6174 },
#else
    { 0, output_6174, 0 },
#endif
    { 0 },
    &operand_data[8241],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6175 },
#else
    { 0, output_6175, 0 },
#endif
    { 0 },
    &operand_data[8250],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6176 },
#else
    { 0, output_6176, 0 },
#endif
    { 0 },
    &operand_data[8250],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6177 },
#else
    { 0, output_6177, 0 },
#endif
    { 0 },
    &operand_data[8250],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6178 },
#else
    { 0, output_6178, 0 },
#endif
    { 0 },
    &operand_data[8250],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6179 },
#else
    { 0, output_6179, 0 },
#endif
    { 0 },
    &operand_data[8259],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6180 },
#else
    { 0, output_6180, 0 },
#endif
    { 0 },
    &operand_data[8259],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6181 },
#else
    { 0, output_6181, 0 },
#endif
    { 0 },
    &operand_data[8259],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6182 },
#else
    { 0, output_6182, 0 },
#endif
    { 0 },
    &operand_data[8259],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6183 },
#else
    { 0, output_6183, 0 },
#endif
    { 0 },
    &operand_data[8268],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6184 },
#else
    { 0, output_6184, 0 },
#endif
    { 0 },
    &operand_data[8268],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6185 },
#else
    { 0, output_6185, 0 },
#endif
    { 0 },
    &operand_data[8268],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1723 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6186 },
#else
    { 0, output_6186, 0 },
#endif
    { 0 },
    &operand_data[8268],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6187 },
#else
    { 0, output_6187, 0 },
#endif
    { 0 },
    &operand_data[8277],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6188 },
#else
    { 0, output_6188, 0 },
#endif
    { 0 },
    &operand_data[8277],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6189 },
#else
    { 0, output_6189, 0 },
#endif
    { 0 },
    &operand_data[8286],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6190 },
#else
    { 0, output_6190, 0 },
#endif
    { 0 },
    &operand_data[8286],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6191 },
#else
    { 0, output_6191, 0 },
#endif
    { 0 },
    &operand_data[8295],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6192 },
#else
    { 0, output_6192, 0 },
#endif
    { 0 },
    &operand_data[8295],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6193 },
#else
    { 0, output_6193, 0 },
#endif
    { 0 },
    &operand_data[8304],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6194 },
#else
    { 0, output_6194, 0 },
#endif
    { 0 },
    &operand_data[8304],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6195 },
#else
    { 0, output_6195, 0 },
#endif
    { 0 },
    &operand_data[8313],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6196 },
#else
    { 0, output_6196, 0 },
#endif
    { 0 },
    &operand_data[8313],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6197 },
#else
    { 0, output_6197, 0 },
#endif
    { 0 },
    &operand_data[8322],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6198 },
#else
    { 0, output_6198, 0 },
#endif
    { 0 },
    &operand_data[8322],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6199 },
#else
    { 0, output_6199, 0 },
#endif
    { 0 },
    &operand_data[8331],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6200 },
#else
    { 0, output_6200, 0 },
#endif
    { 0 },
    &operand_data[8331],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6201 },
#else
    { 0, output_6201, 0 },
#endif
    { 0 },
    &operand_data[8340],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6202 },
#else
    { 0, output_6202, 0 },
#endif
    { 0 },
    &operand_data[8340],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6203 },
#else
    { 0, output_6203, 0 },
#endif
    { 0 },
    &operand_data[8349],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1760 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6204 },
#else
    { 0, output_6204, 0 },
#endif
    { 0 },
    &operand_data[8349],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6205 },
#else
    { 0, output_6205, 0 },
#endif
    { 0 },
    &operand_data[8358],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6206 },
#else
    { 0, output_6206, 0 },
#endif
    { 0 },
    &operand_data[8358],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6207 },
#else
    { 0, output_6207, 0 },
#endif
    { 0 },
    &operand_data[8367],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6208 },
#else
    { 0, output_6208, 0 },
#endif
    { 0 },
    &operand_data[8367],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6209 },
#else
    { 0, output_6209, 0 },
#endif
    { 0 },
    &operand_data[8376],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6210 },
#else
    { 0, output_6210, 0 },
#endif
    { 0 },
    &operand_data[8376],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6211 },
#else
    { 0, output_6211, 0 },
#endif
    { 0 },
    &operand_data[8385],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6212 },
#else
    { 0, output_6212, 0 },
#endif
    { 0 },
    &operand_data[8385],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6213 },
#else
    { 0, output_6213, 0 },
#endif
    { 0 },
    &operand_data[8394],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6214 },
#else
    { 0, output_6214, 0 },
#endif
    { 0 },
    &operand_data[8394],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6215 },
#else
    { 0, output_6215, 0 },
#endif
    { 0 },
    &operand_data[8403],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6216 },
#else
    { 0, output_6216, 0 },
#endif
    { 0 },
    &operand_data[8403],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_extendvnx2hivnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6217 },
#else
    { 0, output_6217, 0 },
#endif
    { 0 },
    &operand_data[8412],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_zero_extendvnx2hivnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6218 },
#else
    { 0, output_6218, 0 },
#endif
    { 0 },
    &operand_data[8412],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_extendvnx2sivnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6219 },
#else
    { 0, output_6219, 0 },
#endif
    { 0 },
    &operand_data[8421],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_zero_extendvnx2sivnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6220 },
#else
    { 0, output_6220, 0 },
#endif
    { 0 },
    &operand_data[8421],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6221 },
#else
    { 0, output_6221, 0 },
#endif
    { 0 },
    &operand_data[8430],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1798 */
  {
    "*aarch64_gather_load_zero_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6222 },
#else
    { 0, output_6222, 0 },
#endif
    { 0 },
    &operand_data[8430],
    9,
    9,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1840 */
  {
    "aarch64_ldff1_gathervnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6223 },
#else
    { 0, output_6223, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx4si },
    &operand_data[8439],
    6,
    6,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1840 */
  {
    "aarch64_ldff1_gathervnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6224 },
#else
    { 0, output_6224, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx4sf },
    &operand_data[8445],
    6,
    6,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1870 */
  {
    "aarch64_ldff1_gathervnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6225 },
#else
    { 0, output_6225, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx2di },
    &operand_data[7886],
    6,
    6,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1870 */
  {
    "aarch64_ldff1_gathervnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6226 },
#else
    { 0, output_6226, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gathervnx2df },
    &operand_data[7893],
    6,
    6,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1895 */
  {
    "*aarch64_ldff1_gathervnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6227 },
#else
    { 0, output_6227, 0 },
#endif
    { 0 },
    &operand_data[8012],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1895 */
  {
    "*aarch64_ldff1_gathervnx2df_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6228 },
#else
    { 0, output_6228, 0 },
#endif
    { 0 },
    &operand_data[8020],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1925 */
  {
    "*aarch64_ldff1_gathervnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6229 },
#else
    { 0, output_6229, 0 },
#endif
    { 0 },
    &operand_data[8076],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1925 */
  {
    "*aarch64_ldff1_gathervnx2df_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6230 },
#else
    { 0, output_6230, 0 },
#endif
    { 0 },
    &operand_data[8084],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1961 */
  {
    "aarch64_ldff1_gather_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6231 },
#else
    { 0, output_6231, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx4sivnx4qi },
    &operand_data[8451],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1961 */
  {
    "aarch64_ldff1_gather_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6232 },
#else
    { 0, output_6232, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx4sivnx4qi },
    &operand_data[8451],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1961 */
  {
    "aarch64_ldff1_gather_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6233 },
#else
    { 0, output_6233, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx4sivnx4hi },
    &operand_data[8458],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1961 */
  {
    "aarch64_ldff1_gather_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6234 },
#else
    { 0, output_6234, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx4sivnx4hi },
    &operand_data[8458],
    7,
    7,
    0,
    12,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1999 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6235 },
#else
    { 0, output_6235, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2qi },
    &operand_data[8465],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1999 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6236 },
#else
    { 0, output_6236, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2qi },
    &operand_data[8465],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1999 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6237 },
#else
    { 0, output_6237, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2hi },
    &operand_data[8472],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1999 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6238 },
#else
    { 0, output_6238, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2hi },
    &operand_data[8472],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1999 */
  {
    "aarch64_ldff1_gather_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6239 },
#else
    { 0, output_6239, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_extendvnx2divnx2si },
    &operand_data[8479],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1999 */
  {
    "aarch64_ldff1_gather_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6240 },
#else
    { 0, output_6240, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldff1_gather_zero_extendvnx2divnx2si },
    &operand_data[8479],
    7,
    7,
    0,
    8,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2032 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6241 },
#else
    { 0, output_6241, 0 },
#endif
    { 0 },
    &operand_data[8295],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2032 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2qi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6242 },
#else
    { 0, output_6242, 0 },
#endif
    { 0 },
    &operand_data[8295],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2032 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6243 },
#else
    { 0, output_6243, 0 },
#endif
    { 0 },
    &operand_data[8322],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2032 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2hi_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6244 },
#else
    { 0, output_6244, 0 },
#endif
    { 0 },
    &operand_data[8322],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2032 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6245 },
#else
    { 0, output_6245, 0 },
#endif
    { 0 },
    &operand_data[8349],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2032 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2si_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6246 },
#else
    { 0, output_6246, 0 },
#endif
    { 0 },
    &operand_data[8349],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2067 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6247 },
#else
    { 0, output_6247, 0 },
#endif
    { 0 },
    &operand_data[8376],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2067 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2qi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6248 },
#else
    { 0, output_6248, 0 },
#endif
    { 0 },
    &operand_data[8376],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2067 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6249 },
#else
    { 0, output_6249, 0 },
#endif
    { 0 },
    &operand_data[8403],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2067 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2hi_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6250 },
#else
    { 0, output_6250, 0 },
#endif
    { 0 },
    &operand_data[8403],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2067 */
  {
    "*aarch64_ldff1_gather_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6251 },
#else
    { 0, output_6251, 0 },
#endif
    { 0 },
    &operand_data[8430],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2067 */
  {
    "*aarch64_ldff1_gather_zero_extendvnx2divnx2si_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6252 },
#else
    { 0, output_6252, 0 },
#endif
    { 0 },
    &operand_data[8430],
    8,
    8,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2114 */
  {
    "aarch64_sve_prefetchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6253 },
#else
    { 0, 0, output_6253 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx16qi },
    &operand_data[8486],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2114 */
  {
    "aarch64_sve_prefetchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6254 },
#else
    { 0, 0, output_6254 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx8hi },
    &operand_data[8491],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2114 */
  {
    "aarch64_sve_prefetchvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6255 },
#else
    { 0, 0, output_6255 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx4si },
    &operand_data[8496],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2114 */
  {
    "aarch64_sve_prefetchvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6256 },
#else
    { 0, 0, output_6256 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_prefetchvnx2di },
    &operand_data[8501],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2150 */
  {
    "aarch64_sve_gather_prefetchvnx16qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6257 },
#else
    { 0, 0, output_6257 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx16qivnx4si },
    &operand_data[8506],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2150 */
  {
    "aarch64_sve_gather_prefetchvnx8hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6258 },
#else
    { 0, 0, output_6258 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx8hivnx4si },
    &operand_data[8515],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2150 */
  {
    "aarch64_sve_gather_prefetchvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6259 },
#else
    { 0, 0, output_6259 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx4sivnx4si },
    &operand_data[8524],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2150 */
  {
    "aarch64_sve_gather_prefetchvnx2divnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6260 },
#else
    { 0, 0, output_6260 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx2divnx4si },
    &operand_data[8533],
    9,
    9,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2179 */
  {
    "aarch64_sve_gather_prefetchvnx16qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6261 },
#else
    { 0, 0, output_6261 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx16qivnx2di },
    &operand_data[8542],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2179 */
  {
    "aarch64_sve_gather_prefetchvnx8hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6262 },
#else
    { 0, 0, output_6262 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx8hivnx2di },
    &operand_data[8551],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2179 */
  {
    "aarch64_sve_gather_prefetchvnx4sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6263 },
#else
    { 0, 0, output_6263 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx4sivnx2di },
    &operand_data[8560],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2179 */
  {
    "aarch64_sve_gather_prefetchvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6264 },
#else
    { 0, 0, output_6264 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_gather_prefetchvnx2divnx2di },
    &operand_data[8569],
    9,
    9,
    0,
    4,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2205 */
  {
    "*aarch64_sve_gather_prefetchvnx16qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6265 },
#else
    { 0, 0, output_6265 },
#endif
    { 0 },
    &operand_data[8578],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2205 */
  {
    "*aarch64_sve_gather_prefetchvnx8hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6266 },
#else
    { 0, 0, output_6266 },
#endif
    { 0 },
    &operand_data[8588],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2205 */
  {
    "*aarch64_sve_gather_prefetchvnx4sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6267 },
#else
    { 0, 0, output_6267 },
#endif
    { 0 },
    &operand_data[8598],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2205 */
  {
    "*aarch64_sve_gather_prefetchvnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6268 },
#else
    { 0, 0, output_6268 },
#endif
    { 0 },
    &operand_data[8608],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2238 */
  {
    "*aarch64_sve_gather_prefetchvnx16qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6269 },
#else
    { 0, 0, output_6269 },
#endif
    { 0 },
    &operand_data[8618],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2238 */
  {
    "*aarch64_sve_gather_prefetchvnx8hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6270 },
#else
    { 0, 0, output_6270 },
#endif
    { 0 },
    &operand_data[8628],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2238 */
  {
    "*aarch64_sve_gather_prefetchvnx4sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6271 },
#else
    { 0, 0, output_6271 },
#endif
    { 0 },
    &operand_data[8638],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2238 */
  {
    "*aarch64_sve_gather_prefetchvnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6272 },
#else
    { 0, 0, output_6272 },
#endif
    { 0 },
    &operand_data[8648],
    10,
    10,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.b, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx16qivnx16bi },
    &operand_data[8658],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8qivnx8bi },
    &operand_data[8661],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4qivnx4bi },
    &operand_data[8664],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2qivnx2bi },
    &operand_data[8667],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8hivnx8bi },
    &operand_data[8670],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4hivnx4bi },
    &operand_data[8673],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2hivnx2bi },
    &operand_data[8676],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4sivnx4bi },
    &operand_data[8679],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2sivnx2bi },
    &operand_data[8682],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2divnx2bi },
    &operand_data[8685],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8hfvnx8bi },
    &operand_data[8688],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4hfvnx4bi },
    &operand_data[8691],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2hfvnx2bi },
    &operand_data[8694],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx8bfvnx8bi },
    &operand_data[8697],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4bfvnx4bi },
    &operand_data[8700],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2bfvnx2bi },
    &operand_data[8703],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx4sfvnx4bi },
    &operand_data[8706],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2sfvnx2bi },
    &operand_data[8709],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2290 */
  {
    "maskstorevnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_maskstorevnx2dfvnx2bi },
    &operand_data[8712],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32qivnx16qi },
    &operand_data[8715],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16hivnx8hi },
    &operand_data[8718],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8sivnx4si },
    &operand_data[8721],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx4divnx2di },
    &operand_data[8724],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16bfvnx8bf },
    &operand_data[8727],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16hfvnx8hf },
    &operand_data[8730],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8sfvnx4sf },
    &operand_data[8733],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx4dfvnx2df },
    &operand_data[8736],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx48qivnx16qi },
    &operand_data[8739],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24hivnx8hi },
    &operand_data[8742],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx12sivnx4si },
    &operand_data[8745],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx6divnx2di },
    &operand_data[8748],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24bfvnx8bf },
    &operand_data[8751],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx24hfvnx8hf },
    &operand_data[8754],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx12sfvnx4sf },
    &operand_data[8757],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx6dfvnx2df },
    &operand_data[8760],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4b\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx64qivnx16qi },
    &operand_data[8763],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32hivnx8hi },
    &operand_data[8766],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16sivnx4si },
    &operand_data[8769],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8divnx2di },
    &operand_data[8772],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32bfvnx8bf },
    &operand_data[8775],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4h\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx32hfvnx8hf },
    &operand_data[8778],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4w\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx16sfvnx4sf },
    &operand_data[8781],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2320 */
  {
    "vec_mask_store_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4d\t%1, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_mask_store_lanesvnx8dfvnx2df },
    &operand_data[8784],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2341 */
  {
    "aarch64_store_truncvnx8qivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx8qivnx8hi },
    &operand_data[8787],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2354 */
  {
    "aarch64_store_truncvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx4qivnx4si },
    &operand_data[8790],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2354 */
  {
    "aarch64_store_truncvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx4hivnx4si },
    &operand_data[8793],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2367 */
  {
    "aarch64_store_truncvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2qivnx2di },
    &operand_data[8796],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2367 */
  {
    "aarch64_store_truncvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2hivnx2di },
    &operand_data[8799],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2367 */
  {
    "aarch64_store_truncvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_store_truncvnx2sivnx2di },
    &operand_data[8802],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2389 */
  {
    "aarch64_stnt1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t%1.b, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16qi },
    &operand_data[8658],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2389 */
  {
    "aarch64_stnt1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8hi },
    &operand_data[8670],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2389 */
  {
    "aarch64_stnt1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4si },
    &operand_data[8679],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2389 */
  {
    "aarch64_stnt1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx2di },
    &operand_data[8685],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2389 */
  {
    "aarch64_stnt1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8bf },
    &operand_data[8697],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2389 */
  {
    "aarch64_stnt1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1.h, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8hf },
    &operand_data[8688],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2389 */
  {
    "aarch64_stnt1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1.s, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4sf },
    &operand_data[8706],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2389 */
  {
    "aarch64_stnt1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1.d, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx2df },
    &operand_data[8712],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2427 */
  {
    "mask_scatter_storevnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6330 },
#else
    { 0, output_6330, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4qivnx4si },
    &operand_data[8805],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2427 */
  {
    "mask_scatter_storevnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6331 },
#else
    { 0, output_6331, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4hivnx4si },
    &operand_data[8811],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2427 */
  {
    "mask_scatter_storevnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6332 },
#else
    { 0, output_6332, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4hfvnx4si },
    &operand_data[8817],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2427 */
  {
    "mask_scatter_storevnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6333 },
#else
    { 0, output_6333, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4bfvnx4si },
    &operand_data[8823],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2427 */
  {
    "mask_scatter_storevnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6334 },
#else
    { 0, output_6334, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4sivnx4si },
    &operand_data[8829],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2427 */
  {
    "mask_scatter_storevnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6335 },
#else
    { 0, output_6335, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx4sfvnx4si },
    &operand_data[8835],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2450 */
  {
    "mask_scatter_storevnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6336 },
#else
    { 0, output_6336, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2qivnx2di },
    &operand_data[8841],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2450 */
  {
    "mask_scatter_storevnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6337 },
#else
    { 0, output_6337, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2hivnx2di },
    &operand_data[8847],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2450 */
  {
    "mask_scatter_storevnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6338 },
#else
    { 0, output_6338, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2hfvnx2di },
    &operand_data[8853],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2450 */
  {
    "mask_scatter_storevnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6339 },
#else
    { 0, output_6339, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2bfvnx2di },
    &operand_data[8859],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2450 */
  {
    "mask_scatter_storevnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6340 },
#else
    { 0, output_6340, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2sivnx2di },
    &operand_data[8865],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2450 */
  {
    "mask_scatter_storevnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6341 },
#else
    { 0, output_6341, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2sfvnx2di },
    &operand_data[8871],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2450 */
  {
    "mask_scatter_storevnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6342 },
#else
    { 0, output_6342, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2divnx2di },
    &operand_data[8877],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2450 */
  {
    "mask_scatter_storevnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6343 },
#else
    { 0, output_6343, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_scatter_storevnx2dfvnx2di },
    &operand_data[8883],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2qivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6344 },
#else
    { 0, output_6344, 0 },
#endif
    { 0 },
    &operand_data[8889],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2qivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6345 },
#else
    { 0, output_6345, 0 },
#endif
    { 0 },
    &operand_data[8889],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2hivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6346 },
#else
    { 0, output_6346, 0 },
#endif
    { 0 },
    &operand_data[8896],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2hivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6347 },
#else
    { 0, output_6347, 0 },
#endif
    { 0 },
    &operand_data[8896],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2hfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6348 },
#else
    { 0, output_6348, 0 },
#endif
    { 0 },
    &operand_data[8903],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2hfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6349 },
#else
    { 0, output_6349, 0 },
#endif
    { 0 },
    &operand_data[8903],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2bfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6350 },
#else
    { 0, output_6350, 0 },
#endif
    { 0 },
    &operand_data[8910],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2bfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6351 },
#else
    { 0, output_6351, 0 },
#endif
    { 0 },
    &operand_data[8910],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2sivnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6352 },
#else
    { 0, output_6352, 0 },
#endif
    { 0 },
    &operand_data[8917],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2sivnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6353 },
#else
    { 0, output_6353, 0 },
#endif
    { 0 },
    &operand_data[8917],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2sfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6354 },
#else
    { 0, output_6354, 0 },
#endif
    { 0 },
    &operand_data[8924],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2sfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6355 },
#else
    { 0, output_6355, 0 },
#endif
    { 0 },
    &operand_data[8924],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2divnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6356 },
#else
    { 0, output_6356, 0 },
#endif
    { 0 },
    &operand_data[8931],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2divnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6357 },
#else
    { 0, output_6357, 0 },
#endif
    { 0 },
    &operand_data[8931],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2dfvnx2di_sxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6358 },
#else
    { 0, output_6358, 0 },
#endif
    { 0 },
    &operand_data[8938],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2470 */
  {
    "*mask_scatter_storevnx2dfvnx2di_uxtw_unpacked",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6359 },
#else
    { 0, output_6359, 0 },
#endif
    { 0 },
    &operand_data[8938],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2497 */
  {
    "*mask_scatter_storevnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6360 },
#else
    { 0, output_6360, 0 },
#endif
    { 0 },
    &operand_data[8945],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2497 */
  {
    "*mask_scatter_storevnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6361 },
#else
    { 0, output_6361, 0 },
#endif
    { 0 },
    &operand_data[8952],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2497 */
  {
    "*mask_scatter_storevnx2hfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6362 },
#else
    { 0, output_6362, 0 },
#endif
    { 0 },
    &operand_data[8959],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2497 */
  {
    "*mask_scatter_storevnx2bfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6363 },
#else
    { 0, output_6363, 0 },
#endif
    { 0 },
    &operand_data[8966],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2497 */
  {
    "*mask_scatter_storevnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6364 },
#else
    { 0, output_6364, 0 },
#endif
    { 0 },
    &operand_data[8973],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2497 */
  {
    "*mask_scatter_storevnx2sfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6365 },
#else
    { 0, output_6365, 0 },
#endif
    { 0 },
    &operand_data[8980],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2497 */
  {
    "*mask_scatter_storevnx2divnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6366 },
#else
    { 0, output_6366, 0 },
#endif
    { 0 },
    &operand_data[8987],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2497 */
  {
    "*mask_scatter_storevnx2dfvnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6367 },
#else
    { 0, output_6367, 0 },
#endif
    { 0 },
    &operand_data[8994],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2525 */
  {
    "*mask_scatter_storevnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6368 },
#else
    { 0, output_6368, 0 },
#endif
    { 0 },
    &operand_data[9001],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2525 */
  {
    "*mask_scatter_storevnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6369 },
#else
    { 0, output_6369, 0 },
#endif
    { 0 },
    &operand_data[9008],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2525 */
  {
    "*mask_scatter_storevnx2hfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6370 },
#else
    { 0, output_6370, 0 },
#endif
    { 0 },
    &operand_data[9015],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2525 */
  {
    "*mask_scatter_storevnx2bfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6371 },
#else
    { 0, output_6371, 0 },
#endif
    { 0 },
    &operand_data[9022],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2525 */
  {
    "*mask_scatter_storevnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6372 },
#else
    { 0, output_6372, 0 },
#endif
    { 0 },
    &operand_data[9029],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2525 */
  {
    "*mask_scatter_storevnx2sfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6373 },
#else
    { 0, output_6373, 0 },
#endif
    { 0 },
    &operand_data[9036],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2525 */
  {
    "*mask_scatter_storevnx2divnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6374 },
#else
    { 0, output_6374, 0 },
#endif
    { 0 },
    &operand_data[9043],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2525 */
  {
    "*mask_scatter_storevnx2dfvnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6375 },
#else
    { 0, output_6375, 0 },
#endif
    { 0 },
    &operand_data[9050],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2555 */
  {
    "aarch64_scatter_store_truncvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6376 },
#else
    { 0, output_6376, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx4qivnx4si },
    &operand_data[9057],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2555 */
  {
    "aarch64_scatter_store_truncvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6377 },
#else
    { 0, output_6377, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx4hivnx4si },
    &operand_data[9063],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2579 */
  {
    "aarch64_scatter_store_truncvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6378 },
#else
    { 0, output_6378, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2qivnx2di },
    &operand_data[9069],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2579 */
  {
    "aarch64_scatter_store_truncvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6379 },
#else
    { 0, output_6379, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2hivnx2di },
    &operand_data[9075],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2579 */
  {
    "aarch64_scatter_store_truncvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6380 },
#else
    { 0, output_6380, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_store_truncvnx2sivnx2di },
    &operand_data[9081],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2600 */
  {
    "*aarch64_scatter_store_truncvnx2qivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6381 },
#else
    { 0, output_6381, 0 },
#endif
    { 0 },
    &operand_data[9087],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2600 */
  {
    "*aarch64_scatter_store_truncvnx2hivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6382 },
#else
    { 0, output_6382, 0 },
#endif
    { 0 },
    &operand_data[9094],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2600 */
  {
    "*aarch64_scatter_store_truncvnx2sivnx2di_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6383 },
#else
    { 0, output_6383, 0 },
#endif
    { 0 },
    &operand_data[9101],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2628 */
  {
    "*aarch64_scatter_store_truncvnx2qivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6384 },
#else
    { 0, output_6384, 0 },
#endif
    { 0 },
    &operand_data[9108],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2628 */
  {
    "*aarch64_scatter_store_truncvnx2hivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6385 },
#else
    { 0, output_6385, 0 },
#endif
    { 0 },
    &operand_data[9115],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2628 */
  {
    "*aarch64_scatter_store_truncvnx2sivnx2di_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6386 },
#else
    { 0, output_6386, 0 },
#endif
    { 0 },
    &operand_data[9122],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx16qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6387 },
#else
    { 0, output_6387, 0 },
#endif
    { 0 },
    &operand_data[9129],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx8qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6388 },
#else
    { 0, output_6388, 0 },
#endif
    { 0 },
    &operand_data[9132],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx4qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6389 },
#else
    { 0, output_6389, 0 },
#endif
    { 0 },
    &operand_data[9135],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx2qi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6390 },
#else
    { 0, output_6390, 0 },
#endif
    { 0 },
    &operand_data[9138],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx8hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6391 },
#else
    { 0, output_6391, 0 },
#endif
    { 0 },
    &operand_data[9141],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx4hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6392 },
#else
    { 0, output_6392, 0 },
#endif
    { 0 },
    &operand_data[9144],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx2hi_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6393 },
#else
    { 0, output_6393, 0 },
#endif
    { 0 },
    &operand_data[9147],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx4si_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6394 },
#else
    { 0, output_6394, 0 },
#endif
    { 0 },
    &operand_data[9150],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx2si_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6395 },
#else
    { 0, output_6395, 0 },
#endif
    { 0 },
    &operand_data[9153],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx2di_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6396 },
#else
    { 0, output_6396, 0 },
#endif
    { 0 },
    &operand_data[9156],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx8hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6397 },
#else
    { 0, output_6397, 0 },
#endif
    { 0 },
    &operand_data[9159],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx4hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6398 },
#else
    { 0, output_6398, 0 },
#endif
    { 0 },
    &operand_data[9162],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx2hf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6399 },
#else
    { 0, output_6399, 0 },
#endif
    { 0 },
    &operand_data[9165],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx8bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6400 },
#else
    { 0, output_6400, 0 },
#endif
    { 0 },
    &operand_data[9168],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx4bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6401 },
#else
    { 0, output_6401, 0 },
#endif
    { 0 },
    &operand_data[9171],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx2bf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6402 },
#else
    { 0, output_6402, 0 },
#endif
    { 0 },
    &operand_data[9174],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx4sf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6403 },
#else
    { 0, output_6403, 0 },
#endif
    { 0 },
    &operand_data[9177],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx2sf_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6404 },
#else
    { 0, output_6404, 0 },
#endif
    { 0 },
    &operand_data[9180],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2694 */
  {
    "*vec_duplicatevnx2df_reg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6405 },
#else
    { 0, output_6405, 0 },
#endif
    { 0 },
    &operand_data[9183],
    2,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2727 */
  {
    "aarch64_vec_duplicate_vqvnx16qi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6406 },
#else
    { 0, 0, output_6406 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx16qi_le },
    &operand_data[9186],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2727 */
  {
    "aarch64_vec_duplicate_vqvnx8hi_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6407 },
#else
    { 0, 0, output_6407 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hi_le },
    &operand_data[9189],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2727 */
  {
    "aarch64_vec_duplicate_vqvnx4si_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6408 },
#else
    { 0, 0, output_6408 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4si_le },
    &operand_data[9192],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2727 */
  {
    "aarch64_vec_duplicate_vqvnx2di_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6409 },
#else
    { 0, 0, output_6409 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2di_le },
    &operand_data[9195],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2727 */
  {
    "aarch64_vec_duplicate_vqvnx8bf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6410 },
#else
    { 0, 0, output_6410 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8bf_le },
    &operand_data[9198],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2727 */
  {
    "aarch64_vec_duplicate_vqvnx8hf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6411 },
#else
    { 0, 0, output_6411 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hf_le },
    &operand_data[9201],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2727 */
  {
    "aarch64_vec_duplicate_vqvnx4sf_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6412 },
#else
    { 0, 0, output_6412 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4sf_le },
    &operand_data[9204],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2727 */
  {
    "aarch64_vec_duplicate_vqvnx2df_le",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6413 },
#else
    { 0, 0, output_6413 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2df_le },
    &operand_data[9207],
    2,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2765 */
  {
    "aarch64_vec_duplicate_vqvnx16qi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6414 },
#else
    { 0, 0, output_6414 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx16qi_be },
    &operand_data[9210],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2765 */
  {
    "aarch64_vec_duplicate_vqvnx8hi_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6415 },
#else
    { 0, 0, output_6415 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hi_be },
    &operand_data[9213],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2765 */
  {
    "aarch64_vec_duplicate_vqvnx4si_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6416 },
#else
    { 0, 0, output_6416 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4si_be },
    &operand_data[9216],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2765 */
  {
    "aarch64_vec_duplicate_vqvnx2di_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6417 },
#else
    { 0, 0, output_6417 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2di_be },
    &operand_data[9219],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2765 */
  {
    "aarch64_vec_duplicate_vqvnx8bf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6418 },
#else
    { 0, 0, output_6418 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8bf_be },
    &operand_data[9222],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2765 */
  {
    "aarch64_vec_duplicate_vqvnx8hf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6419 },
#else
    { 0, 0, output_6419 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx8hf_be },
    &operand_data[9225],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2765 */
  {
    "aarch64_vec_duplicate_vqvnx4sf_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6420 },
#else
    { 0, 0, output_6420 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx4sf_be },
    &operand_data[9228],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2765 */
  {
    "aarch64_vec_duplicate_vqvnx2df_be",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6421 },
#else
    { 0, 0, output_6421 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_duplicate_vqvnx2df_be },
    &operand_data[9231],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx16qi },
    &operand_data[9234],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8qi },
    &operand_data[9238],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4qi },
    &operand_data[9242],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rb\t%0.b, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2qi },
    &operand_data[9246],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8hi },
    &operand_data[9250],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4hi },
    &operand_data[9254],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2hi },
    &operand_data[9258],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4si },
    &operand_data[9262],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2si },
    &operand_data[9266],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2di },
    &operand_data[9270],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8hf },
    &operand_data[9274],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4hf },
    &operand_data[9278],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2hf },
    &operand_data[9282],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx8bf },
    &operand_data[9286],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4bf },
    &operand_data[9290],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rh\t%0.h, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2bf },
    &operand_data[9294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx4sf },
    &operand_data[9298],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rw\t%0.s, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2sf },
    &operand_data[9302],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2784 */
  {
    "sve_ld1rvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1rd\t%0.d, %1/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sve_ld1rvnx2df },
    &operand_data[9306],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2798 */
  {
    "aarch64_sve_ld1rqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6441 },
#else
    { 0, 0, output_6441 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx16qi },
    &operand_data[9310],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2798 */
  {
    "aarch64_sve_ld1rqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6442 },
#else
    { 0, 0, output_6442 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8hi },
    &operand_data[9313],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2798 */
  {
    "aarch64_sve_ld1rqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6443 },
#else
    { 0, 0, output_6443 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx4si },
    &operand_data[9316],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2798 */
  {
    "aarch64_sve_ld1rqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6444 },
#else
    { 0, 0, output_6444 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx2di },
    &operand_data[9319],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2798 */
  {
    "aarch64_sve_ld1rqvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6445 },
#else
    { 0, 0, output_6445 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8bf },
    &operand_data[9322],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2798 */
  {
    "aarch64_sve_ld1rqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6446 },
#else
    { 0, 0, output_6446 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx8hf },
    &operand_data[9325],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2798 */
  {
    "aarch64_sve_ld1rqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6447 },
#else
    { 0, 0, output_6447 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx4sf },
    &operand_data[9328],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2798 */
  {
    "aarch64_sve_ld1rqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6448 },
#else
    { 0, 0, output_6448 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rqvnx2df },
    &operand_data[9331],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2811 */
  {
    "aarch64_sve_ld1rovnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6449 },
#else
    { 0, 0, output_6449 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx16qi },
    &operand_data[9334],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2811 */
  {
    "aarch64_sve_ld1rovnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6450 },
#else
    { 0, 0, output_6450 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8hi },
    &operand_data[9337],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2811 */
  {
    "aarch64_sve_ld1rovnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6451 },
#else
    { 0, 0, output_6451 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx4si },
    &operand_data[9340],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2811 */
  {
    "aarch64_sve_ld1rovnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6452 },
#else
    { 0, 0, output_6452 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx2di },
    &operand_data[9343],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2811 */
  {
    "aarch64_sve_ld1rovnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6453 },
#else
    { 0, 0, output_6453 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8bf },
    &operand_data[9346],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2811 */
  {
    "aarch64_sve_ld1rovnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6454 },
#else
    { 0, 0, output_6454 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx8hf },
    &operand_data[9349],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2811 */
  {
    "aarch64_sve_ld1rovnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6455 },
#else
    { 0, 0, output_6455 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx4sf },
    &operand_data[9352],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2811 */
  {
    "aarch64_sve_ld1rovnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6456 },
#else
    { 0, 0, output_6456 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1rovnx2df },
    &operand_data[9355],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2876 */
  {
    "vec_shl_insert_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6457 },
#else
    { 0, output_6457, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx16qi },
    &operand_data[9358],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2876 */
  {
    "vec_shl_insert_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6458 },
#else
    { 0, output_6458, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8hi },
    &operand_data[9361],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2876 */
  {
    "vec_shl_insert_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6459 },
#else
    { 0, output_6459, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx4si },
    &operand_data[9364],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2876 */
  {
    "vec_shl_insert_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6460 },
#else
    { 0, output_6460, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx2di },
    &operand_data[9367],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2876 */
  {
    "vec_shl_insert_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6461 },
#else
    { 0, output_6461, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8bf },
    &operand_data[9370],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2876 */
  {
    "vec_shl_insert_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6462 },
#else
    { 0, output_6462, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx8hf },
    &operand_data[9373],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2876 */
  {
    "vec_shl_insert_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6463 },
#else
    { 0, output_6463, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx4sf },
    &operand_data[9376],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2876 */
  {
    "vec_shl_insert_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6464 },
#else
    { 0, output_6464, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_shl_insert_vnx2df },
    &operand_data[9379],
    3,
    3,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2898 */
  {
    "vec_seriesvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6465 },
#else
    { 0, output_6465, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx16qi },
    &operand_data[9382],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2898 */
  {
    "vec_seriesvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6466 },
#else
    { 0, output_6466, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx8qi },
    &operand_data[9385],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2898 */
  {
    "vec_seriesvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6467 },
#else
    { 0, output_6467, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4qi },
    &operand_data[9388],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2898 */
  {
    "vec_seriesvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6468 },
#else
    { 0, output_6468, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2qi },
    &operand_data[9391],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2898 */
  {
    "vec_seriesvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6469 },
#else
    { 0, output_6469, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx8hi },
    &operand_data[9394],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2898 */
  {
    "vec_seriesvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6470 },
#else
    { 0, output_6470, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4hi },
    &operand_data[9397],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2898 */
  {
    "vec_seriesvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6471 },
#else
    { 0, output_6471, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2hi },
    &operand_data[9400],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2898 */
  {
    "vec_seriesvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6472 },
#else
    { 0, output_6472, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx4si },
    &operand_data[9403],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2898 */
  {
    "vec_seriesvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6473 },
#else
    { 0, output_6473, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2si },
    &operand_data[9406],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2898 */
  {
    "vec_seriesvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6474 },
#else
    { 0, output_6474, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_seriesvnx2di },
    &operand_data[9409],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "*vec_seriesvnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6475 },
#else
    { 0, 0, output_6475 },
#endif
    { 0 },
    &operand_data[9412],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "*vec_seriesvnx8qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6476 },
#else
    { 0, 0, output_6476 },
#endif
    { 0 },
    &operand_data[9415],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "*vec_seriesvnx4qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6477 },
#else
    { 0, 0, output_6477 },
#endif
    { 0 },
    &operand_data[9418],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "*vec_seriesvnx2qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6478 },
#else
    { 0, 0, output_6478 },
#endif
    { 0 },
    &operand_data[9421],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "*vec_seriesvnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6479 },
#else
    { 0, 0, output_6479 },
#endif
    { 0 },
    &operand_data[9424],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "*vec_seriesvnx4hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6480 },
#else
    { 0, 0, output_6480 },
#endif
    { 0 },
    &operand_data[9427],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "*vec_seriesvnx2hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6481 },
#else
    { 0, 0, output_6481 },
#endif
    { 0 },
    &operand_data[9430],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "*vec_seriesvnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6482 },
#else
    { 0, 0, output_6482 },
#endif
    { 0 },
    &operand_data[9433],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "*vec_seriesvnx2si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6483 },
#else
    { 0, 0, output_6483 },
#endif
    { 0 },
    &operand_data[9436],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2913 */
  {
    "*vec_seriesvnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6484 },
#else
    { 0, 0, output_6484 },
#endif
    { 0 },
    &operand_data[9439],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3005 */
  {
    "*vec_extractvnx16qiqi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6485 },
#else
    { 0, 0, output_6485 },
#endif
    { 0 },
    &operand_data[9442],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3005 */
  {
    "*vec_extractvnx8hihi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6486 },
#else
    { 0, 0, output_6486 },
#endif
    { 0 },
    &operand_data[9444],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3005 */
  {
    "*vec_extractvnx4sisi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6487 },
#else
    { 0, 0, output_6487 },
#endif
    { 0 },
    &operand_data[9446],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3005 */
  {
    "*vec_extractvnx2didi_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6488 },
#else
    { 0, 0, output_6488 },
#endif
    { 0 },
    &operand_data[9448],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3005 */
  {
    "*vec_extractvnx8bfbf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6489 },
#else
    { 0, 0, output_6489 },
#endif
    { 0 },
    &operand_data[9450],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3005 */
  {
    "*vec_extractvnx8hfhf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6490 },
#else
    { 0, 0, output_6490 },
#endif
    { 0 },
    &operand_data[9452],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3005 */
  {
    "*vec_extractvnx4sfsf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6491 },
#else
    { 0, 0, output_6491 },
#endif
    { 0 },
    &operand_data[9454],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3005 */
  {
    "*vec_extractvnx2dfdf_0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6492 },
#else
    { 0, 0, output_6492 },
#endif
    { 0 },
    &operand_data[9456],
    2,
    2,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3039 */
  {
    "*vec_extractvnx16qiqi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6493 },
#else
    { 0, 0, output_6493 },
#endif
    { 0 },
    &operand_data[9458],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3039 */
  {
    "*vec_extractvnx8hihi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6494 },
#else
    { 0, 0, output_6494 },
#endif
    { 0 },
    &operand_data[9461],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3039 */
  {
    "*vec_extractvnx4sisi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6495 },
#else
    { 0, 0, output_6495 },
#endif
    { 0 },
    &operand_data[9464],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3039 */
  {
    "*vec_extractvnx2didi_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6496 },
#else
    { 0, 0, output_6496 },
#endif
    { 0 },
    &operand_data[9467],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3039 */
  {
    "*vec_extractvnx8bfbf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6497 },
#else
    { 0, 0, output_6497 },
#endif
    { 0 },
    &operand_data[9470],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3039 */
  {
    "*vec_extractvnx8hfhf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6498 },
#else
    { 0, 0, output_6498 },
#endif
    { 0 },
    &operand_data[9473],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3039 */
  {
    "*vec_extractvnx4sfsf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6499 },
#else
    { 0, 0, output_6499 },
#endif
    { 0 },
    &operand_data[9476],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3039 */
  {
    "*vec_extractvnx2dfdf_v128",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6500 },
#else
    { 0, 0, output_6500 },
#endif
    { 0 },
    &operand_data[9479],
    3,
    3,
    0,
    3,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3065 */
  {
    "*vec_extractvnx16qiqi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6501 },
#else
    { 0, 0, output_6501 },
#endif
    { 0 },
    &operand_data[9482],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3065 */
  {
    "*vec_extractvnx8hihi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6502 },
#else
    { 0, 0, output_6502 },
#endif
    { 0 },
    &operand_data[9485],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3065 */
  {
    "*vec_extractvnx4sisi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6503 },
#else
    { 0, 0, output_6503 },
#endif
    { 0 },
    &operand_data[9488],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3065 */
  {
    "*vec_extractvnx2didi_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6504 },
#else
    { 0, 0, output_6504 },
#endif
    { 0 },
    &operand_data[9491],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3065 */
  {
    "*vec_extractvnx8bfbf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6505 },
#else
    { 0, 0, output_6505 },
#endif
    { 0 },
    &operand_data[9494],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3065 */
  {
    "*vec_extractvnx8hfhf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6506 },
#else
    { 0, 0, output_6506 },
#endif
    { 0 },
    &operand_data[9497],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3065 */
  {
    "*vec_extractvnx4sfsf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6507 },
#else
    { 0, 0, output_6507 },
#endif
    { 0 },
    &operand_data[9500],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3065 */
  {
    "*vec_extractvnx2dfdf_dup",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6508 },
#else
    { 0, 0, output_6508 },
#endif
    { 0 },
    &operand_data[9503],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3080 */
  {
    "*vec_extractvnx16qiqi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6509 },
#else
    { 0, 0, output_6509 },
#endif
    { 0 },
    &operand_data[9506],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3080 */
  {
    "*vec_extractvnx8hihi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6510 },
#else
    { 0, 0, output_6510 },
#endif
    { 0 },
    &operand_data[9509],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3080 */
  {
    "*vec_extractvnx4sisi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6511 },
#else
    { 0, 0, output_6511 },
#endif
    { 0 },
    &operand_data[9512],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3080 */
  {
    "*vec_extractvnx2didi_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6512 },
#else
    { 0, 0, output_6512 },
#endif
    { 0 },
    &operand_data[9515],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3080 */
  {
    "*vec_extractvnx8bfbf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6513 },
#else
    { 0, 0, output_6513 },
#endif
    { 0 },
    &operand_data[9518],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3080 */
  {
    "*vec_extractvnx8hfhf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6514 },
#else
    { 0, 0, output_6514 },
#endif
    { 0 },
    &operand_data[9521],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3080 */
  {
    "*vec_extractvnx4sfsf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6515 },
#else
    { 0, 0, output_6515 },
#endif
    { 0 },
    &operand_data[9524],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3080 */
  {
    "*vec_extractvnx2dfdf_ext",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_6516 },
#else
    { 0, 0, output_6516 },
#endif
    { 0 },
    &operand_data[9527],
    3,
    3,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6517 },
#else
    { 0, output_6517, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx16qi },
    &operand_data[9530],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6518 },
#else
    { 0, output_6518, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx16qi },
    &operand_data[9530],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6519 },
#else
    { 0, output_6519, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8hi },
    &operand_data[9533],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6520 },
#else
    { 0, output_6520, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8hi },
    &operand_data[9533],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6521 },
#else
    { 0, output_6521, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx4si },
    &operand_data[9536],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6522 },
#else
    { 0, output_6522, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx4si },
    &operand_data[9536],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6523 },
#else
    { 0, output_6523, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx2di },
    &operand_data[9539],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6524 },
#else
    { 0, output_6524, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx2di },
    &operand_data[9539],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6525 },
#else
    { 0, output_6525, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8bf },
    &operand_data[9542],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6526 },
#else
    { 0, output_6526, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8bf },
    &operand_data[9542],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6527 },
#else
    { 0, output_6527, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx8hf },
    &operand_data[9545],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6528 },
#else
    { 0, output_6528, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx8hf },
    &operand_data[9545],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6529 },
#else
    { 0, output_6529, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx4sf },
    &operand_data[9548],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6530 },
#else
    { 0, output_6530, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx4sf },
    &operand_data[9548],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6531 },
#else
    { 0, output_6531, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_after_last_vnx2df },
    &operand_data[9551],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3106 */
  {
    "extract_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6532 },
#else
    { 0, output_6532, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extract_last_vnx2df },
    &operand_data[9551],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6533 },
#else
    { 0, output_6533, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx16qi },
    &operand_data[9554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6534 },
#else
    { 0, output_6534, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx16qi },
    &operand_data[9554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6535 },
#else
    { 0, output_6535, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx16qi },
    &operand_data[9554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6536 },
#else
    { 0, output_6536, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx16qi },
    &operand_data[9554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6537 },
#else
    { 0, output_6537, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx16qi },
    &operand_data[9554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6538 },
#else
    { 0, output_6538, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx16qi },
    &operand_data[9554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6539 },
#else
    { 0, output_6539, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx16qi },
    &operand_data[9554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6540 },
#else
    { 0, output_6540, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx16qi },
    &operand_data[9554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6541 },
#else
    { 0, output_6541, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx16qi },
    &operand_data[9554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6542 },
#else
    { 0, output_6542, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8qi },
    &operand_data[9557],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6543 },
#else
    { 0, output_6543, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8qi },
    &operand_data[9557],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6544 },
#else
    { 0, output_6544, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx8qi },
    &operand_data[9557],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6545 },
#else
    { 0, output_6545, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx8qi },
    &operand_data[9557],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6546 },
#else
    { 0, output_6546, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx8qi },
    &operand_data[9557],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6547 },
#else
    { 0, output_6547, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx8qi },
    &operand_data[9557],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6548 },
#else
    { 0, output_6548, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx8qi },
    &operand_data[9557],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6549 },
#else
    { 0, output_6549, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx8qi },
    &operand_data[9557],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6550 },
#else
    { 0, output_6550, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx8qi },
    &operand_data[9557],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6551 },
#else
    { 0, output_6551, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4qi },
    &operand_data[9560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6552 },
#else
    { 0, output_6552, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4qi },
    &operand_data[9560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6553 },
#else
    { 0, output_6553, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4qi },
    &operand_data[9560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6554 },
#else
    { 0, output_6554, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4qi },
    &operand_data[9560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6555 },
#else
    { 0, output_6555, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4qi },
    &operand_data[9560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6556 },
#else
    { 0, output_6556, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4qi },
    &operand_data[9560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6557 },
#else
    { 0, output_6557, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx4qi },
    &operand_data[9560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6558 },
#else
    { 0, output_6558, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4qi },
    &operand_data[9560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6559 },
#else
    { 0, output_6559, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4qi },
    &operand_data[9560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6560 },
#else
    { 0, output_6560, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2qi },
    &operand_data[9563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6561 },
#else
    { 0, output_6561, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2qi },
    &operand_data[9563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6562 },
#else
    { 0, output_6562, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2qi },
    &operand_data[9563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6563 },
#else
    { 0, output_6563, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2qi },
    &operand_data[9563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6564 },
#else
    { 0, output_6564, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2qi },
    &operand_data[9563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6565 },
#else
    { 0, output_6565, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2qi },
    &operand_data[9563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6566 },
#else
    { 0, output_6566, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx2qi },
    &operand_data[9563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6567 },
#else
    { 0, output_6567, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2qi },
    &operand_data[9563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6568 },
#else
    { 0, output_6568, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2qi },
    &operand_data[9563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6569 },
#else
    { 0, output_6569, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6570 },
#else
    { 0, output_6570, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6571 },
#else
    { 0, output_6571, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx8hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6572 },
#else
    { 0, output_6572, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx8hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6573 },
#else
    { 0, output_6573, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx8hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6574 },
#else
    { 0, output_6574, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx8hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6575 },
#else
    { 0, output_6575, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx8hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6576 },
#else
    { 0, output_6576, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx8hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6577 },
#else
    { 0, output_6577, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx8hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6578 },
#else
    { 0, output_6578, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4hi },
    &operand_data[9569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6579 },
#else
    { 0, output_6579, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4hi },
    &operand_data[9569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6580 },
#else
    { 0, output_6580, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4hi },
    &operand_data[9569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6581 },
#else
    { 0, output_6581, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4hi },
    &operand_data[9569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6582 },
#else
    { 0, output_6582, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4hi },
    &operand_data[9569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6583 },
#else
    { 0, output_6583, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4hi },
    &operand_data[9569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6584 },
#else
    { 0, output_6584, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx4hi },
    &operand_data[9569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6585 },
#else
    { 0, output_6585, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4hi },
    &operand_data[9569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6586 },
#else
    { 0, output_6586, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4hi },
    &operand_data[9569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6587 },
#else
    { 0, output_6587, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2hi },
    &operand_data[9572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6588 },
#else
    { 0, output_6588, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2hi },
    &operand_data[9572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6589 },
#else
    { 0, output_6589, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2hi },
    &operand_data[9572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6590 },
#else
    { 0, output_6590, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2hi },
    &operand_data[9572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6591 },
#else
    { 0, output_6591, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2hi },
    &operand_data[9572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6592 },
#else
    { 0, output_6592, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2hi },
    &operand_data[9572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6593 },
#else
    { 0, output_6593, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx2hi },
    &operand_data[9572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6594 },
#else
    { 0, output_6594, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2hi },
    &operand_data[9572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6595 },
#else
    { 0, output_6595, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2hi },
    &operand_data[9572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6596 },
#else
    { 0, output_6596, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6597 },
#else
    { 0, output_6597, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6598 },
#else
    { 0, output_6598, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6599 },
#else
    { 0, output_6599, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6600 },
#else
    { 0, output_6600, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6601 },
#else
    { 0, output_6601, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6602 },
#else
    { 0, output_6602, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6603 },
#else
    { 0, output_6603, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6604 },
#else
    { 0, output_6604, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6605 },
#else
    { 0, output_6605, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2si },
    &operand_data[9578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6606 },
#else
    { 0, output_6606, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2si },
    &operand_data[9578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6607 },
#else
    { 0, output_6607, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2si },
    &operand_data[9578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6608 },
#else
    { 0, output_6608, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2si },
    &operand_data[9578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6609 },
#else
    { 0, output_6609, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2si },
    &operand_data[9578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6610 },
#else
    { 0, output_6610, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2si },
    &operand_data[9578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6611 },
#else
    { 0, output_6611, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx2si },
    &operand_data[9578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6612 },
#else
    { 0, output_6612, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2si },
    &operand_data[9578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6613 },
#else
    { 0, output_6613, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2si },
    &operand_data[9578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6614 },
#else
    { 0, output_6614, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6615 },
#else
    { 0, output_6615, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6616 },
#else
    { 0, output_6616, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6617 },
#else
    { 0, output_6617, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6618 },
#else
    { 0, output_6618, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6619 },
#else
    { 0, output_6619, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6620 },
#else
    { 0, output_6620, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6621 },
#else
    { 0, output_6621, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6622 },
#else
    { 0, output_6622, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6623 },
#else
    { 0, output_6623, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv8qi },
    &operand_data[9584],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6624 },
#else
    { 0, output_6624, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv8qi },
    &operand_data[9584],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6625 },
#else
    { 0, output_6625, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv8qi },
    &operand_data[9584],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6626 },
#else
    { 0, output_6626, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv8qi },
    &operand_data[9584],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6627 },
#else
    { 0, output_6627, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv8qi },
    &operand_data[9584],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6628 },
#else
    { 0, output_6628, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv8qi },
    &operand_data[9584],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6629 },
#else
    { 0, output_6629, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv8qi },
    &operand_data[9584],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6630 },
#else
    { 0, output_6630, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv8qi },
    &operand_data[9584],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6631 },
#else
    { 0, output_6631, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv8qi },
    &operand_data[9584],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6632 },
#else
    { 0, output_6632, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv16qi },
    &operand_data[9587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6633 },
#else
    { 0, output_6633, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv16qi },
    &operand_data[9587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6634 },
#else
    { 0, output_6634, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv16qi },
    &operand_data[9587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6635 },
#else
    { 0, output_6635, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv16qi },
    &operand_data[9587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6636 },
#else
    { 0, output_6636, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv16qi },
    &operand_data[9587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6637 },
#else
    { 0, output_6637, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv16qi },
    &operand_data[9587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6638 },
#else
    { 0, output_6638, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv16qi },
    &operand_data[9587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6639 },
#else
    { 0, output_6639, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv16qi },
    &operand_data[9587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6640 },
#else
    { 0, output_6640, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv16qi },
    &operand_data[9587],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6641 },
#else
    { 0, output_6641, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv4hi },
    &operand_data[9590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6642 },
#else
    { 0, output_6642, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv4hi },
    &operand_data[9590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6643 },
#else
    { 0, output_6643, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv4hi },
    &operand_data[9590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6644 },
#else
    { 0, output_6644, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv4hi },
    &operand_data[9590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6645 },
#else
    { 0, output_6645, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv4hi },
    &operand_data[9590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6646 },
#else
    { 0, output_6646, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv4hi },
    &operand_data[9590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6647 },
#else
    { 0, output_6647, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv4hi },
    &operand_data[9590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6648 },
#else
    { 0, output_6648, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv4hi },
    &operand_data[9590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6649 },
#else
    { 0, output_6649, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv4hi },
    &operand_data[9590],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6650 },
#else
    { 0, output_6650, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv8hi },
    &operand_data[9593],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6651 },
#else
    { 0, output_6651, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv8hi },
    &operand_data[9593],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6652 },
#else
    { 0, output_6652, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv8hi },
    &operand_data[9593],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6653 },
#else
    { 0, output_6653, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv8hi },
    &operand_data[9593],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6654 },
#else
    { 0, output_6654, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv8hi },
    &operand_data[9593],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6655 },
#else
    { 0, output_6655, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv8hi },
    &operand_data[9593],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6656 },
#else
    { 0, output_6656, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv8hi },
    &operand_data[9593],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6657 },
#else
    { 0, output_6657, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv8hi },
    &operand_data[9593],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6658 },
#else
    { 0, output_6658, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv8hi },
    &operand_data[9593],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6659 },
#else
    { 0, output_6659, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv2si },
    &operand_data[9596],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6660 },
#else
    { 0, output_6660, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv2si },
    &operand_data[9596],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6661 },
#else
    { 0, output_6661, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv2si },
    &operand_data[9596],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6662 },
#else
    { 0, output_6662, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv2si },
    &operand_data[9596],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6663 },
#else
    { 0, output_6663, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv2si },
    &operand_data[9596],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6664 },
#else
    { 0, output_6664, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv2si },
    &operand_data[9596],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6665 },
#else
    { 0, output_6665, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv2si },
    &operand_data[9596],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6666 },
#else
    { 0, output_6666, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv2si },
    &operand_data[9596],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6667 },
#else
    { 0, output_6667, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv2si },
    &operand_data[9596],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6668 },
#else
    { 0, output_6668, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv4si },
    &operand_data[9599],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6669 },
#else
    { 0, output_6669, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv4si },
    &operand_data[9599],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6670 },
#else
    { 0, output_6670, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv4si },
    &operand_data[9599],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6671 },
#else
    { 0, output_6671, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv4si },
    &operand_data[9599],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6672 },
#else
    { 0, output_6672, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv4si },
    &operand_data[9599],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6673 },
#else
    { 0, output_6673, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv4si },
    &operand_data[9599],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6674 },
#else
    { 0, output_6674, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv4si },
    &operand_data[9599],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6675 },
#else
    { 0, output_6675, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv4si },
    &operand_data[9599],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6676 },
#else
    { 0, output_6676, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv4si },
    &operand_data[9599],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6677 },
#else
    { 0, output_6677, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv2di },
    &operand_data[9602],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6678 },
#else
    { 0, output_6678, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv2di },
    &operand_data[9602],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6679 },
#else
    { 0, output_6679, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv2di },
    &operand_data[9602],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6680 },
#else
    { 0, output_6680, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv2di },
    &operand_data[9602],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6681 },
#else
    { 0, output_6681, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv2di },
    &operand_data[9602],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6682 },
#else
    { 0, output_6682, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv2di },
    &operand_data[9602],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6683 },
#else
    { 0, output_6683, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv2di },
    &operand_data[9602],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6684 },
#else
    { 0, output_6684, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv2di },
    &operand_data[9602],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6685 },
#else
    { 0, output_6685, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv2di },
    &operand_data[9602],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_absv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6686 },
#else
    { 0, output_6686, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absv1di },
    &operand_data[9605],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_negv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6687 },
#else
    { 0, output_6687, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negv1di },
    &operand_data[9605],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_one_cmplv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6688 },
#else
    { 0, output_6688, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_one_cmplv1di },
    &operand_data[9605],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clrsbv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6689 },
#else
    { 0, output_6689, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clrsbv1di },
    &operand_data[9605],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_clzv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6690 },
#else
    { 0, output_6690, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_clzv1di },
    &operand_data[9605],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_popcountv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6691 },
#else
    { 0, output_6691, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_popcountv1di },
    &operand_data[9605],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_rbitv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6692 },
#else
    { 0, output_6692, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rbitv1di },
    &operand_data[9605],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qabsv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6693 },
#else
    { 0, output_6693, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qabsv1di },
    &operand_data[9605],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3193 */
  {
    "aarch64_pred_qnegv1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6694 },
#else
    { 0, output_6694, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_qnegv1di },
    &operand_data[9605],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_absvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6695 },
#else
    { 0, output_6695, 0 },
#endif
    { 0 },
    &operand_data[9554],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_negvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6696 },
#else
    { 0, output_6696, 0 },
#endif
    { 0 },
    &operand_data[9554],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_one_cmplvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6697 },
#else
    { 0, output_6697, 0 },
#endif
    { 0 },
    &operand_data[9554],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clrsbvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6698 },
#else
    { 0, output_6698, 0 },
#endif
    { 0 },
    &operand_data[9554],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clzvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6699 },
#else
    { 0, output_6699, 0 },
#endif
    { 0 },
    &operand_data[9554],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_popcountvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6700 },
#else
    { 0, output_6700, 0 },
#endif
    { 0 },
    &operand_data[9554],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_rbitvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6701 },
#else
    { 0, output_6701, 0 },
#endif
    { 0 },
    &operand_data[9554],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qabsvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6702 },
#else
    { 0, output_6702, 0 },
#endif
    { 0 },
    &operand_data[9554],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qnegvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6703 },
#else
    { 0, output_6703, 0 },
#endif
    { 0 },
    &operand_data[9554],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_absvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6704 },
#else
    { 0, output_6704, 0 },
#endif
    { 0 },
    &operand_data[9557],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_negvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6705 },
#else
    { 0, output_6705, 0 },
#endif
    { 0 },
    &operand_data[9557],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_one_cmplvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6706 },
#else
    { 0, output_6706, 0 },
#endif
    { 0 },
    &operand_data[9557],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clrsbvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6707 },
#else
    { 0, output_6707, 0 },
#endif
    { 0 },
    &operand_data[9557],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clzvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6708 },
#else
    { 0, output_6708, 0 },
#endif
    { 0 },
    &operand_data[9557],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_popcountvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6709 },
#else
    { 0, output_6709, 0 },
#endif
    { 0 },
    &operand_data[9557],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_rbitvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6710 },
#else
    { 0, output_6710, 0 },
#endif
    { 0 },
    &operand_data[9557],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qabsvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6711 },
#else
    { 0, output_6711, 0 },
#endif
    { 0 },
    &operand_data[9557],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qnegvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6712 },
#else
    { 0, output_6712, 0 },
#endif
    { 0 },
    &operand_data[9557],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_absvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6713 },
#else
    { 0, output_6713, 0 },
#endif
    { 0 },
    &operand_data[9560],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_negvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6714 },
#else
    { 0, output_6714, 0 },
#endif
    { 0 },
    &operand_data[9560],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_one_cmplvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6715 },
#else
    { 0, output_6715, 0 },
#endif
    { 0 },
    &operand_data[9560],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clrsbvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6716 },
#else
    { 0, output_6716, 0 },
#endif
    { 0 },
    &operand_data[9560],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clzvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6717 },
#else
    { 0, output_6717, 0 },
#endif
    { 0 },
    &operand_data[9560],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_popcountvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6718 },
#else
    { 0, output_6718, 0 },
#endif
    { 0 },
    &operand_data[9560],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_rbitvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6719 },
#else
    { 0, output_6719, 0 },
#endif
    { 0 },
    &operand_data[9560],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qabsvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6720 },
#else
    { 0, output_6720, 0 },
#endif
    { 0 },
    &operand_data[9560],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qnegvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6721 },
#else
    { 0, output_6721, 0 },
#endif
    { 0 },
    &operand_data[9560],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_absvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6722 },
#else
    { 0, output_6722, 0 },
#endif
    { 0 },
    &operand_data[9563],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_negvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6723 },
#else
    { 0, output_6723, 0 },
#endif
    { 0 },
    &operand_data[9563],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_one_cmplvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6724 },
#else
    { 0, output_6724, 0 },
#endif
    { 0 },
    &operand_data[9563],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clrsbvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6725 },
#else
    { 0, output_6725, 0 },
#endif
    { 0 },
    &operand_data[9563],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clzvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6726 },
#else
    { 0, output_6726, 0 },
#endif
    { 0 },
    &operand_data[9563],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_popcountvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6727 },
#else
    { 0, output_6727, 0 },
#endif
    { 0 },
    &operand_data[9563],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_rbitvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6728 },
#else
    { 0, output_6728, 0 },
#endif
    { 0 },
    &operand_data[9563],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qabsvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6729 },
#else
    { 0, output_6729, 0 },
#endif
    { 0 },
    &operand_data[9563],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qnegvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6730 },
#else
    { 0, output_6730, 0 },
#endif
    { 0 },
    &operand_data[9563],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_absvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6731 },
#else
    { 0, output_6731, 0 },
#endif
    { 0 },
    &operand_data[9566],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_negvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6732 },
#else
    { 0, output_6732, 0 },
#endif
    { 0 },
    &operand_data[9566],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_one_cmplvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6733 },
#else
    { 0, output_6733, 0 },
#endif
    { 0 },
    &operand_data[9566],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clrsbvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6734 },
#else
    { 0, output_6734, 0 },
#endif
    { 0 },
    &operand_data[9566],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clzvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6735 },
#else
    { 0, output_6735, 0 },
#endif
    { 0 },
    &operand_data[9566],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_popcountvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6736 },
#else
    { 0, output_6736, 0 },
#endif
    { 0 },
    &operand_data[9566],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_rbitvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6737 },
#else
    { 0, output_6737, 0 },
#endif
    { 0 },
    &operand_data[9566],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qabsvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6738 },
#else
    { 0, output_6738, 0 },
#endif
    { 0 },
    &operand_data[9566],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qnegvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6739 },
#else
    { 0, output_6739, 0 },
#endif
    { 0 },
    &operand_data[9566],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_absvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6740 },
#else
    { 0, output_6740, 0 },
#endif
    { 0 },
    &operand_data[9569],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_negvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6741 },
#else
    { 0, output_6741, 0 },
#endif
    { 0 },
    &operand_data[9569],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_one_cmplvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6742 },
#else
    { 0, output_6742, 0 },
#endif
    { 0 },
    &operand_data[9569],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clrsbvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6743 },
#else
    { 0, output_6743, 0 },
#endif
    { 0 },
    &operand_data[9569],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clzvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6744 },
#else
    { 0, output_6744, 0 },
#endif
    { 0 },
    &operand_data[9569],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_popcountvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6745 },
#else
    { 0, output_6745, 0 },
#endif
    { 0 },
    &operand_data[9569],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_rbitvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6746 },
#else
    { 0, output_6746, 0 },
#endif
    { 0 },
    &operand_data[9569],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qabsvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6747 },
#else
    { 0, output_6747, 0 },
#endif
    { 0 },
    &operand_data[9569],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qnegvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6748 },
#else
    { 0, output_6748, 0 },
#endif
    { 0 },
    &operand_data[9569],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_absvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6749 },
#else
    { 0, output_6749, 0 },
#endif
    { 0 },
    &operand_data[9572],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_negvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6750 },
#else
    { 0, output_6750, 0 },
#endif
    { 0 },
    &operand_data[9572],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_one_cmplvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6751 },
#else
    { 0, output_6751, 0 },
#endif
    { 0 },
    &operand_data[9572],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clrsbvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6752 },
#else
    { 0, output_6752, 0 },
#endif
    { 0 },
    &operand_data[9572],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clzvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6753 },
#else
    { 0, output_6753, 0 },
#endif
    { 0 },
    &operand_data[9572],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_popcountvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6754 },
#else
    { 0, output_6754, 0 },
#endif
    { 0 },
    &operand_data[9572],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_rbitvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6755 },
#else
    { 0, output_6755, 0 },
#endif
    { 0 },
    &operand_data[9572],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qabsvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6756 },
#else
    { 0, output_6756, 0 },
#endif
    { 0 },
    &operand_data[9572],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qnegvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6757 },
#else
    { 0, output_6757, 0 },
#endif
    { 0 },
    &operand_data[9572],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_absvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6758 },
#else
    { 0, output_6758, 0 },
#endif
    { 0 },
    &operand_data[9575],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_negvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6759 },
#else
    { 0, output_6759, 0 },
#endif
    { 0 },
    &operand_data[9575],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_one_cmplvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6760 },
#else
    { 0, output_6760, 0 },
#endif
    { 0 },
    &operand_data[9575],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clrsbvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6761 },
#else
    { 0, output_6761, 0 },
#endif
    { 0 },
    &operand_data[9575],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clzvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6762 },
#else
    { 0, output_6762, 0 },
#endif
    { 0 },
    &operand_data[9575],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_popcountvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6763 },
#else
    { 0, output_6763, 0 },
#endif
    { 0 },
    &operand_data[9575],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_rbitvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6764 },
#else
    { 0, output_6764, 0 },
#endif
    { 0 },
    &operand_data[9575],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qabsvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6765 },
#else
    { 0, output_6765, 0 },
#endif
    { 0 },
    &operand_data[9575],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qnegvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6766 },
#else
    { 0, output_6766, 0 },
#endif
    { 0 },
    &operand_data[9575],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_absvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6767 },
#else
    { 0, output_6767, 0 },
#endif
    { 0 },
    &operand_data[9578],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_negvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6768 },
#else
    { 0, output_6768, 0 },
#endif
    { 0 },
    &operand_data[9578],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_one_cmplvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6769 },
#else
    { 0, output_6769, 0 },
#endif
    { 0 },
    &operand_data[9578],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clrsbvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6770 },
#else
    { 0, output_6770, 0 },
#endif
    { 0 },
    &operand_data[9578],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clzvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6771 },
#else
    { 0, output_6771, 0 },
#endif
    { 0 },
    &operand_data[9578],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_popcountvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6772 },
#else
    { 0, output_6772, 0 },
#endif
    { 0 },
    &operand_data[9578],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_rbitvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6773 },
#else
    { 0, output_6773, 0 },
#endif
    { 0 },
    &operand_data[9578],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qabsvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6774 },
#else
    { 0, output_6774, 0 },
#endif
    { 0 },
    &operand_data[9578],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qnegvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6775 },
#else
    { 0, output_6775, 0 },
#endif
    { 0 },
    &operand_data[9578],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_absvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6776 },
#else
    { 0, output_6776, 0 },
#endif
    { 0 },
    &operand_data[9581],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_negvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6777 },
#else
    { 0, output_6777, 0 },
#endif
    { 0 },
    &operand_data[9581],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_one_cmplvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6778 },
#else
    { 0, output_6778, 0 },
#endif
    { 0 },
    &operand_data[9581],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clrsbvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6779 },
#else
    { 0, output_6779, 0 },
#endif
    { 0 },
    &operand_data[9581],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_clzvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6780 },
#else
    { 0, output_6780, 0 },
#endif
    { 0 },
    &operand_data[9581],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_popcountvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6781 },
#else
    { 0, output_6781, 0 },
#endif
    { 0 },
    &operand_data[9581],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_rbitvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6782 },
#else
    { 0, output_6782, 0 },
#endif
    { 0 },
    &operand_data[9581],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qabsvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6783 },
#else
    { 0, output_6783, 0 },
#endif
    { 0 },
    &operand_data[9581],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3220 */
  {
    "*cond_qnegvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6784 },
#else
    { 0, output_6784, 0 },
#endif
    { 0 },
    &operand_data[9581],
    3,
    3,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_absvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6785 },
#else
    { 0, output_6785, 0 },
#endif
    { 0 },
    &operand_data[9608],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_negvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6786 },
#else
    { 0, output_6786, 0 },
#endif
    { 0 },
    &operand_data[9608],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_one_cmplvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6787 },
#else
    { 0, output_6787, 0 },
#endif
    { 0 },
    &operand_data[9608],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clrsbvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6788 },
#else
    { 0, output_6788, 0 },
#endif
    { 0 },
    &operand_data[9608],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clzvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6789 },
#else
    { 0, output_6789, 0 },
#endif
    { 0 },
    &operand_data[9608],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_popcountvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6790 },
#else
    { 0, output_6790, 0 },
#endif
    { 0 },
    &operand_data[9608],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_rbitvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6791 },
#else
    { 0, output_6791, 0 },
#endif
    { 0 },
    &operand_data[9608],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qabsvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6792 },
#else
    { 0, output_6792, 0 },
#endif
    { 0 },
    &operand_data[9608],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qnegvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6793 },
#else
    { 0, output_6793, 0 },
#endif
    { 0 },
    &operand_data[9608],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_absvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6794 },
#else
    { 0, output_6794, 0 },
#endif
    { 0 },
    &operand_data[9612],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_negvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6795 },
#else
    { 0, output_6795, 0 },
#endif
    { 0 },
    &operand_data[9612],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_one_cmplvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6796 },
#else
    { 0, output_6796, 0 },
#endif
    { 0 },
    &operand_data[9612],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clrsbvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6797 },
#else
    { 0, output_6797, 0 },
#endif
    { 0 },
    &operand_data[9612],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clzvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6798 },
#else
    { 0, output_6798, 0 },
#endif
    { 0 },
    &operand_data[9612],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_popcountvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6799 },
#else
    { 0, output_6799, 0 },
#endif
    { 0 },
    &operand_data[9612],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_rbitvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6800 },
#else
    { 0, output_6800, 0 },
#endif
    { 0 },
    &operand_data[9612],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qabsvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6801 },
#else
    { 0, output_6801, 0 },
#endif
    { 0 },
    &operand_data[9612],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qnegvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6802 },
#else
    { 0, output_6802, 0 },
#endif
    { 0 },
    &operand_data[9612],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_absvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6803 },
#else
    { 0, output_6803, 0 },
#endif
    { 0 },
    &operand_data[9616],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_negvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6804 },
#else
    { 0, output_6804, 0 },
#endif
    { 0 },
    &operand_data[9616],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_one_cmplvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6805 },
#else
    { 0, output_6805, 0 },
#endif
    { 0 },
    &operand_data[9616],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clrsbvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6806 },
#else
    { 0, output_6806, 0 },
#endif
    { 0 },
    &operand_data[9616],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clzvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6807 },
#else
    { 0, output_6807, 0 },
#endif
    { 0 },
    &operand_data[9616],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_popcountvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6808 },
#else
    { 0, output_6808, 0 },
#endif
    { 0 },
    &operand_data[9616],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_rbitvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6809 },
#else
    { 0, output_6809, 0 },
#endif
    { 0 },
    &operand_data[9616],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qabsvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6810 },
#else
    { 0, output_6810, 0 },
#endif
    { 0 },
    &operand_data[9616],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qnegvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6811 },
#else
    { 0, output_6811, 0 },
#endif
    { 0 },
    &operand_data[9616],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_absvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6812 },
#else
    { 0, output_6812, 0 },
#endif
    { 0 },
    &operand_data[9620],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_negvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6813 },
#else
    { 0, output_6813, 0 },
#endif
    { 0 },
    &operand_data[9620],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_one_cmplvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6814 },
#else
    { 0, output_6814, 0 },
#endif
    { 0 },
    &operand_data[9620],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clrsbvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6815 },
#else
    { 0, output_6815, 0 },
#endif
    { 0 },
    &operand_data[9620],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clzvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6816 },
#else
    { 0, output_6816, 0 },
#endif
    { 0 },
    &operand_data[9620],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_popcountvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6817 },
#else
    { 0, output_6817, 0 },
#endif
    { 0 },
    &operand_data[9620],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_rbitvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6818 },
#else
    { 0, output_6818, 0 },
#endif
    { 0 },
    &operand_data[9620],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qabsvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6819 },
#else
    { 0, output_6819, 0 },
#endif
    { 0 },
    &operand_data[9620],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qnegvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6820 },
#else
    { 0, output_6820, 0 },
#endif
    { 0 },
    &operand_data[9620],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_absvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6821 },
#else
    { 0, output_6821, 0 },
#endif
    { 0 },
    &operand_data[9624],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_negvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6822 },
#else
    { 0, output_6822, 0 },
#endif
    { 0 },
    &operand_data[9624],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_one_cmplvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6823 },
#else
    { 0, output_6823, 0 },
#endif
    { 0 },
    &operand_data[9624],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clrsbvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6824 },
#else
    { 0, output_6824, 0 },
#endif
    { 0 },
    &operand_data[9624],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clzvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6825 },
#else
    { 0, output_6825, 0 },
#endif
    { 0 },
    &operand_data[9624],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_popcountvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6826 },
#else
    { 0, output_6826, 0 },
#endif
    { 0 },
    &operand_data[9624],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_rbitvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6827 },
#else
    { 0, output_6827, 0 },
#endif
    { 0 },
    &operand_data[9624],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qabsvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6828 },
#else
    { 0, output_6828, 0 },
#endif
    { 0 },
    &operand_data[9624],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qnegvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6829 },
#else
    { 0, output_6829, 0 },
#endif
    { 0 },
    &operand_data[9624],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_absvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6830 },
#else
    { 0, output_6830, 0 },
#endif
    { 0 },
    &operand_data[9628],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_negvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6831 },
#else
    { 0, output_6831, 0 },
#endif
    { 0 },
    &operand_data[9628],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_one_cmplvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6832 },
#else
    { 0, output_6832, 0 },
#endif
    { 0 },
    &operand_data[9628],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clrsbvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6833 },
#else
    { 0, output_6833, 0 },
#endif
    { 0 },
    &operand_data[9628],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clzvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6834 },
#else
    { 0, output_6834, 0 },
#endif
    { 0 },
    &operand_data[9628],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_popcountvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6835 },
#else
    { 0, output_6835, 0 },
#endif
    { 0 },
    &operand_data[9628],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_rbitvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6836 },
#else
    { 0, output_6836, 0 },
#endif
    { 0 },
    &operand_data[9628],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qabsvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6837 },
#else
    { 0, output_6837, 0 },
#endif
    { 0 },
    &operand_data[9628],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qnegvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6838 },
#else
    { 0, output_6838, 0 },
#endif
    { 0 },
    &operand_data[9628],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_absvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6839 },
#else
    { 0, output_6839, 0 },
#endif
    { 0 },
    &operand_data[9632],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_negvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6840 },
#else
    { 0, output_6840, 0 },
#endif
    { 0 },
    &operand_data[9632],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_one_cmplvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6841 },
#else
    { 0, output_6841, 0 },
#endif
    { 0 },
    &operand_data[9632],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clrsbvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6842 },
#else
    { 0, output_6842, 0 },
#endif
    { 0 },
    &operand_data[9632],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clzvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6843 },
#else
    { 0, output_6843, 0 },
#endif
    { 0 },
    &operand_data[9632],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_popcountvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6844 },
#else
    { 0, output_6844, 0 },
#endif
    { 0 },
    &operand_data[9632],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_rbitvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6845 },
#else
    { 0, output_6845, 0 },
#endif
    { 0 },
    &operand_data[9632],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qabsvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6846 },
#else
    { 0, output_6846, 0 },
#endif
    { 0 },
    &operand_data[9632],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qnegvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6847 },
#else
    { 0, output_6847, 0 },
#endif
    { 0 },
    &operand_data[9632],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_absvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6848 },
#else
    { 0, output_6848, 0 },
#endif
    { 0 },
    &operand_data[9636],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_negvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6849 },
#else
    { 0, output_6849, 0 },
#endif
    { 0 },
    &operand_data[9636],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_one_cmplvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6850 },
#else
    { 0, output_6850, 0 },
#endif
    { 0 },
    &operand_data[9636],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clrsbvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6851 },
#else
    { 0, output_6851, 0 },
#endif
    { 0 },
    &operand_data[9636],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clzvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6852 },
#else
    { 0, output_6852, 0 },
#endif
    { 0 },
    &operand_data[9636],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_popcountvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6853 },
#else
    { 0, output_6853, 0 },
#endif
    { 0 },
    &operand_data[9636],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_rbitvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6854 },
#else
    { 0, output_6854, 0 },
#endif
    { 0 },
    &operand_data[9636],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qabsvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6855 },
#else
    { 0, output_6855, 0 },
#endif
    { 0 },
    &operand_data[9636],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qnegvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6856 },
#else
    { 0, output_6856, 0 },
#endif
    { 0 },
    &operand_data[9636],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_absvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6857 },
#else
    { 0, output_6857, 0 },
#endif
    { 0 },
    &operand_data[9640],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_negvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6858 },
#else
    { 0, output_6858, 0 },
#endif
    { 0 },
    &operand_data[9640],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_one_cmplvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6859 },
#else
    { 0, output_6859, 0 },
#endif
    { 0 },
    &operand_data[9640],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clrsbvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6860 },
#else
    { 0, output_6860, 0 },
#endif
    { 0 },
    &operand_data[9640],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clzvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6861 },
#else
    { 0, output_6861, 0 },
#endif
    { 0 },
    &operand_data[9640],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_popcountvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6862 },
#else
    { 0, output_6862, 0 },
#endif
    { 0 },
    &operand_data[9640],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_rbitvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6863 },
#else
    { 0, output_6863, 0 },
#endif
    { 0 },
    &operand_data[9640],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qabsvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6864 },
#else
    { 0, output_6864, 0 },
#endif
    { 0 },
    &operand_data[9640],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qnegvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6865 },
#else
    { 0, output_6865, 0 },
#endif
    { 0 },
    &operand_data[9640],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_absvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6866 },
#else
    { 0, output_6866, 0 },
#endif
    { 0 },
    &operand_data[9644],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_negvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6867 },
#else
    { 0, output_6867, 0 },
#endif
    { 0 },
    &operand_data[9644],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_one_cmplvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6868 },
#else
    { 0, output_6868, 0 },
#endif
    { 0 },
    &operand_data[9644],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clrsbvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6869 },
#else
    { 0, output_6869, 0 },
#endif
    { 0 },
    &operand_data[9644],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_clzvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6870 },
#else
    { 0, output_6870, 0 },
#endif
    { 0 },
    &operand_data[9644],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_popcountvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6871 },
#else
    { 0, output_6871, 0 },
#endif
    { 0 },
    &operand_data[9644],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_rbitvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6872 },
#else
    { 0, output_6872, 0 },
#endif
    { 0 },
    &operand_data[9644],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qabsvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6873 },
#else
    { 0, output_6873, 0 },
#endif
    { 0 },
    &operand_data[9644],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3242 */
  {
    "*cond_qnegvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6874 },
#else
    { 0, output_6874, 0 },
#endif
    { 0 },
    &operand_data[9644],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3269 */
  {
    "aarch64_pred_revbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6875 },
#else
    { 0, output_6875, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx16qi },
    &operand_data[9554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3269 */
  {
    "aarch64_pred_revhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6876 },
#else
    { 0, output_6876, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx16qi },
    &operand_data[9554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3269 */
  {
    "aarch64_pred_revwvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6877 },
#else
    { 0, output_6877, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revwvnx16qi },
    &operand_data[9554],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3269 */
  {
    "aarch64_pred_revbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6878 },
#else
    { 0, output_6878, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx8hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3269 */
  {
    "aarch64_pred_revhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6879 },
#else
    { 0, output_6879, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx8hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3269 */
  {
    "aarch64_pred_revwvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6880 },
#else
    { 0, output_6880, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revwvnx8hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3269 */
  {
    "aarch64_pred_revbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6881 },
#else
    { 0, output_6881, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3269 */
  {
    "aarch64_pred_revhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6882 },
#else
    { 0, output_6882, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3269 */
  {
    "aarch64_pred_revwvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6883 },
#else
    { 0, output_6883, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revwvnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3269 */
  {
    "aarch64_pred_revbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6884 },
#else
    { 0, output_6884, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revbvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3269 */
  {
    "aarch64_pred_revhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6885 },
#else
    { 0, output_6885, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revhvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3269 */
  {
    "aarch64_pred_revwvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6886 },
#else
    { 0, output_6886, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revwvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx16qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6887 },
#else
    { 0, output_6887, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx16qivnx8bi },
    &operand_data[9648],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6888 },
#else
    { 0, output_6888, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8qivnx8bi },
    &operand_data[9557],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6889 },
#else
    { 0, output_6889, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4qivnx8bi },
    &operand_data[9651],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6890 },
#else
    { 0, output_6890, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2qivnx8bi },
    &operand_data[9654],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6891 },
#else
    { 0, output_6891, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hivnx8bi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6892 },
#else
    { 0, output_6892, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hivnx8bi },
    &operand_data[9657],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6893 },
#else
    { 0, output_6893, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2hivnx8bi },
    &operand_data[9660],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4sivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6894 },
#else
    { 0, output_6894, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sivnx8bi },
    &operand_data[9663],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2sivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6895 },
#else
    { 0, output_6895, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2sivnx8bi },
    &operand_data[9666],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2divnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6896 },
#else
    { 0, output_6896, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2divnx8bi },
    &operand_data[9669],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6897 },
#else
    { 0, output_6897, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hfvnx8bi },
    &operand_data[9672],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6898 },
#else
    { 0, output_6898, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hfvnx8bi },
    &operand_data[9675],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6899 },
#else
    { 0, output_6899, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2hfvnx8bi },
    &operand_data[9678],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6900 },
#else
    { 0, output_6900, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8bfvnx8bi },
    &operand_data[9681],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6901 },
#else
    { 0, output_6901, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4bfvnx8bi },
    &operand_data[9684],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6902 },
#else
    { 0, output_6902, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2bfvnx8bi },
    &operand_data[9687],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4sfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6903 },
#else
    { 0, output_6903, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sfvnx8bi },
    &operand_data[9690],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2sfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6904 },
#else
    { 0, output_6904, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2sfvnx8bi },
    &operand_data[9693],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2dfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6905 },
#else
    { 0, output_6905, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2dfvnx8bi },
    &operand_data[9696],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx16qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6906 },
#else
    { 0, output_6906, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx16qivnx4bi },
    &operand_data[9699],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx8qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6907 },
#else
    { 0, output_6907, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8qivnx4bi },
    &operand_data[9702],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6908 },
#else
    { 0, output_6908, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4qivnx4bi },
    &operand_data[9560],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6909 },
#else
    { 0, output_6909, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2qivnx4bi },
    &operand_data[9705],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx8hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6910 },
#else
    { 0, output_6910, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hivnx4bi },
    &operand_data[9708],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6911 },
#else
    { 0, output_6911, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hivnx4bi },
    &operand_data[9569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6912 },
#else
    { 0, output_6912, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2hivnx4bi },
    &operand_data[9711],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6913 },
#else
    { 0, output_6913, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sivnx4bi },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6914 },
#else
    { 0, output_6914, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2sivnx4bi },
    &operand_data[9714],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2divnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6915 },
#else
    { 0, output_6915, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2divnx4bi },
    &operand_data[9717],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx8hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6916 },
#else
    { 0, output_6916, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hfvnx4bi },
    &operand_data[9720],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6917 },
#else
    { 0, output_6917, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hfvnx4bi },
    &operand_data[9723],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6918 },
#else
    { 0, output_6918, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2hfvnx4bi },
    &operand_data[9726],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx8bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6919 },
#else
    { 0, output_6919, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8bfvnx4bi },
    &operand_data[9729],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6920 },
#else
    { 0, output_6920, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4bfvnx4bi },
    &operand_data[9732],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6921 },
#else
    { 0, output_6921, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2bfvnx4bi },
    &operand_data[9735],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6922 },
#else
    { 0, output_6922, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sfvnx4bi },
    &operand_data[9738],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6923 },
#else
    { 0, output_6923, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2sfvnx4bi },
    &operand_data[9741],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2dfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6924 },
#else
    { 0, output_6924, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2dfvnx4bi },
    &operand_data[9744],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx16qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6925 },
#else
    { 0, output_6925, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx16qivnx2bi },
    &operand_data[9747],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx8qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6926 },
#else
    { 0, output_6926, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8qivnx2bi },
    &operand_data[9750],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6927 },
#else
    { 0, output_6927, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4qivnx2bi },
    &operand_data[9753],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6928 },
#else
    { 0, output_6928, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2qivnx2bi },
    &operand_data[9563],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx8hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6929 },
#else
    { 0, output_6929, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hivnx2bi },
    &operand_data[9756],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6930 },
#else
    { 0, output_6930, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hivnx2bi },
    &operand_data[9759],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6931 },
#else
    { 0, output_6931, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2hivnx2bi },
    &operand_data[9572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6932 },
#else
    { 0, output_6932, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sivnx2bi },
    &operand_data[9762],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6933 },
#else
    { 0, output_6933, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2sivnx2bi },
    &operand_data[9578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6934 },
#else
    { 0, output_6934, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2divnx2bi },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx8hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6935 },
#else
    { 0, output_6935, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8hfvnx2bi },
    &operand_data[9765],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6936 },
#else
    { 0, output_6936, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4hfvnx2bi },
    &operand_data[9768],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6937 },
#else
    { 0, output_6937, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2hfvnx2bi },
    &operand_data[9771],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx8bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6938 },
#else
    { 0, output_6938, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx8bfvnx2bi },
    &operand_data[9774],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6939 },
#else
    { 0, output_6939, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4bfvnx2bi },
    &operand_data[9777],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6940 },
#else
    { 0, output_6940, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2bfvnx2bi },
    &operand_data[9780],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx4sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6941 },
#else
    { 0, output_6941, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx4sfvnx2bi },
    &operand_data[9783],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6942 },
#else
    { 0, output_6942, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2sfvnx2bi },
    &operand_data[9786],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3288 */
  {
    "aarch64_sve_revbhw_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6943 },
#else
    { 0, output_6943, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revbhw_vnx2dfvnx2bi },
    &operand_data[9789],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3304 */
  {
    "cond_revbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6944 },
#else
    { 0, output_6944, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx16qi },
    &operand_data[9792],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3304 */
  {
    "cond_revhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6945 },
#else
    { 0, output_6945, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx16qi },
    &operand_data[9792],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3304 */
  {
    "cond_revwvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6946 },
#else
    { 0, output_6946, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revwvnx16qi },
    &operand_data[9792],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3304 */
  {
    "cond_revbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6947 },
#else
    { 0, output_6947, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx8hi },
    &operand_data[9796],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3304 */
  {
    "cond_revhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6948 },
#else
    { 0, output_6948, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx8hi },
    &operand_data[9796],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3304 */
  {
    "cond_revwvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6949 },
#else
    { 0, output_6949, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revwvnx8hi },
    &operand_data[9796],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3304 */
  {
    "cond_revbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6950 },
#else
    { 0, output_6950, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx4si },
    &operand_data[9800],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3304 */
  {
    "cond_revhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6951 },
#else
    { 0, output_6951, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx4si },
    &operand_data[9800],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3304 */
  {
    "cond_revwvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6952 },
#else
    { 0, output_6952, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revwvnx4si },
    &operand_data[9800],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3304 */
  {
    "cond_revbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6953 },
#else
    { 0, output_6953, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revbvnx2di },
    &operand_data[9804],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3304 */
  {
    "cond_revhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6954 },
#else
    { 0, output_6954, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revhvnx2di },
    &operand_data[9804],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3304 */
  {
    "cond_revwvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6955 },
#else
    { 0, output_6955, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revwvnx2di },
    &operand_data[9804],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6956 },
#else
    { 0, output_6956, 0 },
#endif
    { 0 },
    &operand_data[9808],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6957 },
#else
    { 0, output_6957, 0 },
#endif
    { 0 },
    &operand_data[9808],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx4qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6958 },
#else
    { 0, output_6958, 0 },
#endif
    { 0 },
    &operand_data[9811],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx4qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6959 },
#else
    { 0, output_6959, 0 },
#endif
    { 0 },
    &operand_data[9811],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6960 },
#else
    { 0, output_6960, 0 },
#endif
    { 0 },
    &operand_data[9814],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6961 },
#else
    { 0, output_6961, 0 },
#endif
    { 0 },
    &operand_data[9814],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx4hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6962 },
#else
    { 0, output_6962, 0 },
#endif
    { 0 },
    &operand_data[9817],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx4hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6963 },
#else
    { 0, output_6963, 0 },
#endif
    { 0 },
    &operand_data[9817],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6964 },
#else
    { 0, output_6964, 0 },
#endif
    { 0 },
    &operand_data[9820],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6965 },
#else
    { 0, output_6965, 0 },
#endif
    { 0 },
    &operand_data[9820],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2sivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6966 },
#else
    { 0, output_6966, 0 },
#endif
    { 0 },
    &operand_data[9823],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2sivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6967 },
#else
    { 0, output_6967, 0 },
#endif
    { 0 },
    &operand_data[9823],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx8qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6968 },
#else
    { 0, output_6968, 0 },
#endif
    { 0 },
    &operand_data[9826],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx8qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6969 },
#else
    { 0, output_6969, 0 },
#endif
    { 0 },
    &operand_data[9826],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6970 },
#else
    { 0, output_6970, 0 },
#endif
    { 0 },
    &operand_data[9829],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6971 },
#else
    { 0, output_6971, 0 },
#endif
    { 0 },
    &operand_data[9829],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6972 },
#else
    { 0, output_6972, 0 },
#endif
    { 0 },
    &operand_data[9832],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6973 },
#else
    { 0, output_6973, 0 },
#endif
    { 0 },
    &operand_data[9832],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx4hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6974 },
#else
    { 0, output_6974, 0 },
#endif
    { 0 },
    &operand_data[9569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx4hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6975 },
#else
    { 0, output_6975, 0 },
#endif
    { 0 },
    &operand_data[9569],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6976 },
#else
    { 0, output_6976, 0 },
#endif
    { 0 },
    &operand_data[9835],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6977 },
#else
    { 0, output_6977, 0 },
#endif
    { 0 },
    &operand_data[9835],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6978 },
#else
    { 0, output_6978, 0 },
#endif
    { 0 },
    &operand_data[9838],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6979 },
#else
    { 0, output_6979, 0 },
#endif
    { 0 },
    &operand_data[9838],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx8qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6980 },
#else
    { 0, output_6980, 0 },
#endif
    { 0 },
    &operand_data[9841],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx8qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6981 },
#else
    { 0, output_6981, 0 },
#endif
    { 0 },
    &operand_data[9841],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx4qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6982 },
#else
    { 0, output_6982, 0 },
#endif
    { 0 },
    &operand_data[9844],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx4qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6983 },
#else
    { 0, output_6983, 0 },
#endif
    { 0 },
    &operand_data[9844],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6984 },
#else
    { 0, output_6984, 0 },
#endif
    { 0 },
    &operand_data[9847],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6985 },
#else
    { 0, output_6985, 0 },
#endif
    { 0 },
    &operand_data[9847],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx4hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6986 },
#else
    { 0, output_6986, 0 },
#endif
    { 0 },
    &operand_data[9850],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx4hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6987 },
#else
    { 0, output_6987, 0 },
#endif
    { 0 },
    &operand_data[9850],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6988 },
#else
    { 0, output_6988, 0 },
#endif
    { 0 },
    &operand_data[9572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6989 },
#else
    { 0, output_6989, 0 },
#endif
    { 0 },
    &operand_data[9572],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6990 },
#else
    { 0, output_6990, 0 },
#endif
    { 0 },
    &operand_data[9853],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6991 },
#else
    { 0, output_6991, 0 },
#endif
    { 0 },
    &operand_data[9853],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx8qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6992 },
#else
    { 0, output_6992, 0 },
#endif
    { 0 },
    &operand_data[9856],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx8qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6993 },
#else
    { 0, output_6993, 0 },
#endif
    { 0 },
    &operand_data[9856],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6994 },
#else
    { 0, output_6994, 0 },
#endif
    { 0 },
    &operand_data[9859],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6995 },
#else
    { 0, output_6995, 0 },
#endif
    { 0 },
    &operand_data[9859],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6996 },
#else
    { 0, output_6996, 0 },
#endif
    { 0 },
    &operand_data[9862],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6997 },
#else
    { 0, output_6997, 0 },
#endif
    { 0 },
    &operand_data[9862],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6998 },
#else
    { 0, output_6998, 0 },
#endif
    { 0 },
    &operand_data[9865],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_6999 },
#else
    { 0, output_6999, 0 },
#endif
    { 0 },
    &operand_data[9865],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7000 },
#else
    { 0, output_7000, 0 },
#endif
    { 0 },
    &operand_data[9868],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7001 },
#else
    { 0, output_7001, 0 },
#endif
    { 0 },
    &operand_data[9868],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2sivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7002 },
#else
    { 0, output_7002, 0 },
#endif
    { 0 },
    &operand_data[9871],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2sivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7003 },
#else
    { 0, output_7003, 0 },
#endif
    { 0 },
    &operand_data[9871],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx8qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7004 },
#else
    { 0, output_7004, 0 },
#endif
    { 0 },
    &operand_data[9874],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx8qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7005 },
#else
    { 0, output_7005, 0 },
#endif
    { 0 },
    &operand_data[9874],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx4qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7006 },
#else
    { 0, output_7006, 0 },
#endif
    { 0 },
    &operand_data[9877],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx4qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7007 },
#else
    { 0, output_7007, 0 },
#endif
    { 0 },
    &operand_data[9877],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7008 },
#else
    { 0, output_7008, 0 },
#endif
    { 0 },
    &operand_data[9880],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7009 },
#else
    { 0, output_7009, 0 },
#endif
    { 0 },
    &operand_data[9880],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx4hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7010 },
#else
    { 0, output_7010, 0 },
#endif
    { 0 },
    &operand_data[9883],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx4hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7011 },
#else
    { 0, output_7011, 0 },
#endif
    { 0 },
    &operand_data[9883],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7012 },
#else
    { 0, output_7012, 0 },
#endif
    { 0 },
    &operand_data[9886],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7013 },
#else
    { 0, output_7013, 0 },
#endif
    { 0 },
    &operand_data[9886],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2sivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7014 },
#else
    { 0, output_7014, 0 },
#endif
    { 0 },
    &operand_data[9578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2sivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7015 },
#else
    { 0, output_7015, 0 },
#endif
    { 0 },
    &operand_data[9578],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx8qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7016 },
#else
    { 0, output_7016, 0 },
#endif
    { 0 },
    &operand_data[9889],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx8qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7017 },
#else
    { 0, output_7017, 0 },
#endif
    { 0 },
    &operand_data[9889],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx4qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7018 },
#else
    { 0, output_7018, 0 },
#endif
    { 0 },
    &operand_data[9892],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx4qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7019 },
#else
    { 0, output_7019, 0 },
#endif
    { 0 },
    &operand_data[9892],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7020 },
#else
    { 0, output_7020, 0 },
#endif
    { 0 },
    &operand_data[9895],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7021 },
#else
    { 0, output_7021, 0 },
#endif
    { 0 },
    &operand_data[9895],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx4hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7022 },
#else
    { 0, output_7022, 0 },
#endif
    { 0 },
    &operand_data[9898],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx4hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7023 },
#else
    { 0, output_7023, 0 },
#endif
    { 0 },
    &operand_data[9898],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7024 },
#else
    { 0, output_7024, 0 },
#endif
    { 0 },
    &operand_data[9901],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7025 },
#else
    { 0, output_7025, 0 },
#endif
    { 0 },
    &operand_data[9901],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7026 },
#else
    { 0, output_7026, 0 },
#endif
    { 0 },
    &operand_data[9904],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3348 */
  {
    "*zero_extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7027 },
#else
    { 0, output_7027, 0 },
#endif
    { 0 },
    &operand_data[9904],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7028 },
#else
    { 0, output_7028, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx8qi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7029 },
#else
    { 0, output_7029, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx4qi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7030 },
#else
    { 0, output_7030, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx2qi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7031 },
#else
    { 0, output_7031, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx4hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7032 },
#else
    { 0, output_7032, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx2hi },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7033 },
#else
    { 0, output_7033, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx8hivnx2si },
    &operand_data[9566],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7034 },
#else
    { 0, output_7034, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx8qi },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7035 },
#else
    { 0, output_7035, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx4qi },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7036 },
#else
    { 0, output_7036, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx2qi },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7037 },
#else
    { 0, output_7037, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx4hi },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7038 },
#else
    { 0, output_7038, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx2hi },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7039 },
#else
    { 0, output_7039, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx4sivnx2si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7040 },
#else
    { 0, output_7040, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx8qi },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7041 },
#else
    { 0, output_7041, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx4qi },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7042 },
#else
    { 0, output_7042, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2qi },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7043 },
#else
    { 0, output_7043, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx4hi },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7044 },
#else
    { 0, output_7044, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2hi },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3363 */
  {
    "aarch64_pred_sxtvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7045 },
#else
    { 0, output_7045, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sxtvnx2divnx2si },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx8hivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7046 },
#else
    { 0, output_7046, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx8qi },
    &operand_data[9796],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx8hivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7047 },
#else
    { 0, output_7047, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx4qi },
    &operand_data[9796],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx8hivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7048 },
#else
    { 0, output_7048, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx2qi },
    &operand_data[9796],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7049 },
#else
    { 0, output_7049, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx4hi },
    &operand_data[9796],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7050 },
#else
    { 0, output_7050, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx2hi },
    &operand_data[9796],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx8hivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7051 },
#else
    { 0, output_7051, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx8hivnx2si },
    &operand_data[9796],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7052 },
#else
    { 0, output_7052, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx8qi },
    &operand_data[9800],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7053 },
#else
    { 0, output_7053, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx4qi },
    &operand_data[9800],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7054 },
#else
    { 0, output_7054, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx2qi },
    &operand_data[9800],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7055 },
#else
    { 0, output_7055, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx4hi },
    &operand_data[9800],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7056 },
#else
    { 0, output_7056, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx2hi },
    &operand_data[9800],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7057 },
#else
    { 0, output_7057, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx4sivnx2si },
    &operand_data[9800],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7058 },
#else
    { 0, output_7058, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx8qi },
    &operand_data[9804],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7059 },
#else
    { 0, output_7059, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx4qi },
    &operand_data[9804],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7060 },
#else
    { 0, output_7060, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2qi },
    &operand_data[9804],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7061 },
#else
    { 0, output_7061, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx4hi },
    &operand_data[9804],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7062 },
#else
    { 0, output_7062, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2hi },
    &operand_data[9804],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3380 */
  {
    "aarch64_cond_sxtvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7063 },
#else
    { 0, output_7063, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sxtvnx2divnx2si },
    &operand_data[9804],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "*cond_uxtvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7064 },
#else
    { 0, output_7064, 0 },
#endif
    { 0 },
    &operand_data[9907],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "*cond_uxtvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7065 },
#else
    { 0, output_7065, 0 },
#endif
    { 0 },
    &operand_data[9911],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "*cond_uxtvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7066 },
#else
    { 0, output_7066, 0 },
#endif
    { 0 },
    &operand_data[9915],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "*cond_uxtvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7067 },
#else
    { 0, output_7067, 0 },
#endif
    { 0 },
    &operand_data[9919],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "*cond_uxtvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7068 },
#else
    { 0, output_7068, 0 },
#endif
    { 0 },
    &operand_data[9923],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "*cond_uxtvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7069 },
#else
    { 0, output_7069, 0 },
#endif
    { 0 },
    &operand_data[9927],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "*cond_uxtvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7070 },
#else
    { 0, output_7070, 0 },
#endif
    { 0 },
    &operand_data[9931],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "*cond_uxtvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7071 },
#else
    { 0, output_7071, 0 },
#endif
    { 0 },
    &operand_data[9935],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "*cond_uxtvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7072 },
#else
    { 0, output_7072, 0 },
#endif
    { 0 },
    &operand_data[9939],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3403 */
  {
    "*cond_uxtvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7073 },
#else
    { 0, output_7073, 0 },
#endif
    { 0 },
    &operand_data[9943],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3427 */
  {
    "*cond_uxtvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7074 },
#else
    { 0, output_7074, 0 },
#endif
    { 0 },
    &operand_data[9947],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3427 */
  {
    "*cond_uxtvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7075 },
#else
    { 0, output_7075, 0 },
#endif
    { 0 },
    &operand_data[9952],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3427 */
  {
    "*cond_uxtvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7076 },
#else
    { 0, output_7076, 0 },
#endif
    { 0 },
    &operand_data[9957],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3427 */
  {
    "*cond_uxtvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7077 },
#else
    { 0, output_7077, 0 },
#endif
    { 0 },
    &operand_data[9962],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3427 */
  {
    "*cond_uxtvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7078 },
#else
    { 0, output_7078, 0 },
#endif
    { 0 },
    &operand_data[9967],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3427 */
  {
    "*cond_uxtvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7079 },
#else
    { 0, output_7079, 0 },
#endif
    { 0 },
    &operand_data[9972],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3427 */
  {
    "*cond_uxtvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7080 },
#else
    { 0, output_7080, 0 },
#endif
    { 0 },
    &operand_data[9977],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3427 */
  {
    "*cond_uxtvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7081 },
#else
    { 0, output_7081, 0 },
#endif
    { 0 },
    &operand_data[9982],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3427 */
  {
    "*cond_uxtvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7082 },
#else
    { 0, output_7082, 0 },
#endif
    { 0 },
    &operand_data[9987],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3427 */
  {
    "*cond_uxtvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7083 },
#else
    { 0, output_7083, 0 },
#endif
    { 0 },
    &operand_data[9992],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx8hivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx8qi2 },
    &operand_data[9997],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx8hivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx4qi2 },
    &operand_data[9999],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx8hivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx2qi2 },
    &operand_data[10001],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx8hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx4hi2 },
    &operand_data[10003],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx8hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx2hi2 },
    &operand_data[10005],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx8hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8hivnx2si2 },
    &operand_data[10007],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx4hivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx8qi2 },
    &operand_data[10009],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx4hivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx4qi2 },
    &operand_data[10011],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx4hivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx2qi2 },
    &operand_data[10013],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx4hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx4hi2 },
    &operand_data[10015],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx4hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx2hi2 },
    &operand_data[10017],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx4hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4hivnx2si2 },
    &operand_data[10019],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2hivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx8qi2 },
    &operand_data[10021],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2hivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx4qi2 },
    &operand_data[10023],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2hivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx2qi2 },
    &operand_data[10025],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx4hi2 },
    &operand_data[10027],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx2hi2 },
    &operand_data[10029],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2hivnx2si2 },
    &operand_data[10031],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx4sivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx8qi2 },
    &operand_data[10033],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx4sivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx4qi2 },
    &operand_data[10035],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx4sivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx2qi2 },
    &operand_data[10037],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx4sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx4hi2 },
    &operand_data[10039],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx4sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx2hi2 },
    &operand_data[10041],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx4sivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx4sivnx2si2 },
    &operand_data[10043],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2sivnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx8qi2 },
    &operand_data[10045],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2sivnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx4qi2 },
    &operand_data[10047],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2sivnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx2qi2 },
    &operand_data[10049],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx4hi2 },
    &operand_data[10051],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx2hi2 },
    &operand_data[10053],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2sivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2sivnx2si2 },
    &operand_data[10055],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2divnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx8qi2 },
    &operand_data[10057],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2divnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx4qi2 },
    &operand_data[10059],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2divnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2qi2 },
    &operand_data[10061],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2divnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx4hi2 },
    &operand_data[10063],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2divnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2hi2 },
    &operand_data[10065],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3453 */
  {
    "truncvnx2divnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx2divnx2si2 },
    &operand_data[10067],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3495 */
  {
    "*cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7120 },
#else
    { 0, output_7120, 0 },
#endif
    { 0 },
    &operand_data[10069],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3495 */
  {
    "*cnotvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7121 },
#else
    { 0, output_7121, 0 },
#endif
    { 0 },
    &operand_data[10074],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3495 */
  {
    "*cnotvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7122 },
#else
    { 0, output_7122, 0 },
#endif
    { 0 },
    &operand_data[10079],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3495 */
  {
    "*cnotvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7123 },
#else
    { 0, output_7123, 0 },
#endif
    { 0 },
    &operand_data[10084],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3495 */
  {
    "*cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7124 },
#else
    { 0, output_7124, 0 },
#endif
    { 0 },
    &operand_data[10089],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3495 */
  {
    "*cnotvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7125 },
#else
    { 0, output_7125, 0 },
#endif
    { 0 },
    &operand_data[10094],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3495 */
  {
    "*cnotvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7126 },
#else
    { 0, output_7126, 0 },
#endif
    { 0 },
    &operand_data[10099],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3495 */
  {
    "*cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7127 },
#else
    { 0, output_7127, 0 },
#endif
    { 0 },
    &operand_data[10104],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3495 */
  {
    "*cnotvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7128 },
#else
    { 0, output_7128, 0 },
#endif
    { 0 },
    &operand_data[10109],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3495 */
  {
    "*cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7129 },
#else
    { 0, output_7129, 0 },
#endif
    { 0 },
    &operand_data[10114],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3542 */
  {
    "*cond_cnotvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7130 },
#else
    { 0, output_7130, 0 },
#endif
    { 0 },
    &operand_data[10119],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3542 */
  {
    "*cond_cnotvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7131 },
#else
    { 0, output_7131, 0 },
#endif
    { 0 },
    &operand_data[10125],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3542 */
  {
    "*cond_cnotvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7132 },
#else
    { 0, output_7132, 0 },
#endif
    { 0 },
    &operand_data[10131],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3542 */
  {
    "*cond_cnotvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7133 },
#else
    { 0, output_7133, 0 },
#endif
    { 0 },
    &operand_data[10137],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3542 */
  {
    "*cond_cnotvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7134 },
#else
    { 0, output_7134, 0 },
#endif
    { 0 },
    &operand_data[10143],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3542 */
  {
    "*cond_cnotvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7135 },
#else
    { 0, output_7135, 0 },
#endif
    { 0 },
    &operand_data[10149],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3542 */
  {
    "*cond_cnotvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7136 },
#else
    { 0, output_7136, 0 },
#endif
    { 0 },
    &operand_data[10155],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3542 */
  {
    "*cond_cnotvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7137 },
#else
    { 0, output_7137, 0 },
#endif
    { 0 },
    &operand_data[10161],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3542 */
  {
    "*cond_cnotvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7138 },
#else
    { 0, output_7138, 0 },
#endif
    { 0 },
    &operand_data[10167],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3542 */
  {
    "*cond_cnotvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7139 },
#else
    { 0, output_7139, 0 },
#endif
    { 0 },
    &operand_data[10173],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3578 */
  {
    "*cond_cnotvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7140 },
#else
    { 0, output_7140, 0 },
#endif
    { 0 },
    &operand_data[10179],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3578 */
  {
    "*cond_cnotvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7141 },
#else
    { 0, output_7141, 0 },
#endif
    { 0 },
    &operand_data[10186],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3578 */
  {
    "*cond_cnotvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7142 },
#else
    { 0, output_7142, 0 },
#endif
    { 0 },
    &operand_data[10193],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3578 */
  {
    "*cond_cnotvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7143 },
#else
    { 0, output_7143, 0 },
#endif
    { 0 },
    &operand_data[10200],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3578 */
  {
    "*cond_cnotvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7144 },
#else
    { 0, output_7144, 0 },
#endif
    { 0 },
    &operand_data[10207],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3578 */
  {
    "*cond_cnotvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7145 },
#else
    { 0, output_7145, 0 },
#endif
    { 0 },
    &operand_data[10214],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3578 */
  {
    "*cond_cnotvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7146 },
#else
    { 0, output_7146, 0 },
#endif
    { 0 },
    &operand_data[10221],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3578 */
  {
    "*cond_cnotvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7147 },
#else
    { 0, output_7147, 0 },
#endif
    { 0 },
    &operand_data[10228],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3578 */
  {
    "*cond_cnotvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7148 },
#else
    { 0, output_7148, 0 },
#endif
    { 0 },
    &operand_data[10235],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3578 */
  {
    "*cond_cnotvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7149 },
#else
    { 0, output_7149, 0 },
#endif
    { 0 },
    &operand_data[10242],
    7,
    7,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3616 */
  {
    "aarch64_sve_fexpavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx8hf },
    &operand_data[10249],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3616 */
  {
    "aarch64_sve_fexpavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx4sf },
    &operand_data[10251],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3616 */
  {
    "aarch64_sve_fexpavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fexpa\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fexpavnx2df },
    &operand_data[10253],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3645 */
  {
    "aarch64_sve_frecpevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx8hf },
    &operand_data[10255],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3645 */
  {
    "aarch64_sve_frsqrtevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx8hf },
    &operand_data[10255],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3645 */
  {
    "aarch64_sve_frecpevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx4sf },
    &operand_data[10257],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3645 */
  {
    "aarch64_sve_frsqrtevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx4sf },
    &operand_data[10257],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3645 */
  {
    "aarch64_sve_frecpevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecpe\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpevnx2df },
    &operand_data[10259],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3645 */
  {
    "aarch64_sve_frsqrtevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrte\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtevnx2df },
    &operand_data[10259],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_absvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7159 },
#else
    { 0, output_7159, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx8hf },
    &operand_data[10261],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_negvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7160 },
#else
    { 0, output_7160, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx8hf },
    &operand_data[10261],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_frecpxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7161 },
#else
    { 0, output_7161, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx8hf },
    &operand_data[10261],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_roundvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7162 },
#else
    { 0, output_7162, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx8hf },
    &operand_data[10261],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_nearbyintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7163 },
#else
    { 0, output_7163, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx8hf },
    &operand_data[10261],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_floorvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7164 },
#else
    { 0, output_7164, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx8hf },
    &operand_data[10261],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_frintnvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7165 },
#else
    { 0, output_7165, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx8hf },
    &operand_data[10261],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_ceilvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7166 },
#else
    { 0, output_7166, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx8hf },
    &operand_data[10261],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_rintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7167 },
#else
    { 0, output_7167, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx8hf },
    &operand_data[10261],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_btruncvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7168 },
#else
    { 0, output_7168, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx8hf },
    &operand_data[10261],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_sqrtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7169 },
#else
    { 0, output_7169, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx8hf },
    &operand_data[10261],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_absvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7170 },
#else
    { 0, output_7170, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_negvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7171 },
#else
    { 0, output_7171, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_frecpxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7172 },
#else
    { 0, output_7172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_roundvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7173 },
#else
    { 0, output_7173, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_nearbyintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7174 },
#else
    { 0, output_7174, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_floorvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7175 },
#else
    { 0, output_7175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_frintnvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7176 },
#else
    { 0, output_7176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_ceilvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7177 },
#else
    { 0, output_7177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_rintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7178 },
#else
    { 0, output_7178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_btruncvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7179 },
#else
    { 0, output_7179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_sqrtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7180 },
#else
    { 0, output_7180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_absvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7181 },
#else
    { 0, output_7181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_absvnx2df },
    &operand_data[10269],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_negvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7182 },
#else
    { 0, output_7182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_negvnx2df },
    &operand_data[10269],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_frecpxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7183 },
#else
    { 0, output_7183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frecpxvnx2df },
    &operand_data[10269],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_roundvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7184 },
#else
    { 0, output_7184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_roundvnx2df },
    &operand_data[10269],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_nearbyintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7185 },
#else
    { 0, output_7185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nearbyintvnx2df },
    &operand_data[10269],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_floorvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7186 },
#else
    { 0, output_7186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_floorvnx2df },
    &operand_data[10269],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_frintnvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7187 },
#else
    { 0, output_7187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_frintnvnx2df },
    &operand_data[10269],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_ceilvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7188 },
#else
    { 0, output_7188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ceilvnx2df },
    &operand_data[10269],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_rintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7189 },
#else
    { 0, output_7189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_rintvnx2df },
    &operand_data[10269],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_btruncvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7190 },
#else
    { 0, output_7190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_btruncvnx2df },
    &operand_data[10269],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3669 */
  {
    "aarch64_pred_sqrtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7191 },
#else
    { 0, output_7191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrtvnx2df },
    &operand_data[10269],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_absvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7192 },
#else
    { 0, output_7192, 0 },
#endif
    { 0 },
    &operand_data[10273],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_negvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7193 },
#else
    { 0, output_7193, 0 },
#endif
    { 0 },
    &operand_data[10273],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_frecpxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7194 },
#else
    { 0, output_7194, 0 },
#endif
    { 0 },
    &operand_data[10273],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_roundvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7195 },
#else
    { 0, output_7195, 0 },
#endif
    { 0 },
    &operand_data[10273],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_nearbyintvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7196 },
#else
    { 0, output_7196, 0 },
#endif
    { 0 },
    &operand_data[10273],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_floorvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7197 },
#else
    { 0, output_7197, 0 },
#endif
    { 0 },
    &operand_data[10273],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_frintnvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7198 },
#else
    { 0, output_7198, 0 },
#endif
    { 0 },
    &operand_data[10273],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_ceilvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7199 },
#else
    { 0, output_7199, 0 },
#endif
    { 0 },
    &operand_data[10273],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_rintvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7200 },
#else
    { 0, output_7200, 0 },
#endif
    { 0 },
    &operand_data[10273],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_btruncvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7201 },
#else
    { 0, output_7201, 0 },
#endif
    { 0 },
    &operand_data[10273],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_sqrtvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7202 },
#else
    { 0, output_7202, 0 },
#endif
    { 0 },
    &operand_data[10273],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_absvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7203 },
#else
    { 0, output_7203, 0 },
#endif
    { 0 },
    &operand_data[10277],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_negvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7204 },
#else
    { 0, output_7204, 0 },
#endif
    { 0 },
    &operand_data[10277],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_frecpxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7205 },
#else
    { 0, output_7205, 0 },
#endif
    { 0 },
    &operand_data[10277],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_roundvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7206 },
#else
    { 0, output_7206, 0 },
#endif
    { 0 },
    &operand_data[10277],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_nearbyintvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7207 },
#else
    { 0, output_7207, 0 },
#endif
    { 0 },
    &operand_data[10277],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_floorvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7208 },
#else
    { 0, output_7208, 0 },
#endif
    { 0 },
    &operand_data[10277],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_frintnvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7209 },
#else
    { 0, output_7209, 0 },
#endif
    { 0 },
    &operand_data[10277],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_ceilvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7210 },
#else
    { 0, output_7210, 0 },
#endif
    { 0 },
    &operand_data[10277],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_rintvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7211 },
#else
    { 0, output_7211, 0 },
#endif
    { 0 },
    &operand_data[10277],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_btruncvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7212 },
#else
    { 0, output_7212, 0 },
#endif
    { 0 },
    &operand_data[10277],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_sqrtvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7213 },
#else
    { 0, output_7213, 0 },
#endif
    { 0 },
    &operand_data[10277],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_absvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7214 },
#else
    { 0, output_7214, 0 },
#endif
    { 0 },
    &operand_data[10281],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_negvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7215 },
#else
    { 0, output_7215, 0 },
#endif
    { 0 },
    &operand_data[10281],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_frecpxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7216 },
#else
    { 0, output_7216, 0 },
#endif
    { 0 },
    &operand_data[10281],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_roundvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7217 },
#else
    { 0, output_7217, 0 },
#endif
    { 0 },
    &operand_data[10281],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_nearbyintvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7218 },
#else
    { 0, output_7218, 0 },
#endif
    { 0 },
    &operand_data[10281],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_floorvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7219 },
#else
    { 0, output_7219, 0 },
#endif
    { 0 },
    &operand_data[10281],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_frintnvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7220 },
#else
    { 0, output_7220, 0 },
#endif
    { 0 },
    &operand_data[10281],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_ceilvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7221 },
#else
    { 0, output_7221, 0 },
#endif
    { 0 },
    &operand_data[10281],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_rintvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7222 },
#else
    { 0, output_7222, 0 },
#endif
    { 0 },
    &operand_data[10281],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_btruncvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7223 },
#else
    { 0, output_7223, 0 },
#endif
    { 0 },
    &operand_data[10281],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3699 */
  {
    "*cond_sqrtvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7224 },
#else
    { 0, output_7224, 0 },
#endif
    { 0 },
    &operand_data[10281],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_absvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7225 },
#else
    { 0, output_7225, 0 },
#endif
    { 0 },
    &operand_data[9672],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_negvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7226 },
#else
    { 0, output_7226, 0 },
#endif
    { 0 },
    &operand_data[9672],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_frecpxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7227 },
#else
    { 0, output_7227, 0 },
#endif
    { 0 },
    &operand_data[9672],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_roundvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7228 },
#else
    { 0, output_7228, 0 },
#endif
    { 0 },
    &operand_data[9672],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_nearbyintvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7229 },
#else
    { 0, output_7229, 0 },
#endif
    { 0 },
    &operand_data[9672],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_floorvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7230 },
#else
    { 0, output_7230, 0 },
#endif
    { 0 },
    &operand_data[9672],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_frintnvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7231 },
#else
    { 0, output_7231, 0 },
#endif
    { 0 },
    &operand_data[9672],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_ceilvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7232 },
#else
    { 0, output_7232, 0 },
#endif
    { 0 },
    &operand_data[9672],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_rintvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7233 },
#else
    { 0, output_7233, 0 },
#endif
    { 0 },
    &operand_data[9672],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_btruncvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7234 },
#else
    { 0, output_7234, 0 },
#endif
    { 0 },
    &operand_data[9672],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_sqrtvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7235 },
#else
    { 0, output_7235, 0 },
#endif
    { 0 },
    &operand_data[9672],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_absvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7236 },
#else
    { 0, output_7236, 0 },
#endif
    { 0 },
    &operand_data[9738],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_negvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7237 },
#else
    { 0, output_7237, 0 },
#endif
    { 0 },
    &operand_data[9738],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_frecpxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7238 },
#else
    { 0, output_7238, 0 },
#endif
    { 0 },
    &operand_data[9738],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_roundvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7239 },
#else
    { 0, output_7239, 0 },
#endif
    { 0 },
    &operand_data[9738],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_nearbyintvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7240 },
#else
    { 0, output_7240, 0 },
#endif
    { 0 },
    &operand_data[9738],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_floorvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7241 },
#else
    { 0, output_7241, 0 },
#endif
    { 0 },
    &operand_data[9738],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_frintnvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7242 },
#else
    { 0, output_7242, 0 },
#endif
    { 0 },
    &operand_data[9738],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_ceilvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7243 },
#else
    { 0, output_7243, 0 },
#endif
    { 0 },
    &operand_data[9738],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_rintvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7244 },
#else
    { 0, output_7244, 0 },
#endif
    { 0 },
    &operand_data[9738],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_btruncvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7245 },
#else
    { 0, output_7245, 0 },
#endif
    { 0 },
    &operand_data[9738],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_sqrtvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7246 },
#else
    { 0, output_7246, 0 },
#endif
    { 0 },
    &operand_data[9738],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_absvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7247 },
#else
    { 0, output_7247, 0 },
#endif
    { 0 },
    &operand_data[9789],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_negvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7248 },
#else
    { 0, output_7248, 0 },
#endif
    { 0 },
    &operand_data[9789],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_frecpxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7249 },
#else
    { 0, output_7249, 0 },
#endif
    { 0 },
    &operand_data[9789],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_roundvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7250 },
#else
    { 0, output_7250, 0 },
#endif
    { 0 },
    &operand_data[9789],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_nearbyintvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7251 },
#else
    { 0, output_7251, 0 },
#endif
    { 0 },
    &operand_data[9789],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_floorvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7252 },
#else
    { 0, output_7252, 0 },
#endif
    { 0 },
    &operand_data[9789],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_frintnvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7253 },
#else
    { 0, output_7253, 0 },
#endif
    { 0 },
    &operand_data[9789],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_ceilvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7254 },
#else
    { 0, output_7254, 0 },
#endif
    { 0 },
    &operand_data[9789],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_rintvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7255 },
#else
    { 0, output_7255, 0 },
#endif
    { 0 },
    &operand_data[9789],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_btruncvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7256 },
#else
    { 0, output_7256, 0 },
#endif
    { 0 },
    &operand_data[9789],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3721 */
  {
    "*cond_sqrtvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7257 },
#else
    { 0, output_7257, 0 },
#endif
    { 0 },
    &operand_data[9789],
    3,
    3,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_absvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7258 },
#else
    { 0, output_7258, 0 },
#endif
    { 0 },
    &operand_data[10285],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_negvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7259 },
#else
    { 0, output_7259, 0 },
#endif
    { 0 },
    &operand_data[10285],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_frecpxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7260 },
#else
    { 0, output_7260, 0 },
#endif
    { 0 },
    &operand_data[10285],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_roundvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7261 },
#else
    { 0, output_7261, 0 },
#endif
    { 0 },
    &operand_data[10285],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_nearbyintvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7262 },
#else
    { 0, output_7262, 0 },
#endif
    { 0 },
    &operand_data[10285],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_floorvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7263 },
#else
    { 0, output_7263, 0 },
#endif
    { 0 },
    &operand_data[10285],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_frintnvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7264 },
#else
    { 0, output_7264, 0 },
#endif
    { 0 },
    &operand_data[10285],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_ceilvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7265 },
#else
    { 0, output_7265, 0 },
#endif
    { 0 },
    &operand_data[10285],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_rintvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7266 },
#else
    { 0, output_7266, 0 },
#endif
    { 0 },
    &operand_data[10285],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_btruncvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7267 },
#else
    { 0, output_7267, 0 },
#endif
    { 0 },
    &operand_data[10285],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_sqrtvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7268 },
#else
    { 0, output_7268, 0 },
#endif
    { 0 },
    &operand_data[10285],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_absvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7269 },
#else
    { 0, output_7269, 0 },
#endif
    { 0 },
    &operand_data[10290],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_negvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7270 },
#else
    { 0, output_7270, 0 },
#endif
    { 0 },
    &operand_data[10290],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_frecpxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7271 },
#else
    { 0, output_7271, 0 },
#endif
    { 0 },
    &operand_data[10290],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_roundvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7272 },
#else
    { 0, output_7272, 0 },
#endif
    { 0 },
    &operand_data[10290],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_nearbyintvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7273 },
#else
    { 0, output_7273, 0 },
#endif
    { 0 },
    &operand_data[10290],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_floorvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7274 },
#else
    { 0, output_7274, 0 },
#endif
    { 0 },
    &operand_data[10290],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_frintnvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7275 },
#else
    { 0, output_7275, 0 },
#endif
    { 0 },
    &operand_data[10290],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_ceilvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7276 },
#else
    { 0, output_7276, 0 },
#endif
    { 0 },
    &operand_data[10290],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_rintvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7277 },
#else
    { 0, output_7277, 0 },
#endif
    { 0 },
    &operand_data[10290],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_btruncvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7278 },
#else
    { 0, output_7278, 0 },
#endif
    { 0 },
    &operand_data[10290],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_sqrtvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7279 },
#else
    { 0, output_7279, 0 },
#endif
    { 0 },
    &operand_data[10290],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_absvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7280 },
#else
    { 0, output_7280, 0 },
#endif
    { 0 },
    &operand_data[10295],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_negvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7281 },
#else
    { 0, output_7281, 0 },
#endif
    { 0 },
    &operand_data[10295],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_frecpxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7282 },
#else
    { 0, output_7282, 0 },
#endif
    { 0 },
    &operand_data[10295],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_roundvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7283 },
#else
    { 0, output_7283, 0 },
#endif
    { 0 },
    &operand_data[10295],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_nearbyintvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7284 },
#else
    { 0, output_7284, 0 },
#endif
    { 0 },
    &operand_data[10295],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_floorvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7285 },
#else
    { 0, output_7285, 0 },
#endif
    { 0 },
    &operand_data[10295],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_frintnvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7286 },
#else
    { 0, output_7286, 0 },
#endif
    { 0 },
    &operand_data[10295],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_ceilvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7287 },
#else
    { 0, output_7287, 0 },
#endif
    { 0 },
    &operand_data[10295],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_rintvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7288 },
#else
    { 0, output_7288, 0 },
#endif
    { 0 },
    &operand_data[10295],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_btruncvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7289 },
#else
    { 0, output_7289, 0 },
#endif
    { 0 },
    &operand_data[10295],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3747 */
  {
    "*cond_sqrtvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7290 },
#else
    { 0, output_7290, 0 },
#endif
    { 0 },
    &operand_data[10295],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_absvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7291 },
#else
    { 0, output_7291, 0 },
#endif
    { 0 },
    &operand_data[10285],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_negvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7292 },
#else
    { 0, output_7292, 0 },
#endif
    { 0 },
    &operand_data[10285],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_frecpxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7293 },
#else
    { 0, output_7293, 0 },
#endif
    { 0 },
    &operand_data[10285],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_roundvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7294 },
#else
    { 0, output_7294, 0 },
#endif
    { 0 },
    &operand_data[10285],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_nearbyintvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7295 },
#else
    { 0, output_7295, 0 },
#endif
    { 0 },
    &operand_data[10285],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_floorvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7296 },
#else
    { 0, output_7296, 0 },
#endif
    { 0 },
    &operand_data[10285],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_frintnvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7297 },
#else
    { 0, output_7297, 0 },
#endif
    { 0 },
    &operand_data[10285],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_ceilvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7298 },
#else
    { 0, output_7298, 0 },
#endif
    { 0 },
    &operand_data[10285],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_rintvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7299 },
#else
    { 0, output_7299, 0 },
#endif
    { 0 },
    &operand_data[10285],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_btruncvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7300 },
#else
    { 0, output_7300, 0 },
#endif
    { 0 },
    &operand_data[10285],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_sqrtvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7301 },
#else
    { 0, output_7301, 0 },
#endif
    { 0 },
    &operand_data[10285],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_absvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7302 },
#else
    { 0, output_7302, 0 },
#endif
    { 0 },
    &operand_data[10290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_negvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7303 },
#else
    { 0, output_7303, 0 },
#endif
    { 0 },
    &operand_data[10290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_frecpxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7304 },
#else
    { 0, output_7304, 0 },
#endif
    { 0 },
    &operand_data[10290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_roundvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7305 },
#else
    { 0, output_7305, 0 },
#endif
    { 0 },
    &operand_data[10290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_nearbyintvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7306 },
#else
    { 0, output_7306, 0 },
#endif
    { 0 },
    &operand_data[10290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_floorvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7307 },
#else
    { 0, output_7307, 0 },
#endif
    { 0 },
    &operand_data[10290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_frintnvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7308 },
#else
    { 0, output_7308, 0 },
#endif
    { 0 },
    &operand_data[10290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_ceilvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7309 },
#else
    { 0, output_7309, 0 },
#endif
    { 0 },
    &operand_data[10290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_rintvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7310 },
#else
    { 0, output_7310, 0 },
#endif
    { 0 },
    &operand_data[10290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_btruncvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7311 },
#else
    { 0, output_7311, 0 },
#endif
    { 0 },
    &operand_data[10290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_sqrtvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7312 },
#else
    { 0, output_7312, 0 },
#endif
    { 0 },
    &operand_data[10290],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_absvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7313 },
#else
    { 0, output_7313, 0 },
#endif
    { 0 },
    &operand_data[10295],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_negvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7314 },
#else
    { 0, output_7314, 0 },
#endif
    { 0 },
    &operand_data[10295],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_frecpxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7315 },
#else
    { 0, output_7315, 0 },
#endif
    { 0 },
    &operand_data[10295],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_roundvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7316 },
#else
    { 0, output_7316, 0 },
#endif
    { 0 },
    &operand_data[10295],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_nearbyintvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7317 },
#else
    { 0, output_7317, 0 },
#endif
    { 0 },
    &operand_data[10295],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_floorvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7318 },
#else
    { 0, output_7318, 0 },
#endif
    { 0 },
    &operand_data[10295],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_frintnvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7319 },
#else
    { 0, output_7319, 0 },
#endif
    { 0 },
    &operand_data[10295],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_ceilvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7320 },
#else
    { 0, output_7320, 0 },
#endif
    { 0 },
    &operand_data[10295],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_rintvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7321 },
#else
    { 0, output_7321, 0 },
#endif
    { 0 },
    &operand_data[10295],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_btruncvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7322 },
#else
    { 0, output_7322, 0 },
#endif
    { 0 },
    &operand_data[10295],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3770 */
  {
    "*cond_sqrtvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7323 },
#else
    { 0, output_7323, 0 },
#endif
    { 0 },
    &operand_data[10295],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3859 */
  {
    "*one_cmplvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3859 */
  {
    "*one_cmplvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3859 */
  {
    "*one_cmplvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3859 */
  {
    "*one_cmplvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "not\t%0.b, %1/z, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_mulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7328 },
#else
    { 0, output_7328, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx16qi },
    &operand_data[10312],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_smaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7329 },
#else
    { 0, output_7329, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx16qi },
    &operand_data[10312],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_sminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7330 },
#else
    { 0, output_7330, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx16qi },
    &operand_data[10312],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_umaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7331 },
#else
    { 0, output_7331, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx16qi },
    &operand_data[10316],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_uminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7332 },
#else
    { 0, output_7332, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx16qi },
    &operand_data[10316],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_mulvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7333 },
#else
    { 0, output_7333, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8qi },
    &operand_data[10320],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_smaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7334 },
#else
    { 0, output_7334, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8qi },
    &operand_data[10320],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_sminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7335 },
#else
    { 0, output_7335, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8qi },
    &operand_data[10320],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_umaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7336 },
#else
    { 0, output_7336, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx8qi },
    &operand_data[10324],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_uminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7337 },
#else
    { 0, output_7337, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx8qi },
    &operand_data[10324],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_mulvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7338 },
#else
    { 0, output_7338, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4qi },
    &operand_data[10328],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_smaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7339 },
#else
    { 0, output_7339, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4qi },
    &operand_data[10328],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_sminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7340 },
#else
    { 0, output_7340, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4qi },
    &operand_data[10328],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_umaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7341 },
#else
    { 0, output_7341, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4qi },
    &operand_data[10332],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_uminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7342 },
#else
    { 0, output_7342, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4qi },
    &operand_data[10332],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_mulvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7343 },
#else
    { 0, output_7343, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2qi },
    &operand_data[10336],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_smaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7344 },
#else
    { 0, output_7344, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2qi },
    &operand_data[10336],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_sminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7345 },
#else
    { 0, output_7345, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2qi },
    &operand_data[10336],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_umaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7346 },
#else
    { 0, output_7346, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2qi },
    &operand_data[10340],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_uminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7347 },
#else
    { 0, output_7347, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2qi },
    &operand_data[10340],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_mulvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7348 },
#else
    { 0, output_7348, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8hi },
    &operand_data[10344],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_smaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7349 },
#else
    { 0, output_7349, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8hi },
    &operand_data[10344],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_sminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7350 },
#else
    { 0, output_7350, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8hi },
    &operand_data[10344],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_umaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7351 },
#else
    { 0, output_7351, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx8hi },
    &operand_data[10348],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_uminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7352 },
#else
    { 0, output_7352, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx8hi },
    &operand_data[10348],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_mulvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7353 },
#else
    { 0, output_7353, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4hi },
    &operand_data[10352],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_smaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7354 },
#else
    { 0, output_7354, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4hi },
    &operand_data[10352],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_sminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7355 },
#else
    { 0, output_7355, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4hi },
    &operand_data[10352],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_umaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7356 },
#else
    { 0, output_7356, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4hi },
    &operand_data[10356],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_uminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7357 },
#else
    { 0, output_7357, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4hi },
    &operand_data[10356],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_mulvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7358 },
#else
    { 0, output_7358, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2hi },
    &operand_data[10360],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_smaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7359 },
#else
    { 0, output_7359, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2hi },
    &operand_data[10360],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_sminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7360 },
#else
    { 0, output_7360, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2hi },
    &operand_data[10360],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_umaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7361 },
#else
    { 0, output_7361, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2hi },
    &operand_data[10364],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_uminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7362 },
#else
    { 0, output_7362, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2hi },
    &operand_data[10364],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_mulvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7363 },
#else
    { 0, output_7363, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4si },
    &operand_data[10368],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_smaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7364 },
#else
    { 0, output_7364, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4si },
    &operand_data[10368],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_sminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7365 },
#else
    { 0, output_7365, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4si },
    &operand_data[10368],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_umaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7366 },
#else
    { 0, output_7366, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx4si },
    &operand_data[10372],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_uminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7367 },
#else
    { 0, output_7367, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx4si },
    &operand_data[10372],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_mulvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7368 },
#else
    { 0, output_7368, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2si },
    &operand_data[10376],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_smaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7369 },
#else
    { 0, output_7369, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2si },
    &operand_data[10376],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_sminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7370 },
#else
    { 0, output_7370, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2si },
    &operand_data[10376],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_umaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7371 },
#else
    { 0, output_7371, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2si },
    &operand_data[10380],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_uminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7372 },
#else
    { 0, output_7372, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2si },
    &operand_data[10380],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_mulvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7373 },
#else
    { 0, output_7373, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2di },
    &operand_data[10384],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_smaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7374 },
#else
    { 0, output_7374, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2di },
    &operand_data[10384],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_sminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7375 },
#else
    { 0, output_7375, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2di },
    &operand_data[10384],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_umaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7376 },
#else
    { 0, output_7376, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxvnx2di },
    &operand_data[10388],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_uminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7377 },
#else
    { 0, output_7377, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminvnx2di },
    &operand_data[10388],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_mulv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7378 },
#else
    { 0, output_7378, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulv2di },
    &operand_data[10392],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_smaxv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7379 },
#else
    { 0, output_7379, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxv2di },
    &operand_data[10392],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_sminv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7380 },
#else
    { 0, output_7380, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminv2di },
    &operand_data[10392],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_umaxv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7381 },
#else
    { 0, output_7381, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxv2di },
    &operand_data[10396],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3943 */
  {
    "aarch64_pred_uminv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7382 },
#else
    { 0, output_7382, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminv2di },
    &operand_data[10396],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_mulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7383 },
#else
    { 0, output_7383, 0 },
#endif
    { 0 },
    &operand_data[10400],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_smaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7384 },
#else
    { 0, output_7384, 0 },
#endif
    { 0 },
    &operand_data[10400],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_sminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7385 },
#else
    { 0, output_7385, 0 },
#endif
    { 0 },
    &operand_data[10400],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_umaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7386 },
#else
    { 0, output_7386, 0 },
#endif
    { 0 },
    &operand_data[10403],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_uminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7387 },
#else
    { 0, output_7387, 0 },
#endif
    { 0 },
    &operand_data[10403],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_mulvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7388 },
#else
    { 0, output_7388, 0 },
#endif
    { 0 },
    &operand_data[10406],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_smaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7389 },
#else
    { 0, output_7389, 0 },
#endif
    { 0 },
    &operand_data[10406],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_sminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7390 },
#else
    { 0, output_7390, 0 },
#endif
    { 0 },
    &operand_data[10406],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_umaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7391 },
#else
    { 0, output_7391, 0 },
#endif
    { 0 },
    &operand_data[10409],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_uminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7392 },
#else
    { 0, output_7392, 0 },
#endif
    { 0 },
    &operand_data[10409],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_mulvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7393 },
#else
    { 0, output_7393, 0 },
#endif
    { 0 },
    &operand_data[10412],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_smaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7394 },
#else
    { 0, output_7394, 0 },
#endif
    { 0 },
    &operand_data[10412],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_sminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7395 },
#else
    { 0, output_7395, 0 },
#endif
    { 0 },
    &operand_data[10412],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_umaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7396 },
#else
    { 0, output_7396, 0 },
#endif
    { 0 },
    &operand_data[10415],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_uminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7397 },
#else
    { 0, output_7397, 0 },
#endif
    { 0 },
    &operand_data[10415],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_mulvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7398 },
#else
    { 0, output_7398, 0 },
#endif
    { 0 },
    &operand_data[10418],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_smaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7399 },
#else
    { 0, output_7399, 0 },
#endif
    { 0 },
    &operand_data[10418],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_sminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7400 },
#else
    { 0, output_7400, 0 },
#endif
    { 0 },
    &operand_data[10418],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_umaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7401 },
#else
    { 0, output_7401, 0 },
#endif
    { 0 },
    &operand_data[10421],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_uminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7402 },
#else
    { 0, output_7402, 0 },
#endif
    { 0 },
    &operand_data[10421],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_mulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7403 },
#else
    { 0, output_7403, 0 },
#endif
    { 0 },
    &operand_data[10424],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_smaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7404 },
#else
    { 0, output_7404, 0 },
#endif
    { 0 },
    &operand_data[10424],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_sminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7405 },
#else
    { 0, output_7405, 0 },
#endif
    { 0 },
    &operand_data[10424],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_umaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7406 },
#else
    { 0, output_7406, 0 },
#endif
    { 0 },
    &operand_data[10427],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_uminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7407 },
#else
    { 0, output_7407, 0 },
#endif
    { 0 },
    &operand_data[10427],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_mulvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7408 },
#else
    { 0, output_7408, 0 },
#endif
    { 0 },
    &operand_data[10430],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_smaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7409 },
#else
    { 0, output_7409, 0 },
#endif
    { 0 },
    &operand_data[10430],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_sminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7410 },
#else
    { 0, output_7410, 0 },
#endif
    { 0 },
    &operand_data[10430],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_umaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7411 },
#else
    { 0, output_7411, 0 },
#endif
    { 0 },
    &operand_data[10433],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_uminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7412 },
#else
    { 0, output_7412, 0 },
#endif
    { 0 },
    &operand_data[10433],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_mulvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7413 },
#else
    { 0, output_7413, 0 },
#endif
    { 0 },
    &operand_data[10436],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_smaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7414 },
#else
    { 0, output_7414, 0 },
#endif
    { 0 },
    &operand_data[10436],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_sminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7415 },
#else
    { 0, output_7415, 0 },
#endif
    { 0 },
    &operand_data[10436],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_umaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7416 },
#else
    { 0, output_7416, 0 },
#endif
    { 0 },
    &operand_data[10439],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_uminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7417 },
#else
    { 0, output_7417, 0 },
#endif
    { 0 },
    &operand_data[10439],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_mulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7418 },
#else
    { 0, output_7418, 0 },
#endif
    { 0 },
    &operand_data[10442],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_smaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7419 },
#else
    { 0, output_7419, 0 },
#endif
    { 0 },
    &operand_data[10442],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_sminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7420 },
#else
    { 0, output_7420, 0 },
#endif
    { 0 },
    &operand_data[10442],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_umaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7421 },
#else
    { 0, output_7421, 0 },
#endif
    { 0 },
    &operand_data[10445],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_uminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7422 },
#else
    { 0, output_7422, 0 },
#endif
    { 0 },
    &operand_data[10445],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_mulvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7423 },
#else
    { 0, output_7423, 0 },
#endif
    { 0 },
    &operand_data[10448],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_smaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7424 },
#else
    { 0, output_7424, 0 },
#endif
    { 0 },
    &operand_data[10448],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_sminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7425 },
#else
    { 0, output_7425, 0 },
#endif
    { 0 },
    &operand_data[10448],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_umaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7426 },
#else
    { 0, output_7426, 0 },
#endif
    { 0 },
    &operand_data[10451],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_uminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7427 },
#else
    { 0, output_7427, 0 },
#endif
    { 0 },
    &operand_data[10451],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_mulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7428 },
#else
    { 0, output_7428, 0 },
#endif
    { 0 },
    &operand_data[10454],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_smaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7429 },
#else
    { 0, output_7429, 0 },
#endif
    { 0 },
    &operand_data[10454],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_sminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7430 },
#else
    { 0, output_7430, 0 },
#endif
    { 0 },
    &operand_data[10454],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_umaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7431 },
#else
    { 0, output_7431, 0 },
#endif
    { 0 },
    &operand_data[10457],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_uminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7432 },
#else
    { 0, output_7432, 0 },
#endif
    { 0 },
    &operand_data[10457],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_mulv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7433 },
#else
    { 0, output_7433, 0 },
#endif
    { 0 },
    &operand_data[10460],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_smaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7434 },
#else
    { 0, output_7434, 0 },
#endif
    { 0 },
    &operand_data[10460],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_sminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7435 },
#else
    { 0, output_7435, 0 },
#endif
    { 0 },
    &operand_data[10460],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_umaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7436 },
#else
    { 0, output_7436, 0 },
#endif
    { 0 },
    &operand_data[10463],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3970 */
  {
    "*post_ra_uminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7437 },
#else
    { 0, output_7437, 0 },
#endif
    { 0 },
    &operand_data[10463],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_addvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7438 },
#else
    { 0, output_7438, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_subvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7439 },
#else
    { 0, output_7439, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_mulvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7440 },
#else
    { 0, output_7440, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_smaxvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7441 },
#else
    { 0, output_7441, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_umaxvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7442 },
#else
    { 0, output_7442, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sminvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7443 },
#else
    { 0, output_7443, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_uminvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7444 },
#else
    { 0, output_7444, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7445 },
#else
    { 0, output_7445, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7446 },
#else
    { 0, output_7446, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_lshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7447 },
#else
    { 0, output_7447, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_andvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7448 },
#else
    { 0, output_7448, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_iorvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7449 },
#else
    { 0, output_7449, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_xorvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7450 },
#else
    { 0, output_7450, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ssaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7451 },
#else
    { 0, output_7451, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_usaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7452 },
#else
    { 0, output_7452, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sssubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7453 },
#else
    { 0, output_7453, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ussubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7454 },
#else
    { 0, output_7454, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_addvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7455 },
#else
    { 0, output_7455, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_subvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7456 },
#else
    { 0, output_7456, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_mulvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7457 },
#else
    { 0, output_7457, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_smaxvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7458 },
#else
    { 0, output_7458, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_umaxvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7459 },
#else
    { 0, output_7459, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sminvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7460 },
#else
    { 0, output_7460, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_uminvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7461 },
#else
    { 0, output_7461, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashlvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7462 },
#else
    { 0, output_7462, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7463 },
#else
    { 0, output_7463, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_lshrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7464 },
#else
    { 0, output_7464, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_andvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7465 },
#else
    { 0, output_7465, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_iorvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7466 },
#else
    { 0, output_7466, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_xorvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7467 },
#else
    { 0, output_7467, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ssaddvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7468 },
#else
    { 0, output_7468, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_usaddvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7469 },
#else
    { 0, output_7469, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sssubvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7470 },
#else
    { 0, output_7470, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ussubvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7471 },
#else
    { 0, output_7471, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_addvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7472 },
#else
    { 0, output_7472, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_subvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7473 },
#else
    { 0, output_7473, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_mulvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7474 },
#else
    { 0, output_7474, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_smaxvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7475 },
#else
    { 0, output_7475, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_umaxvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7476 },
#else
    { 0, output_7476, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sminvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7477 },
#else
    { 0, output_7477, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_uminvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7478 },
#else
    { 0, output_7478, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashlvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7479 },
#else
    { 0, output_7479, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7480 },
#else
    { 0, output_7480, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_lshrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7481 },
#else
    { 0, output_7481, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_andvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7482 },
#else
    { 0, output_7482, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_iorvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7483 },
#else
    { 0, output_7483, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_xorvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7484 },
#else
    { 0, output_7484, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ssaddvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7485 },
#else
    { 0, output_7485, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_usaddvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7486 },
#else
    { 0, output_7486, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sssubvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7487 },
#else
    { 0, output_7487, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ussubvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7488 },
#else
    { 0, output_7488, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_addvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7489 },
#else
    { 0, output_7489, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_subvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7490 },
#else
    { 0, output_7490, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_mulvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7491 },
#else
    { 0, output_7491, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_smaxvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7492 },
#else
    { 0, output_7492, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_umaxvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7493 },
#else
    { 0, output_7493, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sminvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7494 },
#else
    { 0, output_7494, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_uminvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7495 },
#else
    { 0, output_7495, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashlvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7496 },
#else
    { 0, output_7496, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7497 },
#else
    { 0, output_7497, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_lshrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7498 },
#else
    { 0, output_7498, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_andvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7499 },
#else
    { 0, output_7499, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_iorvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7500 },
#else
    { 0, output_7500, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_xorvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7501 },
#else
    { 0, output_7501, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ssaddvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7502 },
#else
    { 0, output_7502, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_usaddvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7503 },
#else
    { 0, output_7503, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sssubvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7504 },
#else
    { 0, output_7504, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ussubvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7505 },
#else
    { 0, output_7505, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_addvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7506 },
#else
    { 0, output_7506, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_subvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7507 },
#else
    { 0, output_7507, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_mulvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7508 },
#else
    { 0, output_7508, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_smaxvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7509 },
#else
    { 0, output_7509, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_umaxvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7510 },
#else
    { 0, output_7510, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sminvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7511 },
#else
    { 0, output_7511, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_uminvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7512 },
#else
    { 0, output_7512, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7513 },
#else
    { 0, output_7513, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7514 },
#else
    { 0, output_7514, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_lshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7515 },
#else
    { 0, output_7515, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_andvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7516 },
#else
    { 0, output_7516, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_iorvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7517 },
#else
    { 0, output_7517, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_xorvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7518 },
#else
    { 0, output_7518, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ssaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7519 },
#else
    { 0, output_7519, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_usaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7520 },
#else
    { 0, output_7520, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sssubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7521 },
#else
    { 0, output_7521, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ussubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7522 },
#else
    { 0, output_7522, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_addvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7523 },
#else
    { 0, output_7523, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_subvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7524 },
#else
    { 0, output_7524, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_mulvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7525 },
#else
    { 0, output_7525, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_smaxvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7526 },
#else
    { 0, output_7526, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_umaxvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7527 },
#else
    { 0, output_7527, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sminvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7528 },
#else
    { 0, output_7528, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_uminvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7529 },
#else
    { 0, output_7529, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashlvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7530 },
#else
    { 0, output_7530, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7531 },
#else
    { 0, output_7531, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_lshrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7532 },
#else
    { 0, output_7532, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_andvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7533 },
#else
    { 0, output_7533, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_iorvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7534 },
#else
    { 0, output_7534, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_xorvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7535 },
#else
    { 0, output_7535, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ssaddvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7536 },
#else
    { 0, output_7536, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_usaddvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7537 },
#else
    { 0, output_7537, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sssubvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7538 },
#else
    { 0, output_7538, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ussubvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7539 },
#else
    { 0, output_7539, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_addvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7540 },
#else
    { 0, output_7540, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_subvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7541 },
#else
    { 0, output_7541, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_mulvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7542 },
#else
    { 0, output_7542, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_smaxvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7543 },
#else
    { 0, output_7543, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_umaxvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7544 },
#else
    { 0, output_7544, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sminvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7545 },
#else
    { 0, output_7545, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_uminvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7546 },
#else
    { 0, output_7546, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashlvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7547 },
#else
    { 0, output_7547, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7548 },
#else
    { 0, output_7548, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_lshrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7549 },
#else
    { 0, output_7549, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_andvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7550 },
#else
    { 0, output_7550, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_iorvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7551 },
#else
    { 0, output_7551, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_xorvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7552 },
#else
    { 0, output_7552, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ssaddvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7553 },
#else
    { 0, output_7553, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_usaddvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7554 },
#else
    { 0, output_7554, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sssubvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7555 },
#else
    { 0, output_7555, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ussubvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7556 },
#else
    { 0, output_7556, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_addvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7557 },
#else
    { 0, output_7557, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_subvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7558 },
#else
    { 0, output_7558, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_mulvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7559 },
#else
    { 0, output_7559, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_smaxvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7560 },
#else
    { 0, output_7560, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_umaxvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7561 },
#else
    { 0, output_7561, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sminvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7562 },
#else
    { 0, output_7562, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_uminvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7563 },
#else
    { 0, output_7563, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7564 },
#else
    { 0, output_7564, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7565 },
#else
    { 0, output_7565, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_lshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7566 },
#else
    { 0, output_7566, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_andvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7567 },
#else
    { 0, output_7567, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_iorvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7568 },
#else
    { 0, output_7568, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_xorvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7569 },
#else
    { 0, output_7569, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ssaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7570 },
#else
    { 0, output_7570, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_usaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7571 },
#else
    { 0, output_7571, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sssubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7572 },
#else
    { 0, output_7572, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ussubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7573 },
#else
    { 0, output_7573, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_addvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7574 },
#else
    { 0, output_7574, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_subvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7575 },
#else
    { 0, output_7575, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_mulvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7576 },
#else
    { 0, output_7576, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_smaxvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7577 },
#else
    { 0, output_7577, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_umaxvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7578 },
#else
    { 0, output_7578, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sminvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7579 },
#else
    { 0, output_7579, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_uminvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7580 },
#else
    { 0, output_7580, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashlvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7581 },
#else
    { 0, output_7581, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7582 },
#else
    { 0, output_7582, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_lshrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7583 },
#else
    { 0, output_7583, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_andvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7584 },
#else
    { 0, output_7584, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_iorvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7585 },
#else
    { 0, output_7585, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_xorvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7586 },
#else
    { 0, output_7586, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ssaddvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7587 },
#else
    { 0, output_7587, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_usaddvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7588 },
#else
    { 0, output_7588, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sssubvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7589 },
#else
    { 0, output_7589, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ussubvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7590 },
#else
    { 0, output_7590, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_addvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7591 },
#else
    { 0, output_7591, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_subvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7592 },
#else
    { 0, output_7592, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_mulvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7593 },
#else
    { 0, output_7593, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_smaxvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7594 },
#else
    { 0, output_7594, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_umaxvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7595 },
#else
    { 0, output_7595, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sminvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7596 },
#else
    { 0, output_7596, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_uminvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7597 },
#else
    { 0, output_7597, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7598 },
#else
    { 0, output_7598, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ashrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7599 },
#else
    { 0, output_7599, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_lshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7600 },
#else
    { 0, output_7600, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_andvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7601 },
#else
    { 0, output_7601, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_iorvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7602 },
#else
    { 0, output_7602, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_xorvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7603 },
#else
    { 0, output_7603, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ssaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7604 },
#else
    { 0, output_7604, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_usaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7605 },
#else
    { 0, output_7605, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_sssubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7606 },
#else
    { 0, output_7606, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3996 */
  {
    "*cond_ussubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7607 },
#else
    { 0, output_7607, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_addvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7608 },
#else
    { 0, output_7608, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_subvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7609 },
#else
    { 0, output_7609, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_mulvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7610 },
#else
    { 0, output_7610, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_smaxvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7611 },
#else
    { 0, output_7611, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_umaxvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7612 },
#else
    { 0, output_7612, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sminvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7613 },
#else
    { 0, output_7613, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_uminvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7614 },
#else
    { 0, output_7614, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7615 },
#else
    { 0, output_7615, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashrvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7616 },
#else
    { 0, output_7616, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_lshrvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7617 },
#else
    { 0, output_7617, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_andvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7618 },
#else
    { 0, output_7618, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_iorvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7619 },
#else
    { 0, output_7619, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_xorvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7620 },
#else
    { 0, output_7620, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ssaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7621 },
#else
    { 0, output_7621, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_usaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7622 },
#else
    { 0, output_7622, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sssubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7623 },
#else
    { 0, output_7623, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ussubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7624 },
#else
    { 0, output_7624, 0 },
#endif
    { 0 },
    &operand_data[10506],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_addvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7625 },
#else
    { 0, output_7625, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_subvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7626 },
#else
    { 0, output_7626, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_mulvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7627 },
#else
    { 0, output_7627, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_smaxvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7628 },
#else
    { 0, output_7628, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_umaxvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7629 },
#else
    { 0, output_7629, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sminvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7630 },
#else
    { 0, output_7630, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_uminvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7631 },
#else
    { 0, output_7631, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashlvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7632 },
#else
    { 0, output_7632, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashrvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7633 },
#else
    { 0, output_7633, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_lshrvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7634 },
#else
    { 0, output_7634, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_andvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7635 },
#else
    { 0, output_7635, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_iorvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7636 },
#else
    { 0, output_7636, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_xorvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7637 },
#else
    { 0, output_7637, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ssaddvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7638 },
#else
    { 0, output_7638, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_usaddvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7639 },
#else
    { 0, output_7639, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sssubvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7640 },
#else
    { 0, output_7640, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ussubvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7641 },
#else
    { 0, output_7641, 0 },
#endif
    { 0 },
    &operand_data[10510],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_addvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7642 },
#else
    { 0, output_7642, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_subvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7643 },
#else
    { 0, output_7643, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_mulvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7644 },
#else
    { 0, output_7644, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_smaxvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7645 },
#else
    { 0, output_7645, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_umaxvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7646 },
#else
    { 0, output_7646, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sminvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7647 },
#else
    { 0, output_7647, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_uminvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7648 },
#else
    { 0, output_7648, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashlvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7649 },
#else
    { 0, output_7649, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashrvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7650 },
#else
    { 0, output_7650, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_lshrvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7651 },
#else
    { 0, output_7651, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_andvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7652 },
#else
    { 0, output_7652, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_iorvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7653 },
#else
    { 0, output_7653, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_xorvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7654 },
#else
    { 0, output_7654, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ssaddvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7655 },
#else
    { 0, output_7655, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_usaddvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7656 },
#else
    { 0, output_7656, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sssubvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7657 },
#else
    { 0, output_7657, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ussubvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7658 },
#else
    { 0, output_7658, 0 },
#endif
    { 0 },
    &operand_data[10514],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_addvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7659 },
#else
    { 0, output_7659, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_subvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7660 },
#else
    { 0, output_7660, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_mulvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7661 },
#else
    { 0, output_7661, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_smaxvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7662 },
#else
    { 0, output_7662, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_umaxvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7663 },
#else
    { 0, output_7663, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sminvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7664 },
#else
    { 0, output_7664, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_uminvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7665 },
#else
    { 0, output_7665, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashlvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7666 },
#else
    { 0, output_7666, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashrvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7667 },
#else
    { 0, output_7667, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_lshrvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7668 },
#else
    { 0, output_7668, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_andvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7669 },
#else
    { 0, output_7669, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_iorvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7670 },
#else
    { 0, output_7670, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_xorvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7671 },
#else
    { 0, output_7671, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ssaddvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7672 },
#else
    { 0, output_7672, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_usaddvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7673 },
#else
    { 0, output_7673, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sssubvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7674 },
#else
    { 0, output_7674, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ussubvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7675 },
#else
    { 0, output_7675, 0 },
#endif
    { 0 },
    &operand_data[10518],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_addvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7676 },
#else
    { 0, output_7676, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_subvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7677 },
#else
    { 0, output_7677, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_mulvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7678 },
#else
    { 0, output_7678, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_smaxvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7679 },
#else
    { 0, output_7679, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_umaxvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7680 },
#else
    { 0, output_7680, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sminvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7681 },
#else
    { 0, output_7681, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_uminvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7682 },
#else
    { 0, output_7682, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7683 },
#else
    { 0, output_7683, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashrvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7684 },
#else
    { 0, output_7684, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_lshrvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7685 },
#else
    { 0, output_7685, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_andvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7686 },
#else
    { 0, output_7686, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_iorvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7687 },
#else
    { 0, output_7687, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_xorvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7688 },
#else
    { 0, output_7688, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ssaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7689 },
#else
    { 0, output_7689, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_usaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7690 },
#else
    { 0, output_7690, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sssubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7691 },
#else
    { 0, output_7691, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ussubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7692 },
#else
    { 0, output_7692, 0 },
#endif
    { 0 },
    &operand_data[10522],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_addvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7693 },
#else
    { 0, output_7693, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_subvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7694 },
#else
    { 0, output_7694, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_mulvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7695 },
#else
    { 0, output_7695, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_smaxvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7696 },
#else
    { 0, output_7696, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_umaxvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7697 },
#else
    { 0, output_7697, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sminvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7698 },
#else
    { 0, output_7698, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_uminvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7699 },
#else
    { 0, output_7699, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashlvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7700 },
#else
    { 0, output_7700, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashrvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7701 },
#else
    { 0, output_7701, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_lshrvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7702 },
#else
    { 0, output_7702, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_andvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7703 },
#else
    { 0, output_7703, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_iorvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7704 },
#else
    { 0, output_7704, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_xorvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7705 },
#else
    { 0, output_7705, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ssaddvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7706 },
#else
    { 0, output_7706, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_usaddvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7707 },
#else
    { 0, output_7707, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sssubvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7708 },
#else
    { 0, output_7708, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ussubvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7709 },
#else
    { 0, output_7709, 0 },
#endif
    { 0 },
    &operand_data[10526],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_addvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7710 },
#else
    { 0, output_7710, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_subvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7711 },
#else
    { 0, output_7711, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_mulvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7712 },
#else
    { 0, output_7712, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_smaxvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7713 },
#else
    { 0, output_7713, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_umaxvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7714 },
#else
    { 0, output_7714, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sminvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7715 },
#else
    { 0, output_7715, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_uminvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7716 },
#else
    { 0, output_7716, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashlvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7717 },
#else
    { 0, output_7717, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashrvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7718 },
#else
    { 0, output_7718, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_lshrvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7719 },
#else
    { 0, output_7719, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_andvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7720 },
#else
    { 0, output_7720, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_iorvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7721 },
#else
    { 0, output_7721, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_xorvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7722 },
#else
    { 0, output_7722, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ssaddvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7723 },
#else
    { 0, output_7723, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_usaddvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7724 },
#else
    { 0, output_7724, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sssubvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7725 },
#else
    { 0, output_7725, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ussubvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7726 },
#else
    { 0, output_7726, 0 },
#endif
    { 0 },
    &operand_data[10530],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_addvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7727 },
#else
    { 0, output_7727, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_subvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7728 },
#else
    { 0, output_7728, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_mulvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7729 },
#else
    { 0, output_7729, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_smaxvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7730 },
#else
    { 0, output_7730, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_umaxvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7731 },
#else
    { 0, output_7731, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sminvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7732 },
#else
    { 0, output_7732, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_uminvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7733 },
#else
    { 0, output_7733, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7734 },
#else
    { 0, output_7734, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashrvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7735 },
#else
    { 0, output_7735, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_lshrvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7736 },
#else
    { 0, output_7736, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_andvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7737 },
#else
    { 0, output_7737, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_iorvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7738 },
#else
    { 0, output_7738, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_xorvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7739 },
#else
    { 0, output_7739, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ssaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7740 },
#else
    { 0, output_7740, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_usaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7741 },
#else
    { 0, output_7741, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sssubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7742 },
#else
    { 0, output_7742, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ussubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7743 },
#else
    { 0, output_7743, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_addvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7744 },
#else
    { 0, output_7744, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_subvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7745 },
#else
    { 0, output_7745, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_mulvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7746 },
#else
    { 0, output_7746, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_smaxvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7747 },
#else
    { 0, output_7747, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_umaxvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7748 },
#else
    { 0, output_7748, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sminvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7749 },
#else
    { 0, output_7749, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_uminvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7750 },
#else
    { 0, output_7750, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashlvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7751 },
#else
    { 0, output_7751, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashrvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7752 },
#else
    { 0, output_7752, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_lshrvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7753 },
#else
    { 0, output_7753, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_andvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7754 },
#else
    { 0, output_7754, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_iorvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7755 },
#else
    { 0, output_7755, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_xorvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7756 },
#else
    { 0, output_7756, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ssaddvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7757 },
#else
    { 0, output_7757, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_usaddvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7758 },
#else
    { 0, output_7758, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sssubvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7759 },
#else
    { 0, output_7759, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ussubvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7760 },
#else
    { 0, output_7760, 0 },
#endif
    { 0 },
    &operand_data[10538],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_addvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7761 },
#else
    { 0, output_7761, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_subvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7762 },
#else
    { 0, output_7762, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_mulvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7763 },
#else
    { 0, output_7763, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_smaxvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7764 },
#else
    { 0, output_7764, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_umaxvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7765 },
#else
    { 0, output_7765, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sminvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7766 },
#else
    { 0, output_7766, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_uminvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7767 },
#else
    { 0, output_7767, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7768 },
#else
    { 0, output_7768, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ashrvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7769 },
#else
    { 0, output_7769, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_lshrvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7770 },
#else
    { 0, output_7770, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_andvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7771 },
#else
    { 0, output_7771, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_iorvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7772 },
#else
    { 0, output_7772, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_xorvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7773 },
#else
    { 0, output_7773, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ssaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7774 },
#else
    { 0, output_7774, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_usaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7775 },
#else
    { 0, output_7775, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_sssubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7776 },
#else
    { 0, output_7776, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4013 */
  {
    "*cond_ussubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7777 },
#else
    { 0, output_7777, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_addvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7778 },
#else
    { 0, output_7778, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_subvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7779 },
#else
    { 0, output_7779, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_mulvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7780 },
#else
    { 0, output_7780, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_smaxvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7781 },
#else
    { 0, output_7781, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_umaxvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7782 },
#else
    { 0, output_7782, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sminvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7783 },
#else
    { 0, output_7783, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_uminvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7784 },
#else
    { 0, output_7784, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7785 },
#else
    { 0, output_7785, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7786 },
#else
    { 0, output_7786, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_lshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7787 },
#else
    { 0, output_7787, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_andvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7788 },
#else
    { 0, output_7788, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_iorvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7789 },
#else
    { 0, output_7789, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_xorvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7790 },
#else
    { 0, output_7790, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ssaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7791 },
#else
    { 0, output_7791, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_usaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7792 },
#else
    { 0, output_7792, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sssubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7793 },
#else
    { 0, output_7793, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ussubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7794 },
#else
    { 0, output_7794, 0 },
#endif
    { 0 },
    &operand_data[10546],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_addvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7795 },
#else
    { 0, output_7795, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_subvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7796 },
#else
    { 0, output_7796, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_mulvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7797 },
#else
    { 0, output_7797, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_smaxvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7798 },
#else
    { 0, output_7798, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_umaxvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7799 },
#else
    { 0, output_7799, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sminvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7800 },
#else
    { 0, output_7800, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_uminvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7801 },
#else
    { 0, output_7801, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashlvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7802 },
#else
    { 0, output_7802, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7803 },
#else
    { 0, output_7803, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_lshrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7804 },
#else
    { 0, output_7804, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_andvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7805 },
#else
    { 0, output_7805, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_iorvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7806 },
#else
    { 0, output_7806, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_xorvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7807 },
#else
    { 0, output_7807, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ssaddvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7808 },
#else
    { 0, output_7808, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_usaddvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7809 },
#else
    { 0, output_7809, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sssubvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7810 },
#else
    { 0, output_7810, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ussubvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7811 },
#else
    { 0, output_7811, 0 },
#endif
    { 0 },
    &operand_data[10551],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_addvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7812 },
#else
    { 0, output_7812, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_subvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7813 },
#else
    { 0, output_7813, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_mulvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7814 },
#else
    { 0, output_7814, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_smaxvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7815 },
#else
    { 0, output_7815, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_umaxvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7816 },
#else
    { 0, output_7816, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sminvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7817 },
#else
    { 0, output_7817, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_uminvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7818 },
#else
    { 0, output_7818, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashlvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7819 },
#else
    { 0, output_7819, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7820 },
#else
    { 0, output_7820, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_lshrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7821 },
#else
    { 0, output_7821, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_andvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7822 },
#else
    { 0, output_7822, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_iorvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7823 },
#else
    { 0, output_7823, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_xorvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7824 },
#else
    { 0, output_7824, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ssaddvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7825 },
#else
    { 0, output_7825, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_usaddvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7826 },
#else
    { 0, output_7826, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sssubvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7827 },
#else
    { 0, output_7827, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ussubvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7828 },
#else
    { 0, output_7828, 0 },
#endif
    { 0 },
    &operand_data[10556],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_addvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7829 },
#else
    { 0, output_7829, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_subvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7830 },
#else
    { 0, output_7830, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_mulvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7831 },
#else
    { 0, output_7831, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_smaxvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7832 },
#else
    { 0, output_7832, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_umaxvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7833 },
#else
    { 0, output_7833, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sminvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7834 },
#else
    { 0, output_7834, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_uminvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7835 },
#else
    { 0, output_7835, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashlvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7836 },
#else
    { 0, output_7836, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7837 },
#else
    { 0, output_7837, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_lshrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7838 },
#else
    { 0, output_7838, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_andvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7839 },
#else
    { 0, output_7839, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_iorvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7840 },
#else
    { 0, output_7840, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_xorvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7841 },
#else
    { 0, output_7841, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ssaddvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7842 },
#else
    { 0, output_7842, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_usaddvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7843 },
#else
    { 0, output_7843, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sssubvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7844 },
#else
    { 0, output_7844, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ussubvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7845 },
#else
    { 0, output_7845, 0 },
#endif
    { 0 },
    &operand_data[10561],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_addvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7846 },
#else
    { 0, output_7846, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_subvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7847 },
#else
    { 0, output_7847, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_mulvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7848 },
#else
    { 0, output_7848, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_smaxvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7849 },
#else
    { 0, output_7849, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_umaxvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7850 },
#else
    { 0, output_7850, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sminvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7851 },
#else
    { 0, output_7851, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_uminvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7852 },
#else
    { 0, output_7852, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7853 },
#else
    { 0, output_7853, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7854 },
#else
    { 0, output_7854, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_lshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7855 },
#else
    { 0, output_7855, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_andvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7856 },
#else
    { 0, output_7856, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_iorvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7857 },
#else
    { 0, output_7857, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_xorvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7858 },
#else
    { 0, output_7858, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ssaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7859 },
#else
    { 0, output_7859, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_usaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7860 },
#else
    { 0, output_7860, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sssubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7861 },
#else
    { 0, output_7861, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ussubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7862 },
#else
    { 0, output_7862, 0 },
#endif
    { 0 },
    &operand_data[10566],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_addvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7863 },
#else
    { 0, output_7863, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_subvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7864 },
#else
    { 0, output_7864, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_mulvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7865 },
#else
    { 0, output_7865, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_smaxvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7866 },
#else
    { 0, output_7866, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_umaxvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7867 },
#else
    { 0, output_7867, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sminvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7868 },
#else
    { 0, output_7868, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_uminvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7869 },
#else
    { 0, output_7869, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashlvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7870 },
#else
    { 0, output_7870, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7871 },
#else
    { 0, output_7871, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_lshrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7872 },
#else
    { 0, output_7872, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_andvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7873 },
#else
    { 0, output_7873, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_iorvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7874 },
#else
    { 0, output_7874, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_xorvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7875 },
#else
    { 0, output_7875, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ssaddvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7876 },
#else
    { 0, output_7876, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_usaddvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7877 },
#else
    { 0, output_7877, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sssubvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7878 },
#else
    { 0, output_7878, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ussubvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7879 },
#else
    { 0, output_7879, 0 },
#endif
    { 0 },
    &operand_data[10571],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_addvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7880 },
#else
    { 0, output_7880, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_subvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7881 },
#else
    { 0, output_7881, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_mulvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7882 },
#else
    { 0, output_7882, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_smaxvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7883 },
#else
    { 0, output_7883, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_umaxvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7884 },
#else
    { 0, output_7884, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sminvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7885 },
#else
    { 0, output_7885, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_uminvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7886 },
#else
    { 0, output_7886, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashlvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7887 },
#else
    { 0, output_7887, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7888 },
#else
    { 0, output_7888, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_lshrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7889 },
#else
    { 0, output_7889, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_andvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7890 },
#else
    { 0, output_7890, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_iorvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7891 },
#else
    { 0, output_7891, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_xorvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7892 },
#else
    { 0, output_7892, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ssaddvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7893 },
#else
    { 0, output_7893, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_usaddvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7894 },
#else
    { 0, output_7894, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sssubvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7895 },
#else
    { 0, output_7895, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ussubvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7896 },
#else
    { 0, output_7896, 0 },
#endif
    { 0 },
    &operand_data[10576],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_addvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7897 },
#else
    { 0, output_7897, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_subvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7898 },
#else
    { 0, output_7898, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_mulvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7899 },
#else
    { 0, output_7899, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_smaxvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7900 },
#else
    { 0, output_7900, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_umaxvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7901 },
#else
    { 0, output_7901, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sminvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7902 },
#else
    { 0, output_7902, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_uminvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7903 },
#else
    { 0, output_7903, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7904 },
#else
    { 0, output_7904, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7905 },
#else
    { 0, output_7905, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_lshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7906 },
#else
    { 0, output_7906, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_andvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7907 },
#else
    { 0, output_7907, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_iorvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7908 },
#else
    { 0, output_7908, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_xorvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7909 },
#else
    { 0, output_7909, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ssaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7910 },
#else
    { 0, output_7910, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_usaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7911 },
#else
    { 0, output_7911, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sssubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7912 },
#else
    { 0, output_7912, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ussubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7913 },
#else
    { 0, output_7913, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_addvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7914 },
#else
    { 0, output_7914, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_subvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7915 },
#else
    { 0, output_7915, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_mulvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7916 },
#else
    { 0, output_7916, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_smaxvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7917 },
#else
    { 0, output_7917, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_umaxvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7918 },
#else
    { 0, output_7918, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sminvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7919 },
#else
    { 0, output_7919, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_uminvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7920 },
#else
    { 0, output_7920, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashlvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7921 },
#else
    { 0, output_7921, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7922 },
#else
    { 0, output_7922, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_lshrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7923 },
#else
    { 0, output_7923, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_andvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7924 },
#else
    { 0, output_7924, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_iorvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7925 },
#else
    { 0, output_7925, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_xorvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7926 },
#else
    { 0, output_7926, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ssaddvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7927 },
#else
    { 0, output_7927, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_usaddvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7928 },
#else
    { 0, output_7928, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sssubvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7929 },
#else
    { 0, output_7929, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ussubvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7930 },
#else
    { 0, output_7930, 0 },
#endif
    { 0 },
    &operand_data[10586],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_addvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7931 },
#else
    { 0, output_7931, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_subvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7932 },
#else
    { 0, output_7932, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_mulvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7933 },
#else
    { 0, output_7933, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_smaxvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7934 },
#else
    { 0, output_7934, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_umaxvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7935 },
#else
    { 0, output_7935, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sminvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7936 },
#else
    { 0, output_7936, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_uminvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7937 },
#else
    { 0, output_7937, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7938 },
#else
    { 0, output_7938, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ashrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7939 },
#else
    { 0, output_7939, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_lshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7940 },
#else
    { 0, output_7940, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_andvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7941 },
#else
    { 0, output_7941, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_iorvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7942 },
#else
    { 0, output_7942, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_xorvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7943 },
#else
    { 0, output_7943, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ssaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7944 },
#else
    { 0, output_7944, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_usaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7945 },
#else
    { 0, output_7945, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_sssubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7946 },
#else
    { 0, output_7946, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4030 */
  {
    "*cond_ussubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7947 },
#else
    { 0, output_7947, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4076 */
  {
    "addvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7948 },
#else
    { 0, 0, output_7948 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx16qi3 },
    &operand_data[10596],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4076 */
  {
    "addvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7949 },
#else
    { 0, 0, output_7949 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8qi3 },
    &operand_data[10599],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4076 */
  {
    "addvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7950 },
#else
    { 0, 0, output_7950 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4qi3 },
    &operand_data[10602],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4076 */
  {
    "addvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7951 },
#else
    { 0, 0, output_7951 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2qi3 },
    &operand_data[10605],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4076 */
  {
    "addvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7952 },
#else
    { 0, 0, output_7952 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8hi3 },
    &operand_data[10608],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4076 */
  {
    "addvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7953 },
#else
    { 0, 0, output_7953 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4hi3 },
    &operand_data[10611],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4076 */
  {
    "addvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7954 },
#else
    { 0, 0, output_7954 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2hi3 },
    &operand_data[10614],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4076 */
  {
    "addvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7955 },
#else
    { 0, 0, output_7955 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4si3 },
    &operand_data[10617],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4076 */
  {
    "addvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7956 },
#else
    { 0, 0, output_7956 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2si3 },
    &operand_data[10620],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4076 */
  {
    "addvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_7957 },
#else
    { 0, 0, output_7957 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2di3 },
    &operand_data[10623],
    3,
    3,
    0,
    6,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4102 */
  {
    "subvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7958 },
#else
    { 0, output_7958, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx16qi3 },
    &operand_data[10626],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4102 */
  {
    "subvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7959 },
#else
    { 0, output_7959, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8qi3 },
    &operand_data[10629],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4102 */
  {
    "subvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7960 },
#else
    { 0, output_7960, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4qi3 },
    &operand_data[10632],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4102 */
  {
    "subvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7961 },
#else
    { 0, output_7961, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2qi3 },
    &operand_data[10635],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4102 */
  {
    "subvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7962 },
#else
    { 0, output_7962, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8hi3 },
    &operand_data[10638],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4102 */
  {
    "subvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7963 },
#else
    { 0, output_7963, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4hi3 },
    &operand_data[10641],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4102 */
  {
    "subvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7964 },
#else
    { 0, output_7964, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2hi3 },
    &operand_data[10644],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4102 */
  {
    "subvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7965 },
#else
    { 0, output_7965, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4si3 },
    &operand_data[10647],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4102 */
  {
    "subvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7966 },
#else
    { 0, output_7966, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2si3 },
    &operand_data[10650],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4102 */
  {
    "subvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7967 },
#else
    { 0, output_7967, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2di3 },
    &operand_data[10653],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4126 */
  {
    "aarch64_adrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4126 */
  {
    "aarch64_adrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4137 */
  {
    "*aarch64_adr_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, sxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10659],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4157 */
  {
    "*aarch64_adr_uxtw_unspec",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10663],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4170 */
  {
    "*aarch64_adr_uxtw_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10663],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4198 */
  {
    "*aarch64_adrvnx2qi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10667],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4198 */
  {
    "*aarch64_adrvnx2hi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10672],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4198 */
  {
    "*aarch64_adrvnx2si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10677],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4198 */
  {
    "*aarch64_adrvnx2di_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10682],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4198 */
  {
    "*aarch64_adrvnx4qi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10687],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4198 */
  {
    "*aarch64_adrvnx4hi_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10692],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4198 */
  {
    "*aarch64_adrvnx4si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.s, [%1.s, %2.s, lsl %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10697],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4217 */
  {
    "*aarch64_adr_shift_sxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, sxtw %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10702],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4241 */
  {
    "*aarch64_adr_shift_uxtw",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "adr\t%0.d, [%1.d, %2.d, uxtw %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10708],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_sabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7982 },
#else
    { 0, output_7982, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx16qi },
    &operand_data[10714],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_uabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7983 },
#else
    { 0, output_7983, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx16qi },
    &operand_data[10714],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_sabdvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7984 },
#else
    { 0, output_7984, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx8qi },
    &operand_data[10718],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_uabdvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7985 },
#else
    { 0, output_7985, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx8qi },
    &operand_data[10718],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_sabdvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7986 },
#else
    { 0, output_7986, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4qi },
    &operand_data[10722],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_uabdvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7987 },
#else
    { 0, output_7987, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4qi },
    &operand_data[10722],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_sabdvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7988 },
#else
    { 0, output_7988, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2qi },
    &operand_data[10726],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_uabdvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7989 },
#else
    { 0, output_7989, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2qi },
    &operand_data[10726],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_sabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7990 },
#else
    { 0, output_7990, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx8hi },
    &operand_data[10730],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_uabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7991 },
#else
    { 0, output_7991, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx8hi },
    &operand_data[10730],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_sabdvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7992 },
#else
    { 0, output_7992, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4hi },
    &operand_data[10734],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_uabdvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7993 },
#else
    { 0, output_7993, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4hi },
    &operand_data[10734],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_sabdvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7994 },
#else
    { 0, output_7994, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2hi },
    &operand_data[10738],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_uabdvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7995 },
#else
    { 0, output_7995, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2hi },
    &operand_data[10738],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_sabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7996 },
#else
    { 0, output_7996, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx4si },
    &operand_data[10742],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_uabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7997 },
#else
    { 0, output_7997, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx4si },
    &operand_data[10742],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_sabdvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7998 },
#else
    { 0, output_7998, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2si },
    &operand_data[10746],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_uabdvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_7999 },
#else
    { 0, output_7999, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2si },
    &operand_data[10746],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_sabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8000 },
#else
    { 0, output_8000, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sabdvnx2di },
    &operand_data[10750],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4285 */
  {
    "aarch64_pred_uabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8001 },
#else
    { 0, output_8001, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uabdvnx2di },
    &operand_data[10750],
    4,
    4,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_sabdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8002 },
#else
    { 0, output_8002, 0 },
#endif
    { 0 },
    &operand_data[10754],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_uabdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8003 },
#else
    { 0, output_8003, 0 },
#endif
    { 0 },
    &operand_data[10754],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_sabdvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8004 },
#else
    { 0, output_8004, 0 },
#endif
    { 0 },
    &operand_data[10760],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_uabdvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8005 },
#else
    { 0, output_8005, 0 },
#endif
    { 0 },
    &operand_data[10760],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_sabdvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8006 },
#else
    { 0, output_8006, 0 },
#endif
    { 0 },
    &operand_data[10766],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_uabdvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8007 },
#else
    { 0, output_8007, 0 },
#endif
    { 0 },
    &operand_data[10766],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_sabdvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8008 },
#else
    { 0, output_8008, 0 },
#endif
    { 0 },
    &operand_data[10772],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_uabdvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8009 },
#else
    { 0, output_8009, 0 },
#endif
    { 0 },
    &operand_data[10772],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_sabdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8010 },
#else
    { 0, output_8010, 0 },
#endif
    { 0 },
    &operand_data[10778],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_uabdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8011 },
#else
    { 0, output_8011, 0 },
#endif
    { 0 },
    &operand_data[10778],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_sabdvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8012 },
#else
    { 0, output_8012, 0 },
#endif
    { 0 },
    &operand_data[10784],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_uabdvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8013 },
#else
    { 0, output_8013, 0 },
#endif
    { 0 },
    &operand_data[10784],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_sabdvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8014 },
#else
    { 0, output_8014, 0 },
#endif
    { 0 },
    &operand_data[10790],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_uabdvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8015 },
#else
    { 0, output_8015, 0 },
#endif
    { 0 },
    &operand_data[10790],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_sabdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8016 },
#else
    { 0, output_8016, 0 },
#endif
    { 0 },
    &operand_data[10796],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_uabdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8017 },
#else
    { 0, output_8017, 0 },
#endif
    { 0 },
    &operand_data[10796],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_sabdvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8018 },
#else
    { 0, output_8018, 0 },
#endif
    { 0 },
    &operand_data[10802],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_uabdvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8019 },
#else
    { 0, output_8019, 0 },
#endif
    { 0 },
    &operand_data[10802],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_sabdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8020 },
#else
    { 0, output_8020, 0 },
#endif
    { 0 },
    &operand_data[10808],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4333 */
  {
    "*aarch64_cond_uabdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8021 },
#else
    { 0, output_8021, 0 },
#endif
    { 0 },
    &operand_data[10808],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_sabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8022 },
#else
    { 0, output_8022, 0 },
#endif
    { 0 },
    &operand_data[10814],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_uabdvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8023 },
#else
    { 0, output_8023, 0 },
#endif
    { 0 },
    &operand_data[10814],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_sabdvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8024 },
#else
    { 0, output_8024, 0 },
#endif
    { 0 },
    &operand_data[10820],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_uabdvnx8qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8025 },
#else
    { 0, output_8025, 0 },
#endif
    { 0 },
    &operand_data[10820],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_sabdvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8026 },
#else
    { 0, output_8026, 0 },
#endif
    { 0 },
    &operand_data[10826],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_uabdvnx4qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8027 },
#else
    { 0, output_8027, 0 },
#endif
    { 0 },
    &operand_data[10826],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_sabdvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8028 },
#else
    { 0, output_8028, 0 },
#endif
    { 0 },
    &operand_data[10832],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_uabdvnx2qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8029 },
#else
    { 0, output_8029, 0 },
#endif
    { 0 },
    &operand_data[10832],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_sabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8030 },
#else
    { 0, output_8030, 0 },
#endif
    { 0 },
    &operand_data[10838],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_uabdvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8031 },
#else
    { 0, output_8031, 0 },
#endif
    { 0 },
    &operand_data[10838],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_sabdvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8032 },
#else
    { 0, output_8032, 0 },
#endif
    { 0 },
    &operand_data[10844],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_uabdvnx4hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8033 },
#else
    { 0, output_8033, 0 },
#endif
    { 0 },
    &operand_data[10844],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_sabdvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8034 },
#else
    { 0, output_8034, 0 },
#endif
    { 0 },
    &operand_data[10850],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_uabdvnx2hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8035 },
#else
    { 0, output_8035, 0 },
#endif
    { 0 },
    &operand_data[10850],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_sabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8036 },
#else
    { 0, output_8036, 0 },
#endif
    { 0 },
    &operand_data[10856],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_uabdvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8037 },
#else
    { 0, output_8037, 0 },
#endif
    { 0 },
    &operand_data[10856],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_sabdvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8038 },
#else
    { 0, output_8038, 0 },
#endif
    { 0 },
    &operand_data[10862],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_uabdvnx2si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8039 },
#else
    { 0, output_8039, 0 },
#endif
    { 0 },
    &operand_data[10862],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_sabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8040 },
#else
    { 0, output_8040, 0 },
#endif
    { 0 },
    &operand_data[10868],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4364 */
  {
    "*aarch64_cond_uabdvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8041 },
#else
    { 0, output_8041, 0 },
#endif
    { 0 },
    &operand_data[10868],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_sabdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8042 },
#else
    { 0, output_8042, 0 },
#endif
    { 0 },
    &operand_data[10874],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_uabdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8043 },
#else
    { 0, output_8043, 0 },
#endif
    { 0 },
    &operand_data[10874],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_sabdvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8044 },
#else
    { 0, output_8044, 0 },
#endif
    { 0 },
    &operand_data[10881],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_uabdvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8045 },
#else
    { 0, output_8045, 0 },
#endif
    { 0 },
    &operand_data[10881],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_sabdvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8046 },
#else
    { 0, output_8046, 0 },
#endif
    { 0 },
    &operand_data[10888],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_uabdvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8047 },
#else
    { 0, output_8047, 0 },
#endif
    { 0 },
    &operand_data[10888],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_sabdvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8048 },
#else
    { 0, output_8048, 0 },
#endif
    { 0 },
    &operand_data[10895],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_uabdvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8049 },
#else
    { 0, output_8049, 0 },
#endif
    { 0 },
    &operand_data[10895],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_sabdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8050 },
#else
    { 0, output_8050, 0 },
#endif
    { 0 },
    &operand_data[10902],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_uabdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8051 },
#else
    { 0, output_8051, 0 },
#endif
    { 0 },
    &operand_data[10902],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_sabdvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8052 },
#else
    { 0, output_8052, 0 },
#endif
    { 0 },
    &operand_data[10909],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_uabdvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8053 },
#else
    { 0, output_8053, 0 },
#endif
    { 0 },
    &operand_data[10909],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_sabdvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8054 },
#else
    { 0, output_8054, 0 },
#endif
    { 0 },
    &operand_data[10916],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_uabdvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8055 },
#else
    { 0, output_8055, 0 },
#endif
    { 0 },
    &operand_data[10916],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_sabdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8056 },
#else
    { 0, output_8056, 0 },
#endif
    { 0 },
    &operand_data[10923],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_uabdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8057 },
#else
    { 0, output_8057, 0 },
#endif
    { 0 },
    &operand_data[10923],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_sabdvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8058 },
#else
    { 0, output_8058, 0 },
#endif
    { 0 },
    &operand_data[10930],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_uabdvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8059 },
#else
    { 0, output_8059, 0 },
#endif
    { 0 },
    &operand_data[10930],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_sabdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8060 },
#else
    { 0, output_8060, 0 },
#endif
    { 0 },
    &operand_data[10937],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4395 */
  {
    "*aarch64_cond_uabdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8061 },
#else
    { 0, output_8061, 0 },
#endif
    { 0 },
    &operand_data[10937],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4452 */
  {
    "ssaddvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8062 },
#else
    { 0, output_8062, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddvnx16qi3 },
    &operand_data[10944],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4452 */
  {
    "sssubvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8063 },
#else
    { 0, output_8063, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubvnx16qi3 },
    &operand_data[10944],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4452 */
  {
    "ssaddvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8064 },
#else
    { 0, output_8064, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddvnx8hi3 },
    &operand_data[10947],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4452 */
  {
    "sssubvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8065 },
#else
    { 0, output_8065, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubvnx8hi3 },
    &operand_data[10947],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4452 */
  {
    "ssaddvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8066 },
#else
    { 0, output_8066, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddvnx4si3 },
    &operand_data[10950],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4452 */
  {
    "sssubvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8067 },
#else
    { 0, output_8067, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubvnx4si3 },
    &operand_data[10950],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4452 */
  {
    "ssaddvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8068 },
#else
    { 0, output_8068, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddvnx2di3 },
    &operand_data[10953],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4452 */
  {
    "sssubvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8069 },
#else
    { 0, output_8069, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubvnx2di3 },
    &operand_data[10953],
    3,
    3,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4468 */
  {
    "usaddvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8070 },
#else
    { 0, output_8070, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddvnx16qi3 },
    &operand_data[10956],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4468 */
  {
    "ussubvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8071 },
#else
    { 0, output_8071, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubvnx16qi3 },
    &operand_data[10956],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4468 */
  {
    "usaddvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8072 },
#else
    { 0, output_8072, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddvnx8hi3 },
    &operand_data[10959],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4468 */
  {
    "ussubvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8073 },
#else
    { 0, output_8073, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubvnx8hi3 },
    &operand_data[10959],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4468 */
  {
    "usaddvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8074 },
#else
    { 0, output_8074, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddvnx4si3 },
    &operand_data[10962],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4468 */
  {
    "ussubvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8075 },
#else
    { 0, output_8075, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubvnx4si3 },
    &operand_data[10962],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4468 */
  {
    "usaddvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8076 },
#else
    { 0, output_8076, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usaddvnx2di3 },
    &operand_data[10965],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4468 */
  {
    "ussubvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8077 },
#else
    { 0, output_8077, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ussubvnx2di3 },
    &operand_data[10965],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_smulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8078 },
#else
    { 0, output_8078, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx16qi },
    &operand_data[10714],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_umulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8079 },
#else
    { 0, output_8079, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx16qi },
    &operand_data[10714],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_smulhvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8080 },
#else
    { 0, output_8080, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx8qi },
    &operand_data[10718],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_umulhvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8081 },
#else
    { 0, output_8081, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx8qi },
    &operand_data[10718],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_smulhvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8082 },
#else
    { 0, output_8082, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4qi },
    &operand_data[10722],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_umulhvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8083 },
#else
    { 0, output_8083, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4qi },
    &operand_data[10722],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_smulhvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8084 },
#else
    { 0, output_8084, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2qi },
    &operand_data[10726],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_umulhvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8085 },
#else
    { 0, output_8085, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2qi },
    &operand_data[10726],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_smulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8086 },
#else
    { 0, output_8086, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx8hi },
    &operand_data[10730],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_umulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8087 },
#else
    { 0, output_8087, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx8hi },
    &operand_data[10730],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_smulhvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8088 },
#else
    { 0, output_8088, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4hi },
    &operand_data[10734],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_umulhvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8089 },
#else
    { 0, output_8089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4hi },
    &operand_data[10734],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_smulhvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8090 },
#else
    { 0, output_8090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2hi },
    &operand_data[10738],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_umulhvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8091 },
#else
    { 0, output_8091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2hi },
    &operand_data[10738],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_smulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8092 },
#else
    { 0, output_8092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx4si },
    &operand_data[10742],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_umulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8093 },
#else
    { 0, output_8093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx4si },
    &operand_data[10742],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_smulhvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8094 },
#else
    { 0, output_8094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2si },
    &operand_data[10746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_umulhvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8095 },
#else
    { 0, output_8095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2si },
    &operand_data[10746],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_smulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8096 },
#else
    { 0, output_8096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smulhvnx2di },
    &operand_data[10750],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4506 */
  {
    "aarch64_pred_umulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8097 },
#else
    { 0, output_8097, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umulhvnx2di },
    &operand_data[10750],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4542 */
  {
    "*cond_smulhvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8098 },
#else
    { 0, output_8098, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4542 */
  {
    "*cond_umulhvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8099 },
#else
    { 0, output_8099, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4542 */
  {
    "*cond_smulhvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8100 },
#else
    { 0, output_8100, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4542 */
  {
    "*cond_umulhvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8101 },
#else
    { 0, output_8101, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4542 */
  {
    "*cond_smulhvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8102 },
#else
    { 0, output_8102, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4542 */
  {
    "*cond_umulhvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8103 },
#else
    { 0, output_8103, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4542 */
  {
    "*cond_smulhvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8104 },
#else
    { 0, output_8104, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4542 */
  {
    "*cond_umulhvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8105 },
#else
    { 0, output_8105, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4560 */
  {
    "*cond_smulhvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8106 },
#else
    { 0, output_8106, 0 },
#endif
    { 0 },
    &operand_data[10968],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4560 */
  {
    "*cond_umulhvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8107 },
#else
    { 0, output_8107, 0 },
#endif
    { 0 },
    &operand_data[10968],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4560 */
  {
    "*cond_smulhvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8108 },
#else
    { 0, output_8108, 0 },
#endif
    { 0 },
    &operand_data[10973],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4560 */
  {
    "*cond_umulhvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8109 },
#else
    { 0, output_8109, 0 },
#endif
    { 0 },
    &operand_data[10973],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4560 */
  {
    "*cond_smulhvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8110 },
#else
    { 0, output_8110, 0 },
#endif
    { 0 },
    &operand_data[10978],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4560 */
  {
    "*cond_umulhvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8111 },
#else
    { 0, output_8111, 0 },
#endif
    { 0 },
    &operand_data[10978],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4560 */
  {
    "*cond_smulhvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8112 },
#else
    { 0, output_8112, 0 },
#endif
    { 0 },
    &operand_data[10983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4560 */
  {
    "*cond_umulhvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8113 },
#else
    { 0, output_8113, 0 },
#endif
    { 0 },
    &operand_data[10983],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4606 */
  {
    "aarch64_pred_divvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8114 },
#else
    { 0, output_8114, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx4si },
    &operand_data[10988],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4606 */
  {
    "aarch64_pred_udivvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8115 },
#else
    { 0, output_8115, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivvnx4si },
    &operand_data[10988],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4606 */
  {
    "aarch64_pred_divvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8116 },
#else
    { 0, output_8116, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx2di },
    &operand_data[10992],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4606 */
  {
    "aarch64_pred_udivvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8117 },
#else
    { 0, output_8117, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivvnx2di },
    &operand_data[10992],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4606 */
  {
    "aarch64_pred_divv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8118 },
#else
    { 0, output_8118, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divv4si },
    &operand_data[10996],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4606 */
  {
    "aarch64_pred_udivv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8119 },
#else
    { 0, output_8119, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivv4si },
    &operand_data[10996],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4606 */
  {
    "aarch64_pred_divv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8120 },
#else
    { 0, output_8120, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divv2di },
    &operand_data[11000],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4606 */
  {
    "aarch64_pred_udivv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8121 },
#else
    { 0, output_8121, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_udivv2di },
    &operand_data[11000],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4636 */
  {
    "*cond_divvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8122 },
#else
    { 0, output_8122, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4636 */
  {
    "*cond_udivvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8123 },
#else
    { 0, output_8123, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4636 */
  {
    "*cond_divvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8124 },
#else
    { 0, output_8124, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4636 */
  {
    "*cond_udivvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8125 },
#else
    { 0, output_8125, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4653 */
  {
    "*cond_divvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8126 },
#else
    { 0, output_8126, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4653 */
  {
    "*cond_udivvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8127 },
#else
    { 0, output_8127, 0 },
#endif
    { 0 },
    &operand_data[10534],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4653 */
  {
    "*cond_divvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8128 },
#else
    { 0, output_8128, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4653 */
  {
    "*cond_udivvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8129 },
#else
    { 0, output_8129, 0 },
#endif
    { 0 },
    &operand_data[10542],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4670 */
  {
    "*cond_divvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8130 },
#else
    { 0, output_8130, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4670 */
  {
    "*cond_udivvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8131 },
#else
    { 0, output_8131, 0 },
#endif
    { 0 },
    &operand_data[10581],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4670 */
  {
    "*cond_divvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8132 },
#else
    { 0, output_8132, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4670 */
  {
    "*cond_udivvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8133 },
#else
    { 0, output_8133, 0 },
#endif
    { 0 },
    &operand_data[10591],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "andvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8134 },
#else
    { 0, output_8134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx16qi3 },
    &operand_data[11004],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "iorvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8135 },
#else
    { 0, output_8135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx16qi3 },
    &operand_data[11004],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "xorvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8136 },
#else
    { 0, output_8136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx16qi3 },
    &operand_data[11004],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "andvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8137 },
#else
    { 0, output_8137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8qi3 },
    &operand_data[11007],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "iorvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8138 },
#else
    { 0, output_8138, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8qi3 },
    &operand_data[11007],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "xorvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8139 },
#else
    { 0, output_8139, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8qi3 },
    &operand_data[11007],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "andvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8140 },
#else
    { 0, output_8140, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4qi3 },
    &operand_data[11010],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "iorvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8141 },
#else
    { 0, output_8141, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4qi3 },
    &operand_data[11010],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "xorvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8142 },
#else
    { 0, output_8142, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4qi3 },
    &operand_data[11010],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "andvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8143 },
#else
    { 0, output_8143, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2qi3 },
    &operand_data[11013],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "iorvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8144 },
#else
    { 0, output_8144, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2qi3 },
    &operand_data[11013],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "xorvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8145 },
#else
    { 0, output_8145, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2qi3 },
    &operand_data[11013],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "andvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8146 },
#else
    { 0, output_8146, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8hi3 },
    &operand_data[11016],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "iorvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8147 },
#else
    { 0, output_8147, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8hi3 },
    &operand_data[11016],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "xorvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8148 },
#else
    { 0, output_8148, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8hi3 },
    &operand_data[11016],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "andvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8149 },
#else
    { 0, output_8149, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4hi3 },
    &operand_data[11019],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "iorvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8150 },
#else
    { 0, output_8150, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4hi3 },
    &operand_data[11019],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "xorvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8151 },
#else
    { 0, output_8151, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4hi3 },
    &operand_data[11019],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "andvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8152 },
#else
    { 0, output_8152, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2hi3 },
    &operand_data[11022],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "iorvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8153 },
#else
    { 0, output_8153, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2hi3 },
    &operand_data[11022],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "xorvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8154 },
#else
    { 0, output_8154, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2hi3 },
    &operand_data[11022],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "andvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8155 },
#else
    { 0, output_8155, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4si3 },
    &operand_data[11025],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "iorvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8156 },
#else
    { 0, output_8156, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4si3 },
    &operand_data[11025],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "xorvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8157 },
#else
    { 0, output_8157, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4si3 },
    &operand_data[11025],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "andvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8158 },
#else
    { 0, output_8158, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2si3 },
    &operand_data[11028],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "iorvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8159 },
#else
    { 0, output_8159, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2si3 },
    &operand_data[11028],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "xorvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8160 },
#else
    { 0, output_8160, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2si3 },
    &operand_data[11028],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "andvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8161 },
#else
    { 0, output_8161, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2di3 },
    &operand_data[11031],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "iorvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8162 },
#else
    { 0, output_8162, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2di3 },
    &operand_data[11031],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4710 */
  {
    "xorvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8163 },
#else
    { 0, output_8163, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2di3 },
    &operand_data[11031],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "*bicvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11034],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "*bicvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11038],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "*bicvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11042],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "*bicvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11046],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "*bicvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11050],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "*bicvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11054],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "*bicvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11058],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "*bicvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11062],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "*bicvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11066],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4748 */
  {
    "*bicvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bic\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[10659],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4779 */
  {
    "*cond_bicvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8174 },
#else
    { 0, output_8174, 0 },
#endif
    { 0 },
    &operand_data[10466],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4779 */
  {
    "*cond_bicvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8175 },
#else
    { 0, output_8175, 0 },
#endif
    { 0 },
    &operand_data[10470],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4779 */
  {
    "*cond_bicvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8176 },
#else
    { 0, output_8176, 0 },
#endif
    { 0 },
    &operand_data[10474],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4779 */
  {
    "*cond_bicvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8177 },
#else
    { 0, output_8177, 0 },
#endif
    { 0 },
    &operand_data[10478],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4779 */
  {
    "*cond_bicvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8178 },
#else
    { 0, output_8178, 0 },
#endif
    { 0 },
    &operand_data[10482],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4779 */
  {
    "*cond_bicvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8179 },
#else
    { 0, output_8179, 0 },
#endif
    { 0 },
    &operand_data[10486],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4779 */
  {
    "*cond_bicvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8180 },
#else
    { 0, output_8180, 0 },
#endif
    { 0 },
    &operand_data[10490],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4779 */
  {
    "*cond_bicvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8181 },
#else
    { 0, output_8181, 0 },
#endif
    { 0 },
    &operand_data[10494],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4779 */
  {
    "*cond_bicvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8182 },
#else
    { 0, output_8182, 0 },
#endif
    { 0 },
    &operand_data[10498],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4779 */
  {
    "*cond_bicvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8183 },
#else
    { 0, output_8183, 0 },
#endif
    { 0 },
    &operand_data[10502],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4797 */
  {
    "*cond_bicvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8184 },
#else
    { 0, output_8184, 0 },
#endif
    { 0 },
    &operand_data[11070],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4797 */
  {
    "*cond_bicvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8185 },
#else
    { 0, output_8185, 0 },
#endif
    { 0 },
    &operand_data[11075],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4797 */
  {
    "*cond_bicvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8186 },
#else
    { 0, output_8186, 0 },
#endif
    { 0 },
    &operand_data[11080],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4797 */
  {
    "*cond_bicvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8187 },
#else
    { 0, output_8187, 0 },
#endif
    { 0 },
    &operand_data[11085],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4797 */
  {
    "*cond_bicvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8188 },
#else
    { 0, output_8188, 0 },
#endif
    { 0 },
    &operand_data[11090],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4797 */
  {
    "*cond_bicvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8189 },
#else
    { 0, output_8189, 0 },
#endif
    { 0 },
    &operand_data[11095],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4797 */
  {
    "*cond_bicvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8190 },
#else
    { 0, output_8190, 0 },
#endif
    { 0 },
    &operand_data[11100],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4797 */
  {
    "*cond_bicvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8191 },
#else
    { 0, output_8191, 0 },
#endif
    { 0 },
    &operand_data[11105],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4797 */
  {
    "*cond_bicvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8192 },
#else
    { 0, output_8192, 0 },
#endif
    { 0 },
    &operand_data[11110],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4797 */
  {
    "*cond_bicvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8193 },
#else
    { 0, output_8193, 0 },
#endif
    { 0 },
    &operand_data[11115],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8194 },
#else
    { 0, output_8194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx16qi },
    &operand_data[11120],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8195 },
#else
    { 0, output_8195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx16qi },
    &operand_data[11124],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_lshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8196 },
#else
    { 0, output_8196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx16qi },
    &operand_data[11124],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashlvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8197 },
#else
    { 0, output_8197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx8qi },
    &operand_data[11128],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8198 },
#else
    { 0, output_8198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx8qi },
    &operand_data[11132],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_lshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8199 },
#else
    { 0, output_8199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx8qi },
    &operand_data[11132],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashlvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8200 },
#else
    { 0, output_8200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4qi },
    &operand_data[11136],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8201 },
#else
    { 0, output_8201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4qi },
    &operand_data[11140],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_lshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8202 },
#else
    { 0, output_8202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4qi },
    &operand_data[11140],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashlvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8203 },
#else
    { 0, output_8203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2qi },
    &operand_data[11144],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8204 },
#else
    { 0, output_8204, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2qi },
    &operand_data[11148],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_lshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8205 },
#else
    { 0, output_8205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2qi },
    &operand_data[11148],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8206 },
#else
    { 0, output_8206, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx8hi },
    &operand_data[11152],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8207 },
#else
    { 0, output_8207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx8hi },
    &operand_data[11156],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_lshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8208 },
#else
    { 0, output_8208, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx8hi },
    &operand_data[11156],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashlvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8209 },
#else
    { 0, output_8209, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4hi },
    &operand_data[11160],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8210 },
#else
    { 0, output_8210, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4hi },
    &operand_data[11164],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_lshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8211 },
#else
    { 0, output_8211, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4hi },
    &operand_data[11164],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashlvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8212 },
#else
    { 0, output_8212, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2hi },
    &operand_data[11168],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8213 },
#else
    { 0, output_8213, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2hi },
    &operand_data[11172],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_lshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8214 },
#else
    { 0, output_8214, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2hi },
    &operand_data[11172],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8215 },
#else
    { 0, output_8215, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx4si },
    &operand_data[11176],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8216 },
#else
    { 0, output_8216, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx4si },
    &operand_data[11180],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_lshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8217 },
#else
    { 0, output_8217, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx4si },
    &operand_data[11180],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashlvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8218 },
#else
    { 0, output_8218, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2si },
    &operand_data[11184],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8219 },
#else
    { 0, output_8219, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2si },
    &operand_data[11188],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_lshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8220 },
#else
    { 0, output_8220, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2si },
    &operand_data[11188],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8221 },
#else
    { 0, output_8221, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashlvnx2di },
    &operand_data[11192],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_ashrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8222 },
#else
    { 0, output_8222, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ashrvnx2di },
    &operand_data[11196],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4882 */
  {
    "aarch64_pred_lshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8223 },
#else
    { 0, output_8223, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_lshrvnx2di },
    &operand_data[11196],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4906 */
  {
    "*post_ra_v_ashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8224 },
#else
    { 0, output_8224, 0 },
#endif
    { 0 },
    &operand_data[11200],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4906 */
  {
    "*post_ra_v_ashlvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8225 },
#else
    { 0, output_8225, 0 },
#endif
    { 0 },
    &operand_data[11203],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4906 */
  {
    "*post_ra_v_ashlvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8226 },
#else
    { 0, output_8226, 0 },
#endif
    { 0 },
    &operand_data[11206],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4906 */
  {
    "*post_ra_v_ashlvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8227 },
#else
    { 0, output_8227, 0 },
#endif
    { 0 },
    &operand_data[11209],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4906 */
  {
    "*post_ra_v_ashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8228 },
#else
    { 0, output_8228, 0 },
#endif
    { 0 },
    &operand_data[11212],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4906 */
  {
    "*post_ra_v_ashlvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8229 },
#else
    { 0, output_8229, 0 },
#endif
    { 0 },
    &operand_data[11215],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4906 */
  {
    "*post_ra_v_ashlvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8230 },
#else
    { 0, output_8230, 0 },
#endif
    { 0 },
    &operand_data[11218],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4906 */
  {
    "*post_ra_v_ashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8231 },
#else
    { 0, output_8231, 0 },
#endif
    { 0 },
    &operand_data[11221],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4906 */
  {
    "*post_ra_v_ashlvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8232 },
#else
    { 0, output_8232, 0 },
#endif
    { 0 },
    &operand_data[11224],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4906 */
  {
    "*post_ra_v_ashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8233 },
#else
    { 0, output_8233, 0 },
#endif
    { 0 },
    &operand_data[11227],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_ashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11230],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_lshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11230],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_ashrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11233],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_lshrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11233],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_ashrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11236],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_lshrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11236],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_ashrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11239],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_lshrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11239],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_ashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11242],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_lshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11242],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_ashrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11245],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_lshrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11245],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_ashrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11248],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_lshrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11248],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_ashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11251],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_lshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11251],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_ashrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11254],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_lshrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11254],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_ashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4918 */
  {
    "*post_ra_v_lshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.d, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11257],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashlvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8254 },
#else
    { 0, output_8254, 0 },
#endif
    { 0 },
    &operand_data[11260],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashrvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8255 },
#else
    { 0, output_8255, 0 },
#endif
    { 0 },
    &operand_data[11264],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lshrvnx16qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8256 },
#else
    { 0, output_8256, 0 },
#endif
    { 0 },
    &operand_data[11264],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashlvnx8qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8257 },
#else
    { 0, output_8257, 0 },
#endif
    { 0 },
    &operand_data[11268],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashrvnx8qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8258 },
#else
    { 0, output_8258, 0 },
#endif
    { 0 },
    &operand_data[11272],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lshrvnx8qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8259 },
#else
    { 0, output_8259, 0 },
#endif
    { 0 },
    &operand_data[11272],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashlvnx4qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8260 },
#else
    { 0, output_8260, 0 },
#endif
    { 0 },
    &operand_data[11276],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashrvnx4qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8261 },
#else
    { 0, output_8261, 0 },
#endif
    { 0 },
    &operand_data[11280],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lshrvnx4qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8262 },
#else
    { 0, output_8262, 0 },
#endif
    { 0 },
    &operand_data[11280],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashlvnx2qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8263 },
#else
    { 0, output_8263, 0 },
#endif
    { 0 },
    &operand_data[11284],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashrvnx2qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8264 },
#else
    { 0, output_8264, 0 },
#endif
    { 0 },
    &operand_data[11288],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lshrvnx2qi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8265 },
#else
    { 0, output_8265, 0 },
#endif
    { 0 },
    &operand_data[11288],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashlvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8266 },
#else
    { 0, output_8266, 0 },
#endif
    { 0 },
    &operand_data[11292],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashrvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8267 },
#else
    { 0, output_8267, 0 },
#endif
    { 0 },
    &operand_data[11296],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lshrvnx8hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8268 },
#else
    { 0, output_8268, 0 },
#endif
    { 0 },
    &operand_data[11296],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashlvnx4hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8269 },
#else
    { 0, output_8269, 0 },
#endif
    { 0 },
    &operand_data[11300],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashrvnx4hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8270 },
#else
    { 0, output_8270, 0 },
#endif
    { 0 },
    &operand_data[11304],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lshrvnx4hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8271 },
#else
    { 0, output_8271, 0 },
#endif
    { 0 },
    &operand_data[11304],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashlvnx2hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8272 },
#else
    { 0, output_8272, 0 },
#endif
    { 0 },
    &operand_data[11308],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashrvnx2hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8273 },
#else
    { 0, output_8273, 0 },
#endif
    { 0 },
    &operand_data[11312],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lshrvnx2hi_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8274 },
#else
    { 0, output_8274, 0 },
#endif
    { 0 },
    &operand_data[11312],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashlvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8275 },
#else
    { 0, output_8275, 0 },
#endif
    { 0 },
    &operand_data[11316],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashrvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8276 },
#else
    { 0, output_8276, 0 },
#endif
    { 0 },
    &operand_data[11320],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lshrvnx4si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8277 },
#else
    { 0, output_8277, 0 },
#endif
    { 0 },
    &operand_data[11320],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashlvnx2si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8278 },
#else
    { 0, output_8278, 0 },
#endif
    { 0 },
    &operand_data[11324],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashrvnx2si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8279 },
#else
    { 0, output_8279, 0 },
#endif
    { 0 },
    &operand_data[11328],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lshrvnx2si_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8280 },
#else
    { 0, output_8280, 0 },
#endif
    { 0 },
    &operand_data[11328],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashlvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8281 },
#else
    { 0, output_8281, 0 },
#endif
    { 0 },
    &operand_data[11332],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_ashrvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8282 },
#else
    { 0, output_8282, 0 },
#endif
    { 0 },
    &operand_data[11336],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4928 */
  {
    "*cond_lshrvnx2di_2_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8283 },
#else
    { 0, output_8283, 0 },
#endif
    { 0 },
    &operand_data[11336],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashlvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8284 },
#else
    { 0, output_8284, 0 },
#endif
    { 0 },
    &operand_data[11340],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashrvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8285 },
#else
    { 0, output_8285, 0 },
#endif
    { 0 },
    &operand_data[11345],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_lshrvnx16qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8286 },
#else
    { 0, output_8286, 0 },
#endif
    { 0 },
    &operand_data[11345],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashlvnx8qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8287 },
#else
    { 0, output_8287, 0 },
#endif
    { 0 },
    &operand_data[11350],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashrvnx8qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8288 },
#else
    { 0, output_8288, 0 },
#endif
    { 0 },
    &operand_data[11355],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_lshrvnx8qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8289 },
#else
    { 0, output_8289, 0 },
#endif
    { 0 },
    &operand_data[11355],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashlvnx4qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8290 },
#else
    { 0, output_8290, 0 },
#endif
    { 0 },
    &operand_data[11360],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashrvnx4qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8291 },
#else
    { 0, output_8291, 0 },
#endif
    { 0 },
    &operand_data[11365],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_lshrvnx4qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8292 },
#else
    { 0, output_8292, 0 },
#endif
    { 0 },
    &operand_data[11365],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashlvnx2qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8293 },
#else
    { 0, output_8293, 0 },
#endif
    { 0 },
    &operand_data[11370],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashrvnx2qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8294 },
#else
    { 0, output_8294, 0 },
#endif
    { 0 },
    &operand_data[11375],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_lshrvnx2qi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8295 },
#else
    { 0, output_8295, 0 },
#endif
    { 0 },
    &operand_data[11375],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashlvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8296 },
#else
    { 0, output_8296, 0 },
#endif
    { 0 },
    &operand_data[11380],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashrvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8297 },
#else
    { 0, output_8297, 0 },
#endif
    { 0 },
    &operand_data[11385],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_lshrvnx8hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8298 },
#else
    { 0, output_8298, 0 },
#endif
    { 0 },
    &operand_data[11385],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashlvnx4hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8299 },
#else
    { 0, output_8299, 0 },
#endif
    { 0 },
    &operand_data[11390],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashrvnx4hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8300 },
#else
    { 0, output_8300, 0 },
#endif
    { 0 },
    &operand_data[11395],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_lshrvnx4hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8301 },
#else
    { 0, output_8301, 0 },
#endif
    { 0 },
    &operand_data[11395],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashlvnx2hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8302 },
#else
    { 0, output_8302, 0 },
#endif
    { 0 },
    &operand_data[11400],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashrvnx2hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8303 },
#else
    { 0, output_8303, 0 },
#endif
    { 0 },
    &operand_data[11405],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_lshrvnx2hi_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8304 },
#else
    { 0, output_8304, 0 },
#endif
    { 0 },
    &operand_data[11405],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashlvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8305 },
#else
    { 0, output_8305, 0 },
#endif
    { 0 },
    &operand_data[11410],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashrvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8306 },
#else
    { 0, output_8306, 0 },
#endif
    { 0 },
    &operand_data[11415],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_lshrvnx4si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8307 },
#else
    { 0, output_8307, 0 },
#endif
    { 0 },
    &operand_data[11415],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashlvnx2si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8308 },
#else
    { 0, output_8308, 0 },
#endif
    { 0 },
    &operand_data[11420],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashrvnx2si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8309 },
#else
    { 0, output_8309, 0 },
#endif
    { 0 },
    &operand_data[11425],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_lshrvnx2si_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8310 },
#else
    { 0, output_8310, 0 },
#endif
    { 0 },
    &operand_data[11425],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashlvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8311 },
#else
    { 0, output_8311, 0 },
#endif
    { 0 },
    &operand_data[11430],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_ashrvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8312 },
#else
    { 0, output_8312, 0 },
#endif
    { 0 },
    &operand_data[11435],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4945 */
  {
    "*cond_lshrvnx2di_any_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8313 },
#else
    { 0, output_8313, 0 },
#endif
    { 0 },
    &operand_data[11435],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4972 */
  {
    "aarch64_sve_lslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx16qi },
    &operand_data[11440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4972 */
  {
    "aarch64_sve_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx16qi },
    &operand_data[11440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4972 */
  {
    "aarch64_sve_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.b, %1.b, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx16qi },
    &operand_data[11440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4972 */
  {
    "aarch64_sve_lslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx8hi },
    &operand_data[11443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4972 */
  {
    "aarch64_sve_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx8hi },
    &operand_data[11443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4972 */
  {
    "aarch64_sve_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.h, %1.h, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx8hi },
    &operand_data[11443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4972 */
  {
    "aarch64_sve_lslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsl\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lslvnx4si },
    &operand_data[11446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4972 */
  {
    "aarch64_sve_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "asr\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_asrvnx4si },
    &operand_data[11446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4972 */
  {
    "aarch64_sve_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "lsr\t%0.s, %1.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_lsrvnx4si },
    &operand_data[11446],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4998 */
  {
    "*cond_lslvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8323 },
#else
    { 0, output_8323, 0 },
#endif
    { 0 },
    &operand_data[11449],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4998 */
  {
    "*cond_asrvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8324 },
#else
    { 0, output_8324, 0 },
#endif
    { 0 },
    &operand_data[11449],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4998 */
  {
    "*cond_lsrvnx16qi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8325 },
#else
    { 0, output_8325, 0 },
#endif
    { 0 },
    &operand_data[11449],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4998 */
  {
    "*cond_lslvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8326 },
#else
    { 0, output_8326, 0 },
#endif
    { 0 },
    &operand_data[11453],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4998 */
  {
    "*cond_asrvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8327 },
#else
    { 0, output_8327, 0 },
#endif
    { 0 },
    &operand_data[11453],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4998 */
  {
    "*cond_lsrvnx8hi_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8328 },
#else
    { 0, output_8328, 0 },
#endif
    { 0 },
    &operand_data[11453],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4998 */
  {
    "*cond_lslvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8329 },
#else
    { 0, output_8329, 0 },
#endif
    { 0 },
    &operand_data[11457],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4998 */
  {
    "*cond_asrvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8330 },
#else
    { 0, output_8330, 0 },
#endif
    { 0 },
    &operand_data[11457],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4998 */
  {
    "*cond_lsrvnx4si_m",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8331 },
#else
    { 0, output_8331, 0 },
#endif
    { 0 },
    &operand_data[11457],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5016 */
  {
    "*cond_lslvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8332 },
#else
    { 0, output_8332, 0 },
#endif
    { 0 },
    &operand_data[11461],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5016 */
  {
    "*cond_asrvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8333 },
#else
    { 0, output_8333, 0 },
#endif
    { 0 },
    &operand_data[11461],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5016 */
  {
    "*cond_lsrvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8334 },
#else
    { 0, output_8334, 0 },
#endif
    { 0 },
    &operand_data[11461],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5016 */
  {
    "*cond_lslvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8335 },
#else
    { 0, output_8335, 0 },
#endif
    { 0 },
    &operand_data[11466],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5016 */
  {
    "*cond_asrvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8336 },
#else
    { 0, output_8336, 0 },
#endif
    { 0 },
    &operand_data[11466],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5016 */
  {
    "*cond_lsrvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8337 },
#else
    { 0, output_8337, 0 },
#endif
    { 0 },
    &operand_data[11466],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5016 */
  {
    "*cond_lslvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8338 },
#else
    { 0, output_8338, 0 },
#endif
    { 0 },
    &operand_data[11471],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5016 */
  {
    "*cond_asrvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8339 },
#else
    { 0, output_8339, 0 },
#endif
    { 0 },
    &operand_data[11471],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5016 */
  {
    "*cond_lsrvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8340 },
#else
    { 0, output_8340, 0 },
#endif
    { 0 },
    &operand_data[11471],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8341 },
#else
    { 0, output_8341, 0 },
#endif
    { 0 },
    &operand_data[11264],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2vnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8342 },
#else
    { 0, output_8342, 0 },
#endif
    { 0 },
    &operand_data[11272],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2vnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8343 },
#else
    { 0, output_8343, 0 },
#endif
    { 0 },
    &operand_data[11280],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2vnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8344 },
#else
    { 0, output_8344, 0 },
#endif
    { 0 },
    &operand_data[11288],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8345 },
#else
    { 0, output_8345, 0 },
#endif
    { 0 },
    &operand_data[11296],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2vnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8346 },
#else
    { 0, output_8346, 0 },
#endif
    { 0 },
    &operand_data[11304],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2vnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8347 },
#else
    { 0, output_8347, 0 },
#endif
    { 0 },
    &operand_data[11312],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8348 },
#else
    { 0, output_8348, 0 },
#endif
    { 0 },
    &operand_data[11320],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2vnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8349 },
#else
    { 0, output_8349, 0 },
#endif
    { 0 },
    &operand_data[11328],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8350 },
#else
    { 0, output_8350, 0 },
#endif
    { 0 },
    &operand_data[11336],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2v8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8351 },
#else
    { 0, output_8351, 0 },
#endif
    { 0 },
    &operand_data[11476],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2v16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8352 },
#else
    { 0, output_8352, 0 },
#endif
    { 0 },
    &operand_data[11480],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2v4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8353 },
#else
    { 0, output_8353, 0 },
#endif
    { 0 },
    &operand_data[11484],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2v8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8354 },
#else
    { 0, output_8354, 0 },
#endif
    { 0 },
    &operand_data[11488],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2v2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8355 },
#else
    { 0, output_8355, 0 },
#endif
    { 0 },
    &operand_data[11492],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2v4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8356 },
#else
    { 0, output_8356, 0 },
#endif
    { 0 },
    &operand_data[11496],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2v2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8357 },
#else
    { 0, output_8357, 0 },
#endif
    { 0 },
    &operand_data[11500],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5060 */
  {
    "*sdiv_pow2v1di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8358 },
#else
    { 0, output_8358, 0 },
#endif
    { 0 },
    &operand_data[11504],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_asrdvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8359 },
#else
    { 0, output_8359, 0 },
#endif
    { 0 },
    &operand_data[11508],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_sqshluvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8360 },
#else
    { 0, output_8360, 0 },
#endif
    { 0 },
    &operand_data[11513],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_srshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8361 },
#else
    { 0, output_8361, 0 },
#endif
    { 0 },
    &operand_data[11508],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_urshrvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8362 },
#else
    { 0, output_8362, 0 },
#endif
    { 0 },
    &operand_data[11508],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_asrdvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8363 },
#else
    { 0, output_8363, 0 },
#endif
    { 0 },
    &operand_data[11518],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_sqshluvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8364 },
#else
    { 0, output_8364, 0 },
#endif
    { 0 },
    &operand_data[11523],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_srshrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8365 },
#else
    { 0, output_8365, 0 },
#endif
    { 0 },
    &operand_data[11518],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_urshrvnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8366 },
#else
    { 0, output_8366, 0 },
#endif
    { 0 },
    &operand_data[11518],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_asrdvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8367 },
#else
    { 0, output_8367, 0 },
#endif
    { 0 },
    &operand_data[11528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_sqshluvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8368 },
#else
    { 0, output_8368, 0 },
#endif
    { 0 },
    &operand_data[11533],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_srshrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8369 },
#else
    { 0, output_8369, 0 },
#endif
    { 0 },
    &operand_data[11528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_urshrvnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8370 },
#else
    { 0, output_8370, 0 },
#endif
    { 0 },
    &operand_data[11528],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_asrdvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8371 },
#else
    { 0, output_8371, 0 },
#endif
    { 0 },
    &operand_data[11538],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_sqshluvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8372 },
#else
    { 0, output_8372, 0 },
#endif
    { 0 },
    &operand_data[11543],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_srshrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8373 },
#else
    { 0, output_8373, 0 },
#endif
    { 0 },
    &operand_data[11538],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_urshrvnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8374 },
#else
    { 0, output_8374, 0 },
#endif
    { 0 },
    &operand_data[11538],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_asrdvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8375 },
#else
    { 0, output_8375, 0 },
#endif
    { 0 },
    &operand_data[11548],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_sqshluvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8376 },
#else
    { 0, output_8376, 0 },
#endif
    { 0 },
    &operand_data[11553],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_srshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8377 },
#else
    { 0, output_8377, 0 },
#endif
    { 0 },
    &operand_data[11548],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_urshrvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8378 },
#else
    { 0, output_8378, 0 },
#endif
    { 0 },
    &operand_data[11548],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_asrdvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8379 },
#else
    { 0, output_8379, 0 },
#endif
    { 0 },
    &operand_data[11558],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_sqshluvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8380 },
#else
    { 0, output_8380, 0 },
#endif
    { 0 },
    &operand_data[11563],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_srshrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8381 },
#else
    { 0, output_8381, 0 },
#endif
    { 0 },
    &operand_data[11558],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_urshrvnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8382 },
#else
    { 0, output_8382, 0 },
#endif
    { 0 },
    &operand_data[11558],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_asrdvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8383 },
#else
    { 0, output_8383, 0 },
#endif
    { 0 },
    &operand_data[11568],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_sqshluvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8384 },
#else
    { 0, output_8384, 0 },
#endif
    { 0 },
    &operand_data[11573],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_srshrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8385 },
#else
    { 0, output_8385, 0 },
#endif
    { 0 },
    &operand_data[11568],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_urshrvnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8386 },
#else
    { 0, output_8386, 0 },
#endif
    { 0 },
    &operand_data[11568],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_asrdvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8387 },
#else
    { 0, output_8387, 0 },
#endif
    { 0 },
    &operand_data[11578],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_sqshluvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8388 },
#else
    { 0, output_8388, 0 },
#endif
    { 0 },
    &operand_data[11583],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_srshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8389 },
#else
    { 0, output_8389, 0 },
#endif
    { 0 },
    &operand_data[11578],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_urshrvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8390 },
#else
    { 0, output_8390, 0 },
#endif
    { 0 },
    &operand_data[11578],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_asrdvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8391 },
#else
    { 0, output_8391, 0 },
#endif
    { 0 },
    &operand_data[11588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_sqshluvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8392 },
#else
    { 0, output_8392, 0 },
#endif
    { 0 },
    &operand_data[11593],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_srshrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8393 },
#else
    { 0, output_8393, 0 },
#endif
    { 0 },
    &operand_data[11588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_urshrvnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8394 },
#else
    { 0, output_8394, 0 },
#endif
    { 0 },
    &operand_data[11588],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_asrdvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8395 },
#else
    { 0, output_8395, 0 },
#endif
    { 0 },
    &operand_data[11598],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_sqshluvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8396 },
#else
    { 0, output_8396, 0 },
#endif
    { 0 },
    &operand_data[11603],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_srshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8397 },
#else
    { 0, output_8397, 0 },
#endif
    { 0 },
    &operand_data[11598],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5097 */
  {
    "*cond_urshrvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8398 },
#else
    { 0, output_8398, 0 },
#endif
    { 0 },
    &operand_data[11598],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_asrdvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8399 },
#else
    { 0, output_8399, 0 },
#endif
    { 0 },
    &operand_data[11608],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_sqshluvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8400 },
#else
    { 0, output_8400, 0 },
#endif
    { 0 },
    &operand_data[11614],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_srshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8401 },
#else
    { 0, output_8401, 0 },
#endif
    { 0 },
    &operand_data[11608],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_urshrvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8402 },
#else
    { 0, output_8402, 0 },
#endif
    { 0 },
    &operand_data[11608],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_asrdvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8403 },
#else
    { 0, output_8403, 0 },
#endif
    { 0 },
    &operand_data[11620],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_sqshluvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8404 },
#else
    { 0, output_8404, 0 },
#endif
    { 0 },
    &operand_data[11626],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_srshrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8405 },
#else
    { 0, output_8405, 0 },
#endif
    { 0 },
    &operand_data[11620],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_urshrvnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8406 },
#else
    { 0, output_8406, 0 },
#endif
    { 0 },
    &operand_data[11620],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_asrdvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8407 },
#else
    { 0, output_8407, 0 },
#endif
    { 0 },
    &operand_data[11632],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_sqshluvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8408 },
#else
    { 0, output_8408, 0 },
#endif
    { 0 },
    &operand_data[11638],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_srshrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8409 },
#else
    { 0, output_8409, 0 },
#endif
    { 0 },
    &operand_data[11632],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_urshrvnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8410 },
#else
    { 0, output_8410, 0 },
#endif
    { 0 },
    &operand_data[11632],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_asrdvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8411 },
#else
    { 0, output_8411, 0 },
#endif
    { 0 },
    &operand_data[11644],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_sqshluvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8412 },
#else
    { 0, output_8412, 0 },
#endif
    { 0 },
    &operand_data[11650],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_srshrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8413 },
#else
    { 0, output_8413, 0 },
#endif
    { 0 },
    &operand_data[11644],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_urshrvnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8414 },
#else
    { 0, output_8414, 0 },
#endif
    { 0 },
    &operand_data[11644],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_asrdvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8415 },
#else
    { 0, output_8415, 0 },
#endif
    { 0 },
    &operand_data[11656],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_sqshluvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8416 },
#else
    { 0, output_8416, 0 },
#endif
    { 0 },
    &operand_data[11662],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_srshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8417 },
#else
    { 0, output_8417, 0 },
#endif
    { 0 },
    &operand_data[11656],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_urshrvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8418 },
#else
    { 0, output_8418, 0 },
#endif
    { 0 },
    &operand_data[11656],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_asrdvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8419 },
#else
    { 0, output_8419, 0 },
#endif
    { 0 },
    &operand_data[11668],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_sqshluvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8420 },
#else
    { 0, output_8420, 0 },
#endif
    { 0 },
    &operand_data[11674],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_srshrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8421 },
#else
    { 0, output_8421, 0 },
#endif
    { 0 },
    &operand_data[11668],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_urshrvnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8422 },
#else
    { 0, output_8422, 0 },
#endif
    { 0 },
    &operand_data[11668],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_asrdvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8423 },
#else
    { 0, output_8423, 0 },
#endif
    { 0 },
    &operand_data[11680],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_sqshluvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8424 },
#else
    { 0, output_8424, 0 },
#endif
    { 0 },
    &operand_data[11686],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_srshrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8425 },
#else
    { 0, output_8425, 0 },
#endif
    { 0 },
    &operand_data[11680],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_urshrvnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8426 },
#else
    { 0, output_8426, 0 },
#endif
    { 0 },
    &operand_data[11680],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_asrdvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8427 },
#else
    { 0, output_8427, 0 },
#endif
    { 0 },
    &operand_data[11692],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_sqshluvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8428 },
#else
    { 0, output_8428, 0 },
#endif
    { 0 },
    &operand_data[11698],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_srshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8429 },
#else
    { 0, output_8429, 0 },
#endif
    { 0 },
    &operand_data[11692],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_urshrvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8430 },
#else
    { 0, output_8430, 0 },
#endif
    { 0 },
    &operand_data[11692],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_asrdvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8431 },
#else
    { 0, output_8431, 0 },
#endif
    { 0 },
    &operand_data[11704],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_sqshluvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8432 },
#else
    { 0, output_8432, 0 },
#endif
    { 0 },
    &operand_data[11710],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_srshrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8433 },
#else
    { 0, output_8433, 0 },
#endif
    { 0 },
    &operand_data[11704],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_urshrvnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8434 },
#else
    { 0, output_8434, 0 },
#endif
    { 0 },
    &operand_data[11704],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_asrdvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8435 },
#else
    { 0, output_8435, 0 },
#endif
    { 0 },
    &operand_data[11716],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_sqshluvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8436 },
#else
    { 0, output_8436, 0 },
#endif
    { 0 },
    &operand_data[11722],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_srshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8437 },
#else
    { 0, output_8437, 0 },
#endif
    { 0 },
    &operand_data[11716],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5122 */
  {
    "*cond_urshrvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8438 },
#else
    { 0, output_8438, 0 },
#endif
    { 0 },
    &operand_data[11716],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5178 */
  {
    "aarch64_sve_ftsmulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx8hf },
    &operand_data[11728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5178 */
  {
    "aarch64_sve_ftsselvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx8hf },
    &operand_data[11728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5178 */
  {
    "aarch64_sve_ftsmulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx4sf },
    &operand_data[11731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5178 */
  {
    "aarch64_sve_ftsselvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx4sf },
    &operand_data[11731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5178 */
  {
    "aarch64_sve_ftsmulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftsmul\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsmulvnx2df },
    &operand_data[11734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5178 */
  {
    "aarch64_sve_ftsselvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ftssel\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ftsselvnx2df },
    &operand_data[11734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5190 */
  {
    "aarch64_pred_fscalevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8445 },
#else
    { 0, output_8445, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx8hf },
    &operand_data[11737],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5190 */
  {
    "aarch64_pred_fscalevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8446 },
#else
    { 0, output_8446, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx4sf },
    &operand_data[11742],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5190 */
  {
    "aarch64_pred_fscalevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8447 },
#else
    { 0, output_8447, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalevnx2df },
    &operand_data[11747],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5190 */
  {
    "aarch64_pred_fscalehf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8448 },
#else
    { 0, output_8448, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalehf },
    &operand_data[11752],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5190 */
  {
    "aarch64_pred_fscalesf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8449 },
#else
    { 0, output_8449, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscalesf },
    &operand_data[11757],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5190 */
  {
    "aarch64_pred_fscaledf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8450 },
#else
    { 0, output_8450, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fscaledf },
    &operand_data[11762],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5224 */
  {
    "*cond_fscalevnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8451 },
#else
    { 0, output_8451, 0 },
#endif
    { 0 },
    &operand_data[11767],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5224 */
  {
    "*cond_fscalevnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8452 },
#else
    { 0, output_8452, 0 },
#endif
    { 0 },
    &operand_data[11772],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5224 */
  {
    "*cond_fscalevnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8453 },
#else
    { 0, output_8453, 0 },
#endif
    { 0 },
    &operand_data[11777],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5247 */
  {
    "*cond_fscalevnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8454 },
#else
    { 0, output_8454, 0 },
#endif
    { 0 },
    &operand_data[11737],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5247 */
  {
    "*cond_fscalevnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8455 },
#else
    { 0, output_8455, 0 },
#endif
    { 0 },
    &operand_data[11742],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5247 */
  {
    "*cond_fscalevnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8456 },
#else
    { 0, output_8456, 0 },
#endif
    { 0 },
    &operand_data[11747],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5269 */
  {
    "*cond_fscalevnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8457 },
#else
    { 0, output_8457, 0 },
#endif
    { 0 },
    &operand_data[11782],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5269 */
  {
    "*cond_fscalevnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8458 },
#else
    { 0, output_8458, 0 },
#endif
    { 0 },
    &operand_data[11788],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5269 */
  {
    "*cond_fscalevnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8459 },
#else
    { 0, output_8459, 0 },
#endif
    { 0 },
    &operand_data[11794],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5306 */
  {
    "*cond_fscalevnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8460 },
#else
    { 0, output_8460, 0 },
#endif
    { 0 },
    &operand_data[11782],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5306 */
  {
    "*cond_fscalevnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8461 },
#else
    { 0, output_8461, 0 },
#endif
    { 0 },
    &operand_data[11788],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5306 */
  {
    "*cond_fscalevnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8462 },
#else
    { 0, output_8462, 0 },
#endif
    { 0 },
    &operand_data[11794],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5367 */
  {
    "*post_ra_faddvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfadd\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5367 */
  {
    "*post_ra_fsubvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfsub\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5367 */
  {
    "*post_ra_fmulvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmul\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5367 */
  {
    "*post_ra_faddvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5367 */
  {
    "*post_ra_fsubvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5367 */
  {
    "*post_ra_fmulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5367 */
  {
    "*post_ra_faddvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5367 */
  {
    "*post_ra_fsubvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5367 */
  {
    "*post_ra_fmulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5367 */
  {
    "*post_ra_faddvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5367 */
  {
    "*post_ra_fsubvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5367 */
  {
    "*post_ra_fmulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5402 */
  {
    "aarch64_sve_frecpsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5402 */
  {
    "aarch64_sve_frsqrtsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5402 */
  {
    "aarch64_sve_frecpsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5402 */
  {
    "aarch64_sve_frsqrtsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5402 */
  {
    "aarch64_sve_frecpsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frecps\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frecpsvnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5402 */
  {
    "aarch64_sve_frsqrtsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frsqrts\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_frsqrtsvnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5429 */
  {
    "aarch64_pred_famaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8481 },
#else
    { 0, output_8481, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_famaxvnx8hf },
    &operand_data[11812],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5429 */
  {
    "aarch64_pred_faminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8482 },
#else
    { 0, output_8482, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faminvnx8hf },
    &operand_data[11812],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5429 */
  {
    "aarch64_pred_divvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8483 },
#else
    { 0, output_8483, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx8hf },
    &operand_data[11812],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5429 */
  {
    "aarch64_pred_mulxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8484 },
#else
    { 0, output_8484, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx8hf },
    &operand_data[11812],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5429 */
  {
    "aarch64_pred_famaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8485 },
#else
    { 0, output_8485, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_famaxvnx4sf },
    &operand_data[11817],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5429 */
  {
    "aarch64_pred_faminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8486 },
#else
    { 0, output_8486, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faminvnx4sf },
    &operand_data[11817],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5429 */
  {
    "aarch64_pred_divvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8487 },
#else
    { 0, output_8487, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx4sf },
    &operand_data[11817],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5429 */
  {
    "aarch64_pred_mulxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8488 },
#else
    { 0, output_8488, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx4sf },
    &operand_data[11817],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5429 */
  {
    "aarch64_pred_famaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8489 },
#else
    { 0, output_8489, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_famaxvnx2df },
    &operand_data[11822],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5429 */
  {
    "aarch64_pred_faminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8490 },
#else
    { 0, output_8490, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faminvnx2df },
    &operand_data[11822],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5429 */
  {
    "aarch64_pred_divvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8491 },
#else
    { 0, output_8491, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_divvnx2df },
    &operand_data[11822],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5429 */
  {
    "aarch64_pred_mulxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8492 },
#else
    { 0, output_8492, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx2df },
    &operand_data[11822],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_addvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8493 },
#else
    { 0, output_8493, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_famaxvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8494 },
#else
    { 0, output_8494, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_faminvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8495 },
#else
    { 0, output_8495, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_divvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8496 },
#else
    { 0, output_8496, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fmax_nanvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8497 },
#else
    { 0, output_8497, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fmaxvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8498 },
#else
    { 0, output_8498, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fmin_nanvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8499 },
#else
    { 0, output_8499, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fminvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8500 },
#else
    { 0, output_8500, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_mulvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8501 },
#else
    { 0, output_8501, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_mulxvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8502 },
#else
    { 0, output_8502, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_subvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8503 },
#else
    { 0, output_8503, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_smaxvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8504 },
#else
    { 0, output_8504, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_sminvnx8bf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8505 },
#else
    { 0, output_8505, 0 },
#endif
    { 0 },
    &operand_data[11827],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_addvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8506 },
#else
    { 0, output_8506, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_famaxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8507 },
#else
    { 0, output_8507, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_faminvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8508 },
#else
    { 0, output_8508, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_divvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8509 },
#else
    { 0, output_8509, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fmax_nanvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8510 },
#else
    { 0, output_8510, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fmaxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8511 },
#else
    { 0, output_8511, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fmin_nanvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8512 },
#else
    { 0, output_8512, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fminvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8513 },
#else
    { 0, output_8513, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_mulvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8514 },
#else
    { 0, output_8514, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_mulxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8515 },
#else
    { 0, output_8515, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_subvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8516 },
#else
    { 0, output_8516, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_smaxvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8517 },
#else
    { 0, output_8517, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_sminvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8518 },
#else
    { 0, output_8518, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_addvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8519 },
#else
    { 0, output_8519, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_famaxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8520 },
#else
    { 0, output_8520, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_faminvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8521 },
#else
    { 0, output_8521, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_divvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8522 },
#else
    { 0, output_8522, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fmax_nanvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8523 },
#else
    { 0, output_8523, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fmaxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8524 },
#else
    { 0, output_8524, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fmin_nanvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8525 },
#else
    { 0, output_8525, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fminvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8526 },
#else
    { 0, output_8526, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_mulvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8527 },
#else
    { 0, output_8527, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_mulxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8528 },
#else
    { 0, output_8528, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_subvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8529 },
#else
    { 0, output_8529, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_smaxvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8530 },
#else
    { 0, output_8530, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_sminvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8531 },
#else
    { 0, output_8531, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_addvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8532 },
#else
    { 0, output_8532, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_famaxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8533 },
#else
    { 0, output_8533, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_faminvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8534 },
#else
    { 0, output_8534, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_divvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8535 },
#else
    { 0, output_8535, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fmax_nanvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8536 },
#else
    { 0, output_8536, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fmaxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8537 },
#else
    { 0, output_8537, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fmin_nanvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8538 },
#else
    { 0, output_8538, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_fminvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8539 },
#else
    { 0, output_8539, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_mulvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8540 },
#else
    { 0, output_8540, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_mulxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8541 },
#else
    { 0, output_8541, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_subvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8542 },
#else
    { 0, output_8542, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_smaxvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8543 },
#else
    { 0, output_8543, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5462 */
  {
    "*cond_sminvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8544 },
#else
    { 0, output_8544, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_addvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8545 },
#else
    { 0, output_8545, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_famaxvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8546 },
#else
    { 0, output_8546, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_faminvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8547 },
#else
    { 0, output_8547, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_divvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8548 },
#else
    { 0, output_8548, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fmax_nanvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8549 },
#else
    { 0, output_8549, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fmaxvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8550 },
#else
    { 0, output_8550, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fmin_nanvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8551 },
#else
    { 0, output_8551, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fminvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8552 },
#else
    { 0, output_8552, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_mulvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8553 },
#else
    { 0, output_8553, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_mulxvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8554 },
#else
    { 0, output_8554, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_subvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8555 },
#else
    { 0, output_8555, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_smaxvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8556 },
#else
    { 0, output_8556, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_sminvnx8bf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8557 },
#else
    { 0, output_8557, 0 },
#endif
    { 0 },
    &operand_data[11827],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_addvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8558 },
#else
    { 0, output_8558, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_famaxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8559 },
#else
    { 0, output_8559, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_faminvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8560 },
#else
    { 0, output_8560, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_divvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8561 },
#else
    { 0, output_8561, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fmax_nanvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8562 },
#else
    { 0, output_8562, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fmaxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8563 },
#else
    { 0, output_8563, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fmin_nanvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8564 },
#else
    { 0, output_8564, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fminvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8565 },
#else
    { 0, output_8565, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_mulvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8566 },
#else
    { 0, output_8566, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_mulxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8567 },
#else
    { 0, output_8567, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_subvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8568 },
#else
    { 0, output_8568, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_smaxvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8569 },
#else
    { 0, output_8569, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_sminvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8570 },
#else
    { 0, output_8570, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_addvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8571 },
#else
    { 0, output_8571, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_famaxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8572 },
#else
    { 0, output_8572, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_faminvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8573 },
#else
    { 0, output_8573, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_divvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8574 },
#else
    { 0, output_8574, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fmax_nanvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8575 },
#else
    { 0, output_8575, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fmaxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8576 },
#else
    { 0, output_8576, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fmin_nanvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8577 },
#else
    { 0, output_8577, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fminvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8578 },
#else
    { 0, output_8578, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_mulvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8579 },
#else
    { 0, output_8579, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_mulxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8580 },
#else
    { 0, output_8580, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_subvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8581 },
#else
    { 0, output_8581, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_smaxvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8582 },
#else
    { 0, output_8582, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_sminvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8583 },
#else
    { 0, output_8583, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_addvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8584 },
#else
    { 0, output_8584, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_famaxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8585 },
#else
    { 0, output_8585, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_faminvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8586 },
#else
    { 0, output_8586, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_divvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8587 },
#else
    { 0, output_8587, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fmax_nanvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8588 },
#else
    { 0, output_8588, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fmaxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8589 },
#else
    { 0, output_8589, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fmin_nanvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8590 },
#else
    { 0, output_8590, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_fminvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8591 },
#else
    { 0, output_8591, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_mulvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8592 },
#else
    { 0, output_8592, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_mulxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8593 },
#else
    { 0, output_8593, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_subvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8594 },
#else
    { 0, output_8594, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_smaxvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8595 },
#else
    { 0, output_8595, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5485 */
  {
    "*cond_sminvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8596 },
#else
    { 0, output_8596, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_fmax_nanvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8597 },
#else
    { 0, output_8597, 0 },
#endif
    { 0 },
    &operand_data[11847],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_fmaxvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8598 },
#else
    { 0, output_8598, 0 },
#endif
    { 0 },
    &operand_data[11847],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_fmin_nanvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8599 },
#else
    { 0, output_8599, 0 },
#endif
    { 0 },
    &operand_data[11847],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_fminvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8600 },
#else
    { 0, output_8600, 0 },
#endif
    { 0 },
    &operand_data[11847],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_mulvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8601 },
#else
    { 0, output_8601, 0 },
#endif
    { 0 },
    &operand_data[11852],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_smaxvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8602 },
#else
    { 0, output_8602, 0 },
#endif
    { 0 },
    &operand_data[11847],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_sminvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8603 },
#else
    { 0, output_8603, 0 },
#endif
    { 0 },
    &operand_data[11847],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_fmax_nanvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8604 },
#else
    { 0, output_8604, 0 },
#endif
    { 0 },
    &operand_data[11857],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_fmaxvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8605 },
#else
    { 0, output_8605, 0 },
#endif
    { 0 },
    &operand_data[11857],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_fmin_nanvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8606 },
#else
    { 0, output_8606, 0 },
#endif
    { 0 },
    &operand_data[11857],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_fminvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8607 },
#else
    { 0, output_8607, 0 },
#endif
    { 0 },
    &operand_data[11857],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_mulvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8608 },
#else
    { 0, output_8608, 0 },
#endif
    { 0 },
    &operand_data[11862],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_smaxvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8609 },
#else
    { 0, output_8609, 0 },
#endif
    { 0 },
    &operand_data[11857],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_sminvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8610 },
#else
    { 0, output_8610, 0 },
#endif
    { 0 },
    &operand_data[11857],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_fmax_nanvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8611 },
#else
    { 0, output_8611, 0 },
#endif
    { 0 },
    &operand_data[11867],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_fmaxvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8612 },
#else
    { 0, output_8612, 0 },
#endif
    { 0 },
    &operand_data[11867],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_fmin_nanvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8613 },
#else
    { 0, output_8613, 0 },
#endif
    { 0 },
    &operand_data[11867],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_fminvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8614 },
#else
    { 0, output_8614, 0 },
#endif
    { 0 },
    &operand_data[11867],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_mulvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8615 },
#else
    { 0, output_8615, 0 },
#endif
    { 0 },
    &operand_data[11872],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_smaxvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8616 },
#else
    { 0, output_8616, 0 },
#endif
    { 0 },
    &operand_data[11867],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5505 */
  {
    "*cond_sminvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8617 },
#else
    { 0, output_8617, 0 },
#endif
    { 0 },
    &operand_data[11867],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_fmax_nanvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8618 },
#else
    { 0, output_8618, 0 },
#endif
    { 0 },
    &operand_data[11847],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_fmaxvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8619 },
#else
    { 0, output_8619, 0 },
#endif
    { 0 },
    &operand_data[11847],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_fmin_nanvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8620 },
#else
    { 0, output_8620, 0 },
#endif
    { 0 },
    &operand_data[11847],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_fminvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8621 },
#else
    { 0, output_8621, 0 },
#endif
    { 0 },
    &operand_data[11847],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_mulvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8622 },
#else
    { 0, output_8622, 0 },
#endif
    { 0 },
    &operand_data[11852],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_smaxvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8623 },
#else
    { 0, output_8623, 0 },
#endif
    { 0 },
    &operand_data[11847],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_sminvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8624 },
#else
    { 0, output_8624, 0 },
#endif
    { 0 },
    &operand_data[11847],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_fmax_nanvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8625 },
#else
    { 0, output_8625, 0 },
#endif
    { 0 },
    &operand_data[11857],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_fmaxvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8626 },
#else
    { 0, output_8626, 0 },
#endif
    { 0 },
    &operand_data[11857],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_fmin_nanvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8627 },
#else
    { 0, output_8627, 0 },
#endif
    { 0 },
    &operand_data[11857],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_fminvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8628 },
#else
    { 0, output_8628, 0 },
#endif
    { 0 },
    &operand_data[11857],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_mulvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8629 },
#else
    { 0, output_8629, 0 },
#endif
    { 0 },
    &operand_data[11862],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_smaxvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8630 },
#else
    { 0, output_8630, 0 },
#endif
    { 0 },
    &operand_data[11857],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_sminvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8631 },
#else
    { 0, output_8631, 0 },
#endif
    { 0 },
    &operand_data[11857],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_fmax_nanvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8632 },
#else
    { 0, output_8632, 0 },
#endif
    { 0 },
    &operand_data[11867],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_fmaxvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8633 },
#else
    { 0, output_8633, 0 },
#endif
    { 0 },
    &operand_data[11867],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_fmin_nanvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8634 },
#else
    { 0, output_8634, 0 },
#endif
    { 0 },
    &operand_data[11867],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_fminvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8635 },
#else
    { 0, output_8635, 0 },
#endif
    { 0 },
    &operand_data[11867],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_mulvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8636 },
#else
    { 0, output_8636, 0 },
#endif
    { 0 },
    &operand_data[11872],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_smaxvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8637 },
#else
    { 0, output_8637, 0 },
#endif
    { 0 },
    &operand_data[11867],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5528 */
  {
    "*cond_sminvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8638 },
#else
    { 0, output_8638, 0 },
#endif
    { 0 },
    &operand_data[11867],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_addvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8639 },
#else
    { 0, output_8639, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_famaxvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8640 },
#else
    { 0, output_8640, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_faminvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8641 },
#else
    { 0, output_8641, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_divvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8642 },
#else
    { 0, output_8642, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fmax_nanvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8643 },
#else
    { 0, output_8643, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fmaxvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8644 },
#else
    { 0, output_8644, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fmin_nanvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8645 },
#else
    { 0, output_8645, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fminvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8646 },
#else
    { 0, output_8646, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_mulvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8647 },
#else
    { 0, output_8647, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_mulxvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8648 },
#else
    { 0, output_8648, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_subvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8649 },
#else
    { 0, output_8649, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_smaxvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8650 },
#else
    { 0, output_8650, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_sminvnx8bf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8651 },
#else
    { 0, output_8651, 0 },
#endif
    { 0 },
    &operand_data[11877],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_addvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8652 },
#else
    { 0, output_8652, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_famaxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8653 },
#else
    { 0, output_8653, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_faminvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8654 },
#else
    { 0, output_8654, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_divvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8655 },
#else
    { 0, output_8655, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fmax_nanvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8656 },
#else
    { 0, output_8656, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fmaxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8657 },
#else
    { 0, output_8657, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fmin_nanvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8658 },
#else
    { 0, output_8658, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fminvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8659 },
#else
    { 0, output_8659, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_mulvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8660 },
#else
    { 0, output_8660, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_mulxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8661 },
#else
    { 0, output_8661, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_subvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8662 },
#else
    { 0, output_8662, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_smaxvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8663 },
#else
    { 0, output_8663, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_sminvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8664 },
#else
    { 0, output_8664, 0 },
#endif
    { 0 },
    &operand_data[11882],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_addvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8665 },
#else
    { 0, output_8665, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_famaxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8666 },
#else
    { 0, output_8666, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_faminvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8667 },
#else
    { 0, output_8667, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_divvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8668 },
#else
    { 0, output_8668, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fmax_nanvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8669 },
#else
    { 0, output_8669, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fmaxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8670 },
#else
    { 0, output_8670, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fmin_nanvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8671 },
#else
    { 0, output_8671, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fminvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8672 },
#else
    { 0, output_8672, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_mulvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8673 },
#else
    { 0, output_8673, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_mulxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8674 },
#else
    { 0, output_8674, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_subvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8675 },
#else
    { 0, output_8675, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_smaxvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8676 },
#else
    { 0, output_8676, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_sminvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8677 },
#else
    { 0, output_8677, 0 },
#endif
    { 0 },
    &operand_data[11887],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_addvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8678 },
#else
    { 0, output_8678, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_famaxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8679 },
#else
    { 0, output_8679, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_faminvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8680 },
#else
    { 0, output_8680, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_divvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8681 },
#else
    { 0, output_8681, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fmax_nanvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8682 },
#else
    { 0, output_8682, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fmaxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8683 },
#else
    { 0, output_8683, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fmin_nanvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8684 },
#else
    { 0, output_8684, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_fminvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8685 },
#else
    { 0, output_8685, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_mulvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8686 },
#else
    { 0, output_8686, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_mulxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8687 },
#else
    { 0, output_8687, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_subvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8688 },
#else
    { 0, output_8688, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_smaxvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8689 },
#else
    { 0, output_8689, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5548 */
  {
    "*cond_sminvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8690 },
#else
    { 0, output_8690, 0 },
#endif
    { 0 },
    &operand_data[11892],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_addvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8691 },
#else
    { 0, output_8691, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_famaxvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8692 },
#else
    { 0, output_8692, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_faminvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8693 },
#else
    { 0, output_8693, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_divvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8694 },
#else
    { 0, output_8694, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fmax_nanvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8695 },
#else
    { 0, output_8695, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fmaxvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8696 },
#else
    { 0, output_8696, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fmin_nanvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8697 },
#else
    { 0, output_8697, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fminvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8698 },
#else
    { 0, output_8698, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_mulvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8699 },
#else
    { 0, output_8699, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_mulxvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8700 },
#else
    { 0, output_8700, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_subvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8701 },
#else
    { 0, output_8701, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_smaxvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8702 },
#else
    { 0, output_8702, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_sminvnx8bf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8703 },
#else
    { 0, output_8703, 0 },
#endif
    { 0 },
    &operand_data[11877],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_addvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8704 },
#else
    { 0, output_8704, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_famaxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8705 },
#else
    { 0, output_8705, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_faminvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8706 },
#else
    { 0, output_8706, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_divvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8707 },
#else
    { 0, output_8707, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fmax_nanvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8708 },
#else
    { 0, output_8708, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fmaxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8709 },
#else
    { 0, output_8709, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fmin_nanvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8710 },
#else
    { 0, output_8710, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fminvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8711 },
#else
    { 0, output_8711, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_mulvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8712 },
#else
    { 0, output_8712, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_mulxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8713 },
#else
    { 0, output_8713, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_subvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8714 },
#else
    { 0, output_8714, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_smaxvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8715 },
#else
    { 0, output_8715, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_sminvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8716 },
#else
    { 0, output_8716, 0 },
#endif
    { 0 },
    &operand_data[11882],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_addvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8717 },
#else
    { 0, output_8717, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_famaxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8718 },
#else
    { 0, output_8718, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_faminvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8719 },
#else
    { 0, output_8719, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_divvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8720 },
#else
    { 0, output_8720, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fmax_nanvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8721 },
#else
    { 0, output_8721, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fmaxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8722 },
#else
    { 0, output_8722, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fmin_nanvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8723 },
#else
    { 0, output_8723, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fminvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8724 },
#else
    { 0, output_8724, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_mulvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8725 },
#else
    { 0, output_8725, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_mulxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8726 },
#else
    { 0, output_8726, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_subvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8727 },
#else
    { 0, output_8727, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_smaxvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8728 },
#else
    { 0, output_8728, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_sminvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8729 },
#else
    { 0, output_8729, 0 },
#endif
    { 0 },
    &operand_data[11887],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_addvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8730 },
#else
    { 0, output_8730, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_famaxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8731 },
#else
    { 0, output_8731, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_faminvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8732 },
#else
    { 0, output_8732, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_divvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8733 },
#else
    { 0, output_8733, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fmax_nanvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8734 },
#else
    { 0, output_8734, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fmaxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8735 },
#else
    { 0, output_8735, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fmin_nanvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8736 },
#else
    { 0, output_8736, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_fminvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8737 },
#else
    { 0, output_8737, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_mulvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8738 },
#else
    { 0, output_8738, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_mulxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8739 },
#else
    { 0, output_8739, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_subvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8740 },
#else
    { 0, output_8740, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_smaxvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8741 },
#else
    { 0, output_8741, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5571 */
  {
    "*cond_sminvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8742 },
#else
    { 0, output_8742, 0 },
#endif
    { 0 },
    &operand_data[11892],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_addvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8743 },
#else
    { 0, output_8743, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_famaxvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8744 },
#else
    { 0, output_8744, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_faminvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8745 },
#else
    { 0, output_8745, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_divvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8746 },
#else
    { 0, output_8746, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fmax_nanvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8747 },
#else
    { 0, output_8747, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fmaxvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8748 },
#else
    { 0, output_8748, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fmin_nanvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8749 },
#else
    { 0, output_8749, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fminvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8750 },
#else
    { 0, output_8750, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_mulvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8751 },
#else
    { 0, output_8751, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_mulxvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8752 },
#else
    { 0, output_8752, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_subvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8753 },
#else
    { 0, output_8753, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_smaxvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8754 },
#else
    { 0, output_8754, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_sminvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8755 },
#else
    { 0, output_8755, 0 },
#endif
    { 0 },
    &operand_data[11897],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_addvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8756 },
#else
    { 0, output_8756, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_famaxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8757 },
#else
    { 0, output_8757, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_faminvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8758 },
#else
    { 0, output_8758, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_divvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8759 },
#else
    { 0, output_8759, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fmax_nanvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8760 },
#else
    { 0, output_8760, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fmaxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8761 },
#else
    { 0, output_8761, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fmin_nanvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8762 },
#else
    { 0, output_8762, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fminvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8763 },
#else
    { 0, output_8763, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_mulvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8764 },
#else
    { 0, output_8764, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_mulxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8765 },
#else
    { 0, output_8765, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_subvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8766 },
#else
    { 0, output_8766, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_smaxvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8767 },
#else
    { 0, output_8767, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_sminvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8768 },
#else
    { 0, output_8768, 0 },
#endif
    { 0 },
    &operand_data[11903],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_addvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8769 },
#else
    { 0, output_8769, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_famaxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8770 },
#else
    { 0, output_8770, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_faminvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8771 },
#else
    { 0, output_8771, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_divvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8772 },
#else
    { 0, output_8772, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fmax_nanvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8773 },
#else
    { 0, output_8773, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fmaxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8774 },
#else
    { 0, output_8774, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fmin_nanvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8775 },
#else
    { 0, output_8775, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fminvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8776 },
#else
    { 0, output_8776, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_mulvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8777 },
#else
    { 0, output_8777, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_mulxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8778 },
#else
    { 0, output_8778, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_subvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8779 },
#else
    { 0, output_8779, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_smaxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8780 },
#else
    { 0, output_8780, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_sminvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8781 },
#else
    { 0, output_8781, 0 },
#endif
    { 0 },
    &operand_data[11909],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_addvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8782 },
#else
    { 0, output_8782, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_famaxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8783 },
#else
    { 0, output_8783, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_faminvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8784 },
#else
    { 0, output_8784, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_divvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8785 },
#else
    { 0, output_8785, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fmax_nanvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8786 },
#else
    { 0, output_8786, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fmaxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8787 },
#else
    { 0, output_8787, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fmin_nanvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8788 },
#else
    { 0, output_8788, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_fminvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8789 },
#else
    { 0, output_8789, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_mulvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8790 },
#else
    { 0, output_8790, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_mulxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8791 },
#else
    { 0, output_8791, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_subvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8792 },
#else
    { 0, output_8792, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_smaxvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8793 },
#else
    { 0, output_8793, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5591 */
  {
    "*cond_sminvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8794 },
#else
    { 0, output_8794, 0 },
#endif
    { 0 },
    &operand_data[11915],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_addvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8795 },
#else
    { 0, output_8795, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_famaxvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8796 },
#else
    { 0, output_8796, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_faminvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8797 },
#else
    { 0, output_8797, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_divvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8798 },
#else
    { 0, output_8798, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fmax_nanvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8799 },
#else
    { 0, output_8799, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fmaxvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8800 },
#else
    { 0, output_8800, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fmin_nanvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8801 },
#else
    { 0, output_8801, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fminvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8802 },
#else
    { 0, output_8802, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_mulvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8803 },
#else
    { 0, output_8803, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_mulxvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8804 },
#else
    { 0, output_8804, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_subvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8805 },
#else
    { 0, output_8805, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_smaxvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8806 },
#else
    { 0, output_8806, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_sminvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8807 },
#else
    { 0, output_8807, 0 },
#endif
    { 0 },
    &operand_data[11897],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_addvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8808 },
#else
    { 0, output_8808, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_famaxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8809 },
#else
    { 0, output_8809, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_faminvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8810 },
#else
    { 0, output_8810, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_divvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8811 },
#else
    { 0, output_8811, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fmax_nanvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8812 },
#else
    { 0, output_8812, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fmaxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8813 },
#else
    { 0, output_8813, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fmin_nanvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8814 },
#else
    { 0, output_8814, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fminvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8815 },
#else
    { 0, output_8815, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_mulvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8816 },
#else
    { 0, output_8816, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_mulxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8817 },
#else
    { 0, output_8817, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_subvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8818 },
#else
    { 0, output_8818, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_smaxvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8819 },
#else
    { 0, output_8819, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_sminvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8820 },
#else
    { 0, output_8820, 0 },
#endif
    { 0 },
    &operand_data[11903],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_addvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8821 },
#else
    { 0, output_8821, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_famaxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8822 },
#else
    { 0, output_8822, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_faminvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8823 },
#else
    { 0, output_8823, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_divvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8824 },
#else
    { 0, output_8824, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fmax_nanvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8825 },
#else
    { 0, output_8825, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fmaxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8826 },
#else
    { 0, output_8826, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fmin_nanvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8827 },
#else
    { 0, output_8827, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fminvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8828 },
#else
    { 0, output_8828, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_mulvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8829 },
#else
    { 0, output_8829, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_mulxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8830 },
#else
    { 0, output_8830, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_subvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8831 },
#else
    { 0, output_8831, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_smaxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8832 },
#else
    { 0, output_8832, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_sminvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8833 },
#else
    { 0, output_8833, 0 },
#endif
    { 0 },
    &operand_data[11909],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_addvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8834 },
#else
    { 0, output_8834, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_famaxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8835 },
#else
    { 0, output_8835, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_faminvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8836 },
#else
    { 0, output_8836, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_divvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8837 },
#else
    { 0, output_8837, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fmax_nanvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8838 },
#else
    { 0, output_8838, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fmaxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8839 },
#else
    { 0, output_8839, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fmin_nanvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8840 },
#else
    { 0, output_8840, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_fminvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8841 },
#else
    { 0, output_8841, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_mulvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8842 },
#else
    { 0, output_8842, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_mulxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8843 },
#else
    { 0, output_8843, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_subvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8844 },
#else
    { 0, output_8844, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_smaxvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8845 },
#else
    { 0, output_8845, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5635 */
  {
    "*cond_sminvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8846 },
#else
    { 0, output_8846, 0 },
#endif
    { 0 },
    &operand_data[11915],
    5,
    5,
    1,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_fmax_nanvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8847 },
#else
    { 0, output_8847, 0 },
#endif
    { 0 },
    &operand_data[11921],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_fmaxvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8848 },
#else
    { 0, output_8848, 0 },
#endif
    { 0 },
    &operand_data[11921],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_fmin_nanvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8849 },
#else
    { 0, output_8849, 0 },
#endif
    { 0 },
    &operand_data[11921],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_fminvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8850 },
#else
    { 0, output_8850, 0 },
#endif
    { 0 },
    &operand_data[11921],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_mulvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8851 },
#else
    { 0, output_8851, 0 },
#endif
    { 0 },
    &operand_data[11927],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_smaxvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8852 },
#else
    { 0, output_8852, 0 },
#endif
    { 0 },
    &operand_data[11921],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_sminvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8853 },
#else
    { 0, output_8853, 0 },
#endif
    { 0 },
    &operand_data[11921],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_fmax_nanvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8854 },
#else
    { 0, output_8854, 0 },
#endif
    { 0 },
    &operand_data[11933],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_fmaxvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8855 },
#else
    { 0, output_8855, 0 },
#endif
    { 0 },
    &operand_data[11933],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_fmin_nanvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8856 },
#else
    { 0, output_8856, 0 },
#endif
    { 0 },
    &operand_data[11933],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_fminvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8857 },
#else
    { 0, output_8857, 0 },
#endif
    { 0 },
    &operand_data[11933],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_mulvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8858 },
#else
    { 0, output_8858, 0 },
#endif
    { 0 },
    &operand_data[11939],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_smaxvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8859 },
#else
    { 0, output_8859, 0 },
#endif
    { 0 },
    &operand_data[11933],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_sminvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8860 },
#else
    { 0, output_8860, 0 },
#endif
    { 0 },
    &operand_data[11933],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_fmax_nanvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8861 },
#else
    { 0, output_8861, 0 },
#endif
    { 0 },
    &operand_data[11945],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_fmaxvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8862 },
#else
    { 0, output_8862, 0 },
#endif
    { 0 },
    &operand_data[11945],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_fmin_nanvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8863 },
#else
    { 0, output_8863, 0 },
#endif
    { 0 },
    &operand_data[11945],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_fminvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8864 },
#else
    { 0, output_8864, 0 },
#endif
    { 0 },
    &operand_data[11945],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_mulvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8865 },
#else
    { 0, output_8865, 0 },
#endif
    { 0 },
    &operand_data[11951],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_smaxvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8866 },
#else
    { 0, output_8866, 0 },
#endif
    { 0 },
    &operand_data[11945],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5673 */
  {
    "*cond_sminvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8867 },
#else
    { 0, output_8867, 0 },
#endif
    { 0 },
    &operand_data[11945],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_fmax_nanvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8868 },
#else
    { 0, output_8868, 0 },
#endif
    { 0 },
    &operand_data[11921],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_fmaxvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8869 },
#else
    { 0, output_8869, 0 },
#endif
    { 0 },
    &operand_data[11921],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_fmin_nanvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8870 },
#else
    { 0, output_8870, 0 },
#endif
    { 0 },
    &operand_data[11921],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_fminvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8871 },
#else
    { 0, output_8871, 0 },
#endif
    { 0 },
    &operand_data[11921],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_mulvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8872 },
#else
    { 0, output_8872, 0 },
#endif
    { 0 },
    &operand_data[11927],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_smaxvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8873 },
#else
    { 0, output_8873, 0 },
#endif
    { 0 },
    &operand_data[11921],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_sminvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8874 },
#else
    { 0, output_8874, 0 },
#endif
    { 0 },
    &operand_data[11921],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_fmax_nanvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8875 },
#else
    { 0, output_8875, 0 },
#endif
    { 0 },
    &operand_data[11933],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_fmaxvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8876 },
#else
    { 0, output_8876, 0 },
#endif
    { 0 },
    &operand_data[11933],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_fmin_nanvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8877 },
#else
    { 0, output_8877, 0 },
#endif
    { 0 },
    &operand_data[11933],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_fminvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8878 },
#else
    { 0, output_8878, 0 },
#endif
    { 0 },
    &operand_data[11933],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_mulvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8879 },
#else
    { 0, output_8879, 0 },
#endif
    { 0 },
    &operand_data[11939],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_smaxvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8880 },
#else
    { 0, output_8880, 0 },
#endif
    { 0 },
    &operand_data[11933],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_sminvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8881 },
#else
    { 0, output_8881, 0 },
#endif
    { 0 },
    &operand_data[11933],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_fmax_nanvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8882 },
#else
    { 0, output_8882, 0 },
#endif
    { 0 },
    &operand_data[11945],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_fmaxvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8883 },
#else
    { 0, output_8883, 0 },
#endif
    { 0 },
    &operand_data[11945],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_fmin_nanvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8884 },
#else
    { 0, output_8884, 0 },
#endif
    { 0 },
    &operand_data[11945],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_fminvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8885 },
#else
    { 0, output_8885, 0 },
#endif
    { 0 },
    &operand_data[11945],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_mulvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8886 },
#else
    { 0, output_8886, 0 },
#endif
    { 0 },
    &operand_data[11951],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_smaxvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8887 },
#else
    { 0, output_8887, 0 },
#endif
    { 0 },
    &operand_data[11945],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5709 */
  {
    "*cond_sminvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8888 },
#else
    { 0, output_8888, 0 },
#endif
    { 0 },
    &operand_data[11945],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5747 */
  {
    "aarch64_pred_addvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8889 },
#else
    { 0, output_8889, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx8hf },
    &operand_data[11957],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5747 */
  {
    "aarch64_pred_addvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8890 },
#else
    { 0, output_8890, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx4sf },
    &operand_data[11962],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5747 */
  {
    "aarch64_pred_addvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8891 },
#else
    { 0, output_8891, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx2df },
    &operand_data[11967],
    5,
    5,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5769 */
  {
    "*cond_addvnx8hf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8892 },
#else
    { 0, output_8892, 0 },
#endif
    { 0 },
    &operand_data[11972],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5769 */
  {
    "*cond_addvnx4sf_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8893 },
#else
    { 0, output_8893, 0 },
#endif
    { 0 },
    &operand_data[11977],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5769 */
  {
    "*cond_addvnx2df_2_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8894 },
#else
    { 0, output_8894, 0 },
#endif
    { 0 },
    &operand_data[11982],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5794 */
  {
    "*cond_addvnx8hf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8895 },
#else
    { 0, output_8895, 0 },
#endif
    { 0 },
    &operand_data[11972],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5794 */
  {
    "*cond_addvnx4sf_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8896 },
#else
    { 0, output_8896, 0 },
#endif
    { 0 },
    &operand_data[11977],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5794 */
  {
    "*cond_addvnx2df_2_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8897 },
#else
    { 0, output_8897, 0 },
#endif
    { 0 },
    &operand_data[11982],
    4,
    4,
    2,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5817 */
  {
    "*cond_addvnx8hf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8898 },
#else
    { 0, output_8898, 0 },
#endif
    { 0 },
    &operand_data[11987],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5817 */
  {
    "*cond_addvnx4sf_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8899 },
#else
    { 0, output_8899, 0 },
#endif
    { 0 },
    &operand_data[11993],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5817 */
  {
    "*cond_addvnx2df_any_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8900 },
#else
    { 0, output_8900, 0 },
#endif
    { 0 },
    &operand_data[11999],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5856 */
  {
    "*cond_addvnx8hf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8901 },
#else
    { 0, output_8901, 0 },
#endif
    { 0 },
    &operand_data[11987],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5856 */
  {
    "*cond_addvnx4sf_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8902 },
#else
    { 0, output_8902, 0 },
#endif
    { 0 },
    &operand_data[11993],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5856 */
  {
    "*cond_addvnx2df_any_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8903 },
#else
    { 0, output_8903, 0 },
#endif
    { 0 },
    &operand_data[11999],
    5,
    5,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5898 */
  {
    "aarch64_pred_cadd90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8904 },
#else
    { 0, output_8904, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx8hf },
    &operand_data[12005],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5898 */
  {
    "aarch64_pred_cadd270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8905 },
#else
    { 0, output_8905, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx8hf },
    &operand_data[12005],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5898 */
  {
    "aarch64_pred_cadd90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8906 },
#else
    { 0, output_8906, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx4sf },
    &operand_data[12010],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5898 */
  {
    "aarch64_pred_cadd270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8907 },
#else
    { 0, output_8907, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx4sf },
    &operand_data[12010],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5898 */
  {
    "aarch64_pred_cadd90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8908 },
#else
    { 0, output_8908, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd90vnx2df },
    &operand_data[12015],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5898 */
  {
    "aarch64_pred_cadd270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8909 },
#else
    { 0, output_8909, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cadd270vnx2df },
    &operand_data[12015],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5944 */
  {
    "*cond_cadd90vnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8910 },
#else
    { 0, output_8910, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5944 */
  {
    "*cond_cadd270vnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8911 },
#else
    { 0, output_8911, 0 },
#endif
    { 0 },
    &operand_data[11832],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5944 */
  {
    "*cond_cadd90vnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8912 },
#else
    { 0, output_8912, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5944 */
  {
    "*cond_cadd270vnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8913 },
#else
    { 0, output_8913, 0 },
#endif
    { 0 },
    &operand_data[11837],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5944 */
  {
    "*cond_cadd90vnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8914 },
#else
    { 0, output_8914, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5944 */
  {
    "*cond_cadd270vnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8915 },
#else
    { 0, output_8915, 0 },
#endif
    { 0 },
    &operand_data[11842],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5967 */
  {
    "*cond_cadd90vnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8916 },
#else
    { 0, output_8916, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5967 */
  {
    "*cond_cadd270vnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8917 },
#else
    { 0, output_8917, 0 },
#endif
    { 0 },
    &operand_data[11832],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5967 */
  {
    "*cond_cadd90vnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8918 },
#else
    { 0, output_8918, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5967 */
  {
    "*cond_cadd270vnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8919 },
#else
    { 0, output_8919, 0 },
#endif
    { 0 },
    &operand_data[11837],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5967 */
  {
    "*cond_cadd90vnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8920 },
#else
    { 0, output_8920, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5967 */
  {
    "*cond_cadd270vnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8921 },
#else
    { 0, output_8921, 0 },
#endif
    { 0 },
    &operand_data[11842],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5987 */
  {
    "*cond_cadd90vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8922 },
#else
    { 0, output_8922, 0 },
#endif
    { 0 },
    &operand_data[12020],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5987 */
  {
    "*cond_cadd270vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8923 },
#else
    { 0, output_8923, 0 },
#endif
    { 0 },
    &operand_data[12020],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5987 */
  {
    "*cond_cadd90vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8924 },
#else
    { 0, output_8924, 0 },
#endif
    { 0 },
    &operand_data[12026],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5987 */
  {
    "*cond_cadd270vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8925 },
#else
    { 0, output_8925, 0 },
#endif
    { 0 },
    &operand_data[12026],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5987 */
  {
    "*cond_cadd90vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8926 },
#else
    { 0, output_8926, 0 },
#endif
    { 0 },
    &operand_data[12032],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5987 */
  {
    "*cond_cadd270vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8927 },
#else
    { 0, output_8927, 0 },
#endif
    { 0 },
    &operand_data[12032],
    6,
    6,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6024 */
  {
    "*cond_cadd90vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8928 },
#else
    { 0, output_8928, 0 },
#endif
    { 0 },
    &operand_data[12020],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6024 */
  {
    "*cond_cadd270vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8929 },
#else
    { 0, output_8929, 0 },
#endif
    { 0 },
    &operand_data[12020],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6024 */
  {
    "*cond_cadd90vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8930 },
#else
    { 0, output_8930, 0 },
#endif
    { 0 },
    &operand_data[12026],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6024 */
  {
    "*cond_cadd270vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8931 },
#else
    { 0, output_8931, 0 },
#endif
    { 0 },
    &operand_data[12026],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6024 */
  {
    "*cond_cadd90vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8932 },
#else
    { 0, output_8932, 0 },
#endif
    { 0 },
    &operand_data[12032],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6024 */
  {
    "*cond_cadd270vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8933 },
#else
    { 0, output_8933, 0 },
#endif
    { 0 },
    &operand_data[12032],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6063 */
  {
    "aarch64_pred_subvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8934 },
#else
    { 0, output_8934, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx8hf },
    &operand_data[12038],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6063 */
  {
    "aarch64_pred_subvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8935 },
#else
    { 0, output_8935, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx4sf },
    &operand_data[12043],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6063 */
  {
    "aarch64_pred_subvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8936 },
#else
    { 0, output_8936, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx2df },
    &operand_data[12048],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6084 */
  {
    "*cond_subvnx8hf_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8937 },
#else
    { 0, output_8937, 0 },
#endif
    { 0 },
    &operand_data[12053],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6084 */
  {
    "*cond_subvnx4sf_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8938 },
#else
    { 0, output_8938, 0 },
#endif
    { 0 },
    &operand_data[12058],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6084 */
  {
    "*cond_subvnx2df_3_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8939 },
#else
    { 0, output_8939, 0 },
#endif
    { 0 },
    &operand_data[12063],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6107 */
  {
    "*cond_subvnx8hf_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8940 },
#else
    { 0, output_8940, 0 },
#endif
    { 0 },
    &operand_data[12053],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6107 */
  {
    "*cond_subvnx4sf_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8941 },
#else
    { 0, output_8941, 0 },
#endif
    { 0 },
    &operand_data[12058],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6107 */
  {
    "*cond_subvnx2df_3_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8942 },
#else
    { 0, output_8942, 0 },
#endif
    { 0 },
    &operand_data[12063],
    4,
    4,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6128 */
  {
    "*cond_subvnx8hf_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8943 },
#else
    { 0, output_8943, 0 },
#endif
    { 0 },
    &operand_data[12068],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6128 */
  {
    "*cond_subvnx4sf_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8944 },
#else
    { 0, output_8944, 0 },
#endif
    { 0 },
    &operand_data[12074],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6128 */
  {
    "*cond_subvnx2df_const_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8945 },
#else
    { 0, output_8945, 0 },
#endif
    { 0 },
    &operand_data[12080],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6164 */
  {
    "*cond_subvnx8hf_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8946 },
#else
    { 0, output_8946, 0 },
#endif
    { 0 },
    &operand_data[12068],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6164 */
  {
    "*cond_subvnx4sf_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8947 },
#else
    { 0, output_8947, 0 },
#endif
    { 0 },
    &operand_data[12074],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6164 */
  {
    "*cond_subvnx2df_const_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8948 },
#else
    { 0, output_8948, 0 },
#endif
    { 0 },
    &operand_data[12080],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6218 */
  {
    "*aarch64_pred_abdvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8949 },
#else
    { 0, output_8949, 0 },
#endif
    { 0 },
    &operand_data[12086],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6218 */
  {
    "*aarch64_pred_abdvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8950 },
#else
    { 0, output_8950, 0 },
#endif
    { 0 },
    &operand_data[12092],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6218 */
  {
    "*aarch64_pred_abdvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8951 },
#else
    { 0, output_8951, 0 },
#endif
    { 0 },
    &operand_data[12098],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6241 */
  {
    "*aarch64_pred_abdvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8952 },
#else
    { 0, output_8952, 0 },
#endif
    { 0 },
    &operand_data[12086],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6241 */
  {
    "*aarch64_pred_abdvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8953 },
#else
    { 0, output_8953, 0 },
#endif
    { 0 },
    &operand_data[12092],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6241 */
  {
    "*aarch64_pred_abdvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8954 },
#else
    { 0, output_8954, 0 },
#endif
    { 0 },
    &operand_data[12098],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6284 */
  {
    "*aarch64_cond_abdvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8955 },
#else
    { 0, output_8955, 0 },
#endif
    { 0 },
    &operand_data[12104],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6284 */
  {
    "*aarch64_cond_abdvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8956 },
#else
    { 0, output_8956, 0 },
#endif
    { 0 },
    &operand_data[12110],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6284 */
  {
    "*aarch64_cond_abdvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8957 },
#else
    { 0, output_8957, 0 },
#endif
    { 0 },
    &operand_data[12116],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6313 */
  {
    "*aarch64_cond_abdvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8958 },
#else
    { 0, output_8958, 0 },
#endif
    { 0 },
    &operand_data[12122],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6313 */
  {
    "*aarch64_cond_abdvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8959 },
#else
    { 0, output_8959, 0 },
#endif
    { 0 },
    &operand_data[12128],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6313 */
  {
    "*aarch64_cond_abdvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8960 },
#else
    { 0, output_8960, 0 },
#endif
    { 0 },
    &operand_data[12134],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6338 */
  {
    "*aarch64_cond_abdvnx8hf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8961 },
#else
    { 0, output_8961, 0 },
#endif
    { 0 },
    &operand_data[12140],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6338 */
  {
    "*aarch64_cond_abdvnx4sf_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8962 },
#else
    { 0, output_8962, 0 },
#endif
    { 0 },
    &operand_data[12146],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6338 */
  {
    "*aarch64_cond_abdvnx2df_3_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8963 },
#else
    { 0, output_8963, 0 },
#endif
    { 0 },
    &operand_data[12152],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6367 */
  {
    "*aarch64_cond_abdvnx8hf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8964 },
#else
    { 0, output_8964, 0 },
#endif
    { 0 },
    &operand_data[12158],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6367 */
  {
    "*aarch64_cond_abdvnx4sf_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8965 },
#else
    { 0, output_8965, 0 },
#endif
    { 0 },
    &operand_data[12164],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6367 */
  {
    "*aarch64_cond_abdvnx2df_3_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8966 },
#else
    { 0, output_8966, 0 },
#endif
    { 0 },
    &operand_data[12170],
    6,
    6,
    3,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6392 */
  {
    "*aarch64_cond_abdvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8967 },
#else
    { 0, output_8967, 0 },
#endif
    { 0 },
    &operand_data[12176],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6392 */
  {
    "*aarch64_cond_abdvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8968 },
#else
    { 0, output_8968, 0 },
#endif
    { 0 },
    &operand_data[12183],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6392 */
  {
    "*aarch64_cond_abdvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8969 },
#else
    { 0, output_8969, 0 },
#endif
    { 0 },
    &operand_data[12190],
    7,
    7,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6440 */
  {
    "*aarch64_cond_abdvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8970 },
#else
    { 0, output_8970, 0 },
#endif
    { 0 },
    &operand_data[12197],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6440 */
  {
    "*aarch64_cond_abdvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8971 },
#else
    { 0, output_8971, 0 },
#endif
    { 0 },
    &operand_data[12204],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6440 */
  {
    "*aarch64_cond_abdvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8972 },
#else
    { 0, output_8972, 0 },
#endif
    { 0 },
    &operand_data[12211],
    7,
    7,
    2,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6486 */
  {
    "aarch64_pred_mulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8973 },
#else
    { 0, output_8973, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8hf },
    &operand_data[12218],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6486 */
  {
    "aarch64_pred_mulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8974 },
#else
    { 0, output_8974, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx4sf },
    &operand_data[12223],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6486 */
  {
    "aarch64_pred_mulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_8975 },
#else
    { 0, output_8975, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx2df },
    &operand_data[12228],
    5,
    5,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6508 */
  {
    "aarch64_mul_lane_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmul\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx8bf },
    &operand_data[12233],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6508 */
  {
    "aarch64_mul_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx8hf },
    &operand_data[12237],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6508 */
  {
    "aarch64_mul_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx4sf },
    &operand_data[12241],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6508 */
  {
    "aarch64_mul_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmul\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx2df },
    &operand_data[12245],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*andvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*iorvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*xorvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*andvnx4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*iorvnx4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*xorvnx4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*andvnx2hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*iorvnx2hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*xorvnx2hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*andvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*iorvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*xorvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*andvnx4bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*iorvnx4bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*xorvnx4bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*andvnx2bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*iorvnx2bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*xorvnx2bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*andvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*iorvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*xorvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*andvnx2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*iorvnx2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*xorvnx2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*andvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "and\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*iorvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orr\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6573 */
  {
    "*xorvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eor\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_fmax_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9007 },
#else
    { 0, output_9007, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmax_nanvnx8hf },
    &operand_data[12264],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_fmaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9008 },
#else
    { 0, output_9008, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxvnx8hf },
    &operand_data[12264],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_fmin_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9009 },
#else
    { 0, output_9009, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmin_nanvnx8hf },
    &operand_data[12264],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_fminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9010 },
#else
    { 0, output_9010, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminvnx8hf },
    &operand_data[12264],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_smaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9011 },
#else
    { 0, output_9011, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8hf },
    &operand_data[12264],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_sminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9012 },
#else
    { 0, output_9012, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8hf },
    &operand_data[12264],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_fmax_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9013 },
#else
    { 0, output_9013, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmax_nanvnx4sf },
    &operand_data[12269],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_fmaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9014 },
#else
    { 0, output_9014, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxvnx4sf },
    &operand_data[12269],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_fmin_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9015 },
#else
    { 0, output_9015, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmin_nanvnx4sf },
    &operand_data[12269],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_fminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9016 },
#else
    { 0, output_9016, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminvnx4sf },
    &operand_data[12269],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_smaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9017 },
#else
    { 0, output_9017, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx4sf },
    &operand_data[12269],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_sminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9018 },
#else
    { 0, output_9018, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx4sf },
    &operand_data[12269],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_fmax_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9019 },
#else
    { 0, output_9019, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmax_nanvnx2df },
    &operand_data[12274],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_fmaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9020 },
#else
    { 0, output_9020, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxvnx2df },
    &operand_data[12274],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_fmin_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9021 },
#else
    { 0, output_9021, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmin_nanvnx2df },
    &operand_data[12274],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_fminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9022 },
#else
    { 0, output_9022, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminvnx2df },
    &operand_data[12274],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_smaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9023 },
#else
    { 0, output_9023, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx2df },
    &operand_data[12274],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6720 */
  {
    "aarch64_pred_sminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9024 },
#else
    { 0, output_9024, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx2df },
    &operand_data[12274],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6755 */
  {
    "andvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9025 },
#else
    { 0, output_9025, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx16bi3 },
    &operand_data[12279],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6755 */
  {
    "andvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9026 },
#else
    { 0, output_9026, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx8bi3 },
    &operand_data[12282],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6755 */
  {
    "andvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9027 },
#else
    { 0, output_9027, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx4bi3 },
    &operand_data[12285],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6755 */
  {
    "andvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9028 },
#else
    { 0, output_9028, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andvnx2bi3 },
    &operand_data[12288],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6782 */
  {
    "aarch64_pred_andvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9029 },
#else
    { 0, output_9029, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx16bi_z },
    &operand_data[12291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6782 */
  {
    "aarch64_pred_iorvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9030 },
#else
    { 0, output_9030, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx16bi_z },
    &operand_data[12291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6782 */
  {
    "aarch64_pred_xorvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9031 },
#else
    { 0, output_9031, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx16bi_z },
    &operand_data[12291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6782 */
  {
    "aarch64_pred_andvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9032 },
#else
    { 0, output_9032, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx8bi_z },
    &operand_data[12295],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6782 */
  {
    "aarch64_pred_iorvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9033 },
#else
    { 0, output_9033, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx8bi_z },
    &operand_data[12295],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6782 */
  {
    "aarch64_pred_xorvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9034 },
#else
    { 0, output_9034, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx8bi_z },
    &operand_data[12295],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6782 */
  {
    "aarch64_pred_andvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9035 },
#else
    { 0, output_9035, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx4bi_z },
    &operand_data[12299],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6782 */
  {
    "aarch64_pred_iorvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9036 },
#else
    { 0, output_9036, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx4bi_z },
    &operand_data[12299],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6782 */
  {
    "aarch64_pred_xorvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9037 },
#else
    { 0, output_9037, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx4bi_z },
    &operand_data[12299],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6782 */
  {
    "aarch64_pred_andvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9038 },
#else
    { 0, output_9038, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_andvnx2bi_z },
    &operand_data[12303],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6782 */
  {
    "aarch64_pred_iorvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9039 },
#else
    { 0, output_9039, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_iorvnx2bi_z },
    &operand_data[12303],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6782 */
  {
    "aarch64_pred_xorvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9040 },
#else
    { 0, output_9040, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_xorvnx2bi_z },
    &operand_data[12303],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6800 */
  {
    "*andvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9041 },
#else
    { 0, output_9041, 0 },
#endif
    { 0 },
    &operand_data[12307],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6800 */
  {
    "*iorvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9042 },
#else
    { 0, output_9042, 0 },
#endif
    { 0 },
    &operand_data[12307],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6800 */
  {
    "*xorvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9043 },
#else
    { 0, output_9043, 0 },
#endif
    { 0 },
    &operand_data[12307],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6800 */
  {
    "*andvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9044 },
#else
    { 0, output_9044, 0 },
#endif
    { 0 },
    &operand_data[12313],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6800 */
  {
    "*iorvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9045 },
#else
    { 0, output_9045, 0 },
#endif
    { 0 },
    &operand_data[12313],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6800 */
  {
    "*xorvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9046 },
#else
    { 0, output_9046, 0 },
#endif
    { 0 },
    &operand_data[12313],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6800 */
  {
    "*andvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9047 },
#else
    { 0, output_9047, 0 },
#endif
    { 0 },
    &operand_data[12319],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6800 */
  {
    "*iorvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9048 },
#else
    { 0, output_9048, 0 },
#endif
    { 0 },
    &operand_data[12319],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6800 */
  {
    "*xorvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9049 },
#else
    { 0, output_9049, 0 },
#endif
    { 0 },
    &operand_data[12319],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6800 */
  {
    "*andvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9050 },
#else
    { 0, output_9050, 0 },
#endif
    { 0 },
    &operand_data[12325],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6800 */
  {
    "*iorvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9051 },
#else
    { 0, output_9051, 0 },
#endif
    { 0 },
    &operand_data[12325],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6800 */
  {
    "*xorvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9052 },
#else
    { 0, output_9052, 0 },
#endif
    { 0 },
    &operand_data[12325],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6824 */
  {
    "*andvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9053 },
#else
    { 0, output_9053, 0 },
#endif
    { 0 },
    &operand_data[12331],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6824 */
  {
    "*iorvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9054 },
#else
    { 0, output_9054, 0 },
#endif
    { 0 },
    &operand_data[12331],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6824 */
  {
    "*xorvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9055 },
#else
    { 0, output_9055, 0 },
#endif
    { 0 },
    &operand_data[12331],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6824 */
  {
    "*andvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9056 },
#else
    { 0, output_9056, 0 },
#endif
    { 0 },
    &operand_data[12337],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6824 */
  {
    "*iorvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9057 },
#else
    { 0, output_9057, 0 },
#endif
    { 0 },
    &operand_data[12337],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6824 */
  {
    "*xorvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9058 },
#else
    { 0, output_9058, 0 },
#endif
    { 0 },
    &operand_data[12337],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6824 */
  {
    "*andvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9059 },
#else
    { 0, output_9059, 0 },
#endif
    { 0 },
    &operand_data[12343],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6824 */
  {
    "*iorvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9060 },
#else
    { 0, output_9060, 0 },
#endif
    { 0 },
    &operand_data[12343],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6824 */
  {
    "*xorvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9061 },
#else
    { 0, output_9061, 0 },
#endif
    { 0 },
    &operand_data[12343],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6824 */
  {
    "*andvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9062 },
#else
    { 0, output_9062, 0 },
#endif
    { 0 },
    &operand_data[12349],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6824 */
  {
    "*iorvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9063 },
#else
    { 0, output_9063, 0 },
#endif
    { 0 },
    &operand_data[12349],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6824 */
  {
    "*xorvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9064 },
#else
    { 0, output_9064, 0 },
#endif
    { 0 },
    &operand_data[12349],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6854 */
  {
    "aarch64_pred_bicvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9065 },
#else
    { 0, output_9065, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx16bi_z },
    &operand_data[12291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6854 */
  {
    "aarch64_pred_ornvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9066 },
#else
    { 0, output_9066, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx16bi_z },
    &operand_data[12291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6854 */
  {
    "aarch64_pred_bicvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9067 },
#else
    { 0, output_9067, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx8bi_z },
    &operand_data[12295],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6854 */
  {
    "aarch64_pred_ornvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9068 },
#else
    { 0, output_9068, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx8bi_z },
    &operand_data[12295],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6854 */
  {
    "aarch64_pred_bicvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9069 },
#else
    { 0, output_9069, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx4bi_z },
    &operand_data[12299],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6854 */
  {
    "aarch64_pred_ornvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9070 },
#else
    { 0, output_9070, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx4bi_z },
    &operand_data[12299],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6854 */
  {
    "aarch64_pred_bicvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9071 },
#else
    { 0, output_9071, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_bicvnx2bi_z },
    &operand_data[12303],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6854 */
  {
    "aarch64_pred_ornvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9072 },
#else
    { 0, output_9072, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ornvnx2bi_z },
    &operand_data[12303],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6870 */
  {
    "*bicvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9073 },
#else
    { 0, output_9073, 0 },
#endif
    { 0 },
    &operand_data[12307],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6870 */
  {
    "*ornvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9074 },
#else
    { 0, output_9074, 0 },
#endif
    { 0 },
    &operand_data[12307],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6870 */
  {
    "*bicvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9075 },
#else
    { 0, output_9075, 0 },
#endif
    { 0 },
    &operand_data[12313],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6870 */
  {
    "*ornvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9076 },
#else
    { 0, output_9076, 0 },
#endif
    { 0 },
    &operand_data[12313],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6870 */
  {
    "*bicvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9077 },
#else
    { 0, output_9077, 0 },
#endif
    { 0 },
    &operand_data[12319],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6870 */
  {
    "*ornvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9078 },
#else
    { 0, output_9078, 0 },
#endif
    { 0 },
    &operand_data[12319],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6870 */
  {
    "*bicvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9079 },
#else
    { 0, output_9079, 0 },
#endif
    { 0 },
    &operand_data[12325],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6870 */
  {
    "*ornvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9080 },
#else
    { 0, output_9080, 0 },
#endif
    { 0 },
    &operand_data[12325],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6897 */
  {
    "*bicvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9081 },
#else
    { 0, output_9081, 0 },
#endif
    { 0 },
    &operand_data[12331],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6897 */
  {
    "*ornvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9082 },
#else
    { 0, output_9082, 0 },
#endif
    { 0 },
    &operand_data[12331],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6897 */
  {
    "*bicvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9083 },
#else
    { 0, output_9083, 0 },
#endif
    { 0 },
    &operand_data[12337],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6897 */
  {
    "*ornvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9084 },
#else
    { 0, output_9084, 0 },
#endif
    { 0 },
    &operand_data[12337],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6897 */
  {
    "*bicvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9085 },
#else
    { 0, output_9085, 0 },
#endif
    { 0 },
    &operand_data[12343],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6897 */
  {
    "*ornvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9086 },
#else
    { 0, output_9086, 0 },
#endif
    { 0 },
    &operand_data[12343],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6897 */
  {
    "*bicvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9087 },
#else
    { 0, output_9087, 0 },
#endif
    { 0 },
    &operand_data[12349],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6897 */
  {
    "*ornvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9088 },
#else
    { 0, output_9088, 0 },
#endif
    { 0 },
    &operand_data[12349],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_norvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9089 },
#else
    { 0, output_9089, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx16bi_z },
    &operand_data[12291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_nandvnx16bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9090 },
#else
    { 0, output_9090, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx16bi_z },
    &operand_data[12291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_norvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9091 },
#else
    { 0, output_9091, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx8bi_z },
    &operand_data[12295],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_nandvnx8bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9092 },
#else
    { 0, output_9092, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx8bi_z },
    &operand_data[12295],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_norvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9093 },
#else
    { 0, output_9093, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx4bi_z },
    &operand_data[12299],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_nandvnx4bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9094 },
#else
    { 0, output_9094, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx4bi_z },
    &operand_data[12299],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_norvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9095 },
#else
    { 0, output_9095, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_norvnx2bi_z },
    &operand_data[12303],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6928 */
  {
    "aarch64_pred_nandvnx2bi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9096 },
#else
    { 0, output_9096, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nandvnx2bi_z },
    &operand_data[12303],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6944 */
  {
    "*norvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9097 },
#else
    { 0, output_9097, 0 },
#endif
    { 0 },
    &operand_data[12307],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6944 */
  {
    "*nandvnx16bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9098 },
#else
    { 0, output_9098, 0 },
#endif
    { 0 },
    &operand_data[12307],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6944 */
  {
    "*norvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9099 },
#else
    { 0, output_9099, 0 },
#endif
    { 0 },
    &operand_data[12313],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6944 */
  {
    "*nandvnx8bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9100 },
#else
    { 0, output_9100, 0 },
#endif
    { 0 },
    &operand_data[12313],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6944 */
  {
    "*norvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9101 },
#else
    { 0, output_9101, 0 },
#endif
    { 0 },
    &operand_data[12319],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6944 */
  {
    "*nandvnx4bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9102 },
#else
    { 0, output_9102, 0 },
#endif
    { 0 },
    &operand_data[12319],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6944 */
  {
    "*norvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9103 },
#else
    { 0, output_9103, 0 },
#endif
    { 0 },
    &operand_data[12325],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6944 */
  {
    "*nandvnx2bi3_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9104 },
#else
    { 0, output_9104, 0 },
#endif
    { 0 },
    &operand_data[12325],
    6,
    6,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6972 */
  {
    "*norvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9105 },
#else
    { 0, output_9105, 0 },
#endif
    { 0 },
    &operand_data[12331],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6972 */
  {
    "*nandvnx16bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9106 },
#else
    { 0, output_9106, 0 },
#endif
    { 0 },
    &operand_data[12331],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6972 */
  {
    "*norvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9107 },
#else
    { 0, output_9107, 0 },
#endif
    { 0 },
    &operand_data[12337],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6972 */
  {
    "*nandvnx8bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9108 },
#else
    { 0, output_9108, 0 },
#endif
    { 0 },
    &operand_data[12337],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6972 */
  {
    "*norvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9109 },
#else
    { 0, output_9109, 0 },
#endif
    { 0 },
    &operand_data[12343],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6972 */
  {
    "*nandvnx4bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9110 },
#else
    { 0, output_9110, 0 },
#endif
    { 0 },
    &operand_data[12343],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6972 */
  {
    "*norvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9111 },
#else
    { 0, output_9111, 0 },
#endif
    { 0 },
    &operand_data[12349],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6972 */
  {
    "*nandvnx2bi3_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9112 },
#else
    { 0, output_9112, 0 },
#endif
    { 0 },
    &operand_data[12349],
    6,
    6,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7027 */
  {
    "aarch64_pred_fmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9113 },
#else
    { 0, output_9113, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx16qi },
    &operand_data[12355],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7027 */
  {
    "aarch64_pred_fmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9114 },
#else
    { 0, output_9114, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8qi },
    &operand_data[12360],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7027 */
  {
    "aarch64_pred_fmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9115 },
#else
    { 0, output_9115, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4qi },
    &operand_data[12365],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7027 */
  {
    "aarch64_pred_fmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9116 },
#else
    { 0, output_9116, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2qi },
    &operand_data[12370],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7027 */
  {
    "aarch64_pred_fmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9117 },
#else
    { 0, output_9117, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8hi },
    &operand_data[12375],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7027 */
  {
    "aarch64_pred_fmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9118 },
#else
    { 0, output_9118, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4hi },
    &operand_data[12380],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7027 */
  {
    "aarch64_pred_fmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9119 },
#else
    { 0, output_9119, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2hi },
    &operand_data[12385],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7027 */
  {
    "aarch64_pred_fmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9120 },
#else
    { 0, output_9120, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4si },
    &operand_data[12390],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7027 */
  {
    "aarch64_pred_fmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9121 },
#else
    { 0, output_9121, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2si },
    &operand_data[12395],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7027 */
  {
    "aarch64_pred_fmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9122 },
#else
    { 0, output_9122, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2di },
    &operand_data[12400],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7069 */
  {
    "*cond_fmavnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9123 },
#else
    { 0, output_9123, 0 },
#endif
    { 0 },
    &operand_data[12405],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7069 */
  {
    "*cond_fmavnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9124 },
#else
    { 0, output_9124, 0 },
#endif
    { 0 },
    &operand_data[12410],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7069 */
  {
    "*cond_fmavnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9125 },
#else
    { 0, output_9125, 0 },
#endif
    { 0 },
    &operand_data[12415],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7069 */
  {
    "*cond_fmavnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9126 },
#else
    { 0, output_9126, 0 },
#endif
    { 0 },
    &operand_data[12420],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7069 */
  {
    "*cond_fmavnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9127 },
#else
    { 0, output_9127, 0 },
#endif
    { 0 },
    &operand_data[12425],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7069 */
  {
    "*cond_fmavnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9128 },
#else
    { 0, output_9128, 0 },
#endif
    { 0 },
    &operand_data[12430],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7069 */
  {
    "*cond_fmavnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9129 },
#else
    { 0, output_9129, 0 },
#endif
    { 0 },
    &operand_data[12435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7069 */
  {
    "*cond_fmavnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9130 },
#else
    { 0, output_9130, 0 },
#endif
    { 0 },
    &operand_data[12440],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7069 */
  {
    "*cond_fmavnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9131 },
#else
    { 0, output_9131, 0 },
#endif
    { 0 },
    &operand_data[12445],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7069 */
  {
    "*cond_fmavnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9132 },
#else
    { 0, output_9132, 0 },
#endif
    { 0 },
    &operand_data[12450],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7088 */
  {
    "*cond_fmavnx16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9133 },
#else
    { 0, output_9133, 0 },
#endif
    { 0 },
    &operand_data[12455],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7088 */
  {
    "*cond_fmavnx8qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9134 },
#else
    { 0, output_9134, 0 },
#endif
    { 0 },
    &operand_data[12460],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7088 */
  {
    "*cond_fmavnx4qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9135 },
#else
    { 0, output_9135, 0 },
#endif
    { 0 },
    &operand_data[12465],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7088 */
  {
    "*cond_fmavnx2qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9136 },
#else
    { 0, output_9136, 0 },
#endif
    { 0 },
    &operand_data[12470],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7088 */
  {
    "*cond_fmavnx8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9137 },
#else
    { 0, output_9137, 0 },
#endif
    { 0 },
    &operand_data[12475],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7088 */
  {
    "*cond_fmavnx4hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9138 },
#else
    { 0, output_9138, 0 },
#endif
    { 0 },
    &operand_data[12480],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7088 */
  {
    "*cond_fmavnx2hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9139 },
#else
    { 0, output_9139, 0 },
#endif
    { 0 },
    &operand_data[12485],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7088 */
  {
    "*cond_fmavnx4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9140 },
#else
    { 0, output_9140, 0 },
#endif
    { 0 },
    &operand_data[12490],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7088 */
  {
    "*cond_fmavnx2si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9141 },
#else
    { 0, output_9141, 0 },
#endif
    { 0 },
    &operand_data[12495],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7088 */
  {
    "*cond_fmavnx2di_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9142 },
#else
    { 0, output_9142, 0 },
#endif
    { 0 },
    &operand_data[12500],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7107 */
  {
    "*cond_fmavnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9143 },
#else
    { 0, output_9143, 0 },
#endif
    { 0 },
    &operand_data[12505],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7107 */
  {
    "*cond_fmavnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9144 },
#else
    { 0, output_9144, 0 },
#endif
    { 0 },
    &operand_data[12511],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7107 */
  {
    "*cond_fmavnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9145 },
#else
    { 0, output_9145, 0 },
#endif
    { 0 },
    &operand_data[12517],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7107 */
  {
    "*cond_fmavnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9146 },
#else
    { 0, output_9146, 0 },
#endif
    { 0 },
    &operand_data[12523],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7107 */
  {
    "*cond_fmavnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9147 },
#else
    { 0, output_9147, 0 },
#endif
    { 0 },
    &operand_data[12529],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7107 */
  {
    "*cond_fmavnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9148 },
#else
    { 0, output_9148, 0 },
#endif
    { 0 },
    &operand_data[12535],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7107 */
  {
    "*cond_fmavnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9149 },
#else
    { 0, output_9149, 0 },
#endif
    { 0 },
    &operand_data[12541],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7107 */
  {
    "*cond_fmavnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9150 },
#else
    { 0, output_9150, 0 },
#endif
    { 0 },
    &operand_data[12547],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7107 */
  {
    "*cond_fmavnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9151 },
#else
    { 0, output_9151, 0 },
#endif
    { 0 },
    &operand_data[12553],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7107 */
  {
    "*cond_fmavnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9152 },
#else
    { 0, output_9152, 0 },
#endif
    { 0 },
    &operand_data[12559],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7169 */
  {
    "aarch64_pred_fnmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9153 },
#else
    { 0, output_9153, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx16qi },
    &operand_data[12355],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7169 */
  {
    "aarch64_pred_fnmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9154 },
#else
    { 0, output_9154, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8qi },
    &operand_data[12360],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7169 */
  {
    "aarch64_pred_fnmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9155 },
#else
    { 0, output_9155, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4qi },
    &operand_data[12365],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7169 */
  {
    "aarch64_pred_fnmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9156 },
#else
    { 0, output_9156, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2qi },
    &operand_data[12370],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7169 */
  {
    "aarch64_pred_fnmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9157 },
#else
    { 0, output_9157, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8hi },
    &operand_data[12375],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7169 */
  {
    "aarch64_pred_fnmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9158 },
#else
    { 0, output_9158, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4hi },
    &operand_data[12380],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7169 */
  {
    "aarch64_pred_fnmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9159 },
#else
    { 0, output_9159, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2hi },
    &operand_data[12385],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7169 */
  {
    "aarch64_pred_fnmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9160 },
#else
    { 0, output_9160, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4si },
    &operand_data[12390],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7169 */
  {
    "aarch64_pred_fnmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9161 },
#else
    { 0, output_9161, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2si },
    &operand_data[12395],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7169 */
  {
    "aarch64_pred_fnmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9162 },
#else
    { 0, output_9162, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2di },
    &operand_data[12400],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7211 */
  {
    "*cond_fnmavnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9163 },
#else
    { 0, output_9163, 0 },
#endif
    { 0 },
    &operand_data[12405],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7211 */
  {
    "*cond_fnmavnx8qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9164 },
#else
    { 0, output_9164, 0 },
#endif
    { 0 },
    &operand_data[12410],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7211 */
  {
    "*cond_fnmavnx4qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9165 },
#else
    { 0, output_9165, 0 },
#endif
    { 0 },
    &operand_data[12415],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7211 */
  {
    "*cond_fnmavnx2qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9166 },
#else
    { 0, output_9166, 0 },
#endif
    { 0 },
    &operand_data[12420],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7211 */
  {
    "*cond_fnmavnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9167 },
#else
    { 0, output_9167, 0 },
#endif
    { 0 },
    &operand_data[12425],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7211 */
  {
    "*cond_fnmavnx4hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9168 },
#else
    { 0, output_9168, 0 },
#endif
    { 0 },
    &operand_data[12430],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7211 */
  {
    "*cond_fnmavnx2hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9169 },
#else
    { 0, output_9169, 0 },
#endif
    { 0 },
    &operand_data[12435],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7211 */
  {
    "*cond_fnmavnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9170 },
#else
    { 0, output_9170, 0 },
#endif
    { 0 },
    &operand_data[12440],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7211 */
  {
    "*cond_fnmavnx2si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9171 },
#else
    { 0, output_9171, 0 },
#endif
    { 0 },
    &operand_data[12445],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7211 */
  {
    "*cond_fnmavnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9172 },
#else
    { 0, output_9172, 0 },
#endif
    { 0 },
    &operand_data[12450],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "*cond_fnmavnx16qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9173 },
#else
    { 0, output_9173, 0 },
#endif
    { 0 },
    &operand_data[12455],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "*cond_fnmavnx8qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9174 },
#else
    { 0, output_9174, 0 },
#endif
    { 0 },
    &operand_data[12460],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "*cond_fnmavnx4qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9175 },
#else
    { 0, output_9175, 0 },
#endif
    { 0 },
    &operand_data[12465],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "*cond_fnmavnx2qi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9176 },
#else
    { 0, output_9176, 0 },
#endif
    { 0 },
    &operand_data[12470],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "*cond_fnmavnx8hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9177 },
#else
    { 0, output_9177, 0 },
#endif
    { 0 },
    &operand_data[12475],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "*cond_fnmavnx4hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9178 },
#else
    { 0, output_9178, 0 },
#endif
    { 0 },
    &operand_data[12480],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "*cond_fnmavnx2hi_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9179 },
#else
    { 0, output_9179, 0 },
#endif
    { 0 },
    &operand_data[12485],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "*cond_fnmavnx4si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9180 },
#else
    { 0, output_9180, 0 },
#endif
    { 0 },
    &operand_data[12490],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "*cond_fnmavnx2si_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9181 },
#else
    { 0, output_9181, 0 },
#endif
    { 0 },
    &operand_data[12495],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7230 */
  {
    "*cond_fnmavnx2di_4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9182 },
#else
    { 0, output_9182, 0 },
#endif
    { 0 },
    &operand_data[12500],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "*cond_fnmavnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9183 },
#else
    { 0, output_9183, 0 },
#endif
    { 0 },
    &operand_data[12505],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "*cond_fnmavnx8qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9184 },
#else
    { 0, output_9184, 0 },
#endif
    { 0 },
    &operand_data[12511],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "*cond_fnmavnx4qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9185 },
#else
    { 0, output_9185, 0 },
#endif
    { 0 },
    &operand_data[12517],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "*cond_fnmavnx2qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9186 },
#else
    { 0, output_9186, 0 },
#endif
    { 0 },
    &operand_data[12523],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "*cond_fnmavnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9187 },
#else
    { 0, output_9187, 0 },
#endif
    { 0 },
    &operand_data[12529],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "*cond_fnmavnx4hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9188 },
#else
    { 0, output_9188, 0 },
#endif
    { 0 },
    &operand_data[12535],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "*cond_fnmavnx2hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9189 },
#else
    { 0, output_9189, 0 },
#endif
    { 0 },
    &operand_data[12541],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "*cond_fnmavnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9190 },
#else
    { 0, output_9190, 0 },
#endif
    { 0 },
    &operand_data[12547],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "*cond_fnmavnx2si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9191 },
#else
    { 0, output_9191, 0 },
#endif
    { 0 },
    &operand_data[12553],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7250 */
  {
    "*cond_fnmavnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9192 },
#else
    { 0, output_9192, 0 },
#endif
    { 0 },
    &operand_data[12559],
    6,
    6,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7295 */
  {
    "sdot_prodvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9193 },
#else
    { 0, output_9193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodvnx4sivnx16qi },
    &operand_data[12565],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7295 */
  {
    "udot_prodvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9194 },
#else
    { 0, output_9194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodvnx4sivnx16qi },
    &operand_data[12565],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7295 */
  {
    "sdot_prodvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9195 },
#else
    { 0, output_9195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodvnx2divnx8hi },
    &operand_data[12569],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7295 */
  {
    "udot_prodvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9196 },
#else
    { 0, output_9196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodvnx2divnx8hi },
    &operand_data[12569],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7311 */
  {
    "aarch64_sdot_prod_lanevnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9197 },
#else
    { 0, output_9197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx4sivnx16qi },
    &operand_data[12573],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7311 */
  {
    "aarch64_udot_prod_lanevnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9198 },
#else
    { 0, output_9198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx4sivnx16qi },
    &operand_data[12573],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7311 */
  {
    "aarch64_sdot_prod_lanevnx2divnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9199 },
#else
    { 0, output_9199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx2divnx16qi },
    &operand_data[12578],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7311 */
  {
    "aarch64_udot_prod_lanevnx2divnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9200 },
#else
    { 0, output_9200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx2divnx16qi },
    &operand_data[12578],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7311 */
  {
    "aarch64_sdot_prod_lanevnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9201 },
#else
    { 0, output_9201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx4sivnx8hi },
    &operand_data[12583],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7311 */
  {
    "aarch64_udot_prod_lanevnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9202 },
#else
    { 0, output_9202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx4sivnx8hi },
    &operand_data[12583],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7311 */
  {
    "aarch64_sdot_prod_lanevnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9203 },
#else
    { 0, output_9203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sdot_prod_lanevnx2divnx8hi },
    &operand_data[12588],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7311 */
  {
    "aarch64_udot_prod_lanevnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9204 },
#else
    { 0, output_9204, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_udot_prod_lanevnx2divnx8hi },
    &operand_data[12588],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7333 */
  {
    "usdot_prodvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9205 },
#else
    { 0, output_9205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usdot_prodvnx4sivnx16qi },
    &operand_data[12565],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7348 */
  {
    "aarch64_usdot_prod_lanevnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9206 },
#else
    { 0, output_9206, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usdot_prod_lanevnx4sivnx16qi },
    &operand_data[12573],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7348 */
  {
    "aarch64_sudot_prod_lanevnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9207 },
#else
    { 0, output_9207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sudot_prod_lanevnx4sivnx16qi },
    &operand_data[12573],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7406 */
  {
    "aarch64_sve_add_smatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9208 },
#else
    { 0, output_9208, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smatmulvnx16qi },
    &operand_data[12593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7406 */
  {
    "aarch64_sve_add_umatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9209 },
#else
    { 0, output_9209, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umatmulvnx16qi },
    &operand_data[12593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7406 */
  {
    "aarch64_sve_add_usmatmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9210 },
#else
    { 0, output_9210, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_usmatmulvnx16qi },
    &operand_data[12593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fmavnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9211 },
#else
    { 0, output_9211, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8bf },
    &operand_data[12597],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fnmavnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9212 },
#else
    { 0, output_9212, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8bf },
    &operand_data[12597],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fnmsvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9213 },
#else
    { 0, output_9213, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx8bf },
    &operand_data[12597],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fmsvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9214 },
#else
    { 0, output_9214, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx8bf },
    &operand_data[12597],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9215 },
#else
    { 0, output_9215, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx8hf },
    &operand_data[12603],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fnmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9216 },
#else
    { 0, output_9216, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx8hf },
    &operand_data[12603],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fnmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9217 },
#else
    { 0, output_9217, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx8hf },
    &operand_data[12603],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9218 },
#else
    { 0, output_9218, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx8hf },
    &operand_data[12603],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9219 },
#else
    { 0, output_9219, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx4sf },
    &operand_data[12609],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fnmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9220 },
#else
    { 0, output_9220, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx4sf },
    &operand_data[12609],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fnmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9221 },
#else
    { 0, output_9221, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx4sf },
    &operand_data[12609],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9222 },
#else
    { 0, output_9222, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx4sf },
    &operand_data[12609],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9223 },
#else
    { 0, output_9223, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmavnx2df },
    &operand_data[12615],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fnmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9224 },
#else
    { 0, output_9224, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmavnx2df },
    &operand_data[12615],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fnmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9225 },
#else
    { 0, output_9225, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fnmsvnx2df },
    &operand_data[12615],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7452 */
  {
    "aarch64_pred_fmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9226 },
#else
    { 0, output_9226, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmsvnx2df },
    &operand_data[12615],
    6,
    6,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7495 */
  {
    "*cond_fmavnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9227 },
#else
    { 0, output_9227, 0 },
#endif
    { 0 },
    &operand_data[12621],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7495 */
  {
    "*cond_fnmavnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9228 },
#else
    { 0, output_9228, 0 },
#endif
    { 0 },
    &operand_data[12621],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7495 */
  {
    "*cond_fnmsvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9229 },
#else
    { 0, output_9229, 0 },
#endif
    { 0 },
    &operand_data[12621],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7495 */
  {
    "*cond_fmsvnx8hf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9230 },
#else
    { 0, output_9230, 0 },
#endif
    { 0 },
    &operand_data[12621],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7495 */
  {
    "*cond_fmavnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9231 },
#else
    { 0, output_9231, 0 },
#endif
    { 0 },
    &operand_data[12627],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7495 */
  {
    "*cond_fnmavnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9232 },
#else
    { 0, output_9232, 0 },
#endif
    { 0 },
    &operand_data[12627],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7495 */
  {
    "*cond_fnmsvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9233 },
#else
    { 0, output_9233, 0 },
#endif
    { 0 },
    &operand_data[12627],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7495 */
  {
    "*cond_fmsvnx4sf_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9234 },
#else
    { 0, output_9234, 0 },
#endif
    { 0 },
    &operand_data[12627],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7495 */
  {
    "*cond_fmavnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9235 },
#else
    { 0, output_9235, 0 },
#endif
    { 0 },
    &operand_data[12633],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7495 */
  {
    "*cond_fnmavnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9236 },
#else
    { 0, output_9236, 0 },
#endif
    { 0 },
    &operand_data[12633],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7495 */
  {
    "*cond_fnmsvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9237 },
#else
    { 0, output_9237, 0 },
#endif
    { 0 },
    &operand_data[12633],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7495 */
  {
    "*cond_fmsvnx2df_2_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9238 },
#else
    { 0, output_9238, 0 },
#endif
    { 0 },
    &operand_data[12633],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "*cond_fmavnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9239 },
#else
    { 0, output_9239, 0 },
#endif
    { 0 },
    &operand_data[12621],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "*cond_fnmavnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9240 },
#else
    { 0, output_9240, 0 },
#endif
    { 0 },
    &operand_data[12621],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "*cond_fnmsvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9241 },
#else
    { 0, output_9241, 0 },
#endif
    { 0 },
    &operand_data[12621],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "*cond_fmsvnx8hf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9242 },
#else
    { 0, output_9242, 0 },
#endif
    { 0 },
    &operand_data[12621],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "*cond_fmavnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9243 },
#else
    { 0, output_9243, 0 },
#endif
    { 0 },
    &operand_data[12627],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "*cond_fnmavnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9244 },
#else
    { 0, output_9244, 0 },
#endif
    { 0 },
    &operand_data[12627],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "*cond_fnmsvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9245 },
#else
    { 0, output_9245, 0 },
#endif
    { 0 },
    &operand_data[12627],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "*cond_fmsvnx4sf_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9246 },
#else
    { 0, output_9246, 0 },
#endif
    { 0 },
    &operand_data[12627],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "*cond_fmavnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9247 },
#else
    { 0, output_9247, 0 },
#endif
    { 0 },
    &operand_data[12633],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "*cond_fnmavnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9248 },
#else
    { 0, output_9248, 0 },
#endif
    { 0 },
    &operand_data[12633],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "*cond_fnmsvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9249 },
#else
    { 0, output_9249, 0 },
#endif
    { 0 },
    &operand_data[12633],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7519 */
  {
    "*cond_fmsvnx2df_2_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9250 },
#else
    { 0, output_9250, 0 },
#endif
    { 0 },
    &operand_data[12633],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fmavnx8bf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9251 },
#else
    { 0, output_9251, 0 },
#endif
    { 0 },
    &operand_data[12639],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fnmavnx8bf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9252 },
#else
    { 0, output_9252, 0 },
#endif
    { 0 },
    &operand_data[12639],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fnmsvnx8bf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9253 },
#else
    { 0, output_9253, 0 },
#endif
    { 0 },
    &operand_data[12639],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fmsvnx8bf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9254 },
#else
    { 0, output_9254, 0 },
#endif
    { 0 },
    &operand_data[12639],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fmavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9255 },
#else
    { 0, output_9255, 0 },
#endif
    { 0 },
    &operand_data[12645],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fnmavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9256 },
#else
    { 0, output_9256, 0 },
#endif
    { 0 },
    &operand_data[12645],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fnmsvnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9257 },
#else
    { 0, output_9257, 0 },
#endif
    { 0 },
    &operand_data[12645],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fmsvnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9258 },
#else
    { 0, output_9258, 0 },
#endif
    { 0 },
    &operand_data[12645],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fmavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9259 },
#else
    { 0, output_9259, 0 },
#endif
    { 0 },
    &operand_data[12651],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fnmavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9260 },
#else
    { 0, output_9260, 0 },
#endif
    { 0 },
    &operand_data[12651],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fnmsvnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9261 },
#else
    { 0, output_9261, 0 },
#endif
    { 0 },
    &operand_data[12651],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fmsvnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9262 },
#else
    { 0, output_9262, 0 },
#endif
    { 0 },
    &operand_data[12651],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fmavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9263 },
#else
    { 0, output_9263, 0 },
#endif
    { 0 },
    &operand_data[12657],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fnmavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9264 },
#else
    { 0, output_9264, 0 },
#endif
    { 0 },
    &operand_data[12657],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fnmsvnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9265 },
#else
    { 0, output_9265, 0 },
#endif
    { 0 },
    &operand_data[12657],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7541 */
  {
    "*cond_fmsvnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9266 },
#else
    { 0, output_9266, 0 },
#endif
    { 0 },
    &operand_data[12657],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fmavnx8bf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9267 },
#else
    { 0, output_9267, 0 },
#endif
    { 0 },
    &operand_data[12639],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fnmavnx8bf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9268 },
#else
    { 0, output_9268, 0 },
#endif
    { 0 },
    &operand_data[12639],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fnmsvnx8bf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9269 },
#else
    { 0, output_9269, 0 },
#endif
    { 0 },
    &operand_data[12639],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fmsvnx8bf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9270 },
#else
    { 0, output_9270, 0 },
#endif
    { 0 },
    &operand_data[12639],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fmavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9271 },
#else
    { 0, output_9271, 0 },
#endif
    { 0 },
    &operand_data[12645],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fnmavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9272 },
#else
    { 0, output_9272, 0 },
#endif
    { 0 },
    &operand_data[12645],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fnmsvnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9273 },
#else
    { 0, output_9273, 0 },
#endif
    { 0 },
    &operand_data[12645],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fmsvnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9274 },
#else
    { 0, output_9274, 0 },
#endif
    { 0 },
    &operand_data[12645],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fmavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9275 },
#else
    { 0, output_9275, 0 },
#endif
    { 0 },
    &operand_data[12651],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fnmavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9276 },
#else
    { 0, output_9276, 0 },
#endif
    { 0 },
    &operand_data[12651],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fnmsvnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9277 },
#else
    { 0, output_9277, 0 },
#endif
    { 0 },
    &operand_data[12651],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fmsvnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9278 },
#else
    { 0, output_9278, 0 },
#endif
    { 0 },
    &operand_data[12651],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fmavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9279 },
#else
    { 0, output_9279, 0 },
#endif
    { 0 },
    &operand_data[12657],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fnmavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9280 },
#else
    { 0, output_9280, 0 },
#endif
    { 0 },
    &operand_data[12657],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fnmsvnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9281 },
#else
    { 0, output_9281, 0 },
#endif
    { 0 },
    &operand_data[12657],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7565 */
  {
    "*cond_fmsvnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9282 },
#else
    { 0, output_9282, 0 },
#endif
    { 0 },
    &operand_data[12657],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fmavnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9283 },
#else
    { 0, output_9283, 0 },
#endif
    { 0 },
    &operand_data[12663],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fnmavnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9284 },
#else
    { 0, output_9284, 0 },
#endif
    { 0 },
    &operand_data[12663],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fnmsvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9285 },
#else
    { 0, output_9285, 0 },
#endif
    { 0 },
    &operand_data[12663],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fmsvnx8bf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9286 },
#else
    { 0, output_9286, 0 },
#endif
    { 0 },
    &operand_data[12663],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fmavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9287 },
#else
    { 0, output_9287, 0 },
#endif
    { 0 },
    &operand_data[12670],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fnmavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9288 },
#else
    { 0, output_9288, 0 },
#endif
    { 0 },
    &operand_data[12670],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fnmsvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9289 },
#else
    { 0, output_9289, 0 },
#endif
    { 0 },
    &operand_data[12670],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fmsvnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9290 },
#else
    { 0, output_9290, 0 },
#endif
    { 0 },
    &operand_data[12670],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fmavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9291 },
#else
    { 0, output_9291, 0 },
#endif
    { 0 },
    &operand_data[12677],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fnmavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9292 },
#else
    { 0, output_9292, 0 },
#endif
    { 0 },
    &operand_data[12677],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fnmsvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9293 },
#else
    { 0, output_9293, 0 },
#endif
    { 0 },
    &operand_data[12677],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fmsvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9294 },
#else
    { 0, output_9294, 0 },
#endif
    { 0 },
    &operand_data[12677],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fmavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9295 },
#else
    { 0, output_9295, 0 },
#endif
    { 0 },
    &operand_data[12684],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fnmavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9296 },
#else
    { 0, output_9296, 0 },
#endif
    { 0 },
    &operand_data[12684],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fnmsvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9297 },
#else
    { 0, output_9297, 0 },
#endif
    { 0 },
    &operand_data[12684],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7587 */
  {
    "*cond_fmsvnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9298 },
#else
    { 0, output_9298, 0 },
#endif
    { 0 },
    &operand_data[12684],
    7,
    7,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fmavnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9299 },
#else
    { 0, output_9299, 0 },
#endif
    { 0 },
    &operand_data[12663],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fnmavnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9300 },
#else
    { 0, output_9300, 0 },
#endif
    { 0 },
    &operand_data[12663],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fnmsvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9301 },
#else
    { 0, output_9301, 0 },
#endif
    { 0 },
    &operand_data[12663],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fmsvnx8bf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9302 },
#else
    { 0, output_9302, 0 },
#endif
    { 0 },
    &operand_data[12663],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fmavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9303 },
#else
    { 0, output_9303, 0 },
#endif
    { 0 },
    &operand_data[12670],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fnmavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9304 },
#else
    { 0, output_9304, 0 },
#endif
    { 0 },
    &operand_data[12670],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fnmsvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9305 },
#else
    { 0, output_9305, 0 },
#endif
    { 0 },
    &operand_data[12670],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fmsvnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9306 },
#else
    { 0, output_9306, 0 },
#endif
    { 0 },
    &operand_data[12670],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fmavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9307 },
#else
    { 0, output_9307, 0 },
#endif
    { 0 },
    &operand_data[12677],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fnmavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9308 },
#else
    { 0, output_9308, 0 },
#endif
    { 0 },
    &operand_data[12677],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fnmsvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9309 },
#else
    { 0, output_9309, 0 },
#endif
    { 0 },
    &operand_data[12677],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fmsvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9310 },
#else
    { 0, output_9310, 0 },
#endif
    { 0 },
    &operand_data[12677],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fmavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9311 },
#else
    { 0, output_9311, 0 },
#endif
    { 0 },
    &operand_data[12684],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fnmavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9312 },
#else
    { 0, output_9312, 0 },
#endif
    { 0 },
    &operand_data[12684],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fnmsvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9313 },
#else
    { 0, output_9313, 0 },
#endif
    { 0 },
    &operand_data[12684],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7633 */
  {
    "*cond_fmsvnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9314 },
#else
    { 0, output_9314, 0 },
#endif
    { 0 },
    &operand_data[12684],
    6,
    6,
    1,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7674 */
  {
    "aarch64_fma_lane_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9315 },
#else
    { 0, output_9315, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx8bf },
    &operand_data[12691],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7674 */
  {
    "aarch64_fnma_lane_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9316 },
#else
    { 0, output_9316, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx8bf },
    &operand_data[12691],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7674 */
  {
    "aarch64_fma_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9317 },
#else
    { 0, output_9317, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx8hf },
    &operand_data[12696],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7674 */
  {
    "aarch64_fnma_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9318 },
#else
    { 0, output_9318, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx8hf },
    &operand_data[12696],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7674 */
  {
    "aarch64_fma_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9319 },
#else
    { 0, output_9319, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx4sf },
    &operand_data[12701],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7674 */
  {
    "aarch64_fnma_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9320 },
#else
    { 0, output_9320, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx4sf },
    &operand_data[12701],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7674 */
  {
    "aarch64_fma_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9321 },
#else
    { 0, output_9321, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fma_lane_vnx2df },
    &operand_data[12706],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7674 */
  {
    "aarch64_fnma_lane_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9322 },
#else
    { 0, output_9322, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fnma_lane_vnx2df },
    &operand_data[12706],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7699 */
  {
    "aarch64_pred_fcmlavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9323 },
#else
    { 0, output_9323, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx8hf },
    &operand_data[12711],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7699 */
  {
    "aarch64_pred_fcmla90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9324 },
#else
    { 0, output_9324, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx8hf },
    &operand_data[12711],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7699 */
  {
    "aarch64_pred_fcmla180vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9325 },
#else
    { 0, output_9325, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx8hf },
    &operand_data[12711],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7699 */
  {
    "aarch64_pred_fcmla270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9326 },
#else
    { 0, output_9326, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx8hf },
    &operand_data[12711],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7699 */
  {
    "aarch64_pred_fcmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9327 },
#else
    { 0, output_9327, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx4sf },
    &operand_data[12717],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7699 */
  {
    "aarch64_pred_fcmla90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9328 },
#else
    { 0, output_9328, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx4sf },
    &operand_data[12717],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7699 */
  {
    "aarch64_pred_fcmla180vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9329 },
#else
    { 0, output_9329, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx4sf },
    &operand_data[12717],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7699 */
  {
    "aarch64_pred_fcmla270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9330 },
#else
    { 0, output_9330, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx4sf },
    &operand_data[12717],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7699 */
  {
    "aarch64_pred_fcmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9331 },
#else
    { 0, output_9331, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlavnx2df },
    &operand_data[12723],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7699 */
  {
    "aarch64_pred_fcmla90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9332 },
#else
    { 0, output_9332, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla90vnx2df },
    &operand_data[12723],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7699 */
  {
    "aarch64_pred_fcmla180vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9333 },
#else
    { 0, output_9333, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla180vnx2df },
    &operand_data[12723],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7699 */
  {
    "aarch64_pred_fcmla270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9334 },
#else
    { 0, output_9334, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmla270vnx2df },
    &operand_data[12723],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7789 */
  {
    "*cond_fcmlavnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9335 },
#else
    { 0, output_9335, 0 },
#endif
    { 0 },
    &operand_data[12645],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7789 */
  {
    "*cond_fcmla90vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9336 },
#else
    { 0, output_9336, 0 },
#endif
    { 0 },
    &operand_data[12645],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7789 */
  {
    "*cond_fcmla180vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9337 },
#else
    { 0, output_9337, 0 },
#endif
    { 0 },
    &operand_data[12645],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7789 */
  {
    "*cond_fcmla270vnx8hf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9338 },
#else
    { 0, output_9338, 0 },
#endif
    { 0 },
    &operand_data[12645],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7789 */
  {
    "*cond_fcmlavnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9339 },
#else
    { 0, output_9339, 0 },
#endif
    { 0 },
    &operand_data[12651],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7789 */
  {
    "*cond_fcmla90vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9340 },
#else
    { 0, output_9340, 0 },
#endif
    { 0 },
    &operand_data[12651],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7789 */
  {
    "*cond_fcmla180vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9341 },
#else
    { 0, output_9341, 0 },
#endif
    { 0 },
    &operand_data[12651],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7789 */
  {
    "*cond_fcmla270vnx4sf_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9342 },
#else
    { 0, output_9342, 0 },
#endif
    { 0 },
    &operand_data[12651],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7789 */
  {
    "*cond_fcmlavnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9343 },
#else
    { 0, output_9343, 0 },
#endif
    { 0 },
    &operand_data[12657],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7789 */
  {
    "*cond_fcmla90vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9344 },
#else
    { 0, output_9344, 0 },
#endif
    { 0 },
    &operand_data[12657],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7789 */
  {
    "*cond_fcmla180vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9345 },
#else
    { 0, output_9345, 0 },
#endif
    { 0 },
    &operand_data[12657],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7789 */
  {
    "*cond_fcmla270vnx2df_4_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9346 },
#else
    { 0, output_9346, 0 },
#endif
    { 0 },
    &operand_data[12657],
    6,
    6,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7813 */
  {
    "*cond_fcmlavnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9347 },
#else
    { 0, output_9347, 0 },
#endif
    { 0 },
    &operand_data[12645],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7813 */
  {
    "*cond_fcmla90vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9348 },
#else
    { 0, output_9348, 0 },
#endif
    { 0 },
    &operand_data[12645],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7813 */
  {
    "*cond_fcmla180vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9349 },
#else
    { 0, output_9349, 0 },
#endif
    { 0 },
    &operand_data[12645],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7813 */
  {
    "*cond_fcmla270vnx8hf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9350 },
#else
    { 0, output_9350, 0 },
#endif
    { 0 },
    &operand_data[12645],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7813 */
  {
    "*cond_fcmlavnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9351 },
#else
    { 0, output_9351, 0 },
#endif
    { 0 },
    &operand_data[12651],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7813 */
  {
    "*cond_fcmla90vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9352 },
#else
    { 0, output_9352, 0 },
#endif
    { 0 },
    &operand_data[12651],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7813 */
  {
    "*cond_fcmla180vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9353 },
#else
    { 0, output_9353, 0 },
#endif
    { 0 },
    &operand_data[12651],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7813 */
  {
    "*cond_fcmla270vnx4sf_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9354 },
#else
    { 0, output_9354, 0 },
#endif
    { 0 },
    &operand_data[12651],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7813 */
  {
    "*cond_fcmlavnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9355 },
#else
    { 0, output_9355, 0 },
#endif
    { 0 },
    &operand_data[12657],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7813 */
  {
    "*cond_fcmla90vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9356 },
#else
    { 0, output_9356, 0 },
#endif
    { 0 },
    &operand_data[12657],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7813 */
  {
    "*cond_fcmla180vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9357 },
#else
    { 0, output_9357, 0 },
#endif
    { 0 },
    &operand_data[12657],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7813 */
  {
    "*cond_fcmla270vnx2df_4_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9358 },
#else
    { 0, output_9358, 0 },
#endif
    { 0 },
    &operand_data[12657],
    5,
    5,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "*cond_fcmlavnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9359 },
#else
    { 0, output_9359, 0 },
#endif
    { 0 },
    &operand_data[12729],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "*cond_fcmla90vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9360 },
#else
    { 0, output_9360, 0 },
#endif
    { 0 },
    &operand_data[12729],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "*cond_fcmla180vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9361 },
#else
    { 0, output_9361, 0 },
#endif
    { 0 },
    &operand_data[12729],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "*cond_fcmla270vnx8hf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9362 },
#else
    { 0, output_9362, 0 },
#endif
    { 0 },
    &operand_data[12729],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "*cond_fcmlavnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9363 },
#else
    { 0, output_9363, 0 },
#endif
    { 0 },
    &operand_data[12736],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "*cond_fcmla90vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9364 },
#else
    { 0, output_9364, 0 },
#endif
    { 0 },
    &operand_data[12736],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "*cond_fcmla180vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9365 },
#else
    { 0, output_9365, 0 },
#endif
    { 0 },
    &operand_data[12736],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "*cond_fcmla270vnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9366 },
#else
    { 0, output_9366, 0 },
#endif
    { 0 },
    &operand_data[12736],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "*cond_fcmlavnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9367 },
#else
    { 0, output_9367, 0 },
#endif
    { 0 },
    &operand_data[12743],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "*cond_fcmla90vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9368 },
#else
    { 0, output_9368, 0 },
#endif
    { 0 },
    &operand_data[12743],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "*cond_fcmla180vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9369 },
#else
    { 0, output_9369, 0 },
#endif
    { 0 },
    &operand_data[12743],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7834 */
  {
    "*cond_fcmla270vnx2df_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9370 },
#else
    { 0, output_9370, 0 },
#endif
    { 0 },
    &operand_data[12743],
    7,
    7,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7872 */
  {
    "*cond_fcmlavnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9371 },
#else
    { 0, output_9371, 0 },
#endif
    { 0 },
    &operand_data[12729],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7872 */
  {
    "*cond_fcmla90vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9372 },
#else
    { 0, output_9372, 0 },
#endif
    { 0 },
    &operand_data[12729],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7872 */
  {
    "*cond_fcmla180vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9373 },
#else
    { 0, output_9373, 0 },
#endif
    { 0 },
    &operand_data[12729],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7872 */
  {
    "*cond_fcmla270vnx8hf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9374 },
#else
    { 0, output_9374, 0 },
#endif
    { 0 },
    &operand_data[12729],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7872 */
  {
    "*cond_fcmlavnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9375 },
#else
    { 0, output_9375, 0 },
#endif
    { 0 },
    &operand_data[12736],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7872 */
  {
    "*cond_fcmla90vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9376 },
#else
    { 0, output_9376, 0 },
#endif
    { 0 },
    &operand_data[12736],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7872 */
  {
    "*cond_fcmla180vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9377 },
#else
    { 0, output_9377, 0 },
#endif
    { 0 },
    &operand_data[12736],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7872 */
  {
    "*cond_fcmla270vnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9378 },
#else
    { 0, output_9378, 0 },
#endif
    { 0 },
    &operand_data[12736],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7872 */
  {
    "*cond_fcmlavnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9379 },
#else
    { 0, output_9379, 0 },
#endif
    { 0 },
    &operand_data[12743],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7872 */
  {
    "*cond_fcmla90vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9380 },
#else
    { 0, output_9380, 0 },
#endif
    { 0 },
    &operand_data[12743],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7872 */
  {
    "*cond_fcmla180vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9381 },
#else
    { 0, output_9381, 0 },
#endif
    { 0 },
    &operand_data[12743],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7872 */
  {
    "*cond_fcmla270vnx2df_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9382 },
#else
    { 0, output_9382, 0 },
#endif
    { 0 },
    &operand_data[12743],
    6,
    6,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7904 */
  {
    "aarch64_fcmla_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9383 },
#else
    { 0, output_9383, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane_vnx8hf },
    &operand_data[12696],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7904 */
  {
    "aarch64_fcmla90_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9384 },
#else
    { 0, output_9384, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90_lane_vnx8hf },
    &operand_data[12696],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7904 */
  {
    "aarch64_fcmla180_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9385 },
#else
    { 0, output_9385, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180_lane_vnx8hf },
    &operand_data[12696],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7904 */
  {
    "aarch64_fcmla270_lane_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9386 },
#else
    { 0, output_9386, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270_lane_vnx8hf },
    &operand_data[12696],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7904 */
  {
    "aarch64_fcmla_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9387 },
#else
    { 0, output_9387, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla_lane_vnx4sf },
    &operand_data[12750],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7904 */
  {
    "aarch64_fcmla90_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9388 },
#else
    { 0, output_9388, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla90_lane_vnx4sf },
    &operand_data[12750],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7904 */
  {
    "aarch64_fcmla180_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9389 },
#else
    { 0, output_9389, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla180_lane_vnx4sf },
    &operand_data[12750],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7904 */
  {
    "aarch64_fcmla270_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9390 },
#else
    { 0, output_9390, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fcmla270_lane_vnx4sf },
    &operand_data[12750],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7928 */
  {
    "aarch64_sve_tmadvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9391 },
#else
    { 0, output_9391, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx8hf },
    &operand_data[12755],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7928 */
  {
    "aarch64_sve_tmadvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9392 },
#else
    { 0, output_9392, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx4sf },
    &operand_data[12759],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7928 */
  {
    "aarch64_sve_tmadvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9393 },
#else
    { 0, output_9393, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tmadvnx2df },
    &operand_data[12763],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7954 */
  {
    "aarch64_sve_bfdotvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9394 },
#else
    { 0, output_9394, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfdotvnx4sf },
    &operand_data[12767],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7954 */
  {
    "aarch64_sve_bfmlalbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9395 },
#else
    { 0, output_9395, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalbvnx4sf },
    &operand_data[12767],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7954 */
  {
    "aarch64_sve_bfmlaltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9396 },
#else
    { 0, output_9396, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlaltvnx4sf },
    &operand_data[12767],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7954 */
  {
    "aarch64_sve_bfmlslbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9397 },
#else
    { 0, output_9397, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlslbvnx4sf },
    &operand_data[12767],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7954 */
  {
    "aarch64_sve_bfmlsltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9398 },
#else
    { 0, output_9398, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlsltvnx4sf },
    &operand_data[12767],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7954 */
  {
    "aarch64_sve_bfmmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9399 },
#else
    { 0, output_9399, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmmlavnx4sf },
    &operand_data[12767],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "aarch64_sve_bfdot_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9400 },
#else
    { 0, output_9400, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfdot_lanevnx4sf },
    &operand_data[12771],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "aarch64_sve_bfmlalb_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9401 },
#else
    { 0, output_9401, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalb_lanevnx4sf },
    &operand_data[12771],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "aarch64_sve_bfmlalt_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9402 },
#else
    { 0, output_9402, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlalt_lanevnx4sf },
    &operand_data[12771],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "aarch64_sve_bfmlslb_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9403 },
#else
    { 0, output_9403, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlslb_lanevnx4sf },
    &operand_data[12771],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7969 */
  {
    "aarch64_sve_bfmlslt_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9404 },
#else
    { 0, output_9404, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bfmlslt_lanevnx4sf },
    &operand_data[12771],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7992 */
  {
    "aarch64_sve_fmmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9405 },
#else
    { 0, output_9405, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmmlavnx4sf },
    &operand_data[12776],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7992 */
  {
    "aarch64_sve_fmmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9406 },
#else
    { 0, output_9406, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmmlavnx2df },
    &operand_data[12780],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9407 },
#else
    { 0, output_9407, 0 },
#endif
    { 0 },
    &operand_data[12784],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9408 },
#else
    { 0, output_9408, 0 },
#endif
    { 0 },
    &operand_data[12788],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9409 },
#else
    { 0, output_9409, 0 },
#endif
    { 0 },
    &operand_data[12792],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9410 },
#else
    { 0, output_9410, 0 },
#endif
    { 0 },
    &operand_data[12796],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9411 },
#else
    { 0, output_9411, 0 },
#endif
    { 0 },
    &operand_data[12800],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9412 },
#else
    { 0, output_9412, 0 },
#endif
    { 0 },
    &operand_data[12804],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9413 },
#else
    { 0, output_9413, 0 },
#endif
    { 0 },
    &operand_data[12808],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9414 },
#else
    { 0, output_9414, 0 },
#endif
    { 0 },
    &operand_data[12812],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9415 },
#else
    { 0, output_9415, 0 },
#endif
    { 0 },
    &operand_data[12816],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9416 },
#else
    { 0, output_9416, 0 },
#endif
    { 0 },
    &operand_data[12820],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9417 },
#else
    { 0, output_9417, 0 },
#endif
    { 0 },
    &operand_data[12824],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9418 },
#else
    { 0, output_9418, 0 },
#endif
    { 0 },
    &operand_data[12828],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9419 },
#else
    { 0, output_9419, 0 },
#endif
    { 0 },
    &operand_data[12832],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9420 },
#else
    { 0, output_9420, 0 },
#endif
    { 0 },
    &operand_data[12836],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9421 },
#else
    { 0, output_9421, 0 },
#endif
    { 0 },
    &operand_data[12840],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9422 },
#else
    { 0, output_9422, 0 },
#endif
    { 0 },
    &operand_data[12844],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9423 },
#else
    { 0, output_9423, 0 },
#endif
    { 0 },
    &operand_data[12848],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9424 },
#else
    { 0, output_9424, 0 },
#endif
    { 0 },
    &operand_data[12852],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8053 */
  {
    "*vcond_mask_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9425 },
#else
    { 0, output_9425, 0 },
#endif
    { 0 },
    &operand_data[12856],
    4,
    4,
    0,
    7,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9426 },
#else
    { 0, output_9426, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx16qi },
    &operand_data[12860],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9427 },
#else
    { 0, output_9427, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8qi },
    &operand_data[12864],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9428 },
#else
    { 0, output_9428, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4qi },
    &operand_data[12868],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9429 },
#else
    { 0, output_9429, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2qi },
    &operand_data[12872],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9430 },
#else
    { 0, output_9430, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8hi },
    &operand_data[12876],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9431 },
#else
    { 0, output_9431, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4hi },
    &operand_data[12880],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9432 },
#else
    { 0, output_9432, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2hi },
    &operand_data[12884],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9433 },
#else
    { 0, output_9433, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4si },
    &operand_data[12888],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9434 },
#else
    { 0, output_9434, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2si },
    &operand_data[12892],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9435 },
#else
    { 0, output_9435, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2di },
    &operand_data[12896],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9436 },
#else
    { 0, output_9436, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8hf },
    &operand_data[12900],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9437 },
#else
    { 0, output_9437, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4hf },
    &operand_data[12904],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9438 },
#else
    { 0, output_9438, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2hf },
    &operand_data[12908],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9439 },
#else
    { 0, output_9439, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx8bf },
    &operand_data[12912],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9440 },
#else
    { 0, output_9440, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4bf },
    &operand_data[12916],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9441 },
#else
    { 0, output_9441, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2bf },
    &operand_data[12920],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9442 },
#else
    { 0, output_9442, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx4sf },
    &operand_data[12924],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9443 },
#else
    { 0, output_9443, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2sf },
    &operand_data[12928],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8078 */
  {
    "aarch64_sel_dupvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9444 },
#else
    { 0, output_9444, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sel_dupvnx2df },
    &operand_data[12932],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9445 },
#else
    { 0, output_9445, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx16qi },
    &operand_data[12936],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9446 },
#else
    { 0, output_9446, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx16qi },
    &operand_data[12936],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpeqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9447 },
#else
    { 0, output_9447, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx16qi },
    &operand_data[12936],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpnevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9448 },
#else
    { 0, output_9448, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx16qi },
    &operand_data[12936],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9449 },
#else
    { 0, output_9449, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx16qi },
    &operand_data[12936],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgtvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9450 },
#else
    { 0, output_9450, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx16qi },
    &operand_data[12936],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplovnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9451 },
#else
    { 0, output_9451, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx16qi },
    &operand_data[12941],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9452 },
#else
    { 0, output_9452, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx16qi },
    &operand_data[12941],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9453 },
#else
    { 0, output_9453, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx16qi },
    &operand_data[12941],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9454 },
#else
    { 0, output_9454, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx16qi },
    &operand_data[12941],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpltvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9455 },
#else
    { 0, output_9455, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8qi },
    &operand_data[12946],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9456 },
#else
    { 0, output_9456, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8qi },
    &operand_data[12946],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpeqvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9457 },
#else
    { 0, output_9457, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8qi },
    &operand_data[12946],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpnevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9458 },
#else
    { 0, output_9458, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8qi },
    &operand_data[12946],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9459 },
#else
    { 0, output_9459, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8qi },
    &operand_data[12946],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgtvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9460 },
#else
    { 0, output_9460, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8qi },
    &operand_data[12946],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplovnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9461 },
#else
    { 0, output_9461, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8qi },
    &operand_data[12951],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9462 },
#else
    { 0, output_9462, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8qi },
    &operand_data[12951],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9463 },
#else
    { 0, output_9463, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8qi },
    &operand_data[12951],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9464 },
#else
    { 0, output_9464, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8qi },
    &operand_data[12951],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpltvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9465 },
#else
    { 0, output_9465, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4qi },
    &operand_data[12956],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9466 },
#else
    { 0, output_9466, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4qi },
    &operand_data[12956],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpeqvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9467 },
#else
    { 0, output_9467, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4qi },
    &operand_data[12956],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpnevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9468 },
#else
    { 0, output_9468, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4qi },
    &operand_data[12956],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9469 },
#else
    { 0, output_9469, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4qi },
    &operand_data[12956],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgtvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9470 },
#else
    { 0, output_9470, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4qi },
    &operand_data[12956],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplovnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9471 },
#else
    { 0, output_9471, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4qi },
    &operand_data[12961],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9472 },
#else
    { 0, output_9472, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4qi },
    &operand_data[12961],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9473 },
#else
    { 0, output_9473, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4qi },
    &operand_data[12961],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9474 },
#else
    { 0, output_9474, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4qi },
    &operand_data[12961],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpltvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9475 },
#else
    { 0, output_9475, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2qi },
    &operand_data[12966],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9476 },
#else
    { 0, output_9476, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2qi },
    &operand_data[12966],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpeqvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9477 },
#else
    { 0, output_9477, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2qi },
    &operand_data[12966],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpnevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9478 },
#else
    { 0, output_9478, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2qi },
    &operand_data[12966],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9479 },
#else
    { 0, output_9479, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2qi },
    &operand_data[12966],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgtvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9480 },
#else
    { 0, output_9480, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2qi },
    &operand_data[12966],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplovnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9481 },
#else
    { 0, output_9481, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2qi },
    &operand_data[12971],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9482 },
#else
    { 0, output_9482, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2qi },
    &operand_data[12971],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9483 },
#else
    { 0, output_9483, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2qi },
    &operand_data[12971],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9484 },
#else
    { 0, output_9484, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2qi },
    &operand_data[12971],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9485 },
#else
    { 0, output_9485, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8hi },
    &operand_data[12976],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9486 },
#else
    { 0, output_9486, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8hi },
    &operand_data[12976],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpeqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9487 },
#else
    { 0, output_9487, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8hi },
    &operand_data[12976],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpnevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9488 },
#else
    { 0, output_9488, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8hi },
    &operand_data[12976],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9489 },
#else
    { 0, output_9489, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8hi },
    &operand_data[12976],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9490 },
#else
    { 0, output_9490, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8hi },
    &operand_data[12976],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplovnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9491 },
#else
    { 0, output_9491, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8hi },
    &operand_data[12981],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9492 },
#else
    { 0, output_9492, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8hi },
    &operand_data[12981],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9493 },
#else
    { 0, output_9493, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8hi },
    &operand_data[12981],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9494 },
#else
    { 0, output_9494, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8hi },
    &operand_data[12981],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpltvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9495 },
#else
    { 0, output_9495, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4hi },
    &operand_data[12986],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9496 },
#else
    { 0, output_9496, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4hi },
    &operand_data[12986],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpeqvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9497 },
#else
    { 0, output_9497, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4hi },
    &operand_data[12986],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpnevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9498 },
#else
    { 0, output_9498, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4hi },
    &operand_data[12986],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9499 },
#else
    { 0, output_9499, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4hi },
    &operand_data[12986],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgtvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9500 },
#else
    { 0, output_9500, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4hi },
    &operand_data[12986],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplovnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9501 },
#else
    { 0, output_9501, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4hi },
    &operand_data[12991],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9502 },
#else
    { 0, output_9502, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4hi },
    &operand_data[12991],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9503 },
#else
    { 0, output_9503, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4hi },
    &operand_data[12991],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9504 },
#else
    { 0, output_9504, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4hi },
    &operand_data[12991],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpltvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9505 },
#else
    { 0, output_9505, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2hi },
    &operand_data[12996],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9506 },
#else
    { 0, output_9506, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2hi },
    &operand_data[12996],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpeqvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9507 },
#else
    { 0, output_9507, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2hi },
    &operand_data[12996],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpnevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9508 },
#else
    { 0, output_9508, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2hi },
    &operand_data[12996],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9509 },
#else
    { 0, output_9509, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2hi },
    &operand_data[12996],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgtvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9510 },
#else
    { 0, output_9510, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2hi },
    &operand_data[12996],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplovnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9511 },
#else
    { 0, output_9511, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2hi },
    &operand_data[13001],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9512 },
#else
    { 0, output_9512, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2hi },
    &operand_data[13001],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9513 },
#else
    { 0, output_9513, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2hi },
    &operand_data[13001],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9514 },
#else
    { 0, output_9514, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2hi },
    &operand_data[13001],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9515 },
#else
    { 0, output_9515, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4si },
    &operand_data[13006],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9516 },
#else
    { 0, output_9516, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4si },
    &operand_data[13006],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpeqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9517 },
#else
    { 0, output_9517, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4si },
    &operand_data[13006],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpnevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9518 },
#else
    { 0, output_9518, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4si },
    &operand_data[13006],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9519 },
#else
    { 0, output_9519, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4si },
    &operand_data[13006],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9520 },
#else
    { 0, output_9520, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4si },
    &operand_data[13006],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplovnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9521 },
#else
    { 0, output_9521, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4si },
    &operand_data[13011],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9522 },
#else
    { 0, output_9522, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4si },
    &operand_data[13011],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9523 },
#else
    { 0, output_9523, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4si },
    &operand_data[13011],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9524 },
#else
    { 0, output_9524, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4si },
    &operand_data[13011],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpltvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9525 },
#else
    { 0, output_9525, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2si },
    &operand_data[13016],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9526 },
#else
    { 0, output_9526, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2si },
    &operand_data[13016],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpeqvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9527 },
#else
    { 0, output_9527, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2si },
    &operand_data[13016],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpnevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9528 },
#else
    { 0, output_9528, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2si },
    &operand_data[13016],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9529 },
#else
    { 0, output_9529, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2si },
    &operand_data[13016],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgtvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9530 },
#else
    { 0, output_9530, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2si },
    &operand_data[13016],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplovnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9531 },
#else
    { 0, output_9531, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2si },
    &operand_data[13021],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9532 },
#else
    { 0, output_9532, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2si },
    &operand_data[13021],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9533 },
#else
    { 0, output_9533, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2si },
    &operand_data[13021],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9534 },
#else
    { 0, output_9534, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2si },
    &operand_data[13021],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9535 },
#else
    { 0, output_9535, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx2di },
    &operand_data[13026],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9536 },
#else
    { 0, output_9536, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx2di },
    &operand_data[13026],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpeqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9537 },
#else
    { 0, output_9537, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx2di },
    &operand_data[13026],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpnevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9538 },
#else
    { 0, output_9538, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx2di },
    &operand_data[13026],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9539 },
#else
    { 0, output_9539, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx2di },
    &operand_data[13026],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmpgtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9540 },
#else
    { 0, output_9540, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx2di },
    &operand_data[13026],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplovnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9541 },
#else
    { 0, output_9541, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx2di },
    &operand_data[13031],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmplsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9542 },
#else
    { 0, output_9542, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx2di },
    &operand_data[13031],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9543 },
#else
    { 0, output_9543, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx2di },
    &operand_data[13031],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8174 */
  {
    "aarch64_pred_cmphivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9544 },
#else
    { 0, output_9544, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx2di },
    &operand_data[13031],
    5,
    5,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpltvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9545 },
#else
    { 0, output_9545, 0 },
#endif
    { 0 },
    &operand_data[13036],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9546 },
#else
    { 0, output_9546, 0 },
#endif
    { 0 },
    &operand_data[13036],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpeqvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9547 },
#else
    { 0, output_9547, 0 },
#endif
    { 0 },
    &operand_data[13036],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpnevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9548 },
#else
    { 0, output_9548, 0 },
#endif
    { 0 },
    &operand_data[13036],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgevnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9549 },
#else
    { 0, output_9549, 0 },
#endif
    { 0 },
    &operand_data[13036],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgtvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9550 },
#else
    { 0, output_9550, 0 },
#endif
    { 0 },
    &operand_data[13036],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplovnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9551 },
#else
    { 0, output_9551, 0 },
#endif
    { 0 },
    &operand_data[13044],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplsvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9552 },
#else
    { 0, output_9552, 0 },
#endif
    { 0 },
    &operand_data[13044],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphsvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9553 },
#else
    { 0, output_9553, 0 },
#endif
    { 0 },
    &operand_data[13044],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphivnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9554 },
#else
    { 0, output_9554, 0 },
#endif
    { 0 },
    &operand_data[13044],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpltvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9555 },
#else
    { 0, output_9555, 0 },
#endif
    { 0 },
    &operand_data[13052],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplevnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9556 },
#else
    { 0, output_9556, 0 },
#endif
    { 0 },
    &operand_data[13052],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpeqvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9557 },
#else
    { 0, output_9557, 0 },
#endif
    { 0 },
    &operand_data[13052],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpnevnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9558 },
#else
    { 0, output_9558, 0 },
#endif
    { 0 },
    &operand_data[13052],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgevnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9559 },
#else
    { 0, output_9559, 0 },
#endif
    { 0 },
    &operand_data[13052],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgtvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9560 },
#else
    { 0, output_9560, 0 },
#endif
    { 0 },
    &operand_data[13052],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplovnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9561 },
#else
    { 0, output_9561, 0 },
#endif
    { 0 },
    &operand_data[13060],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplsvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9562 },
#else
    { 0, output_9562, 0 },
#endif
    { 0 },
    &operand_data[13060],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphsvnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9563 },
#else
    { 0, output_9563, 0 },
#endif
    { 0 },
    &operand_data[13060],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphivnx8qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9564 },
#else
    { 0, output_9564, 0 },
#endif
    { 0 },
    &operand_data[13060],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpltvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9565 },
#else
    { 0, output_9565, 0 },
#endif
    { 0 },
    &operand_data[13068],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplevnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9566 },
#else
    { 0, output_9566, 0 },
#endif
    { 0 },
    &operand_data[13068],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpeqvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9567 },
#else
    { 0, output_9567, 0 },
#endif
    { 0 },
    &operand_data[13068],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpnevnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9568 },
#else
    { 0, output_9568, 0 },
#endif
    { 0 },
    &operand_data[13068],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgevnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9569 },
#else
    { 0, output_9569, 0 },
#endif
    { 0 },
    &operand_data[13068],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgtvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9570 },
#else
    { 0, output_9570, 0 },
#endif
    { 0 },
    &operand_data[13068],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplovnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9571 },
#else
    { 0, output_9571, 0 },
#endif
    { 0 },
    &operand_data[13076],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplsvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9572 },
#else
    { 0, output_9572, 0 },
#endif
    { 0 },
    &operand_data[13076],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphsvnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9573 },
#else
    { 0, output_9573, 0 },
#endif
    { 0 },
    &operand_data[13076],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphivnx4qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9574 },
#else
    { 0, output_9574, 0 },
#endif
    { 0 },
    &operand_data[13076],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpltvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9575 },
#else
    { 0, output_9575, 0 },
#endif
    { 0 },
    &operand_data[13084],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplevnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9576 },
#else
    { 0, output_9576, 0 },
#endif
    { 0 },
    &operand_data[13084],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpeqvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9577 },
#else
    { 0, output_9577, 0 },
#endif
    { 0 },
    &operand_data[13084],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpnevnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9578 },
#else
    { 0, output_9578, 0 },
#endif
    { 0 },
    &operand_data[13084],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgevnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9579 },
#else
    { 0, output_9579, 0 },
#endif
    { 0 },
    &operand_data[13084],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgtvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9580 },
#else
    { 0, output_9580, 0 },
#endif
    { 0 },
    &operand_data[13084],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplovnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9581 },
#else
    { 0, output_9581, 0 },
#endif
    { 0 },
    &operand_data[13092],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplsvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9582 },
#else
    { 0, output_9582, 0 },
#endif
    { 0 },
    &operand_data[13092],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphsvnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9583 },
#else
    { 0, output_9583, 0 },
#endif
    { 0 },
    &operand_data[13092],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphivnx2qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9584 },
#else
    { 0, output_9584, 0 },
#endif
    { 0 },
    &operand_data[13092],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpltvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9585 },
#else
    { 0, output_9585, 0 },
#endif
    { 0 },
    &operand_data[13100],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9586 },
#else
    { 0, output_9586, 0 },
#endif
    { 0 },
    &operand_data[13100],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpeqvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9587 },
#else
    { 0, output_9587, 0 },
#endif
    { 0 },
    &operand_data[13100],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpnevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9588 },
#else
    { 0, output_9588, 0 },
#endif
    { 0 },
    &operand_data[13100],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgevnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9589 },
#else
    { 0, output_9589, 0 },
#endif
    { 0 },
    &operand_data[13100],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgtvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9590 },
#else
    { 0, output_9590, 0 },
#endif
    { 0 },
    &operand_data[13100],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplovnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9591 },
#else
    { 0, output_9591, 0 },
#endif
    { 0 },
    &operand_data[13108],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplsvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9592 },
#else
    { 0, output_9592, 0 },
#endif
    { 0 },
    &operand_data[13108],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphsvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9593 },
#else
    { 0, output_9593, 0 },
#endif
    { 0 },
    &operand_data[13108],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphivnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9594 },
#else
    { 0, output_9594, 0 },
#endif
    { 0 },
    &operand_data[13108],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpltvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9595 },
#else
    { 0, output_9595, 0 },
#endif
    { 0 },
    &operand_data[13116],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplevnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9596 },
#else
    { 0, output_9596, 0 },
#endif
    { 0 },
    &operand_data[13116],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpeqvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9597 },
#else
    { 0, output_9597, 0 },
#endif
    { 0 },
    &operand_data[13116],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpnevnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9598 },
#else
    { 0, output_9598, 0 },
#endif
    { 0 },
    &operand_data[13116],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgevnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9599 },
#else
    { 0, output_9599, 0 },
#endif
    { 0 },
    &operand_data[13116],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgtvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9600 },
#else
    { 0, output_9600, 0 },
#endif
    { 0 },
    &operand_data[13116],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplovnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9601 },
#else
    { 0, output_9601, 0 },
#endif
    { 0 },
    &operand_data[13124],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplsvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9602 },
#else
    { 0, output_9602, 0 },
#endif
    { 0 },
    &operand_data[13124],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphsvnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9603 },
#else
    { 0, output_9603, 0 },
#endif
    { 0 },
    &operand_data[13124],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphivnx4hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9604 },
#else
    { 0, output_9604, 0 },
#endif
    { 0 },
    &operand_data[13124],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpltvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9605 },
#else
    { 0, output_9605, 0 },
#endif
    { 0 },
    &operand_data[13132],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplevnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9606 },
#else
    { 0, output_9606, 0 },
#endif
    { 0 },
    &operand_data[13132],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpeqvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9607 },
#else
    { 0, output_9607, 0 },
#endif
    { 0 },
    &operand_data[13132],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpnevnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9608 },
#else
    { 0, output_9608, 0 },
#endif
    { 0 },
    &operand_data[13132],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgevnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9609 },
#else
    { 0, output_9609, 0 },
#endif
    { 0 },
    &operand_data[13132],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgtvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9610 },
#else
    { 0, output_9610, 0 },
#endif
    { 0 },
    &operand_data[13132],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplovnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9611 },
#else
    { 0, output_9611, 0 },
#endif
    { 0 },
    &operand_data[13140],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplsvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9612 },
#else
    { 0, output_9612, 0 },
#endif
    { 0 },
    &operand_data[13140],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphsvnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9613 },
#else
    { 0, output_9613, 0 },
#endif
    { 0 },
    &operand_data[13140],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphivnx2hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9614 },
#else
    { 0, output_9614, 0 },
#endif
    { 0 },
    &operand_data[13140],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpltvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9615 },
#else
    { 0, output_9615, 0 },
#endif
    { 0 },
    &operand_data[13148],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9616 },
#else
    { 0, output_9616, 0 },
#endif
    { 0 },
    &operand_data[13148],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpeqvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9617 },
#else
    { 0, output_9617, 0 },
#endif
    { 0 },
    &operand_data[13148],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpnevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9618 },
#else
    { 0, output_9618, 0 },
#endif
    { 0 },
    &operand_data[13148],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgevnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9619 },
#else
    { 0, output_9619, 0 },
#endif
    { 0 },
    &operand_data[13148],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgtvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9620 },
#else
    { 0, output_9620, 0 },
#endif
    { 0 },
    &operand_data[13148],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplovnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9621 },
#else
    { 0, output_9621, 0 },
#endif
    { 0 },
    &operand_data[13156],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplsvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9622 },
#else
    { 0, output_9622, 0 },
#endif
    { 0 },
    &operand_data[13156],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphsvnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9623 },
#else
    { 0, output_9623, 0 },
#endif
    { 0 },
    &operand_data[13156],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphivnx4si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9624 },
#else
    { 0, output_9624, 0 },
#endif
    { 0 },
    &operand_data[13156],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpltvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9625 },
#else
    { 0, output_9625, 0 },
#endif
    { 0 },
    &operand_data[13164],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplevnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9626 },
#else
    { 0, output_9626, 0 },
#endif
    { 0 },
    &operand_data[13164],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpeqvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9627 },
#else
    { 0, output_9627, 0 },
#endif
    { 0 },
    &operand_data[13164],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpnevnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9628 },
#else
    { 0, output_9628, 0 },
#endif
    { 0 },
    &operand_data[13164],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgevnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9629 },
#else
    { 0, output_9629, 0 },
#endif
    { 0 },
    &operand_data[13164],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgtvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9630 },
#else
    { 0, output_9630, 0 },
#endif
    { 0 },
    &operand_data[13164],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplovnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9631 },
#else
    { 0, output_9631, 0 },
#endif
    { 0 },
    &operand_data[13172],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplsvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9632 },
#else
    { 0, output_9632, 0 },
#endif
    { 0 },
    &operand_data[13172],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphsvnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9633 },
#else
    { 0, output_9633, 0 },
#endif
    { 0 },
    &operand_data[13172],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphivnx2si_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9634 },
#else
    { 0, output_9634, 0 },
#endif
    { 0 },
    &operand_data[13172],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpltvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9635 },
#else
    { 0, output_9635, 0 },
#endif
    { 0 },
    &operand_data[13180],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9636 },
#else
    { 0, output_9636, 0 },
#endif
    { 0 },
    &operand_data[13180],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpeqvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9637 },
#else
    { 0, output_9637, 0 },
#endif
    { 0 },
    &operand_data[13180],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpnevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9638 },
#else
    { 0, output_9638, 0 },
#endif
    { 0 },
    &operand_data[13180],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgevnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9639 },
#else
    { 0, output_9639, 0 },
#endif
    { 0 },
    &operand_data[13180],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmpgtvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9640 },
#else
    { 0, output_9640, 0 },
#endif
    { 0 },
    &operand_data[13180],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplovnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9641 },
#else
    { 0, output_9641, 0 },
#endif
    { 0 },
    &operand_data[13188],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmplsvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9642 },
#else
    { 0, output_9642, 0 },
#endif
    { 0 },
    &operand_data[13188],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphsvnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9643 },
#else
    { 0, output_9643, 0 },
#endif
    { 0 },
    &operand_data[13188],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8197 */
  {
    "*cmphivnx2di_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9644 },
#else
    { 0, output_9644, 0 },
#endif
    { 0 },
    &operand_data[13188],
    8,
    8,
    4,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpltvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9645 },
#else
    { 0, output_9645, 0 },
#endif
    { 0 },
    &operand_data[13196],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9646 },
#else
    { 0, output_9646, 0 },
#endif
    { 0 },
    &operand_data[13196],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpeqvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9647 },
#else
    { 0, output_9647, 0 },
#endif
    { 0 },
    &operand_data[13196],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpnevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9648 },
#else
    { 0, output_9648, 0 },
#endif
    { 0 },
    &operand_data[13196],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgevnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9649 },
#else
    { 0, output_9649, 0 },
#endif
    { 0 },
    &operand_data[13196],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgtvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9650 },
#else
    { 0, output_9650, 0 },
#endif
    { 0 },
    &operand_data[13196],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplovnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9651 },
#else
    { 0, output_9651, 0 },
#endif
    { 0 },
    &operand_data[13204],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplsvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9652 },
#else
    { 0, output_9652, 0 },
#endif
    { 0 },
    &operand_data[13204],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphsvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9653 },
#else
    { 0, output_9653, 0 },
#endif
    { 0 },
    &operand_data[13204],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphivnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9654 },
#else
    { 0, output_9654, 0 },
#endif
    { 0 },
    &operand_data[13204],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpltvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9655 },
#else
    { 0, output_9655, 0 },
#endif
    { 0 },
    &operand_data[13212],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplevnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9656 },
#else
    { 0, output_9656, 0 },
#endif
    { 0 },
    &operand_data[13212],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpeqvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9657 },
#else
    { 0, output_9657, 0 },
#endif
    { 0 },
    &operand_data[13212],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpnevnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9658 },
#else
    { 0, output_9658, 0 },
#endif
    { 0 },
    &operand_data[13212],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgevnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9659 },
#else
    { 0, output_9659, 0 },
#endif
    { 0 },
    &operand_data[13212],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgtvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9660 },
#else
    { 0, output_9660, 0 },
#endif
    { 0 },
    &operand_data[13212],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplovnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9661 },
#else
    { 0, output_9661, 0 },
#endif
    { 0 },
    &operand_data[13220],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplsvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9662 },
#else
    { 0, output_9662, 0 },
#endif
    { 0 },
    &operand_data[13220],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphsvnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9663 },
#else
    { 0, output_9663, 0 },
#endif
    { 0 },
    &operand_data[13220],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphivnx8qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9664 },
#else
    { 0, output_9664, 0 },
#endif
    { 0 },
    &operand_data[13220],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpltvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9665 },
#else
    { 0, output_9665, 0 },
#endif
    { 0 },
    &operand_data[13228],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplevnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9666 },
#else
    { 0, output_9666, 0 },
#endif
    { 0 },
    &operand_data[13228],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpeqvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9667 },
#else
    { 0, output_9667, 0 },
#endif
    { 0 },
    &operand_data[13228],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpnevnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9668 },
#else
    { 0, output_9668, 0 },
#endif
    { 0 },
    &operand_data[13228],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgevnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9669 },
#else
    { 0, output_9669, 0 },
#endif
    { 0 },
    &operand_data[13228],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgtvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9670 },
#else
    { 0, output_9670, 0 },
#endif
    { 0 },
    &operand_data[13228],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplovnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9671 },
#else
    { 0, output_9671, 0 },
#endif
    { 0 },
    &operand_data[13236],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplsvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9672 },
#else
    { 0, output_9672, 0 },
#endif
    { 0 },
    &operand_data[13236],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphsvnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9673 },
#else
    { 0, output_9673, 0 },
#endif
    { 0 },
    &operand_data[13236],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphivnx4qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9674 },
#else
    { 0, output_9674, 0 },
#endif
    { 0 },
    &operand_data[13236],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpltvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9675 },
#else
    { 0, output_9675, 0 },
#endif
    { 0 },
    &operand_data[13244],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplevnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9676 },
#else
    { 0, output_9676, 0 },
#endif
    { 0 },
    &operand_data[13244],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpeqvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9677 },
#else
    { 0, output_9677, 0 },
#endif
    { 0 },
    &operand_data[13244],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpnevnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9678 },
#else
    { 0, output_9678, 0 },
#endif
    { 0 },
    &operand_data[13244],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgevnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9679 },
#else
    { 0, output_9679, 0 },
#endif
    { 0 },
    &operand_data[13244],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgtvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9680 },
#else
    { 0, output_9680, 0 },
#endif
    { 0 },
    &operand_data[13244],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplovnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9681 },
#else
    { 0, output_9681, 0 },
#endif
    { 0 },
    &operand_data[13252],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplsvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9682 },
#else
    { 0, output_9682, 0 },
#endif
    { 0 },
    &operand_data[13252],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphsvnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9683 },
#else
    { 0, output_9683, 0 },
#endif
    { 0 },
    &operand_data[13252],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphivnx2qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9684 },
#else
    { 0, output_9684, 0 },
#endif
    { 0 },
    &operand_data[13252],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpltvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9685 },
#else
    { 0, output_9685, 0 },
#endif
    { 0 },
    &operand_data[13260],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9686 },
#else
    { 0, output_9686, 0 },
#endif
    { 0 },
    &operand_data[13260],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpeqvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9687 },
#else
    { 0, output_9687, 0 },
#endif
    { 0 },
    &operand_data[13260],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpnevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9688 },
#else
    { 0, output_9688, 0 },
#endif
    { 0 },
    &operand_data[13260],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgevnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9689 },
#else
    { 0, output_9689, 0 },
#endif
    { 0 },
    &operand_data[13260],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgtvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9690 },
#else
    { 0, output_9690, 0 },
#endif
    { 0 },
    &operand_data[13260],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplovnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9691 },
#else
    { 0, output_9691, 0 },
#endif
    { 0 },
    &operand_data[13268],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplsvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9692 },
#else
    { 0, output_9692, 0 },
#endif
    { 0 },
    &operand_data[13268],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphsvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9693 },
#else
    { 0, output_9693, 0 },
#endif
    { 0 },
    &operand_data[13268],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphivnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9694 },
#else
    { 0, output_9694, 0 },
#endif
    { 0 },
    &operand_data[13268],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpltvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9695 },
#else
    { 0, output_9695, 0 },
#endif
    { 0 },
    &operand_data[13276],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplevnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9696 },
#else
    { 0, output_9696, 0 },
#endif
    { 0 },
    &operand_data[13276],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpeqvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9697 },
#else
    { 0, output_9697, 0 },
#endif
    { 0 },
    &operand_data[13276],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpnevnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9698 },
#else
    { 0, output_9698, 0 },
#endif
    { 0 },
    &operand_data[13276],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgevnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9699 },
#else
    { 0, output_9699, 0 },
#endif
    { 0 },
    &operand_data[13276],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgtvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9700 },
#else
    { 0, output_9700, 0 },
#endif
    { 0 },
    &operand_data[13276],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplovnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9701 },
#else
    { 0, output_9701, 0 },
#endif
    { 0 },
    &operand_data[13284],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplsvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9702 },
#else
    { 0, output_9702, 0 },
#endif
    { 0 },
    &operand_data[13284],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphsvnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9703 },
#else
    { 0, output_9703, 0 },
#endif
    { 0 },
    &operand_data[13284],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphivnx4hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9704 },
#else
    { 0, output_9704, 0 },
#endif
    { 0 },
    &operand_data[13284],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpltvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9705 },
#else
    { 0, output_9705, 0 },
#endif
    { 0 },
    &operand_data[13292],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplevnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9706 },
#else
    { 0, output_9706, 0 },
#endif
    { 0 },
    &operand_data[13292],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpeqvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9707 },
#else
    { 0, output_9707, 0 },
#endif
    { 0 },
    &operand_data[13292],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpnevnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9708 },
#else
    { 0, output_9708, 0 },
#endif
    { 0 },
    &operand_data[13292],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgevnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9709 },
#else
    { 0, output_9709, 0 },
#endif
    { 0 },
    &operand_data[13292],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgtvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9710 },
#else
    { 0, output_9710, 0 },
#endif
    { 0 },
    &operand_data[13292],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplovnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9711 },
#else
    { 0, output_9711, 0 },
#endif
    { 0 },
    &operand_data[13300],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplsvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9712 },
#else
    { 0, output_9712, 0 },
#endif
    { 0 },
    &operand_data[13300],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphsvnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9713 },
#else
    { 0, output_9713, 0 },
#endif
    { 0 },
    &operand_data[13300],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphivnx2hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9714 },
#else
    { 0, output_9714, 0 },
#endif
    { 0 },
    &operand_data[13300],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpltvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9715 },
#else
    { 0, output_9715, 0 },
#endif
    { 0 },
    &operand_data[13308],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9716 },
#else
    { 0, output_9716, 0 },
#endif
    { 0 },
    &operand_data[13308],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpeqvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9717 },
#else
    { 0, output_9717, 0 },
#endif
    { 0 },
    &operand_data[13308],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpnevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9718 },
#else
    { 0, output_9718, 0 },
#endif
    { 0 },
    &operand_data[13308],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgevnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9719 },
#else
    { 0, output_9719, 0 },
#endif
    { 0 },
    &operand_data[13308],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgtvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9720 },
#else
    { 0, output_9720, 0 },
#endif
    { 0 },
    &operand_data[13308],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplovnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9721 },
#else
    { 0, output_9721, 0 },
#endif
    { 0 },
    &operand_data[13316],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplsvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9722 },
#else
    { 0, output_9722, 0 },
#endif
    { 0 },
    &operand_data[13316],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphsvnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9723 },
#else
    { 0, output_9723, 0 },
#endif
    { 0 },
    &operand_data[13316],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphivnx4si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9724 },
#else
    { 0, output_9724, 0 },
#endif
    { 0 },
    &operand_data[13316],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpltvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9725 },
#else
    { 0, output_9725, 0 },
#endif
    { 0 },
    &operand_data[13324],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplevnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9726 },
#else
    { 0, output_9726, 0 },
#endif
    { 0 },
    &operand_data[13324],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpeqvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9727 },
#else
    { 0, output_9727, 0 },
#endif
    { 0 },
    &operand_data[13324],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpnevnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9728 },
#else
    { 0, output_9728, 0 },
#endif
    { 0 },
    &operand_data[13324],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgevnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9729 },
#else
    { 0, output_9729, 0 },
#endif
    { 0 },
    &operand_data[13324],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgtvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9730 },
#else
    { 0, output_9730, 0 },
#endif
    { 0 },
    &operand_data[13324],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplovnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9731 },
#else
    { 0, output_9731, 0 },
#endif
    { 0 },
    &operand_data[13332],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplsvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9732 },
#else
    { 0, output_9732, 0 },
#endif
    { 0 },
    &operand_data[13332],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphsvnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9733 },
#else
    { 0, output_9733, 0 },
#endif
    { 0 },
    &operand_data[13332],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphivnx2si_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9734 },
#else
    { 0, output_9734, 0 },
#endif
    { 0 },
    &operand_data[13332],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpltvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9735 },
#else
    { 0, output_9735, 0 },
#endif
    { 0 },
    &operand_data[13340],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9736 },
#else
    { 0, output_9736, 0 },
#endif
    { 0 },
    &operand_data[13340],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpeqvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9737 },
#else
    { 0, output_9737, 0 },
#endif
    { 0 },
    &operand_data[13340],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpnevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9738 },
#else
    { 0, output_9738, 0 },
#endif
    { 0 },
    &operand_data[13340],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgevnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9739 },
#else
    { 0, output_9739, 0 },
#endif
    { 0 },
    &operand_data[13340],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmpgtvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9740 },
#else
    { 0, output_9740, 0 },
#endif
    { 0 },
    &operand_data[13340],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplovnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9741 },
#else
    { 0, output_9741, 0 },
#endif
    { 0 },
    &operand_data[13348],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmplsvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9742 },
#else
    { 0, output_9742, 0 },
#endif
    { 0 },
    &operand_data[13348],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphsvnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9743 },
#else
    { 0, output_9743, 0 },
#endif
    { 0 },
    &operand_data[13348],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8238 */
  {
    "*cmphivnx2di_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9744 },
#else
    { 0, output_9744, 0 },
#endif
    { 0 },
    &operand_data[13348],
    8,
    8,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpltvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13356],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13356],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpeqvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13356],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpnevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13356],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgevnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13356],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgtvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13356],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplovnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13361],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplsvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13361],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphsvnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13361],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphivnx16qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13361],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpltvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13366],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplevnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13366],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpeqvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13366],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpnevnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13366],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgevnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13366],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgtvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13366],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplovnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13371],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplsvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13371],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphsvnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13371],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphivnx8qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13371],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpltvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13376],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplevnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13376],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpeqvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13376],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpnevnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13376],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgevnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13376],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgtvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13376],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplovnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13381],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplsvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13381],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphsvnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13381],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphivnx4qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13381],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpltvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13386],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplevnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13386],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpeqvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13386],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpnevnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13386],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgevnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13386],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgtvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13386],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplovnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13391],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplsvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13391],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphsvnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13391],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphivnx2qi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13391],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpltvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13396],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13396],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpeqvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13396],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpnevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13396],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgevnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13396],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgtvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13396],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplovnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13401],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplsvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13401],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphsvnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13401],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphivnx8hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13401],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpltvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13406],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplevnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13406],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpeqvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13406],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpnevnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13406],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgevnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13406],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgtvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13406],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplovnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13411],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplsvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13411],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphsvnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13411],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphivnx4hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13411],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpltvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13416],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplevnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13416],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpeqvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13416],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpnevnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13416],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgevnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13416],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgtvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13416],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplovnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13421],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplsvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13421],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphsvnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13421],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphivnx2hi_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13421],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpltvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13426],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13426],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpeqvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13426],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpnevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13426],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgevnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13426],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgtvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13426],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplovnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13431],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplsvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13431],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphsvnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13431],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphivnx4si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13431],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpltvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13436],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplevnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13436],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpeqvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13436],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpnevnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13436],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgevnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13436],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgtvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13436],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplovnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13441],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplsvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13441],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphsvnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13441],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphivnx2si_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13441],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpltvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13446],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13446],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpeqvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13446],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpnevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13446],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgevnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13446],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmpgtvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13446],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplovnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13451],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmplsvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13451],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphsvnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13451],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8274 */
  {
    "*cmphivnx2di_and",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13451],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpeqvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9845 },
#else
    { 0, output_9845, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx16qi_wide },
    &operand_data[13456],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpgevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9846 },
#else
    { 0, output_9846, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx16qi_wide },
    &operand_data[13456],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpgtvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9847 },
#else
    { 0, output_9847, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx16qi_wide },
    &operand_data[13456],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmphivnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9848 },
#else
    { 0, output_9848, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx16qi_wide },
    &operand_data[13456],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmphsvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9849 },
#else
    { 0, output_9849, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx16qi_wide },
    &operand_data[13456],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmplevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9850 },
#else
    { 0, output_9850, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx16qi_wide },
    &operand_data[13456],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmplovnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9851 },
#else
    { 0, output_9851, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx16qi_wide },
    &operand_data[13456],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmplsvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9852 },
#else
    { 0, output_9852, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx16qi_wide },
    &operand_data[13456],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpltvnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9853 },
#else
    { 0, output_9853, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx16qi_wide },
    &operand_data[13456],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpnevnx16qi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9854 },
#else
    { 0, output_9854, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx16qi_wide },
    &operand_data[13456],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpeqvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9855 },
#else
    { 0, output_9855, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx8hi_wide },
    &operand_data[13461],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpgevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9856 },
#else
    { 0, output_9856, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx8hi_wide },
    &operand_data[13461],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpgtvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9857 },
#else
    { 0, output_9857, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx8hi_wide },
    &operand_data[13461],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmphivnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9858 },
#else
    { 0, output_9858, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx8hi_wide },
    &operand_data[13461],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmphsvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9859 },
#else
    { 0, output_9859, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx8hi_wide },
    &operand_data[13461],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmplevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9860 },
#else
    { 0, output_9860, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx8hi_wide },
    &operand_data[13461],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmplovnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9861 },
#else
    { 0, output_9861, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx8hi_wide },
    &operand_data[13461],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmplsvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9862 },
#else
    { 0, output_9862, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx8hi_wide },
    &operand_data[13461],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpltvnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9863 },
#else
    { 0, output_9863, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx8hi_wide },
    &operand_data[13461],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpnevnx8hi_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9864 },
#else
    { 0, output_9864, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx8hi_wide },
    &operand_data[13461],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpeqvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9865 },
#else
    { 0, output_9865, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpeqvnx4si_wide },
    &operand_data[13466],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpgevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9866 },
#else
    { 0, output_9866, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgevnx4si_wide },
    &operand_data[13466],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpgtvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9867 },
#else
    { 0, output_9867, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpgtvnx4si_wide },
    &operand_data[13466],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmphivnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9868 },
#else
    { 0, output_9868, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphivnx4si_wide },
    &operand_data[13466],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmphsvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9869 },
#else
    { 0, output_9869, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmphsvnx4si_wide },
    &operand_data[13466],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmplevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9870 },
#else
    { 0, output_9870, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplevnx4si_wide },
    &operand_data[13466],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmplovnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9871 },
#else
    { 0, output_9871, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplovnx4si_wide },
    &operand_data[13466],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmplsvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9872 },
#else
    { 0, output_9872, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmplsvnx4si_wide },
    &operand_data[13466],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpltvnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9873 },
#else
    { 0, output_9873, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpltvnx4si_wide },
    &operand_data[13466],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8302 */
  {
    "aarch64_pred_cmpnevnx4si_wide",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9874 },
#else
    { 0, output_9874, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cmpnevnx4si_wide },
    &operand_data[13466],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpeqvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9875 },
#else
    { 0, output_9875, 0 },
#endif
    { 0 },
    &operand_data[13471],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpgevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9876 },
#else
    { 0, output_9876, 0 },
#endif
    { 0 },
    &operand_data[13471],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpgtvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9877 },
#else
    { 0, output_9877, 0 },
#endif
    { 0 },
    &operand_data[13471],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmphivnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9878 },
#else
    { 0, output_9878, 0 },
#endif
    { 0 },
    &operand_data[13471],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmphsvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9879 },
#else
    { 0, output_9879, 0 },
#endif
    { 0 },
    &operand_data[13471],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmplevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9880 },
#else
    { 0, output_9880, 0 },
#endif
    { 0 },
    &operand_data[13471],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmplovnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9881 },
#else
    { 0, output_9881, 0 },
#endif
    { 0 },
    &operand_data[13471],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmplsvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9882 },
#else
    { 0, output_9882, 0 },
#endif
    { 0 },
    &operand_data[13471],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpltvnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9883 },
#else
    { 0, output_9883, 0 },
#endif
    { 0 },
    &operand_data[13471],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpnevnx16qi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9884 },
#else
    { 0, output_9884, 0 },
#endif
    { 0 },
    &operand_data[13471],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpeqvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9885 },
#else
    { 0, output_9885, 0 },
#endif
    { 0 },
    &operand_data[13479],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpgevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9886 },
#else
    { 0, output_9886, 0 },
#endif
    { 0 },
    &operand_data[13479],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpgtvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9887 },
#else
    { 0, output_9887, 0 },
#endif
    { 0 },
    &operand_data[13479],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmphivnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9888 },
#else
    { 0, output_9888, 0 },
#endif
    { 0 },
    &operand_data[13479],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmphsvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9889 },
#else
    { 0, output_9889, 0 },
#endif
    { 0 },
    &operand_data[13479],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmplevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9890 },
#else
    { 0, output_9890, 0 },
#endif
    { 0 },
    &operand_data[13479],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmplovnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9891 },
#else
    { 0, output_9891, 0 },
#endif
    { 0 },
    &operand_data[13479],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmplsvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9892 },
#else
    { 0, output_9892, 0 },
#endif
    { 0 },
    &operand_data[13479],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpltvnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9893 },
#else
    { 0, output_9893, 0 },
#endif
    { 0 },
    &operand_data[13479],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpnevnx8hi_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9894 },
#else
    { 0, output_9894, 0 },
#endif
    { 0 },
    &operand_data[13479],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpeqvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9895 },
#else
    { 0, output_9895, 0 },
#endif
    { 0 },
    &operand_data[13487],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpgevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9896 },
#else
    { 0, output_9896, 0 },
#endif
    { 0 },
    &operand_data[13487],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpgtvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9897 },
#else
    { 0, output_9897, 0 },
#endif
    { 0 },
    &operand_data[13487],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmphivnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9898 },
#else
    { 0, output_9898, 0 },
#endif
    { 0 },
    &operand_data[13487],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmphsvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9899 },
#else
    { 0, output_9899, 0 },
#endif
    { 0 },
    &operand_data[13487],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmplevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9900 },
#else
    { 0, output_9900, 0 },
#endif
    { 0 },
    &operand_data[13487],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmplovnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9901 },
#else
    { 0, output_9901, 0 },
#endif
    { 0 },
    &operand_data[13487],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmplsvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9902 },
#else
    { 0, output_9902, 0 },
#endif
    { 0 },
    &operand_data[13487],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpltvnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9903 },
#else
    { 0, output_9903, 0 },
#endif
    { 0 },
    &operand_data[13487],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8323 */
  {
    "*aarch64_pred_cmpnevnx4si_wide_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9904 },
#else
    { 0, output_9904, 0 },
#endif
    { 0 },
    &operand_data[13487],
    8,
    8,
    4,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpeqvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9905 },
#else
    { 0, output_9905, 0 },
#endif
    { 0 },
    &operand_data[13495],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpgevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9906 },
#else
    { 0, output_9906, 0 },
#endif
    { 0 },
    &operand_data[13495],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpgtvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9907 },
#else
    { 0, output_9907, 0 },
#endif
    { 0 },
    &operand_data[13495],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmphivnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9908 },
#else
    { 0, output_9908, 0 },
#endif
    { 0 },
    &operand_data[13495],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmphsvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9909 },
#else
    { 0, output_9909, 0 },
#endif
    { 0 },
    &operand_data[13495],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmplevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9910 },
#else
    { 0, output_9910, 0 },
#endif
    { 0 },
    &operand_data[13495],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmplovnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9911 },
#else
    { 0, output_9911, 0 },
#endif
    { 0 },
    &operand_data[13495],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmplsvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9912 },
#else
    { 0, output_9912, 0 },
#endif
    { 0 },
    &operand_data[13495],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpltvnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9913 },
#else
    { 0, output_9913, 0 },
#endif
    { 0 },
    &operand_data[13495],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpnevnx16qi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9914 },
#else
    { 0, output_9914, 0 },
#endif
    { 0 },
    &operand_data[13495],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpeqvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9915 },
#else
    { 0, output_9915, 0 },
#endif
    { 0 },
    &operand_data[13503],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpgevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9916 },
#else
    { 0, output_9916, 0 },
#endif
    { 0 },
    &operand_data[13503],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpgtvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9917 },
#else
    { 0, output_9917, 0 },
#endif
    { 0 },
    &operand_data[13503],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmphivnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9918 },
#else
    { 0, output_9918, 0 },
#endif
    { 0 },
    &operand_data[13503],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmphsvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9919 },
#else
    { 0, output_9919, 0 },
#endif
    { 0 },
    &operand_data[13503],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmplevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9920 },
#else
    { 0, output_9920, 0 },
#endif
    { 0 },
    &operand_data[13503],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmplovnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9921 },
#else
    { 0, output_9921, 0 },
#endif
    { 0 },
    &operand_data[13503],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmplsvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9922 },
#else
    { 0, output_9922, 0 },
#endif
    { 0 },
    &operand_data[13503],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpltvnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9923 },
#else
    { 0, output_9923, 0 },
#endif
    { 0 },
    &operand_data[13503],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpnevnx8hi_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9924 },
#else
    { 0, output_9924, 0 },
#endif
    { 0 },
    &operand_data[13503],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpeqvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9925 },
#else
    { 0, output_9925, 0 },
#endif
    { 0 },
    &operand_data[13511],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpgevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9926 },
#else
    { 0, output_9926, 0 },
#endif
    { 0 },
    &operand_data[13511],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpgtvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9927 },
#else
    { 0, output_9927, 0 },
#endif
    { 0 },
    &operand_data[13511],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmphivnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9928 },
#else
    { 0, output_9928, 0 },
#endif
    { 0 },
    &operand_data[13511],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmphsvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9929 },
#else
    { 0, output_9929, 0 },
#endif
    { 0 },
    &operand_data[13511],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmplevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9930 },
#else
    { 0, output_9930, 0 },
#endif
    { 0 },
    &operand_data[13511],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmplovnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9931 },
#else
    { 0, output_9931, 0 },
#endif
    { 0 },
    &operand_data[13511],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmplsvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9932 },
#else
    { 0, output_9932, 0 },
#endif
    { 0 },
    &operand_data[13511],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpltvnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9933 },
#else
    { 0, output_9933, 0 },
#endif
    { 0 },
    &operand_data[13511],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8358 */
  {
    "*aarch64_pred_cmpnevnx4si_wide_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_9934 },
#else
    { 0, output_9934, 0 },
#endif
    { 0 },
    &operand_data[13511],
    8,
    8,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_lesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx16bi },
    &operand_data[13519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ultsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx16bi },
    &operand_data[13519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ulesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx16bi },
    &operand_data[13519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ltsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx16bi },
    &operand_data[13519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx16bi },
    &operand_data[13519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gtsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx16bi },
    &operand_data[13519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugtsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx16bi },
    &operand_data[13519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugesivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx16bi },
    &operand_data[13519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_rwsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx16bi },
    &operand_data[13519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_wrsivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx16bi },
    &operand_data[13519],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ledivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx16bi },
    &operand_data[13522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ultdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx16bi },
    &operand_data[13522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_uledivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx16bi },
    &operand_data[13522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ltdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx16bi },
    &operand_data[13522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gedivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx16bi },
    &operand_data[13522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gtdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx16bi },
    &operand_data[13522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugtdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx16bi },
    &operand_data[13522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugedivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx16bi },
    &operand_data[13522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_rwdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx16bi },
    &operand_data[13522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_wrdivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx16bi },
    &operand_data[13522],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_lesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx8bi },
    &operand_data[13525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ultsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx8bi },
    &operand_data[13525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ulesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx8bi },
    &operand_data[13525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ltsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx8bi },
    &operand_data[13525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx8bi },
    &operand_data[13525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gtsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx8bi },
    &operand_data[13525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugtsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx8bi },
    &operand_data[13525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugesivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx8bi },
    &operand_data[13525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_rwsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx8bi },
    &operand_data[13525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_wrsivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx8bi },
    &operand_data[13525],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ledivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx8bi },
    &operand_data[13528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ultdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx8bi },
    &operand_data[13528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_uledivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx8bi },
    &operand_data[13528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ltdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx8bi },
    &operand_data[13528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gedivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx8bi },
    &operand_data[13528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gtdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx8bi },
    &operand_data[13528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugtdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx8bi },
    &operand_data[13528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugedivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx8bi },
    &operand_data[13528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_rwdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx8bi },
    &operand_data[13528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_wrdivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx8bi },
    &operand_data[13528],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_lesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx4bi },
    &operand_data[13531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ultsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx4bi },
    &operand_data[13531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ulesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx4bi },
    &operand_data[13531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ltsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx4bi },
    &operand_data[13531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx4bi },
    &operand_data[13531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gtsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx4bi },
    &operand_data[13531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugtsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx4bi },
    &operand_data[13531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugesivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx4bi },
    &operand_data[13531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_rwsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx4bi },
    &operand_data[13531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_wrsivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx4bi },
    &operand_data[13531],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ledivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx4bi },
    &operand_data[13534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ultdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx4bi },
    &operand_data[13534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_uledivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx4bi },
    &operand_data[13534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ltdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx4bi },
    &operand_data[13534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gedivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx4bi },
    &operand_data[13534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gtdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx4bi },
    &operand_data[13534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugtdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx4bi },
    &operand_data[13534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugedivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx4bi },
    &operand_data[13534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_rwdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx4bi },
    &operand_data[13534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_wrdivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx4bi },
    &operand_data[13534],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_lesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx2bi },
    &operand_data[13537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ultsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx2bi },
    &operand_data[13537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ulesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx2bi },
    &operand_data[13537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ltsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx2bi },
    &operand_data[13537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx2bi },
    &operand_data[13537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gtsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx2bi },
    &operand_data[13537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugtsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx2bi },
    &operand_data[13537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugesivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx2bi },
    &operand_data[13537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_rwsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx2bi },
    &operand_data[13537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_wrsivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx2bi },
    &operand_data[13537],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ledivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx2bi },
    &operand_data[13540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ultdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx2bi },
    &operand_data[13540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_uledivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx2bi },
    &operand_data[13540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ltdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx2bi },
    &operand_data[13540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gedivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx2bi },
    &operand_data[13540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_gtdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx2bi },
    &operand_data[13540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugtdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx2bi },
    &operand_data[13540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_ugedivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx2bi },
    &operand_data[13540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_rwdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx2bi },
    &operand_data[13540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8407 */
  {
    "while_wrdivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx2bi },
    &operand_data[13540],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_lesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13543],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ultsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13543],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ulesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13543],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ltsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13543],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13543],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gtsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13543],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugtsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13543],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugesivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13543],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_rwsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13543],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_wrsivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13543],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ledivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13548],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ultdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13548],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_uledivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13548],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ltdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13548],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gedivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13548],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gtdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13548],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugtdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13548],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugedivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13548],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_rwdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13548],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_wrdivnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13548],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_lesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13553],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ultsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13553],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ulesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13553],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ltsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13553],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13553],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gtsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13553],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugtsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13553],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugesivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13553],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_rwsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13553],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_wrsivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13553],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ledivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13558],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ultdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13558],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_uledivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13558],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ltdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13558],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gedivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13558],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gtdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13558],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugtdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13558],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugedivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13558],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_rwdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13558],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_wrdivnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13558],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_lesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13563],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ultsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13563],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ulesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13563],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ltsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13563],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13563],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gtsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13563],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugtsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13563],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugesivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13563],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_rwsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13563],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_wrsivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13563],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ledivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13568],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ultdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13568],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_uledivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13568],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ltdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13568],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gedivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13568],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gtdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13568],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugtdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13568],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugedivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13568],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_rwdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13568],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_wrdivnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13568],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_lesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13573],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ultsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13573],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ulesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13573],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ltsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13573],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13573],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gtsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13573],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugtsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13573],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugesivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13573],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_rwsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13573],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_wrsivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13573],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ledivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13578],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ultdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13578],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_uledivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13578],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ltdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13578],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gedivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13578],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_gtdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13578],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugtdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13578],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_ugedivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13578],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_rwdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13578],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8421 */
  {
    "*while_wrdivnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13578],
    5,
    5,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_lesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx16bi_ptest },
    &operand_data[13583],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ultsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx16bi_ptest },
    &operand_data[13583],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ulesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx16bi_ptest },
    &operand_data[13583],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ltsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx16bi_ptest },
    &operand_data[13583],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx16bi_ptest },
    &operand_data[13583],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gtsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx16bi_ptest },
    &operand_data[13583],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugtsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx16bi_ptest },
    &operand_data[13583],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugesivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx16bi_ptest },
    &operand_data[13583],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_rwsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx16bi_ptest },
    &operand_data[13583],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_wrsivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx16bi_ptest },
    &operand_data[13583],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ledivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx16bi_ptest },
    &operand_data[13588],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ultdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx16bi_ptest },
    &operand_data[13588],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_uledivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx16bi_ptest },
    &operand_data[13588],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ltdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx16bi_ptest },
    &operand_data[13588],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gedivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx16bi_ptest },
    &operand_data[13588],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gtdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx16bi_ptest },
    &operand_data[13588],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugtdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx16bi_ptest },
    &operand_data[13588],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugedivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx16bi_ptest },
    &operand_data[13588],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_rwdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx16bi_ptest },
    &operand_data[13588],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_wrdivnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.b, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx16bi_ptest },
    &operand_data[13588],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_lesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx8bi_ptest },
    &operand_data[13593],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ultsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx8bi_ptest },
    &operand_data[13593],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ulesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx8bi_ptest },
    &operand_data[13593],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ltsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx8bi_ptest },
    &operand_data[13593],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx8bi_ptest },
    &operand_data[13593],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gtsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx8bi_ptest },
    &operand_data[13593],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugtsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx8bi_ptest },
    &operand_data[13593],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugesivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx8bi_ptest },
    &operand_data[13593],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_rwsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx8bi_ptest },
    &operand_data[13593],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_wrsivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx8bi_ptest },
    &operand_data[13593],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ledivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx8bi_ptest },
    &operand_data[13598],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ultdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx8bi_ptest },
    &operand_data[13598],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_uledivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx8bi_ptest },
    &operand_data[13598],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ltdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx8bi_ptest },
    &operand_data[13598],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gedivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx8bi_ptest },
    &operand_data[13598],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gtdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx8bi_ptest },
    &operand_data[13598],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugtdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx8bi_ptest },
    &operand_data[13598],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugedivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx8bi_ptest },
    &operand_data[13598],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_rwdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx8bi_ptest },
    &operand_data[13598],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_wrdivnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.h, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx8bi_ptest },
    &operand_data[13598],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_lesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx4bi_ptest },
    &operand_data[13603],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ultsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx4bi_ptest },
    &operand_data[13603],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ulesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx4bi_ptest },
    &operand_data[13603],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ltsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx4bi_ptest },
    &operand_data[13603],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx4bi_ptest },
    &operand_data[13603],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gtsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx4bi_ptest },
    &operand_data[13603],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugtsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx4bi_ptest },
    &operand_data[13603],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugesivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx4bi_ptest },
    &operand_data[13603],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_rwsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx4bi_ptest },
    &operand_data[13603],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_wrsivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx4bi_ptest },
    &operand_data[13603],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ledivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx4bi_ptest },
    &operand_data[13608],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ultdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx4bi_ptest },
    &operand_data[13608],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_uledivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx4bi_ptest },
    &operand_data[13608],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ltdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx4bi_ptest },
    &operand_data[13608],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gedivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx4bi_ptest },
    &operand_data[13608],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gtdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx4bi_ptest },
    &operand_data[13608],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugtdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx4bi_ptest },
    &operand_data[13608],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugedivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx4bi_ptest },
    &operand_data[13608],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_rwdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx4bi_ptest },
    &operand_data[13608],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_wrdivnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.s, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx4bi_ptest },
    &operand_data[13608],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_lesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_lesivnx2bi_ptest },
    &operand_data[13613],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ultsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultsivnx2bi_ptest },
    &operand_data[13613],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ulesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ulesivnx2bi_ptest },
    &operand_data[13613],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ltsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltsivnx2bi_ptest },
    &operand_data[13613],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gesivnx2bi_ptest },
    &operand_data[13613],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gtsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtsivnx2bi_ptest },
    &operand_data[13613],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugtsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtsivnx2bi_ptest },
    &operand_data[13613],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugesivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugesivnx2bi_ptest },
    &operand_data[13613],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_rwsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwsivnx2bi_ptest },
    &operand_data[13613],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_wrsivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %w1, %w2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrsivnx2bi_ptest },
    &operand_data[13613],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ledivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ledivnx2bi_ptest },
    &operand_data[13618],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ultdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ultdivnx2bi_ptest },
    &operand_data[13618],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_uledivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_uledivnx2bi_ptest },
    &operand_data[13618],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ltdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ltdivnx2bi_ptest },
    &operand_data[13618],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gedivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gedivnx2bi_ptest },
    &operand_data[13618],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_gtdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_gtdivnx2bi_ptest },
    &operand_data[13618],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugtdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugtdivnx2bi_ptest },
    &operand_data[13618],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_ugedivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_ugedivnx2bi_ptest },
    &operand_data[13618],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_rwdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilerw\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_rwdivnx2bi_ptest },
    &operand_data[13618],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8450 */
  {
    "while_wrdivnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilewr\t%0.d, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_while_wrdivnx2bi_ptest },
    &operand_data[13618],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmeqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10175 },
#else
    { 0, output_10175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx8hf },
    &operand_data[13623],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmgevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10176 },
#else
    { 0, output_10176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx8hf },
    &operand_data[13623],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmgtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10177 },
#else
    { 0, output_10177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx8hf },
    &operand_data[13623],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmlevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10178 },
#else
    { 0, output_10178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx8hf },
    &operand_data[13623],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10179 },
#else
    { 0, output_10179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx8hf },
    &operand_data[13623],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmnevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10180 },
#else
    { 0, output_10180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx8hf },
    &operand_data[13623],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmeqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10181 },
#else
    { 0, output_10181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx4sf },
    &operand_data[13628],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmgevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10182 },
#else
    { 0, output_10182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx4sf },
    &operand_data[13628],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmgtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10183 },
#else
    { 0, output_10183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx4sf },
    &operand_data[13628],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmlevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10184 },
#else
    { 0, output_10184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx4sf },
    &operand_data[13628],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10185 },
#else
    { 0, output_10185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx4sf },
    &operand_data[13628],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmnevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10186 },
#else
    { 0, output_10186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx4sf },
    &operand_data[13628],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmeqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10187 },
#else
    { 0, output_10187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmeqvnx2df },
    &operand_data[13633],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmgevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10188 },
#else
    { 0, output_10188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgevnx2df },
    &operand_data[13633],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmgtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10189 },
#else
    { 0, output_10189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmgtvnx2df },
    &operand_data[13633],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmlevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10190 },
#else
    { 0, output_10190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmlevnx2df },
    &operand_data[13633],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10191 },
#else
    { 0, output_10191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmltvnx2df },
    &operand_data[13633],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8504 */
  {
    "aarch64_pred_fcmnevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10192 },
#else
    { 0, output_10192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmnevnx2df },
    &operand_data[13633],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8520 */
  {
    "aarch64_pred_fcmuovnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.h, %1/z, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx8hf },
    &operand_data[13638],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8520 */
  {
    "aarch64_pred_fcmuovnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.s, %1/z, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx4sf },
    &operand_data[13643],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8520 */
  {
    "aarch64_pred_fcmuovnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcmuo\t%0.d, %1/z, %3.d, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcmuovnx2df },
    &operand_data[13648],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmeqvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13653],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmgevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13653],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmgtvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13653],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmlevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13653],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmltvnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13653],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmnevnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13653],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmeqvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13658],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmgevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13658],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmgtvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13658],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmlevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13658],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmltvnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13658],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmnevnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13658],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmeqvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13663],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmgevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13663],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmgtvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13663],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmlevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13663],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmltvnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13663],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8540 */
  {
    "*fcmnevnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13663],
    5,
    5,
    0,
    2,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8563 */
  {
    "*fcmuovnx8hf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13668],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8563 */
  {
    "*fcmuovnx4sf_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13673],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8563 */
  {
    "*fcmuovnx2df_and_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13678],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmeqvnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13683],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmgevnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13683],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmgtvnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13683],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmlevnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13683],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmltvnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13683],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmnevnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13683],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmeqvnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13689],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmgevnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13689],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmgtvnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13689],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmlevnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13689],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmltvnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13689],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmnevnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13689],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmeqvnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13695],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmgevnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13695],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmgtvnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13695],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmlevnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13695],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmltvnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13695],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8588 */
  {
    "*fcmnevnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13695],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmeqvnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13683],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmgevnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13683],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmgtvnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13683],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmlevnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13683],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmltvnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13683],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmnevnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13683],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmeqvnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13689],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmgevnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13689],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmgtvnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13689],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmlevnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13689],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmltvnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13689],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmnevnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13689],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmeqvnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13695],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmgevnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13695],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmgtvnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13695],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmlevnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13695],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmltvnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13695],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8625 */
  {
    "*fcmnevnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13695],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8664 */
  {
    "*fcmuovnx8hf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13701],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8664 */
  {
    "*fcmuovnx4sf_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13707],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8664 */
  {
    "*fcmuovnx2df_bic_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13713],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "*fcmuovnx8hf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13701],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "*fcmuovnx4sf_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13707],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8700 */
  {
    "*fcmuovnx2df_nor_combine",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13713],
    5,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8769 */
  {
    "*aarch64_pred_facgevnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13719],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8769 */
  {
    "*aarch64_pred_facgtvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13719],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8769 */
  {
    "*aarch64_pred_faclevnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13719],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8769 */
  {
    "*aarch64_pred_facltvnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13719],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8769 */
  {
    "*aarch64_pred_facgevnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13726],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8769 */
  {
    "*aarch64_pred_facgtvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13726],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8769 */
  {
    "*aarch64_pred_faclevnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13726],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8769 */
  {
    "*aarch64_pred_facltvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13726],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8769 */
  {
    "*aarch64_pred_facgevnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13733],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8769 */
  {
    "*aarch64_pred_facgtvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13733],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8769 */
  {
    "*aarch64_pred_faclevnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13733],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8769 */
  {
    "*aarch64_pred_facltvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13733],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*aarch64_pred_facgevnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13740],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*aarch64_pred_facgtvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13740],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*aarch64_pred_faclevnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13740],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*aarch64_pred_facltvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13740],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*aarch64_pred_facgevnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13747],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*aarch64_pred_facgtvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13747],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*aarch64_pred_faclevnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13747],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*aarch64_pred_facltvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13747],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*aarch64_pred_facgevnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facge\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13754],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*aarch64_pred_facgtvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facgt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13754],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*aarch64_pred_faclevnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "facle\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13754],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8795 */
  {
    "*aarch64_pred_facltvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faclt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[13754],
    7,
    7,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8822 */
  {
    "vcond_mask_vnx16bivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx16bivnx16bi },
    &operand_data[13761],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8822 */
  {
    "vcond_mask_vnx8bivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8bivnx8bi },
    &operand_data[13765],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8822 */
  {
    "vcond_mask_vnx4bivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4bivnx4bi },
    &operand_data[13769],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8822 */
  {
    "vcond_mask_vnx2bivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0.b, %3, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2bivnx2bi },
    &operand_data[13773],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8872 */
  {
    "aarch64_ptestvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx16bi },
    &operand_data[13777],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8872 */
  {
    "aarch64_ptestvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx8bi },
    &operand_data[13780],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8872 */
  {
    "aarch64_ptestvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx4bi },
    &operand_data[13784],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8872 */
  {
    "aarch64_ptestvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptest\t%0, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptestvnx2bi },
    &operand_data[13788],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10291 },
#else
    { 0, output_10291, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx16qi },
    &operand_data[13792],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10292 },
#else
    { 0, output_10292, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx16qi },
    &operand_data[13792],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10293 },
#else
    { 0, output_10293, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8hi },
    &operand_data[13796],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10294 },
#else
    { 0, output_10294, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8hi },
    &operand_data[13796],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10295 },
#else
    { 0, output_10295, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx4si },
    &operand_data[13800],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10296 },
#else
    { 0, output_10296, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx4si },
    &operand_data[13800],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10297 },
#else
    { 0, output_10297, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx2di },
    &operand_data[13804],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10298 },
#else
    { 0, output_10298, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx2di },
    &operand_data[13804],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10299 },
#else
    { 0, output_10299, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8bf },
    &operand_data[13808],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10300 },
#else
    { 0, output_10300, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8bf },
    &operand_data[13808],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10301 },
#else
    { 0, output_10301, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx8hf },
    &operand_data[13812],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10302 },
#else
    { 0, output_10302, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx8hf },
    &operand_data[13812],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10303 },
#else
    { 0, output_10303, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx4sf },
    &operand_data[13816],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10304 },
#else
    { 0, output_10304, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx4sf },
    &operand_data[13816],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10305 },
#else
    { 0, output_10305, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_after_last_vnx2df },
    &operand_data[13820],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8897 */
  {
    "fold_extract_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10306 },
#else
    { 0, output_10306, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_extract_last_vnx2df },
    &operand_data[13820],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_after_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10307 },
#else
    { 0, output_10307, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx16qi },
    &operand_data[13824],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_last_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10308 },
#else
    { 0, output_10308, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx16qi },
    &operand_data[13824],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10309 },
#else
    { 0, output_10309, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8hi },
    &operand_data[13828],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_last_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10310 },
#else
    { 0, output_10310, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8hi },
    &operand_data[13828],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_after_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10311 },
#else
    { 0, output_10311, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx4si },
    &operand_data[13832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_last_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10312 },
#else
    { 0, output_10312, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx4si },
    &operand_data[13832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_after_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10313 },
#else
    { 0, output_10313, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx2di },
    &operand_data[13836],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_last_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10314 },
#else
    { 0, output_10314, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx2di },
    &operand_data[13836],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10315 },
#else
    { 0, output_10315, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8bf },
    &operand_data[13840],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_last_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10316 },
#else
    { 0, output_10316, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8bf },
    &operand_data[13840],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_after_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10317 },
#else
    { 0, output_10317, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx8hf },
    &operand_data[13844],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_last_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10318 },
#else
    { 0, output_10318, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx8hf },
    &operand_data[13844],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_after_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10319 },
#else
    { 0, output_10319, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx4sf },
    &operand_data[13848],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_last_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10320 },
#else
    { 0, output_10320, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx4sf },
    &operand_data[13848],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_after_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10321 },
#else
    { 0, output_10321, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_after_last_vnx2df },
    &operand_data[13852],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8911 */
  {
    "aarch64_fold_extract_vector_last_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10322 },
#else
    { 0, output_10322, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fold_extract_vector_last_vnx2df },
    &operand_data[13852],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8956 */
  {
    "aarch64_pred_reduc_sadd_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx16qi },
    &operand_data[13856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8956 */
  {
    "aarch64_pred_reduc_uadd_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx16qi },
    &operand_data[13856],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8956 */
  {
    "aarch64_pred_reduc_sadd_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx8hi },
    &operand_data[13859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8956 */
  {
    "aarch64_pred_reduc_uadd_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx8hi },
    &operand_data[13859],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8956 */
  {
    "aarch64_pred_reduc_sadd_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx4si },
    &operand_data[13862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8956 */
  {
    "aarch64_pred_reduc_uadd_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx4si },
    &operand_data[13862],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8956 */
  {
    "aarch64_pred_reduc_sadd_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sadd_vnx2di },
    &operand_data[13865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8956 */
  {
    "aarch64_pred_reduc_uadd_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uadd_vnx2di },
    &operand_data[13865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_and_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx16qi },
    &operand_data[13868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_ior_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx16qi },
    &operand_data[13868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_smax_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx16qi },
    &operand_data[13868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_smin_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx16qi },
    &operand_data[13868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_umax_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx16qi },
    &operand_data[13868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_umin_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx16qi },
    &operand_data[13868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_xor_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%b0, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx16qi },
    &operand_data[13868],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_and_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx8hi },
    &operand_data[13871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_ior_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx8hi },
    &operand_data[13871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_smax_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx8hi },
    &operand_data[13871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_smin_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx8hi },
    &operand_data[13871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_umax_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx8hi },
    &operand_data[13871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_umin_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx8hi },
    &operand_data[13871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_xor_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx8hi },
    &operand_data[13871],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_and_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx4si },
    &operand_data[13874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_ior_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx4si },
    &operand_data[13874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_smax_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx4si },
    &operand_data[13874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_smin_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx4si },
    &operand_data[13874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_umax_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx4si },
    &operand_data[13874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_umin_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx4si },
    &operand_data[13874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_xor_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx4si },
    &operand_data[13874],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_and_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_and_vnx2di },
    &operand_data[13865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_ior_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_ior_vnx2di },
    &operand_data[13865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_smax_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx2di },
    &operand_data[13865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_smin_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx2di },
    &operand_data[13865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_umax_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umax_vnx2di },
    &operand_data[13865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_umin_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umin_vnx2di },
    &operand_data[13865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8978 */
  {
    "aarch64_pred_reduc_xor_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_xor_vnx2di },
    &operand_data[13865],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx8hf },
    &operand_data[13877],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_smax_nan_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx8hf },
    &operand_data[13877],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_smax_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx8hf },
    &operand_data[13877],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_smin_nan_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx8hf },
    &operand_data[13877],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_smin_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%h0, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx8hf },
    &operand_data[13877],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx4sf },
    &operand_data[13880],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_smax_nan_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx4sf },
    &operand_data[13880],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_smax_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx4sf },
    &operand_data[13880],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_smin_nan_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx4sf },
    &operand_data[13880],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_smin_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%s0, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx4sf },
    &operand_data[13880],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_plus_vnx2df },
    &operand_data[13883],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_smax_nan_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_nan_vnx2df },
    &operand_data[13883],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_smax_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smax_vnx2df },
    &operand_data[13883],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_smin_nan_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_nan_vnx2df },
    &operand_data[13883],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9022 */
  {
    "aarch64_pred_reduc_smin_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmv\t%d0, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smin_vnx2df },
    &operand_data[13883],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9052 */
  {
    "mask_fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%h0, %3, %h0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx8hf },
    &operand_data[13886],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9052 */
  {
    "mask_fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%s0, %3, %s0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx4sf },
    &operand_data[13890],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9052 */
  {
    "mask_fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadda\t%d0, %3, %d0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mask_fold_left_plus_vnx2df },
    &operand_data[13894],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.b, {%1.b}, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tblq\t%0.b, {%1.b}, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblqvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, {%1.h}, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tblq\t%0.h, {%1.h}, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblqvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, {%1.s}, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tblq\t%0.s, {%1.s}, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblqvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, {%1.d}, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tblq\t%0.d, {%1.d}, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblqvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, {%1.h}, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8bf },
    &operand_data[13898],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblqvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tblq\t%0.h, {%1.h}, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblqvnx8bf },
    &operand_data[13898],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, {%1.h}, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx8hf },
    &operand_data[11728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tblq\t%0.h, {%1.h}, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblqvnx8hf },
    &operand_data[11728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, {%1.s}, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx4sf },
    &operand_data[11731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tblq\t%0.s, {%1.s}, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblqvnx4sf },
    &operand_data[11731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, {%1.d}, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblvnx2df },
    &operand_data[11734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9087 */
  {
    "aarch64_sve_tblqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tblq\t%0.d, {%1.d}, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tblqvnx2df },
    &operand_data[11734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9107 */
  {
    "aarch64_sve_compactvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx4si },
    &operand_data[13901],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9107 */
  {
    "aarch64_sve_compactvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx2di },
    &operand_data[13904],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9107 */
  {
    "aarch64_sve_compactvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx4sf },
    &operand_data[13907],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9107 */
  {
    "aarch64_sve_compactvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "compact\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_compactvnx2df },
    &operand_data[13910],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.b, %1.b[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx16qi },
    &operand_data[13913],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8qi },
    &operand_data[13916],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4qi },
    &operand_data[13919],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2qi },
    &operand_data[13922],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8hi },
    &operand_data[13925],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4hi },
    &operand_data[13928],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2hi },
    &operand_data[13931],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4si },
    &operand_data[13934],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2si },
    &operand_data[13937],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2di },
    &operand_data[13940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8hf },
    &operand_data[13943],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4hf },
    &operand_data[13946],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2hf },
    &operand_data[13949],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx8bf },
    &operand_data[13952],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4bf },
    &operand_data[13955],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2bf },
    &operand_data[13958],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx4sf },
    &operand_data[13961],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2sf },
    &operand_data[13964],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9118 */
  {
    "aarch64_sve_dup_lanevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dup\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dup_lanevnx2df },
    &operand_data[13967],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9146 */
  {
    "aarch64_sve_dupq_lanevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10416 },
#else
    { 0, 0, output_10416 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx16qi },
    &operand_data[13970],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9146 */
  {
    "aarch64_sve_dupq_lanevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10417 },
#else
    { 0, 0, output_10417 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8hi },
    &operand_data[13973],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9146 */
  {
    "aarch64_sve_dupq_lanevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10418 },
#else
    { 0, 0, output_10418 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx4si },
    &operand_data[13976],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9146 */
  {
    "aarch64_sve_dupq_lanevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10419 },
#else
    { 0, 0, output_10419 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx2di },
    &operand_data[13979],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9146 */
  {
    "aarch64_sve_dupq_lanevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10420 },
#else
    { 0, 0, output_10420 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8bf },
    &operand_data[13982],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9146 */
  {
    "aarch64_sve_dupq_lanevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10421 },
#else
    { 0, 0, output_10421 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx8hf },
    &operand_data[13985],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9146 */
  {
    "aarch64_sve_dupq_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10422 },
#else
    { 0, 0, output_10422 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx4sf },
    &operand_data[13988],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9146 */
  {
    "aarch64_sve_dupq_lanevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10423 },
#else
    { 0, 0, output_10423 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupq_lanevnx2df },
    &operand_data[13991],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.b, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx16qi },
    &operand_data[11034],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8qi },
    &operand_data[11038],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4qi },
    &operand_data[10687],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2qi },
    &operand_data[10667],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8hi },
    &operand_data[11050],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4hi },
    &operand_data[10015],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2hi },
    &operand_data[10029],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4si },
    &operand_data[10656],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2si },
    &operand_data[10055],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2di },
    &operand_data[10659],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8hf },
    &operand_data[10255],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4hf },
    &operand_data[12249],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2hf },
    &operand_data[12252],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8bf },
    &operand_data[11800],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4bf },
    &operand_data[12255],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2bf },
    &operand_data[12258],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4sf },
    &operand_data[10257],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2sf },
    &operand_data[12261],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9166 */
  {
    "aarch64_sve_revvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2df },
    &operand_data[10259],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9193 */
  {
    "aarch64_sve_splicevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10443 },
#else
    { 0, output_10443, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx16qi },
    &operand_data[10466],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9193 */
  {
    "aarch64_sve_splicevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10444 },
#else
    { 0, output_10444, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8hi },
    &operand_data[10482],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9193 */
  {
    "aarch64_sve_splicevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10445 },
#else
    { 0, output_10445, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx4si },
    &operand_data[10494],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9193 */
  {
    "aarch64_sve_splicevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10446 },
#else
    { 0, output_10446, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx2di },
    &operand_data[10502],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9193 */
  {
    "aarch64_sve_splicevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10447 },
#else
    { 0, output_10447, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8bf },
    &operand_data[11827],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9193 */
  {
    "aarch64_sve_splicevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10448 },
#else
    { 0, output_10448, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx8hf },
    &operand_data[11832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9193 */
  {
    "aarch64_sve_splicevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10449 },
#else
    { 0, output_10449, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx4sf },
    &operand_data[11837],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9193 */
  {
    "aarch64_sve_splicevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10450 },
#else
    { 0, output_10450, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_splicevnx2df },
    &operand_data[11842],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8qi },
    &operand_data[11038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8qi },
    &operand_data[11038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8qi },
    &operand_data[11038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8qi },
    &operand_data[11038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8qi },
    &operand_data[11038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8qi },
    &operand_data[11038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx8qi },
    &operand_data[11038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx8qi },
    &operand_data[11038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx8qi },
    &operand_data[11038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx8qi },
    &operand_data[11038],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4qi },
    &operand_data[10687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4qi },
    &operand_data[10687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4qi },
    &operand_data[10687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4qi },
    &operand_data[10687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4qi },
    &operand_data[10687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4qi },
    &operand_data[10687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx4qi },
    &operand_data[10687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx4qi },
    &operand_data[10687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx4qi },
    &operand_data[10687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx4qi },
    &operand_data[10687],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2qi },
    &operand_data[10667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2qi },
    &operand_data[10667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2qi },
    &operand_data[10667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2qi },
    &operand_data[10667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2qi },
    &operand_data[10667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2qi },
    &operand_data[10667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx2qi },
    &operand_data[10667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx2qi },
    &operand_data[10667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx2qi },
    &operand_data[10667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx2qi },
    &operand_data[10667],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4hi },
    &operand_data[10692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4hi },
    &operand_data[10692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4hi },
    &operand_data[10692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4hi },
    &operand_data[10692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4hi },
    &operand_data[10692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4hi },
    &operand_data[10692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx4hi },
    &operand_data[10692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx4hi },
    &operand_data[10692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx4hi },
    &operand_data[10692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx4hi },
    &operand_data[10692],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2hi },
    &operand_data[10672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2hi },
    &operand_data[10672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2hi },
    &operand_data[10672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2hi },
    &operand_data[10672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2hi },
    &operand_data[10672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2hi },
    &operand_data[10672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx2hi },
    &operand_data[10672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx2hi },
    &operand_data[10672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx2hi },
    &operand_data[10672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx2hi },
    &operand_data[10672],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2si },
    &operand_data[10677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2si },
    &operand_data[10677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2si },
    &operand_data[10677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2si },
    &operand_data[10677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2si },
    &operand_data[10677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2si },
    &operand_data[10677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx2si },
    &operand_data[10677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx2si },
    &operand_data[10677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx2si },
    &operand_data[10677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx2si },
    &operand_data[10677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4hf },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4hf },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4hf },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4hf },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4hf },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4hf },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx4hf },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx4hf },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx4hf },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx4hf },
    &operand_data[12249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2hf },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2hf },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2hf },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2hf },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2hf },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2hf },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx2hf },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx2hf },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx2hf },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx2hf },
    &operand_data[12252],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4bf },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4bf },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4bf },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4bf },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4bf },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4bf },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx4bf },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx4bf },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx4bf },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx4bf },
    &operand_data[12255],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2bf },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2bf },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2bf },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2bf },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2bf },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2bf },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx2bf },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx2bf },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx2bf },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx2bf },
    &operand_data[12258],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2sf },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2sf },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2sf },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2sf },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2sf },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2sf },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx2sf },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx2sf },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx2sf },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx2sf },
    &operand_data[12261],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zip2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_trn2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzp2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq1vnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_uzpq2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzpq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpq2vnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq1vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq1vnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9209 */
  {
    "aarch64_sve_zipq2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zipq2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipq2vnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp1qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp2qvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp1qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp2qvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp1qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp2qvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp1qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp2qvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp1qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp2qvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8bf },
    &operand_data[11800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp1qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp2qvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx8hf },
    &operand_data[11803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp1qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp2qvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx4sf },
    &operand_data[11806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1qvnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_zip2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2qvnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1qvnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_trn2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2qvnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp1qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1qvnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9221 */
  {
    "aarch64_sve_uzp2qvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.q, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2qvnx2df },
    &operand_data[11809],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10689 },
#else
    { 0, 0, output_10689 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx16qi },
    &operand_data[13994],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10690 },
#else
    { 0, 0, output_10690 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8qi },
    &operand_data[13998],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10691 },
#else
    { 0, 0, output_10691 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4qi },
    &operand_data[14002],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10692 },
#else
    { 0, 0, output_10692 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2qi },
    &operand_data[14006],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10693 },
#else
    { 0, 0, output_10693 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8hi },
    &operand_data[14010],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10694 },
#else
    { 0, 0, output_10694 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4hi },
    &operand_data[14014],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10695 },
#else
    { 0, 0, output_10695 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2hi },
    &operand_data[14018],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10696 },
#else
    { 0, 0, output_10696 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4si },
    &operand_data[14022],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10697 },
#else
    { 0, 0, output_10697 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2si },
    &operand_data[14026],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10698 },
#else
    { 0, 0, output_10698 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2di },
    &operand_data[14030],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10699 },
#else
    { 0, 0, output_10699 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8hf },
    &operand_data[14034],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10700 },
#else
    { 0, 0, output_10700 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4hf },
    &operand_data[14038],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10701 },
#else
    { 0, 0, output_10701 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2hf },
    &operand_data[14042],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10702 },
#else
    { 0, 0, output_10702 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx8bf },
    &operand_data[14046],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10703 },
#else
    { 0, 0, output_10703 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4bf },
    &operand_data[14050],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10704 },
#else
    { 0, 0, output_10704 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2bf },
    &operand_data[14054],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10705 },
#else
    { 0, 0, output_10705 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx4sf },
    &operand_data[14058],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10706 },
#else
    { 0, 0, output_10706 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2sf },
    &operand_data[14062],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9233 */
  {
    "aarch64_sve_extvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10707 },
#else
    { 0, 0, output_10707 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extvnx2df },
    &operand_data[14066],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9258 */
  {
    "aarch64_sve_revvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.b, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx16bi },
    &operand_data[10300],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9258 */
  {
    "aarch64_sve_revvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.h, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx8bi },
    &operand_data[10303],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9258 */
  {
    "aarch64_sve_revvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.s, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx4bi },
    &operand_data[10306],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9258 */
  {
    "aarch64_sve_revvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rev\t%0.d, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_revvnx2bi },
    &operand_data[10309],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_zip1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx16bi },
    &operand_data[10300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_zip2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx16bi },
    &operand_data[10300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_trn1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx16bi },
    &operand_data[10300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_trn2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx16bi },
    &operand_data[10300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_uzp1vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx16bi },
    &operand_data[10300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_uzp2vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx16bi },
    &operand_data[10300],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_zip1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx8bi },
    &operand_data[10303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_zip2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx8bi },
    &operand_data[10303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_trn1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx8bi },
    &operand_data[10303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_trn2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx8bi },
    &operand_data[10303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_uzp1vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx8bi },
    &operand_data[10303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_uzp2vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx8bi },
    &operand_data[10303],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_zip1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx4bi },
    &operand_data[10306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_zip2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx4bi },
    &operand_data[10306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_trn1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx4bi },
    &operand_data[10306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_trn2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx4bi },
    &operand_data[10306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_uzp1vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx4bi },
    &operand_data[10306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_uzp2vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx4bi },
    &operand_data[10306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_zip1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip1vnx2bi },
    &operand_data[10309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_zip2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zip2vnx2bi },
    &operand_data[10309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_trn1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1vnx2bi },
    &operand_data[10309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_trn2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn2vnx2bi },
    &operand_data[10309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_uzp1vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp1vnx2bi },
    &operand_data[10309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9279 */
  {
    "aarch64_sve_uzp2vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp2\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzp2vnx2bi },
    &operand_data[10309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9292 */
  {
    "aarch64_sve_trn1_convvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx16bi },
    &operand_data[14070],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9292 */
  {
    "aarch64_sve_trn1_convvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx8bi },
    &operand_data[14074],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9292 */
  {
    "aarch64_sve_trn1_convvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx4bi },
    &operand_data[14078],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9292 */
  {
    "aarch64_sve_trn1_convvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "trn1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_trn1_convvnx2bi },
    &operand_data[14082],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9315 */
  {
    "vec_pack_trunc_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx8hi },
    &operand_data[14086],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9315 */
  {
    "vec_pack_trunc_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4si },
    &operand_data[14089],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9315 */
  {
    "vec_pack_trunc_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2di },
    &operand_data[14092],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9329 */
  {
    "aarch64_pack_partialvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pack_partialvnx16qi },
    &operand_data[14095],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9329 */
  {
    "aarch64_pack_partialvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pack_partialvnx8qi },
    &operand_data[14098],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9329 */
  {
    "aarch64_pack_partialvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pack_partialvnx8hi },
    &operand_data[14101],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9329 */
  {
    "aarch64_pack_partialvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pack_partialvnx8hf },
    &operand_data[14104],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9329 */
  {
    "aarch64_pack_partialvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pack_partialvnx8bf },
    &operand_data[14107],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9329 */
  {
    "aarch64_pack_partialvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pack_partialvnx4qi },
    &operand_data[14110],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9329 */
  {
    "aarch64_pack_partialvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pack_partialvnx4hi },
    &operand_data[14113],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9329 */
  {
    "aarch64_pack_partialvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pack_partialvnx4hf },
    &operand_data[14116],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9329 */
  {
    "aarch64_pack_partialvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pack_partialvnx4bf },
    &operand_data[14119],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9329 */
  {
    "aarch64_pack_partialvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pack_partialvnx4si },
    &operand_data[14122],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9329 */
  {
    "aarch64_pack_partialvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pack_partialvnx4sf },
    &operand_data[14125],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "aarch64_sve_sunpkhi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx16qi },
    &operand_data[14128],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "aarch64_sve_uunpkhi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx16qi },
    &operand_data[14128],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "aarch64_sve_sunpklo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx16qi },
    &operand_data[14128],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "aarch64_sve_uunpklo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx16qi },
    &operand_data[14128],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "aarch64_sve_sunpkhi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx8hi },
    &operand_data[14130],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "aarch64_sve_uunpkhi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx8hi },
    &operand_data[14130],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "aarch64_sve_sunpklo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx8hi },
    &operand_data[14130],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "aarch64_sve_uunpklo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.s, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx8hi },
    &operand_data[14130],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "aarch64_sve_sunpkhi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpkhi\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpkhi_vnx4si },
    &operand_data[14132],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "aarch64_sve_uunpkhi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpkhi\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpkhi_vnx4si },
    &operand_data[14132],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "aarch64_sve_sunpklo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpklo\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sunpklo_vnx4si },
    &operand_data[14132],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9365 */
  {
    "aarch64_sve_uunpklo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpklo\t%0.d, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uunpklo_vnx4si },
    &operand_data[14132],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10766 },
#else
    { 0, output_10766, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[14134],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10767 },
#else
    { 0, output_10767, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[14134],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx4sfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10768 },
#else
    { 0, output_10768, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx4sfvnx8hi },
    &operand_data[14138],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10769 },
#else
    { 0, output_10769, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx8hi },
    &operand_data[14138],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx2dfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10770 },
#else
    { 0, output_10770, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx2dfvnx8hi },
    &operand_data[14142],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10771 },
#else
    { 0, output_10771, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx8hi },
    &operand_data[14142],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10772 },
#else
    { 0, output_10772, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx4si },
    &operand_data[14146],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10773 },
#else
    { 0, output_10773, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx4si },
    &operand_data[14146],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10774 },
#else
    { 0, output_10774, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx4sfvnx4si },
    &operand_data[14150],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10775 },
#else
    { 0, output_10775, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx4si },
    &operand_data[14150],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10776 },
#else
    { 0, output_10776, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx2dfvnx4si },
    &operand_data[14154],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10777 },
#else
    { 0, output_10777, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx4si },
    &operand_data[14154],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10778 },
#else
    { 0, output_10778, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx8hfvnx2di },
    &operand_data[14158],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10779 },
#else
    { 0, output_10779, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx8hfvnx2di },
    &operand_data[14158],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10780 },
#else
    { 0, output_10780, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx4sfvnx2di },
    &operand_data[14162],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10781 },
#else
    { 0, output_10781, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx4sfvnx2di },
    &operand_data[14162],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fix_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10782 },
#else
    { 0, output_10782, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_nontruncvnx2dfvnx2di },
    &operand_data[14166],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9398 */
  {
    "aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10783 },
#else
    { 0, output_10783, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_nontruncvnx2dfvnx2di },
    &operand_data[14166],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9413 */
  {
    "aarch64_sve_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10784 },
#else
    { 0, output_10784, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fix_trunc_truncvnx2dfvnx4si },
    &operand_data[14170],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9413 */
  {
    "aarch64_sve_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10785 },
#else
    { 0, output_10785, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fixuns_trunc_truncvnx2dfvnx4si },
    &operand_data[14170],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10786 },
#else
    { 0, output_10786, 0 },
#endif
    { 0 },
    &operand_data[14174],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10787 },
#else
    { 0, output_10787, 0 },
#endif
    { 0 },
    &operand_data[14174],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10788 },
#else
    { 0, output_10788, 0 },
#endif
    { 0 },
    &operand_data[14179],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10789 },
#else
    { 0, output_10789, 0 },
#endif
    { 0 },
    &operand_data[14179],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10790 },
#else
    { 0, output_10790, 0 },
#endif
    { 0 },
    &operand_data[14184],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx8hi_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10791 },
#else
    { 0, output_10791, 0 },
#endif
    { 0 },
    &operand_data[14184],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10792 },
#else
    { 0, output_10792, 0 },
#endif
    { 0 },
    &operand_data[14189],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10793 },
#else
    { 0, output_10793, 0 },
#endif
    { 0 },
    &operand_data[14189],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10794 },
#else
    { 0, output_10794, 0 },
#endif
    { 0 },
    &operand_data[14194],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10795 },
#else
    { 0, output_10795, 0 },
#endif
    { 0 },
    &operand_data[14194],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10796 },
#else
    { 0, output_10796, 0 },
#endif
    { 0 },
    &operand_data[14199],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx4si_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10797 },
#else
    { 0, output_10797, 0 },
#endif
    { 0 },
    &operand_data[14199],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10798 },
#else
    { 0, output_10798, 0 },
#endif
    { 0 },
    &operand_data[14204],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10799 },
#else
    { 0, output_10799, 0 },
#endif
    { 0 },
    &operand_data[14204],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10800 },
#else
    { 0, output_10800, 0 },
#endif
    { 0 },
    &operand_data[14209],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10801 },
#else
    { 0, output_10801, 0 },
#endif
    { 0 },
    &operand_data[14209],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10802 },
#else
    { 0, output_10802, 0 },
#endif
    { 0 },
    &operand_data[14214],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9448 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx2di_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10803 },
#else
    { 0, output_10803, 0 },
#endif
    { 0 },
    &operand_data[14214],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10804 },
#else
    { 0, output_10804, 0 },
#endif
    { 0 },
    &operand_data[14174],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10805 },
#else
    { 0, output_10805, 0 },
#endif
    { 0 },
    &operand_data[14174],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10806 },
#else
    { 0, output_10806, 0 },
#endif
    { 0 },
    &operand_data[14179],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10807 },
#else
    { 0, output_10807, 0 },
#endif
    { 0 },
    &operand_data[14179],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10808 },
#else
    { 0, output_10808, 0 },
#endif
    { 0 },
    &operand_data[14184],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx8hi_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10809 },
#else
    { 0, output_10809, 0 },
#endif
    { 0 },
    &operand_data[14184],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10810 },
#else
    { 0, output_10810, 0 },
#endif
    { 0 },
    &operand_data[14189],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10811 },
#else
    { 0, output_10811, 0 },
#endif
    { 0 },
    &operand_data[14189],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10812 },
#else
    { 0, output_10812, 0 },
#endif
    { 0 },
    &operand_data[14194],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10813 },
#else
    { 0, output_10813, 0 },
#endif
    { 0 },
    &operand_data[14194],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10814 },
#else
    { 0, output_10814, 0 },
#endif
    { 0 },
    &operand_data[14199],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx4si_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10815 },
#else
    { 0, output_10815, 0 },
#endif
    { 0 },
    &operand_data[14199],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fix_trunc_nontruncvnx8hfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10816 },
#else
    { 0, output_10816, 0 },
#endif
    { 0 },
    &operand_data[14204],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fixuns_trunc_nontruncvnx8hfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10817 },
#else
    { 0, output_10817, 0 },
#endif
    { 0 },
    &operand_data[14204],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fix_trunc_nontruncvnx4sfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10818 },
#else
    { 0, output_10818, 0 },
#endif
    { 0 },
    &operand_data[14209],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fixuns_trunc_nontruncvnx4sfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10819 },
#else
    { 0, output_10819, 0 },
#endif
    { 0 },
    &operand_data[14209],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fix_trunc_nontruncvnx2dfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10820 },
#else
    { 0, output_10820, 0 },
#endif
    { 0 },
    &operand_data[14214],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9471 */
  {
    "*cond_fixuns_trunc_nontruncvnx2dfvnx2di_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10821 },
#else
    { 0, output_10821, 0 },
#endif
    { 0 },
    &operand_data[14214],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9505 */
  {
    "*cond_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10822 },
#else
    { 0, output_10822, 0 },
#endif
    { 0 },
    &operand_data[14219],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9505 */
  {
    "*cond_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10823 },
#else
    { 0, output_10823, 0 },
#endif
    { 0 },
    &operand_data[14219],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_float_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10824 },
#else
    { 0, output_10824, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx8hivnx8hf },
    &operand_data[14224],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_floatuns_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10825 },
#else
    { 0, output_10825, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx8hivnx8hf },
    &operand_data[14224],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_float_nonextendvnx8hivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10826 },
#else
    { 0, output_10826, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx8hivnx4sf },
    &operand_data[14228],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_floatuns_nonextendvnx8hivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10827 },
#else
    { 0, output_10827, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx8hivnx4sf },
    &operand_data[14228],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_float_nonextendvnx8hivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10828 },
#else
    { 0, output_10828, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx8hivnx2df },
    &operand_data[14232],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_floatuns_nonextendvnx8hivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10829 },
#else
    { 0, output_10829, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx8hivnx2df },
    &operand_data[14232],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_float_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10830 },
#else
    { 0, output_10830, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx4sivnx8hf },
    &operand_data[14236],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_floatuns_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10831 },
#else
    { 0, output_10831, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx4sivnx8hf },
    &operand_data[14236],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_float_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10832 },
#else
    { 0, output_10832, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx4sivnx4sf },
    &operand_data[14240],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_floatuns_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10833 },
#else
    { 0, output_10833, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx4sivnx4sf },
    &operand_data[14240],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_float_nonextendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10834 },
#else
    { 0, output_10834, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx4sivnx2df },
    &operand_data[14244],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_floatuns_nonextendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10835 },
#else
    { 0, output_10835, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx4sivnx2df },
    &operand_data[14244],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_float_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10836 },
#else
    { 0, output_10836, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx8hf },
    &operand_data[14248],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10837 },
#else
    { 0, output_10837, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx8hf },
    &operand_data[14248],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_float_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10838 },
#else
    { 0, output_10838, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx4sf },
    &operand_data[14252],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10839 },
#else
    { 0, output_10839, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx4sf },
    &operand_data[14252],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_float_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10840 },
#else
    { 0, output_10840, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_nonextendvnx2divnx2df },
    &operand_data[14256],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9585 */
  {
    "aarch64_sve_floatuns_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10841 },
#else
    { 0, output_10841, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_nonextendvnx2divnx2df },
    &operand_data[14256],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9600 */
  {
    "aarch64_sve_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10842 },
#else
    { 0, output_10842, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_float_extendvnx4sivnx2df },
    &operand_data[14260],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9600 */
  {
    "aarch64_sve_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10843 },
#else
    { 0, output_10843, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_floatuns_extendvnx4sivnx2df },
    &operand_data[14260],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_float_nonextendvnx8hivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10844 },
#else
    { 0, output_10844, 0 },
#endif
    { 0 },
    &operand_data[14264],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_floatuns_nonextendvnx8hivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10845 },
#else
    { 0, output_10845, 0 },
#endif
    { 0 },
    &operand_data[14264],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_float_nonextendvnx8hivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10846 },
#else
    { 0, output_10846, 0 },
#endif
    { 0 },
    &operand_data[14269],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_floatuns_nonextendvnx8hivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10847 },
#else
    { 0, output_10847, 0 },
#endif
    { 0 },
    &operand_data[14269],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_float_nonextendvnx8hivnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10848 },
#else
    { 0, output_10848, 0 },
#endif
    { 0 },
    &operand_data[14274],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_floatuns_nonextendvnx8hivnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10849 },
#else
    { 0, output_10849, 0 },
#endif
    { 0 },
    &operand_data[14274],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_float_nonextendvnx4sivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10850 },
#else
    { 0, output_10850, 0 },
#endif
    { 0 },
    &operand_data[14279],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_floatuns_nonextendvnx4sivnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10851 },
#else
    { 0, output_10851, 0 },
#endif
    { 0 },
    &operand_data[14279],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_float_nonextendvnx4sivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10852 },
#else
    { 0, output_10852, 0 },
#endif
    { 0 },
    &operand_data[14284],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_floatuns_nonextendvnx4sivnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10853 },
#else
    { 0, output_10853, 0 },
#endif
    { 0 },
    &operand_data[14284],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_float_nonextendvnx4sivnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10854 },
#else
    { 0, output_10854, 0 },
#endif
    { 0 },
    &operand_data[14289],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_floatuns_nonextendvnx4sivnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10855 },
#else
    { 0, output_10855, 0 },
#endif
    { 0 },
    &operand_data[14289],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_float_nonextendvnx2divnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10856 },
#else
    { 0, output_10856, 0 },
#endif
    { 0 },
    &operand_data[14294],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_floatuns_nonextendvnx2divnx8hf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10857 },
#else
    { 0, output_10857, 0 },
#endif
    { 0 },
    &operand_data[14294],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_float_nonextendvnx2divnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10858 },
#else
    { 0, output_10858, 0 },
#endif
    { 0 },
    &operand_data[14299],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_floatuns_nonextendvnx2divnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10859 },
#else
    { 0, output_10859, 0 },
#endif
    { 0 },
    &operand_data[14299],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_float_nonextendvnx2divnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10860 },
#else
    { 0, output_10860, 0 },
#endif
    { 0 },
    &operand_data[14304],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9635 */
  {
    "*cond_floatuns_nonextendvnx2divnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10861 },
#else
    { 0, output_10861, 0 },
#endif
    { 0 },
    &operand_data[14304],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_float_nonextendvnx8hivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10862 },
#else
    { 0, output_10862, 0 },
#endif
    { 0 },
    &operand_data[14264],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_floatuns_nonextendvnx8hivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10863 },
#else
    { 0, output_10863, 0 },
#endif
    { 0 },
    &operand_data[14264],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_float_nonextendvnx8hivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10864 },
#else
    { 0, output_10864, 0 },
#endif
    { 0 },
    &operand_data[14269],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_floatuns_nonextendvnx8hivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10865 },
#else
    { 0, output_10865, 0 },
#endif
    { 0 },
    &operand_data[14269],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_float_nonextendvnx8hivnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10866 },
#else
    { 0, output_10866, 0 },
#endif
    { 0 },
    &operand_data[14274],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_floatuns_nonextendvnx8hivnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10867 },
#else
    { 0, output_10867, 0 },
#endif
    { 0 },
    &operand_data[14274],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_float_nonextendvnx4sivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10868 },
#else
    { 0, output_10868, 0 },
#endif
    { 0 },
    &operand_data[14279],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_floatuns_nonextendvnx4sivnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10869 },
#else
    { 0, output_10869, 0 },
#endif
    { 0 },
    &operand_data[14279],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_float_nonextendvnx4sivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10870 },
#else
    { 0, output_10870, 0 },
#endif
    { 0 },
    &operand_data[14284],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_floatuns_nonextendvnx4sivnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10871 },
#else
    { 0, output_10871, 0 },
#endif
    { 0 },
    &operand_data[14284],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_float_nonextendvnx4sivnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10872 },
#else
    { 0, output_10872, 0 },
#endif
    { 0 },
    &operand_data[14289],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_floatuns_nonextendvnx4sivnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10873 },
#else
    { 0, output_10873, 0 },
#endif
    { 0 },
    &operand_data[14289],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_float_nonextendvnx2divnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10874 },
#else
    { 0, output_10874, 0 },
#endif
    { 0 },
    &operand_data[14294],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_floatuns_nonextendvnx2divnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10875 },
#else
    { 0, output_10875, 0 },
#endif
    { 0 },
    &operand_data[14294],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_float_nonextendvnx2divnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10876 },
#else
    { 0, output_10876, 0 },
#endif
    { 0 },
    &operand_data[14299],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_floatuns_nonextendvnx2divnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10877 },
#else
    { 0, output_10877, 0 },
#endif
    { 0 },
    &operand_data[14299],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_float_nonextendvnx2divnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10878 },
#else
    { 0, output_10878, 0 },
#endif
    { 0 },
    &operand_data[14304],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9658 */
  {
    "*cond_floatuns_nonextendvnx2divnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10879 },
#else
    { 0, output_10879, 0 },
#endif
    { 0 },
    &operand_data[14304],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9692 */
  {
    "*cond_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10880 },
#else
    { 0, output_10880, 0 },
#endif
    { 0 },
    &operand_data[14309],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9692 */
  {
    "*cond_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10881 },
#else
    { 0, output_10881, 0 },
#endif
    { 0 },
    &operand_data[14309],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9783 */
  {
    "aarch64_sve_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10882 },
#else
    { 0, output_10882, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx4sfvnx8hf },
    &operand_data[14314],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9783 */
  {
    "aarch64_sve_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10883 },
#else
    { 0, output_10883, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx2dfvnx8hf },
    &operand_data[14318],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9783 */
  {
    "aarch64_sve_fcvt_truncvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10884 },
#else
    { 0, output_10884, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx4sfvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9783 */
  {
    "aarch64_sve_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10885 },
#else
    { 0, output_10885, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx2dfvnx4sf },
    &operand_data[14322],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9812 */
  {
    "*cond_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10886 },
#else
    { 0, output_10886, 0 },
#endif
    { 0 },
    &operand_data[14326],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9812 */
  {
    "*cond_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10887 },
#else
    { 0, output_10887, 0 },
#endif
    { 0 },
    &operand_data[14331],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9812 */
  {
    "*cond_fcvt_truncvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10888 },
#else
    { 0, output_10888, 0 },
#endif
    { 0 },
    &operand_data[14336],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9812 */
  {
    "*cond_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10889 },
#else
    { 0, output_10889, 0 },
#endif
    { 0 },
    &operand_data[14341],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9840 */
  {
    "aarch64_sve_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10890 },
#else
    { 0, output_10890, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_truncvnx4sfvnx8bf },
    &operand_data[14346],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9869 */
  {
    "*cond_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10891 },
#else
    { 0, output_10891, 0 },
#endif
    { 0 },
    &operand_data[14350],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9893 */
  {
    "aarch64_sve_cvtntvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtnt\t%0.h, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx8bf },
    &operand_data[14355],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9940 */
  {
    "aarch64_sve_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10893 },
#else
    { 0, output_10893, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx8hfvnx4sf },
    &operand_data[14359],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9940 */
  {
    "aarch64_sve_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10894 },
#else
    { 0, output_10894, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx8hfvnx2df },
    &operand_data[14363],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9940 */
  {
    "aarch64_sve_fcvt_nontruncvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10895 },
#else
    { 0, output_10895, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx4sfvnx4sf },
    &operand_data[10265],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9940 */
  {
    "aarch64_sve_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10896 },
#else
    { 0, output_10896, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fcvt_nontruncvnx4sfvnx2df },
    &operand_data[14367],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9969 */
  {
    "*cond_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10897 },
#else
    { 0, output_10897, 0 },
#endif
    { 0 },
    &operand_data[14371],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9969 */
  {
    "*cond_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10898 },
#else
    { 0, output_10898, 0 },
#endif
    { 0 },
    &operand_data[14376],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9969 */
  {
    "*cond_fcvt_nontruncvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10899 },
#else
    { 0, output_10899, 0 },
#endif
    { 0 },
    &operand_data[14336],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9969 */
  {
    "*cond_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10900 },
#else
    { 0, output_10900, 0 },
#endif
    { 0 },
    &operand_data[14381],
    5,
    5,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9997 */
  {
    "vec_pack_trunc_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx8bi },
    &operand_data[14386],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9997 */
  {
    "vec_pack_trunc_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4bi },
    &operand_data[14389],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9997 */
  {
    "vec_pack_trunc_vnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp1\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2bi },
    &operand_data[14392],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10032 */
  {
    "aarch64_sve_punpklo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx16bi },
    &operand_data[14395],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10032 */
  {
    "aarch64_sve_punpkhi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx16bi },
    &operand_data[14395],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10032 */
  {
    "aarch64_sve_punpklo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx8bi },
    &operand_data[14397],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10032 */
  {
    "aarch64_sve_punpkhi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx8bi },
    &operand_data[14397],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10032 */
  {
    "aarch64_sve_punpklo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpklo\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpklo_vnx4bi },
    &operand_data[14399],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10032 */
  {
    "aarch64_sve_punpkhi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "punpkhi\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_punpkhi_vnx4bi },
    &operand_data[14399],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10057 */
  {
    "aarch64_brka",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10910 },
#else
    { 0, output_10910, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brka },
    &operand_data[14401],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10057 */
  {
    "aarch64_brkb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10911 },
#else
    { 0, output_10911, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkb },
    &operand_data[14401],
    4,
    4,
    0,
    6,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10076 */
  {
    "*aarch64_brka_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10912 },
#else
    { 0, output_10912, 0 },
#endif
    { 0 },
    &operand_data[14405],
    5,
    5,
    5,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10076 */
  {
    "*aarch64_brkb_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10913 },
#else
    { 0, output_10913, 0 },
#endif
    { 0 },
    &operand_data[14405],
    5,
    5,
    5,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10103 */
  {
    "*aarch64_brka_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10914 },
#else
    { 0, output_10914, 0 },
#endif
    { 0 },
    &operand_data[14410],
    5,
    5,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10103 */
  {
    "*aarch64_brkb_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10915 },
#else
    { 0, output_10915, 0 },
#endif
    { 0 },
    &operand_data[14410],
    5,
    5,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10137 */
  {
    "aarch64_brkn",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10916 },
#else
    { 0, output_10916, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkn },
    &operand_data[14415],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10137 */
  {
    "aarch64_brkpa",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10917 },
#else
    { 0, output_10917, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkpa },
    &operand_data[12291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10137 */
  {
    "aarch64_brkpb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10918 },
#else
    { 0, output_10918, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_brkpb },
    &operand_data[12291],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10154 */
  {
    "*aarch64_brkn_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkns\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14419],
    6,
    6,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10183 */
  {
    "*aarch64_brkn_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "brkns\t%0.b, %1/z, %2.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14425],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10207 */
  {
    "*aarch64_brkpa_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10921 },
#else
    { 0, output_10921, 0 },
#endif
    { 0 },
    &operand_data[14431],
    5,
    5,
    5,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10207 */
  {
    "*aarch64_brkpb_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10922 },
#else
    { 0, output_10922, 0 },
#endif
    { 0 },
    &operand_data[14431],
    5,
    5,
    5,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10234 */
  {
    "*aarch64_brkpa_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10923 },
#else
    { 0, output_10923, 0 },
#endif
    { 0 },
    &operand_data[14436],
    5,
    5,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10234 */
  {
    "*aarch64_brkpb_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_10924 },
#else
    { 0, output_10924, 0 },
#endif
    { 0 },
    &operand_data[14436],
    5,
    5,
    2,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10263 */
  {
    "aarch64_sve_pfirstvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pfirstvnx16bi },
    &operand_data[14441],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10263 */
  {
    "aarch64_sve_pnextvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx16bi },
    &operand_data[14441],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10263 */
  {
    "aarch64_sve_pfirstvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pfirstvnx8bi },
    &operand_data[14445],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10263 */
  {
    "aarch64_sve_pnextvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx8bi },
    &operand_data[14445],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10263 */
  {
    "aarch64_sve_pfirstvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pfirstvnx4bi },
    &operand_data[14449],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10263 */
  {
    "aarch64_sve_pnextvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx4bi },
    &operand_data[14449],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10263 */
  {
    "aarch64_sve_pfirstvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pfirstvnx2bi },
    &operand_data[14453],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10263 */
  {
    "aarch64_sve_pnextvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pnextvnx2bi },
    &operand_data[14453],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10276 */
  {
    "*aarch64_sve_pfirstvnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14457],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10276 */
  {
    "*aarch64_sve_pnextvnx16bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14457],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10276 */
  {
    "*aarch64_sve_pfirstvnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14464],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10276 */
  {
    "*aarch64_sve_pnextvnx8bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14464],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10276 */
  {
    "*aarch64_sve_pfirstvnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14471],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10276 */
  {
    "*aarch64_sve_pnextvnx4bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14471],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10276 */
  {
    "*aarch64_sve_pfirstvnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14478],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10276 */
  {
    "*aarch64_sve_pnextvnx2bi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14478],
    7,
    7,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10306 */
  {
    "*aarch64_sve_pfirstvnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14485],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10306 */
  {
    "*aarch64_sve_pnextvnx16bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.b, %1, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14485],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10306 */
  {
    "*aarch64_sve_pfirstvnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14492],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10306 */
  {
    "*aarch64_sve_pnextvnx8bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.h, %1, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14492],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10306 */
  {
    "*aarch64_sve_pfirstvnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14499],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10306 */
  {
    "*aarch64_sve_pnextvnx4bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.s, %1, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14499],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10306 */
  {
    "*aarch64_sve_pfirstvnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pfirst\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14506],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10306 */
  {
    "*aarch64_sve_pnextvnx2bi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pnext\t%0.d, %1, %0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14506],
    7,
    7,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10349 */
  {
    "aarch64_sve_cnt_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10949 },
#else
    { 0, 0, output_10949 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cnt_pat },
    &operand_data[14513],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10373 */
  {
    "aarch64_sve_incdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10950 },
#else
    { 0, 0, output_10950 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdi_pat },
    &operand_data[14517],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10373 */
  {
    "aarch64_sve_sqincdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10951 },
#else
    { 0, 0, output_10951 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdi_pat },
    &operand_data[14517],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10373 */
  {
    "aarch64_sve_uqincdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10952 },
#else
    { 0, 0, output_10952 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdi_pat },
    &operand_data[14517],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10391 */
  {
    "*aarch64_sve_incsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10953 },
#else
    { 0, 0, output_10953 },
#endif
    { 0 },
    &operand_data[14522],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10408 */
  {
    "aarch64_sve_sqincsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10954 },
#else
    { 0, 0, output_10954 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsi_pat },
    &operand_data[14527],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10408 */
  {
    "aarch64_sve_uqincsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10955 },
#else
    { 0, 0, output_10955 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsi_pat },
    &operand_data[14527],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10436 */
  {
    "aarch64_sve_incvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10956 },
#else
    { 0, 0, output_10956 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx2di_pat },
    &operand_data[14532],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10436 */
  {
    "aarch64_sve_sqincvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10957 },
#else
    { 0, 0, output_10957 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx2di_pat },
    &operand_data[14532],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10436 */
  {
    "aarch64_sve_uqincvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10958 },
#else
    { 0, 0, output_10958 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx2di_pat },
    &operand_data[14532],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10458 */
  {
    "aarch64_sve_incvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10959 },
#else
    { 0, 0, output_10959 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx4si_pat },
    &operand_data[14537],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10458 */
  {
    "aarch64_sve_sqincvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10960 },
#else
    { 0, 0, output_10960 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx4si_pat },
    &operand_data[14537],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10458 */
  {
    "aarch64_sve_uqincvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10961 },
#else
    { 0, 0, output_10961 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx4si_pat },
    &operand_data[14537],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10492 */
  {
    "*aarch64_sve_incvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10962 },
#else
    { 0, 0, output_10962 },
#endif
    { 0 },
    &operand_data[14542],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10492 */
  {
    "*aarch64_sve_sqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10963 },
#else
    { 0, 0, output_10963 },
#endif
    { 0 },
    &operand_data[14542],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10492 */
  {
    "*aarch64_sve_uqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10964 },
#else
    { 0, 0, output_10964 },
#endif
    { 0 },
    &operand_data[14542],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10523 */
  {
    "aarch64_sve_decdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10965 },
#else
    { 0, 0, output_10965 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdi_pat },
    &operand_data[14517],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10523 */
  {
    "aarch64_sve_sqdecdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10966 },
#else
    { 0, 0, output_10966 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdi_pat },
    &operand_data[14517],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10523 */
  {
    "aarch64_sve_uqdecdi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10967 },
#else
    { 0, 0, output_10967 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdi_pat },
    &operand_data[14517],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10541 */
  {
    "*aarch64_sve_decsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10968 },
#else
    { 0, 0, output_10968 },
#endif
    { 0 },
    &operand_data[14522],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10558 */
  {
    "aarch64_sve_sqdecsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10969 },
#else
    { 0, 0, output_10969 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsi_pat },
    &operand_data[14527],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10558 */
  {
    "aarch64_sve_uqdecsi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10970 },
#else
    { 0, 0, output_10970 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsi_pat },
    &operand_data[14527],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10586 */
  {
    "aarch64_sve_decvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10971 },
#else
    { 0, 0, output_10971 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx2di_pat },
    &operand_data[14532],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10586 */
  {
    "aarch64_sve_sqdecvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10972 },
#else
    { 0, 0, output_10972 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx2di_pat },
    &operand_data[14532],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10586 */
  {
    "aarch64_sve_uqdecvnx2di_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10973 },
#else
    { 0, 0, output_10973 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx2di_pat },
    &operand_data[14532],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10608 */
  {
    "aarch64_sve_decvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10974 },
#else
    { 0, 0, output_10974 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx4si_pat },
    &operand_data[14537],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10608 */
  {
    "aarch64_sve_sqdecvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10975 },
#else
    { 0, 0, output_10975 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx4si_pat },
    &operand_data[14537],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10608 */
  {
    "aarch64_sve_uqdecvnx4si_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10976 },
#else
    { 0, 0, output_10976 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx4si_pat },
    &operand_data[14537],
    5,
    5,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10642 */
  {
    "*aarch64_sve_decvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10977 },
#else
    { 0, 0, output_10977 },
#endif
    { 0 },
    &operand_data[14542],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10642 */
  {
    "*aarch64_sve_sqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10978 },
#else
    { 0, 0, output_10978 },
#endif
    { 0 },
    &operand_data[14542],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10642 */
  {
    "*aarch64_sve_uqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_10979 },
#else
    { 0, 0, output_10979 },
#endif
    { 0 },
    &operand_data[14542],
    6,
    6,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10671 */
  {
    "aarch64_pred_cntpvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx16bi },
    &operand_data[14548],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10671 */
  {
    "aarch64_pred_cntpvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx8bi },
    &operand_data[14552],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10671 */
  {
    "aarch64_pred_cntpvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx4bi },
    &operand_data[14556],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10671 */
  {
    "aarch64_pred_cntpvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %1, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_cntpvnx2bi },
    &operand_data[14560],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10707 */
  {
    "*aarch64_sve_incdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10707 */
  {
    "*aarch64_sve_sqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10707 */
  {
    "*aarch64_sve_uqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10707 */
  {
    "*aarch64_sve_incdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10707 */
  {
    "*aarch64_sve_sqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10707 */
  {
    "*aarch64_sve_uqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10707 */
  {
    "*aarch64_sve_incdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10707 */
  {
    "*aarch64_sve_sqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10707 */
  {
    "*aarch64_sve_uqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10707 */
  {
    "*aarch64_sve_incdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10707 */
  {
    "*aarch64_sve_sqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqincp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10707 */
  {
    "*aarch64_sve_uqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqincp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10727 */
  {
    "*aarch64_incsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14580],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10727 */
  {
    "*aarch64_incsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14584],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10727 */
  {
    "*aarch64_incsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14588],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10727 */
  {
    "*aarch64_incsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "incp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14592],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10762 */
  {
    "*aarch64_sve_sqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11000 },
#else
    { 0, 0, output_11000 },
#endif
    { 0 },
    &operand_data[14596],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10762 */
  {
    "*aarch64_sve_uqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11001 },
#else
    { 0, 0, output_11001 },
#endif
    { 0 },
    &operand_data[14596],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10762 */
  {
    "*aarch64_sve_sqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11002 },
#else
    { 0, 0, output_11002 },
#endif
    { 0 },
    &operand_data[14600],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10762 */
  {
    "*aarch64_sve_uqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11003 },
#else
    { 0, 0, output_11003 },
#endif
    { 0 },
    &operand_data[14600],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10762 */
  {
    "*aarch64_sve_sqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11004 },
#else
    { 0, 0, output_11004 },
#endif
    { 0 },
    &operand_data[14604],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10762 */
  {
    "*aarch64_sve_uqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11005 },
#else
    { 0, 0, output_11005 },
#endif
    { 0 },
    &operand_data[14604],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10762 */
  {
    "*aarch64_sve_sqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11006 },
#else
    { 0, 0, output_11006 },
#endif
    { 0 },
    &operand_data[14608],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10762 */
  {
    "*aarch64_sve_uqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11007 },
#else
    { 0, 0, output_11007 },
#endif
    { 0 },
    &operand_data[14608],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10812 */
  {
    "*aarch64_sve_incvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11008 },
#else
    { 0, output_11008, 0 },
#endif
    { 0 },
    &operand_data[14612],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10812 */
  {
    "*aarch64_sve_sqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11009 },
#else
    { 0, output_11009, 0 },
#endif
    { 0 },
    &operand_data[14612],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10812 */
  {
    "*aarch64_sve_uqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11010 },
#else
    { 0, output_11010, 0 },
#endif
    { 0 },
    &operand_data[14612],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10852 */
  {
    "*aarch64_sve_incvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11011 },
#else
    { 0, output_11011, 0 },
#endif
    { 0 },
    &operand_data[14616],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10852 */
  {
    "*aarch64_sve_sqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11012 },
#else
    { 0, output_11012, 0 },
#endif
    { 0 },
    &operand_data[14616],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10852 */
  {
    "*aarch64_sve_uqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11013 },
#else
    { 0, output_11013, 0 },
#endif
    { 0 },
    &operand_data[14616],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10892 */
  {
    "*aarch64_sve_incvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11014 },
#else
    { 0, output_11014, 0 },
#endif
    { 0 },
    &operand_data[14620],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10892 */
  {
    "*aarch64_sve_sqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11015 },
#else
    { 0, output_11015, 0 },
#endif
    { 0 },
    &operand_data[14620],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10892 */
  {
    "*aarch64_sve_uqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11016 },
#else
    { 0, output_11016, 0 },
#endif
    { 0 },
    &operand_data[14620],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10940 */
  {
    "*aarch64_sve_decdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10940 */
  {
    "*aarch64_sve_sqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10940 */
  {
    "*aarch64_sve_uqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14564],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10940 */
  {
    "*aarch64_sve_decdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10940 */
  {
    "*aarch64_sve_sqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10940 */
  {
    "*aarch64_sve_uqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14568],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10940 */
  {
    "*aarch64_sve_decdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10940 */
  {
    "*aarch64_sve_sqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10940 */
  {
    "*aarch64_sve_uqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14572],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10940 */
  {
    "*aarch64_sve_decdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10940 */
  {
    "*aarch64_sve_sqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdecp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10940 */
  {
    "*aarch64_sve_uqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqdecp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14576],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10960 */
  {
    "*aarch64_decsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14580],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10960 */
  {
    "*aarch64_decsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14584],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10960 */
  {
    "*aarch64_decsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14588],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10960 */
  {
    "*aarch64_decsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "decp\t%x0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[14592],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10995 */
  {
    "*aarch64_sve_sqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11033 },
#else
    { 0, 0, output_11033 },
#endif
    { 0 },
    &operand_data[14596],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10995 */
  {
    "*aarch64_sve_uqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11034 },
#else
    { 0, 0, output_11034 },
#endif
    { 0 },
    &operand_data[14596],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10995 */
  {
    "*aarch64_sve_sqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11035 },
#else
    { 0, 0, output_11035 },
#endif
    { 0 },
    &operand_data[14600],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10995 */
  {
    "*aarch64_sve_uqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11036 },
#else
    { 0, 0, output_11036 },
#endif
    { 0 },
    &operand_data[14600],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10995 */
  {
    "*aarch64_sve_sqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11037 },
#else
    { 0, 0, output_11037 },
#endif
    { 0 },
    &operand_data[14604],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10995 */
  {
    "*aarch64_sve_uqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11038 },
#else
    { 0, 0, output_11038 },
#endif
    { 0 },
    &operand_data[14604],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10995 */
  {
    "*aarch64_sve_sqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11039 },
#else
    { 0, 0, output_11039 },
#endif
    { 0 },
    &operand_data[14608],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10995 */
  {
    "*aarch64_sve_uqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11040 },
#else
    { 0, 0, output_11040 },
#endif
    { 0 },
    &operand_data[14608],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11045 */
  {
    "*aarch64_sve_decvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11041 },
#else
    { 0, output_11041, 0 },
#endif
    { 0 },
    &operand_data[14612],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11045 */
  {
    "*aarch64_sve_sqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11042 },
#else
    { 0, output_11042, 0 },
#endif
    { 0 },
    &operand_data[14612],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11045 */
  {
    "*aarch64_sve_uqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11043 },
#else
    { 0, output_11043, 0 },
#endif
    { 0 },
    &operand_data[14612],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11085 */
  {
    "*aarch64_sve_decvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11044 },
#else
    { 0, output_11044, 0 },
#endif
    { 0 },
    &operand_data[14616],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11085 */
  {
    "*aarch64_sve_sqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11045 },
#else
    { 0, output_11045, 0 },
#endif
    { 0 },
    &operand_data[14616],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11085 */
  {
    "*aarch64_sve_uqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11046 },
#else
    { 0, output_11046, 0 },
#endif
    { 0 },
    &operand_data[14616],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11125 */
  {
    "*aarch64_sve_decvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11047 },
#else
    { 0, output_11047, 0 },
#endif
    { 0 },
    &operand_data[14620],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11125 */
  {
    "*aarch64_sve_sqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11048 },
#else
    { 0, output_11048, 0 },
#endif
    { 0 },
    &operand_data[14620],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11125 */
  {
    "*aarch64_sve_uqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11049 },
#else
    { 0, output_11049, 0 },
#endif
    { 0 },
    &operand_data[14620],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11147 */
  {
    "aarch64_sve_get_neonq_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx16qi },
    &operand_data[14625],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11147 */
  {
    "aarch64_sve_get_neonq_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx8hi },
    &operand_data[14628],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11147 */
  {
    "aarch64_sve_get_neonq_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx4si },
    &operand_data[14631],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11147 */
  {
    "aarch64_sve_get_neonq_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx2di },
    &operand_data[14634],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11147 */
  {
    "aarch64_sve_get_neonq_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx8bf },
    &operand_data[14637],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11147 */
  {
    "aarch64_sve_get_neonq_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx8hf },
    &operand_data[14640],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11147 */
  {
    "aarch64_sve_get_neonq_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx4sf },
    &operand_data[14643],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11147 */
  {
    "aarch64_sve_get_neonq_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_get_neonq_vnx2df },
    &operand_data[14646],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11164 */
  {
    "aarch64_sve_set_neonq_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11058 },
#else
    { 0, 0, output_11058 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx16qi },
    &operand_data[14649],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11164 */
  {
    "aarch64_sve_set_neonq_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11059 },
#else
    { 0, 0, output_11059 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx8hi },
    &operand_data[14653],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11164 */
  {
    "aarch64_sve_set_neonq_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11060 },
#else
    { 0, 0, output_11060 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx4si },
    &operand_data[14657],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11164 */
  {
    "aarch64_sve_set_neonq_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11061 },
#else
    { 0, 0, output_11061 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx2di },
    &operand_data[14661],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11164 */
  {
    "aarch64_sve_set_neonq_vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11062 },
#else
    { 0, 0, output_11062 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx8bf },
    &operand_data[14665],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11164 */
  {
    "aarch64_sve_set_neonq_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11063 },
#else
    { 0, 0, output_11063 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx8hf },
    &operand_data[14669],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11164 */
  {
    "aarch64_sve_set_neonq_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11064 },
#else
    { 0, 0, output_11064 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx4sf },
    &operand_data[14673],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11164 */
  {
    "aarch64_sve_set_neonq_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11065 },
#else
    { 0, 0, output_11065 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_set_neonq_vnx2df },
    &operand_data[14677],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:149 */
  {
    "aarch64_pmov_to_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_to_vnx16qi },
    &operand_data[14681],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:149 */
  {
    "aarch64_pmov_to_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_to_vnx8hi },
    &operand_data[14683],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:149 */
  {
    "aarch64_pmov_to_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_to_vnx4si },
    &operand_data[14685],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:149 */
  {
    "aarch64_pmov_to_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_to_vnx2di },
    &operand_data[14687],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:158 */
  {
    "aarch64_pmov_lane_to_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0[%3], %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_lane_to_vnx16qi },
    &operand_data[14689],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:158 */
  {
    "aarch64_pmov_lane_to_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0[%3], %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_lane_to_vnx8hi },
    &operand_data[14693],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:158 */
  {
    "aarch64_pmov_lane_to_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0[%3], %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_lane_to_vnx4si },
    &operand_data[14697],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:158 */
  {
    "aarch64_pmov_lane_to_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0[%3], %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_lane_to_vnx2di },
    &operand_data[14701],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:176 */
  {
    "aarch64_pmov_from_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_from_vnx16qi },
    &operand_data[14705],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:176 */
  {
    "aarch64_pmov_from_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_from_vnx8hi },
    &operand_data[14707],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:176 */
  {
    "aarch64_pmov_from_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0.s, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_from_vnx4si },
    &operand_data[14709],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:176 */
  {
    "aarch64_pmov_from_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0.d, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_from_vnx2di },
    &operand_data[14711],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:185 */
  {
    "aarch64_pmov_lane_from_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0.b, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_lane_from_vnx16qi },
    &operand_data[14713],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:185 */
  {
    "aarch64_pmov_lane_from_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0.h, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_lane_from_vnx8hi },
    &operand_data[14716],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:185 */
  {
    "aarch64_pmov_lane_from_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0.s, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_lane_from_vnx4si },
    &operand_data[14719],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:185 */
  {
    "aarch64_pmov_lane_from_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmov\t%0.d, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmov_lane_from_vnx2di },
    &operand_data[14722],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:223 */
  {
    "aarch64_sve_ld1_extendqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{%0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1_extendqvnx4si },
    &operand_data[14725],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:223 */
  {
    "aarch64_sve_ld1_extendqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{%0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1_extendqvnx2di },
    &operand_data[14728],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:223 */
  {
    "aarch64_sve_ld1_extendqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{%0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1_extendqvnx4sf },
    &operand_data[14731],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:223 */
  {
    "aarch64_sve_ld1_extendqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{%0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ld1_extendqvnx2df },
    &operand_data[14734],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2q\t{%S0.q - %T0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx32qi },
    &operand_data[14737],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2q\t{%S0.q - %T0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx16hi },
    &operand_data[14740],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2q\t{%S0.q - %T0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx8si },
    &operand_data[14743],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2q\t{%S0.q - %T0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx4di },
    &operand_data[14746],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2q\t{%S0.q - %T0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx16bf },
    &operand_data[14749],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2q\t{%S0.q - %T0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx16hf },
    &operand_data[14752],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2q\t{%S0.q - %T0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx8sf },
    &operand_data[14755],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld2q\t{%S0.q - %T0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx4df },
    &operand_data[14758],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3q\t{%S0.q - %U0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx48qi },
    &operand_data[14761],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3q\t{%S0.q - %U0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx24hi },
    &operand_data[14764],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3q\t{%S0.q - %U0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx12si },
    &operand_data[14767],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3q\t{%S0.q - %U0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx6di },
    &operand_data[14770],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3q\t{%S0.q - %U0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx24bf },
    &operand_data[14773],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3q\t{%S0.q - %U0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx24hf },
    &operand_data[14776],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3q\t{%S0.q - %U0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx12sf },
    &operand_data[14779],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld3q\t{%S0.q - %U0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx6df },
    &operand_data[14782],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4q\t{%S0.q - %V0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx64qi },
    &operand_data[14785],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4q\t{%S0.q - %V0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx32hi },
    &operand_data[14788],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4q\t{%S0.q - %V0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx16si },
    &operand_data[14791],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4q\t{%S0.q - %V0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx8di },
    &operand_data[14794],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4q\t{%S0.q - %V0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx32bf },
    &operand_data[14797],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4q\t{%S0.q - %V0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx32hf },
    &operand_data[14800],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4q\t{%S0.q - %V0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx16sf },
    &operand_data[14803],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:243 */
  {
    "aarch64_sve_ldnqvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld4q\t{%S0.q - %V0.q}, %2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ldnqvnx8df },
    &operand_data[14806],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32qi },
    &operand_data[14809],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32qi },
    &operand_data[14809],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16hi },
    &operand_data[14813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16hi },
    &operand_data[14813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8si },
    &operand_data[14817],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8si },
    &operand_data[14817],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx4di },
    &operand_data[14821],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4di },
    &operand_data[14821],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16bf },
    &operand_data[14825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16bf },
    &operand_data[14825],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16hf },
    &operand_data[14829],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16hf },
    &operand_data[14829],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8sf },
    &operand_data[14833],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8sf },
    &operand_data[14833],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx4df },
    &operand_data[14837],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4df },
    &operand_data[14837],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx64qi },
    &operand_data[14841],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx64qi },
    &operand_data[14841],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32hi },
    &operand_data[14845],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32hi },
    &operand_data[14845],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16si },
    &operand_data[14849],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16si },
    &operand_data[14849],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8di },
    &operand_data[14853],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8di },
    &operand_data[14853],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32bf },
    &operand_data[14857],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32bf },
    &operand_data[14857],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32hf },
    &operand_data[14861],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32hf },
    &operand_data[14861],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16sf },
    &operand_data[14865],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16sf },
    &operand_data[14865],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ld1vnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8df },
    &operand_data[14869],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:268 */
  {
    "aarch64_ldnt1vnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t%0, %K2/z, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8df },
    &operand_data[14869],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ld1vnx32qi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t{%0.b, %1.b}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32qi_strided2 },
    &operand_data[14873],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ldnt1vnx32qi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t{%0.b, %1.b}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32qi_strided2 },
    &operand_data[14873],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ld1vnx16hi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{%0.h, %1.h}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16hi_strided2 },
    &operand_data[14877],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ldnt1vnx16hi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t{%0.h, %1.h}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16hi_strided2 },
    &operand_data[14877],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ld1vnx8si_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{%0.s, %1.s}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8si_strided2 },
    &operand_data[14881],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ldnt1vnx8si_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t{%0.s, %1.s}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8si_strided2 },
    &operand_data[14881],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ld1vnx4di_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{%0.d, %1.d}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx4di_strided2 },
    &operand_data[14885],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ldnt1vnx4di_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t{%0.d, %1.d}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4di_strided2 },
    &operand_data[14885],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ld1vnx16bf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{%0.h, %1.h}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16bf_strided2 },
    &operand_data[14889],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ldnt1vnx16bf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t{%0.h, %1.h}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16bf_strided2 },
    &operand_data[14889],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ld1vnx16hf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{%0.h, %1.h}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16hf_strided2 },
    &operand_data[14893],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ldnt1vnx16hf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t{%0.h, %1.h}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16hf_strided2 },
    &operand_data[14893],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ld1vnx8sf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{%0.s, %1.s}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8sf_strided2 },
    &operand_data[14897],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ldnt1vnx8sf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t{%0.s, %1.s}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8sf_strided2 },
    &operand_data[14897],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ld1vnx4df_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{%0.d, %1.d}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx4df_strided2 },
    &operand_data[14901],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:280 */
  {
    "aarch64_ldnt1vnx4df_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t{%0.d, %1.d}, %K3/z, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx4df_strided2 },
    &operand_data[14901],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ld1vnx64qi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t{%0.b, %1.b, %2.b, %3.b}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx64qi_strided4 },
    &operand_data[14905],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ldnt1vnx64qi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1b\t{%0.b, %1.b, %2.b, %3.b}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx64qi_strided4 },
    &operand_data[14905],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ld1vnx32hi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{%0.h, %1.h, %2.h, %3.h}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32hi_strided4 },
    &operand_data[14911],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ldnt1vnx32hi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t{%0.h, %1.h, %2.h, %3.h}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32hi_strided4 },
    &operand_data[14911],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ld1vnx16si_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{%0.s, %1.s, %2.s, %3.s}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16si_strided4 },
    &operand_data[14917],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ldnt1vnx16si_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t{%0.s, %1.s, %2.s, %3.s}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16si_strided4 },
    &operand_data[14917],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ld1vnx8di_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{%0.d, %1.d, %2.d, %3.d}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8di_strided4 },
    &operand_data[14923],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ldnt1vnx8di_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t{%0.d, %1.d, %2.d, %3.d}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8di_strided4 },
    &operand_data[14923],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ld1vnx32bf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{%0.h, %1.h, %2.h, %3.h}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32bf_strided4 },
    &operand_data[14929],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ldnt1vnx32bf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t{%0.h, %1.h, %2.h, %3.h}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32bf_strided4 },
    &operand_data[14929],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ld1vnx32hf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{%0.h, %1.h, %2.h, %3.h}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx32hf_strided4 },
    &operand_data[14935],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ldnt1vnx32hf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1h\t{%0.h, %1.h, %2.h, %3.h}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx32hf_strided4 },
    &operand_data[14935],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ld1vnx16sf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{%0.s, %1.s, %2.s, %3.s}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx16sf_strided4 },
    &operand_data[14941],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ldnt1vnx16sf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1w\t{%0.s, %1.s, %2.s, %3.s}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx16sf_strided4 },
    &operand_data[14941],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ld1vnx8df_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{%0.d, %1.d, %2.d, %3.d}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1vnx8df_strided4 },
    &operand_data[14947],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:299 */
  {
    "aarch64_ldnt1vnx8df_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldnt1d\t{%0.d, %1.d, %2.d, %3.d}, %K5/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ldnt1vnx8df_strided4 },
    &operand_data[14947],
    6,
    6,
    6,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:340 */
  {
    "aarch64_gather_ld1q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11174 },
#else
    { 0, output_11174, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ld1q },
    &operand_data[14953],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "aarch64_gather_ldntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11175 },
#else
    { 0, output_11175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx4si },
    &operand_data[14957],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "aarch64_gather_ldntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11176 },
#else
    { 0, output_11176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx2di },
    &operand_data[14953],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "aarch64_gather_ldntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11177 },
#else
    { 0, output_11177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx4sf },
    &operand_data[14961],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:368 */
  {
    "aarch64_gather_ldntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11178 },
#else
    { 0, output_11178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldntvnx2df },
    &operand_data[14965],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11179 },
#else
    { 0, output_11179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx8qi },
    &operand_data[14969],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11180 },
#else
    { 0, output_11180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx8qi },
    &operand_data[14969],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11181 },
#else
    { 0, output_11181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx4qi },
    &operand_data[14969],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11182 },
#else
    { 0, output_11182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx4qi },
    &operand_data[14969],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11183 },
#else
    { 0, output_11183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx2qi },
    &operand_data[14969],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11184 },
#else
    { 0, output_11184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx2qi },
    &operand_data[14969],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11185 },
#else
    { 0, output_11185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx4hi },
    &operand_data[14969],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11186 },
#else
    { 0, output_11186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx4hi },
    &operand_data[14969],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11187 },
#else
    { 0, output_11187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx2hi },
    &operand_data[14969],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11188 },
#else
    { 0, output_11188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx2hi },
    &operand_data[14969],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11189 },
#else
    { 0, output_11189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx4sivnx2si },
    &operand_data[14969],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_zero_extendvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11190 },
#else
    { 0, output_11190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx4sivnx2si },
    &operand_data[14969],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11191 },
#else
    { 0, output_11191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx8qi },
    &operand_data[14974],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11192 },
#else
    { 0, output_11192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx8qi },
    &operand_data[14974],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11193 },
#else
    { 0, output_11193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx4qi },
    &operand_data[14974],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11194 },
#else
    { 0, output_11194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx4qi },
    &operand_data[14974],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11195 },
#else
    { 0, output_11195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2qi },
    &operand_data[14974],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11196 },
#else
    { 0, output_11196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2qi },
    &operand_data[14974],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11197 },
#else
    { 0, output_11197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx4hi },
    &operand_data[14974],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11198 },
#else
    { 0, output_11198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx4hi },
    &operand_data[14974],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11199 },
#else
    { 0, output_11199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2hi },
    &operand_data[14974],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11200 },
#else
    { 0, output_11200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2hi },
    &operand_data[14974],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11201 },
#else
    { 0, output_11201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_extendvnx2divnx2si },
    &operand_data[14974],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:386 */
  {
    "aarch64_gather_ldnt_zero_extendvnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11202 },
#else
    { 0, output_11202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_gather_ldnt_zero_extendvnx2divnx2si },
    &operand_data[14974],
    5,
    5,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:427 */
  {
    "aarch64_sve_st1_truncqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_st1_truncqvnx4si },
    &operand_data[14979],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:427 */
  {
    "aarch64_sve_st1_truncqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_st1_truncqvnx2di },
    &operand_data[14982],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:427 */
  {
    "aarch64_sve_st1_truncqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_st1_truncqvnx4sf },
    &operand_data[14985],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:427 */
  {
    "aarch64_sve_st1_truncqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_st1_truncqvnx2df },
    &operand_data[14988],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2q\t{%S1.q - %T1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx32qi },
    &operand_data[14991],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2q\t{%S1.q - %T1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx16hi },
    &operand_data[14994],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2q\t{%S1.q - %T1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx8si },
    &operand_data[14997],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2q\t{%S1.q - %T1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx4di },
    &operand_data[15000],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2q\t{%S1.q - %T1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx16bf },
    &operand_data[15003],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2q\t{%S1.q - %T1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx16hf },
    &operand_data[15006],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2q\t{%S1.q - %T1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx8sf },
    &operand_data[15009],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st2q\t{%S1.q - %T1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx4df },
    &operand_data[15012],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3q\t{%S1.q - %U1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx48qi },
    &operand_data[15015],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3q\t{%S1.q - %U1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx24hi },
    &operand_data[15018],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3q\t{%S1.q - %U1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx12si },
    &operand_data[15021],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3q\t{%S1.q - %U1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx6di },
    &operand_data[15024],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3q\t{%S1.q - %U1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx24bf },
    &operand_data[15027],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3q\t{%S1.q - %U1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx24hf },
    &operand_data[15030],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3q\t{%S1.q - %U1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx12sf },
    &operand_data[15033],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st3q\t{%S1.q - %U1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx6df },
    &operand_data[15036],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4q\t{%S1.q - %V1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx64qi },
    &operand_data[15039],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4q\t{%S1.q - %V1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx32hi },
    &operand_data[15042],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4q\t{%S1.q - %V1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx16si },
    &operand_data[15045],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4q\t{%S1.q - %V1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx8di },
    &operand_data[15048],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4q\t{%S1.q - %V1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx32bf },
    &operand_data[15051],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4q\t{%S1.q - %V1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx32hf },
    &operand_data[15054],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4q\t{%S1.q - %V1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx16sf },
    &operand_data[15057],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:448 */
  {
    "aarch64_sve_stnqvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st4q\t{%S1.q - %V1.q}, %2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_stnqvnx8df },
    &operand_data[15060],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32qi },
    &operand_data[15063],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32qi },
    &operand_data[15063],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16hi },
    &operand_data[15066],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16hi },
    &operand_data[15066],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8si },
    &operand_data[15069],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8si },
    &operand_data[15069],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx4di },
    &operand_data[15072],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4di },
    &operand_data[15072],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16bf },
    &operand_data[15075],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16bf },
    &operand_data[15075],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16hf },
    &operand_data[15078],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16hf },
    &operand_data[15078],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8sf },
    &operand_data[15081],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8sf },
    &operand_data[15081],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx4df },
    &operand_data[15084],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4df },
    &operand_data[15084],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx64qi },
    &operand_data[15087],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx64qi },
    &operand_data[15087],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32hi },
    &operand_data[15090],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32hi },
    &operand_data[15090],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16si },
    &operand_data[15093],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16si },
    &operand_data[15093],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8di },
    &operand_data[15096],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8di },
    &operand_data[15096],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32bf },
    &operand_data[15099],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32bf },
    &operand_data[15099],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32hf },
    &operand_data[15102],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32hf },
    &operand_data[15102],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16sf },
    &operand_data[15105],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16sf },
    &operand_data[15105],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_st1vnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8df },
    &operand_data[15108],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:473 */
  {
    "aarch64_stnt1vnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t%1, %K2, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8df },
    &operand_data[15108],
    3,
    3,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx32qi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{%2.b, %3.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32qi_strided2 },
    &operand_data[15111],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx32qi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t{%2.b, %3.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32qi_strided2 },
    &operand_data[15111],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx16hi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16hi_strided2 },
    &operand_data[15115],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx16hi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16hi_strided2 },
    &operand_data[15115],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx8si_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8si_strided2 },
    &operand_data[15119],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx8si_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8si_strided2 },
    &operand_data[15119],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx4di_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx4di_strided2 },
    &operand_data[15123],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx4di_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4di_strided2 },
    &operand_data[15123],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx16bf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16bf_strided2 },
    &operand_data[15127],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx16bf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16bf_strided2 },
    &operand_data[15127],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx16hf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16hf_strided2 },
    &operand_data[15131],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx16hf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16hf_strided2 },
    &operand_data[15131],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx8sf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8sf_strided2 },
    &operand_data[15135],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx8sf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8sf_strided2 },
    &operand_data[15135],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx4df_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx4df_strided2 },
    &operand_data[15139],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx4df_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4df_strided2 },
    &operand_data[15139],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx64qi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{%2.b, %3.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx64qi_strided2 },
    &operand_data[15143],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx64qi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t{%2.b, %3.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx64qi_strided2 },
    &operand_data[15143],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx32hi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32hi_strided2 },
    &operand_data[15147],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx32hi_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32hi_strided2 },
    &operand_data[15147],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx16si_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16si_strided2 },
    &operand_data[15151],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx16si_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16si_strided2 },
    &operand_data[15151],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx8di_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8di_strided2 },
    &operand_data[15155],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx8di_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8di_strided2 },
    &operand_data[15155],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx32bf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32bf_strided2 },
    &operand_data[15159],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx32bf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32bf_strided2 },
    &operand_data[15159],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx32hf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32hf_strided2 },
    &operand_data[15163],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx32hf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32hf_strided2 },
    &operand_data[15163],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx16sf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16sf_strided2 },
    &operand_data[15167],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx16sf_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16sf_strided2 },
    &operand_data[15167],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_st1vnx8df_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8df_strided2 },
    &operand_data[15171],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:485 */
  {
    "aarch64_stnt1vnx8df_strided2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8df_strided2 },
    &operand_data[15171],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx32qi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{%2.b, %3.b, %4.b, %5.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32qi_strided4 },
    &operand_data[15175],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx32qi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t{%2.b, %3.b, %4.b, %5.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32qi_strided4 },
    &operand_data[15175],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx16hi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16hi_strided4 },
    &operand_data[15181],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx16hi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16hi_strided4 },
    &operand_data[15181],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx8si_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8si_strided4 },
    &operand_data[15187],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx8si_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8si_strided4 },
    &operand_data[15187],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx4di_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx4di_strided4 },
    &operand_data[15193],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx4di_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4di_strided4 },
    &operand_data[15193],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx16bf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16bf_strided4 },
    &operand_data[15199],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx16bf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16bf_strided4 },
    &operand_data[15199],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx16hf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16hf_strided4 },
    &operand_data[15205],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx16hf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16hf_strided4 },
    &operand_data[15205],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx8sf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8sf_strided4 },
    &operand_data[15211],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx8sf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8sf_strided4 },
    &operand_data[15211],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx4df_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx4df_strided4 },
    &operand_data[15217],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx4df_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx4df_strided4 },
    &operand_data[15217],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx64qi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{%2.b, %3.b, %4.b, %5.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx64qi_strided4 },
    &operand_data[15223],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx64qi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1b\t{%2.b, %3.b, %4.b, %5.b}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx64qi_strided4 },
    &operand_data[15223],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx32hi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32hi_strided4 },
    &operand_data[15229],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx32hi_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32hi_strided4 },
    &operand_data[15229],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx16si_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16si_strided4 },
    &operand_data[15235],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx16si_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16si_strided4 },
    &operand_data[15235],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx8di_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8di_strided4 },
    &operand_data[15241],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx8di_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8di_strided4 },
    &operand_data[15241],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx32bf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32bf_strided4 },
    &operand_data[15247],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx32bf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32bf_strided4 },
    &operand_data[15247],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx32hf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx32hf_strided4 },
    &operand_data[15253],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx32hf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1h\t{%2.h, %3.h, %4.h, %5.h}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx32hf_strided4 },
    &operand_data[15253],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx16sf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx16sf_strided4 },
    &operand_data[15259],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx16sf_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1w\t{%2.s, %3.s, %4.s, %5.s}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx16sf_strided4 },
    &operand_data[15259],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_st1vnx8df_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1vnx8df_strided4 },
    &operand_data[15265],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:499 */
  {
    "aarch64_stnt1vnx8df_strided4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "stnt1d\t{%2.d, %3.d, %4.d, %5.d}, %K1, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_stnt1vnx8df_strided4 },
    &operand_data[15265],
    6,
    6,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:522 */
  {
    "aarch64_scatter_st1q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11327 },
#else
    { 0, output_11327, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_st1q },
    &operand_data[15271],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "aarch64_scatter_stntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11328 },
#else
    { 0, output_11328, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx4si },
    &operand_data[15275],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "aarch64_scatter_stntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11329 },
#else
    { 0, output_11329, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx2di },
    &operand_data[15271],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "aarch64_scatter_stntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11330 },
#else
    { 0, output_11330, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx4sf },
    &operand_data[15279],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:548 */
  {
    "aarch64_scatter_stntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11331 },
#else
    { 0, output_11331, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stntvnx2df },
    &operand_data[15283],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:565 */
  {
    "aarch64_scatter_stnt_vnx4sivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11332 },
#else
    { 0, output_11332, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx8qi },
    &operand_data[15275],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:565 */
  {
    "aarch64_scatter_stnt_vnx4sivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11333 },
#else
    { 0, output_11333, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx4qi },
    &operand_data[15275],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:565 */
  {
    "aarch64_scatter_stnt_vnx4sivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11334 },
#else
    { 0, output_11334, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx2qi },
    &operand_data[15275],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:565 */
  {
    "aarch64_scatter_stnt_vnx4sivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11335 },
#else
    { 0, output_11335, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx4hi },
    &operand_data[15275],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:565 */
  {
    "aarch64_scatter_stnt_vnx4sivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11336 },
#else
    { 0, output_11336, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx2hi },
    &operand_data[15275],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:565 */
  {
    "aarch64_scatter_stnt_vnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11337 },
#else
    { 0, output_11337, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx4sivnx2si },
    &operand_data[15275],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:565 */
  {
    "aarch64_scatter_stnt_vnx2divnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11338 },
#else
    { 0, output_11338, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx8qi },
    &operand_data[15271],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:565 */
  {
    "aarch64_scatter_stnt_vnx2divnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11339 },
#else
    { 0, output_11339, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx4qi },
    &operand_data[15271],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:565 */
  {
    "aarch64_scatter_stnt_vnx2divnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11340 },
#else
    { 0, output_11340, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2qi },
    &operand_data[15271],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:565 */
  {
    "aarch64_scatter_stnt_vnx2divnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11341 },
#else
    { 0, output_11341, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx4hi },
    &operand_data[15271],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:565 */
  {
    "aarch64_scatter_stnt_vnx2divnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11342 },
#else
    { 0, output_11342, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2hi },
    &operand_data[15271],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:565 */
  {
    "aarch64_scatter_stnt_vnx2divnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11343 },
#else
    { 0, output_11343, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_scatter_stnt_vnx2divnx2si },
    &operand_data[15271],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:593 */
  {
    "aarch64_sve_ptrue_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptrue\t%K0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ptrue_c8 },
    &operand_data[15287],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:593 */
  {
    "aarch64_sve_ptrue_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptrue\t%K0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ptrue_c16 },
    &operand_data[15287],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:593 */
  {
    "aarch64_sve_ptrue_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptrue\t%K0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ptrue_c32 },
    &operand_data[15287],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:593 */
  {
    "aarch64_sve_ptrue_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ptrue\t%K0.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ptrue_c64 },
    &operand_data[15287],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:607 */
  {
    "aarch64_sve_pext8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t%0.b, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext8 },
    &operand_data[15288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:607 */
  {
    "aarch64_sve_pext16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t%0.h, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext16 },
    &operand_data[15288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:607 */
  {
    "aarch64_sve_pext32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t%0.s, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext32 },
    &operand_data[15288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:607 */
  {
    "aarch64_sve_pext64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t%0.d, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext64 },
    &operand_data[15288],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:618 */
  {
    "aarch64_sve_pext8x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t{%S0.b, %T0.b}, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext8x2 },
    &operand_data[15291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:618 */
  {
    "aarch64_sve_pext16x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t{%S0.h, %T0.h}, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext16x2 },
    &operand_data[15291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:618 */
  {
    "aarch64_sve_pext32x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t{%S0.s, %T0.s}, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext32x2 },
    &operand_data[15291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:618 */
  {
    "aarch64_sve_pext64x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pext\t{%S0.d, %T0.d}, %K1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pext64x2 },
    &operand_data[15291],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:636 */
  {
    "aarch64_sve_psel8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.b[%w3, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_psel8 },
    &operand_data[15294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:636 */
  {
    "aarch64_sve_psel16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.h[%w3, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_psel16 },
    &operand_data[15294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:636 */
  {
    "aarch64_sve_psel32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.s[%w3, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_psel32 },
    &operand_data[15294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:636 */
  {
    "aarch64_sve_psel64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.d[%w3, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_psel64 },
    &operand_data[15294],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:648 */
  {
    "*aarch64_sve_psel8_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.b[%w3, %4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15294],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:648 */
  {
    "*aarch64_sve_psel16_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.h[%w3, %4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15294],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:648 */
  {
    "*aarch64_sve_psel32_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.s[%w3, %4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15294],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:648 */
  {
    "*aarch64_sve_psel64_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "psel\t%0, %1, %2.d[%w3, %4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15294],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:670 */
  {
    "aarch64_sve_cntp_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %K1.b, vlx%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cntp_c8 },
    &operand_data[15299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:670 */
  {
    "aarch64_sve_cntp_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %K1.h, vlx%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cntp_c16 },
    &operand_data[15299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:670 */
  {
    "aarch64_sve_cntp_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %K1.s, vlx%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cntp_c32 },
    &operand_data[15299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:670 */
  {
    "aarch64_sve_cntp_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "cntp\t%x0, %K1.d, vlx%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cntp_c64 },
    &operand_data[15299],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:695 */
  {
    "roundvnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx8sf2 },
    &operand_data[15302],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:695 */
  {
    "floorvnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx8sf2 },
    &operand_data[15302],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:695 */
  {
    "roundevenvnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenvnx8sf2 },
    &operand_data[15302],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:695 */
  {
    "ceilvnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx8sf2 },
    &operand_data[15302],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:695 */
  {
    "roundvnx16sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frinta\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx16sf2 },
    &operand_data[15304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:695 */
  {
    "floorvnx16sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintm\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx16sf2 },
    &operand_data[15304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:695 */
  {
    "roundevenvnx16sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintn\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundevenvnx16sf2 },
    &operand_data[15304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:695 */
  {
    "ceilvnx16sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "frintp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx16sf2 },
    &operand_data[15304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*smaxvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*sminvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*umaxvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*uminvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*smaxvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*sminvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*umaxvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*uminvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*smaxvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*sminvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*umaxvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*uminvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*smaxvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*sminvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*umaxvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*uminvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*smaxvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*sminvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*umaxvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*uminvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*smaxvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*sminvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*umaxvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*uminvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*smaxvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*sminvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*umaxvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*uminvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*smaxvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*sminvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*umaxvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:730 */
  {
    "*uminvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[15327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_addvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx32qi },
    &operand_data[15330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_smaxvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx32qi },
    &operand_data[15330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_sminvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx32qi },
    &operand_data[15330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_umaxvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx32qi },
    &operand_data[15330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_uminvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx32qi },
    &operand_data[15330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_addvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx16hi },
    &operand_data[15333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_smaxvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx16hi },
    &operand_data[15333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_sminvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx16hi },
    &operand_data[15333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_umaxvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx16hi },
    &operand_data[15333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_uminvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx16hi },
    &operand_data[15333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_addvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx8si },
    &operand_data[15336],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_smaxvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx8si },
    &operand_data[15336],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_sminvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx8si },
    &operand_data[15336],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_umaxvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx8si },
    &operand_data[15336],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_uminvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx8si },
    &operand_data[15336],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_addvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx4di },
    &operand_data[15339],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_smaxvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx4di },
    &operand_data[15339],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_sminvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx4di },
    &operand_data[15339],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_umaxvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx4di },
    &operand_data[15339],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_uminvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx4di },
    &operand_data[15339],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_addvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx64qi },
    &operand_data[15342],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_smaxvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx64qi },
    &operand_data[15342],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_sminvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx64qi },
    &operand_data[15342],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_umaxvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx64qi },
    &operand_data[15342],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_uminvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx64qi },
    &operand_data[15342],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_addvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx32hi },
    &operand_data[15345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_smaxvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx32hi },
    &operand_data[15345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_sminvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx32hi },
    &operand_data[15345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_umaxvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx32hi },
    &operand_data[15345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_uminvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx32hi },
    &operand_data[15345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_addvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx16si },
    &operand_data[15348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_smaxvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx16si },
    &operand_data[15348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_sminvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx16si },
    &operand_data[15348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_umaxvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx16si },
    &operand_data[15348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_uminvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx16si },
    &operand_data[15348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_addvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_addvnx8di },
    &operand_data[15351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_smaxvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smax\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_smaxvnx8di },
    &operand_data[15351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_sminvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smin\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sminvnx8di },
    &operand_data[15351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_umaxvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umax\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_umaxvnx8di },
    &operand_data[15351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:739 */
  {
    "aarch64_sve_single_uminvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umin\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_uminvnx8di },
    &operand_data[15351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_sqdmulhvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx32qi },
    &operand_data[15306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_srshlvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx32qi },
    &operand_data[15306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_urshlvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx32qi },
    &operand_data[15306],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_sqdmulhvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx16hi },
    &operand_data[15309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_srshlvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx16hi },
    &operand_data[15309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_urshlvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx16hi },
    &operand_data[15309],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_sqdmulhvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx8si },
    &operand_data[15312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_srshlvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx8si },
    &operand_data[15312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_urshlvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx8si },
    &operand_data[15312],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_sqdmulhvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx4di },
    &operand_data[15315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_srshlvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx4di },
    &operand_data[15315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_urshlvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx4di },
    &operand_data[15315],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_sqdmulhvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx64qi },
    &operand_data[15318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_srshlvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx64qi },
    &operand_data[15318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_urshlvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx64qi },
    &operand_data[15318],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_sqdmulhvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx32hi },
    &operand_data[15321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_srshlvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx32hi },
    &operand_data[15321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_urshlvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx32hi },
    &operand_data[15321],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_sqdmulhvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx16si },
    &operand_data[15324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_srshlvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx16si },
    &operand_data[15324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_urshlvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx16si },
    &operand_data[15324],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_sqdmulhvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx8di },
    &operand_data[15327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_srshlvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srshlvnx8di },
    &operand_data[15327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:749 */
  {
    "aarch64_sve_urshlvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_urshlvnx8di },
    &operand_data[15327],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_sqdmulhvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx32qi },
    &operand_data[15330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_srshlvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx32qi },
    &operand_data[15330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_urshlvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx32qi },
    &operand_data[15330],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_sqdmulhvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx16hi },
    &operand_data[15333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_srshlvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx16hi },
    &operand_data[15333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_urshlvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx16hi },
    &operand_data[15333],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_sqdmulhvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx8si },
    &operand_data[15336],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_srshlvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx8si },
    &operand_data[15336],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_urshlvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx8si },
    &operand_data[15336],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_sqdmulhvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx4di },
    &operand_data[15339],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_srshlvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx4di },
    &operand_data[15339],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_urshlvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx4di },
    &operand_data[15339],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_sqdmulhvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx64qi },
    &operand_data[15342],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_srshlvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx64qi },
    &operand_data[15342],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_urshlvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx64qi },
    &operand_data[15342],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_sqdmulhvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx32hi },
    &operand_data[15345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_srshlvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx32hi },
    &operand_data[15345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_urshlvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx32hi },
    &operand_data[15345],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_sqdmulhvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx16si },
    &operand_data[15348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_srshlvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx16si },
    &operand_data[15348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_urshlvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx16si },
    &operand_data[15348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_sqdmulhvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_sqdmulhvnx8di },
    &operand_data[15351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_srshlvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "srshl\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_srshlvnx8di },
    &operand_data[15351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:759 */
  {
    "aarch64_sve_single_urshlvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "urshl\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_urshlvnx8di },
    &operand_data[15351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:779 */
  {
    "aarch64_sve_sclampvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11496 },
#else
    { 0, output_11496, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclampvnx16qi },
    &operand_data[15354],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:779 */
  {
    "aarch64_sve_uclampvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11497 },
#else
    { 0, output_11497, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclampvnx16qi },
    &operand_data[15354],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:779 */
  {
    "aarch64_sve_sclampvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11498 },
#else
    { 0, output_11498, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclampvnx8hi },
    &operand_data[15358],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:779 */
  {
    "aarch64_sve_uclampvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11499 },
#else
    { 0, output_11499, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclampvnx8hi },
    &operand_data[15358],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:779 */
  {
    "aarch64_sve_sclampvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11500 },
#else
    { 0, output_11500, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclampvnx4si },
    &operand_data[15362],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:779 */
  {
    "aarch64_sve_uclampvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11501 },
#else
    { 0, output_11501, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclampvnx4si },
    &operand_data[15362],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:779 */
  {
    "aarch64_sve_sclampvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11502 },
#else
    { 0, output_11502, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclampvnx2di },
    &operand_data[15366],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:779 */
  {
    "aarch64_sve_uclampvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11503 },
#else
    { 0, output_11503, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclampvnx2di },
    &operand_data[15366],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:793 */
  {
    "*aarch64_sve_sclampvnx16qi_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11504 },
#else
    { 0, output_11504, 0 },
#endif
    { 0 },
    &operand_data[15370],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:793 */
  {
    "*aarch64_sve_uclampvnx16qi_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11505 },
#else
    { 0, output_11505, 0 },
#endif
    { 0 },
    &operand_data[15370],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:793 */
  {
    "*aarch64_sve_sclampvnx8hi_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11506 },
#else
    { 0, output_11506, 0 },
#endif
    { 0 },
    &operand_data[15376],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:793 */
  {
    "*aarch64_sve_uclampvnx8hi_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11507 },
#else
    { 0, output_11507, 0 },
#endif
    { 0 },
    &operand_data[15376],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:793 */
  {
    "*aarch64_sve_sclampvnx4si_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11508 },
#else
    { 0, output_11508, 0 },
#endif
    { 0 },
    &operand_data[15382],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:793 */
  {
    "*aarch64_sve_uclampvnx4si_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11509 },
#else
    { 0, output_11509, 0 },
#endif
    { 0 },
    &operand_data[15382],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:793 */
  {
    "*aarch64_sve_sclampvnx2di_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11510 },
#else
    { 0, output_11510, 0 },
#endif
    { 0 },
    &operand_data[15388],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:793 */
  {
    "*aarch64_sve_uclampvnx2di_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11511 },
#else
    { 0, output_11511, 0 },
#endif
    { 0 },
    &operand_data[15388],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_sclamp_singlevnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx32qi },
    &operand_data[15394],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_uclamp_singlevnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx32qi },
    &operand_data[15394],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_sclamp_singlevnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx16hi },
    &operand_data[15398],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_uclamp_singlevnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx16hi },
    &operand_data[15398],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_sclamp_singlevnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx8si },
    &operand_data[15402],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_uclamp_singlevnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx8si },
    &operand_data[15402],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_sclamp_singlevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx4di },
    &operand_data[15406],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_uclamp_singlevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx4di },
    &operand_data[15406],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_sclamp_singlevnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx64qi },
    &operand_data[15410],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_uclamp_singlevnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx64qi },
    &operand_data[15410],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_sclamp_singlevnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx32hi },
    &operand_data[15414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_uclamp_singlevnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx32hi },
    &operand_data[15414],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_sclamp_singlevnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx16si },
    &operand_data[15418],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_uclamp_singlevnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx16si },
    &operand_data[15418],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_sclamp_singlevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sclamp\t%0, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sclamp_singlevnx8di },
    &operand_data[15422],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:820 */
  {
    "aarch64_sve_uclamp_singlevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uclamp\t%0, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uclamp_singlevnx8di },
    &operand_data[15422],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:840 */
  {
    "aarch64_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%Z0.h, %Z1.h, %Z2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx8hi },
    &operand_data[15426],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:840 */
  {
    "aarch64_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%Z0.s, %Z1.s, %Z2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx4si },
    &operand_data[15430],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:840 */
  {
    "aarch64_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%Z0.d, %Z1.d, %Z2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_vnx2di },
    &operand_data[15434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:840 */
  {
    "aarch64_mul_lane_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mul\t%Z0.d, %Z1.d, %Z2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_mul_lane_v2di },
    &operand_data[15438],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*aarch64_mul_unpredicated_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11532 },
#else
    { 0, output_11532, 0 },
#endif
    { 0 },
    &operand_data[15442],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*aarch64_mul_unpredicated_vnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11533 },
#else
    { 0, output_11533, 0 },
#endif
    { 0 },
    &operand_data[15445],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*aarch64_mul_unpredicated_vnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11534 },
#else
    { 0, output_11534, 0 },
#endif
    { 0 },
    &operand_data[15448],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*aarch64_mul_unpredicated_vnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11535 },
#else
    { 0, output_11535, 0 },
#endif
    { 0 },
    &operand_data[15451],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*aarch64_mul_unpredicated_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11536 },
#else
    { 0, output_11536, 0 },
#endif
    { 0 },
    &operand_data[15454],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*aarch64_mul_unpredicated_vnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11537 },
#else
    { 0, output_11537, 0 },
#endif
    { 0 },
    &operand_data[15457],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*aarch64_mul_unpredicated_vnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11538 },
#else
    { 0, output_11538, 0 },
#endif
    { 0 },
    &operand_data[15460],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*aarch64_mul_unpredicated_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11539 },
#else
    { 0, output_11539, 0 },
#endif
    { 0 },
    &operand_data[15463],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*aarch64_mul_unpredicated_vnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11540 },
#else
    { 0, output_11540, 0 },
#endif
    { 0 },
    &operand_data[15466],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*aarch64_mul_unpredicated_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11541 },
#else
    { 0, output_11541, 0 },
#endif
    { 0 },
    &operand_data[15469],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:854 */
  {
    "*aarch64_mul_unpredicated_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11542 },
#else
    { 0, output_11542, 0 },
#endif
    { 0 },
    &operand_data[15472],
    3,
    3,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:974 */
  {
    "aarch64_sve_suqaddvnx16qi_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11543 },
#else
    { 0, output_11543, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx16qi_const },
    &operand_data[15475],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:974 */
  {
    "aarch64_sve_suqaddvnx8hi_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11544 },
#else
    { 0, output_11544, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx8hi_const },
    &operand_data[15478],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:974 */
  {
    "aarch64_sve_suqaddvnx4si_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11545 },
#else
    { 0, output_11545, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx4si_const },
    &operand_data[15481],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:974 */
  {
    "aarch64_sve_suqaddvnx2di_const",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11546 },
#else
    { 0, output_11546, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_suqaddvnx2di_const },
    &operand_data[15484],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_shaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11547 },
#else
    { 0, output_11547, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx16qi },
    &operand_data[15487],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_shsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11548 },
#else
    { 0, output_11548, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx16qi },
    &operand_data[15487],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_sqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11549 },
#else
    { 0, output_11549, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx16qi },
    &operand_data[15487],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_srhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11550 },
#else
    { 0, output_11550, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx16qi },
    &operand_data[15487],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_srshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11551 },
#else
    { 0, output_11551, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx16qi },
    &operand_data[15487],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_uhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11552 },
#else
    { 0, output_11552, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx16qi },
    &operand_data[15487],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_uhsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11553 },
#else
    { 0, output_11553, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx16qi },
    &operand_data[15487],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_uqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11554 },
#else
    { 0, output_11554, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx16qi },
    &operand_data[15487],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_urhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11555 },
#else
    { 0, output_11555, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx16qi },
    &operand_data[15487],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_urshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11556 },
#else
    { 0, output_11556, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx16qi },
    &operand_data[15487],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_shaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11557 },
#else
    { 0, output_11557, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx8hi },
    &operand_data[15491],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_shsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11558 },
#else
    { 0, output_11558, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx8hi },
    &operand_data[15491],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_sqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11559 },
#else
    { 0, output_11559, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx8hi },
    &operand_data[15491],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_srhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11560 },
#else
    { 0, output_11560, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx8hi },
    &operand_data[15491],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_srshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11561 },
#else
    { 0, output_11561, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx8hi },
    &operand_data[15491],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_uhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11562 },
#else
    { 0, output_11562, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx8hi },
    &operand_data[15491],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_uhsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11563 },
#else
    { 0, output_11563, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx8hi },
    &operand_data[15491],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_uqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11564 },
#else
    { 0, output_11564, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx8hi },
    &operand_data[15491],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_urhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11565 },
#else
    { 0, output_11565, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx8hi },
    &operand_data[15491],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_urshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11566 },
#else
    { 0, output_11566, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx8hi },
    &operand_data[15491],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_shaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11567 },
#else
    { 0, output_11567, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx4si },
    &operand_data[10988],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_shsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11568 },
#else
    { 0, output_11568, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx4si },
    &operand_data[10988],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_sqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11569 },
#else
    { 0, output_11569, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx4si },
    &operand_data[10988],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_srhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11570 },
#else
    { 0, output_11570, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx4si },
    &operand_data[10988],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_srshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11571 },
#else
    { 0, output_11571, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx4si },
    &operand_data[10988],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_uhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11572 },
#else
    { 0, output_11572, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx4si },
    &operand_data[10988],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_uhsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11573 },
#else
    { 0, output_11573, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx4si },
    &operand_data[10988],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_uqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11574 },
#else
    { 0, output_11574, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx4si },
    &operand_data[10988],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_urhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11575 },
#else
    { 0, output_11575, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx4si },
    &operand_data[10988],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_urshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11576 },
#else
    { 0, output_11576, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx4si },
    &operand_data[10988],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_shaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11577 },
#else
    { 0, output_11577, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shaddvnx2di },
    &operand_data[10992],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_shsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11578 },
#else
    { 0, output_11578, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_shsubvnx2di },
    &operand_data[10992],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_sqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11579 },
#else
    { 0, output_11579, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqrshlvnx2di },
    &operand_data[10992],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_srhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11580 },
#else
    { 0, output_11580, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srhaddvnx2di },
    &operand_data[10992],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_srshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11581 },
#else
    { 0, output_11581, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_srshlvnx2di },
    &operand_data[10992],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_uhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11582 },
#else
    { 0, output_11582, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhaddvnx2di },
    &operand_data[10992],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_uhsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11583 },
#else
    { 0, output_11583, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uhsubvnx2di },
    &operand_data[10992],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_uqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11584 },
#else
    { 0, output_11584, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqrshlvnx2di },
    &operand_data[10992],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_urhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11585 },
#else
    { 0, output_11585, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urhaddvnx2di },
    &operand_data[10992],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:989 */
  {
    "aarch64_pred_urshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11586 },
#else
    { 0, output_11586, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urshlvnx2di },
    &operand_data[10992],
    4,
    4,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_shaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11587 },
#else
    { 0, output_11587, 0 },
#endif
    { 0 },
    &operand_data[10754],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_shsubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11588 },
#else
    { 0, output_11588, 0 },
#endif
    { 0 },
    &operand_data[10754],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_sqrshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11589 },
#else
    { 0, output_11589, 0 },
#endif
    { 0 },
    &operand_data[10754],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_srhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11590 },
#else
    { 0, output_11590, 0 },
#endif
    { 0 },
    &operand_data[10754],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_srshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11591 },
#else
    { 0, output_11591, 0 },
#endif
    { 0 },
    &operand_data[10754],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_suqaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11592 },
#else
    { 0, output_11592, 0 },
#endif
    { 0 },
    &operand_data[10754],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_uhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11593 },
#else
    { 0, output_11593, 0 },
#endif
    { 0 },
    &operand_data[10754],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_uhsubvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11594 },
#else
    { 0, output_11594, 0 },
#endif
    { 0 },
    &operand_data[10754],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_uqrshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11595 },
#else
    { 0, output_11595, 0 },
#endif
    { 0 },
    &operand_data[10754],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_urhaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11596 },
#else
    { 0, output_11596, 0 },
#endif
    { 0 },
    &operand_data[10754],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_urshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11597 },
#else
    { 0, output_11597, 0 },
#endif
    { 0 },
    &operand_data[10754],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_usqaddvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11598 },
#else
    { 0, output_11598, 0 },
#endif
    { 0 },
    &operand_data[10754],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_shaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11599 },
#else
    { 0, output_11599, 0 },
#endif
    { 0 },
    &operand_data[10778],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_shsubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11600 },
#else
    { 0, output_11600, 0 },
#endif
    { 0 },
    &operand_data[10778],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_sqrshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11601 },
#else
    { 0, output_11601, 0 },
#endif
    { 0 },
    &operand_data[10778],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_srhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11602 },
#else
    { 0, output_11602, 0 },
#endif
    { 0 },
    &operand_data[10778],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_srshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11603 },
#else
    { 0, output_11603, 0 },
#endif
    { 0 },
    &operand_data[10778],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_suqaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11604 },
#else
    { 0, output_11604, 0 },
#endif
    { 0 },
    &operand_data[10778],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_uhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11605 },
#else
    { 0, output_11605, 0 },
#endif
    { 0 },
    &operand_data[10778],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_uhsubvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11606 },
#else
    { 0, output_11606, 0 },
#endif
    { 0 },
    &operand_data[10778],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_uqrshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11607 },
#else
    { 0, output_11607, 0 },
#endif
    { 0 },
    &operand_data[10778],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_urhaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11608 },
#else
    { 0, output_11608, 0 },
#endif
    { 0 },
    &operand_data[10778],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_urshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11609 },
#else
    { 0, output_11609, 0 },
#endif
    { 0 },
    &operand_data[10778],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_usqaddvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11610 },
#else
    { 0, output_11610, 0 },
#endif
    { 0 },
    &operand_data[10778],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_shaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11611 },
#else
    { 0, output_11611, 0 },
#endif
    { 0 },
    &operand_data[10796],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_shsubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11612 },
#else
    { 0, output_11612, 0 },
#endif
    { 0 },
    &operand_data[10796],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_sqrshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11613 },
#else
    { 0, output_11613, 0 },
#endif
    { 0 },
    &operand_data[10796],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_srhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11614 },
#else
    { 0, output_11614, 0 },
#endif
    { 0 },
    &operand_data[10796],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_srshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11615 },
#else
    { 0, output_11615, 0 },
#endif
    { 0 },
    &operand_data[10796],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_suqaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11616 },
#else
    { 0, output_11616, 0 },
#endif
    { 0 },
    &operand_data[10796],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_uhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11617 },
#else
    { 0, output_11617, 0 },
#endif
    { 0 },
    &operand_data[10796],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_uhsubvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11618 },
#else
    { 0, output_11618, 0 },
#endif
    { 0 },
    &operand_data[10796],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_uqrshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11619 },
#else
    { 0, output_11619, 0 },
#endif
    { 0 },
    &operand_data[10796],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_urhaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11620 },
#else
    { 0, output_11620, 0 },
#endif
    { 0 },
    &operand_data[10796],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_urshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11621 },
#else
    { 0, output_11621, 0 },
#endif
    { 0 },
    &operand_data[10796],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_usqaddvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11622 },
#else
    { 0, output_11622, 0 },
#endif
    { 0 },
    &operand_data[10796],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_shaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11623 },
#else
    { 0, output_11623, 0 },
#endif
    { 0 },
    &operand_data[10808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_shsubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11624 },
#else
    { 0, output_11624, 0 },
#endif
    { 0 },
    &operand_data[10808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_sqrshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11625 },
#else
    { 0, output_11625, 0 },
#endif
    { 0 },
    &operand_data[10808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_srhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11626 },
#else
    { 0, output_11626, 0 },
#endif
    { 0 },
    &operand_data[10808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_srshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11627 },
#else
    { 0, output_11627, 0 },
#endif
    { 0 },
    &operand_data[10808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_suqaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11628 },
#else
    { 0, output_11628, 0 },
#endif
    { 0 },
    &operand_data[10808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_uhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11629 },
#else
    { 0, output_11629, 0 },
#endif
    { 0 },
    &operand_data[10808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_uhsubvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11630 },
#else
    { 0, output_11630, 0 },
#endif
    { 0 },
    &operand_data[10808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_uqrshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11631 },
#else
    { 0, output_11631, 0 },
#endif
    { 0 },
    &operand_data[10808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_urhaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11632 },
#else
    { 0, output_11632, 0 },
#endif
    { 0 },
    &operand_data[10808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_urshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11633 },
#else
    { 0, output_11633, 0 },
#endif
    { 0 },
    &operand_data[10808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1027 */
  {
    "*cond_usqaddvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11634 },
#else
    { 0, output_11634, 0 },
#endif
    { 0 },
    &operand_data[10808],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_shaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11635 },
#else
    { 0, output_11635, 0 },
#endif
    { 0 },
    &operand_data[10814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_shsubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11636 },
#else
    { 0, output_11636, 0 },
#endif
    { 0 },
    &operand_data[10814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_sqrshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11637 },
#else
    { 0, output_11637, 0 },
#endif
    { 0 },
    &operand_data[10814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_srhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11638 },
#else
    { 0, output_11638, 0 },
#endif
    { 0 },
    &operand_data[10814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_srshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11639 },
#else
    { 0, output_11639, 0 },
#endif
    { 0 },
    &operand_data[10814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_uhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11640 },
#else
    { 0, output_11640, 0 },
#endif
    { 0 },
    &operand_data[10814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_uhsubvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11641 },
#else
    { 0, output_11641, 0 },
#endif
    { 0 },
    &operand_data[10814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_uqrshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11642 },
#else
    { 0, output_11642, 0 },
#endif
    { 0 },
    &operand_data[10814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_urhaddvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11643 },
#else
    { 0, output_11643, 0 },
#endif
    { 0 },
    &operand_data[10814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_urshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11644 },
#else
    { 0, output_11644, 0 },
#endif
    { 0 },
    &operand_data[10814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_shaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11645 },
#else
    { 0, output_11645, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_shsubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11646 },
#else
    { 0, output_11646, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_sqrshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11647 },
#else
    { 0, output_11647, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_srhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11648 },
#else
    { 0, output_11648, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_srshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11649 },
#else
    { 0, output_11649, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_uhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11650 },
#else
    { 0, output_11650, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_uhsubvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11651 },
#else
    { 0, output_11651, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_uqrshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11652 },
#else
    { 0, output_11652, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_urhaddvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11653 },
#else
    { 0, output_11653, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_urshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11654 },
#else
    { 0, output_11654, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_shaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11655 },
#else
    { 0, output_11655, 0 },
#endif
    { 0 },
    &operand_data[10856],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_shsubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11656 },
#else
    { 0, output_11656, 0 },
#endif
    { 0 },
    &operand_data[10856],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_sqrshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11657 },
#else
    { 0, output_11657, 0 },
#endif
    { 0 },
    &operand_data[10856],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_srhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11658 },
#else
    { 0, output_11658, 0 },
#endif
    { 0 },
    &operand_data[10856],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_srshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11659 },
#else
    { 0, output_11659, 0 },
#endif
    { 0 },
    &operand_data[10856],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_uhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11660 },
#else
    { 0, output_11660, 0 },
#endif
    { 0 },
    &operand_data[10856],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_uhsubvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11661 },
#else
    { 0, output_11661, 0 },
#endif
    { 0 },
    &operand_data[10856],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_uqrshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11662 },
#else
    { 0, output_11662, 0 },
#endif
    { 0 },
    &operand_data[10856],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_urhaddvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11663 },
#else
    { 0, output_11663, 0 },
#endif
    { 0 },
    &operand_data[10856],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_urshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11664 },
#else
    { 0, output_11664, 0 },
#endif
    { 0 },
    &operand_data[10856],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_shaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11665 },
#else
    { 0, output_11665, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_shsubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11666 },
#else
    { 0, output_11666, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_sqrshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11667 },
#else
    { 0, output_11667, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_srhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11668 },
#else
    { 0, output_11668, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_srshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11669 },
#else
    { 0, output_11669, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_uhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11670 },
#else
    { 0, output_11670, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_uhsubvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11671 },
#else
    { 0, output_11671, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_uqrshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11672 },
#else
    { 0, output_11672, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_urhaddvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11673 },
#else
    { 0, output_11673, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1052 */
  {
    "*cond_urshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11674 },
#else
    { 0, output_11674, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_shaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11675 },
#else
    { 0, output_11675, 0 },
#endif
    { 0 },
    &operand_data[10874],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_shsubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11676 },
#else
    { 0, output_11676, 0 },
#endif
    { 0 },
    &operand_data[10874],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_sqrshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11677 },
#else
    { 0, output_11677, 0 },
#endif
    { 0 },
    &operand_data[10874],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_srhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11678 },
#else
    { 0, output_11678, 0 },
#endif
    { 0 },
    &operand_data[10874],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_srshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11679 },
#else
    { 0, output_11679, 0 },
#endif
    { 0 },
    &operand_data[10874],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_uhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11680 },
#else
    { 0, output_11680, 0 },
#endif
    { 0 },
    &operand_data[10874],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_uhsubvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11681 },
#else
    { 0, output_11681, 0 },
#endif
    { 0 },
    &operand_data[10874],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_uqrshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11682 },
#else
    { 0, output_11682, 0 },
#endif
    { 0 },
    &operand_data[10874],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_urhaddvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11683 },
#else
    { 0, output_11683, 0 },
#endif
    { 0 },
    &operand_data[10874],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_urshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11684 },
#else
    { 0, output_11684, 0 },
#endif
    { 0 },
    &operand_data[10874],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_shaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11685 },
#else
    { 0, output_11685, 0 },
#endif
    { 0 },
    &operand_data[10902],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_shsubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11686 },
#else
    { 0, output_11686, 0 },
#endif
    { 0 },
    &operand_data[10902],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_sqrshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11687 },
#else
    { 0, output_11687, 0 },
#endif
    { 0 },
    &operand_data[10902],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_srhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11688 },
#else
    { 0, output_11688, 0 },
#endif
    { 0 },
    &operand_data[10902],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_srshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11689 },
#else
    { 0, output_11689, 0 },
#endif
    { 0 },
    &operand_data[10902],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_uhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11690 },
#else
    { 0, output_11690, 0 },
#endif
    { 0 },
    &operand_data[10902],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_uhsubvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11691 },
#else
    { 0, output_11691, 0 },
#endif
    { 0 },
    &operand_data[10902],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_uqrshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11692 },
#else
    { 0, output_11692, 0 },
#endif
    { 0 },
    &operand_data[10902],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_urhaddvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11693 },
#else
    { 0, output_11693, 0 },
#endif
    { 0 },
    &operand_data[10902],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_urshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11694 },
#else
    { 0, output_11694, 0 },
#endif
    { 0 },
    &operand_data[10902],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_shaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11695 },
#else
    { 0, output_11695, 0 },
#endif
    { 0 },
    &operand_data[10923],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_shsubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11696 },
#else
    { 0, output_11696, 0 },
#endif
    { 0 },
    &operand_data[10923],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_sqrshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11697 },
#else
    { 0, output_11697, 0 },
#endif
    { 0 },
    &operand_data[10923],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_srhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11698 },
#else
    { 0, output_11698, 0 },
#endif
    { 0 },
    &operand_data[10923],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_srshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11699 },
#else
    { 0, output_11699, 0 },
#endif
    { 0 },
    &operand_data[10923],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_uhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11700 },
#else
    { 0, output_11700, 0 },
#endif
    { 0 },
    &operand_data[10923],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_uhsubvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11701 },
#else
    { 0, output_11701, 0 },
#endif
    { 0 },
    &operand_data[10923],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_uqrshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11702 },
#else
    { 0, output_11702, 0 },
#endif
    { 0 },
    &operand_data[10923],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_urhaddvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11703 },
#else
    { 0, output_11703, 0 },
#endif
    { 0 },
    &operand_data[10923],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_urshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11704 },
#else
    { 0, output_11704, 0 },
#endif
    { 0 },
    &operand_data[10923],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_shaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11705 },
#else
    { 0, output_11705, 0 },
#endif
    { 0 },
    &operand_data[10937],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_shsubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11706 },
#else
    { 0, output_11706, 0 },
#endif
    { 0 },
    &operand_data[10937],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_sqrshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11707 },
#else
    { 0, output_11707, 0 },
#endif
    { 0 },
    &operand_data[10937],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_srhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11708 },
#else
    { 0, output_11708, 0 },
#endif
    { 0 },
    &operand_data[10937],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_srshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11709 },
#else
    { 0, output_11709, 0 },
#endif
    { 0 },
    &operand_data[10937],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_uhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11710 },
#else
    { 0, output_11710, 0 },
#endif
    { 0 },
    &operand_data[10937],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_uhsubvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11711 },
#else
    { 0, output_11711, 0 },
#endif
    { 0 },
    &operand_data[10937],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_uqrshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11712 },
#else
    { 0, output_11712, 0 },
#endif
    { 0 },
    &operand_data[10937],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_urhaddvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11713 },
#else
    { 0, output_11713, 0 },
#endif
    { 0 },
    &operand_data[10937],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1077 */
  {
    "*cond_urshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11714 },
#else
    { 0, output_11714, 0 },
#endif
    { 0 },
    &operand_data[10937],
    6,
    6,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1122 */
  {
    "*cond_suqaddvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11715 },
#else
    { 0, output_11715, 0 },
#endif
    { 0 },
    &operand_data[15495],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1122 */
  {
    "*cond_usqaddvnx16qi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11716 },
#else
    { 0, output_11716, 0 },
#endif
    { 0 },
    &operand_data[15495],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1122 */
  {
    "*cond_suqaddvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11717 },
#else
    { 0, output_11717, 0 },
#endif
    { 0 },
    &operand_data[15501],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1122 */
  {
    "*cond_usqaddvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11718 },
#else
    { 0, output_11718, 0 },
#endif
    { 0 },
    &operand_data[15501],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1122 */
  {
    "*cond_suqaddvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11719 },
#else
    { 0, output_11719, 0 },
#endif
    { 0 },
    &operand_data[15507],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1122 */
  {
    "*cond_usqaddvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11720 },
#else
    { 0, output_11720, 0 },
#endif
    { 0 },
    &operand_data[15507],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1122 */
  {
    "*cond_suqaddvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11721 },
#else
    { 0, output_11721, 0 },
#endif
    { 0 },
    &operand_data[15513],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1122 */
  {
    "*cond_usqaddvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11722 },
#else
    { 0, output_11722, 0 },
#endif
    { 0 },
    &operand_data[15513],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1155 */
  {
    "aarch64_sve_sqdmulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1155 */
  {
    "aarch64_sve_sqrdmulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1155 */
  {
    "aarch64_sve_sqdmulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1155 */
  {
    "aarch64_sve_sqrdmulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1155 */
  {
    "aarch64_sve_sqdmulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1155 */
  {
    "aarch64_sve_sqrdmulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1155 */
  {
    "aarch64_sve_sqdmulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulhvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1155 */
  {
    "aarch64_sve_sqrdmulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulhvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1165 */
  {
    "aarch64_sve_sqdmulh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx8hi },
    &operand_data[15426],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1165 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.h, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx8hi },
    &operand_data[15426],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1165 */
  {
    "aarch64_sve_sqdmulh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx4si },
    &operand_data[15430],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1165 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.s, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx4si },
    &operand_data[15430],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1165 */
  {
    "aarch64_sve_sqdmulh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmulh\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulh_lane_vnx2di },
    &operand_data[15434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1165 */
  {
    "aarch64_sve_sqrdmulh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrdmulh\t%0.d, %1.d, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmulh_lane_vnx2di },
    &operand_data[15434],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_pred_sqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11737 },
#else
    { 0, output_11737, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx16qi },
    &operand_data[15519],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_pred_uqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11738 },
#else
    { 0, output_11738, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx16qi },
    &operand_data[15519],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_pred_sqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11739 },
#else
    { 0, output_11739, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx8hi },
    &operand_data[15523],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_pred_uqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11740 },
#else
    { 0, output_11740, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx8hi },
    &operand_data[15523],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_pred_sqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11741 },
#else
    { 0, output_11741, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx4si },
    &operand_data[15527],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_pred_uqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11742 },
#else
    { 0, output_11742, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx4si },
    &operand_data[15527],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_pred_sqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11743 },
#else
    { 0, output_11743, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sqshlvnx2di },
    &operand_data[15531],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1189 */
  {
    "aarch64_pred_uqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11744 },
#else
    { 0, output_11744, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uqshlvnx2di },
    &operand_data[15531],
    4,
    4,
    0,
    5,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1229 */
  {
    "*cond_sqshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11745 },
#else
    { 0, output_11745, 0 },
#endif
    { 0 },
    &operand_data[15535],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1229 */
  {
    "*cond_uqshlvnx16qi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11746 },
#else
    { 0, output_11746, 0 },
#endif
    { 0 },
    &operand_data[15535],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1229 */
  {
    "*cond_sqshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11747 },
#else
    { 0, output_11747, 0 },
#endif
    { 0 },
    &operand_data[15540],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1229 */
  {
    "*cond_uqshlvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11748 },
#else
    { 0, output_11748, 0 },
#endif
    { 0 },
    &operand_data[15540],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1229 */
  {
    "*cond_sqshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11749 },
#else
    { 0, output_11749, 0 },
#endif
    { 0 },
    &operand_data[15545],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1229 */
  {
    "*cond_uqshlvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11750 },
#else
    { 0, output_11750, 0 },
#endif
    { 0 },
    &operand_data[15545],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1229 */
  {
    "*cond_sqshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11751 },
#else
    { 0, output_11751, 0 },
#endif
    { 0 },
    &operand_data[15550],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1229 */
  {
    "*cond_uqshlvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11752 },
#else
    { 0, output_11752, 0 },
#endif
    { 0 },
    &operand_data[15550],
    5,
    5,
    1,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1256 */
  {
    "*cond_sqshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11753 },
#else
    { 0, output_11753, 0 },
#endif
    { 0 },
    &operand_data[10814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1256 */
  {
    "*cond_uqshlvnx16qi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11754 },
#else
    { 0, output_11754, 0 },
#endif
    { 0 },
    &operand_data[10814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1256 */
  {
    "*cond_sqshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11755 },
#else
    { 0, output_11755, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1256 */
  {
    "*cond_uqshlvnx8hi_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11756 },
#else
    { 0, output_11756, 0 },
#endif
    { 0 },
    &operand_data[10838],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1256 */
  {
    "*cond_sqshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11757 },
#else
    { 0, output_11757, 0 },
#endif
    { 0 },
    &operand_data[10856],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1256 */
  {
    "*cond_uqshlvnx4si_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11758 },
#else
    { 0, output_11758, 0 },
#endif
    { 0 },
    &operand_data[10856],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1256 */
  {
    "*cond_sqshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11759 },
#else
    { 0, output_11759, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1256 */
  {
    "*cond_uqshlvnx2di_3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11760 },
#else
    { 0, output_11760, 0 },
#endif
    { 0 },
    &operand_data[10868],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1281 */
  {
    "*cond_sqshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11761 },
#else
    { 0, output_11761, 0 },
#endif
    { 0 },
    &operand_data[15555],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1281 */
  {
    "*cond_uqshlvnx16qi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11762 },
#else
    { 0, output_11762, 0 },
#endif
    { 0 },
    &operand_data[15555],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1281 */
  {
    "*cond_sqshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11763 },
#else
    { 0, output_11763, 0 },
#endif
    { 0 },
    &operand_data[15561],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1281 */
  {
    "*cond_uqshlvnx8hi_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11764 },
#else
    { 0, output_11764, 0 },
#endif
    { 0 },
    &operand_data[15561],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1281 */
  {
    "*cond_sqshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11765 },
#else
    { 0, output_11765, 0 },
#endif
    { 0 },
    &operand_data[15567],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1281 */
  {
    "*cond_uqshlvnx4si_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11766 },
#else
    { 0, output_11766, 0 },
#endif
    { 0 },
    &operand_data[15567],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1281 */
  {
    "*cond_sqshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11767 },
#else
    { 0, output_11767, 0 },
#endif
    { 0 },
    &operand_data[15573],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1281 */
  {
    "*cond_uqshlvnx2di_any",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11768 },
#else
    { 0, output_11768, 0 },
#endif
    { 0 },
    &operand_data[15573],
    6,
    6,
    0,
    9,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1339 */
  {
    "aarch64_pred_addvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11769 },
#else
    { 0, output_11769, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addvnx8bf },
    &operand_data[15579],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1339 */
  {
    "aarch64_pred_fmax_nanvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11770 },
#else
    { 0, output_11770, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmax_nanvnx8bf },
    &operand_data[15579],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1339 */
  {
    "aarch64_pred_fmaxvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11771 },
#else
    { 0, output_11771, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxvnx8bf },
    &operand_data[15579],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1339 */
  {
    "aarch64_pred_fmin_nanvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11772 },
#else
    { 0, output_11772, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmin_nanvnx8bf },
    &operand_data[15579],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1339 */
  {
    "aarch64_pred_fminvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11773 },
#else
    { 0, output_11773, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminvnx8bf },
    &operand_data[15579],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1339 */
  {
    "aarch64_pred_mulvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11774 },
#else
    { 0, output_11774, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulvnx8bf },
    &operand_data[15579],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1339 */
  {
    "aarch64_pred_mulxvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11775 },
#else
    { 0, output_11775, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_mulxvnx8bf },
    &operand_data[15579],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1339 */
  {
    "aarch64_pred_subvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11776 },
#else
    { 0, output_11776, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_subvnx8bf },
    &operand_data[15579],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1339 */
  {
    "aarch64_pred_smaxvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11777 },
#else
    { 0, output_11777, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxvnx8bf },
    &operand_data[15579],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1339 */
  {
    "aarch64_pred_sminvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11778 },
#else
    { 0, output_11778, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminvnx8bf },
    &operand_data[15579],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1366 */
  {
    "aarch64_sve_fclampvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11779 },
#else
    { 0, output_11779, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclampvnx8bf },
    &operand_data[15584],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1366 */
  {
    "aarch64_sve_fclampvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11780 },
#else
    { 0, output_11780, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclampvnx8hf },
    &operand_data[15588],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1366 */
  {
    "aarch64_sve_fclampvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11781 },
#else
    { 0, output_11781, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclampvnx4sf },
    &operand_data[15592],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1366 */
  {
    "aarch64_sve_fclampvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11782 },
#else
    { 0, output_11782, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclampvnx2df },
    &operand_data[15596],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1382 */
  {
    "*aarch64_sve_fclampvnx8bf_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11783 },
#else
    { 0, output_11783, 0 },
#endif
    { 0 },
    &operand_data[15600],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1382 */
  {
    "*aarch64_sve_fclampvnx8hf_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11784 },
#else
    { 0, output_11784, 0 },
#endif
    { 0 },
    &operand_data[15606],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1382 */
  {
    "*aarch64_sve_fclampvnx4sf_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11785 },
#else
    { 0, output_11785, 0 },
#endif
    { 0 },
    &operand_data[15612],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1382 */
  {
    "*aarch64_sve_fclampvnx2df_x",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11786 },
#else
    { 0, output_11786, 0 },
#endif
    { 0 },
    &operand_data[15618],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1411 */
  {
    "aarch64_sve_fclamp_singlevnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx16bf },
    &operand_data[15624],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1411 */
  {
    "aarch64_sve_fclamp_singlevnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx32bf },
    &operand_data[15628],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1411 */
  {
    "aarch64_sve_fclamp_singlevnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx16hf },
    &operand_data[15632],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1411 */
  {
    "aarch64_sve_fclamp_singlevnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fclamp\t%0, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx8sf },
    &operand_data[15636],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1411 */
  {
    "aarch64_sve_fclamp_singlevnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fclamp\t%0, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx4df },
    &operand_data[15640],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1411 */
  {
    "aarch64_sve_fclamp_singlevnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fclamp\t%0, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx32hf },
    &operand_data[15644],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1411 */
  {
    "aarch64_sve_fclamp_singlevnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fclamp\t%0, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx16sf },
    &operand_data[15648],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1411 */
  {
    "aarch64_sve_fclamp_singlevnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fclamp\t%0, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fclamp_singlevnx8df },
    &operand_data[15652],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_adclbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11795 },
#else
    { 0, output_11795, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_adcltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11796 },
#else
    { 0, output_11796, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_eorbtvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11797 },
#else
    { 0, output_11797, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_eortbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11798 },
#else
    { 0, output_11798, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sbclbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11799 },
#else
    { 0, output_11799, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sbcltvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11800 },
#else
    { 0, output_11800, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sqrdmlahvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11801 },
#else
    { 0, output_11801, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sqrdmlshvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11802 },
#else
    { 0, output_11802, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_adclbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11803 },
#else
    { 0, output_11803, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_adcltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11804 },
#else
    { 0, output_11804, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_eorbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11805 },
#else
    { 0, output_11805, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_eortbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11806 },
#else
    { 0, output_11806, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sbclbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11807 },
#else
    { 0, output_11807, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sbcltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11808 },
#else
    { 0, output_11808, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sqrdmlahvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11809 },
#else
    { 0, output_11809, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sqrdmlshvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11810 },
#else
    { 0, output_11810, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_adclbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11811 },
#else
    { 0, output_11811, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_adcltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11812 },
#else
    { 0, output_11812, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_eorbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11813 },
#else
    { 0, output_11813, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_eortbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11814 },
#else
    { 0, output_11814, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sbclbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11815 },
#else
    { 0, output_11815, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sbcltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11816 },
#else
    { 0, output_11816, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sqrdmlahvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11817 },
#else
    { 0, output_11817, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sqrdmlshvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11818 },
#else
    { 0, output_11818, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_adclbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11819 },
#else
    { 0, output_11819, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adclbvnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_adcltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11820 },
#else
    { 0, output_11820, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_adcltvnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_eorbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11821 },
#else
    { 0, output_11821, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eorbtvnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_eortbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11822 },
#else
    { 0, output_11822, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_eortbvnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sbclbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11823 },
#else
    { 0, output_11823, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbclbvnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sbcltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11824 },
#else
    { 0, output_11824, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sbcltvnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sqrdmlahvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11825 },
#else
    { 0, output_11825, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlahvnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1444 */
  {
    "aarch64_sve_sqrdmlshvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11826 },
#else
    { 0, output_11826, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlshvnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1458 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11827 },
#else
    { 0, output_11827, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx8hi },
    &operand_data[15672],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1458 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11828 },
#else
    { 0, output_11828, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx8hi },
    &operand_data[15672],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1458 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11829 },
#else
    { 0, output_11829, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx4si },
    &operand_data[15677],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1458 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11830 },
#else
    { 0, output_11830, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx4si },
    &operand_data[15677],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1458 */
  {
    "aarch64_sve_sqrdmlah_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11831 },
#else
    { 0, output_11831, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlah_lane_vnx2di },
    &operand_data[15682],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1458 */
  {
    "aarch64_sve_sqrdmlsh_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11832 },
#else
    { 0, output_11832, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdmlsh_lane_vnx2di },
    &operand_data[15682],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1483 */
  {
    "aarch64_sve_add_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11833 },
#else
    { 0, output_11833, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx8hi },
    &operand_data[15672],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1483 */
  {
    "aarch64_sve_add_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11834 },
#else
    { 0, output_11834, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx4si },
    &operand_data[15677],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1483 */
  {
    "aarch64_sve_add_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11835 },
#else
    { 0, output_11835, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_mul_lane_vnx2di },
    &operand_data[15682],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1500 */
  {
    "aarch64_sve_sub_mul_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11836 },
#else
    { 0, output_11836, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx8hi },
    &operand_data[15672],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1500 */
  {
    "aarch64_sve_sub_mul_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11837 },
#else
    { 0, output_11837, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx4si },
    &operand_data[15677],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1500 */
  {
    "aarch64_sve_sub_mul_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11838 },
#else
    { 0, output_11838, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_mul_lane_vnx2di },
    &operand_data[15682],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1529 */
  {
    "aarch64_sve2_xarvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11839 },
#else
    { 0, 0, output_11839 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx16qi },
    &operand_data[15687],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1529 */
  {
    "aarch64_sve2_xarvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11840 },
#else
    { 0, 0, output_11840 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx8hi },
    &operand_data[15691],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1529 */
  {
    "aarch64_sve2_xarvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11841 },
#else
    { 0, 0, output_11841 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx4si },
    &operand_data[15695],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1529 */
  {
    "aarch64_sve2_xarvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11842 },
#else
    { 0, 0, output_11842 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarvnx2di },
    &operand_data[15699],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1529 */
  {
    "aarch64_sve2_xarv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11843 },
#else
    { 0, 0, output_11843 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv8qi },
    &operand_data[15703],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1529 */
  {
    "aarch64_sve2_xarv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11844 },
#else
    { 0, 0, output_11844 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv16qi },
    &operand_data[15707],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1529 */
  {
    "aarch64_sve2_xarv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11845 },
#else
    { 0, 0, output_11845 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv4hi },
    &operand_data[15711],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1529 */
  {
    "aarch64_sve2_xarv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11846 },
#else
    { 0, 0, output_11846 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv8hi },
    &operand_data[15715],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1529 */
  {
    "aarch64_sve2_xarv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11847 },
#else
    { 0, 0, output_11847 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv2si },
    &operand_data[15719],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1529 */
  {
    "aarch64_sve2_xarv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11848 },
#else
    { 0, 0, output_11848 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv4si },
    &operand_data[15723],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1529 */
  {
    "aarch64_sve2_xarv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_11849 },
#else
    { 0, 0, output_11849 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_xarv2di },
    &operand_data[15727],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1578 */
  {
    "*aarch64_sve2_bcaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11850 },
#else
    { 0, output_11850, 0 },
#endif
    { 0 },
    &operand_data[15731],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1578 */
  {
    "*aarch64_sve2_bcaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11851 },
#else
    { 0, output_11851, 0 },
#endif
    { 0 },
    &operand_data[15736],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1578 */
  {
    "*aarch64_sve2_bcaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11852 },
#else
    { 0, output_11852, 0 },
#endif
    { 0 },
    &operand_data[15741],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1578 */
  {
    "*aarch64_sve2_bcaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11853 },
#else
    { 0, output_11853, 0 },
#endif
    { 0 },
    &operand_data[15746],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1601 */
  {
    "aarch64_sve2_eor3vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11854 },
#else
    { 0, output_11854, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx16qi },
    &operand_data[15751],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1601 */
  {
    "aarch64_sve2_eor3vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11855 },
#else
    { 0, output_11855, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx8hi },
    &operand_data[15755],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1601 */
  {
    "aarch64_sve2_eor3vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11856 },
#else
    { 0, output_11856, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx4si },
    &operand_data[15759],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1601 */
  {
    "aarch64_sve2_eor3vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11857 },
#else
    { 0, output_11857, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_eor3vnx2di },
    &operand_data[15763],
    4,
    4,
    0,
    4,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1618 */
  {
    "*aarch64_sve2_norvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11858 },
#else
    { 0, output_11858, 0 },
#endif
    { 0 },
    &operand_data[15767],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1618 */
  {
    "*aarch64_sve2_norvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11859 },
#else
    { 0, output_11859, 0 },
#endif
    { 0 },
    &operand_data[15771],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1618 */
  {
    "*aarch64_sve2_norvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11860 },
#else
    { 0, output_11860, 0 },
#endif
    { 0 },
    &operand_data[15775],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1618 */
  {
    "*aarch64_sve2_norvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11861 },
#else
    { 0, output_11861, 0 },
#endif
    { 0 },
    &operand_data[15779],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1640 */
  {
    "*aarch64_sve2_nandvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11862 },
#else
    { 0, output_11862, 0 },
#endif
    { 0 },
    &operand_data[15767],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1640 */
  {
    "*aarch64_sve2_nandvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11863 },
#else
    { 0, output_11863, 0 },
#endif
    { 0 },
    &operand_data[15771],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1640 */
  {
    "*aarch64_sve2_nandvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11864 },
#else
    { 0, output_11864, 0 },
#endif
    { 0 },
    &operand_data[15775],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1640 */
  {
    "*aarch64_sve2_nandvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11865 },
#else
    { 0, output_11865, 0 },
#endif
    { 0 },
    &operand_data[15779],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "*aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11866 },
#else
    { 0, output_11866, 0 },
#endif
    { 0 },
    &operand_data[15783],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "*aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11867 },
#else
    { 0, output_11867, 0 },
#endif
    { 0 },
    &operand_data[15656],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "*aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11868 },
#else
    { 0, output_11868, 0 },
#endif
    { 0 },
    &operand_data[15787],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "*aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11869 },
#else
    { 0, output_11869, 0 },
#endif
    { 0 },
    &operand_data[15660],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "*aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11870 },
#else
    { 0, output_11870, 0 },
#endif
    { 0 },
    &operand_data[15791],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "*aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11871 },
#else
    { 0, output_11871, 0 },
#endif
    { 0 },
    &operand_data[15664],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "*aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11872 },
#else
    { 0, output_11872, 0 },
#endif
    { 0 },
    &operand_data[15795],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1675 */
  {
    "*aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11873 },
#else
    { 0, output_11873, 0 },
#endif
    { 0 },
    &operand_data[15668],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1712 */
  {
    "*aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11874 },
#else
    { 0, output_11874, 0 },
#endif
    { 0 },
    &operand_data[15799],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1712 */
  {
    "*aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11875 },
#else
    { 0, output_11875, 0 },
#endif
    { 0 },
    &operand_data[15731],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1712 */
  {
    "*aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11876 },
#else
    { 0, output_11876, 0 },
#endif
    { 0 },
    &operand_data[15804],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1712 */
  {
    "*aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11877 },
#else
    { 0, output_11877, 0 },
#endif
    { 0 },
    &operand_data[15736],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1712 */
  {
    "*aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11878 },
#else
    { 0, output_11878, 0 },
#endif
    { 0 },
    &operand_data[15809],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1712 */
  {
    "*aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11879 },
#else
    { 0, output_11879, 0 },
#endif
    { 0 },
    &operand_data[15741],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1712 */
  {
    "*aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11880 },
#else
    { 0, output_11880, 0 },
#endif
    { 0 },
    &operand_data[15814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1712 */
  {
    "*aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11881 },
#else
    { 0, output_11881, 0 },
#endif
    { 0 },
    &operand_data[15746],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11882 },
#else
    { 0, output_11882, 0 },
#endif
    { 0 },
    &operand_data[15819],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11883 },
#else
    { 0, output_11883, 0 },
#endif
    { 0 },
    &operand_data[15823],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11884 },
#else
    { 0, output_11884, 0 },
#endif
    { 0 },
    &operand_data[15827],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11885 },
#else
    { 0, output_11885, 0 },
#endif
    { 0 },
    &operand_data[15831],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11886 },
#else
    { 0, output_11886, 0 },
#endif
    { 0 },
    &operand_data[15835],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11887 },
#else
    { 0, output_11887, 0 },
#endif
    { 0 },
    &operand_data[15839],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11888 },
#else
    { 0, output_11888, 0 },
#endif
    { 0 },
    &operand_data[15843],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11889 },
#else
    { 0, output_11889, 0 },
#endif
    { 0 },
    &operand_data[15847],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11890 },
#else
    { 0, output_11890, 0 },
#endif
    { 0 },
    &operand_data[15851],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11891 },
#else
    { 0, output_11891, 0 },
#endif
    { 0 },
    &operand_data[15855],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11892 },
#else
    { 0, output_11892, 0 },
#endif
    { 0 },
    &operand_data[15859],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11893 },
#else
    { 0, output_11893, 0 },
#endif
    { 0 },
    &operand_data[15863],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11894 },
#else
    { 0, output_11894, 0 },
#endif
    { 0 },
    &operand_data[15867],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1736 */
  {
    "*aarch64_sve2_nbsl_unpredv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11895 },
#else
    { 0, output_11895, 0 },
#endif
    { 0 },
    &operand_data[15871],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1774 */
  {
    "*aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11896 },
#else
    { 0, output_11896, 0 },
#endif
    { 0 },
    &operand_data[15799],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1774 */
  {
    "*aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11897 },
#else
    { 0, output_11897, 0 },
#endif
    { 0 },
    &operand_data[15731],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1774 */
  {
    "*aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11898 },
#else
    { 0, output_11898, 0 },
#endif
    { 0 },
    &operand_data[15804],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1774 */
  {
    "*aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11899 },
#else
    { 0, output_11899, 0 },
#endif
    { 0 },
    &operand_data[15736],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1774 */
  {
    "*aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11900 },
#else
    { 0, output_11900, 0 },
#endif
    { 0 },
    &operand_data[15809],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1774 */
  {
    "*aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11901 },
#else
    { 0, output_11901, 0 },
#endif
    { 0 },
    &operand_data[15741],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1774 */
  {
    "*aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11902 },
#else
    { 0, output_11902, 0 },
#endif
    { 0 },
    &operand_data[15814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1774 */
  {
    "*aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11903 },
#else
    { 0, output_11903, 0 },
#endif
    { 0 },
    &operand_data[15746],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11904 },
#else
    { 0, output_11904, 0 },
#endif
    { 0 },
    &operand_data[15819],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11905 },
#else
    { 0, output_11905, 0 },
#endif
    { 0 },
    &operand_data[15823],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11906 },
#else
    { 0, output_11906, 0 },
#endif
    { 0 },
    &operand_data[15827],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11907 },
#else
    { 0, output_11907, 0 },
#endif
    { 0 },
    &operand_data[15831],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11908 },
#else
    { 0, output_11908, 0 },
#endif
    { 0 },
    &operand_data[15835],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11909 },
#else
    { 0, output_11909, 0 },
#endif
    { 0 },
    &operand_data[15839],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11910 },
#else
    { 0, output_11910, 0 },
#endif
    { 0 },
    &operand_data[15843],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11911 },
#else
    { 0, output_11911, 0 },
#endif
    { 0 },
    &operand_data[15847],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11912 },
#else
    { 0, output_11912, 0 },
#endif
    { 0 },
    &operand_data[15851],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11913 },
#else
    { 0, output_11913, 0 },
#endif
    { 0 },
    &operand_data[15855],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11914 },
#else
    { 0, output_11914, 0 },
#endif
    { 0 },
    &operand_data[15859],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11915 },
#else
    { 0, output_11915, 0 },
#endif
    { 0 },
    &operand_data[15863],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11916 },
#else
    { 0, output_11916, 0 },
#endif
    { 0 },
    &operand_data[15867],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1798 */
  {
    "*aarch64_sve2_bsl1n_unpredv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11917 },
#else
    { 0, output_11917, 0 },
#endif
    { 0 },
    &operand_data[15871],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1837 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11918 },
#else
    { 0, output_11918, 0 },
#endif
    { 0 },
    &operand_data[15799],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1837 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11919 },
#else
    { 0, output_11919, 0 },
#endif
    { 0 },
    &operand_data[15731],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1837 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11920 },
#else
    { 0, output_11920, 0 },
#endif
    { 0 },
    &operand_data[15804],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1837 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11921 },
#else
    { 0, output_11921, 0 },
#endif
    { 0 },
    &operand_data[15736],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1837 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11922 },
#else
    { 0, output_11922, 0 },
#endif
    { 0 },
    &operand_data[15809],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1837 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11923 },
#else
    { 0, output_11923, 0 },
#endif
    { 0 },
    &operand_data[15741],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1837 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11924 },
#else
    { 0, output_11924, 0 },
#endif
    { 0 },
    &operand_data[15814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1837 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11925 },
#else
    { 0, output_11925, 0 },
#endif
    { 0 },
    &operand_data[15746],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1864 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11926 },
#else
    { 0, output_11926, 0 },
#endif
    { 0 },
    &operand_data[15799],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1864 */
  {
    "*aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11927 },
#else
    { 0, output_11927, 0 },
#endif
    { 0 },
    &operand_data[15731],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1864 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11928 },
#else
    { 0, output_11928, 0 },
#endif
    { 0 },
    &operand_data[15804],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1864 */
  {
    "*aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11929 },
#else
    { 0, output_11929, 0 },
#endif
    { 0 },
    &operand_data[15736],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1864 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11930 },
#else
    { 0, output_11930, 0 },
#endif
    { 0 },
    &operand_data[15809],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1864 */
  {
    "*aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11931 },
#else
    { 0, output_11931, 0 },
#endif
    { 0 },
    &operand_data[15741],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1864 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11932 },
#else
    { 0, output_11932, 0 },
#endif
    { 0 },
    &operand_data[15814],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1864 */
  {
    "*aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11933 },
#else
    { 0, output_11933, 0 },
#endif
    { 0 },
    &operand_data[15746],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11934 },
#else
    { 0, output_11934, 0 },
#endif
    { 0 },
    &operand_data[15819],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11935 },
#else
    { 0, output_11935, 0 },
#endif
    { 0 },
    &operand_data[15823],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11936 },
#else
    { 0, output_11936, 0 },
#endif
    { 0 },
    &operand_data[15827],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11937 },
#else
    { 0, output_11937, 0 },
#endif
    { 0 },
    &operand_data[15831],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11938 },
#else
    { 0, output_11938, 0 },
#endif
    { 0 },
    &operand_data[15835],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11939 },
#else
    { 0, output_11939, 0 },
#endif
    { 0 },
    &operand_data[15839],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11940 },
#else
    { 0, output_11940, 0 },
#endif
    { 0 },
    &operand_data[15843],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11941 },
#else
    { 0, output_11941, 0 },
#endif
    { 0 },
    &operand_data[15847],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11942 },
#else
    { 0, output_11942, 0 },
#endif
    { 0 },
    &operand_data[15851],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11943 },
#else
    { 0, output_11943, 0 },
#endif
    { 0 },
    &operand_data[15855],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11944 },
#else
    { 0, output_11944, 0 },
#endif
    { 0 },
    &operand_data[15859],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11945 },
#else
    { 0, output_11945, 0 },
#endif
    { 0 },
    &operand_data[15863],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11946 },
#else
    { 0, output_11946, 0 },
#endif
    { 0 },
    &operand_data[15867],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1889 */
  {
    "*aarch64_sve2_bsl2n_unpredv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11947 },
#else
    { 0, output_11947, 0 },
#endif
    { 0 },
    &operand_data[15871],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11948 },
#else
    { 0, output_11948, 0 },
#endif
    { 0 },
    &operand_data[15819],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11949 },
#else
    { 0, output_11949, 0 },
#endif
    { 0 },
    &operand_data[15823],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11950 },
#else
    { 0, output_11950, 0 },
#endif
    { 0 },
    &operand_data[15827],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11951 },
#else
    { 0, output_11951, 0 },
#endif
    { 0 },
    &operand_data[15831],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11952 },
#else
    { 0, output_11952, 0 },
#endif
    { 0 },
    &operand_data[15835],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11953 },
#else
    { 0, output_11953, 0 },
#endif
    { 0 },
    &operand_data[15839],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11954 },
#else
    { 0, output_11954, 0 },
#endif
    { 0 },
    &operand_data[15843],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11955 },
#else
    { 0, output_11955, 0 },
#endif
    { 0 },
    &operand_data[15847],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11956 },
#else
    { 0, output_11956, 0 },
#endif
    { 0 },
    &operand_data[15851],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11957 },
#else
    { 0, output_11957, 0 },
#endif
    { 0 },
    &operand_data[15855],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11958 },
#else
    { 0, output_11958, 0 },
#endif
    { 0 },
    &operand_data[15859],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11959 },
#else
    { 0, output_11959, 0 },
#endif
    { 0 },
    &operand_data[15863],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11960 },
#else
    { 0, output_11960, 0 },
#endif
    { 0 },
    &operand_data[15867],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1905 */
  {
    "*aarch64_sve2_bsl2n_unpredv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11961 },
#else
    { 0, output_11961, 0 },
#endif
    { 0 },
    &operand_data[15871],
    4,
    4,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1950 */
  {
    "*aarch64_sve2_sravnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11962 },
#else
    { 0, output_11962, 0 },
#endif
    { 0 },
    &operand_data[15875],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1950 */
  {
    "*aarch64_sve2_sravnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11963 },
#else
    { 0, output_11963, 0 },
#endif
    { 0 },
    &operand_data[15875],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1950 */
  {
    "*aarch64_sve2_sravnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11964 },
#else
    { 0, output_11964, 0 },
#endif
    { 0 },
    &operand_data[15880],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1950 */
  {
    "*aarch64_sve2_sravnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11965 },
#else
    { 0, output_11965, 0 },
#endif
    { 0 },
    &operand_data[15880],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1950 */
  {
    "*aarch64_sve2_sravnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11966 },
#else
    { 0, output_11966, 0 },
#endif
    { 0 },
    &operand_data[15885],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1950 */
  {
    "*aarch64_sve2_sravnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11967 },
#else
    { 0, output_11967, 0 },
#endif
    { 0 },
    &operand_data[15885],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1950 */
  {
    "*aarch64_sve2_sravnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11968 },
#else
    { 0, output_11968, 0 },
#endif
    { 0 },
    &operand_data[15890],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1950 */
  {
    "*aarch64_sve2_sravnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11969 },
#else
    { 0, output_11969, 0 },
#endif
    { 0 },
    &operand_data[15890],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1972 */
  {
    "aarch64_sve_add_srshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11970 },
#else
    { 0, output_11970, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx16qi },
    &operand_data[15875],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1972 */
  {
    "aarch64_sve_add_urshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11971 },
#else
    { 0, output_11971, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx16qi },
    &operand_data[15875],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1972 */
  {
    "aarch64_sve_add_srshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11972 },
#else
    { 0, output_11972, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx8hi },
    &operand_data[15880],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1972 */
  {
    "aarch64_sve_add_urshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11973 },
#else
    { 0, output_11973, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx8hi },
    &operand_data[15880],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1972 */
  {
    "aarch64_sve_add_srshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11974 },
#else
    { 0, output_11974, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx4si },
    &operand_data[15885],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1972 */
  {
    "aarch64_sve_add_urshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11975 },
#else
    { 0, output_11975, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx4si },
    &operand_data[15885],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1972 */
  {
    "aarch64_sve_add_srshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11976 },
#else
    { 0, output_11976, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_srshrvnx2di },
    &operand_data[15890],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1972 */
  {
    "aarch64_sve_add_urshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11977 },
#else
    { 0, output_11977, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_urshrvnx2di },
    &operand_data[15890],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1996 */
  {
    "aarch64_sve_slivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.b, %2.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx16qi },
    &operand_data[15895],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1996 */
  {
    "aarch64_sve_srivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.b, %2.b, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx16qi },
    &operand_data[15899],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1996 */
  {
    "aarch64_sve_slivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.h, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx8hi },
    &operand_data[15903],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1996 */
  {
    "aarch64_sve_srivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.h, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx8hi },
    &operand_data[15907],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1996 */
  {
    "aarch64_sve_slivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.s, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx4si },
    &operand_data[15911],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1996 */
  {
    "aarch64_sve_srivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.s, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx4si },
    &operand_data[15915],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1996 */
  {
    "aarch64_sve_slivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sli\t%0.d, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_slivnx2di },
    &operand_data[15919],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1996 */
  {
    "aarch64_sve_srivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sri\t%0.d, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_srivnx2di },
    &operand_data[15923],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2041 */
  {
    "*aarch64_sve2_sabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11986 },
#else
    { 0, output_11986, 0 },
#endif
    { 0 },
    &operand_data[15927],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2041 */
  {
    "*aarch64_sve2_uabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11987 },
#else
    { 0, output_11987, 0 },
#endif
    { 0 },
    &operand_data[15927],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2041 */
  {
    "*aarch64_sve2_sabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11988 },
#else
    { 0, output_11988, 0 },
#endif
    { 0 },
    &operand_data[15933],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2041 */
  {
    "*aarch64_sve2_uabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11989 },
#else
    { 0, output_11989, 0 },
#endif
    { 0 },
    &operand_data[15933],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2041 */
  {
    "*aarch64_sve2_sabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11990 },
#else
    { 0, output_11990, 0 },
#endif
    { 0 },
    &operand_data[15939],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2041 */
  {
    "*aarch64_sve2_uabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11991 },
#else
    { 0, output_11991, 0 },
#endif
    { 0 },
    &operand_data[15939],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2041 */
  {
    "*aarch64_sve2_sabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11992 },
#else
    { 0, output_11992, 0 },
#endif
    { 0 },
    &operand_data[15945],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2041 */
  {
    "*aarch64_sve2_uabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11993 },
#else
    { 0, output_11993, 0 },
#endif
    { 0 },
    &operand_data[15945],
    6,
    6,
    2,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2083 */
  {
    "aarch64_sve_add_fmlalbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11994 },
#else
    { 0, output_11994, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_fmlalbvnx8hf },
    &operand_data[15951],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2083 */
  {
    "aarch64_sve_add_fmlaltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11995 },
#else
    { 0, output_11995, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_fmlaltvnx8hf },
    &operand_data[15951],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2098 */
  {
    "aarch64_sve_add_fmlallbbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11996 },
#else
    { 0, output_11996, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_fmlallbbvnx4sf },
    &operand_data[15955],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2098 */
  {
    "aarch64_sve_add_fmlallbtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11997 },
#else
    { 0, output_11997, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_fmlallbtvnx4sf },
    &operand_data[15955],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2098 */
  {
    "aarch64_sve_add_fmlalltbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11998 },
#else
    { 0, output_11998, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_fmlalltbvnx4sf },
    &operand_data[15955],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2098 */
  {
    "aarch64_sve_add_fmlallttvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_11999 },
#else
    { 0, output_11999, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_fmlallttvnx4sf },
    &operand_data[15955],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2113 */
  {
    "aarch64_sve_add_lane_fmlalbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12000 },
#else
    { 0, output_12000, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lane_fmlalbvnx8hf },
    &operand_data[15959],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2113 */
  {
    "aarch64_sve_add_lane_fmlaltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12001 },
#else
    { 0, output_12001, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lane_fmlaltvnx8hf },
    &operand_data[15959],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2129 */
  {
    "aarch64_sve_add_lane_fmlallbbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12002 },
#else
    { 0, output_12002, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lane_fmlallbbvnx4sf },
    &operand_data[15964],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2129 */
  {
    "aarch64_sve_add_lane_fmlallbtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12003 },
#else
    { 0, output_12003, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lane_fmlallbtvnx4sf },
    &operand_data[15964],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2129 */
  {
    "aarch64_sve_add_lane_fmlalltbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12004 },
#else
    { 0, output_12004, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lane_fmlalltbvnx4sf },
    &operand_data[15964],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2129 */
  {
    "aarch64_sve_add_lane_fmlallttvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12005 },
#else
    { 0, output_12005, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lane_fmlallttvnx4sf },
    &operand_data[15964],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2154 */
  {
    "aarch64_sve_dotvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12006 },
#else
    { 0, output_12006, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dotvnx8hf },
    &operand_data[15951],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2154 */
  {
    "aarch64_sve_dotvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12007 },
#else
    { 0, output_12007, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dotvnx4sf },
    &operand_data[15955],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2169 */
  {
    "aarch64_sve_dot_lanevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12008 },
#else
    { 0, output_12008, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dot_lanevnx8hf },
    &operand_data[15959],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2169 */
  {
    "aarch64_sve_dot_lanevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12009 },
#else
    { 0, output_12009, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dot_lanevnx4sf },
    &operand_data[15964],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2197 */
  {
    "extendvnx16qivnx16hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpk\t%0, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx16qivnx16hi2 },
    &operand_data[15969],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2197 */
  {
    "zero_extendvnx16qivnx16hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpk\t%0, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx16qivnx16hi2 },
    &operand_data[15969],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2197 */
  {
    "extendvnx8hivnx8si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpk\t%0, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8hivnx8si2 },
    &operand_data[15971],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2197 */
  {
    "zero_extendvnx8hivnx8si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpk\t%0, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8hivnx8si2 },
    &operand_data[15971],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2197 */
  {
    "extendvnx4sivnx4di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpk\t%0, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4sivnx4di2 },
    &operand_data[15973],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2197 */
  {
    "zero_extendvnx4sivnx4di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpk\t%0, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4sivnx4di2 },
    &operand_data[15973],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2205 */
  {
    "extendvnx32qivnx32hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpk\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx32qivnx32hi2 },
    &operand_data[15975],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2205 */
  {
    "zero_extendvnx32qivnx32hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpk\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx32qivnx32hi2 },
    &operand_data[15975],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2205 */
  {
    "extendvnx16hivnx16si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpk\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx16hivnx16si2 },
    &operand_data[15977],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2205 */
  {
    "zero_extendvnx16hivnx16si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpk\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx16hivnx16si2 },
    &operand_data[15977],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2205 */
  {
    "extendvnx8sivnx8di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sunpk\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8sivnx8di2 },
    &operand_data[15979],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2205 */
  {
    "zero_extendvnx8sivnx8di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uunpk\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8sivnx8di2 },
    &operand_data[15979],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_saddwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx8hi },
    &operand_data[15981],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_saddwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx8hi },
    &operand_data[15981],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_ssubwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx8hi },
    &operand_data[15981],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_ssubwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx8hi },
    &operand_data[15981],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_uaddwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx8hi },
    &operand_data[15981],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_uaddwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx8hi },
    &operand_data[15981],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_usubwbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx8hi },
    &operand_data[15981],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_usubwtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.h, %1.h, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx8hi },
    &operand_data[15981],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_saddwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx4si },
    &operand_data[15984],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_saddwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx4si },
    &operand_data[15984],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_ssubwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx4si },
    &operand_data[15984],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_ssubwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx4si },
    &operand_data[15984],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_uaddwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx4si },
    &operand_data[15984],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_uaddwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx4si },
    &operand_data[15984],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_usubwbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx4si },
    &operand_data[15984],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_usubwtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.s, %1.s, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx4si },
    &operand_data[15984],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_saddwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwbvnx2di },
    &operand_data[15987],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_saddwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddwtvnx2di },
    &operand_data[15987],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_ssubwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwbvnx2di },
    &operand_data[15987],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_ssubwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubwtvnx2di },
    &operand_data[15987],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_uaddwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwbvnx2di },
    &operand_data[15987],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_uaddwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddwtvnx2di },
    &operand_data[15987],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_usubwbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwb\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwbvnx2di },
    &operand_data[15987],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2227 */
  {
    "aarch64_sve_usubwtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usubwt\t%0.d, %1.d, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubwtvnx2di },
    &operand_data[15987],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_sabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_sabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_saddlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_saddlbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_saddltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_ssublbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_ssublbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_ssubltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_ssubltbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_uabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_uabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_uaddlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_uaddltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_usublbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_usubltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_sabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_sabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_saddlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_saddlbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_saddltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_ssublbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_ssublbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_ssubltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_ssubltbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_uabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_uabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_uaddlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_uaddltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_usublbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_usubltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.s, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx4si },
    &operand_data[15993],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_sabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdlbvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_sabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sabdlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sabdltvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_saddlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_saddlbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlbt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddlbtvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_saddltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "saddlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_saddltvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullbvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smulltvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullbvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmulltvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_ssublbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_ssublbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublbt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssublbtvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_ssubltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssublt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_ssubltbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ssubltb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ssubltbvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_uabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdlbvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_uabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uabdlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uabdltvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_uaddlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddlbvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_uaddltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uaddlt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uaddltvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullbvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umulltvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_usublbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usublbvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2264 */
  {
    "aarch64_sve_usubltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usublt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_usubltvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2274 */
  {
    "aarch64_sve_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullb_lane_vnx4si },
    &operand_data[15999],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2274 */
  {
    "aarch64_sve_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullt_lane_vnx4si },
    &operand_data[15999],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2274 */
  {
    "aarch64_sve_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullb_lane_vnx4si },
    &operand_data[15999],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2274 */
  {
    "aarch64_sve_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullt_lane_vnx4si },
    &operand_data[15999],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2274 */
  {
    "aarch64_sve_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullb_lane_vnx4si },
    &operand_data[15999],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2274 */
  {
    "aarch64_sve_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.s, %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullt_lane_vnx4si },
    &operand_data[15999],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2274 */
  {
    "aarch64_sve_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullb_lane_vnx2di },
    &operand_data[16003],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2274 */
  {
    "aarch64_sve_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_smullt_lane_vnx2di },
    &operand_data[16003],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2274 */
  {
    "aarch64_sve_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullb_lane_vnx2di },
    &operand_data[16003],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2274 */
  {
    "aarch64_sve_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqdmullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdmullt_lane_vnx2di },
    &operand_data[16003],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2274 */
  {
    "aarch64_sve_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullb\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullb_lane_vnx2di },
    &operand_data[16003],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2274 */
  {
    "aarch64_sve_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umullt\t%0.d, %1.s, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_umullt_lane_vnx2di },
    &operand_data[16003],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2298 */
  {
    "aarch64_sve_sshllbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx8hi },
    &operand_data[16007],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2298 */
  {
    "aarch64_sve_sshlltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx8hi },
    &operand_data[16007],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2298 */
  {
    "aarch64_sve_ushllbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx8hi },
    &operand_data[16007],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2298 */
  {
    "aarch64_sve_ushlltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.h, %1.b, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx8hi },
    &operand_data[16007],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2298 */
  {
    "aarch64_sve_sshllbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx4si },
    &operand_data[16010],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2298 */
  {
    "aarch64_sve_sshlltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx4si },
    &operand_data[16010],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2298 */
  {
    "aarch64_sve_ushllbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx4si },
    &operand_data[16010],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2298 */
  {
    "aarch64_sve_ushlltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.s, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx4si },
    &operand_data[16010],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2298 */
  {
    "aarch64_sve_sshllbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllb\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshllbvnx2di },
    &operand_data[16013],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2298 */
  {
    "aarch64_sve_sshlltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sshllt\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sshlltvnx2di },
    &operand_data[16013],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2298 */
  {
    "aarch64_sve_ushllbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllb\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushllbvnx2di },
    &operand_data[16013],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2298 */
  {
    "aarch64_sve_ushlltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ushllt\t%0.d, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_ushlltvnx2di },
    &operand_data[16013],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_sabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12133 },
#else
    { 0, output_12133, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_sabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12134 },
#else
    { 0, output_12134, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12135 },
#else
    { 0, output_12135, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12136 },
#else
    { 0, output_12136, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_uabdlbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12137 },
#else
    { 0, output_12137, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_uabdltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12138 },
#else
    { 0, output_12138, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12139 },
#else
    { 0, output_12139, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12140 },
#else
    { 0, output_12140, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_sabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12141 },
#else
    { 0, output_12141, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_sabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12142 },
#else
    { 0, output_12142, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12143 },
#else
    { 0, output_12143, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12144 },
#else
    { 0, output_12144, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_uabdlbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12145 },
#else
    { 0, output_12145, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_uabdltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12146 },
#else
    { 0, output_12146, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12147 },
#else
    { 0, output_12147, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12148 },
#else
    { 0, output_12148, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_sabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12149 },
#else
    { 0, output_12149, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdlbvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_sabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12150 },
#else
    { 0, output_12150, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_sabdltvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12151 },
#else
    { 0, output_12151, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullbvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12152 },
#else
    { 0, output_12152, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smulltvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_uabdlbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12153 },
#else
    { 0, output_12153, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdlbvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_uabdltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12154 },
#else
    { 0, output_12154, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_uabdltvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12155 },
#else
    { 0, output_12155, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullbvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2335 */
  {
    "aarch64_sve_add_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12156 },
#else
    { 0, output_12156, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umulltvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2351 */
  {
    "aarch64_sve_add_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12157 },
#else
    { 0, output_12157, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullb_lane_vnx4si },
    &operand_data[16028],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2351 */
  {
    "aarch64_sve_add_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12158 },
#else
    { 0, output_12158, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullt_lane_vnx4si },
    &operand_data[16028],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2351 */
  {
    "aarch64_sve_add_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12159 },
#else
    { 0, output_12159, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullb_lane_vnx4si },
    &operand_data[16028],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2351 */
  {
    "aarch64_sve_add_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12160 },
#else
    { 0, output_12160, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullt_lane_vnx4si },
    &operand_data[16028],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2351 */
  {
    "aarch64_sve_add_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12161 },
#else
    { 0, output_12161, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullb_lane_vnx2di },
    &operand_data[16033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2351 */
  {
    "aarch64_sve_add_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12162 },
#else
    { 0, output_12162, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_smullt_lane_vnx2di },
    &operand_data[16033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2351 */
  {
    "aarch64_sve_add_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12163 },
#else
    { 0, output_12163, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullb_lane_vnx2di },
    &operand_data[16033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2351 */
  {
    "aarch64_sve_add_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12164 },
#else
    { 0, output_12164, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_umullt_lane_vnx2di },
    &operand_data[16033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2370 */
  {
    "aarch64_sve_qadd_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12165 },
#else
    { 0, output_12165, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2370 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12166 },
#else
    { 0, output_12166, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2370 */
  {
    "aarch64_sve_qadd_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12167 },
#else
    { 0, output_12167, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2370 */
  {
    "aarch64_sve_qadd_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12168 },
#else
    { 0, output_12168, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2370 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12169 },
#else
    { 0, output_12169, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2370 */
  {
    "aarch64_sve_qadd_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12170 },
#else
    { 0, output_12170, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2370 */
  {
    "aarch64_sve_qadd_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12171 },
#else
    { 0, output_12171, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2370 */
  {
    "aarch64_sve_qadd_sqdmullbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12172 },
#else
    { 0, output_12172, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullbtvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2370 */
  {
    "aarch64_sve_qadd_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12173 },
#else
    { 0, output_12173, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmulltvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2386 */
  {
    "aarch64_sve_qadd_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12174 },
#else
    { 0, output_12174, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullb_lane_vnx4si },
    &operand_data[16028],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2386 */
  {
    "aarch64_sve_qadd_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12175 },
#else
    { 0, output_12175, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullt_lane_vnx4si },
    &operand_data[16028],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2386 */
  {
    "aarch64_sve_qadd_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12176 },
#else
    { 0, output_12176, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullb_lane_vnx2di },
    &operand_data[16033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2386 */
  {
    "aarch64_sve_qadd_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12177 },
#else
    { 0, output_12177, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qadd_sqdmullt_lane_vnx2di },
    &operand_data[16033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2405 */
  {
    "aarch64_sve_sub_smullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12178 },
#else
    { 0, output_12178, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2405 */
  {
    "aarch64_sve_sub_smulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12179 },
#else
    { 0, output_12179, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2405 */
  {
    "aarch64_sve_sub_umullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12180 },
#else
    { 0, output_12180, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2405 */
  {
    "aarch64_sve_sub_umulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12181 },
#else
    { 0, output_12181, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2405 */
  {
    "aarch64_sve_sub_smullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12182 },
#else
    { 0, output_12182, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2405 */
  {
    "aarch64_sve_sub_smulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12183 },
#else
    { 0, output_12183, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2405 */
  {
    "aarch64_sve_sub_umullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12184 },
#else
    { 0, output_12184, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2405 */
  {
    "aarch64_sve_sub_umulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12185 },
#else
    { 0, output_12185, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2405 */
  {
    "aarch64_sve_sub_smullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12186 },
#else
    { 0, output_12186, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullbvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2405 */
  {
    "aarch64_sve_sub_smulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12187 },
#else
    { 0, output_12187, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smulltvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2405 */
  {
    "aarch64_sve_sub_umullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12188 },
#else
    { 0, output_12188, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullbvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2405 */
  {
    "aarch64_sve_sub_umulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12189 },
#else
    { 0, output_12189, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umulltvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2421 */
  {
    "aarch64_sve_sub_smullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12190 },
#else
    { 0, output_12190, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullb_lane_vnx4si },
    &operand_data[16028],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2421 */
  {
    "aarch64_sve_sub_smullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12191 },
#else
    { 0, output_12191, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullt_lane_vnx4si },
    &operand_data[16028],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2421 */
  {
    "aarch64_sve_sub_umullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12192 },
#else
    { 0, output_12192, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullb_lane_vnx4si },
    &operand_data[16028],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2421 */
  {
    "aarch64_sve_sub_umullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12193 },
#else
    { 0, output_12193, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullt_lane_vnx4si },
    &operand_data[16028],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2421 */
  {
    "aarch64_sve_sub_smullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12194 },
#else
    { 0, output_12194, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullb_lane_vnx2di },
    &operand_data[16033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2421 */
  {
    "aarch64_sve_sub_smullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12195 },
#else
    { 0, output_12195, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_smullt_lane_vnx2di },
    &operand_data[16033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2421 */
  {
    "aarch64_sve_sub_umullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12196 },
#else
    { 0, output_12196, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullb_lane_vnx2di },
    &operand_data[16033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2421 */
  {
    "aarch64_sve_sub_umullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12197 },
#else
    { 0, output_12197, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sub_umullt_lane_vnx2di },
    &operand_data[16033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2440 */
  {
    "aarch64_sve_qsub_sqdmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12198 },
#else
    { 0, output_12198, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2440 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12199 },
#else
    { 0, output_12199, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2440 */
  {
    "aarch64_sve_qsub_sqdmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12200 },
#else
    { 0, output_12200, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx8hi },
    &operand_data[16016],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2440 */
  {
    "aarch64_sve_qsub_sqdmullbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12201 },
#else
    { 0, output_12201, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2440 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12202 },
#else
    { 0, output_12202, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2440 */
  {
    "aarch64_sve_qsub_sqdmulltvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12203 },
#else
    { 0, output_12203, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx4si },
    &operand_data[16020],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2440 */
  {
    "aarch64_sve_qsub_sqdmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12204 },
#else
    { 0, output_12204, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2440 */
  {
    "aarch64_sve_qsub_sqdmullbtvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12205 },
#else
    { 0, output_12205, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullbtvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2440 */
  {
    "aarch64_sve_qsub_sqdmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12206 },
#else
    { 0, output_12206, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmulltvnx2di },
    &operand_data[16024],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2456 */
  {
    "aarch64_sve_qsub_sqdmullb_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12207 },
#else
    { 0, output_12207, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullb_lane_vnx4si },
    &operand_data[16028],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2456 */
  {
    "aarch64_sve_qsub_sqdmullt_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12208 },
#else
    { 0, output_12208, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullt_lane_vnx4si },
    &operand_data[16028],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2456 */
  {
    "aarch64_sve_qsub_sqdmullb_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12209 },
#else
    { 0, output_12209, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullb_lane_vnx2di },
    &operand_data[16033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2456 */
  {
    "aarch64_sve_qsub_sqdmullt_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12210 },
#else
    { 0, output_12210, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_qsub_sqdmullt_lane_vnx2di },
    &operand_data[16033],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2475 */
  {
    "sdot_prodvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12211 },
#else
    { 0, output_12211, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdot_prodvnx4sivnx8hi },
    &operand_data[16038],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2475 */
  {
    "udot_prodvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12212 },
#else
    { 0, output_12212, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udot_prodvnx4sivnx8hi },
    &operand_data[16038],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxnmvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminnmvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16042],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16045],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxnmvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16045],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16045],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminnmvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16045],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16048],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxnmvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16048],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16048],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminnmvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16048],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16051],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxnmvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16051],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16051],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminnmvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16051],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxnmvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminnmvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16054],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxnmvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminnmvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16057],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxnmvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminnmvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16060],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16063],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fmaxnmvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16063],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16063],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2509 */
  {
    "*aarch64_sve_fminnmvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16063],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx16bf },
    &operand_data[16066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxnmvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmaxnm\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx16bf },
    &operand_data[16066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx16bf },
    &operand_data[16066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminnmvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfminnm\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx16bf },
    &operand_data[16066],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx32bf },
    &operand_data[16069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxnmvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmaxnm\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx32bf },
    &operand_data[16069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx32bf },
    &operand_data[16069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminnmvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfminnm\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx32bf },
    &operand_data[16069],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx16hf },
    &operand_data[16072],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxnmvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx16hf },
    &operand_data[16072],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx16hf },
    &operand_data[16072],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminnmvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx16hf },
    &operand_data[16072],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx8sf },
    &operand_data[16075],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxnmvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx8sf },
    &operand_data[16075],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx8sf },
    &operand_data[16075],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminnmvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx8sf },
    &operand_data[16075],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx4df },
    &operand_data[16078],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxnmvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx4df },
    &operand_data[16078],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx4df },
    &operand_data[16078],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminnmvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx4df },
    &operand_data[16078],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx32hf },
    &operand_data[16081],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxnmvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx32hf },
    &operand_data[16081],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx32hf },
    &operand_data[16081],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminnmvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx32hf },
    &operand_data[16081],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx16sf },
    &operand_data[16084],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxnmvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx16sf },
    &operand_data[16084],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx16sf },
    &operand_data[16084],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminnmvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx16sf },
    &operand_data[16084],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmax\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxvnx8df },
    &operand_data[16087],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fmaxnmvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnm\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fmaxnmvnx8df },
    &operand_data[16087],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmin\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminvnx8df },
    &operand_data[16087],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2519 */
  {
    "aarch64_sve_single_fminnmvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnm\t%0, %0, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_single_fminnmvnx8df },
    &operand_data[16087],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2541 */
  {
    "aarch64_sve_fmlalbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12277 },
#else
    { 0, output_12277, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlalbvnx4sf },
    &operand_data[16090],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2541 */
  {
    "aarch64_sve_fmlaltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12278 },
#else
    { 0, output_12278, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlaltvnx4sf },
    &operand_data[16090],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2541 */
  {
    "aarch64_sve_fmlslbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12279 },
#else
    { 0, output_12279, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlslbvnx4sf },
    &operand_data[16090],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2541 */
  {
    "aarch64_sve_fmlsltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12280 },
#else
    { 0, output_12280, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmlsltvnx4sf },
    &operand_data[16090],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2555 */
  {
    "aarch64_fmlalb_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12281 },
#else
    { 0, output_12281, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalb_lane_vnx4sf },
    &operand_data[16094],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2555 */
  {
    "aarch64_fmlalt_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12282 },
#else
    { 0, output_12282, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalt_lane_vnx4sf },
    &operand_data[16094],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2555 */
  {
    "aarch64_fmlslb_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12283 },
#else
    { 0, output_12283, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslb_lane_vnx4sf },
    &operand_data[16094],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2555 */
  {
    "aarch64_fmlslt_lane_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12284 },
#else
    { 0, output_12284, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslt_lane_vnx4sf },
    &operand_data[16094],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2573 */
  {
    "aarch64_sve_fdotvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12285 },
#else
    { 0, output_12285, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fdotvnx4sfvnx8hf },
    &operand_data[16090],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2588 */
  {
    "aarch64_fdot_prod_lanevnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12286 },
#else
    { 0, output_12286, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fdot_prod_lanevnx4sfvnx8hf },
    &operand_data[16094],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2622 */
  {
    "aarch64_sve_sqxtnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx8hi },
    &operand_data[14086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2622 */
  {
    "aarch64_sve_sqxtunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx8hi },
    &operand_data[14086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2622 */
  {
    "aarch64_sve_uqxtnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.b, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx8hi },
    &operand_data[14086],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2622 */
  {
    "aarch64_sve_sqxtnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx4si },
    &operand_data[14089],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2622 */
  {
    "aarch64_sve_sqxtunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx4si },
    &operand_data[14089],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2622 */
  {
    "aarch64_sve_uqxtnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.h, %1.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx4si },
    &operand_data[14089],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2622 */
  {
    "aarch64_sve_sqxtnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtnbvnx2di },
    &operand_data[14092],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2622 */
  {
    "aarch64_sve_sqxtunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtunbvnx2di },
    &operand_data[14092],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2622 */
  {
    "aarch64_sve_uqxtnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnb\t%0.s, %1.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtnbvnx2di },
    &operand_data[14092],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2632 */
  {
    "aarch64_sve_sqxtntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx8hi },
    &operand_data[16099],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2632 */
  {
    "aarch64_sve_sqxtuntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx8hi },
    &operand_data[16099],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2632 */
  {
    "aarch64_sve_uqxtntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.b, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx8hi },
    &operand_data[16099],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2632 */
  {
    "aarch64_sve_sqxtntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx4si },
    &operand_data[16102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2632 */
  {
    "aarch64_sve_sqxtuntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx4si },
    &operand_data[16102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2632 */
  {
    "aarch64_sve_uqxtntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.h, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx4si },
    &operand_data[16102],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2632 */
  {
    "aarch64_sve_sqxtntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtnt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtntvnx2di },
    &operand_data[16105],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2632 */
  {
    "aarch64_sve_sqxtuntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqxtunt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqxtuntvnx2di },
    &operand_data[16105],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2632 */
  {
    "aarch64_sve_uqxtntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqxtnt\t%0.s, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqxtntvnx2di },
    &operand_data[16105],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2652 */
  {
    "aarch64_sve_sqcvtvnx16qivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvt\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtvnx16qivnx16si },
    &operand_data[16108],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2652 */
  {
    "aarch64_sve_sqcvtnvnx16qivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtn\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtnvnx16qivnx16si },
    &operand_data[16108],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2652 */
  {
    "aarch64_sve_sqcvtuvnx16qivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtu\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtuvnx16qivnx16si },
    &operand_data[16108],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2652 */
  {
    "aarch64_sve_sqcvtunvnx16qivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtun\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtunvnx16qivnx16si },
    &operand_data[16108],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2652 */
  {
    "aarch64_sve_uqcvtvnx16qivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqcvt\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqcvtvnx16qivnx16si },
    &operand_data[16108],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2652 */
  {
    "aarch64_sve_uqcvtnvnx16qivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqcvtn\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqcvtnvnx16qivnx16si },
    &operand_data[16108],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2661 */
  {
    "aarch64_sve_sqcvtvnx8hivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvt\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtvnx8hivnx8si },
    &operand_data[16110],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2661 */
  {
    "aarch64_sve_sqcvtnvnx8hivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtn\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtnvnx8hivnx8si },
    &operand_data[16110],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2661 */
  {
    "aarch64_sve_sqcvtuvnx8hivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtu\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtuvnx8hivnx8si },
    &operand_data[16110],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2661 */
  {
    "aarch64_sve_sqcvtunvnx8hivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtun\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtunvnx8hivnx8si },
    &operand_data[16110],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2661 */
  {
    "aarch64_sve_uqcvtvnx8hivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqcvt\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqcvtvnx8hivnx8si },
    &operand_data[16110],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2661 */
  {
    "aarch64_sve_uqcvtnvnx8hivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqcvtn\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqcvtnvnx8hivnx8si },
    &operand_data[16110],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2670 */
  {
    "aarch64_sve_sqcvtvnx8hivnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvt\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtvnx8hivnx8di },
    &operand_data[16112],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2670 */
  {
    "aarch64_sve_sqcvtnvnx8hivnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtn\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtnvnx8hivnx8di },
    &operand_data[16112],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2670 */
  {
    "aarch64_sve_sqcvtuvnx8hivnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtu\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtuvnx8hivnx8di },
    &operand_data[16112],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2670 */
  {
    "aarch64_sve_sqcvtunvnx8hivnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqcvtun\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcvtunvnx8hivnx8di },
    &operand_data[16112],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2670 */
  {
    "aarch64_sve_uqcvtvnx8hivnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqcvt\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqcvtvnx8hivnx8di },
    &operand_data[16112],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2670 */
  {
    "aarch64_sve_uqcvtnvnx8hivnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqcvtn\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqcvtnvnx8hivnx8di },
    &operand_data[16112],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2693 */
  {
    "aarch64_sve_addhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx8hi },
    &operand_data[14086],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2693 */
  {
    "aarch64_sve_raddhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx8hi },
    &operand_data[14086],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2693 */
  {
    "aarch64_sve_rsubhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx8hi },
    &operand_data[14086],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2693 */
  {
    "aarch64_sve_subhnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.b, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx8hi },
    &operand_data[14086],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2693 */
  {
    "aarch64_sve_addhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx4si },
    &operand_data[14089],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2693 */
  {
    "aarch64_sve_raddhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx4si },
    &operand_data[14089],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2693 */
  {
    "aarch64_sve_rsubhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx4si },
    &operand_data[14089],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2693 */
  {
    "aarch64_sve_subhnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.h, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx4si },
    &operand_data[14089],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2693 */
  {
    "aarch64_sve_addhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhnbvnx2di },
    &operand_data[14092],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2693 */
  {
    "aarch64_sve_raddhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhnbvnx2di },
    &operand_data[14092],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2693 */
  {
    "aarch64_sve_rsubhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhnbvnx2di },
    &operand_data[14092],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2693 */
  {
    "aarch64_sve_subhnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnb\t%0.s, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhnbvnx2di },
    &operand_data[14092],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2704 */
  {
    "aarch64_sve_addhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx8hi },
    &operand_data[16114],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2704 */
  {
    "aarch64_sve_raddhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx8hi },
    &operand_data[16114],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2704 */
  {
    "aarch64_sve_rsubhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx8hi },
    &operand_data[16114],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2704 */
  {
    "aarch64_sve_subhntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx8hi },
    &operand_data[16114],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2704 */
  {
    "aarch64_sve_addhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx4si },
    &operand_data[16118],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2704 */
  {
    "aarch64_sve_raddhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx4si },
    &operand_data[16118],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2704 */
  {
    "aarch64_sve_rsubhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx4si },
    &operand_data[16118],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2704 */
  {
    "aarch64_sve_subhntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx4si },
    &operand_data[16118],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2704 */
  {
    "aarch64_sve_addhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_addhntvnx2di },
    &operand_data[16122],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2704 */
  {
    "aarch64_sve_raddhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "raddhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_raddhntvnx2di },
    &operand_data[16122],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2704 */
  {
    "aarch64_sve_rsubhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rsubhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rsubhntvnx2di },
    &operand_data[16122],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2704 */
  {
    "aarch64_sve_subhntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "subhnt\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_subhntvnx2di },
    &operand_data[16122],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2716 */
  {
    "*bitmask_shift_plusvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.b, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16126],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2716 */
  {
    "*bitmask_shift_plusvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.h, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16131],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2716 */
  {
    "*bitmask_shift_plusvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addhnb\t%0.s, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16136],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_rshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx8hi },
    &operand_data[16141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_shrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx8hi },
    &operand_data[16141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_sqrshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx8hi },
    &operand_data[16141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_sqrshrunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx8hi },
    &operand_data[16141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_sqshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx8hi },
    &operand_data[16141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_sqshrunbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx8hi },
    &operand_data[16141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_uqrshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx8hi },
    &operand_data[16141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_uqshrnbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.b, %1.h, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx8hi },
    &operand_data[16141],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_rshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx4si },
    &operand_data[16144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_shrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx4si },
    &operand_data[16144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_sqrshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx4si },
    &operand_data[16144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_sqrshrunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx4si },
    &operand_data[16144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_sqshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx4si },
    &operand_data[16144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_sqshrunbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx4si },
    &operand_data[16144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_uqrshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx4si },
    &operand_data[16144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_uqshrnbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.h, %1.s, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx4si },
    &operand_data[16144],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_rshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrnbvnx2di },
    &operand_data[16147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_shrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrnbvnx2di },
    &operand_data[16147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_sqrshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnbvnx2di },
    &operand_data[16147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_sqrshrunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunbvnx2di },
    &operand_data[16147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_sqshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrnbvnx2di },
    &operand_data[16147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_sqshrunbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrunbvnx2di },
    &operand_data[16147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_uqrshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnbvnx2di },
    &operand_data[16147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2754 */
  {
    "aarch64_sve_uqshrnbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnb\t%0.s, %1.d, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrnbvnx2di },
    &operand_data[16147],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_rshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx8hi },
    &operand_data[16150],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_shrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx8hi },
    &operand_data[16150],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_sqrshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx8hi },
    &operand_data[16150],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_sqrshruntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx8hi },
    &operand_data[16150],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_sqshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx8hi },
    &operand_data[16150],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_sqshruntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx8hi },
    &operand_data[16150],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_uqrshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx8hi },
    &operand_data[16150],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_uqshrntvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.b, %2.h, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx8hi },
    &operand_data[16150],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_rshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx4si },
    &operand_data[16154],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_shrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx4si },
    &operand_data[16154],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_sqrshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx4si },
    &operand_data[16154],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_sqrshruntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx4si },
    &operand_data[16154],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_sqshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx4si },
    &operand_data[16154],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_sqshruntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx4si },
    &operand_data[16154],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_uqrshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx4si },
    &operand_data[16154],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_uqshrntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.h, %2.s, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx4si },
    &operand_data[16154],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_rshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_rshrntvnx2di },
    &operand_data[16158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_shrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "shrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_shrntvnx2di },
    &operand_data[16158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_sqrshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrntvnx2di },
    &operand_data[16158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_sqrshruntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrunt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruntvnx2di },
    &operand_data[16158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_sqshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshrntvnx2di },
    &operand_data[16158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_sqshruntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqshrunt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqshruntvnx2di },
    &operand_data[16158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_uqrshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrntvnx2di },
    &operand_data[16158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2766 */
  {
    "aarch64_sve_uqshrntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqshrnt\t%0.s, %2.d, #%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqshrntvnx2di },
    &operand_data[16158],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_sqrshrvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshr\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrvnx8si },
    &operand_data[16162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_sqrshrnvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnvnx8si },
    &operand_data[16162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_sqrshruvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshru\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruvnx8si },
    &operand_data[16162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_sqrshrunvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunvnx8si },
    &operand_data[16162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_uqrshrvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshr\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrvnx8si },
    &operand_data[16162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_uqrshrnvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnvnx8si },
    &operand_data[16162],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_sqrshrvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshr\t%0.b, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrvnx16si },
    &operand_data[16165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_sqrshrnvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.b, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnvnx16si },
    &operand_data[16165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_sqrshruvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshru\t%0.b, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruvnx16si },
    &operand_data[16165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_sqrshrunvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.b, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunvnx16si },
    &operand_data[16165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_uqrshrvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshr\t%0.b, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrvnx16si },
    &operand_data[16165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_uqrshrnvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.b, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnvnx16si },
    &operand_data[16165],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_sqrshrvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshr\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrvnx8di },
    &operand_data[16168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_sqrshrnvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrn\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrnvnx8di },
    &operand_data[16168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_sqrshruvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshru\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshruvnx8di },
    &operand_data[16168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_sqrshrunvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sqrshrun\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrshrunvnx8di },
    &operand_data[16168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_uqrshrvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshr\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrvnx8di },
    &operand_data[16168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2789 */
  {
    "aarch64_sve_uqrshrnvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uqrshrn\t%0.h, %1, #%2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqrshrnvnx8di },
    &operand_data[16168],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_addpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12416 },
#else
    { 0, output_12416, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx16qi },
    &operand_data[10466],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_smaxpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12417 },
#else
    { 0, output_12417, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx16qi },
    &operand_data[10466],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_sminpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12418 },
#else
    { 0, output_12418, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx16qi },
    &operand_data[10466],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_umaxpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12419 },
#else
    { 0, output_12419, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx16qi },
    &operand_data[10466],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_uminpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12420 },
#else
    { 0, output_12420, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx16qi },
    &operand_data[10466],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_addpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12421 },
#else
    { 0, output_12421, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx8hi },
    &operand_data[10482],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_smaxpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12422 },
#else
    { 0, output_12422, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx8hi },
    &operand_data[10482],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_sminpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12423 },
#else
    { 0, output_12423, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx8hi },
    &operand_data[10482],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_umaxpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12424 },
#else
    { 0, output_12424, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx8hi },
    &operand_data[10482],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_uminpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12425 },
#else
    { 0, output_12425, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx8hi },
    &operand_data[10482],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_addpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12426 },
#else
    { 0, output_12426, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx4si },
    &operand_data[10494],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_smaxpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12427 },
#else
    { 0, output_12427, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx4si },
    &operand_data[10494],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_sminpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12428 },
#else
    { 0, output_12428, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx4si },
    &operand_data[10494],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_umaxpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12429 },
#else
    { 0, output_12429, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx4si },
    &operand_data[10494],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_uminpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12430 },
#else
    { 0, output_12430, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx4si },
    &operand_data[10494],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_addpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12431 },
#else
    { 0, output_12431, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_addpvnx2di },
    &operand_data[10502],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_smaxpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12432 },
#else
    { 0, output_12432, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_smaxpvnx2di },
    &operand_data[10502],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_sminpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12433 },
#else
    { 0, output_12433, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_sminpvnx2di },
    &operand_data[10502],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_umaxpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12434 },
#else
    { 0, output_12434, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_umaxpvnx2di },
    &operand_data[10502],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2814 */
  {
    "aarch64_pred_uminpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12435 },
#else
    { 0, output_12435, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_uminpvnx2di },
    &operand_data[10502],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_faddpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12436 },
#else
    { 0, output_12436, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx8hf },
    &operand_data[11832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_fmaxpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12437 },
#else
    { 0, output_12437, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx8hf },
    &operand_data[11832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_fmaxnmpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12438 },
#else
    { 0, output_12438, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx8hf },
    &operand_data[11832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_fminpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12439 },
#else
    { 0, output_12439, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx8hf },
    &operand_data[11832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_fminnmpvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12440 },
#else
    { 0, output_12440, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx8hf },
    &operand_data[11832],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_faddpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12441 },
#else
    { 0, output_12441, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx4sf },
    &operand_data[11837],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_fmaxpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12442 },
#else
    { 0, output_12442, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx4sf },
    &operand_data[11837],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_fmaxnmpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12443 },
#else
    { 0, output_12443, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx4sf },
    &operand_data[11837],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_fminpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12444 },
#else
    { 0, output_12444, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx4sf },
    &operand_data[11837],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_fminnmpvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12445 },
#else
    { 0, output_12445, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx4sf },
    &operand_data[11837],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_faddpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12446 },
#else
    { 0, output_12446, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faddpvnx2df },
    &operand_data[11842],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_fmaxpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12447 },
#else
    { 0, output_12447, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxpvnx2df },
    &operand_data[11842],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_fmaxnmpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12448 },
#else
    { 0, output_12448, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fmaxnmpvnx2df },
    &operand_data[11842],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_fminpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12449 },
#else
    { 0, output_12449, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminpvnx2df },
    &operand_data[11842],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2839 */
  {
    "aarch64_pred_fminnmpvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12450 },
#else
    { 0, output_12450, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fminnmpvnx2df },
    &operand_data[11842],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2883 */
  {
    "*cond_sadalpvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12451 },
#else
    { 0, output_12451, 0 },
#endif
    { 0 },
    &operand_data[16171],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2883 */
  {
    "*cond_uadalpvnx8hi_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12452 },
#else
    { 0, output_12452, 0 },
#endif
    { 0 },
    &operand_data[16171],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2883 */
  {
    "*cond_sadalpvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12453 },
#else
    { 0, output_12453, 0 },
#endif
    { 0 },
    &operand_data[16176],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2883 */
  {
    "*cond_uadalpvnx4si_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12454 },
#else
    { 0, output_12454, 0 },
#endif
    { 0 },
    &operand_data[16176],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2883 */
  {
    "*cond_sadalpvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12455 },
#else
    { 0, output_12455, 0 },
#endif
    { 0 },
    &operand_data[16181],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2883 */
  {
    "*cond_uadalpvnx2di_2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12456 },
#else
    { 0, output_12456, 0 },
#endif
    { 0 },
    &operand_data[16181],
    5,
    5,
    1,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2906 */
  {
    "*cond_sadalpvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12457 },
#else
    { 0, output_12457, 0 },
#endif
    { 0 },
    &operand_data[16186],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2906 */
  {
    "*cond_uadalpvnx8hi_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12458 },
#else
    { 0, output_12458, 0 },
#endif
    { 0 },
    &operand_data[16186],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2906 */
  {
    "*cond_sadalpvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12459 },
#else
    { 0, output_12459, 0 },
#endif
    { 0 },
    &operand_data[16192],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2906 */
  {
    "*cond_uadalpvnx4si_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12460 },
#else
    { 0, output_12460, 0 },
#endif
    { 0 },
    &operand_data[16192],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2906 */
  {
    "*cond_sadalpvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12461 },
#else
    { 0, output_12461, 0 },
#endif
    { 0 },
    &operand_data[16198],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2906 */
  {
    "*cond_uadalpvnx2di_z",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12462 },
#else
    { 0, output_12462, 0 },
#endif
    { 0 },
    &operand_data[16198],
    6,
    6,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2937 */
  {
    "*aarch64_pred_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12463 },
#else
    { 0, output_12463, 0 },
#endif
    { 0 },
    &operand_data[16204],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2937 */
  {
    "*aarch64_pred_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12464 },
#else
    { 0, output_12464, 0 },
#endif
    { 0 },
    &operand_data[16204],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2937 */
  {
    "*aarch64_pred_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12465 },
#else
    { 0, output_12465, 0 },
#endif
    { 0 },
    &operand_data[16211],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2937 */
  {
    "*aarch64_pred_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12466 },
#else
    { 0, output_12466, 0 },
#endif
    { 0 },
    &operand_data[16211],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2937 */
  {
    "*aarch64_pred_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12467 },
#else
    { 0, output_12467, 0 },
#endif
    { 0 },
    &operand_data[16218],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2937 */
  {
    "*aarch64_pred_faminmax_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12468 },
#else
    { 0, output_12468, 0 },
#endif
    { 0 },
    &operand_data[16218],
    7,
    7,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_cadd90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12469 },
#else
    { 0, output_12469, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx16qi },
    &operand_data[13994],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_cadd270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12470 },
#else
    { 0, output_12470, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx16qi },
    &operand_data[13994],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_sqcadd90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12471 },
#else
    { 0, output_12471, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx16qi },
    &operand_data[13994],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_sqcadd270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12472 },
#else
    { 0, output_12472, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx16qi },
    &operand_data[13994],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_cadd90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12473 },
#else
    { 0, output_12473, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx8hi },
    &operand_data[14010],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_cadd270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12474 },
#else
    { 0, output_12474, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx8hi },
    &operand_data[14010],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_sqcadd90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12475 },
#else
    { 0, output_12475, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx8hi },
    &operand_data[14010],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_sqcadd270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12476 },
#else
    { 0, output_12476, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx8hi },
    &operand_data[14010],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_cadd90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12477 },
#else
    { 0, output_12477, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx4si },
    &operand_data[14022],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_cadd270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12478 },
#else
    { 0, output_12478, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx4si },
    &operand_data[14022],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_sqcadd90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12479 },
#else
    { 0, output_12479, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx4si },
    &operand_data[14022],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_sqcadd270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12480 },
#else
    { 0, output_12480, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx4si },
    &operand_data[14022],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_cadd90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12481 },
#else
    { 0, output_12481, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd90vnx2di },
    &operand_data[14030],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_cadd270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12482 },
#else
    { 0, output_12482, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cadd270vnx2di },
    &operand_data[14030],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_sqcadd90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12483 },
#else
    { 0, output_12483, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd90vnx2di },
    &operand_data[14030],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2978 */
  {
    "aarch64_sve_sqcadd270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12484 },
#else
    { 0, output_12484, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqcadd270vnx2di },
    &operand_data[14030],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmlavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12485 },
#else
    { 0, output_12485, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmla90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12486 },
#else
    { 0, output_12486, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmla180vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12487 },
#else
    { 0, output_12487, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmla270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12488 },
#else
    { 0, output_12488, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlahvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12489 },
#else
    { 0, output_12489, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlah90vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12490 },
#else
    { 0, output_12490, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlah180vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12491 },
#else
    { 0, output_12491, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlah270vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12492 },
#else
    { 0, output_12492, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx16qi },
    &operand_data[15656],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmlavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12493 },
#else
    { 0, output_12493, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmla90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12494 },
#else
    { 0, output_12494, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmla180vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12495 },
#else
    { 0, output_12495, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmla270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12496 },
#else
    { 0, output_12496, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlahvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12497 },
#else
    { 0, output_12497, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlah90vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12498 },
#else
    { 0, output_12498, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlah180vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12499 },
#else
    { 0, output_12499, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlah270vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12500 },
#else
    { 0, output_12500, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx8hi },
    &operand_data[15660],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmlavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12501 },
#else
    { 0, output_12501, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmla90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12502 },
#else
    { 0, output_12502, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmla180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12503 },
#else
    { 0, output_12503, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmla270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12504 },
#else
    { 0, output_12504, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlahvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12505 },
#else
    { 0, output_12505, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlah90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12506 },
#else
    { 0, output_12506, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlah180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12507 },
#else
    { 0, output_12507, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlah270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12508 },
#else
    { 0, output_12508, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx4si },
    &operand_data[15664],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmlavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12509 },
#else
    { 0, output_12509, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmlavnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmla90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12510 },
#else
    { 0, output_12510, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla90vnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmla180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12511 },
#else
    { 0, output_12511, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla180vnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_cmla270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12512 },
#else
    { 0, output_12512, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cmla270vnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlahvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12513 },
#else
    { 0, output_12513, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlahvnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlah90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12514 },
#else
    { 0, output_12514, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah90vnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlah180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12515 },
#else
    { 0, output_12515, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah180vnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3009 */
  {
    "aarch64_sve_sqrdcmlah270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12516 },
#else
    { 0, output_12516, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqrdcmlah270vnx2di },
    &operand_data[15668],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_cmla_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12517 },
#else
    { 0, output_12517, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla_lane_vnx8hi },
    &operand_data[15672],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_cmla90_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12518 },
#else
    { 0, output_12518, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla90_lane_vnx8hi },
    &operand_data[15672],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_cmla180_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12519 },
#else
    { 0, output_12519, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla180_lane_vnx8hi },
    &operand_data[15672],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_cmla270_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12520 },
#else
    { 0, output_12520, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla270_lane_vnx8hi },
    &operand_data[15672],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_sqrdcmlah_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12521 },
#else
    { 0, output_12521, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah_lane_vnx8hi },
    &operand_data[15672],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_sqrdcmlah90_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12522 },
#else
    { 0, output_12522, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah90_lane_vnx8hi },
    &operand_data[15672],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_sqrdcmlah180_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12523 },
#else
    { 0, output_12523, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah180_lane_vnx8hi },
    &operand_data[15672],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_sqrdcmlah270_lane_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12524 },
#else
    { 0, output_12524, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah270_lane_vnx8hi },
    &operand_data[15672],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_cmla_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12525 },
#else
    { 0, output_12525, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla_lane_vnx4si },
    &operand_data[15677],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_cmla90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12526 },
#else
    { 0, output_12526, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla90_lane_vnx4si },
    &operand_data[15677],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_cmla180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12527 },
#else
    { 0, output_12527, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla180_lane_vnx4si },
    &operand_data[15677],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_cmla270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12528 },
#else
    { 0, output_12528, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cmla270_lane_vnx4si },
    &operand_data[15677],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_sqrdcmlah_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12529 },
#else
    { 0, output_12529, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah_lane_vnx4si },
    &operand_data[15677],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_sqrdcmlah90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12530 },
#else
    { 0, output_12530, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah90_lane_vnx4si },
    &operand_data[15677],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_sqrdcmlah180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12531 },
#else
    { 0, output_12531, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah180_lane_vnx4si },
    &operand_data[15677],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3023 */
  {
    "aarch64_sqrdcmlah270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12532 },
#else
    { 0, output_12532, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrdcmlah270_lane_vnx4si },
    &operand_data[15677],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3089 */
  {
    "aarch64_sve_cdotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12533 },
#else
    { 0, output_12533, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdotvnx4si },
    &operand_data[12593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3089 */
  {
    "aarch64_sve_cdot90vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12534 },
#else
    { 0, output_12534, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot90vnx4si },
    &operand_data[12593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3089 */
  {
    "aarch64_sve_cdot180vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12535 },
#else
    { 0, output_12535, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot180vnx4si },
    &operand_data[12593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3089 */
  {
    "aarch64_sve_cdot270vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12536 },
#else
    { 0, output_12536, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot270vnx4si },
    &operand_data[12593],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3089 */
  {
    "aarch64_sve_cdotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12537 },
#else
    { 0, output_12537, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdotvnx2di },
    &operand_data[16225],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3089 */
  {
    "aarch64_sve_cdot90vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12538 },
#else
    { 0, output_12538, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot90vnx2di },
    &operand_data[16225],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3089 */
  {
    "aarch64_sve_cdot180vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12539 },
#else
    { 0, output_12539, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot180vnx2di },
    &operand_data[16225],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3089 */
  {
    "aarch64_sve_cdot270vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12540 },
#else
    { 0, output_12540, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cdot270vnx2di },
    &operand_data[16225],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3103 */
  {
    "aarch64_cdot_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12541 },
#else
    { 0, output_12541, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot_lane_vnx4si },
    &operand_data[16229],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3103 */
  {
    "aarch64_cdot90_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12542 },
#else
    { 0, output_12542, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot90_lane_vnx4si },
    &operand_data[16229],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3103 */
  {
    "aarch64_cdot180_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12543 },
#else
    { 0, output_12543, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot180_lane_vnx4si },
    &operand_data[16229],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3103 */
  {
    "aarch64_cdot270_lane_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12544 },
#else
    { 0, output_12544, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot270_lane_vnx4si },
    &operand_data[16229],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3103 */
  {
    "aarch64_cdot_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12545 },
#else
    { 0, output_12545, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot_lane_vnx2di },
    &operand_data[16234],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3103 */
  {
    "aarch64_cdot90_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12546 },
#else
    { 0, output_12546, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot90_lane_vnx2di },
    &operand_data[16234],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3103 */
  {
    "aarch64_cdot180_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12547 },
#else
    { 0, output_12547, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot180_lane_vnx2di },
    &operand_data[16234],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3103 */
  {
    "aarch64_cdot270_lane_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12548 },
#else
    { 0, output_12548, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cdot270_lane_vnx2di },
    &operand_data[16234],
    5,
    5,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3140 */
  {
    "aarch64_pred_fcvtltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %0.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtltvnx4sf },
    &operand_data[16239],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3140 */
  {
    "aarch64_pred_fcvtltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %0.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtltvnx2df },
    &operand_data[16243],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3167 */
  {
    "*cond_fcvtltvnx4sf_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16247],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3167 */
  {
    "*cond_fcvtltvnx2df_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16252],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3186 */
  {
    "*cond_fcvtltvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.s, %1/m, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16247],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3186 */
  {
    "*cond_fcvtltvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtlt\t%0.d, %1/m, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16252],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3201 */
  {
    "aarch64_sve2_fp8_cvt_f1cvtvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bf1cvt\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_fp8_cvt_f1cvtvnx8bf },
    &operand_data[16257],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3201 */
  {
    "aarch64_sve2_fp8_cvt_f2cvtvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bf2cvt\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_fp8_cvt_f2cvtvnx8bf },
    &operand_data[16257],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3201 */
  {
    "aarch64_sve2_fp8_cvt_f1cvtltvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bf1cvtlt\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_fp8_cvt_f1cvtltvnx8bf },
    &operand_data[16257],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3201 */
  {
    "aarch64_sve2_fp8_cvt_f2cvtltvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bf2cvtlt\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_fp8_cvt_f2cvtltvnx8bf },
    &operand_data[16257],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3201 */
  {
    "aarch64_sve2_fp8_cvt_f1cvtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "f1cvt\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_fp8_cvt_f1cvtvnx8hf },
    &operand_data[16259],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3201 */
  {
    "aarch64_sve2_fp8_cvt_f2cvtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "f2cvt\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_fp8_cvt_f2cvtvnx8hf },
    &operand_data[16259],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3201 */
  {
    "aarch64_sve2_fp8_cvt_f1cvtltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "f1cvtlt\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_fp8_cvt_f1cvtltvnx8hf },
    &operand_data[16259],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3201 */
  {
    "aarch64_sve2_fp8_cvt_f2cvtltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "f2cvtlt\t%0.h, %1.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_fp8_cvt_f2cvtltvnx8hf },
    &operand_data[16259],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3225 */
  {
    "aarch64_sve_cvtntvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnt\t%0.h, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx8hf },
    &operand_data[16261],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3225 */
  {
    "aarch64_sve_cvtntvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnt\t%0.s, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx4sf },
    &operand_data[16265],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3239 */
  {
    "aarch64_pred_fcvtxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12565 },
#else
    { 0, output_12565, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_fcvtxvnx4sf },
    &operand_data[14322],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3268 */
  {
    "*cond_fcvtxvnx4sf_any_relaxed",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12566 },
#else
    { 0, output_12566, 0 },
#endif
    { 0 },
    &operand_data[16269],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3291 */
  {
    "*cond_fcvtxvnx4sf_any_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12567 },
#else
    { 0, output_12567, 0 },
#endif
    { 0 },
    &operand_data[16269],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3315 */
  {
    "aarch64_sve2_cvtxntvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtxnt\t%0.s, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_cvtxntvnx2df },
    &operand_data[16265],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3335 */
  {
    "extendvnx8hfvnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%0, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8hfvnx8sf2 },
    &operand_data[16274],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3343 */
  {
    "aarch64_sve_cvtlvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtl\t%0, %1.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtlvnx8sf },
    &operand_data[16274],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3364 */
  {
    "truncvnx8sfvnx8bf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvt\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8sfvnx8bf2 },
    &operand_data[16276],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3364 */
  {
    "truncvnx8sfvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvt\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_truncvnx8sfvnx8hf2 },
    &operand_data[16278],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3372 */
  {
    "aarch64_sve_cvtnvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtnvnx8bf },
    &operand_data[16276],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3372 */
  {
    "aarch64_sve_cvtnvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.h, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtnvnx8hf },
    &operand_data[16278],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3381 */
  {
    "aarch64_sve2_fp8_cvtnvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfcvtn\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_fp8_cvtnvnx16bf },
    &operand_data[16280],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3381 */
  {
    "aarch64_sve2_fp8_cvtnvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtn\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_fp8_cvtnvnx16hf },
    &operand_data[16282],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3391 */
  {
    "aarch64_sve2_fp8_cvtnbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnb\t%0.b, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_fp8_cvtnbvnx16qi },
    &operand_data[16284],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3401 */
  {
    "aarch64_sve_cvtntvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtnt\t%0.b, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_cvtntvnx16qi },
    &operand_data[16286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3420 */
  {
    "floatvnx8sivnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx8sivnx8sf2 },
    &operand_data[16289],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3420 */
  {
    "floatunsvnx8sivnx8sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx8sivnx8sf2 },
    &operand_data[16289],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3420 */
  {
    "floatvnx16sivnx16sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "scvtf\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx16sivnx16sf2 },
    &operand_data[16291],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3420 */
  {
    "floatunsvnx16sivnx16sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ucvtf\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx16sivnx16sf2 },
    &operand_data[16291],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3436 */
  {
    "fixvnx8sfvnx8si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixvnx8sfvnx8si2 },
    &operand_data[16293],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3436 */
  {
    "fixunsvnx8sfvnx8si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsvnx8sfvnx8si2 },
    &operand_data[16293],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3436 */
  {
    "fixvnx16sfvnx16si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzs\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixvnx16sfvnx16si2 },
    &operand_data[16295],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3436 */
  {
    "fixunsvnx16sfvnx16si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fcvtzu\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsvnx16sfvnx16si2 },
    &operand_data[16295],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3457 */
  {
    "aarch64_pred_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12587 },
#else
    { 0, output_12587, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_urecpevnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3457 */
  {
    "aarch64_pred_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12588 },
#else
    { 0, output_12588, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_ursqrtevnx4si },
    &operand_data[9575],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3491 */
  {
    "*cond_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12589 },
#else
    { 0, output_12589, 0 },
#endif
    { 0 },
    &operand_data[16297],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3491 */
  {
    "*cond_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12590 },
#else
    { 0, output_12590, 0 },
#endif
    { 0 },
    &operand_data[16297],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3523 */
  {
    "aarch64_pred_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12591 },
#else
    { 0, output_12591, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx8hf },
    &operand_data[14134],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3523 */
  {
    "aarch64_pred_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12592 },
#else
    { 0, output_12592, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx4sf },
    &operand_data[14150],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3523 */
  {
    "aarch64_pred_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12593 },
#else
    { 0, output_12593, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_flogbvnx2df },
    &operand_data[14166],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3552 */
  {
    "*cond_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12594 },
#else
    { 0, output_12594, 0 },
#endif
    { 0 },
    &operand_data[16302],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3552 */
  {
    "*cond_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12595 },
#else
    { 0, output_12595, 0 },
#endif
    { 0 },
    &operand_data[16307],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3552 */
  {
    "*cond_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12596 },
#else
    { 0, output_12596, 0 },
#endif
    { 0 },
    &operand_data[16312],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3575 */
  {
    "*cond_flogbvnx8hf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12597 },
#else
    { 0, output_12597, 0 },
#endif
    { 0 },
    &operand_data[16302],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3575 */
  {
    "*cond_flogbvnx4sf_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12598 },
#else
    { 0, output_12598, 0 },
#endif
    { 0 },
    &operand_data[16307],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3575 */
  {
    "*cond_flogbvnx2df_strict",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12599 },
#else
    { 0, output_12599, 0 },
#endif
    { 0 },
    &operand_data[16312],
    4,
    4,
    1,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3604 */
  {
    "aarch64_sve2_pmulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmul\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_pmulvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3616 */
  {
    "aarch64_sve_pmullbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullbvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3616 */
  {
    "aarch64_sve_pmulltvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmulltvnx8hi },
    &operand_data[15990],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3616 */
  {
    "aarch64_sve_pmullbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullbvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3616 */
  {
    "aarch64_sve_pmulltvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmulltvnx2di },
    &operand_data[15996],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3629 */
  {
    "aarch64_sve_pmullb_pairvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3629 */
  {
    "aarch64_sve_pmullt_pairvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.h, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3629 */
  {
    "aarch64_sve_pmullb_pairvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3629 */
  {
    "aarch64_sve_pmullt_pairvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.d, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3629 */
  {
    "aarch64_sve_pmullb_pairvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullb\t%0.q, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullb_pairvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3629 */
  {
    "aarch64_sve_pmullt_pairvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "pmullt\t%0.q, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_pmullt_pairvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx32qi },
    &operand_data[16317],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx16hi },
    &operand_data[16321],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx8si },
    &operand_data[16325],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx4di },
    &operand_data[16329],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx16bf },
    &operand_data[16333],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx16hf },
    &operand_data[16337],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx8sf },
    &operand_data[16341],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx4df },
    &operand_data[16345],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx64qi },
    &operand_data[16349],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx32hi },
    &operand_data[16353],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx16si },
    &operand_data[16357],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx8di },
    &operand_data[16361],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx32bf },
    &operand_data[16365],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx32hf },
    &operand_data[16369],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx16sf },
    &operand_data[16373],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3647 */
  {
    "aarch64_sve_selvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sel\t%0, %K3, %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_selvnx8df },
    &operand_data[16377],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilege_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_b8_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilegt_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_b8_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileugt_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_b8_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileuge_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_b8_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilele_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_b8_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileult_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_b8_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileule_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_b8_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilelt_b8_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t{%S0.b, %T0.b}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_b8_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilege_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_b16_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilegt_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_b16_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileugt_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_b16_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileuge_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_b16_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilele_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_b16_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileult_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_b16_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileule_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_b16_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilelt_b16_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t{%S0.h, %T0.h}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_b16_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilege_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_b32_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilegt_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_b32_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileugt_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_b32_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileuge_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_b32_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilele_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_b32_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileult_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_b32_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileule_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_b32_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilelt_b32_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t{%S0.s, %T0.s}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_b32_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilege_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_b64_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilegt_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_b64_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileugt_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_b64_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileuge_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_b64_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilele_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_b64_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileult_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_b64_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whileule_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_b64_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3672 */
  {
    "aarch64_sve_whilelt_b64_x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t{%S0.d, %T0.d}, %x1, %x2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_b64_x2 },
    &operand_data[16381],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilege_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_c8 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilegt_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_c8 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileugt_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_c8 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileuge_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_c8 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilele_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_c8 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileult_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_c8 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileule_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_c8 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilelt_c8",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%K0.b, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_c8 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilege_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_c16 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilegt_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_c16 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileugt_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_c16 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileuge_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_c16 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilele_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_c16 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileult_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_c16 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileule_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_c16 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilelt_c16",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%K0.h, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_c16 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilege_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_c32 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilegt_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_c32 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileugt_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_c32 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileuge_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_c32 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilele_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_c32 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileult_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_c32 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileule_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_c32 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilelt_c32",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%K0.s, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_c32 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilege_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilege\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilege_c64 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilegt_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilegt\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilegt_c64 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileugt_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehi\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileugt_c64 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileuge_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilehs\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileuge_c64 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilele_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilele\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilele_c64 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileult_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelo\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileult_c64 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whileule_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilels\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whileule_c64 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3685 */
  {
    "aarch64_sve_whilelt_c64",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "whilelt\t%K0.d, %x1, %x2, vlx%3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_whilelt_c64 },
    &operand_data[16384],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_addqv_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addqv\t%0.16b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_addqv_vnx16qi },
    &operand_data[16388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_andqv_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andqv\t%0.16b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_andqv_vnx16qi },
    &operand_data[16388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_eorqv_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorqv\t%0.16b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_eorqv_vnx16qi },
    &operand_data[16388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_orqv_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orqv\t%0.16b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_orqv_vnx16qi },
    &operand_data[16388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_smaxqv_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxqv\t%0.16b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smaxqv_vnx16qi },
    &operand_data[16388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_sminqv_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminqv\t%0.16b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sminqv_vnx16qi },
    &operand_data[16388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_umaxqv_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxqv\t%0.16b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umaxqv_vnx16qi },
    &operand_data[16388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_uminqv_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminqv\t%0.16b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uminqv_vnx16qi },
    &operand_data[16388],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_addqv_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_addqv_vnx8hi },
    &operand_data[16391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_andqv_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_andqv_vnx8hi },
    &operand_data[16391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_eorqv_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_eorqv_vnx8hi },
    &operand_data[16391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_orqv_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_orqv_vnx8hi },
    &operand_data[16391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_smaxqv_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smaxqv_vnx8hi },
    &operand_data[16391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_sminqv_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sminqv_vnx8hi },
    &operand_data[16391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_umaxqv_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umaxqv_vnx8hi },
    &operand_data[16391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_uminqv_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uminqv_vnx8hi },
    &operand_data[16391],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_addqv_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_addqv_vnx4si },
    &operand_data[16394],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_andqv_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_andqv_vnx4si },
    &operand_data[16394],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_eorqv_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_eorqv_vnx4si },
    &operand_data[16394],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_orqv_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_orqv_vnx4si },
    &operand_data[16394],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_smaxqv_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smaxqv_vnx4si },
    &operand_data[16394],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_sminqv_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sminqv_vnx4si },
    &operand_data[16394],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_umaxqv_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umaxqv_vnx4si },
    &operand_data[16394],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_uminqv_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uminqv_vnx4si },
    &operand_data[16394],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_addqv_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_addqv_vnx2di },
    &operand_data[16397],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_andqv_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "andqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_andqv_vnx2di },
    &operand_data[16397],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_eorqv_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "eorqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_eorqv_vnx2di },
    &operand_data[16397],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_orqv_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "orqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_orqv_vnx2di },
    &operand_data[16397],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_smaxqv_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smaxqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_smaxqv_vnx2di },
    &operand_data[16397],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_sminqv_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sminqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_sminqv_vnx2di },
    &operand_data[16397],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_umaxqv_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umaxqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_umaxqv_vnx2di },
    &operand_data[16397],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3717 */
  {
    "aarch64_pred_reduc_uminqv_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uminqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_uminqv_vnx2di },
    &operand_data[16397],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_faddqv_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_faddqv_vnx8hf },
    &operand_data[16400],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_fmaxqv_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_fmaxqv_vnx8hf },
    &operand_data[16400],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_fmaxnmqv_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_fmaxnmqv_vnx8hf },
    &operand_data[16400],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_fminqv_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_fminqv_vnx8hf },
    &operand_data[16400],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_fminnmqv_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmqv\t%0.8h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_fminnmqv_vnx8hf },
    &operand_data[16400],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_faddqv_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_faddqv_vnx4sf },
    &operand_data[16403],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_fmaxqv_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_fmaxqv_vnx4sf },
    &operand_data[16403],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_fmaxnmqv_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_fmaxnmqv_vnx4sf },
    &operand_data[16403],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_fminqv_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_fminqv_vnx4sf },
    &operand_data[16403],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_fminnmqv_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmqv\t%0.4s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_fminnmqv_vnx4sf },
    &operand_data[16403],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_faddqv_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "faddqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_faddqv_vnx2df },
    &operand_data[16406],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_fmaxqv_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_fmaxqv_vnx2df },
    &operand_data[16406],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_fmaxnmqv_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmaxnmqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_fmaxnmqv_vnx2df },
    &operand_data[16406],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_fminqv_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_fminqv_vnx2df },
    &operand_data[16406],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3738 */
  {
    "aarch64_pred_reduc_fminnmqv_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fminnmqv\t%0.2d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_reduc_fminnmqv_vnx2df },
    &operand_data[16406],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3759 */
  {
    "aarch64_pred_revdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12738 },
#else
    { 0, output_12738, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx16qi },
    &operand_data[9747],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3759 */
  {
    "aarch64_pred_revdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12739 },
#else
    { 0, output_12739, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx8hi },
    &operand_data[9756],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3759 */
  {
    "aarch64_pred_revdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12740 },
#else
    { 0, output_12740, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx4si },
    &operand_data[9762],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3759 */
  {
    "aarch64_pred_revdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12741 },
#else
    { 0, output_12741, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx2di },
    &operand_data[9581],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3759 */
  {
    "aarch64_pred_revdvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12742 },
#else
    { 0, output_12742, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx8bf },
    &operand_data[9774],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3759 */
  {
    "aarch64_pred_revdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12743 },
#else
    { 0, output_12743, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx8hf },
    &operand_data[9765],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3759 */
  {
    "aarch64_pred_revdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12744 },
#else
    { 0, output_12744, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx4sf },
    &operand_data[9783],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3759 */
  {
    "aarch64_pred_revdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12745 },
#else
    { 0, output_12745, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_revdvnx2df },
    &operand_data[9789],
    3,
    3,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3774 */
  {
    "cond_revdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12746 },
#else
    { 0, output_12746, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx16qi },
    &operand_data[16409],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3774 */
  {
    "cond_revdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12747 },
#else
    { 0, output_12747, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx8hi },
    &operand_data[16413],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3774 */
  {
    "cond_revdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12748 },
#else
    { 0, output_12748, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx4si },
    &operand_data[16417],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3774 */
  {
    "cond_revdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12749 },
#else
    { 0, output_12749, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx2di },
    &operand_data[10542],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3774 */
  {
    "cond_revdvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12750 },
#else
    { 0, output_12750, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx8bf },
    &operand_data[16421],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3774 */
  {
    "cond_revdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12751 },
#else
    { 0, output_12751, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx8hf },
    &operand_data[16425],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3774 */
  {
    "cond_revdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12752 },
#else
    { 0, output_12752, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx4sf },
    &operand_data[16429],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3774 */
  {
    "cond_revdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12753 },
#else
    { 0, output_12753, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_revdvnx2df },
    &operand_data[11892],
    4,
    4,
    0,
    2,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3798 */
  {
    "aarch64_sve_dupqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dupq\t%0.b, %1.b[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupqvnx16qi },
    &operand_data[13913],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3798 */
  {
    "aarch64_sve_dupqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dupq\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupqvnx8hi },
    &operand_data[13925],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3798 */
  {
    "aarch64_sve_dupqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dupq\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupqvnx4si },
    &operand_data[13934],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3798 */
  {
    "aarch64_sve_dupqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dupq\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupqvnx2di },
    &operand_data[13940],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3798 */
  {
    "aarch64_sve_dupqvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dupq\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupqvnx8bf },
    &operand_data[13952],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3798 */
  {
    "aarch64_sve_dupqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dupq\t%0.h, %1.h[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupqvnx8hf },
    &operand_data[13943],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3798 */
  {
    "aarch64_sve_dupqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dupq\t%0.s, %1.s[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupqvnx4sf },
    &operand_data[13961],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3798 */
  {
    "aarch64_sve_dupqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "dupq\t%0.d, %1.d[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_dupqvnx2df },
    &operand_data[13967],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3810 */
  {
    "aarch64_sve_extqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12762 },
#else
    { 0, 0, output_12762 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extqvnx16qi },
    &operand_data[13994],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3810 */
  {
    "aarch64_sve_extqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12763 },
#else
    { 0, 0, output_12763 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extqvnx8hi },
    &operand_data[14010],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3810 */
  {
    "aarch64_sve_extqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12764 },
#else
    { 0, 0, output_12764 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extqvnx4si },
    &operand_data[14022],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3810 */
  {
    "aarch64_sve_extqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12765 },
#else
    { 0, 0, output_12765 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extqvnx2di },
    &operand_data[14030],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3810 */
  {
    "aarch64_sve_extqvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12766 },
#else
    { 0, 0, output_12766 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extqvnx8bf },
    &operand_data[14046],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3810 */
  {
    "aarch64_sve_extqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12767 },
#else
    { 0, 0, output_12767 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extqvnx8hf },
    &operand_data[14034],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3810 */
  {
    "aarch64_sve_extqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12768 },
#else
    { 0, 0, output_12768 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extqvnx4sf },
    &operand_data[14058],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3810 */
  {
    "aarch64_sve_extqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_12769 },
#else
    { 0, 0, output_12769 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_extqvnx2df },
    &operand_data[14066],
    4,
    4,
    0,
    2,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3839 */
  {
    "aarch64_sve2_tbl2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.b, %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx16qi },
    &operand_data[16433],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3839 */
  {
    "aarch64_sve2_tbl2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8hi },
    &operand_data[16436],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3839 */
  {
    "aarch64_sve2_tbl2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx4si },
    &operand_data[16439],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3839 */
  {
    "aarch64_sve2_tbl2vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx2di },
    &operand_data[16442],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3839 */
  {
    "aarch64_sve2_tbl2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8bf },
    &operand_data[16445],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3839 */
  {
    "aarch64_sve2_tbl2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.h, %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx8hf },
    &operand_data[16448],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3839 */
  {
    "aarch64_sve2_tbl2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.s, %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx4sf },
    &operand_data[16451],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3839 */
  {
    "aarch64_sve2_tbl2vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbl\t%0.d, %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_tbl2vnx2df },
    &operand_data[16454],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.b, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxvnx16qi },
    &operand_data[16457],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxqvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbxq\t%0.b, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxqvnx16qi },
    &operand_data[16457],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxvnx8hi },
    &operand_data[16461],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxqvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbxq\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxqvnx8hi },
    &operand_data[16461],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.s, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxvnx4si },
    &operand_data[16465],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxqvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbxq\t%0.s, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxqvnx4si },
    &operand_data[16465],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.d, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxvnx2di },
    &operand_data[16469],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxqvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbxq\t%0.d, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxqvnx2di },
    &operand_data[16469],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxvnx8bf },
    &operand_data[16473],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxqvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbxq\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxqvnx8bf },
    &operand_data[16473],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxvnx8hf },
    &operand_data[16477],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxqvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbxq\t%0.h, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxqvnx8hf },
    &operand_data[16477],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.s, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxvnx4sf },
    &operand_data[16481],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxqvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbxq\t%0.s, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxqvnx4sf },
    &operand_data[16481],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbx\t%0.d, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxvnx2df },
    &operand_data[16485],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3850 */
  {
    "aarch64_sve_tbxqvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "tbxq\t%0.d, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_tbxqvnx2df },
    &operand_data[16485],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_zipvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx32qi },
    &operand_data[16489],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_uzpvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx32qi },
    &operand_data[16489],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_zipvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx16hi },
    &operand_data[16492],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_uzpvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx16hi },
    &operand_data[16492],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_zipvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx8si },
    &operand_data[16495],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_uzpvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx8si },
    &operand_data[16495],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_zipvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx4di },
    &operand_data[16498],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_uzpvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx4di },
    &operand_data[16498],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_zipvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx16bf },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_uzpvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx16bf },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_zipvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx16hf },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_uzpvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx16hf },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_zipvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx8sf },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_uzpvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx8sf },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_zipvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx4df },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3869 */
  {
    "aarch64_sve_uzpvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx4df },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_zipqvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx32qi },
    &operand_data[16489],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_uzpqvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx32qi },
    &operand_data[16489],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_zipqvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx16hi },
    &operand_data[16492],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_uzpqvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx16hi },
    &operand_data[16492],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_zipqvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx8si },
    &operand_data[16495],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_uzpqvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx8si },
    &operand_data[16495],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_zipqvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx4di },
    &operand_data[16498],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_uzpqvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx4di },
    &operand_data[16498],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_zipqvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx16bf },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_uzpqvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx16bf },
    &operand_data[16501],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_zipqvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx16hf },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_uzpqvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx16hf },
    &operand_data[16504],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_zipqvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx8sf },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_uzpqvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx8sf },
    &operand_data[16507],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_zipqvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx4df },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3879 */
  {
    "aarch64_sve_uzpqvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %T0.q}, %1.q, %2.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx4df },
    &operand_data[16510],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_zipvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx64qi },
    &operand_data[16513],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_uzpvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx64qi },
    &operand_data[16513],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_zipvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx32hi },
    &operand_data[16515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_uzpvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx32hi },
    &operand_data[16515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_zipvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx16si },
    &operand_data[16517],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_uzpvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx16si },
    &operand_data[16517],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_zipvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx8di },
    &operand_data[16519],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_uzpvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx8di },
    &operand_data[16519],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_zipvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx32bf },
    &operand_data[16521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_uzpvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx32bf },
    &operand_data[16521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_zipvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx32hf },
    &operand_data[16523],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_uzpvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx32hf },
    &operand_data[16523],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_zipvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx16sf },
    &operand_data[15304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_uzpvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx16sf },
    &operand_data[15304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_zipvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipvnx8df },
    &operand_data[16525],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3889 */
  {
    "aarch64_sve_uzpvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t%0, %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpvnx8df },
    &operand_data[16525],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_zipqvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx64qi },
    &operand_data[16513],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_uzpqvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx64qi },
    &operand_data[16513],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_zipqvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx32hi },
    &operand_data[16515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_uzpqvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx32hi },
    &operand_data[16515],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_zipqvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx16si },
    &operand_data[16517],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_uzpqvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx16si },
    &operand_data[16517],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_zipqvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx8di },
    &operand_data[16519],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_uzpqvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx8di },
    &operand_data[16519],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_zipqvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx32bf },
    &operand_data[16521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_uzpqvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx32bf },
    &operand_data[16521],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_zipqvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx32hf },
    &operand_data[16523],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_uzpqvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx32hf },
    &operand_data[16523],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_zipqvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx16sf },
    &operand_data[15304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_uzpqvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx16sf },
    &operand_data[15304],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_zipqvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zip\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_zipqvnx8df },
    &operand_data[16525],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3898 */
  {
    "aarch64_sve_uzpqvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uzp\t{%S0.q - %V0.q}, {%S1.q - %V1.q}",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uzpqvnx8df },
    &operand_data[16525],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3916 */
  {
    "aarch64_sve_bdepvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3916 */
  {
    "aarch64_sve_bextvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3916 */
  {
    "aarch64_sve_bgrpvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3916 */
  {
    "aarch64_sve_bdepvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3916 */
  {
    "aarch64_sve_bextvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3916 */
  {
    "aarch64_sve_bgrpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.h, %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx8hi },
    &operand_data[11050],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3916 */
  {
    "aarch64_sve_bdepvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3916 */
  {
    "aarch64_sve_bextvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3916 */
  {
    "aarch64_sve_bgrpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx4si },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3916 */
  {
    "aarch64_sve_bdepvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bdep\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bdepvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3916 */
  {
    "aarch64_sve_bextvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bext\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bextvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3916 */
  {
    "aarch64_sve_bgrpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bgrp\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_bgrpvnx2di },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3979 */
  {
    "aarch64_sve2_histcntvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histcnt\t%0.s, %1/z, %2.s, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histcntvnx4si },
    &operand_data[16527],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3979 */
  {
    "aarch64_sve2_histcntvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histcnt\t%0.d, %1/z, %2.d, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histcntvnx2di },
    &operand_data[16531],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3990 */
  {
    "aarch64_sve2_histsegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "histseg\t%0.b, %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_histsegvnx16qi },
    &operand_data[11034],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4009 */
  {
    "aarch64_pred_matchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12873 },
#else
    { 0, output_12873, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_matchvnx16qi },
    &operand_data[16535],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4009 */
  {
    "aarch64_pred_nmatchvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12874 },
#else
    { 0, output_12874, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nmatchvnx16qi },
    &operand_data[16535],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4009 */
  {
    "aarch64_pred_matchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12875 },
#else
    { 0, output_12875, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_matchvnx8hi },
    &operand_data[16540],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4009 */
  {
    "aarch64_pred_nmatchvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .multi = output_12876 },
#else
    { 0, output_12876, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_nmatchvnx8hi },
    &operand_data[16540],
    5,
    5,
    0,
    3,
    2
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4030 */
  {
    "*aarch64_pred_matchvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4030 */
  {
    "*aarch64_pred_nmatchvnx16qi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16545],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4030 */
  {
    "*aarch64_pred_matchvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16553],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4030 */
  {
    "*aarch64_pred_nmatchvnx8hi_cc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16553],
    8,
    8,
    4,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4066 */
  {
    "*aarch64_pred_matchvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16561],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4066 */
  {
    "*aarch64_pred_nmatchvnx16qi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.b, %1/z, %2.b, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16561],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4066 */
  {
    "*aarch64_pred_matchvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "match\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16569],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4066 */
  {
    "*aarch64_pred_nmatchvnx8hi_ptest",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "nmatch\t%0.h, %1/z, %2.h, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16569],
    8,
    8,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4101 */
  {
    "aarch64_sve_luti2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.b, { %1.b }, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti2vnx16qi },
    &operand_data[16577],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4101 */
  {
    "aarch64_sve_luti4vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.b, { %1.b }, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti4vnx16qi },
    &operand_data[16577],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4101 */
  {
    "aarch64_sve_luti2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.h, { %1.h }, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti2vnx8hi },
    &operand_data[16581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4101 */
  {
    "aarch64_sve_luti4vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.h, { %1.h }, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti4vnx8hi },
    &operand_data[16581],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4101 */
  {
    "aarch64_sve_luti2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.h, { %1.h }, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti2vnx8hf },
    &operand_data[16585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4101 */
  {
    "aarch64_sve_luti4vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.h, { %1.h }, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti4vnx8hf },
    &operand_data[16585],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4101 */
  {
    "aarch64_sve_luti2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.h, { %1.h }, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti2vnx8bf },
    &operand_data[16589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4101 */
  {
    "aarch64_sve_luti4vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.h, { %1.h }, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti4vnx8bf },
    &operand_data[16589],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4113 */
  {
    "aarch64_sve_luti2vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.h, %1, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti2vnx16hi },
    &operand_data[16593],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4113 */
  {
    "aarch64_sve_luti4vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.h, %1, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti4vnx16hi },
    &operand_data[16593],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4113 */
  {
    "aarch64_sve_luti2vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.h, %1, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti2vnx16hf },
    &operand_data[16597],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4113 */
  {
    "aarch64_sve_luti4vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.h, %1, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti4vnx16hf },
    &operand_data[16597],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4113 */
  {
    "aarch64_sve_luti2vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.h, %1, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti2vnx16bf },
    &operand_data[16601],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4113 */
  {
    "aarch64_sve_luti4vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.h, %1, %2[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_luti4vnx16bf },
    &operand_data[16601],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4140 */
  {
    "aarch64_sve2_aese",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.b, %0.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aese },
    &operand_data[16605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4140 */
  {
    "aarch64_sve2_aesd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.b, %0.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesd },
    &operand_data[16605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4153 */
  {
    "aarch64_sve2_aesmc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesmc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesmc },
    &operand_data[14689],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4153 */
  {
    "aarch64_sve2_aesimc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesimc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_aesimc },
    &operand_data[14689],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4168 */
  {
    "*aarch64_sve2_aese_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aese\t%0.b, %0.b, %2.b\n\taesmc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4183 */
  {
    "*aarch64_sve2_aesd_fused",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "aesd\t%0.b, %0.b, %2.b\n\taesimc\t%0.b, %0.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16605],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4205 */
  {
    "aarch64_sve2_rax1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "rax1\t%0.d, %1.d, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_rax1 },
    &operand_data[10659],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4226 */
  {
    "aarch64_sve2_sm4e",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4e\t%0.s, %0.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sm4e },
    &operand_data[15911],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:4237 */
  {
    "aarch64_sve2_sm4ekey",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sm4ekey\t%0.s, %1.s, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sm4ekey },
    &operand_data[10656],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:80 */
  {
    "aarch64_old_vg_saved",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_old_vg_saved },
    &operand_data[7055],
    2,
    2,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:90 */
  {
    "aarch64_update_vg",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_update_vg },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:98 */
  {
    "aarch64_get_sme_state",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bl\t__arm_sme_state",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_sme_state },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:111 */
  {
    "aarch64_read_svcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, svcr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_read_svcr },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:135 */
  {
    "aarch64_smstart_sm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smstart\tsm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smstart_sm },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:170 */
  {
    "aarch64_smstop_sm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smstop\tsm",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smstop_sm },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:233 */
  {
    "aarch64_tpidr2_save",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bl\t__arm_tpidr2_save",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tpidr2_save },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:264 */
  {
    "aarch64_smstart_za",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smstart\tza",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smstart_za },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:286 */
  {
    "aarch64_smstop_za",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smstop\tza",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smstop_za },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:298 */
  {
    "aarch64_initial_zero_za",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\t{ za }",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_initial_zero_za },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:309 */
  {
    "aarch64_setup_local_tpidr2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_setup_local_tpidr2 },
    &operand_data[16608],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:319 */
  {
    "aarch64_clear_tpidr2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\ttpidr2_el0, xzr",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_clear_tpidr2 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:329 */
  {
    "aarch64_write_tpidr2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "msr\ttpidr2_el0, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_write_tpidr2 },
    &operand_data[16609],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:339 */
  {
    "aarch64_read_tpidr2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mrs\t%0, tpidr2_el0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_read_tpidr2 },
    &operand_data[1],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:349 */
  {
    "aarch64_tpidr2_restore",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bl\t__arm_tpidr2_restore",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_tpidr2_restore },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:370 */
  {
    "aarch64_restore_za",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "#",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_restore_za },
    &operand_data[16609],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:408 */
  {
    "aarch64_asm_update_za",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_asm_update_za },
    &operand_data[158],
    1,
    1,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:421 */
  {
    "aarch64_asm_update_zt0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_asm_update_zt0 },
    &operand_data[158],
    1,
    1,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:437 */
  {
    "aarch64_start_private_za_call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_start_private_za_call },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:450 */
  {
    "aarch64_end_private_za_call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_end_private_za_call },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_horvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t{ za%0h.b[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx16qi },
    &operand_data[16610],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_vervnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t{ za%0v.b[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx16qi },
    &operand_data[16610],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_horvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{ za%0h.h[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx8hi },
    &operand_data[16614],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_vervnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{ za%0v.h[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx8hi },
    &operand_data[16614],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_horvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{ za%0h.s[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx4si },
    &operand_data[16618],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_vervnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{ za%0v.s[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx4si },
    &operand_data[16618],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_horvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{ za%0h.d[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx2di },
    &operand_data[16622],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_vervnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{ za%0v.d[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx2di },
    &operand_data[16622],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_horvnx1ti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1q\t{ za%0h.q[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx1ti },
    &operand_data[16626],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:474 */
  {
    "aarch64_sme_ld1_vervnx1ti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1q\t{ za%0v.q[%w1, 0] }, %2/z, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx1ti },
    &operand_data[16626],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_horvnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t{ za%0h.b[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx16qi_plus },
    &operand_data[16630],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_vervnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1b\t{ za%0v.b[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx16qi_plus },
    &operand_data[16630],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_horvnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{ za%0h.h[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx8hi_plus },
    &operand_data[16635],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_vervnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1h\t{ za%0v.h[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx8hi_plus },
    &operand_data[16635],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_horvnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{ za%0h.s[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx4si_plus },
    &operand_data[16640],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_vervnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1w\t{ za%0v.s[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx4si_plus },
    &operand_data[16640],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_horvnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{ za%0h.d[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx2di_plus },
    &operand_data[16645],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_vervnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1d\t{ za%0v.d[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx2di_plus },
    &operand_data[16645],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_horvnx1ti_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1q\t{ za%0h.q[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_horvnx1ti_plus },
    &operand_data[16650],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:488 */
  {
    "aarch64_sme_ld1_vervnx1ti_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ld1q\t{ za%0v.q[%w1, %2] }, %3/z, %4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ld1_vervnx1ti_plus },
    &operand_data[16650],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:504 */
  {
    "aarch64_sme_ldr0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\tza[%w0, 0], [%1, #0, mul vl]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ldr0 },
    &operand_data[16655],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:516 */
  {
    "aarch64_sme_ldrnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\tza[%w0, %1], [%2, #%1, mul vl]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ldrnsi },
    &operand_data[16657],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:516 */
  {
    "aarch64_sme_ldrndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\tza[%w0, %1], [%2, #%1, mul vl]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ldrndi },
    &operand_data[16661],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:543 */
  {
    "aarch64_sme_ldr_zt0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\tzt0, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_ldr_zt0 },
    &operand_data[16665],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:554 */
  {
    "aarch64_restore_zt0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "ldr\tzt0, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_restore_zt0 },
    &operand_data[16665],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_horvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{ za%1h.b[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx16qi },
    &operand_data[16666],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_vervnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{ za%1v.b[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx16qi },
    &operand_data[16666],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_horvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{ za%1h.h[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx8hi },
    &operand_data[16670],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_vervnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{ za%1v.h[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx8hi },
    &operand_data[16670],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_horvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{ za%1h.s[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx4si },
    &operand_data[16674],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_vervnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{ za%1v.s[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx4si },
    &operand_data[16674],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_horvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{ za%1h.d[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx2di },
    &operand_data[16678],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_vervnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{ za%1v.d[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx2di },
    &operand_data[16678],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_horvnx1ti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1q\t{ za%1h.q[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx1ti },
    &operand_data[16682],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:576 */
  {
    "aarch64_sme_st1_vervnx1ti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1q\t{ za%1v.q[%w2, 0] }, %3, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx1ti },
    &operand_data[16682],
    4,
    4,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_horvnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{ za%1h.b[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx16qi_plus },
    &operand_data[16686],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_vervnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1b\t{ za%1v.b[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx16qi_plus },
    &operand_data[16686],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_horvnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{ za%1h.h[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx8hi_plus },
    &operand_data[16691],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_vervnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1h\t{ za%1v.h[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx8hi_plus },
    &operand_data[16691],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_horvnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{ za%1h.s[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx4si_plus },
    &operand_data[16696],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_vervnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1w\t{ za%1v.s[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx4si_plus },
    &operand_data[16696],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_horvnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{ za%1h.d[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx2di_plus },
    &operand_data[16701],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_vervnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1d\t{ za%1v.d[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx2di_plus },
    &operand_data[16701],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_horvnx1ti_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1q\t{ za%1h.q[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_horvnx1ti_plus },
    &operand_data[16706],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:590 */
  {
    "aarch64_sme_st1_vervnx1ti_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "st1q\t{ za%1v.q[%w2, %3] }, %4, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_st1_vervnx1ti_plus },
    &operand_data[16706],
    5,
    5,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:606 */
  {
    "aarch64_sme_str0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\tza[%w0, 0], [%1, #0, mul vl]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_str0 },
    &operand_data[16655],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:618 */
  {
    "aarch64_sme_strnsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\tza[%w0, %1], [%2, #%1, mul vl]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_strnsi },
    &operand_data[16657],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:618 */
  {
    "aarch64_sme_strndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\tza[%w0, %1], [%2, #%1, mul vl]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_strndi },
    &operand_data[16661],
    4,
    4,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:641 */
  {
    "aarch64_sme_str_zt0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "str\tzt0, %0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_str_zt0 },
    &operand_data[16711],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_horvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.b, %2/m, za%3h.b[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx16qivnx16qi },
    &operand_data[16712],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_vervnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.b, %2/m, za%3v.b[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx16qivnx16qi },
    &operand_data[16712],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_horvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3h.h[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8hivnx8hi },
    &operand_data[16717],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_vervnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3v.h[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8hivnx8hi },
    &operand_data[16717],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_horvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3h.s[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx4sivnx4si },
    &operand_data[16722],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_vervnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3v.s[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx4sivnx4si },
    &operand_data[16722],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_horvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3h.d[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx2divnx2di },
    &operand_data[16727],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_vervnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3v.d[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx2divnx2di },
    &operand_data[16727],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_horvnx8hivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3h.h[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8hivnx8bf },
    &operand_data[16732],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_vervnx8hivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3v.h[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8hivnx8bf },
    &operand_data[16732],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_horvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3h.h[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8hivnx8hf },
    &operand_data[16737],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_vervnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3v.h[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8hivnx8hf },
    &operand_data[16737],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_horvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3h.s[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx4sivnx4sf },
    &operand_data[16742],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_vervnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3v.s[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx4sivnx4sf },
    &operand_data[16742],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_horvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3h.d[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx2divnx2df },
    &operand_data[16747],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:657 */
  {
    "aarch64_sme_read_vervnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3v.d[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx2divnx2df },
    &operand_data[16747],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_horvnx16qivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.b, %2/m, za%3h.b[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16752],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_vervnx16qivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.b, %2/m, za%3v.b[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16752],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_horvnx8hivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3h.h[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16758],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_vervnx8hivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3v.h[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16758],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_horvnx4sivnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3h.s[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16764],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_vervnx4sivnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3v.s[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16764],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_horvnx2divnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3h.d[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16770],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_vervnx2divnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3v.d[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16770],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_horvnx8hivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3h.h[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16776],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_vervnx8hivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3v.h[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16776],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_horvnx8hivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3h.h[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16782],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_vervnx8hivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.h, %2/m, za%3v.h[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16782],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_horvnx4sivnx4sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3h.s[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16788],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_vervnx4sivnx4sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.s, %2/m, za%3v.s[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16788],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_horvnx2divnx2df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3h.d[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16794],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:671 */
  {
    "*aarch64_sme_read_vervnx2divnx2df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.d, %2/m, za%3v.d[%w4, %5]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16794],
    6,
    6,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_horvnx1tivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx16qi },
    &operand_data[16800],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_vervnx1tivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx16qi },
    &operand_data[16800],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_horvnx1tivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx8hi },
    &operand_data[16805],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_vervnx1tivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx8hi },
    &operand_data[16805],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_horvnx1tivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx4si },
    &operand_data[16810],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_vervnx1tivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx4si },
    &operand_data[16810],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_horvnx1tivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx2di },
    &operand_data[16727],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_vervnx1tivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx2di },
    &operand_data[16727],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_horvnx1tivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx8bf },
    &operand_data[16815],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_vervnx1tivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx8bf },
    &operand_data[16815],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_horvnx1tivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx8hf },
    &operand_data[16820],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_vervnx1tivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx8hf },
    &operand_data[16820],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_horvnx1tivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx4sf },
    &operand_data[16825],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_vervnx1tivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx4sf },
    &operand_data[16825],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_horvnx1tivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3h.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx1tivnx2df },
    &operand_data[16747],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:687 */
  {
    "aarch64_sme_read_vervnx1tivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0.q, %2/m, za%3v.q[%w4, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx1tivnx2df },
    &operand_data[16747],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_horvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.b, za%1h.b[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx16qivnx16qi },
    &operand_data[16830],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_vervnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.b, za%1v.b[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx16qivnx16qi },
    &operand_data[16830],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_horvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.h, za%1h.h[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx8hivnx8hi },
    &operand_data[16833],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_vervnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.h, za%1v.h[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx8hivnx8hi },
    &operand_data[16833],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_horvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.s, za%1h.s[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx4sivnx4si },
    &operand_data[16836],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_vervnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.s, za%1v.s[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx4sivnx4si },
    &operand_data[16836],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_horvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.d, za%1h.d[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx2divnx2di },
    &operand_data[16839],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_vervnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.d, za%1v.d[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx2divnx2di },
    &operand_data[16839],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_horvnx8hivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.h, za%1h.h[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx8hivnx8bf },
    &operand_data[16842],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_vervnx8hivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.h, za%1v.h[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx8hivnx8bf },
    &operand_data[16842],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_horvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.h, za%1h.h[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx8hivnx8hf },
    &operand_data[16845],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_vervnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.h, za%1v.h[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx8hivnx8hf },
    &operand_data[16845],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_horvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.s, za%1h.s[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx4sivnx4sf },
    &operand_data[16848],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_vervnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.s, za%1v.s[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx4sivnx4sf },
    &operand_data[16848],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_horvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.d, za%1h.d[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx2divnx2df },
    &operand_data[16851],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:701 */
  {
    "aarch64_sme_readz_vervnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.d, za%1v.d[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx2divnx2df },
    &operand_data[16851],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_horvnx16qivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.b, za%1h.b[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16854],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_vervnx16qivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.b, za%1v.b[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16854],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_horvnx8hivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.h, za%1h.h[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16858],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_vervnx8hivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.h, za%1v.h[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16858],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_horvnx4sivnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.s, za%1h.s[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16862],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_vervnx4sivnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.s, za%1v.s[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16862],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_horvnx2divnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.d, za%1h.d[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16866],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_vervnx2divnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.d, za%1v.d[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16866],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_horvnx8hivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.h, za%1h.h[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16870],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_vervnx8hivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.h, za%1v.h[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16870],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_horvnx8hivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.h, za%1h.h[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16874],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_vervnx8hivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.h, za%1v.h[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16874],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_horvnx4sivnx4sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.s, za%1h.s[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16878],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_vervnx4sivnx4sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.s, za%1v.s[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16878],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_horvnx2divnx2df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.d, za%1h.d[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16882],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:722 */
  {
    "*aarch64_sme_readz_vervnx2divnx2df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.d, za%1v.d[%w2, %3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16882],
    4,
    4,
    3,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_horvnx1tivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1h.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx1tivnx16qi },
    &operand_data[16830],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_vervnx1tivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1v.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx1tivnx16qi },
    &operand_data[16830],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_horvnx1tivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1h.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx1tivnx8hi },
    &operand_data[16833],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_vervnx1tivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1v.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx1tivnx8hi },
    &operand_data[16833],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_horvnx1tivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1h.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx1tivnx4si },
    &operand_data[16836],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_vervnx1tivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1v.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx1tivnx4si },
    &operand_data[16836],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_horvnx1tivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1h.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx1tivnx2di },
    &operand_data[16839],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_vervnx1tivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1v.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx1tivnx2di },
    &operand_data[16839],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_horvnx1tivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1h.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx1tivnx8bf },
    &operand_data[16842],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_vervnx1tivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1v.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx1tivnx8bf },
    &operand_data[16842],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_horvnx1tivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1h.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx1tivnx8hf },
    &operand_data[16845],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_vervnx1tivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1v.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx1tivnx8hf },
    &operand_data[16845],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_horvnx1tivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1h.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx1tivnx4sf },
    &operand_data[16848],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_vervnx1tivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1v.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx1tivnx4sf },
    &operand_data[16848],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_horvnx1tivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1h.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx1tivnx2df },
    &operand_data[16851],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:746 */
  {
    "aarch64_sme_readz_vervnx1tivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0.q, za%1v.q[%w2, 0]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx1tivnx2df },
    &operand_data[16851],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_horvnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.b[%w1, 0], %2/m, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx16qivnx16qi },
    &operand_data[16886],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_vervnx16qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.b[%w1, 0], %2/m, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx16qivnx16qi },
    &operand_data[16886],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_horvnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.h[%w1, 0], %2/m, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8hivnx8hi },
    &operand_data[16890],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_vervnx8hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.h[%w1, 0], %2/m, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8hivnx8hi },
    &operand_data[16890],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_horvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.s[%w1, 0], %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx4sivnx4si },
    &operand_data[16894],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_vervnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.s[%w1, 0], %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx4sivnx4si },
    &operand_data[16894],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_horvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.d[%w1, 0], %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx2divnx2di },
    &operand_data[16898],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_vervnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.d[%w1, 0], %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx2divnx2di },
    &operand_data[16898],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_horvnx8hivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.h[%w1, 0], %2/m, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8hivnx8bf },
    &operand_data[16902],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_vervnx8hivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.h[%w1, 0], %2/m, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8hivnx8bf },
    &operand_data[16902],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_horvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.h[%w1, 0], %2/m, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8hivnx8hf },
    &operand_data[16906],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_vervnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.h[%w1, 0], %2/m, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8hivnx8hf },
    &operand_data[16906],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_horvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.s[%w1, 0], %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx4sivnx4sf },
    &operand_data[16910],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_vervnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.s[%w1, 0], %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx4sivnx4sf },
    &operand_data[16910],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_horvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.d[%w1, 0], %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx2divnx2df },
    &operand_data[16914],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:767 */
  {
    "aarch64_sme_write_vervnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.d[%w1, 0], %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx2divnx2df },
    &operand_data[16914],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_horvnx16qivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.b[%w1, %2], %3/m, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16918],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_vervnx16qivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.b[%w1, %2], %3/m, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16918],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_horvnx8hivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.h[%w1, %2], %3/m, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16923],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_vervnx8hivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.h[%w1, %2], %3/m, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16923],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_horvnx4sivnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.s[%w1, %2], %3/m, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_vervnx4sivnx4si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.s[%w1, %2], %3/m, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16928],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_horvnx2divnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.d[%w1, %2], %3/m, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_vervnx2divnx2di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.d[%w1, %2], %3/m, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16933],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_horvnx8hivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.h[%w1, %2], %3/m, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_vervnx8hivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.h[%w1, %2], %3/m, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16938],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_horvnx8hivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.h[%w1, %2], %3/m, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16943],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_vervnx8hivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.h[%w1, %2], %3/m, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16943],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_horvnx4sivnx4sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.s[%w1, %2], %3/m, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16948],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_vervnx4sivnx4sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.s[%w1, %2], %3/m, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16948],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_horvnx2divnx2df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.d[%w1, %2], %3/m, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16953],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:781 */
  {
    "*aarch64_sme_write_vervnx2divnx2df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.d[%w1, %2], %3/m, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[16953],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_horvnx1tivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx16qi },
    &operand_data[16958],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_vervnx1tivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx16qi },
    &operand_data[16958],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_horvnx1tivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx8hi },
    &operand_data[16962],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_vervnx1tivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx8hi },
    &operand_data[16962],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_horvnx1tivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx4si },
    &operand_data[16966],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_vervnx1tivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx4si },
    &operand_data[16966],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_horvnx1tivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx2di },
    &operand_data[16898],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_vervnx1tivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx2di },
    &operand_data[16898],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_horvnx1tivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx8bf },
    &operand_data[16970],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_vervnx1tivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx8bf },
    &operand_data[16970],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_horvnx1tivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx8hf },
    &operand_data[16974],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_vervnx1tivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx8hf },
    &operand_data[16974],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_horvnx1tivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx4sf },
    &operand_data[16978],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_vervnx1tivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx4sf },
    &operand_data[16978],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_horvnx1tivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0h.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx1tivnx2df },
    &operand_data[16914],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:797 */
  {
    "aarch64_sme_write_vervnx1tivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza%0v.q[%w1, 0], %2/m, %3.q",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx1tivnx2df },
    &operand_data[16914],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx32qivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13121 },
#else
    { 0, 0, output_13121 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx32qivnx32qi },
    &operand_data[16982],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx32qivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13122 },
#else
    { 0, 0, output_13122 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx32qivnx32qi },
    &operand_data[16982],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx16hivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13123 },
#else
    { 0, 0, output_13123 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx16hivnx16hi },
    &operand_data[16985],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx16hivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13124 },
#else
    { 0, 0, output_13124 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx16hivnx16hi },
    &operand_data[16985],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx8sivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13125 },
#else
    { 0, 0, output_13125 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8sivnx8si },
    &operand_data[16988],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx8sivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13126 },
#else
    { 0, 0, output_13126 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8sivnx8si },
    &operand_data[16988],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx4divnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13127 },
#else
    { 0, 0, output_13127 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx4divnx4di },
    &operand_data[16991],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx4divnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13128 },
#else
    { 0, 0, output_13128 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx4divnx4di },
    &operand_data[16991],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13129 },
#else
    { 0, 0, output_13129 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx16bfvnx16bf },
    &operand_data[16994],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13130 },
#else
    { 0, 0, output_13130 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx16bfvnx16bf },
    &operand_data[16994],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13131 },
#else
    { 0, 0, output_13131 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx16hfvnx16hf },
    &operand_data[16997],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13132 },
#else
    { 0, 0, output_13132 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx16hfvnx16hf },
    &operand_data[16997],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13133 },
#else
    { 0, 0, output_13133 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8sfvnx8sf },
    &operand_data[17000],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13134 },
#else
    { 0, 0, output_13134 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8sfvnx8sf },
    &operand_data[17000],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13135 },
#else
    { 0, 0, output_13135 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx4dfvnx4df },
    &operand_data[17003],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13136 },
#else
    { 0, 0, output_13136 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx4dfvnx4df },
    &operand_data[17003],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx64qivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13137 },
#else
    { 0, 0, output_13137 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx64qivnx64qi },
    &operand_data[17006],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx64qivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13138 },
#else
    { 0, 0, output_13138 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx64qivnx64qi },
    &operand_data[17006],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx32hivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13139 },
#else
    { 0, 0, output_13139 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx32hivnx32hi },
    &operand_data[17009],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx32hivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13140 },
#else
    { 0, 0, output_13140 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx32hivnx32hi },
    &operand_data[17009],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx16sivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13141 },
#else
    { 0, 0, output_13141 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx16sivnx16si },
    &operand_data[17012],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx16sivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13142 },
#else
    { 0, 0, output_13142 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx16sivnx16si },
    &operand_data[17012],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx8divnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13143 },
#else
    { 0, 0, output_13143 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8divnx8di },
    &operand_data[17015],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx8divnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13144 },
#else
    { 0, 0, output_13144 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8divnx8di },
    &operand_data[17015],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13145 },
#else
    { 0, 0, output_13145 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx32bfvnx32bf },
    &operand_data[17018],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13146 },
#else
    { 0, 0, output_13146 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx32bfvnx32bf },
    &operand_data[17018],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13147 },
#else
    { 0, 0, output_13147 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx32hfvnx32hf },
    &operand_data[17021],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13148 },
#else
    { 0, 0, output_13148 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx32hfvnx32hf },
    &operand_data[17021],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13149 },
#else
    { 0, 0, output_13149 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx16sfvnx16sf },
    &operand_data[17024],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13150 },
#else
    { 0, 0, output_13150 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx16sfvnx16sf },
    &operand_data[17024],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_horvnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13151 },
#else
    { 0, 0, output_13151 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_horvnx8dfvnx8df },
    &operand_data[17027],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:819 */
  {
    "aarch64_sme_read_vervnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13152 },
#else
    { 0, 0, output_13152 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_read_vervnx8dfvnx8df },
    &operand_data[17027],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx32qivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13153 },
#else
    { 0, 0, output_13153 },
#endif
    { 0 },
    &operand_data[17030],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx32qivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13154 },
#else
    { 0, 0, output_13154 },
#endif
    { 0 },
    &operand_data[17030],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx16hivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13155 },
#else
    { 0, 0, output_13155 },
#endif
    { 0 },
    &operand_data[17034],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx16hivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13156 },
#else
    { 0, 0, output_13156 },
#endif
    { 0 },
    &operand_data[17034],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx8sivnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13157 },
#else
    { 0, 0, output_13157 },
#endif
    { 0 },
    &operand_data[17038],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx8sivnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13158 },
#else
    { 0, 0, output_13158 },
#endif
    { 0 },
    &operand_data[17038],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx4divnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13159 },
#else
    { 0, 0, output_13159 },
#endif
    { 0 },
    &operand_data[17042],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx4divnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13160 },
#else
    { 0, 0, output_13160 },
#endif
    { 0 },
    &operand_data[17042],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13161 },
#else
    { 0, 0, output_13161 },
#endif
    { 0 },
    &operand_data[17046],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13162 },
#else
    { 0, 0, output_13162 },
#endif
    { 0 },
    &operand_data[17046],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13163 },
#else
    { 0, 0, output_13163 },
#endif
    { 0 },
    &operand_data[17050],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13164 },
#else
    { 0, 0, output_13164 },
#endif
    { 0 },
    &operand_data[17050],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13165 },
#else
    { 0, 0, output_13165 },
#endif
    { 0 },
    &operand_data[17054],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13166 },
#else
    { 0, 0, output_13166 },
#endif
    { 0 },
    &operand_data[17054],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13167 },
#else
    { 0, 0, output_13167 },
#endif
    { 0 },
    &operand_data[17058],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13168 },
#else
    { 0, 0, output_13168 },
#endif
    { 0 },
    &operand_data[17058],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx64qivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13169 },
#else
    { 0, 0, output_13169 },
#endif
    { 0 },
    &operand_data[17062],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx64qivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13170 },
#else
    { 0, 0, output_13170 },
#endif
    { 0 },
    &operand_data[17062],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx32hivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13171 },
#else
    { 0, 0, output_13171 },
#endif
    { 0 },
    &operand_data[17066],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx32hivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13172 },
#else
    { 0, 0, output_13172 },
#endif
    { 0 },
    &operand_data[17066],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx16sivnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13173 },
#else
    { 0, 0, output_13173 },
#endif
    { 0 },
    &operand_data[17070],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx16sivnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13174 },
#else
    { 0, 0, output_13174 },
#endif
    { 0 },
    &operand_data[17070],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx8divnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13175 },
#else
    { 0, 0, output_13175 },
#endif
    { 0 },
    &operand_data[17074],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx8divnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13176 },
#else
    { 0, 0, output_13176 },
#endif
    { 0 },
    &operand_data[17074],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13177 },
#else
    { 0, 0, output_13177 },
#endif
    { 0 },
    &operand_data[17078],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13178 },
#else
    { 0, 0, output_13178 },
#endif
    { 0 },
    &operand_data[17078],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13179 },
#else
    { 0, 0, output_13179 },
#endif
    { 0 },
    &operand_data[17082],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13180 },
#else
    { 0, 0, output_13180 },
#endif
    { 0 },
    &operand_data[17082],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13181 },
#else
    { 0, 0, output_13181 },
#endif
    { 0 },
    &operand_data[17086],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13182 },
#else
    { 0, 0, output_13182 },
#endif
    { 0 },
    &operand_data[17086],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_horvnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13183 },
#else
    { 0, 0, output_13183 },
#endif
    { 0 },
    &operand_data[17090],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:834 */
  {
    "*aarch64_sme_read_vervnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13184 },
#else
    { 0, 0, output_13184 },
#endif
    { 0 },
    &operand_data[17090],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx32qivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13185 },
#else
    { 0, 0, output_13185 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx32qivnx32qi },
    &operand_data[16982],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx32qivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13186 },
#else
    { 0, 0, output_13186 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx32qivnx32qi },
    &operand_data[16982],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx16hivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13187 },
#else
    { 0, 0, output_13187 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx16hivnx16hi },
    &operand_data[16985],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx16hivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13188 },
#else
    { 0, 0, output_13188 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx16hivnx16hi },
    &operand_data[16985],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx8sivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13189 },
#else
    { 0, 0, output_13189 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx8sivnx8si },
    &operand_data[16988],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx8sivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13190 },
#else
    { 0, 0, output_13190 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx8sivnx8si },
    &operand_data[16988],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx4divnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13191 },
#else
    { 0, 0, output_13191 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx4divnx4di },
    &operand_data[16991],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx4divnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13192 },
#else
    { 0, 0, output_13192 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx4divnx4di },
    &operand_data[16991],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13193 },
#else
    { 0, 0, output_13193 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx16bfvnx16bf },
    &operand_data[16994],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13194 },
#else
    { 0, 0, output_13194 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx16bfvnx16bf },
    &operand_data[16994],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13195 },
#else
    { 0, 0, output_13195 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx16hfvnx16hf },
    &operand_data[16997],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13196 },
#else
    { 0, 0, output_13196 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx16hfvnx16hf },
    &operand_data[16997],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13197 },
#else
    { 0, 0, output_13197 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx8sfvnx8sf },
    &operand_data[17000],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13198 },
#else
    { 0, 0, output_13198 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx8sfvnx8sf },
    &operand_data[17000],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13199 },
#else
    { 0, 0, output_13199 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx4dfvnx4df },
    &operand_data[17003],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13200 },
#else
    { 0, 0, output_13200 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx4dfvnx4df },
    &operand_data[17003],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx64qivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13201 },
#else
    { 0, 0, output_13201 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx64qivnx64qi },
    &operand_data[17006],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx64qivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13202 },
#else
    { 0, 0, output_13202 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx64qivnx64qi },
    &operand_data[17006],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx32hivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13203 },
#else
    { 0, 0, output_13203 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx32hivnx32hi },
    &operand_data[17009],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx32hivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13204 },
#else
    { 0, 0, output_13204 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx32hivnx32hi },
    &operand_data[17009],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx16sivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13205 },
#else
    { 0, 0, output_13205 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx16sivnx16si },
    &operand_data[17012],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx16sivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13206 },
#else
    { 0, 0, output_13206 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx16sivnx16si },
    &operand_data[17012],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx8divnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13207 },
#else
    { 0, 0, output_13207 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx8divnx8di },
    &operand_data[17015],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx8divnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13208 },
#else
    { 0, 0, output_13208 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx8divnx8di },
    &operand_data[17015],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13209 },
#else
    { 0, 0, output_13209 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx32bfvnx32bf },
    &operand_data[17018],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13210 },
#else
    { 0, 0, output_13210 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx32bfvnx32bf },
    &operand_data[17018],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13211 },
#else
    { 0, 0, output_13211 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx32hfvnx32hf },
    &operand_data[17021],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13212 },
#else
    { 0, 0, output_13212 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx32hfvnx32hf },
    &operand_data[17021],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13213 },
#else
    { 0, 0, output_13213 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx16sfvnx16sf },
    &operand_data[17024],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13214 },
#else
    { 0, 0, output_13214 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx16sfvnx16sf },
    &operand_data[17024],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_horvnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13215 },
#else
    { 0, 0, output_13215 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_horvnx8dfvnx8df },
    &operand_data[17027],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:853 */
  {
    "aarch64_sme_readz_vervnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13216 },
#else
    { 0, 0, output_13216 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readz_vervnx8dfvnx8df },
    &operand_data[17027],
    3,
    3,
    2,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx32qivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13217 },
#else
    { 0, 0, output_13217 },
#endif
    { 0 },
    &operand_data[17030],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx32qivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13218 },
#else
    { 0, 0, output_13218 },
#endif
    { 0 },
    &operand_data[17030],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx16hivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13219 },
#else
    { 0, 0, output_13219 },
#endif
    { 0 },
    &operand_data[17034],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx16hivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13220 },
#else
    { 0, 0, output_13220 },
#endif
    { 0 },
    &operand_data[17034],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx8sivnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13221 },
#else
    { 0, 0, output_13221 },
#endif
    { 0 },
    &operand_data[17038],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx8sivnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13222 },
#else
    { 0, 0, output_13222 },
#endif
    { 0 },
    &operand_data[17038],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx4divnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13223 },
#else
    { 0, 0, output_13223 },
#endif
    { 0 },
    &operand_data[17042],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx4divnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13224 },
#else
    { 0, 0, output_13224 },
#endif
    { 0 },
    &operand_data[17042],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13225 },
#else
    { 0, 0, output_13225 },
#endif
    { 0 },
    &operand_data[17046],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13226 },
#else
    { 0, 0, output_13226 },
#endif
    { 0 },
    &operand_data[17046],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13227 },
#else
    { 0, 0, output_13227 },
#endif
    { 0 },
    &operand_data[17050],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13228 },
#else
    { 0, 0, output_13228 },
#endif
    { 0 },
    &operand_data[17050],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13229 },
#else
    { 0, 0, output_13229 },
#endif
    { 0 },
    &operand_data[17054],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13230 },
#else
    { 0, 0, output_13230 },
#endif
    { 0 },
    &operand_data[17054],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13231 },
#else
    { 0, 0, output_13231 },
#endif
    { 0 },
    &operand_data[17058],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13232 },
#else
    { 0, 0, output_13232 },
#endif
    { 0 },
    &operand_data[17058],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx64qivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13233 },
#else
    { 0, 0, output_13233 },
#endif
    { 0 },
    &operand_data[17062],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx64qivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13234 },
#else
    { 0, 0, output_13234 },
#endif
    { 0 },
    &operand_data[17062],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx32hivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13235 },
#else
    { 0, 0, output_13235 },
#endif
    { 0 },
    &operand_data[17066],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx32hivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13236 },
#else
    { 0, 0, output_13236 },
#endif
    { 0 },
    &operand_data[17066],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx16sivnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13237 },
#else
    { 0, 0, output_13237 },
#endif
    { 0 },
    &operand_data[17070],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx16sivnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13238 },
#else
    { 0, 0, output_13238 },
#endif
    { 0 },
    &operand_data[17070],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx8divnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13239 },
#else
    { 0, 0, output_13239 },
#endif
    { 0 },
    &operand_data[17074],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx8divnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13240 },
#else
    { 0, 0, output_13240 },
#endif
    { 0 },
    &operand_data[17074],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13241 },
#else
    { 0, 0, output_13241 },
#endif
    { 0 },
    &operand_data[17078],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13242 },
#else
    { 0, 0, output_13242 },
#endif
    { 0 },
    &operand_data[17078],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13243 },
#else
    { 0, 0, output_13243 },
#endif
    { 0 },
    &operand_data[17082],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13244 },
#else
    { 0, 0, output_13244 },
#endif
    { 0 },
    &operand_data[17082],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13245 },
#else
    { 0, 0, output_13245 },
#endif
    { 0 },
    &operand_data[17086],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13246 },
#else
    { 0, 0, output_13246 },
#endif
    { 0 },
    &operand_data[17086],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_horvnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13247 },
#else
    { 0, 0, output_13247 },
#endif
    { 0 },
    &operand_data[17090],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:877 */
  {
    "*aarch64_sme_readz_vervnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13248 },
#else
    { 0, 0, output_13248 },
#endif
    { 0 },
    &operand_data[17090],
    4,
    4,
    3,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:907 */
  {
    "aarch64_sme_readvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0, za.d[%w1, 0, vgx2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readvnx4di },
    &operand_data[17094],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:907 */
  {
    "aarch64_sme_readvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0, za.d[%w1, 0, vgx4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readvnx8di },
    &operand_data[17096],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:918 */
  {
    "*aarch64_sme_readvnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0, za.d[%w1, %2, vgx2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17098],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:918 */
  {
    "*aarch64_sme_readvnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\t%0, za.d[%w1, %2, vgx4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17101],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:930 */
  {
    "aarch64_sme_readzvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0, za.d[%w1, 0, vgx2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readzvnx4di },
    &operand_data[17094],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:930 */
  {
    "aarch64_sme_readzvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0, za.d[%w1, 0, vgx4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_readzvnx8di },
    &operand_data[17096],
    2,
    2,
    1,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:949 */
  {
    "*aarch64_sme_readzvnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0, za.d[%w1, %2, vgx2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17098],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:949 */
  {
    "*aarch64_sme_readzvnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "movaz\t%0, za.d[%w1, %2, vgx4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17101],
    3,
    3,
    2,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx32qivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13257 },
#else
    { 0, 0, output_13257 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx32qivnx32qi },
    &operand_data[17104],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx32qivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13258 },
#else
    { 0, 0, output_13258 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx32qivnx32qi },
    &operand_data[17104],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx16hivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13259 },
#else
    { 0, 0, output_13259 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx16hivnx16hi },
    &operand_data[17107],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx16hivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13260 },
#else
    { 0, 0, output_13260 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx16hivnx16hi },
    &operand_data[17107],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx8sivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13261 },
#else
    { 0, 0, output_13261 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8sivnx8si },
    &operand_data[17110],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx8sivnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13262 },
#else
    { 0, 0, output_13262 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8sivnx8si },
    &operand_data[17110],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx4divnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13263 },
#else
    { 0, 0, output_13263 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx4divnx4di },
    &operand_data[17113],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx4divnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13264 },
#else
    { 0, 0, output_13264 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx4divnx4di },
    &operand_data[17113],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13265 },
#else
    { 0, 0, output_13265 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx16bfvnx16bf },
    &operand_data[17116],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13266 },
#else
    { 0, 0, output_13266 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx16bfvnx16bf },
    &operand_data[17116],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13267 },
#else
    { 0, 0, output_13267 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx16hfvnx16hf },
    &operand_data[17119],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13268 },
#else
    { 0, 0, output_13268 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx16hfvnx16hf },
    &operand_data[17119],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13269 },
#else
    { 0, 0, output_13269 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8sfvnx8sf },
    &operand_data[17122],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13270 },
#else
    { 0, 0, output_13270 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8sfvnx8sf },
    &operand_data[17122],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13271 },
#else
    { 0, 0, output_13271 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx4dfvnx4df },
    &operand_data[17125],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13272 },
#else
    { 0, 0, output_13272 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx4dfvnx4df },
    &operand_data[17125],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx64qivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13273 },
#else
    { 0, 0, output_13273 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx64qivnx64qi },
    &operand_data[17128],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx64qivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13274 },
#else
    { 0, 0, output_13274 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx64qivnx64qi },
    &operand_data[17128],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx32hivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13275 },
#else
    { 0, 0, output_13275 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx32hivnx32hi },
    &operand_data[17131],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx32hivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13276 },
#else
    { 0, 0, output_13276 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx32hivnx32hi },
    &operand_data[17131],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx16sivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13277 },
#else
    { 0, 0, output_13277 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx16sivnx16si },
    &operand_data[17134],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx16sivnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13278 },
#else
    { 0, 0, output_13278 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx16sivnx16si },
    &operand_data[17134],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx8divnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13279 },
#else
    { 0, 0, output_13279 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8divnx8di },
    &operand_data[17137],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx8divnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13280 },
#else
    { 0, 0, output_13280 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8divnx8di },
    &operand_data[17137],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13281 },
#else
    { 0, 0, output_13281 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx32bfvnx32bf },
    &operand_data[17140],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13282 },
#else
    { 0, 0, output_13282 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx32bfvnx32bf },
    &operand_data[17140],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13283 },
#else
    { 0, 0, output_13283 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx32hfvnx32hf },
    &operand_data[17143],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13284 },
#else
    { 0, 0, output_13284 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx32hfvnx32hf },
    &operand_data[17143],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13285 },
#else
    { 0, 0, output_13285 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx16sfvnx16sf },
    &operand_data[17146],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13286 },
#else
    { 0, 0, output_13286 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx16sfvnx16sf },
    &operand_data[17146],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_horvnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13287 },
#else
    { 0, 0, output_13287 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_horvnx8dfvnx8df },
    &operand_data[17149],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:970 */
  {
    "aarch64_sme_write_vervnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13288 },
#else
    { 0, 0, output_13288 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_write_vervnx8dfvnx8df },
    &operand_data[17149],
    3,
    3,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx32qivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13289 },
#else
    { 0, 0, output_13289 },
#endif
    { 0 },
    &operand_data[17152],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx32qivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13290 },
#else
    { 0, 0, output_13290 },
#endif
    { 0 },
    &operand_data[17152],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx16hivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13291 },
#else
    { 0, 0, output_13291 },
#endif
    { 0 },
    &operand_data[17156],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx16hivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13292 },
#else
    { 0, 0, output_13292 },
#endif
    { 0 },
    &operand_data[17156],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx8sivnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13293 },
#else
    { 0, 0, output_13293 },
#endif
    { 0 },
    &operand_data[17160],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx8sivnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13294 },
#else
    { 0, 0, output_13294 },
#endif
    { 0 },
    &operand_data[17160],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx4divnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13295 },
#else
    { 0, 0, output_13295 },
#endif
    { 0 },
    &operand_data[17164],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx4divnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13296 },
#else
    { 0, 0, output_13296 },
#endif
    { 0 },
    &operand_data[17164],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13297 },
#else
    { 0, 0, output_13297 },
#endif
    { 0 },
    &operand_data[17168],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13298 },
#else
    { 0, 0, output_13298 },
#endif
    { 0 },
    &operand_data[17168],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13299 },
#else
    { 0, 0, output_13299 },
#endif
    { 0 },
    &operand_data[17172],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13300 },
#else
    { 0, 0, output_13300 },
#endif
    { 0 },
    &operand_data[17172],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13301 },
#else
    { 0, 0, output_13301 },
#endif
    { 0 },
    &operand_data[17176],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13302 },
#else
    { 0, 0, output_13302 },
#endif
    { 0 },
    &operand_data[17176],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13303 },
#else
    { 0, 0, output_13303 },
#endif
    { 0 },
    &operand_data[17180],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13304 },
#else
    { 0, 0, output_13304 },
#endif
    { 0 },
    &operand_data[17180],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx64qivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13305 },
#else
    { 0, 0, output_13305 },
#endif
    { 0 },
    &operand_data[17184],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx64qivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13306 },
#else
    { 0, 0, output_13306 },
#endif
    { 0 },
    &operand_data[17184],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx32hivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13307 },
#else
    { 0, 0, output_13307 },
#endif
    { 0 },
    &operand_data[17188],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx32hivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13308 },
#else
    { 0, 0, output_13308 },
#endif
    { 0 },
    &operand_data[17188],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx16sivnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13309 },
#else
    { 0, 0, output_13309 },
#endif
    { 0 },
    &operand_data[17192],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx16sivnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13310 },
#else
    { 0, 0, output_13310 },
#endif
    { 0 },
    &operand_data[17192],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx8divnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13311 },
#else
    { 0, 0, output_13311 },
#endif
    { 0 },
    &operand_data[17196],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx8divnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13312 },
#else
    { 0, 0, output_13312 },
#endif
    { 0 },
    &operand_data[17196],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13313 },
#else
    { 0, 0, output_13313 },
#endif
    { 0 },
    &operand_data[17200],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13314 },
#else
    { 0, 0, output_13314 },
#endif
    { 0 },
    &operand_data[17200],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13315 },
#else
    { 0, 0, output_13315 },
#endif
    { 0 },
    &operand_data[17204],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13316 },
#else
    { 0, 0, output_13316 },
#endif
    { 0 },
    &operand_data[17204],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13317 },
#else
    { 0, 0, output_13317 },
#endif
    { 0 },
    &operand_data[17208],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13318 },
#else
    { 0, 0, output_13318 },
#endif
    { 0 },
    &operand_data[17208],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_horvnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13319 },
#else
    { 0, 0, output_13319 },
#endif
    { 0 },
    &operand_data[17212],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:986 */
  {
    "*aarch64_sme_write_vervnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13320 },
#else
    { 0, 0, output_13320 },
#endif
    { 0 },
    &operand_data[17212],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1006 */
  {
    "aarch64_sme_writevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza.d[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_writevnx4di },
    &operand_data[17216],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1006 */
  {
    "aarch64_sme_writevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza.d[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_writevnx8di },
    &operand_data[17218],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1018 */
  {
    "*aarch64_sme_writevnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza.d[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1018 */
  {
    "*aarch64_sme_writevnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "mova\tza.d[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17223],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1040 */
  {
    "aarch64_sme_zero_za",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13325 },
#else
    { 0, 0, output_13325 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_za },
    &operand_data[83],
    1,
    1,
    0,
    0,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1052 */
  {
    "aarch64_sme_zero_za_slicesvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, 0, vgx2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_za_slicesvnx8si },
    &operand_data[17095],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1052 */
  {
    "aarch64_sme_zero_za_slicesvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, 0, vgx2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_za_slicesvnx4di },
    &operand_data[17095],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1052 */
  {
    "aarch64_sme_zero_za_slicesvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, 0, vgx4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_za_slicesvnx16si },
    &operand_data[17095],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1052 */
  {
    "aarch64_sme_zero_za_slicesvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, 0, vgx4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_za_slicesvnx8di },
    &operand_data[17095],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1064 */
  {
    "*aarch64_sme_zero_za_slicesvnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, %1, vgx2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17099],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1064 */
  {
    "*aarch64_sme_zero_za_slicesvnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, %1, vgx2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17099],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1064 */
  {
    "*aarch64_sme_zero_za_slicesvnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, %1, vgx4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17099],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1064 */
  {
    "*aarch64_sme_zero_za_slicesvnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, %1, vgx4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17099],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1077 */
  {
    "aarch64_sme_zero_za_slicesvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, 0:3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_za_slicesvnx16qi },
    &operand_data[17095],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1077 */
  {
    "aarch64_sme_zero_za_slicesvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, 0:3, vgx2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_za_slicesvnx32qi },
    &operand_data[17095],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1077 */
  {
    "aarch64_sme_zero_za_slicesvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, 0:3, vgx4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_za_slicesvnx64qi },
    &operand_data[17095],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1077 */
  {
    "aarch64_sme_zero_za_slicesvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, 0:1]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_za_slicesvnx8hi },
    &operand_data[17095],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1077 */
  {
    "aarch64_sme_zero_za_slicesvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, 0:1, vgx2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_za_slicesvnx16hi },
    &operand_data[17095],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1077 */
  {
    "aarch64_sme_zero_za_slicesvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\tza.d[%w0, 0:1, vgx4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_za_slicesvnx32hi },
    &operand_data[17095],
    1,
    1,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1089 */
  {
    "*aarch64_sme_zero_za_slicesvnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13340 },
#else
    { 0, 0, output_13340 },
#endif
    { 0 },
    &operand_data[17226],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1089 */
  {
    "*aarch64_sme_zero_za_slicesvnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13341 },
#else
    { 0, 0, output_13341 },
#endif
    { 0 },
    &operand_data[17228],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1089 */
  {
    "*aarch64_sme_zero_za_slicesvnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13342 },
#else
    { 0, 0, output_13342 },
#endif
    { 0 },
    &operand_data[17228],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1089 */
  {
    "*aarch64_sme_zero_za_slicesvnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13343 },
#else
    { 0, 0, output_13343 },
#endif
    { 0 },
    &operand_data[17230],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1089 */
  {
    "*aarch64_sme_zero_za_slicesvnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13344 },
#else
    { 0, 0, output_13344 },
#endif
    { 0 },
    &operand_data[17232],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1089 */
  {
    "*aarch64_sme_zero_za_slicesvnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13345 },
#else
    { 0, 0, output_13345 },
#endif
    { 0 },
    &operand_data[17232],
    2,
    2,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1105 */
  {
    "aarch64_sme_zero_zt0",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "zero\t{ zt0 }",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_zero_zt0 },
    &operand_data[0],
    0,
    0,
    0,
    0,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1125 */
  {
    "aarch64_sme_addhavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addha\tza%0.s, %1/m, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addhavnx4si },
    &operand_data[17234],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1125 */
  {
    "aarch64_sme_addvavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addva\tza%0.s, %1/m, %2/m, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addvavnx4si },
    &operand_data[17234],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1125 */
  {
    "aarch64_sme_addhavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addha\tza%0.d, %1/m, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addhavnx2di },
    &operand_data[17238],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1125 */
  {
    "aarch64_sme_addvavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "addva\tza%0.d, %1/m, %2/m, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addvavnx2di },
    &operand_data[17238],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1151 */
  {
    "aarch64_sme_addvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addvnx8si },
    &operand_data[17242],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1151 */
  {
    "aarch64_sme_subvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_subvnx8si },
    &operand_data[17242],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1151 */
  {
    "aarch64_sme_addvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addvnx4di },
    &operand_data[17216],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1151 */
  {
    "aarch64_sme_subvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_subvnx4di },
    &operand_data[17216],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1151 */
  {
    "aarch64_sme_addvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addvnx16si },
    &operand_data[17244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1151 */
  {
    "aarch64_sme_subvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_subvnx16si },
    &operand_data[17244],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1151 */
  {
    "aarch64_sme_addvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_addvnx8di },
    &operand_data[17218],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1151 */
  {
    "aarch64_sme_subvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_subvnx8di },
    &operand_data[17218],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1163 */
  {
    "*aarch64_sme_addvnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17246],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1163 */
  {
    "*aarch64_sme_subvnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17246],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1163 */
  {
    "*aarch64_sme_addvnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1163 */
  {
    "*aarch64_sme_subvnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17220],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1163 */
  {
    "*aarch64_sme_addvnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1163 */
  {
    "*aarch64_sme_subvnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17249],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1163 */
  {
    "*aarch64_sme_addvnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17223],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1163 */
  {
    "*aarch64_sme_subvnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17223],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_faddvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.s[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_faddvnx8sf },
    &operand_data[17252],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_fsubvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.s[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fsubvnx8sf },
    &operand_data[17252],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_faddvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.s[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_faddvnx16sf },
    &operand_data[17254],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_fsubvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.s[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fsubvnx16sf },
    &operand_data[17254],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_faddvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.d[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_faddvnx4df },
    &operand_data[17256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_fsubvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.d[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fsubvnx4df },
    &operand_data[17256],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_faddvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.d[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_faddvnx8df },
    &operand_data[17258],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_fsubvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.d[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fsubvnx8df },
    &operand_data[17258],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_faddvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.h[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_faddvnx16hf },
    &operand_data[17260],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_fsubvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.h[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fsubvnx16hf },
    &operand_data[17260],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_faddvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.h[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_faddvnx32hf },
    &operand_data[17262],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_fsubvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.h[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fsubvnx32hf },
    &operand_data[17262],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_faddvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfadd\tza.h[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_faddvnx16bf },
    &operand_data[17264],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_fsubvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfsub\tza.h[%w0, 0, vgx2], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fsubvnx16bf },
    &operand_data[17264],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_faddvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfadd\tza.h[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_faddvnx32bf },
    &operand_data[17266],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1176 */
  {
    "aarch64_sme_fsubvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfsub\tza.h[%w0, 0, vgx4], %1",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fsubvnx32bf },
    &operand_data[17266],
    2,
    2,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_faddvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.s[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_fsubvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.s[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17268],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_faddvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.s[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_fsubvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.s[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17271],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_faddvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.d[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_fsubvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.d[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17274],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_faddvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.d[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_fsubvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.d[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17277],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_faddvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.h[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_fsubvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.h[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17280],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_faddvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fadd\tza.h[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_fsubvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fsub\tza.h[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17283],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_faddvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfadd\tza.h[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_fsubvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfsub\tza.h[%w0, %1, vgx2], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17286],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_faddvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfadd\tza.h[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1188 */
  {
    "*aarch64_sme_fsubvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfsub\tza.h[%w0, %1, vgx4], %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17289],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1209 */
  {
    "aarch64_sme_add_writevnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_add_writevnx8si },
    &operand_data[17292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1209 */
  {
    "aarch64_sme_sub_writevnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sub_writevnx8si },
    &operand_data[17292],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1209 */
  {
    "aarch64_sme_add_writevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_add_writevnx4di },
    &operand_data[17295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1209 */
  {
    "aarch64_sme_sub_writevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sub_writevnx4di },
    &operand_data[17295],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1209 */
  {
    "aarch64_sme_add_writevnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_add_writevnx16si },
    &operand_data[17298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1209 */
  {
    "aarch64_sme_sub_writevnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sub_writevnx16si },
    &operand_data[17298],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1209 */
  {
    "aarch64_sme_add_writevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_add_writevnx8di },
    &operand_data[17301],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1209 */
  {
    "aarch64_sme_sub_writevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sub_writevnx8di },
    &operand_data[17301],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1222 */
  {
    "*aarch64_sme_add_writevnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17304],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1222 */
  {
    "*aarch64_sme_sub_writevnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17304],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1222 */
  {
    "*aarch64_sme_add_writevnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17308],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1222 */
  {
    "*aarch64_sme_sub_writevnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17308],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1222 */
  {
    "*aarch64_sme_add_writevnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17312],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1222 */
  {
    "*aarch64_sme_sub_writevnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17312],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1222 */
  {
    "*aarch64_sme_add_writevnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17316],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1222 */
  {
    "*aarch64_sme_sub_writevnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17316],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1236 */
  {
    "aarch64_sme_single_add_writevnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, 0, vgx2], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_add_writevnx8si },
    &operand_data[17320],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1236 */
  {
    "aarch64_sme_single_sub_writevnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, 0, vgx2], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sub_writevnx8si },
    &operand_data[17320],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1236 */
  {
    "aarch64_sme_single_add_writevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, 0, vgx2], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_add_writevnx4di },
    &operand_data[17323],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1236 */
  {
    "aarch64_sme_single_sub_writevnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, 0, vgx2], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sub_writevnx4di },
    &operand_data[17323],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1236 */
  {
    "aarch64_sme_single_add_writevnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, 0, vgx4], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_add_writevnx16si },
    &operand_data[17326],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1236 */
  {
    "aarch64_sme_single_sub_writevnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, 0, vgx4], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sub_writevnx16si },
    &operand_data[17326],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1236 */
  {
    "aarch64_sme_single_add_writevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, 0, vgx4], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_add_writevnx8di },
    &operand_data[17329],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1236 */
  {
    "aarch64_sme_single_sub_writevnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, 0, vgx4], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sub_writevnx8di },
    &operand_data[17329],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1250 */
  {
    "*aarch64_sme_single_add_writevnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, %1, vgx2], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17332],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1250 */
  {
    "*aarch64_sme_single_sub_writevnx8si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, %1, vgx2], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17332],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1250 */
  {
    "*aarch64_sme_single_add_writevnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, %1, vgx2], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17336],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1250 */
  {
    "*aarch64_sme_single_sub_writevnx4di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, %1, vgx2], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17336],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1250 */
  {
    "*aarch64_sme_single_add_writevnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.s[%w0, %1, vgx4], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17340],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1250 */
  {
    "*aarch64_sme_single_sub_writevnx16si_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.s[%w0, %1, vgx4], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17340],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1250 */
  {
    "*aarch64_sme_single_add_writevnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "add\tza.d[%w0, %1, vgx4], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1250 */
  {
    "*aarch64_sme_single_sub_writevnx8di_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sub\tza.d[%w0, %1, vgx4], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17344],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_sdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx4sivnx32qi },
    &operand_data[17348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_udotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx4sivnx32qi },
    &operand_data[17348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_usdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx4sivnx32qi },
    &operand_data[17348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_sdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx4sivnx64qi },
    &operand_data[17351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_udotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx4sivnx64qi },
    &operand_data[17351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_usdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx4sivnx64qi },
    &operand_data[17351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_sdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx4sivnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_udotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx4sivnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_usdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx4sivnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_sdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx4sivnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_udotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx4sivnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_usdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx4sivnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_sdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx2divnx32qi },
    &operand_data[17348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_udotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx2divnx32qi },
    &operand_data[17348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_usdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx2divnx32qi },
    &operand_data[17348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_sdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx2divnx64qi },
    &operand_data[17351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_udotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx2divnx64qi },
    &operand_data[17351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_usdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx2divnx64qi },
    &operand_data[17351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_sdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx2divnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_udotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx2divnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_usdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx2divnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_sdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sdotvnx2divnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_udotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_udotvnx2divnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1279 */
  {
    "aarch64_sme_usdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usdotvnx2divnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_sdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_udotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_usdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_sdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_udotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_usdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_sdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_udotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_usdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_sdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_udotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_usdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_sdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_udotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_usdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17360],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_sdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_udotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_usdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17364],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_sdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_udotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_usdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17368],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_sdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_udotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1294 */
  {
    "*aarch64_sme_usdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17372],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_sdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx4sivnx32qi },
    &operand_data[17376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_udotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx4sivnx32qi },
    &operand_data[17376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_usdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx4sivnx32qi },
    &operand_data[17376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_sdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx4sivnx64qi },
    &operand_data[17379],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_udotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx4sivnx64qi },
    &operand_data[17379],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_usdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx4sivnx64qi },
    &operand_data[17379],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_sdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx4sivnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_udotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx4sivnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_usdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx4sivnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_sdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx4sivnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_udotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx4sivnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_usdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx4sivnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_sdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx2divnx32qi },
    &operand_data[17376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_udotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx2divnx32qi },
    &operand_data[17376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_usdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx2divnx32qi },
    &operand_data[17376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_sdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx2divnx64qi },
    &operand_data[17379],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_udotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx2divnx64qi },
    &operand_data[17379],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_usdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx2divnx64qi },
    &operand_data[17379],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_sdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx2divnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_udotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx2divnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_usdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx2divnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_sdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sdotvnx2divnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_udotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_udotvnx2divnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1310 */
  {
    "aarch64_sme_single_usdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_usdotvnx2divnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_sdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17388],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_udotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17388],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_usdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17388],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_sdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17392],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_udotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17392],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_usdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17392],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_sdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17396],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_udotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17396],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_usdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17396],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_sdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17400],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_udotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17400],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_usdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17400],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_sdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17388],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_udotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17388],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_usdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17388],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_sdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17392],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_udotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17392],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_usdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17392],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_sdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17396],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_udotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17396],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_usdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17396],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_sdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17400],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_udotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17400],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1326 */
  {
    "*aarch64_sme_single_usdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17400],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1344 */
  {
    "aarch64_sme_single_sudotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, 0, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sudotvnx4sivnx32qi },
    &operand_data[17376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1344 */
  {
    "aarch64_sme_single_sudotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, 0, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_sudotvnx4sivnx64qi },
    &operand_data[17379],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1358 */
  {
    "*aarch64_sme_single_sudotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, %1, vgx2], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17388],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1358 */
  {
    "*aarch64_sme_single_sudotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, %1, vgx4], %2, %3.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17392],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx4sivnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_svdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx4sivnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_udotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx4sivnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_uvdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx4sivnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sudotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx4sivnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_suvdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx4sivnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx4sivnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usvdotvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx4sivnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx4sivnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_svdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx4sivnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_udotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx4sivnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_uvdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx4sivnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sudotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx4sivnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_suvdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx4sivnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx4sivnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usvdotvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx4sivnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx4sivnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_svdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx4sivnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_udotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx4sivnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_uvdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx4sivnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sudotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx4sivnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_suvdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx4sivnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx4sivnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usvdotvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx4sivnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx4sivnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_svdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx4sivnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_udotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx4sivnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_uvdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx4sivnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sudotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx4sivnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_suvdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx4sivnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx4sivnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usvdotvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx4sivnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx2divnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_svdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx2divnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_udotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx2divnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_uvdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx2divnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sudotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx2divnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_suvdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx2divnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx2divnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usvdotvnx2divnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, 0, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx2divnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx2divnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_svdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx2divnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_udotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx2divnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_uvdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx2divnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sudotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx2divnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_suvdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx2divnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx2divnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usvdotvnx2divnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, 0, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx2divnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx2divnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_svdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx2divnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_udotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx2divnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_uvdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx2divnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sudotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx2divnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_suvdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx2divnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx2divnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usvdotvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx2divnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sdotvnx2divnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_svdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_svdotvnx2divnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_udotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_udotvnx2divnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_uvdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_uvdotvnx2divnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_sudotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_sudotvnx2divnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_suvdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_suvdotvnx2divnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usdotvnx2divnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1373 */
  {
    "aarch64_sme_lane_usvdotvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_usvdotvnx2divnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_svdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_udotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_uvdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sudotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_suvdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usvdotvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_svdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_udotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_uvdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sudotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_suvdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usvdotvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_svdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_udotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_uvdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sudotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_suvdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usvdotvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_svdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_udotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_uvdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sudotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_suvdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usvdotvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_svdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_udotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_uvdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sudotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_suvdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usvdotvnx2divnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, %1, vgx2], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17420],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_svdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_udotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_uvdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sudotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_suvdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usvdotvnx2divnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, %1, vgx4], %2, %3.b[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17425],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_svdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_udotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_uvdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sudotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_suvdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usvdotvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17430],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sdot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_svdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "svdot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_udotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "udot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_uvdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "uvdot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_sudotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sudot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_suvdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "suvdot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usdot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1391 */
  {
    "*aarch64_sme_lane_usvdotvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usvdot\tza.d[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17435],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_smlavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3], %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx4sivnx16qi },
    &operand_data[17440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_smlsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3], %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx4sivnx16qi },
    &operand_data[17440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_umlavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3], %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx4sivnx16qi },
    &operand_data[17440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_umlsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3], %1.b, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx4sivnx16qi },
    &operand_data[17440],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_smlavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx4sivnx8hi },
    &operand_data[17443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_smlsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx4sivnx8hi },
    &operand_data[17443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_umlavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx4sivnx8hi },
    &operand_data[17443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1420 */
  {
    "aarch64_sme_umlsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx4sivnx8hi },
    &operand_data[17443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1433 */
  {
    "*aarch64_sme_smlavnx4sivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13667 },
#else
    { 0, 0, output_13667 },
#endif
    { 0 },
    &operand_data[17446],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1433 */
  {
    "*aarch64_sme_smlsvnx4sivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13668 },
#else
    { 0, 0, output_13668 },
#endif
    { 0 },
    &operand_data[17446],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1433 */
  {
    "*aarch64_sme_umlavnx4sivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13669 },
#else
    { 0, 0, output_13669 },
#endif
    { 0 },
    &operand_data[17446],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1433 */
  {
    "*aarch64_sme_umlsvnx4sivnx16qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13670 },
#else
    { 0, 0, output_13670 },
#endif
    { 0 },
    &operand_data[17446],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1433 */
  {
    "*aarch64_sme_smlavnx4sivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13671 },
#else
    { 0, 0, output_13671 },
#endif
    { 0 },
    &operand_data[17450],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1433 */
  {
    "*aarch64_sme_smlsvnx4sivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13672 },
#else
    { 0, 0, output_13672 },
#endif
    { 0 },
    &operand_data[17450],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1433 */
  {
    "*aarch64_sme_umlavnx4sivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13673 },
#else
    { 0, 0, output_13673 },
#endif
    { 0 },
    &operand_data[17450],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1433 */
  {
    "*aarch64_sme_umlsvnx4sivnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13674 },
#else
    { 0, 0, output_13674 },
#endif
    { 0 },
    &operand_data[17450],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_smlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx4sivnx32qi },
    &operand_data[17348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_smlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx4sivnx32qi },
    &operand_data[17348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_umlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx4sivnx32qi },
    &operand_data[17348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_umlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx4sivnx32qi },
    &operand_data[17348],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_smlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx4sivnx64qi },
    &operand_data[17351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_smlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx4sivnx64qi },
    &operand_data[17351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_umlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx4sivnx64qi },
    &operand_data[17351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_umlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx4sivnx64qi },
    &operand_data[17351],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_smlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx4sivnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_smlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx4sivnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_umlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx4sivnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_umlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx4sivnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_smlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx4sivnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_smlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx4sivnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_umlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx4sivnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1450 */
  {
    "aarch64_sme_umlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx4sivnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_smlavnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13691 },
#else
    { 0, 0, output_13691 },
#endif
    { 0 },
    &operand_data[17454],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_smlsvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13692 },
#else
    { 0, 0, output_13692 },
#endif
    { 0 },
    &operand_data[17454],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_umlavnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13693 },
#else
    { 0, 0, output_13693 },
#endif
    { 0 },
    &operand_data[17454],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_umlsvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13694 },
#else
    { 0, 0, output_13694 },
#endif
    { 0 },
    &operand_data[17454],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_smlavnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13695 },
#else
    { 0, 0, output_13695 },
#endif
    { 0 },
    &operand_data[17458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_smlsvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13696 },
#else
    { 0, 0, output_13696 },
#endif
    { 0 },
    &operand_data[17458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_umlavnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13697 },
#else
    { 0, 0, output_13697 },
#endif
    { 0 },
    &operand_data[17458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_umlsvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13698 },
#else
    { 0, 0, output_13698 },
#endif
    { 0 },
    &operand_data[17458],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_smlavnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13699 },
#else
    { 0, 0, output_13699 },
#endif
    { 0 },
    &operand_data[17462],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_smlsvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13700 },
#else
    { 0, 0, output_13700 },
#endif
    { 0 },
    &operand_data[17462],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_umlavnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13701 },
#else
    { 0, 0, output_13701 },
#endif
    { 0 },
    &operand_data[17462],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_umlsvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13702 },
#else
    { 0, 0, output_13702 },
#endif
    { 0 },
    &operand_data[17462],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_smlavnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13703 },
#else
    { 0, 0, output_13703 },
#endif
    { 0 },
    &operand_data[17466],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_smlsvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13704 },
#else
    { 0, 0, output_13704 },
#endif
    { 0 },
    &operand_data[17466],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_umlavnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13705 },
#else
    { 0, 0, output_13705 },
#endif
    { 0 },
    &operand_data[17466],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1463 */
  {
    "*aarch64_sme_umlsvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13706 },
#else
    { 0, 0, output_13706 },
#endif
    { 0 },
    &operand_data[17466],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_smlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlavnx4sivnx32qi },
    &operand_data[17376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_smlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlsvnx4sivnx32qi },
    &operand_data[17376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_umlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlavnx4sivnx32qi },
    &operand_data[17376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_umlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3, vgx2], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlsvnx4sivnx32qi },
    &operand_data[17376],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_smlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlavnx4sivnx64qi },
    &operand_data[17379],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_smlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlsvnx4sivnx64qi },
    &operand_data[17379],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_umlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlavnx4sivnx64qi },
    &operand_data[17379],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_umlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3, vgx4], %1, %2.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlsvnx4sivnx64qi },
    &operand_data[17379],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_smlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlavnx4sivnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_smlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlsvnx4sivnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_umlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlavnx4sivnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_umlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlsvnx4sivnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_smlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlavnx4sivnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_smlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlsvnx4sivnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_umlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlavnx4sivnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1480 */
  {
    "aarch64_sme_single_umlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlsvnx4sivnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_smlavnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13723 },
#else
    { 0, 0, output_13723 },
#endif
    { 0 },
    &operand_data[17470],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_smlsvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13724 },
#else
    { 0, 0, output_13724 },
#endif
    { 0 },
    &operand_data[17470],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_umlavnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13725 },
#else
    { 0, 0, output_13725 },
#endif
    { 0 },
    &operand_data[17470],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_umlsvnx4sivnx32qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13726 },
#else
    { 0, 0, output_13726 },
#endif
    { 0 },
    &operand_data[17470],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_smlavnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13727 },
#else
    { 0, 0, output_13727 },
#endif
    { 0 },
    &operand_data[17474],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_smlsvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13728 },
#else
    { 0, 0, output_13728 },
#endif
    { 0 },
    &operand_data[17474],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_umlavnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13729 },
#else
    { 0, 0, output_13729 },
#endif
    { 0 },
    &operand_data[17474],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_umlsvnx4sivnx64qi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13730 },
#else
    { 0, 0, output_13730 },
#endif
    { 0 },
    &operand_data[17474],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_smlavnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13731 },
#else
    { 0, 0, output_13731 },
#endif
    { 0 },
    &operand_data[17478],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_smlsvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13732 },
#else
    { 0, 0, output_13732 },
#endif
    { 0 },
    &operand_data[17478],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_umlavnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13733 },
#else
    { 0, 0, output_13733 },
#endif
    { 0 },
    &operand_data[17478],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_umlsvnx4sivnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13734 },
#else
    { 0, 0, output_13734 },
#endif
    { 0 },
    &operand_data[17478],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_smlavnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13735 },
#else
    { 0, 0, output_13735 },
#endif
    { 0 },
    &operand_data[17482],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_smlsvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13736 },
#else
    { 0, 0, output_13736 },
#endif
    { 0 },
    &operand_data[17482],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_umlavnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13737 },
#else
    { 0, 0, output_13737 },
#endif
    { 0 },
    &operand_data[17482],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1494 */
  {
    "*aarch64_sme_single_umlsvnx4sivnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13738 },
#else
    { 0, 0, output_13738 },
#endif
    { 0 },
    &operand_data[17482],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_smlavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3], %1.b, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx4sivnx16qi },
    &operand_data[17486],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_smlsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3], %1.b, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx4sivnx16qi },
    &operand_data[17486],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_umlavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3], %1.b, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx4sivnx16qi },
    &operand_data[17486],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_umlsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3], %1.b, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx4sivnx16qi },
    &operand_data[17486],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_smlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx4sivnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_smlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx4sivnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_umlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx4sivnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_umlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3, vgx2], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx4sivnx32qi },
    &operand_data[17404],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_smlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.s[%w0, 0:3, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx4sivnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_smlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.s[%w0, 0:3, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx4sivnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_umlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.s[%w0, 0:3, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx4sivnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_umlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.s[%w0, 0:3, vgx4], %1, %2.b[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx4sivnx64qi },
    &operand_data[17408],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_smlavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx4sivnx8hi },
    &operand_data[17490],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_smlsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx4sivnx8hi },
    &operand_data[17490],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_umlavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx4sivnx8hi },
    &operand_data[17490],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_umlsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx4sivnx8hi },
    &operand_data[17490],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_smlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx4sivnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_smlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx4sivnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_umlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx4sivnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_umlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx4sivnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_smlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlal\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx4sivnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_smlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx4sivnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_umlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlal\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx4sivnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1512 */
  {
    "aarch64_sme_lane_umlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx4sivnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_smlavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13763 },
#else
    { 0, 0, output_13763 },
#endif
    { 0 },
    &operand_data[17494],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_smlsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13764 },
#else
    { 0, 0, output_13764 },
#endif
    { 0 },
    &operand_data[17494],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_umlavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13765 },
#else
    { 0, 0, output_13765 },
#endif
    { 0 },
    &operand_data[17494],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_umlsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13766 },
#else
    { 0, 0, output_13766 },
#endif
    { 0 },
    &operand_data[17494],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_smlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13767 },
#else
    { 0, 0, output_13767 },
#endif
    { 0 },
    &operand_data[17499],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_smlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13768 },
#else
    { 0, 0, output_13768 },
#endif
    { 0 },
    &operand_data[17499],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_umlavnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13769 },
#else
    { 0, 0, output_13769 },
#endif
    { 0 },
    &operand_data[17499],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_umlsvnx4sivnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13770 },
#else
    { 0, 0, output_13770 },
#endif
    { 0 },
    &operand_data[17499],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_smlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13771 },
#else
    { 0, 0, output_13771 },
#endif
    { 0 },
    &operand_data[17504],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_smlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13772 },
#else
    { 0, 0, output_13772 },
#endif
    { 0 },
    &operand_data[17504],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_umlavnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13773 },
#else
    { 0, 0, output_13773 },
#endif
    { 0 },
    &operand_data[17504],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_umlsvnx4sivnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13774 },
#else
    { 0, 0, output_13774 },
#endif
    { 0 },
    &operand_data[17504],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_smlavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13775 },
#else
    { 0, 0, output_13775 },
#endif
    { 0 },
    &operand_data[17509],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_smlsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13776 },
#else
    { 0, 0, output_13776 },
#endif
    { 0 },
    &operand_data[17509],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_umlavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13777 },
#else
    { 0, 0, output_13777 },
#endif
    { 0 },
    &operand_data[17509],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_umlsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13778 },
#else
    { 0, 0, output_13778 },
#endif
    { 0 },
    &operand_data[17509],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_smlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13779 },
#else
    { 0, 0, output_13779 },
#endif
    { 0 },
    &operand_data[17514],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_smlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13780 },
#else
    { 0, 0, output_13780 },
#endif
    { 0 },
    &operand_data[17514],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_umlavnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13781 },
#else
    { 0, 0, output_13781 },
#endif
    { 0 },
    &operand_data[17514],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_umlsvnx4sivnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13782 },
#else
    { 0, 0, output_13782 },
#endif
    { 0 },
    &operand_data[17514],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_smlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13783 },
#else
    { 0, 0, output_13783 },
#endif
    { 0 },
    &operand_data[17519],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_smlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13784 },
#else
    { 0, 0, output_13784 },
#endif
    { 0 },
    &operand_data[17519],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_umlavnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13785 },
#else
    { 0, 0, output_13785 },
#endif
    { 0 },
    &operand_data[17519],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1528 */
  {
    "*aarch64_sme_lane_umlsvnx4sivnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13786 },
#else
    { 0, 0, output_13786 },
#endif
    { 0 },
    &operand_data[17519],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1548 */
  {
    "aarch64_sme_smlavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx2divnx8hi },
    &operand_data[17443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1548 */
  {
    "aarch64_sme_smlsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx2divnx8hi },
    &operand_data[17443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1548 */
  {
    "aarch64_sme_umlavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx2divnx8hi },
    &operand_data[17443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1548 */
  {
    "aarch64_sme_umlsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx2divnx8hi },
    &operand_data[17443],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1561 */
  {
    "*aarch64_sme_smlavnx2divnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13791 },
#else
    { 0, 0, output_13791 },
#endif
    { 0 },
    &operand_data[17524],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1561 */
  {
    "*aarch64_sme_smlsvnx2divnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13792 },
#else
    { 0, 0, output_13792 },
#endif
    { 0 },
    &operand_data[17524],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1561 */
  {
    "*aarch64_sme_umlavnx2divnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13793 },
#else
    { 0, 0, output_13793 },
#endif
    { 0 },
    &operand_data[17524],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1561 */
  {
    "*aarch64_sme_umlsvnx2divnx8hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13794 },
#else
    { 0, 0, output_13794 },
#endif
    { 0 },
    &operand_data[17524],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1578 */
  {
    "aarch64_sme_smlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx2divnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1578 */
  {
    "aarch64_sme_smlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx2divnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1578 */
  {
    "aarch64_sme_umlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx2divnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1578 */
  {
    "aarch64_sme_umlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx2divnx16hi },
    &operand_data[17354],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1578 */
  {
    "aarch64_sme_smlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlavnx2divnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1578 */
  {
    "aarch64_sme_smlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smlsvnx2divnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1578 */
  {
    "aarch64_sme_umlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlavnx2divnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1578 */
  {
    "aarch64_sme_umlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umlsvnx2divnx32hi },
    &operand_data[17357],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1591 */
  {
    "*aarch64_sme_smlavnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13803 },
#else
    { 0, 0, output_13803 },
#endif
    { 0 },
    &operand_data[17528],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1591 */
  {
    "*aarch64_sme_smlsvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13804 },
#else
    { 0, 0, output_13804 },
#endif
    { 0 },
    &operand_data[17528],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1591 */
  {
    "*aarch64_sme_umlavnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13805 },
#else
    { 0, 0, output_13805 },
#endif
    { 0 },
    &operand_data[17528],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1591 */
  {
    "*aarch64_sme_umlsvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13806 },
#else
    { 0, 0, output_13806 },
#endif
    { 0 },
    &operand_data[17528],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1591 */
  {
    "*aarch64_sme_smlavnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13807 },
#else
    { 0, 0, output_13807 },
#endif
    { 0 },
    &operand_data[17532],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1591 */
  {
    "*aarch64_sme_smlsvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13808 },
#else
    { 0, 0, output_13808 },
#endif
    { 0 },
    &operand_data[17532],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1591 */
  {
    "*aarch64_sme_umlavnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13809 },
#else
    { 0, 0, output_13809 },
#endif
    { 0 },
    &operand_data[17532],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1591 */
  {
    "*aarch64_sme_umlsvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13810 },
#else
    { 0, 0, output_13810 },
#endif
    { 0 },
    &operand_data[17532],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1608 */
  {
    "aarch64_sme_single_smlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlavnx2divnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1608 */
  {
    "aarch64_sme_single_smlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlsvnx2divnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1608 */
  {
    "aarch64_sme_single_umlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlavnx2divnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1608 */
  {
    "aarch64_sme_single_umlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlsvnx2divnx16hi },
    &operand_data[17382],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1608 */
  {
    "aarch64_sme_single_smlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlavnx2divnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1608 */
  {
    "aarch64_sme_single_smlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_smlsvnx2divnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1608 */
  {
    "aarch64_sme_single_umlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlavnx2divnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1608 */
  {
    "aarch64_sme_single_umlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_umlsvnx2divnx32hi },
    &operand_data[17385],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1622 */
  {
    "*aarch64_sme_single_smlavnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13819 },
#else
    { 0, 0, output_13819 },
#endif
    { 0 },
    &operand_data[17536],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1622 */
  {
    "*aarch64_sme_single_smlsvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13820 },
#else
    { 0, 0, output_13820 },
#endif
    { 0 },
    &operand_data[17536],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1622 */
  {
    "*aarch64_sme_single_umlavnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13821 },
#else
    { 0, 0, output_13821 },
#endif
    { 0 },
    &operand_data[17536],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1622 */
  {
    "*aarch64_sme_single_umlsvnx2divnx16hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13822 },
#else
    { 0, 0, output_13822 },
#endif
    { 0 },
    &operand_data[17536],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1622 */
  {
    "*aarch64_sme_single_smlavnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13823 },
#else
    { 0, 0, output_13823 },
#endif
    { 0 },
    &operand_data[17540],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1622 */
  {
    "*aarch64_sme_single_smlsvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13824 },
#else
    { 0, 0, output_13824 },
#endif
    { 0 },
    &operand_data[17540],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1622 */
  {
    "*aarch64_sme_single_umlavnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13825 },
#else
    { 0, 0, output_13825 },
#endif
    { 0 },
    &operand_data[17540],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1622 */
  {
    "*aarch64_sme_single_umlsvnx2divnx32hi_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13826 },
#else
    { 0, 0, output_13826 },
#endif
    { 0 },
    &operand_data[17540],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1640 */
  {
    "aarch64_sme_lane_smlavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx2divnx8hi },
    &operand_data[17490],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1640 */
  {
    "aarch64_sme_lane_smlsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx2divnx8hi },
    &operand_data[17490],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1640 */
  {
    "aarch64_sme_lane_umlavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx2divnx8hi },
    &operand_data[17490],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1640 */
  {
    "aarch64_sme_lane_umlsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx2divnx8hi },
    &operand_data[17490],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1640 */
  {
    "aarch64_sme_lane_smlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx2divnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1640 */
  {
    "aarch64_sme_lane_smlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx2divnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1640 */
  {
    "aarch64_sme_lane_umlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx2divnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1640 */
  {
    "aarch64_sme_lane_umlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx2divnx16hi },
    &operand_data[17412],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1640 */
  {
    "aarch64_sme_lane_smlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlall\tza.d[%w0, 0:3, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlavnx2divnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1640 */
  {
    "aarch64_sme_lane_smlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smlsll\tza.d[%w0, 0:3, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_smlsvnx2divnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1640 */
  {
    "aarch64_sme_lane_umlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlall\tza.d[%w0, 0:3, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlavnx2divnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1640 */
  {
    "aarch64_sme_lane_umlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umlsll\tza.d[%w0, 0:3, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_umlsvnx2divnx32hi },
    &operand_data[17416],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1656 */
  {
    "*aarch64_sme_lane_smlavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13839 },
#else
    { 0, 0, output_13839 },
#endif
    { 0 },
    &operand_data[17544],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1656 */
  {
    "*aarch64_sme_lane_smlsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13840 },
#else
    { 0, 0, output_13840 },
#endif
    { 0 },
    &operand_data[17544],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1656 */
  {
    "*aarch64_sme_lane_umlavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13841 },
#else
    { 0, 0, output_13841 },
#endif
    { 0 },
    &operand_data[17544],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1656 */
  {
    "*aarch64_sme_lane_umlsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13842 },
#else
    { 0, 0, output_13842 },
#endif
    { 0 },
    &operand_data[17544],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1656 */
  {
    "*aarch64_sme_lane_smlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13843 },
#else
    { 0, 0, output_13843 },
#endif
    { 0 },
    &operand_data[17549],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1656 */
  {
    "*aarch64_sme_lane_smlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13844 },
#else
    { 0, 0, output_13844 },
#endif
    { 0 },
    &operand_data[17549],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1656 */
  {
    "*aarch64_sme_lane_umlavnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13845 },
#else
    { 0, 0, output_13845 },
#endif
    { 0 },
    &operand_data[17549],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1656 */
  {
    "*aarch64_sme_lane_umlsvnx2divnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13846 },
#else
    { 0, 0, output_13846 },
#endif
    { 0 },
    &operand_data[17549],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1656 */
  {
    "*aarch64_sme_lane_smlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13847 },
#else
    { 0, 0, output_13847 },
#endif
    { 0 },
    &operand_data[17554],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1656 */
  {
    "*aarch64_sme_lane_smlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13848 },
#else
    { 0, 0, output_13848 },
#endif
    { 0 },
    &operand_data[17554],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1656 */
  {
    "*aarch64_sme_lane_umlavnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13849 },
#else
    { 0, 0, output_13849 },
#endif
    { 0 },
    &operand_data[17554],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1656 */
  {
    "*aarch64_sme_lane_umlsvnx2divnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_13850 },
#else
    { 0, 0, output_13850 },
#endif
    { 0 },
    &operand_data[17554],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1691 */
  {
    "aarch64_sme_smopavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smopa\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smopavnx4sivnx16qi },
    &operand_data[17559],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1691 */
  {
    "aarch64_sme_smopsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smops\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smopsvnx4sivnx16qi },
    &operand_data[17559],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1691 */
  {
    "aarch64_sme_sumopavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sumopa\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sumopavnx4sivnx16qi },
    &operand_data[17559],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1691 */
  {
    "aarch64_sme_sumopsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sumops\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sumopsvnx4sivnx16qi },
    &operand_data[17559],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1691 */
  {
    "aarch64_sme_umopavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umopa\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umopavnx4sivnx16qi },
    &operand_data[17559],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1691 */
  {
    "aarch64_sme_umopsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umops\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umopsvnx4sivnx16qi },
    &operand_data[17559],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1691 */
  {
    "aarch64_sme_usmopavnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmopa\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usmopavnx4sivnx16qi },
    &operand_data[17559],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1691 */
  {
    "aarch64_sme_usmopsvnx4sivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmops\tza%0.s, %1/m, %2/m, %3.b, %4.b",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usmopsvnx4sivnx16qi },
    &operand_data[17559],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1706 */
  {
    "aarch64_sme_smopavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smopa\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smopavnx2divnx8hi },
    &operand_data[17564],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1706 */
  {
    "aarch64_sme_smopsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smops\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smopsvnx2divnx8hi },
    &operand_data[17564],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1706 */
  {
    "aarch64_sme_sumopavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sumopa\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sumopavnx2divnx8hi },
    &operand_data[17564],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1706 */
  {
    "aarch64_sme_sumopsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "sumops\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_sumopsvnx2divnx8hi },
    &operand_data[17564],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1706 */
  {
    "aarch64_sme_umopavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umopa\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umopavnx2divnx8hi },
    &operand_data[17564],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1706 */
  {
    "aarch64_sme_umopsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umops\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umopsvnx2divnx8hi },
    &operand_data[17564],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1706 */
  {
    "aarch64_sme_usmopavnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmopa\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usmopavnx2divnx8hi },
    &operand_data[17564],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1706 */
  {
    "aarch64_sme_usmopsvnx2divnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "usmops\tza%0.d, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_usmopsvnx2divnx8hi },
    &operand_data[17564],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1721 */
  {
    "aarch64_sme_smopavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smopa\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smopavnx4sivnx8hi },
    &operand_data[17569],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1721 */
  {
    "aarch64_sme_smopsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "smops\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_smopsvnx4sivnx8hi },
    &operand_data[17569],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1721 */
  {
    "aarch64_sme_umopavnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umopa\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umopavnx4sivnx8hi },
    &operand_data[17569],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1721 */
  {
    "aarch64_sme_umopsvnx4sivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "umops\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_umopsvnx4sivnx8hi },
    &operand_data[17569],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1736 */
  {
    "aarch64_sme_bmopavnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bmopa\tza%0.s, %1/m, %2/m, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_bmopavnx4sivnx4si },
    &operand_data[17574],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1736 */
  {
    "aarch64_sme_bmopsvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bmops\tza%0.s, %1/m, %2/m, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_bmopsvnx4sivnx4si },
    &operand_data[17574],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1759 */
  {
    "aarch64_sme_fdotvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fdotvnx4sivnx16bf },
    &operand_data[17579],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1759 */
  {
    "aarch64_sme_fdotvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fdotvnx4sivnx32bf },
    &operand_data[17582],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1759 */
  {
    "aarch64_sme_fdotvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fdotvnx4sivnx16hf },
    &operand_data[17585],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1759 */
  {
    "aarch64_sme_fdotvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fdotvnx4sivnx32hf },
    &operand_data[17588],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1772 */
  {
    "*aarch64_sme_fdotvnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17591],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1772 */
  {
    "*aarch64_sme_fdotvnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17595],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1772 */
  {
    "*aarch64_sme_fdotvnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17599],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1772 */
  {
    "*aarch64_sme_fdotvnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17603],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1786 */
  {
    "aarch64_sme_single_fdotvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fdotvnx4sivnx16bf },
    &operand_data[17607],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1786 */
  {
    "aarch64_sme_single_fdotvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fdotvnx4sivnx32bf },
    &operand_data[17610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1786 */
  {
    "aarch64_sme_single_fdotvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fdotvnx4sivnx16hf },
    &operand_data[17613],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1786 */
  {
    "aarch64_sme_single_fdotvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fdotvnx4sivnx32hf },
    &operand_data[17616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1800 */
  {
    "*aarch64_sme_single_fdotvnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1800 */
  {
    "*aarch64_sme_single_fdotvnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1800 */
  {
    "*aarch64_sme_single_fdotvnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1800 */
  {
    "*aarch64_sme_single_fdotvnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1815 */
  {
    "aarch64_sme_lane_fdotvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fdotvnx4sivnx16bf },
    &operand_data[17635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1815 */
  {
    "aarch64_sme_lane_fvdotvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfvdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fvdotvnx4sivnx16bf },
    &operand_data[17635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1815 */
  {
    "aarch64_sme_lane_fdotvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fdotvnx4sivnx32bf },
    &operand_data[17639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1815 */
  {
    "aarch64_sme_lane_fvdotvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfvdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fvdotvnx4sivnx32bf },
    &operand_data[17639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1815 */
  {
    "aarch64_sme_lane_fdotvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fdotvnx4sivnx16hf },
    &operand_data[17643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1815 */
  {
    "aarch64_sme_lane_fvdotvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fvdot\tza.s[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fvdotvnx4sivnx16hf },
    &operand_data[17643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1815 */
  {
    "aarch64_sme_lane_fdotvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fdotvnx4sivnx32hf },
    &operand_data[17647],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1815 */
  {
    "aarch64_sme_lane_fvdotvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fvdot\tza.s[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fvdotvnx4sivnx32hf },
    &operand_data[17647],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1831 */
  {
    "*aarch64_sme_lane_fdotvnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17651],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1831 */
  {
    "*aarch64_sme_lane_fvdotvnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfvdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17651],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1831 */
  {
    "*aarch64_sme_lane_fdotvnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17656],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1831 */
  {
    "*aarch64_sme_lane_fvdotvnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfvdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17656],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1831 */
  {
    "*aarch64_sme_lane_fdotvnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17661],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1831 */
  {
    "*aarch64_sme_lane_fvdotvnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fvdot\tza.s[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17661],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1831 */
  {
    "*aarch64_sme_lane_fdotvnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17666],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1831 */
  {
    "*aarch64_sme_lane_fvdotvnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fvdot\tza.s[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17666],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlavnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx8sfvnx8sf },
    &operand_data[17671],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlsvnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx8sfvnx8sf },
    &operand_data[17671],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlavnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx16sfvnx16sf },
    &operand_data[17674],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlsvnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx16sfvnx16sf },
    &operand_data[17674],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlavnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4dfvnx4df },
    &operand_data[17677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlsvnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4dfvnx4df },
    &operand_data[17677],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlavnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx8dfvnx8df },
    &operand_data[17680],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlsvnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx8dfvnx8df },
    &operand_data[17680],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlavnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.h[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx16hfvnx16hf },
    &operand_data[17585],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlsvnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.h[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx16hfvnx16hf },
    &operand_data[17585],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlavnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.h[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx32hfvnx32hf },
    &operand_data[17588],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlsvnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.h[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx32hfvnx32hf },
    &operand_data[17588],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlavnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmla\tza.h[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx16bfvnx16bf },
    &operand_data[17579],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlsvnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmls\tza.h[%w0, 0, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx16bfvnx16bf },
    &operand_data[17579],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlavnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmla\tza.h[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx32bfvnx32bf },
    &operand_data[17582],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1858 */
  {
    "aarch64_sme_fmlsvnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmls\tza.h[%w0, 0, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx32bfvnx32bf },
    &operand_data[17582],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlavnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17683],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlsvnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17683],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlavnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17687],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlsvnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17687],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlavnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17691],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlsvnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17691],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlavnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlsvnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17695],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlavnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.h[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17599],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlsvnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.h[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17599],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlavnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.h[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17603],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlsvnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.h[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17603],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlavnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmla\tza.h[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17591],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlsvnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmls\tza.h[%w0, %1, vgx2], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17591],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlavnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmla\tza.h[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17595],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1871 */
  {
    "*aarch64_sme_fmlsvnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmls\tza.h[%w0, %1, vgx4], %2, %3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17595],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlavnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx2], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx8sfvnx8sf },
    &operand_data[17699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlsvnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx2], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx8sfvnx8sf },
    &operand_data[17699],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlavnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx4], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx16sfvnx16sf },
    &operand_data[17702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlsvnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx4], %1, %2.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx16sfvnx16sf },
    &operand_data[17702],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlavnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx2], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4dfvnx4df },
    &operand_data[17705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlsvnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx2], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4dfvnx4df },
    &operand_data[17705],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlavnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx4], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx8dfvnx8df },
    &operand_data[17708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlsvnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx4], %1, %2.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx8dfvnx8df },
    &operand_data[17708],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlavnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.h[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx16hfvnx16hf },
    &operand_data[17613],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlsvnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.h[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx16hfvnx16hf },
    &operand_data[17613],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlavnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.h[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx32hfvnx32hf },
    &operand_data[17616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlsvnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.h[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx32hfvnx32hf },
    &operand_data[17616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlavnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmla\tza.h[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx16bfvnx16bf },
    &operand_data[17607],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlsvnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmls\tza.h[%w0, 0, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx16bfvnx16bf },
    &operand_data[17607],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlavnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmla\tza.h[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx32bfvnx32bf },
    &operand_data[17610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1885 */
  {
    "aarch64_sme_single_fmlsvnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmls\tza.h[%w0, 0, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx32bfvnx32bf },
    &operand_data[17610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlavnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx2], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlsvnx8sfvnx8sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx2], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17711],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlavnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx4], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17715],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlsvnx16sfvnx16sf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx4], %2, %3.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17715],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlavnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx2], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17719],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlsvnx4dfvnx4df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx2], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17719],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlavnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx4], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17723],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlsvnx8dfvnx8df_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx4], %2, %3.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17723],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlavnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.h[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlsvnx16hfvnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.h[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17627],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlavnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.h[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlsvnx32hfvnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.h[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17631],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlavnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmla\tza.h[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlsvnx16bfvnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmls\tza.h[%w0, %1, vgx2], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17619],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlavnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmla\tza.h[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1899 */
  {
    "*aarch64_sme_single_fmlsvnx32bfvnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmls\tza.h[%w0, %1, vgx4], %2, %3.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17623],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlavnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx2], %1, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx8sfvnx8sf },
    &operand_data[17727],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlsvnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx2], %1, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx8sfvnx8sf },
    &operand_data[17727],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlavnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, 0, vgx4], %1, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx16sfvnx16sf },
    &operand_data[17731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlsvnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, 0, vgx4], %1, %2.s[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx16sfvnx16sf },
    &operand_data[17731],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlavnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx2], %1, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4dfvnx4df },
    &operand_data[17735],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlsvnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx2], %1, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4dfvnx4df },
    &operand_data[17735],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlavnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, 0, vgx4], %1, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx8dfvnx8df },
    &operand_data[17739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlsvnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, 0, vgx4], %1, %2.d[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx8dfvnx8df },
    &operand_data[17739],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlavnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.h[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx16hfvnx16hf },
    &operand_data[17643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlsvnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.h[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx16hfvnx16hf },
    &operand_data[17643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlavnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.h[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx32hfvnx32hf },
    &operand_data[17647],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlsvnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.h[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx32hfvnx32hf },
    &operand_data[17647],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlavnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmla\tza.h[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx16bfvnx16bf },
    &operand_data[17635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlsvnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmls\tza.h[%w0, 0, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx16bfvnx16bf },
    &operand_data[17635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlavnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmla\tza.h[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx32bfvnx32bf },
    &operand_data[17639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1914 */
  {
    "aarch64_sme_lane_fmlsvnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmls\tza.h[%w0, 0, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx32bfvnx32bf },
    &operand_data[17639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlavnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx2], %2, %3.s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17743],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlsvnx8sfvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx2], %2, %3.s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17743],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlavnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.s[%w0, %1, vgx4], %2, %3.s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlsvnx16sfvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.s[%w0, %1, vgx4], %2, %3.s[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17748],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlavnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx2], %2, %3.d[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17753],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlsvnx4dfvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx2], %2, %3.d[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17753],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlavnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.d[%w0, %1, vgx4], %2, %3.d[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17758],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlsvnx8dfvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.d[%w0, %1, vgx4], %2, %3.d[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17758],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlavnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.h[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17661],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlsvnx16hfvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.h[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17661],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlavnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmla\tza.h[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17666],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlsvnx32hfvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmls\tza.h[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17666],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlavnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmla\tza.h[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17651],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlsvnx16bfvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmls\tza.h[%w0, %1, vgx2], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17651],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlavnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmla\tza.h[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17656],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1930 */
  {
    "*aarch64_sme_lane_fmlsvnx32bfvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmls\tza.h[%w0, %1, vgx4], %2, %3.h[%4]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { 0 },
    &operand_data[17656],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1957 */
  {
    "aarch64_sme_fmlavnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx8bf },
    &operand_data[17763],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1957 */
  {
    "aarch64_sme_fmlsvnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx8bf },
    &operand_data[17763],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1957 */
  {
    "aarch64_sme_fmlavnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx8hf },
    &operand_data[17766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1957 */
  {
    "aarch64_sme_fmlsvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1], %1.h, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx8hf },
    &operand_data[17766],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1970 */
  {
    "*aarch64_sme_fmlavnx4sivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14005 },
#else
    { 0, 0, output_14005 },
#endif
    { 0 },
    &operand_data[17769],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1970 */
  {
    "*aarch64_sme_fmlsvnx4sivnx8bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14006 },
#else
    { 0, 0, output_14006 },
#endif
    { 0 },
    &operand_data[17769],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1970 */
  {
    "*aarch64_sme_fmlavnx4sivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14007 },
#else
    { 0, 0, output_14007 },
#endif
    { 0 },
    &operand_data[17773],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1970 */
  {
    "*aarch64_sme_fmlsvnx4sivnx8hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14008 },
#else
    { 0, 0, output_14008 },
#endif
    { 0 },
    &operand_data[17773],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1987 */
  {
    "aarch64_sme_fmlavnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx16bf },
    &operand_data[17579],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1987 */
  {
    "aarch64_sme_fmlsvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx16bf },
    &operand_data[17579],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1987 */
  {
    "aarch64_sme_fmlavnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx32bf },
    &operand_data[17582],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1987 */
  {
    "aarch64_sme_fmlsvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx32bf },
    &operand_data[17582],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1987 */
  {
    "aarch64_sme_fmlavnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx16hf },
    &operand_data[17585],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1987 */
  {
    "aarch64_sme_fmlsvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1, vgx2], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx16hf },
    &operand_data[17585],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1987 */
  {
    "aarch64_sme_fmlavnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlavnx4sivnx32hf },
    &operand_data[17588],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:1987 */
  {
    "aarch64_sme_fmlsvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1, vgx4], %1, %2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmlsvnx4sivnx32hf },
    &operand_data[17588],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2000 */
  {
    "*aarch64_sme_fmlavnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14017 },
#else
    { 0, 0, output_14017 },
#endif
    { 0 },
    &operand_data[17777],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2000 */
  {
    "*aarch64_sme_fmlsvnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14018 },
#else
    { 0, 0, output_14018 },
#endif
    { 0 },
    &operand_data[17777],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2000 */
  {
    "*aarch64_sme_fmlavnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14019 },
#else
    { 0, 0, output_14019 },
#endif
    { 0 },
    &operand_data[17781],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2000 */
  {
    "*aarch64_sme_fmlsvnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14020 },
#else
    { 0, 0, output_14020 },
#endif
    { 0 },
    &operand_data[17781],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2000 */
  {
    "*aarch64_sme_fmlavnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14021 },
#else
    { 0, 0, output_14021 },
#endif
    { 0 },
    &operand_data[17785],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2000 */
  {
    "*aarch64_sme_fmlsvnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14022 },
#else
    { 0, 0, output_14022 },
#endif
    { 0 },
    &operand_data[17785],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2000 */
  {
    "*aarch64_sme_fmlavnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14023 },
#else
    { 0, 0, output_14023 },
#endif
    { 0 },
    &operand_data[17789],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2000 */
  {
    "*aarch64_sme_fmlsvnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14024 },
#else
    { 0, 0, output_14024 },
#endif
    { 0 },
    &operand_data[17789],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2017 */
  {
    "aarch64_sme_single_fmlavnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4sivnx16bf },
    &operand_data[17607],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2017 */
  {
    "aarch64_sme_single_fmlsvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4sivnx16bf },
    &operand_data[17607],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2017 */
  {
    "aarch64_sme_single_fmlavnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4sivnx32bf },
    &operand_data[17610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2017 */
  {
    "aarch64_sme_single_fmlsvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4sivnx32bf },
    &operand_data[17610],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2017 */
  {
    "aarch64_sme_single_fmlavnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4sivnx16hf },
    &operand_data[17613],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2017 */
  {
    "aarch64_sme_single_fmlsvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4sivnx16hf },
    &operand_data[17613],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2017 */
  {
    "aarch64_sme_single_fmlavnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlavnx4sivnx32hf },
    &operand_data[17616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2017 */
  {
    "aarch64_sme_single_fmlsvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_single_fmlsvnx4sivnx32hf },
    &operand_data[17616],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2031 */
  {
    "*aarch64_sme_single_fmlavnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14033 },
#else
    { 0, 0, output_14033 },
#endif
    { 0 },
    &operand_data[17793],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2031 */
  {
    "*aarch64_sme_single_fmlsvnx4sivnx16bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14034 },
#else
    { 0, 0, output_14034 },
#endif
    { 0 },
    &operand_data[17793],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2031 */
  {
    "*aarch64_sme_single_fmlavnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14035 },
#else
    { 0, 0, output_14035 },
#endif
    { 0 },
    &operand_data[17797],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2031 */
  {
    "*aarch64_sme_single_fmlsvnx4sivnx32bf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14036 },
#else
    { 0, 0, output_14036 },
#endif
    { 0 },
    &operand_data[17797],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2031 */
  {
    "*aarch64_sme_single_fmlavnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14037 },
#else
    { 0, 0, output_14037 },
#endif
    { 0 },
    &operand_data[17801],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2031 */
  {
    "*aarch64_sme_single_fmlsvnx4sivnx16hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14038 },
#else
    { 0, 0, output_14038 },
#endif
    { 0 },
    &operand_data[17801],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2031 */
  {
    "*aarch64_sme_single_fmlavnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14039 },
#else
    { 0, 0, output_14039 },
#endif
    { 0 },
    &operand_data[17805],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2031 */
  {
    "*aarch64_sme_single_fmlsvnx4sivnx32hf_plus",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14040 },
#else
    { 0, 0, output_14040 },
#endif
    { 0 },
    &operand_data[17805],
    4,
    4,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2049 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx8bf },
    &operand_data[17809],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2049 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx8bf },
    &operand_data[17809],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2049 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx16bf },
    &operand_data[17635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2049 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx16bf },
    &operand_data[17635],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2049 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlal\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx32bf },
    &operand_data[17639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2049 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx32bf },
    &operand_data[17639],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2049 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx8hf },
    &operand_data[17813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2049 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1], %1.h, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx8hf },
    &operand_data[17813],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2049 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx16hf },
    &operand_data[17643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2049 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1, vgx2], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx16hf },
    &operand_data[17643],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2049 */
  {
    "aarch64_sme_lane_fmlavnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlal\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlavnx4sivnx32hf },
    &operand_data[17647],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2049 */
  {
    "aarch64_sme_lane_fmlsvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmlsl\tza.s[%w0, 0:1, vgx4], %1, %2.h[%3]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lane_fmlsvnx4sivnx32hf },
    &operand_data[17647],
    4,
    4,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2065 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14053 },
#else
    { 0, 0, output_14053 },
#endif
    { 0 },
    &operand_data[17817],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2065 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14054 },
#else
    { 0, 0, output_14054 },
#endif
    { 0 },
    &operand_data[17817],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2065 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14055 },
#else
    { 0, 0, output_14055 },
#endif
    { 0 },
    &operand_data[17822],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2065 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14056 },
#else
    { 0, 0, output_14056 },
#endif
    { 0 },
    &operand_data[17822],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2065 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14057 },
#else
    { 0, 0, output_14057 },
#endif
    { 0 },
    &operand_data[17827],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2065 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14058 },
#else
    { 0, 0, output_14058 },
#endif
    { 0 },
    &operand_data[17827],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2065 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14059 },
#else
    { 0, 0, output_14059 },
#endif
    { 0 },
    &operand_data[17832],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2065 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14060 },
#else
    { 0, 0, output_14060 },
#endif
    { 0 },
    &operand_data[17832],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2065 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14061 },
#else
    { 0, 0, output_14061 },
#endif
    { 0 },
    &operand_data[17837],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2065 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14062 },
#else
    { 0, 0, output_14062 },
#endif
    { 0 },
    &operand_data[17837],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2065 */
  {
    "*aarch64_sme_lane_fmlavnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14063 },
#else
    { 0, 0, output_14063 },
#endif
    { 0 },
    &operand_data[17842],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2065 */
  {
    "*aarch64_sme_lane_fmlsvnx4sivnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .function = output_14064 },
#else
    { 0, 0, output_14064 },
#endif
    { 0 },
    &operand_data[17842],
    5,
    5,
    0,
    1,
    3
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2095 */
  {
    "aarch64_sme_fmopavnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmopa\tza%0.s, %1/m, %2/m, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx4sfvnx4sf },
    &operand_data[17847],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2095 */
  {
    "aarch64_sme_fmopsvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmops\tza%0.s, %1/m, %2/m, %3.s, %4.s",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx4sfvnx4sf },
    &operand_data[17847],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2095 */
  {
    "aarch64_sme_fmopavnx2dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmopa\tza%0.d, %1/m, %2/m, %3.d, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx2dfvnx2df },
    &operand_data[17852],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2095 */
  {
    "aarch64_sme_fmopsvnx2dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmops\tza%0.d, %1/m, %2/m, %3.d, %4.d",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx2dfvnx2df },
    &operand_data[17852],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2095 */
  {
    "aarch64_sme_fmopavnx8hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmopa\tza%0.h, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx8hfvnx8hf },
    &operand_data[17857],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2095 */
  {
    "aarch64_sme_fmopsvnx8hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmops\tza%0.h, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx8hfvnx8hf },
    &operand_data[17857],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2095 */
  {
    "aarch64_sme_fmopavnx8bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmopa\tza%0.h, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx8bfvnx8bf },
    &operand_data[17862],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2095 */
  {
    "aarch64_sme_fmopsvnx8bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmops\tza%0.h, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx8bfvnx8bf },
    &operand_data[17862],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2110 */
  {
    "aarch64_sme_fmopavnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmopa\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx4sivnx8bf },
    &operand_data[17867],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2110 */
  {
    "aarch64_sme_fmopsvnx4sivnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "bfmops\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx4sivnx8bf },
    &operand_data[17867],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2110 */
  {
    "aarch64_sme_fmopavnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmopa\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopavnx4sivnx8hf },
    &operand_data[17872],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2110 */
  {
    "aarch64_sme_fmopsvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "fmops\tza%0.s, %1/m, %2/m, %3.h, %4.h",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_fmopsvnx4sivnx8hf },
    &operand_data[17872],
    5,
    5,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2141 */
  {
    "aarch64_sme_lut2vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.b, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx16qi },
    &operand_data[17877],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2141 */
  {
    "aarch64_sme_lut4vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.b, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx16qi },
    &operand_data[17877],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2141 */
  {
    "aarch64_sme_lut2vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.h, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx8hi },
    &operand_data[16007],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2141 */
  {
    "aarch64_sme_lut4vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.h, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx8hi },
    &operand_data[16007],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2141 */
  {
    "aarch64_sme_lut2vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.s, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx4si },
    &operand_data[17880],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2141 */
  {
    "aarch64_sme_lut4vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.s, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx4si },
    &operand_data[17880],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2141 */
  {
    "aarch64_sme_lut2vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.h, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx8bf },
    &operand_data[17883],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2141 */
  {
    "aarch64_sme_lut4vnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.h, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx8bf },
    &operand_data[17883],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2141 */
  {
    "aarch64_sme_lut2vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.h, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx8hf },
    &operand_data[17886],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2141 */
  {
    "aarch64_sme_lut4vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.h, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx8hf },
    &operand_data[17886],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2141 */
  {
    "aarch64_sme_lut2vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0.s, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx4sf },
    &operand_data[17889],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2141 */
  {
    "aarch64_sme_lut4vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0.s, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx4sf },
    &operand_data[17889],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut2vnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx32qi },
    &operand_data[17892],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut4vnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx32qi },
    &operand_data[17892],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut2vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx16hi },
    &operand_data[17895],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut4vnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx16hi },
    &operand_data[17895],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut2vnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx8si },
    &operand_data[17898],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut4vnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx8si },
    &operand_data[17898],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut2vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx16bf },
    &operand_data[17901],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut4vnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx16bf },
    &operand_data[17901],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut2vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx16hf },
    &operand_data[17904],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut4vnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx16hf },
    &operand_data[17904],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut2vnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx8sf },
    &operand_data[17907],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut4vnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx8sf },
    &operand_data[17907],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut2vnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx64qi },
    &operand_data[17910],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut4vnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx64qi },
    &operand_data[17910],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut2vnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx32hi },
    &operand_data[17913],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut4vnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx32hi },
    &operand_data[17913],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut2vnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx16si },
    &operand_data[17916],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut4vnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx16si },
    &operand_data[17916],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut2vnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx32bf },
    &operand_data[17919],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut4vnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx32bf },
    &operand_data[17919],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut2vnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx32hf },
    &operand_data[17922],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut4vnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx32hf },
    &operand_data[17922],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut2vnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti2\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut2vnx16sf },
    &operand_data[17925],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64-sme.md:2154 */
  {
    "aarch64_sme_lut4vnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { .single =
#else
    {
#endif
    "luti4\t%0, zt0, %1[%2]",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    },
#else
    0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sme_lut4vnx16sf },
    &operand_data[17925],
    3,
    3,
    0,
    1,
    1
  },
  /* ../../gcc/config/aarch64/aarch64.md:695 */
  {
    "cbranchsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchsi4 },
    &operand_data[17928],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:695 */
  {
    "cbranchdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchdi4 },
    &operand_data[17932],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:709 */
  {
    "cbranchsf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchsf4 },
    &operand_data[17936],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:709 */
  {
    "cbranchdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchdf4 },
    &operand_data[17940],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:723 */
  {
    "cbranchcc4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchcc4 },
    &operand_data[17944],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:814 */
  {
    "modsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_modsi3 },
    &operand_data[17948],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:814 */
  {
    "moddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_moddi3 },
    &operand_data[17951],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:928 */
  {
    "casesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_casesi },
    &operand_data[17954],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:980 */
  {
    "casesi_dispatch",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_casesi_dispatch },
    &operand_data[17958],
    2,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1062 */
  {
    "prologue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_prologue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1071 */
  {
    "epilogue",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_epilogue },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1102 */
  {
    "return",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_return },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1144 */
  {
    "tbranch_eqqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tbranch_eqqi3 },
    &operand_data[17962],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1144 */
  {
    "tbranch_neqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tbranch_neqi3 },
    &operand_data[17962],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1144 */
  {
    "tbranch_eqhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tbranch_eqhi3 },
    &operand_data[17965],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1144 */
  {
    "tbranch_nehi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tbranch_nehi3 },
    &operand_data[17965],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1240 */
  {
    "save_stack_nonlocal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_save_stack_nonlocal },
    &operand_data[17968],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1272 */
  {
    "restore_stack_nonlocal",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_restore_stack_nonlocal },
    &operand_data[17969],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1326 */
  {
    "call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_call },
    &operand_data[17970],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1352 */
  {
    "call_value",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_call_value },
    &operand_data[17972],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1380 */
  {
    "sibcall",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall },
    &operand_data[17970],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1393 */
  {
    "sibcall_value",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sibcall_value },
    &operand_data[17972],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1447 */
  {
    "untyped_call",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_untyped_call },
    &operand_data[17975],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1496 */
  {
    "movqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movqi },
    &operand_data[17978],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1496 */
  {
    "movhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhi },
    &operand_data[17980],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1540 */
  {
    "movsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsi },
    &operand_data[17982],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1540 */
  {
    "movdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdi },
    &operand_data[17984],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1687 */
  {
    "movti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movti },
    &operand_data[17986],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1745 */
  {
    "movhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhf },
    &operand_data[17988],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1745 */
  {
    "movbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movbf },
    &operand_data[17990],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1745 */
  {
    "movsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsf },
    &operand_data[17992],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1745 */
  {
    "movdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdf },
    &operand_data[17994],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1745 */
  {
    "movtf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movtf },
    &operand_data[17996],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1745 */
  {
    "movsd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsd },
    &operand_data[17998],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1745 */
  {
    "movdd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdd },
    &operand_data[18000],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1745 */
  {
    "movtd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movtd },
    &operand_data[18002],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1925 */
  {
    "aarch64_cpymemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cpymemdi },
    &operand_data[17975],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1957 */
  {
    "cpymemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cpymemdi },
    &operand_data[18004],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:1970 */
  {
    "aarch64_movmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_movmemdi },
    &operand_data[17975],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2003 */
  {
    "movmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmemdi },
    &operand_data[18004],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2016 */
  {
    "aarch64_setmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_setmemdi },
    &operand_data[17975],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2046 */
  {
    "setmemdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_setmemdi },
    &operand_data[18008],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2326 */
  {
    "extendsidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendsidi2 },
    &operand_data[18012],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2326 */
  {
    "zero_extendsidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendsidi2 },
    &operand_data[18012],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2386 */
  {
    "extendqisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqisi2 },
    &operand_data[18014],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2386 */
  {
    "zero_extendqisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqisi2 },
    &operand_data[18014],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2386 */
  {
    "extendqidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqidi2 },
    &operand_data[18016],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2386 */
  {
    "zero_extendqidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqidi2 },
    &operand_data[18016],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2386 */
  {
    "extendhisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhisi2 },
    &operand_data[18018],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2386 */
  {
    "zero_extendhisi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendhisi2 },
    &operand_data[18018],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2386 */
  {
    "extendhidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendhidi2 },
    &operand_data[18020],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2386 */
  {
    "zero_extendhidi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendhidi2 },
    &operand_data[18020],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2415 */
  {
    "extendqihi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendqihi2 },
    &operand_data[18022],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2415 */
  {
    "zero_extendqihi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendqihi2 },
    &operand_data[18022],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2445 */
  {
    "addsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3 },
    &operand_data[18024],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2445 */
  {
    "adddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3 },
    &operand_data[18027],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2622 */
  {
    "addvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvsi4 },
    &operand_data[18030],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2622 */
  {
    "addvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvdi4 },
    &operand_data[18034],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2639 */
  {
    "uaddvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvsi4 },
    &operand_data[18038],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2639 */
  {
    "uaddvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvdi4 },
    &operand_data[18042],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2652 */
  {
    "addti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addti3 },
    &operand_data[18046],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2685 */
  {
    "addvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvti4 },
    &operand_data[18046],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:2719 */
  {
    "uaddvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uaddvti4 },
    &operand_data[18046],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3077 */
  {
    "addsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryin },
    &operand_data[18050],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3077 */
  {
    "adddi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryin },
    &operand_data[18053],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3117 */
  {
    "addsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryinC },
    &operand_data[18038],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3117 */
  {
    "adddi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryinC },
    &operand_data[18042],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3180 */
  {
    "addsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addsi3_carryinV },
    &operand_data[18038],
    3,
    3,
    7,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3180 */
  {
    "adddi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_adddi3_carryinV },
    &operand_data[18042],
    3,
    3,
    7,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3309 */
  {
    "subvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvsi4 },
    &operand_data[18030],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3309 */
  {
    "subvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvdi4 },
    &operand_data[18034],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3360 */
  {
    "negvsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvsi3 },
    &operand_data[18039],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3360 */
  {
    "negvdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvdi3 },
    &operand_data[18043],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3414 */
  {
    "usubvsi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvsi4 },
    &operand_data[18056],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3414 */
  {
    "usubvdi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvdi4 },
    &operand_data[18060],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3427 */
  {
    "subti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subti3 },
    &operand_data[18064],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3447 */
  {
    "subvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvti4 },
    &operand_data[18046],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3466 */
  {
    "usubvti4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubvti4 },
    &operand_data[18046],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3485 */
  {
    "negvti3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvti3 },
    &operand_data[18066],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3757 */
  {
    "subsi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_carryin },
    &operand_data[18069],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3757 */
  {
    "subdi3_carryin",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_carryin },
    &operand_data[18072],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3822 */
  {
    "usubsi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubsi3_carryinC },
    &operand_data[18069],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3822 */
  {
    "usubdi3_carryinC",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usubdi3_carryinC },
    &operand_data[18072],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3889 */
  {
    "subsi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subsi3_carryinV },
    &operand_data[18069],
    3,
    3,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3889 */
  {
    "subdi3_carryinV",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subdi3_carryinV },
    &operand_data[18072],
    3,
    3,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3992 */
  {
    "abssi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_abssi2 },
    &operand_data[17948],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:3992 */
  {
    "absdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absdi2 },
    &operand_data[17951],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4248 */
  {
    "mulditi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulditi3 },
    &operand_data[18075],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4248 */
  {
    "umulditi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulditi3 },
    &operand_data[18075],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4267 */
  {
    "multi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_multi3 },
    &operand_data[18078],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4400 */
  {
    "cstoresi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresi4 },
    &operand_data[18081],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4400 */
  {
    "cstoredi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredi4 },
    &operand_data[18085],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4413 */
  {
    "cstorecc4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstorecc4 },
    &operand_data[18089],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4425 */
  {
    "cstoresf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoresf4 },
    &operand_data[18093],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4425 */
  {
    "cstoredf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cstoredf4 },
    &operand_data[18097],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4513 */
  {
    "cmovsi6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovsi6 },
    &operand_data[18101],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4513 */
  {
    "cmovdi6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovdi6 },
    &operand_data[18107],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4529 */
  {
    "cmovsf6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovsf6 },
    &operand_data[18113],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4529 */
  {
    "cmovdf6",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmovdf6 },
    &operand_data[18119],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4634 */
  {
    "movqicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movqicc },
    &operand_data[18125],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4634 */
  {
    "movhicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movhicc },
    &operand_data[18129],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4634 */
  {
    "movsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsicc },
    &operand_data[18133],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4634 */
  {
    "movdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdicc },
    &operand_data[18137],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4653 */
  {
    "movsfsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfsicc },
    &operand_data[18141],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4653 */
  {
    "movsfdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfdicc },
    &operand_data[18145],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4653 */
  {
    "movdfsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfsicc },
    &operand_data[18149],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4653 */
  {
    "movdfdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfdicc },
    &operand_data[18153],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4672 */
  {
    "movsfcc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movsfcc },
    &operand_data[18157],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4672 */
  {
    "movdfcc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movdfcc },
    &operand_data[18161],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4691 */
  {
    "negsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negsicc },
    &operand_data[18133],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4691 */
  {
    "notsicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_notsicc },
    &operand_data[18133],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4691 */
  {
    "negdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negdicc },
    &operand_data[18137],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4691 */
  {
    "notdicc",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_notdicc },
    &operand_data[18137],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4727 */
  {
    "crc_revqiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crc_revqiqi4 },
    &operand_data[18165],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4727 */
  {
    "crc_revhiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crc_revhiqi4 },
    &operand_data[18169],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4727 */
  {
    "crc_revsiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crc_revsiqi4 },
    &operand_data[18173],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4727 */
  {
    "crc_revdiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crc_revdiqi4 },
    &operand_data[18177],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4727 */
  {
    "crc_revqihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crc_revqihi4 },
    &operand_data[18181],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4727 */
  {
    "crc_revhihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crc_revhihi4 },
    &operand_data[18185],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4727 */
  {
    "crc_revsihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crc_revsihi4 },
    &operand_data[18189],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4727 */
  {
    "crc_revdihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crc_revdihi4 },
    &operand_data[18193],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4727 */
  {
    "crc_revqisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crc_revqisi4 },
    &operand_data[18197],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4727 */
  {
    "crc_revhisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crc_revhisi4 },
    &operand_data[18201],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4727 */
  {
    "crc_revsisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crc_revsisi4 },
    &operand_data[18205],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4727 */
  {
    "crc_revdisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crc_revdisi4 },
    &operand_data[18209],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4766 */
  {
    "crcqiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crcqiqi4 },
    &operand_data[18165],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4766 */
  {
    "crchiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crchiqi4 },
    &operand_data[18169],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4766 */
  {
    "crcsiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crcsiqi4 },
    &operand_data[18173],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4766 */
  {
    "crcdiqi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crcdiqi4 },
    &operand_data[18177],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4766 */
  {
    "crcqihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crcqihi4 },
    &operand_data[18181],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4766 */
  {
    "crchihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crchihi4 },
    &operand_data[18185],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4766 */
  {
    "crcsihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crcsihi4 },
    &operand_data[18189],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4766 */
  {
    "crcdihi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crcdihi4 },
    &operand_data[18193],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4766 */
  {
    "crcqisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crcqisi4 },
    &operand_data[18197],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4766 */
  {
    "crchisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crchisi4 },
    &operand_data[18201],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4766 */
  {
    "crcsisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crcsisi4 },
    &operand_data[18205],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4766 */
  {
    "crcdisi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_crcdisi4 },
    &operand_data[18209],
    4,
    4,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "umaxsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxsi3 },
    &operand_data[18213],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:4949 */
  {
    "umaxdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxdi3 },
    &operand_data[18216],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5526 */
  {
    "ffssi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ffssi2 },
    &operand_data[17948],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5526 */
  {
    "ffsdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ffsdi2 },
    &operand_data[17951],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5557 */
  {
    "popcountqi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountqi2 },
    &operand_data[18127],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5557 */
  {
    "popcounthi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcounthi2 },
    &operand_data[18131],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5557 */
  {
    "popcountsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountsi2 },
    &operand_data[17948],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5557 */
  {
    "popcountdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountdi2 },
    &operand_data[17951],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5604 */
  {
    "popcountti2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountti2 },
    &operand_data[18074],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5765 */
  {
    "ashlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlsi3 },
    &operand_data[18219],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5765 */
  {
    "ashrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrsi3 },
    &operand_data[18219],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5765 */
  {
    "lshrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrsi3 },
    &operand_data[18219],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5765 */
  {
    "ashldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashldi3 },
    &operand_data[18222],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5765 */
  {
    "ashrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrdi3 },
    &operand_data[18222],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5765 */
  {
    "lshrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrdi3 },
    &operand_data[18222],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5785 */
  {
    "ashlqi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlqi3 },
    &operand_data[18225],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5785 */
  {
    "ashlhi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlhi3 },
    &operand_data[18228],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5801 */
  {
    "rotrsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotrsi3 },
    &operand_data[18219],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5801 */
  {
    "rotrdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotrdi3 },
    &operand_data[18222],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5821 */
  {
    "rotlsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotlsi3 },
    &operand_data[18219],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:5821 */
  {
    "rotldi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rotldi3 },
    &operand_data[18222],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6308 */
  {
    "extv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extv },
    &operand_data[18231],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6308 */
  {
    "extzv",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extzv },
    &operand_data[18231],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6357 */
  {
    "insvsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insvsi },
    &operand_data[18235],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6357 */
  {
    "insvdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_insvdi },
    &operand_data[18239],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6816 */
  {
    "aarch64_rev16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16si },
    &operand_data[17948],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6816 */
  {
    "aarch64_rev16di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rev16di },
    &operand_data[17951],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6881 */
  {
    "fmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmahf4 },
    &operand_data[18243],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6881 */
  {
    "fmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmasf4 },
    &operand_data[18247],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6881 */
  {
    "fmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmadf4 },
    &operand_data[18251],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6899 */
  {
    "fnmahf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmahf4 },
    &operand_data[18243],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6899 */
  {
    "fnmasf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmasf4 },
    &operand_data[18247],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6899 */
  {
    "fnmadf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmadf4 },
    &operand_data[18251],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6920 */
  {
    "fmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmssf4 },
    &operand_data[18247],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6920 */
  {
    "fmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsdf4 },
    &operand_data[18251],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6938 */
  {
    "fnmssf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmssf4 },
    &operand_data[18247],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:6938 */
  {
    "fnmsdf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsdf4 },
    &operand_data[18251],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7135 */
  {
    "floatsihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatsihf2 },
    &operand_data[18255],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7135 */
  {
    "floatunssihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunssihf2 },
    &operand_data[18255],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7164 */
  {
    "floatdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatdihf2 },
    &operand_data[18257],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7164 */
  {
    "floatunsdihf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsdihf2 },
    &operand_data[18257],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7302 */
  {
    "divhf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divhf3 },
    &operand_data[18259],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7302 */
  {
    "divsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divsf3 },
    &operand_data[18262],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7302 */
  {
    "divdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divdf3 },
    &operand_data[18265],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7331 */
  {
    "sqrthf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrthf2 },
    &operand_data[18243],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7331 */
  {
    "sqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtsf2 },
    &operand_data[18117],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7331 */
  {
    "sqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtdf2 },
    &operand_data[18123],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7361 */
  {
    "smaxsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxsi3 },
    &operand_data[18268],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7361 */
  {
    "sminsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminsi3 },
    &operand_data[18268],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7361 */
  {
    "uminsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminsi3 },
    &operand_data[18271],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7361 */
  {
    "smaxdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxdi3 },
    &operand_data[18274],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7361 */
  {
    "smindi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smindi3 },
    &operand_data[18274],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7361 */
  {
    "umindi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umindi3 },
    &operand_data[18277],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7433 */
  {
    "lrintsfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintsfsi2 },
    &operand_data[18280],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7433 */
  {
    "lrintsfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintsfdi2 },
    &operand_data[18112],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7433 */
  {
    "lrintdfsi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintdfsi2 },
    &operand_data[18282],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7433 */
  {
    "lrintdfdi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lrintdfdi2 },
    &operand_data[18284],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7461 */
  {
    "copysignsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignsf3 },
    &operand_data[18286],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7461 */
  {
    "copysigndf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysigndf3 },
    &operand_data[18289],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7511 */
  {
    "xorsignsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignsf3 },
    &operand_data[18247],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7511 */
  {
    "xorsigndf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsigndf3 },
    &operand_data[18251],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7533 */
  {
    "aarch64_reload_movcpsfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsfsi },
    &operand_data[18292],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7533 */
  {
    "aarch64_reload_movcpdfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdfsi },
    &operand_data[18295],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7533 */
  {
    "aarch64_reload_movcptfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptfsi },
    &operand_data[18298],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7533 */
  {
    "aarch64_reload_movcpsdsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsdsi },
    &operand_data[18301],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7533 */
  {
    "aarch64_reload_movcpddsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpddsi },
    &operand_data[18304],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7533 */
  {
    "aarch64_reload_movcptdsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptdsi },
    &operand_data[18307],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7533 */
  {
    "aarch64_reload_movcpsfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsfdi },
    &operand_data[18310],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7533 */
  {
    "aarch64_reload_movcpdfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdfdi },
    &operand_data[18313],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7533 */
  {
    "aarch64_reload_movcptfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptfdi },
    &operand_data[18316],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7533 */
  {
    "aarch64_reload_movcpsddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpsddi },
    &operand_data[18319],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7533 */
  {
    "aarch64_reload_movcpdddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpdddi },
    &operand_data[18322],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7533 */
  {
    "aarch64_reload_movcptddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcptddi },
    &operand_data[18325],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv8qisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8qisi },
    &operand_data[18328],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv8qidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8qidi },
    &operand_data[18331],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv16qisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv16qisi },
    &operand_data[18334],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv16qidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv16qidi },
    &operand_data[18337],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv4hisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4hisi },
    &operand_data[18340],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv4hidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4hidi },
    &operand_data[18343],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv8hisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8hisi },
    &operand_data[18346],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv8hidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv8hidi },
    &operand_data[18349],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sisi },
    &operand_data[18352],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv2sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sidi },
    &operand_data[18355],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sisi },
    &operand_data[18358],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv4sidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sidi },
    &operand_data[18361],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv2disi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2disi },
    &operand_data[18364],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2didi },
    &operand_data[18367],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv2sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sfsi },
    &operand_data[18370],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv2sfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2sfdi },
    &operand_data[18373],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv4sfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sfsi },
    &operand_data[18376],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv4sfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv4sfdi },
    &operand_data[18379],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv2dfsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2dfsi },
    &operand_data[18382],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7546 */
  {
    "aarch64_reload_movcpv2dfdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movcpv2dfdi },
    &operand_data[18385],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7558 */
  {
    "aarch64_reload_movti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movti },
    &operand_data[18388],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7558 */
  {
    "aarch64_reload_movtf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movtf },
    &operand_data[18391],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7558 */
  {
    "aarch64_reload_movtd",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movtd },
    &operand_data[18394],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7558 */
  {
    "aarch64_reload_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv16qi },
    &operand_data[18397],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7558 */
  {
    "aarch64_reload_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv8hi },
    &operand_data[18400],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7558 */
  {
    "aarch64_reload_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv4si },
    &operand_data[18403],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7558 */
  {
    "aarch64_reload_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv2di },
    &operand_data[18406],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7558 */
  {
    "aarch64_reload_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv8hf },
    &operand_data[18409],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7558 */
  {
    "aarch64_reload_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv4sf },
    &operand_data[18412],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7558 */
  {
    "aarch64_reload_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv2df },
    &operand_data[18415],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7558 */
  {
    "aarch64_reload_movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_reload_movv8bf },
    &operand_data[18418],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7632 */
  {
    "add_losym",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_add_losym },
    &operand_data[18421],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7710 */
  {
    "tlsgd_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsgd_small_si },
    &operand_data[18424],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7710 */
  {
    "tlsgd_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsgd_small_di },
    &operand_data[18426],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7820 */
  {
    "tlsdesc_small_si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_si },
    &operand_data[1365],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7820 */
  {
    "tlsdesc_small_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_tlsdesc_small_di },
    &operand_data[1365],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7925 */
  {
    "scs_push",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scs_push },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7930 */
  {
    "scs_pop",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scs_pop },
    &operand_data[0],
    0,
    0,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7977 */
  {
    "get_thread_pointerdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_get_thread_pointerdi },
    &operand_data[1340],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7990 */
  {
    "stack_protect_set",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_set },
    &operand_data[18428],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:7999 */
  {
    "stack_protect_combined_set",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_combined_set },
    &operand_data[18428],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:8043 */
  {
    "stack_protect_test",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_test },
    &operand_data[18428],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:8054 */
  {
    "stack_protect_combined_test",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_stack_protect_combined_test },
    &operand_data[18428],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:8104 */
  {
    "doloop_end",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_doloop_end },
    &operand_data[7055],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:8210 */
  {
    "despeculate_copyqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyqi },
    &operand_data[18431],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:8210 */
  {
    "despeculate_copyhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyhi },
    &operand_data[18434],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:8210 */
  {
    "despeculate_copysi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copysi },
    &operand_data[18437],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:8210 */
  {
    "despeculate_copydi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copydi },
    &operand_data[18440],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64.md:8210 */
  {
    "despeculate_copyti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_despeculate_copyti },
    &operand_data[18443],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8qi },
    &operand_data[18446],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv16qi },
    &operand_data[18448],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4hi },
    &operand_data[18450],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8hi },
    &operand_data[18452],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2si },
    &operand_data[18454],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4si },
    &operand_data[18456],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2di },
    &operand_data[18458],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4hf },
    &operand_data[18460],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8hf },
    &operand_data[18462],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4bf },
    &operand_data[18464],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8bf },
    &operand_data[18466],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2sf },
    &operand_data[18468],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4sf },
    &operand_data[18470],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:49 */
  {
    "movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2df },
    &operand_data[18472],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8qi },
    &operand_data[18446],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv16qi },
    &operand_data[18448],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4hi },
    &operand_data[18450],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8hi },
    &operand_data[18452],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2si },
    &operand_data[18454],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4si },
    &operand_data[18456],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2di },
    &operand_data[18458],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4hf },
    &operand_data[18460],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8hf },
    &operand_data[18462],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4bf },
    &operand_data[18464],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv8bf },
    &operand_data[18466],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2sf },
    &operand_data[18468],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv4sf },
    &operand_data[18470],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:80 */
  {
    "movmisalignv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignv2df },
    &operand_data[18472],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv16qi },
    &operand_data[18474],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8hi },
    &operand_data[18476],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv4si },
    &operand_data[18478],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv2di },
    &operand_data[18480],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8hf },
    &operand_data[18482],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv8bf },
    &operand_data[18484],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv4sf },
    &operand_data[18486],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:244 */
  {
    "aarch64_split_simd_movv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_split_simd_movv2df },
    &operand_data[18488],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv16qi },
    &operand_data[18490],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8hi },
    &operand_data[18493],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv4si },
    &operand_data[18496],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv2di },
    &operand_data[18499],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8hf },
    &operand_data[18502],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv8bf },
    &operand_data[18505],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv4sf },
    &operand_data[18508],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:275 */
  {
    "aarch64_get_halfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_get_halfv2df },
    &operand_data[18511],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:385 */
  {
    "ctzv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzv2si2 },
    &operand_data[18514],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:385 */
  {
    "ctzv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzv4si2 },
    &operand_data[18516],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:399 */
  {
    "xorsignv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv4hf3 },
    &operand_data[18518],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:399 */
  {
    "xorsignv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv8hf3 },
    &operand_data[18521],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:399 */
  {
    "xorsignv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv2sf3 },
    &operand_data[18524],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:399 */
  {
    "xorsignv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv4sf3 },
    &operand_data[18527],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:399 */
  {
    "xorsignv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignv2df3 },
    &operand_data[18530],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd90v4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v4hf3 },
    &operand_data[18518],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd270v4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v4hf3 },
    &operand_data[18518],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd90v8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v8hf3 },
    &operand_data[18521],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd270v8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v8hf3 },
    &operand_data[18521],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd90v2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v2sf3 },
    &operand_data[18524],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd270v2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v2sf3 },
    &operand_data[18524],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd90v4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v4sf3 },
    &operand_data[18527],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd270v4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v4sf3 },
    &operand_data[18527],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd90v2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90v2df3 },
    &operand_data[18530],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:444 */
  {
    "cadd270v2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270v2df3 },
    &operand_data[18530],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlav4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav4hf4 },
    &operand_data[18533],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlsv4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv4hf4 },
    &operand_data[18533],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmla_conjv4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv4hf4 },
    &operand_data[18533],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmls_conjv4hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv4hf4 },
    &operand_data[18533],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlav8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav8hf4 },
    &operand_data[18537],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlsv8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv8hf4 },
    &operand_data[18537],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmla_conjv8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv8hf4 },
    &operand_data[18537],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmls_conjv8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv8hf4 },
    &operand_data[18537],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlav2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav2sf4 },
    &operand_data[18541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlsv2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv2sf4 },
    &operand_data[18541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmla_conjv2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv2sf4 },
    &operand_data[18541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmls_conjv2sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv2sf4 },
    &operand_data[18541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlav4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav4sf4 },
    &operand_data[18545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlsv4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv4sf4 },
    &operand_data[18545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmla_conjv4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv4sf4 },
    &operand_data[18545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmls_conjv4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv4sf4 },
    &operand_data[18545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlav2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlav2df4 },
    &operand_data[18549],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmlsv2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsv2df4 },
    &operand_data[18549],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmla_conjv2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjv2df4 },
    &operand_data[18549],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:514 */
  {
    "cmls_conjv2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjv2df4 },
    &operand_data[18549],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmulv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv4hf3 },
    &operand_data[18518],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmul_conjv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv4hf3 },
    &operand_data[18518],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmulv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv8hf3 },
    &operand_data[18521],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmul_conjv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv8hf3 },
    &operand_data[18521],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmulv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv2sf3 },
    &operand_data[18524],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmul_conjv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv2sf3 },
    &operand_data[18524],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmulv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv4sf3 },
    &operand_data[18527],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmul_conjv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv4sf3 },
    &operand_data[18527],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmulv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulv2df3 },
    &operand_data[18530],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:533 */
  {
    "cmul_conjv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjv2df3 },
    &operand_data[18530],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:650 */
  {
    "copysignv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv4hf3 },
    &operand_data[18553],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:650 */
  {
    "copysignv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv8hf3 },
    &operand_data[18556],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:650 */
  {
    "copysignv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv2sf3 },
    &operand_data[18559],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:650 */
  {
    "copysignv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv4sf3 },
    &operand_data[18562],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:650 */
  {
    "copysignv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignv2df3 },
    &operand_data[18565],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "rsqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv2sf2 },
    &operand_data[18524],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "rsqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv4sf2 },
    &operand_data[18527],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "rsqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtv2df2 },
    &operand_data[18530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "rsqrtsf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtsf2 },
    &operand_data[18117],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:746 */
  {
    "rsqrtdf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtdf2 },
    &operand_data[18123],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "sabdv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdv8qi3 },
    &operand_data[18568],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "uabdv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdv8qi3 },
    &operand_data[18568],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "sabdv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdv16qi3 },
    &operand_data[18571],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "uabdv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdv16qi3 },
    &operand_data[18571],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "sabdv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdv4hi3 },
    &operand_data[18574],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "uabdv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdv4hi3 },
    &operand_data[18574],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "sabdv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdv8hi3 },
    &operand_data[18577],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "uabdv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdv8hi3 },
    &operand_data[18577],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "sabdv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdv2si3 },
    &operand_data[18580],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "uabdv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdv2si3 },
    &operand_data[18580],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "sabdv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdv4si3 },
    &operand_data[18583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:827 */
  {
    "uabdv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdv4si3 },
    &operand_data[18583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:878 */
  {
    "aarch64_sabdl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:878 */
  {
    "aarch64_uabdl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:878 */
  {
    "aarch64_sabdl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:878 */
  {
    "aarch64_uabdl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:878 */
  {
    "aarch64_sabdl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabdl2v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:878 */
  {
    "aarch64_uabdl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabdl2v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "vec_widen_sabd_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sabd_hi_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "vec_widen_uabd_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uabd_hi_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "vec_widen_sabd_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sabd_hi_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "vec_widen_uabd_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uabd_hi_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "vec_widen_sabd_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sabd_hi_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:926 */
  {
    "vec_widen_uabd_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uabd_hi_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:939 */
  {
    "vec_widen_sabd_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sabd_lo_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:939 */
  {
    "vec_widen_uabd_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uabd_lo_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:939 */
  {
    "vec_widen_sabd_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sabd_lo_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:939 */
  {
    "vec_widen_uabd_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uabd_lo_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:939 */
  {
    "vec_widen_sabd_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sabd_lo_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:939 */
  {
    "vec_widen_uabd_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uabd_lo_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:994 */
  {
    "aarch64_sabal2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v16qi },
    &operand_data[18595],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:994 */
  {
    "aarch64_uabal2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v16qi },
    &operand_data[18595],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:994 */
  {
    "aarch64_sabal2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v8hi },
    &operand_data[18593],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:994 */
  {
    "aarch64_uabal2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v8hi },
    &operand_data[18593],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:994 */
  {
    "aarch64_sabal2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sabal2v4si },
    &operand_data[18599],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:994 */
  {
    "aarch64_uabal2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uabal2v4si },
    &operand_data[18599],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_sadalpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv8qi },
    &operand_data[18603],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_uadalpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv8qi },
    &operand_data[18603],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_sadalpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv16qi },
    &operand_data[18595],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_uadalpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv16qi },
    &operand_data[18595],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_sadalpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv4hi },
    &operand_data[18606],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_uadalpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv4hi },
    &operand_data[18606],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_sadalpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv8hi },
    &operand_data[18584],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_uadalpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv8hi },
    &operand_data[18584],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_sadalpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv4si },
    &operand_data[18599],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_uadalpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv4si },
    &operand_data[18599],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_sadalpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sadalpv2si },
    &operand_data[18609],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1009 */
  {
    "aarch64_uadalpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uadalpv2si },
    &operand_data[18609],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1065 */
  {
    "ssadv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadv16qi },
    &operand_data[18612],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1065 */
  {
    "usadv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadv16qi },
    &operand_data[18612],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1250 */
  {
    "signbitv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_signbitv2sf2 },
    &operand_data[18616],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1250 */
  {
    "signbitv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_signbitv4sf2 },
    &operand_data[18618],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8qi },
    &operand_data[18620],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8qi },
    &operand_data[18620],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv16qi },
    &operand_data[18624],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv16qi },
    &operand_data[18624],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4hi },
    &operand_data[18628],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4hi },
    &operand_data[18628],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv8hi },
    &operand_data[18632],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv8hi },
    &operand_data[18632],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2si },
    &operand_data[18636],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2si },
    &operand_data[18636],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv4si },
    &operand_data[18640],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv4si },
    &operand_data[18640],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_ssra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssra_nv2di },
    &operand_data[18644],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1348 */
  {
    "aarch64_usra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usra_nv2di },
    &operand_data[18644],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8qi },
    &operand_data[18620],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8qi },
    &operand_data[18620],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv16qi },
    &operand_data[18624],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv16qi },
    &operand_data[18624],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4hi },
    &operand_data[18628],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4hi },
    &operand_data[18628],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv8hi },
    &operand_data[18632],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv8hi },
    &operand_data[18632],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2si },
    &operand_data[18636],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2si },
    &operand_data[18636],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv4si },
    &operand_data[18640],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv4si },
    &operand_data[18640],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_nv2di },
    &operand_data[18644],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_nv2di },
    &operand_data[18644],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_srsra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srsra_ndi },
    &operand_data[18648],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1362 */
  {
    "aarch64_ursra_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ursra_ndi },
    &operand_data[18648],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv8qi3 },
    &operand_data[18652],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv16qi3 },
    &operand_data[18655],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv4hi3 },
    &operand_data[18658],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv8hi3 },
    &operand_data[18661],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv2si3 },
    &operand_data[18664],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv4si3 },
    &operand_data[18667],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1429 */
  {
    "ashlv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlv2di3 },
    &operand_data[18670],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv8qi3 },
    &operand_data[18652],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv16qi3 },
    &operand_data[18655],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv4hi3 },
    &operand_data[18658],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv8hi3 },
    &operand_data[18661],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv2si3 },
    &operand_data[18664],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv4si3 },
    &operand_data[18667],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1462 */
  {
    "lshrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrv2di3 },
    &operand_data[18670],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv8qi3 },
    &operand_data[18652],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv16qi3 },
    &operand_data[18655],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv4hi3 },
    &operand_data[18658],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv8hi3 },
    &operand_data[18661],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv2si3 },
    &operand_data[18664],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv4si3 },
    &operand_data[18667],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1497 */
  {
    "ashrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrv2di3 },
    &operand_data[18670],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv8qi3 },
    &operand_data[18568],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv16qi3 },
    &operand_data[18571],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv4hi3 },
    &operand_data[18574],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv8hi3 },
    &operand_data[18577],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv2si3 },
    &operand_data[18580],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv4si3 },
    &operand_data[18583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1532 */
  {
    "vashlv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlv2di3 },
    &operand_data[18644],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv8qi3 },
    &operand_data[18568],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv16qi3 },
    &operand_data[18571],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv4hi3 },
    &operand_data[18574],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv8hi3 },
    &operand_data[18577],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv2si3 },
    &operand_data[18580],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv4si3 },
    &operand_data[18583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1543 */
  {
    "vashrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrv2di3 },
    &operand_data[18644],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1557 */
  {
    "aarch64_ashr_simddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ashr_simddi },
    &operand_data[18673],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv8qi3 },
    &operand_data[18568],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv16qi3 },
    &operand_data[18571],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv4hi3 },
    &operand_data[18574],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv8hi3 },
    &operand_data[18577],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv2si3 },
    &operand_data[18580],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv4si3 },
    &operand_data[18583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1573 */
  {
    "vlshrv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrv2di3 },
    &operand_data[18644],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1586 */
  {
    "aarch64_lshr_simddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_lshr_simddi },
    &operand_data[18673],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8qi },
    &operand_data[18676],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv16qi },
    &operand_data[18679],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4hi },
    &operand_data[18682],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8hi },
    &operand_data[18685],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2si },
    &operand_data[18688],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4si },
    &operand_data[18691],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2di },
    &operand_data[18694],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4hf },
    &operand_data[18697],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8hf },
    &operand_data[18700],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4bf },
    &operand_data[18703],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv8bf },
    &operand_data[18706],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2sf },
    &operand_data[18709],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv4sf },
    &operand_data[18712],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1616 */
  {
    "vec_setv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_setv2df },
    &operand_data[18715],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "smaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxv2di3 },
    &operand_data[18644],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "sminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminv2di3 },
    &operand_data[18644],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "umaxv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxv2di3 },
    &operand_data[18644],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1759 */
  {
    "uminv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminv2di3 },
    &operand_data[18644],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1844 */
  {
    "aarch64_xtn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v8hi },
    &operand_data[18718],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1844 */
  {
    "aarch64_xtn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v4si },
    &operand_data[18720],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1844 */
  {
    "aarch64_xtn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtn2v2di },
    &operand_data[18722],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1895 */
  {
    "vec_pack_trunc_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v4hi },
    &operand_data[18725],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1895 */
  {
    "vec_pack_trunc_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2si },
    &operand_data[18728],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1895 */
  {
    "vec_pack_trunc_di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_di },
    &operand_data[18731],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1909 */
  {
    "vec_pack_trunc_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v8hi },
    &operand_data[18734],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1909 */
  {
    "vec_pack_trunc_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v4si },
    &operand_data[18736],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1909 */
  {
    "vec_pack_trunc_v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2di },
    &operand_data[18738],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1986 */
  {
    "vec_unpacks_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v16qi },
    &operand_data[18586],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1986 */
  {
    "vec_unpacku_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v16qi },
    &operand_data[18586],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1986 */
  {
    "vec_unpacks_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v8hi },
    &operand_data[18585],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1986 */
  {
    "vec_unpacku_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v8hi },
    &operand_data[18585],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1986 */
  {
    "vec_unpacks_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v4si },
    &operand_data[18592],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1986 */
  {
    "vec_unpacku_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_v4si },
    &operand_data[18592],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1998 */
  {
    "vec_unpacks_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v16qi },
    &operand_data[18586],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1998 */
  {
    "vec_unpacku_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v16qi },
    &operand_data[18586],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1998 */
  {
    "vec_unpacks_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v8hi },
    &operand_data[18585],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1998 */
  {
    "vec_unpacku_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v8hi },
    &operand_data[18585],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1998 */
  {
    "vec_unpacks_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v4si },
    &operand_data[18592],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:1998 */
  {
    "vec_unpacku_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_v4si },
    &operand_data[18592],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2041 */
  {
    "aarch64_smlal_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv16qi },
    &operand_data[18595],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2041 */
  {
    "aarch64_umlal_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv16qi },
    &operand_data[18595],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2041 */
  {
    "aarch64_smlal_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv8hi },
    &operand_data[18593],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2041 */
  {
    "aarch64_umlal_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv8hi },
    &operand_data[18593],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2041 */
  {
    "aarch64_smlal_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hiv4si },
    &operand_data[18599],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2041 */
  {
    "aarch64_umlal_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hiv4si },
    &operand_data[18599],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2072 */
  {
    "aarch64_smlal_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_nv8hi },
    &operand_data[18741],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2072 */
  {
    "aarch64_umlal_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_nv8hi },
    &operand_data[18741],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2072 */
  {
    "aarch64_smlal_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_nv4si },
    &operand_data[18745],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2072 */
  {
    "aarch64_umlal_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_nv4si },
    &operand_data[18745],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2118 */
  {
    "aarch64_smlsl_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv16qi },
    &operand_data[18595],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2118 */
  {
    "aarch64_umlsl_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv16qi },
    &operand_data[18595],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2118 */
  {
    "aarch64_smlsl_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv8hi },
    &operand_data[18593],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2118 */
  {
    "aarch64_umlsl_hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv8hi },
    &operand_data[18593],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2118 */
  {
    "aarch64_smlsl_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hiv4si },
    &operand_data[18599],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2118 */
  {
    "aarch64_umlsl_hiv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hiv4si },
    &operand_data[18599],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2149 */
  {
    "aarch64_smlsl_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_nv8hi },
    &operand_data[18741],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2149 */
  {
    "aarch64_umlsl_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_nv8hi },
    &operand_data[18741],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2149 */
  {
    "aarch64_smlsl_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_nv4si },
    &operand_data[18745],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2149 */
  {
    "aarch64_umlsl_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_nv4si },
    &operand_data[18745],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "vec_widen_smult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "vec_widen_umult_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "vec_widen_smult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "vec_widen_umult_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "vec_widen_smult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_lo_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2245 */
  {
    "vec_widen_umult_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_lo_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2272 */
  {
    "vec_widen_smult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2272 */
  {
    "vec_widen_umult_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2272 */
  {
    "vec_widen_smult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2272 */
  {
    "vec_widen_umult_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2272 */
  {
    "vec_widen_smult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_smult_hi_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2272 */
  {
    "vec_widen_umult_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_umult_hi_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2326 */
  {
    "aarch64_smull_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_lanev8hi },
    &operand_data[18749],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2326 */
  {
    "aarch64_umull_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_lanev8hi },
    &operand_data[18749],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2326 */
  {
    "aarch64_smull_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_lanev4si },
    &operand_data[18753],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2326 */
  {
    "aarch64_umull_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_lanev4si },
    &operand_data[18753],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2360 */
  {
    "aarch64_smull_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_laneqv8hi },
    &operand_data[18757],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2360 */
  {
    "aarch64_umull_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_laneqv8hi },
    &operand_data[18757],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2360 */
  {
    "aarch64_smull_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_laneqv4si },
    &operand_data[18761],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2360 */
  {
    "aarch64_umull_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_laneqv4si },
    &operand_data[18761],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2402 */
  {
    "aarch64_smull_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_nv8hi },
    &operand_data[18742],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2402 */
  {
    "aarch64_umull_hi_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_nv8hi },
    &operand_data[18742],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2402 */
  {
    "aarch64_smull_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smull_hi_nv4si },
    &operand_data[18746],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2402 */
  {
    "aarch64_umull_hi_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umull_hi_nv4si },
    &operand_data[18746],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2458 */
  {
    "aarch64_smlal_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_lanev8hi },
    &operand_data[18765],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2458 */
  {
    "aarch64_umlal_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_lanev8hi },
    &operand_data[18765],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2458 */
  {
    "aarch64_smlal_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_lanev4si },
    &operand_data[18770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2458 */
  {
    "aarch64_umlal_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_lanev4si },
    &operand_data[18770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2495 */
  {
    "aarch64_smlal_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_laneqv8hi },
    &operand_data[18775],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2495 */
  {
    "aarch64_umlal_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_laneqv8hi },
    &operand_data[18775],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2495 */
  {
    "aarch64_smlal_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlal_hi_laneqv4si },
    &operand_data[18780],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2495 */
  {
    "aarch64_umlal_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlal_hi_laneqv4si },
    &operand_data[18780],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2553 */
  {
    "aarch64_smlsl_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_lanev8hi },
    &operand_data[18765],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2553 */
  {
    "aarch64_umlsl_hi_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_lanev8hi },
    &operand_data[18765],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2553 */
  {
    "aarch64_smlsl_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_lanev4si },
    &operand_data[18770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2553 */
  {
    "aarch64_umlsl_hi_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_lanev4si },
    &operand_data[18770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2591 */
  {
    "aarch64_smlsl_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_laneqv8hi },
    &operand_data[18775],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2591 */
  {
    "aarch64_umlsl_hi_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_laneqv8hi },
    &operand_data[18775],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2591 */
  {
    "aarch64_smlsl_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_smlsl_hi_laneqv4si },
    &operand_data[18780],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2591 */
  {
    "aarch64_umlsl_hi_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_umlsl_hi_laneqv4si },
    &operand_data[18780],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2658 */
  {
    "divv4hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4hf3 },
    &operand_data[18518],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2658 */
  {
    "divv8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv8hf3 },
    &operand_data[18521],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2658 */
  {
    "divv2sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2sf3 },
    &operand_data[18524],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2658 */
  {
    "divv4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4sf3 },
    &operand_data[18527],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2658 */
  {
    "divv2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2df3 },
    &operand_data[18530],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2704 */
  {
    "aarch64_float_mlav2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlav2sf },
    &operand_data[18541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2704 */
  {
    "aarch64_float_mlav4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlav4sf },
    &operand_data[18545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2704 */
  {
    "aarch64_float_mlav2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlav2df },
    &operand_data[18549],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2704 */
  {
    "aarch64_float_mladf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mladf },
    &operand_data[18251],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2720 */
  {
    "aarch64_float_mlsv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlsv2sf },
    &operand_data[18541],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2720 */
  {
    "aarch64_float_mlsv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlsv4sf },
    &operand_data[18545],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2720 */
  {
    "aarch64_float_mlsv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlsv2df },
    &operand_data[18549],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2720 */
  {
    "aarch64_float_mlsdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mlsdf },
    &operand_data[18251],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2736 */
  {
    "aarch64_float_mla_nv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mla_nv2sf },
    &operand_data[18785],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2736 */
  {
    "aarch64_float_mla_nv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mla_nv4sf },
    &operand_data[18789],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2753 */
  {
    "aarch64_float_mls_nv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mls_nv2sf },
    &operand_data[18785],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2753 */
  {
    "aarch64_float_mls_nv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mls_nv4sf },
    &operand_data[18789],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2770 */
  {
    "aarch64_float_mla_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mla_lanev2sf },
    &operand_data[18793],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2770 */
  {
    "aarch64_float_mla_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mla_lanev4sf },
    &operand_data[18798],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "aarch64_float_mls_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mls_lanev2sf },
    &operand_data[18793],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2790 */
  {
    "aarch64_float_mls_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mls_lanev4sf },
    &operand_data[18798],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2810 */
  {
    "aarch64_float_mla_laneqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mla_laneqv2sf },
    &operand_data[18803],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2810 */
  {
    "aarch64_float_mla_laneqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mla_laneqv4sf },
    &operand_data[18808],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2830 */
  {
    "aarch64_float_mls_laneqv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mls_laneqv2sf },
    &operand_data[18803],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:2830 */
  {
    "aarch64_float_mls_laneqv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_mls_laneqv4sf },
    &operand_data[18808],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3068 */
  {
    "fixv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv4hfv4hi2 },
    &operand_data[18813],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3068 */
  {
    "fixunsv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv4hfv4hi2 },
    &operand_data[18813],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3068 */
  {
    "fixv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv8hfv8hi2 },
    &operand_data[18815],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3068 */
  {
    "fixunsv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv8hfv8hi2 },
    &operand_data[18815],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3068 */
  {
    "fixv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv2sfv2si2 },
    &operand_data[18616],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3068 */
  {
    "fixunsv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv2sfv2si2 },
    &operand_data[18616],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3068 */
  {
    "fixv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv4sfv4si2 },
    &operand_data[18618],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3068 */
  {
    "fixunsv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv4sfv4si2 },
    &operand_data[18618],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3068 */
  {
    "fixv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixv2dfv2di2 },
    &operand_data[18817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3068 */
  {
    "fixunsv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixunsv2dfv2di2 },
    &operand_data[18817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3076 */
  {
    "fix_truncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv4hfv4hi2 },
    &operand_data[18813],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3076 */
  {
    "fixuns_truncv4hfv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv4hfv4hi2 },
    &operand_data[18813],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3076 */
  {
    "fix_truncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv8hfv8hi2 },
    &operand_data[18815],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3076 */
  {
    "fixuns_truncv8hfv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv8hfv8hi2 },
    &operand_data[18815],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3076 */
  {
    "fix_truncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv2sfv2si2 },
    &operand_data[18616],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3076 */
  {
    "fixuns_truncv2sfv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv2sfv2si2 },
    &operand_data[18616],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3076 */
  {
    "fix_truncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv4sfv4si2 },
    &operand_data[18618],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3076 */
  {
    "fixuns_truncv4sfv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv4sfv4si2 },
    &operand_data[18618],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3076 */
  {
    "fix_truncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncv2dfv2di2 },
    &operand_data[18817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3076 */
  {
    "fixuns_truncv2dfv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncv2dfv2di2 },
    &operand_data[18817],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3084 */
  {
    "ftruncv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv4hf2 },
    &operand_data[18518],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3084 */
  {
    "ftruncv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv8hf2 },
    &operand_data[18521],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3084 */
  {
    "ftruncv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv2sf2 },
    &operand_data[18524],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3084 */
  {
    "ftruncv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv4sf2 },
    &operand_data[18527],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3084 */
  {
    "ftruncv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ftruncv2df2 },
    &operand_data[18530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3150 */
  {
    "vec_unpacks_lo_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v8hf },
    &operand_data[18819],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3150 */
  {
    "vec_unpacks_lo_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_v4sf },
    &operand_data[18818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3173 */
  {
    "vec_unpacks_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v8hf },
    &operand_data[18819],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3173 */
  {
    "vec_unpacks_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_v4sf },
    &operand_data[18818],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3235 */
  {
    "aarch64_float_trunc_rodd_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_trunc_rodd_hi_v4sf },
    &operand_data[18821],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3280 */
  {
    "aarch64_float_truncate_hi_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v4sf },
    &operand_data[18821],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3280 */
  {
    "aarch64_float_truncate_hi_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_float_truncate_hi_v8hf },
    &operand_data[18824],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3294 */
  {
    "vec_pack_trunc_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_v2df },
    &operand_data[18529],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3315 */
  {
    "vec_pack_trunc_df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_df },
    &operand_data[18827],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3416 */
  {
    "reduc_plus_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_v4sf },
    &operand_data[18788],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3514 */
  {
    "aarch64_saddlpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlpv8qi },
    &operand_data[18604],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3514 */
  {
    "aarch64_uaddlpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlpv8qi },
    &operand_data[18604],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3514 */
  {
    "aarch64_saddlpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlpv16qi },
    &operand_data[18586],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3514 */
  {
    "aarch64_uaddlpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlpv16qi },
    &operand_data[18586],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3514 */
  {
    "aarch64_saddlpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlpv4hi },
    &operand_data[18607],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3514 */
  {
    "aarch64_uaddlpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlpv4hi },
    &operand_data[18607],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3514 */
  {
    "aarch64_saddlpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlpv8hi },
    &operand_data[18585],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3514 */
  {
    "aarch64_uaddlpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlpv8hi },
    &operand_data[18585],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3514 */
  {
    "aarch64_saddlpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlpv4si },
    &operand_data[18592],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3514 */
  {
    "aarch64_uaddlpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlpv4si },
    &operand_data[18592],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3514 */
  {
    "aarch64_saddlpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddlpv2si },
    &operand_data[3231],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3514 */
  {
    "aarch64_uaddlpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddlpv2si },
    &operand_data[3231],
    2,
    2,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3570 */
  {
    "popcountv4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv4hi2 },
    &operand_data[18574],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3570 */
  {
    "popcountv8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv8hi2 },
    &operand_data[18577],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3570 */
  {
    "popcountv2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv2si2 },
    &operand_data[18514],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3570 */
  {
    "popcountv4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv4si2 },
    &operand_data[18516],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3570 */
  {
    "popcountv2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv2di2 },
    &operand_data[18599],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3570 */
  {
    "popcountv1di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountv1di2 },
    &operand_data[18830],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smax_nan_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v4hf },
    &operand_data[18832],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smin_nan_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v4hf },
    &operand_data[18832],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smax_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4hf },
    &operand_data[18832],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smin_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4hf },
    &operand_data[18832],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smax_nan_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v8hf },
    &operand_data[18834],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smin_nan_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v8hf },
    &operand_data[18834],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smax_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8hf },
    &operand_data[18834],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smin_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8hf },
    &operand_data[18834],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smax_nan_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v2sf },
    &operand_data[18792],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smin_nan_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v2sf },
    &operand_data[18792],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smax_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2sf },
    &operand_data[18792],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smin_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2sf },
    &operand_data[18792],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smax_nan_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v4sf },
    &operand_data[18788],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smin_nan_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v4sf },
    &operand_data[18788],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smax_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4sf },
    &operand_data[18788],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smin_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4sf },
    &operand_data[18788],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smax_nan_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_v2df },
    &operand_data[18511],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smin_nan_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_v2df },
    &operand_data[18511],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smax_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2df },
    &operand_data[18511],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3632 */
  {
    "reduc_smin_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2df },
    &operand_data[18511],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3647 */
  {
    "reduc_fmax_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_v4hf },
    &operand_data[18832],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3647 */
  {
    "reduc_fmin_scal_v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_v4hf },
    &operand_data[18832],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3647 */
  {
    "reduc_fmax_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_v8hf },
    &operand_data[18834],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3647 */
  {
    "reduc_fmin_scal_v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_v8hf },
    &operand_data[18834],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3647 */
  {
    "reduc_fmax_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_v2sf },
    &operand_data[18792],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3647 */
  {
    "reduc_fmin_scal_v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_v2sf },
    &operand_data[18792],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3647 */
  {
    "reduc_fmax_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_v4sf },
    &operand_data[18788],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3647 */
  {
    "reduc_fmin_scal_v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_v4sf },
    &operand_data[18788],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3647 */
  {
    "reduc_fmax_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_v2df },
    &operand_data[18511],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3647 */
  {
    "reduc_fmin_scal_v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_v2df },
    &operand_data[18511],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_umax_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v8qi },
    &operand_data[18836],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_umin_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v8qi },
    &operand_data[18836],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_smax_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8qi },
    &operand_data[18836],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_smin_scal_v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8qi },
    &operand_data[18836],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_umax_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v16qi },
    &operand_data[18838],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_umin_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v16qi },
    &operand_data[18838],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_smax_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v16qi },
    &operand_data[18838],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_smin_scal_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v16qi },
    &operand_data[18838],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_umax_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v4hi },
    &operand_data[18840],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_umin_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v4hi },
    &operand_data[18840],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_smax_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4hi },
    &operand_data[18840],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_smin_scal_v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4hi },
    &operand_data[18840],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_umax_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v8hi },
    &operand_data[18842],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_umin_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v8hi },
    &operand_data[18842],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_smax_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v8hi },
    &operand_data[18842],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_smin_scal_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v8hi },
    &operand_data[18842],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_umax_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v2si },
    &operand_data[18844],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_umin_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v2si },
    &operand_data[18844],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_smax_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v2si },
    &operand_data[18844],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_smin_scal_v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v2si },
    &operand_data[18844],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_umax_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_v4si },
    &operand_data[18748],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_umin_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_v4si },
    &operand_data[18748],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_smax_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_v4si },
    &operand_data[18748],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3659 */
  {
    "reduc_smin_scal_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_v4si },
    &operand_data[18748],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8qi },
    &operand_data[18846],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv16qi },
    &operand_data[18850],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hi },
    &operand_data[18854],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hi },
    &operand_data[18858],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2si },
    &operand_data[18862],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4si },
    &operand_data[18866],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4bf },
    &operand_data[18870],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8bf },
    &operand_data[18874],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2di },
    &operand_data[18878],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4hf },
    &operand_data[18882],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv8hf },
    &operand_data[18886],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2sf },
    &operand_data[18890],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv4sf },
    &operand_data[18894],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bslv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bslv2df },
    &operand_data[18898],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bsldi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldi },
    &operand_data[18902],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3856 */
  {
    "aarch64_simd_bsldf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_simd_bsldf },
    &operand_data[18906],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "vcond_mask_v8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v8qiv8qi },
    &operand_data[18910],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "vcond_mask_v16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v16qiv16qi },
    &operand_data[18914],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "vcond_mask_v4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4hiv4hi },
    &operand_data[18918],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "vcond_mask_v8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v8hiv8hi },
    &operand_data[18922],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "vcond_mask_v2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2siv2si },
    &operand_data[18926],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "vcond_mask_v4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4siv4si },
    &operand_data[18930],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "vcond_mask_v2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2div2di },
    &operand_data[18934],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "vcond_mask_v2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2sfv2si },
    &operand_data[18938],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "vcond_mask_v4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v4sfv4si },
    &operand_data[18942],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "vcond_mask_v2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_v2dfv2di },
    &operand_data[18946],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3882 */
  {
    "vcond_mask_didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_didi },
    &operand_data[18950],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "cbranchv8qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv8qi4 },
    &operand_data[18954],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "cbranchv16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv16qi4 },
    &operand_data[18958],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "cbranchv4hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv4hi4 },
    &operand_data[18962],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "cbranchv8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv8hi4 },
    &operand_data[18966],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "cbranchv2si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv2si4 },
    &operand_data[18970],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "cbranchv4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv4si4 },
    &operand_data[18974],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3913 */
  {
    "cbranchv2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchv2di4 },
    &operand_data[18978],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "vec_cmpv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv8qiv8qi },
    &operand_data[18982],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "vec_cmpv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv16qiv16qi },
    &operand_data[18986],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "vec_cmpv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4hiv4hi },
    &operand_data[18990],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "vec_cmpv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv8hiv8hi },
    &operand_data[18994],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "vec_cmpv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2siv2si },
    &operand_data[18998],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "vec_cmpv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4siv4si },
    &operand_data[19002],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "vec_cmpv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2div2di },
    &operand_data[19006],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:3955 */
  {
    "vec_cmpdidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpdidi },
    &operand_data[19010],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4035 */
  {
    "vec_cmpv2sfv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2sfv2si },
    &operand_data[19014],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4035 */
  {
    "vec_cmpv4sfv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv4sfv4si },
    &operand_data[19018],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4035 */
  {
    "vec_cmpv2dfv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpv2dfv2di },
    &operand_data[19022],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4208 */
  {
    "vec_cmpuv8qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv8qiv8qi },
    &operand_data[18982],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4208 */
  {
    "vec_cmpuv16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv16qiv16qi },
    &operand_data[18986],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4208 */
  {
    "vec_cmpuv4hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv4hiv4hi },
    &operand_data[18990],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4208 */
  {
    "vec_cmpuv8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv8hiv8hi },
    &operand_data[18994],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4208 */
  {
    "vec_cmpuv2siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv2siv2si },
    &operand_data[18998],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4208 */
  {
    "vec_cmpuv4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv4siv4si },
    &operand_data[19002],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4208 */
  {
    "vec_cmpuv2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuv2div2di },
    &operand_data[19006],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4208 */
  {
    "vec_cmpudidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpudidi },
    &operand_data[19010],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4416 */
  {
    "aarch64_vec_concatv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatv8qi },
    &operand_data[19026],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4416 */
  {
    "aarch64_vec_concatv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatv4hi },
    &operand_data[19029],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4416 */
  {
    "aarch64_vec_concatv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatv4bf },
    &operand_data[19032],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4416 */
  {
    "aarch64_vec_concatv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatv4hf },
    &operand_data[19035],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4416 */
  {
    "aarch64_vec_concatv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatv2si },
    &operand_data[19038],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4416 */
  {
    "aarch64_vec_concatv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatv2sf },
    &operand_data[19041],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4416 */
  {
    "aarch64_vec_concatsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatsi },
    &operand_data[19044],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4416 */
  {
    "aarch64_vec_concatsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatsf },
    &operand_data[19047],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4416 */
  {
    "aarch64_vec_concatdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatdi },
    &operand_data[19050],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4416 */
  {
    "aarch64_vec_concatdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_concatdf },
    &operand_data[19053],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4457 */
  {
    "aarch64_combinev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev8qi },
    &operand_data[19026],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4457 */
  {
    "aarch64_combinev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4hi },
    &operand_data[19029],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4457 */
  {
    "aarch64_combinev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4bf },
    &operand_data[19032],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4457 */
  {
    "aarch64_combinev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev4hf },
    &operand_data[19035],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4457 */
  {
    "aarch64_combinev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev2si },
    &operand_data[19038],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4457 */
  {
    "aarch64_combinev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinev2sf },
    &operand_data[19041],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4457 */
  {
    "aarch64_combinedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinedi },
    &operand_data[19050],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4457 */
  {
    "aarch64_combinedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_combinedf },
    &operand_data[19053],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4499 */
  {
    "vec_widen_sadd_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sadd_lo_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4499 */
  {
    "vec_widen_uadd_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uadd_lo_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4499 */
  {
    "vec_widen_sadd_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sadd_lo_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4499 */
  {
    "vec_widen_uadd_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uadd_lo_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4499 */
  {
    "vec_widen_sadd_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sadd_lo_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4499 */
  {
    "vec_widen_uadd_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uadd_lo_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4511 */
  {
    "vec_widen_sadd_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sadd_hi_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4511 */
  {
    "vec_widen_uadd_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uadd_hi_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4511 */
  {
    "vec_widen_sadd_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sadd_hi_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4511 */
  {
    "vec_widen_uadd_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uadd_hi_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4511 */
  {
    "vec_widen_sadd_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_sadd_hi_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4511 */
  {
    "vec_widen_uadd_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_uadd_hi_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4523 */
  {
    "vec_widen_ssub_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssub_lo_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4523 */
  {
    "vec_widen_usub_lo_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usub_lo_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4523 */
  {
    "vec_widen_ssub_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssub_lo_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4523 */
  {
    "vec_widen_usub_lo_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usub_lo_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4523 */
  {
    "vec_widen_ssub_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssub_lo_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4523 */
  {
    "vec_widen_usub_lo_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usub_lo_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4535 */
  {
    "vec_widen_ssub_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssub_hi_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4535 */
  {
    "vec_widen_usub_hi_v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usub_hi_v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4535 */
  {
    "vec_widen_ssub_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssub_hi_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4535 */
  {
    "vec_widen_usub_hi_v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usub_hi_v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4535 */
  {
    "vec_widen_ssub_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_ssub_hi_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4535 */
  {
    "vec_widen_usub_hi_v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_widen_usub_hi_v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4547 */
  {
    "aarch64_saddl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4547 */
  {
    "aarch64_saddl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4547 */
  {
    "aarch64_saddl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddl2v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4559 */
  {
    "aarch64_uaddl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4559 */
  {
    "aarch64_uaddl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4559 */
  {
    "aarch64_uaddl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddl2v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4571 */
  {
    "aarch64_ssubl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4571 */
  {
    "aarch64_ssubl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4571 */
  {
    "aarch64_ssubl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubl2v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4583 */
  {
    "aarch64_usubl2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4583 */
  {
    "aarch64_usubl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4583 */
  {
    "aarch64_usubl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubl2v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4608 */
  {
    "widen_ssumv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv16qi3 },
    &operand_data[19056],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4608 */
  {
    "widen_ssumv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv8hi3 },
    &operand_data[19059],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4608 */
  {
    "widen_ssumv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv4si3 },
    &operand_data[19062],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4625 */
  {
    "widen_ssumv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv8qi3 },
    &operand_data[19065],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4625 */
  {
    "widen_ssumv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv4hi3 },
    &operand_data[19068],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4625 */
  {
    "widen_ssumv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_ssumv2si3 },
    &operand_data[19071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4636 */
  {
    "widen_usumv16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv16qi3 },
    &operand_data[19056],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4636 */
  {
    "widen_usumv8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv8hi3 },
    &operand_data[19059],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4636 */
  {
    "widen_usumv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv4si3 },
    &operand_data[19062],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4653 */
  {
    "widen_usumv8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv8qi3 },
    &operand_data[19065],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4653 */
  {
    "widen_usumv4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv4hi3 },
    &operand_data[19068],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4653 */
  {
    "widen_usumv2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_widen_usumv2si3 },
    &operand_data[19071],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4734 */
  {
    "aarch64_saddw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v16qi },
    &operand_data[18595],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4734 */
  {
    "aarch64_ssubw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v16qi },
    &operand_data[18595],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4734 */
  {
    "aarch64_uaddw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v16qi },
    &operand_data[18595],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4734 */
  {
    "aarch64_usubw2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v16qi },
    &operand_data[18595],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4734 */
  {
    "aarch64_saddw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v8hi },
    &operand_data[18584],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4734 */
  {
    "aarch64_ssubw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v8hi },
    &operand_data[18584],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4734 */
  {
    "aarch64_uaddw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v8hi },
    &operand_data[18584],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4734 */
  {
    "aarch64_usubw2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v8hi },
    &operand_data[18584],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4734 */
  {
    "aarch64_saddw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_saddw2v4si },
    &operand_data[18599],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4734 */
  {
    "aarch64_ssubw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ssubw2v4si },
    &operand_data[18599],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4734 */
  {
    "aarch64_uaddw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uaddw2v4si },
    &operand_data[18599],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4734 */
  {
    "aarch64_usubw2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_usubw2v4si },
    &operand_data[18599],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4759 */
  {
    "avgv8qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8qi3_floor },
    &operand_data[18568],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4759 */
  {
    "uavgv8qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8qi3_floor },
    &operand_data[18568],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4759 */
  {
    "avgv16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv16qi3_floor },
    &operand_data[18571],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4759 */
  {
    "uavgv16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv16qi3_floor },
    &operand_data[18571],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4759 */
  {
    "avgv4hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4hi3_floor },
    &operand_data[18574],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4759 */
  {
    "uavgv4hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4hi3_floor },
    &operand_data[18574],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4759 */
  {
    "avgv8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8hi3_floor },
    &operand_data[18577],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4759 */
  {
    "uavgv8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8hi3_floor },
    &operand_data[18577],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4759 */
  {
    "avgv2si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv2si3_floor },
    &operand_data[18580],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4759 */
  {
    "uavgv2si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv2si3_floor },
    &operand_data[18580],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4759 */
  {
    "avgv4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4si3_floor },
    &operand_data[18583],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4759 */
  {
    "uavgv4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4si3_floor },
    &operand_data[18583],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4775 */
  {
    "avgv8qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8qi3_ceil },
    &operand_data[18568],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4775 */
  {
    "uavgv8qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8qi3_ceil },
    &operand_data[18568],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4775 */
  {
    "avgv16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv16qi3_ceil },
    &operand_data[18571],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4775 */
  {
    "uavgv16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv16qi3_ceil },
    &operand_data[18571],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4775 */
  {
    "avgv4hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4hi3_ceil },
    &operand_data[18574],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4775 */
  {
    "uavgv4hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4hi3_ceil },
    &operand_data[18574],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4775 */
  {
    "avgv8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv8hi3_ceil },
    &operand_data[18577],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4775 */
  {
    "uavgv8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv8hi3_ceil },
    &operand_data[18577],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4775 */
  {
    "avgv2si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv2si3_ceil },
    &operand_data[18580],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4775 */
  {
    "uavgv2si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv2si3_ceil },
    &operand_data[18580],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4775 */
  {
    "avgv4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgv4si3_ceil },
    &operand_data[18583],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4775 */
  {
    "uavgv4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgv4si3_ceil },
    &operand_data[18583],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "aarch64_shsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv8qi },
    &operand_data[18568],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "aarch64_uhsubv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv8qi },
    &operand_data[18568],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "aarch64_shsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv16qi },
    &operand_data[18571],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "aarch64_uhsubv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv16qi },
    &operand_data[18571],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "aarch64_shsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv4hi },
    &operand_data[18574],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "aarch64_uhsubv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv4hi },
    &operand_data[18574],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "aarch64_shsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv8hi },
    &operand_data[18577],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "aarch64_uhsubv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv8hi },
    &operand_data[18577],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "aarch64_shsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv2si },
    &operand_data[18580],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "aarch64_uhsubv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv2si },
    &operand_data[18580],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "aarch64_shsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shsubv4si },
    &operand_data[18583],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4793 */
  {
    "aarch64_uhsubv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uhsubv4si },
    &operand_data[18583],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4869 */
  {
    "aarch64_addhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv8hi },
    &operand_data[19074],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4869 */
  {
    "aarch64_subhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv8hi },
    &operand_data[19074],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4869 */
  {
    "aarch64_addhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv4si },
    &operand_data[19077],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4869 */
  {
    "aarch64_subhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv4si },
    &operand_data[19077],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4869 */
  {
    "aarch64_addhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhnv2di },
    &operand_data[19080],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4869 */
  {
    "aarch64_subhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhnv2di },
    &operand_data[19080],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4884 */
  {
    "aarch64_raddhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv8hi },
    &operand_data[19074],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4884 */
  {
    "aarch64_rsubhnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv8hi },
    &operand_data[19074],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4884 */
  {
    "aarch64_raddhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv4si },
    &operand_data[19077],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4884 */
  {
    "aarch64_rsubhnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv4si },
    &operand_data[19077],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4884 */
  {
    "aarch64_raddhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhnv2di },
    &operand_data[19080],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4884 */
  {
    "aarch64_rsubhnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhnv2di },
    &operand_data[19080],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4962 */
  {
    "aarch64_addhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v8hi },
    &operand_data[19083],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4962 */
  {
    "aarch64_subhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v8hi },
    &operand_data[19083],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4962 */
  {
    "aarch64_addhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v4si },
    &operand_data[19076],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4962 */
  {
    "aarch64_subhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v4si },
    &operand_data[19076],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4962 */
  {
    "aarch64_addhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addhn2v2di },
    &operand_data[19079],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4962 */
  {
    "aarch64_subhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_subhn2v2di },
    &operand_data[19079],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4982 */
  {
    "aarch64_raddhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v8hi },
    &operand_data[19083],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4982 */
  {
    "aarch64_rsubhn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v8hi },
    &operand_data[19083],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4982 */
  {
    "aarch64_raddhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v4si },
    &operand_data[19076],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4982 */
  {
    "aarch64_rsubhn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v4si },
    &operand_data[19076],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4982 */
  {
    "aarch64_raddhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_raddhn2v2di },
    &operand_data[19079],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:4982 */
  {
    "aarch64_rsubhn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsubhn2v2di },
    &operand_data[19079],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5066 */
  {
    "aarch64_pmull_hiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pmull_hiv16qi },
    &operand_data[18586],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5175 */
  {
    "ssaddsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssaddsi3 },
    &operand_data[18030],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5175 */
  {
    "sssubsi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubsi3 },
    &operand_data[18030],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5175 */
  {
    "ssadddi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadddi3 },
    &operand_data[18034],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5175 */
  {
    "sssubdi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sssubdi3 },
    &operand_data[18034],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5427 */
  {
    "aarch64_sqxtn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v8hi },
    &operand_data[18718],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5427 */
  {
    "aarch64_uqxtn2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v8hi },
    &operand_data[18718],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5427 */
  {
    "aarch64_sqxtn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v4si },
    &operand_data[18720],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5427 */
  {
    "aarch64_uqxtn2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v4si },
    &operand_data[18720],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5427 */
  {
    "aarch64_sqxtn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtn2v2di },
    &operand_data[18722],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5427 */
  {
    "aarch64_uqxtn2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqxtn2v2di },
    &operand_data[18722],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5471 */
  {
    "aarch64_sqmovunv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv8hi },
    &operand_data[3678],
    2,
    2,
    2,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5471 */
  {
    "aarch64_sqmovunv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv4si },
    &operand_data[3687],
    2,
    2,
    2,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5471 */
  {
    "aarch64_sqmovunv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqmovunv2di },
    &operand_data[3696],
    2,
    2,
    2,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5517 */
  {
    "aarch64_sqxtun2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v8hi },
    &operand_data[18718],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5517 */
  {
    "aarch64_sqxtun2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v4si },
    &operand_data[18720],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:5517 */
  {
    "aarch64_sqxtun2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqxtun2v2di },
    &operand_data[18722],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6030 */
  {
    "aarch64_sqdmlal2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v8hi },
    &operand_data[18593],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6030 */
  {
    "aarch64_sqdmlsl2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v8hi },
    &operand_data[18593],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6030 */
  {
    "aarch64_sqdmlal2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2v4si },
    &operand_data[18599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6030 */
  {
    "aarch64_sqdmlsl2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2v4si },
    &operand_data[18599],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6152 */
  {
    "aarch64_sqdmlal2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev8hi },
    &operand_data[18765],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6152 */
  {
    "aarch64_sqdmlsl2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev8hi },
    &operand_data[18765],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6152 */
  {
    "aarch64_sqdmlal2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_lanev4si },
    &operand_data[18770],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6152 */
  {
    "aarch64_sqdmlsl2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_lanev4si },
    &operand_data[18770],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6169 */
  {
    "aarch64_sqdmlal2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv8hi },
    &operand_data[18775],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6169 */
  {
    "aarch64_sqdmlsl2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv8hi },
    &operand_data[18775],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6169 */
  {
    "aarch64_sqdmlal2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_laneqv4si },
    &operand_data[18780],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6169 */
  {
    "aarch64_sqdmlsl2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_laneqv4si },
    &operand_data[18780],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6224 */
  {
    "aarch64_sqdmlal2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv8hi },
    &operand_data[18741],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6224 */
  {
    "aarch64_sqdmlsl2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv8hi },
    &operand_data[18741],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6224 */
  {
    "aarch64_sqdmlal2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlal2_nv4si },
    &operand_data[18745],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6224 */
  {
    "aarch64_sqdmlsl2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmlsl2_nv4si },
    &operand_data[18745],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6379 */
  {
    "aarch64_sqdmull2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v8hi },
    &operand_data[18589],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6379 */
  {
    "aarch64_sqdmull2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2v4si },
    &operand_data[18592],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6439 */
  {
    "aarch64_sqdmull2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev8hi },
    &operand_data[18749],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6439 */
  {
    "aarch64_sqdmull2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_lanev4si },
    &operand_data[18753],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6453 */
  {
    "aarch64_sqdmull2_laneqv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv8hi },
    &operand_data[18757],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6453 */
  {
    "aarch64_sqdmull2_laneqv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_laneqv4si },
    &operand_data[18761],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6487 */
  {
    "aarch64_sqdmull2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv8hi },
    &operand_data[18742],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6487 */
  {
    "aarch64_sqdmull2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqdmull2_nv4si },
    &operand_data[18746],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6542 */
  {
    "aarch64_sshll_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv8qi },
    &operand_data[19086],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6542 */
  {
    "aarch64_ushll_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv8qi },
    &operand_data[19086],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6542 */
  {
    "aarch64_sshll_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv4hi },
    &operand_data[19089],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6542 */
  {
    "aarch64_ushll_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv4hi },
    &operand_data[19089],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6542 */
  {
    "aarch64_sshll_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll_nv2si },
    &operand_data[19092],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6542 */
  {
    "aarch64_ushll_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll_nv2si },
    &operand_data[19092],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6574 */
  {
    "aarch64_sshll2_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv16qi },
    &operand_data[19095],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6574 */
  {
    "aarch64_ushll2_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv16qi },
    &operand_data[19095],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6574 */
  {
    "aarch64_sshll2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv8hi },
    &operand_data[19098],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6574 */
  {
    "aarch64_ushll2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv8hi },
    &operand_data[19098],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6574 */
  {
    "aarch64_sshll2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshll2_nv4si },
    &operand_data[19101],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6574 */
  {
    "aarch64_ushll2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushll2_nv4si },
    &operand_data[19101],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_srshr_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8qi },
    &operand_data[18621],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_urshr_nv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8qi },
    &operand_data[18621],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_srshr_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv16qi },
    &operand_data[18625],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_urshr_nv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv16qi },
    &operand_data[18625],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_srshr_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4hi },
    &operand_data[18629],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_urshr_nv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4hi },
    &operand_data[18629],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_srshr_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv8hi },
    &operand_data[18633],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_urshr_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv8hi },
    &operand_data[18633],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_srshr_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2si },
    &operand_data[18637],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_urshr_nv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2si },
    &operand_data[18637],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_srshr_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv4si },
    &operand_data[18641],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_urshr_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv4si },
    &operand_data[18641],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_srshr_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_nv2di },
    &operand_data[18645],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_urshr_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_nv2di },
    &operand_data[18645],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_srshr_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_srshr_ndi },
    &operand_data[18649],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6606 */
  {
    "aarch64_urshr_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_urshr_ndi },
    &operand_data[18649],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6698 */
  {
    "aarch64_sqshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv8hi },
    &operand_data[19104],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6698 */
  {
    "aarch64_uqshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv8hi },
    &operand_data[19104],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6698 */
  {
    "aarch64_shrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn_nv8hi },
    &operand_data[19104],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6698 */
  {
    "aarch64_sqshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv4si },
    &operand_data[19107],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6698 */
  {
    "aarch64_uqshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv4si },
    &operand_data[19107],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6698 */
  {
    "aarch64_shrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn_nv4si },
    &operand_data[19107],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6698 */
  {
    "aarch64_sqshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrn_nv2di },
    &operand_data[19110],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6698 */
  {
    "aarch64_uqshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqshrn_nv2di },
    &operand_data[19110],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6698 */
  {
    "aarch64_shrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_shrn_nv2di },
    &operand_data[19110],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6741 */
  {
    "aarch64_sqrshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nhi },
    &operand_data[19113],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6741 */
  {
    "aarch64_uqrshrn_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nhi },
    &operand_data[19113],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6741 */
  {
    "aarch64_sqrshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nsi },
    &operand_data[19116],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6741 */
  {
    "aarch64_uqrshrn_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nsi },
    &operand_data[19116],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6741 */
  {
    "aarch64_sqrshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_ndi },
    &operand_data[19119],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6741 */
  {
    "aarch64_uqrshrn_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_ndi },
    &operand_data[19119],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6761 */
  {
    "aarch64_sqrshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv8hi },
    &operand_data[19104],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6761 */
  {
    "aarch64_uqrshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv8hi },
    &operand_data[19104],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6761 */
  {
    "aarch64_rshrn_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn_nv8hi },
    &operand_data[19104],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6761 */
  {
    "aarch64_sqrshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv4si },
    &operand_data[19107],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6761 */
  {
    "aarch64_uqrshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv4si },
    &operand_data[19107],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6761 */
  {
    "aarch64_rshrn_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn_nv4si },
    &operand_data[19107],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6761 */
  {
    "aarch64_sqrshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn_nv2di },
    &operand_data[19110],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6761 */
  {
    "aarch64_uqrshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn_nv2di },
    &operand_data[19110],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6761 */
  {
    "aarch64_rshrn_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn_nv2di },
    &operand_data[19110],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6819 */
  {
    "aarch64_sqshrun_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nhi },
    &operand_data[19113],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6819 */
  {
    "aarch64_sqshrun_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nsi },
    &operand_data[19116],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6819 */
  {
    "aarch64_sqshrun_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_ndi },
    &operand_data[19119],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6833 */
  {
    "aarch64_sqshrun_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv8hi },
    &operand_data[19104],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6833 */
  {
    "aarch64_sqshrun_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv4si },
    &operand_data[19107],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6833 */
  {
    "aarch64_sqshrun_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun_nv2di },
    &operand_data[19110],
    3,
    3,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6891 */
  {
    "aarch64_sqrshrun_nhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nhi },
    &operand_data[19113],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6891 */
  {
    "aarch64_sqrshrun_nsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nsi },
    &operand_data[19116],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6891 */
  {
    "aarch64_sqrshrun_ndi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_ndi },
    &operand_data[19119],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6907 */
  {
    "aarch64_sqrshrun_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv8hi },
    &operand_data[19104],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6907 */
  {
    "aarch64_sqrshrun_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv4si },
    &operand_data[19107],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6907 */
  {
    "aarch64_sqrshrun_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun_nv2di },
    &operand_data[19110],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_sqsshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv8hi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_squshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv8hi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_uqsshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv8hi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_uqushrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv8hi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_sshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv8hi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_ushrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv8hi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_sqsshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv4si },
    &operand_data[19126],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_squshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv4si },
    &operand_data[19126],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_uqsshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv4si },
    &operand_data[19126],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_uqushrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv4si },
    &operand_data[19126],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_sshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv4si },
    &operand_data[19126],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_ushrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv4si },
    &operand_data[19126],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_sqsshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqsshrn2_nv2di },
    &operand_data[19130],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_squshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_squshrn2_nv2di },
    &operand_data[19130],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_uqsshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqsshrn2_nv2di },
    &operand_data[19130],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_uqushrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqushrn2_nv2di },
    &operand_data[19130],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_sshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sshrn2_nv2di },
    &operand_data[19130],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:6962 */
  {
    "aarch64_ushrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ushrn2_nv2di },
    &operand_data[19130],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7017 */
  {
    "aarch64_sqrshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv8hi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7017 */
  {
    "aarch64_uqrshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv8hi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7017 */
  {
    "aarch64_rshrn2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv8hi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7017 */
  {
    "aarch64_sqrshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv4si },
    &operand_data[19126],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7017 */
  {
    "aarch64_uqrshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv4si },
    &operand_data[19126],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7017 */
  {
    "aarch64_rshrn2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv4si },
    &operand_data[19126],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7017 */
  {
    "aarch64_sqrshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrn2_nv2di },
    &operand_data[19130],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7017 */
  {
    "aarch64_uqrshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uqrshrn2_nv2di },
    &operand_data[19130],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7017 */
  {
    "aarch64_rshrn2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rshrn2_nv2di },
    &operand_data[19130],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7090 */
  {
    "aarch64_sqshrun2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv8hi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7090 */
  {
    "aarch64_sqshrun2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv4si },
    &operand_data[19126],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7090 */
  {
    "aarch64_sqshrun2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqshrun2_nv2di },
    &operand_data[19130],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_sqrshrun2_nv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv8hi },
    &operand_data[19122],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_sqrshrun2_nv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv4si },
    &operand_data[19126],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7157 */
  {
    "aarch64_sqrshrun2_nv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sqrshrun2_nv2di },
    &operand_data[19130],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7519 */
  {
    "aarch64_addpv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8qi },
    &operand_data[18568],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7519 */
  {
    "aarch64_addpv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv16qi },
    &operand_data[18571],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7519 */
  {
    "aarch64_addpv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4hi },
    &operand_data[18574],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7519 */
  {
    "aarch64_addpv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv8hi },
    &operand_data[18577],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7519 */
  {
    "aarch64_addpv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2si },
    &operand_data[18580],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7519 */
  {
    "aarch64_addpv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv4si },
    &operand_data[18583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7519 */
  {
    "aarch64_addpv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_addpv2di },
    &operand_data[18644],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7538 */
  {
    "sqrtv4hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv4hf2 },
    &operand_data[18518],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7538 */
  {
    "sqrtv8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv8hf2 },
    &operand_data[18521],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7538 */
  {
    "sqrtv2sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv2sf2 },
    &operand_data[18524],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7538 */
  {
    "sqrtv4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv4sf2 },
    &operand_data[18527],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7538 */
  {
    "sqrtv2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtv2df2 },
    &operand_data[18530],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7593 */
  {
    "vec_load_lanesv2x16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x16qiv16qi },
    &operand_data[19134],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7593 */
  {
    "vec_load_lanesv2x8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x8hiv8hi },
    &operand_data[19136],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7593 */
  {
    "vec_load_lanesv2x4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x4siv4si },
    &operand_data[19138],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7593 */
  {
    "vec_load_lanesv2x2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x2div2di },
    &operand_data[19140],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7593 */
  {
    "vec_load_lanesv2x8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x8hfv8hf },
    &operand_data[19142],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7593 */
  {
    "vec_load_lanesv2x4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x4sfv4sf },
    &operand_data[19144],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7593 */
  {
    "vec_load_lanesv2x2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x2dfv2df },
    &operand_data[19146],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7593 */
  {
    "vec_load_lanesv2x8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv2x8bfv8bf },
    &operand_data[19148],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7638 */
  {
    "vec_store_lanesv2x16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x16qiv16qi },
    &operand_data[19150],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7638 */
  {
    "vec_store_lanesv2x8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x8hiv8hi },
    &operand_data[19152],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7638 */
  {
    "vec_store_lanesv2x4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x4siv4si },
    &operand_data[19154],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7638 */
  {
    "vec_store_lanesv2x2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x2div2di },
    &operand_data[19156],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7638 */
  {
    "vec_store_lanesv2x8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x8hfv8hf },
    &operand_data[19158],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7638 */
  {
    "vec_store_lanesv2x4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x4sfv4sf },
    &operand_data[19160],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7638 */
  {
    "vec_store_lanesv2x2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x2dfv2df },
    &operand_data[19162],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7638 */
  {
    "vec_store_lanesv2x8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv2x8bfv8bf },
    &operand_data[19164],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7693 */
  {
    "vec_load_lanesv3x16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x16qiv16qi },
    &operand_data[19166],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7693 */
  {
    "vec_load_lanesv3x8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x8hiv8hi },
    &operand_data[19168],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7693 */
  {
    "vec_load_lanesv3x4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x4siv4si },
    &operand_data[19170],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7693 */
  {
    "vec_load_lanesv3x2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x2div2di },
    &operand_data[19172],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7693 */
  {
    "vec_load_lanesv3x8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x8hfv8hf },
    &operand_data[19174],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7693 */
  {
    "vec_load_lanesv3x4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x4sfv4sf },
    &operand_data[19176],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7693 */
  {
    "vec_load_lanesv3x2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x2dfv2df },
    &operand_data[19178],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7693 */
  {
    "vec_load_lanesv3x8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv3x8bfv8bf },
    &operand_data[19180],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7737 */
  {
    "vec_store_lanesv3x16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x16qiv16qi },
    &operand_data[19182],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7737 */
  {
    "vec_store_lanesv3x8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x8hiv8hi },
    &operand_data[19184],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7737 */
  {
    "vec_store_lanesv3x4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x4siv4si },
    &operand_data[19186],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7737 */
  {
    "vec_store_lanesv3x2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x2div2di },
    &operand_data[19188],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7737 */
  {
    "vec_store_lanesv3x8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x8hfv8hf },
    &operand_data[19190],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7737 */
  {
    "vec_store_lanesv3x4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x4sfv4sf },
    &operand_data[19192],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7737 */
  {
    "vec_store_lanesv3x2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x2dfv2df },
    &operand_data[19194],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7737 */
  {
    "vec_store_lanesv3x8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv3x8bfv8bf },
    &operand_data[19196],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7793 */
  {
    "vec_load_lanesv4x16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x16qiv16qi },
    &operand_data[19198],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7793 */
  {
    "vec_load_lanesv4x8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x8hiv8hi },
    &operand_data[19200],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7793 */
  {
    "vec_load_lanesv4x4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x4siv4si },
    &operand_data[19202],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7793 */
  {
    "vec_load_lanesv4x2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x2div2di },
    &operand_data[19204],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7793 */
  {
    "vec_load_lanesv4x8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x8hfv8hf },
    &operand_data[19206],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7793 */
  {
    "vec_load_lanesv4x4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x4sfv4sf },
    &operand_data[19208],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7793 */
  {
    "vec_load_lanesv4x2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x2dfv2df },
    &operand_data[19210],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7793 */
  {
    "vec_load_lanesv4x8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesv4x8bfv8bf },
    &operand_data[19212],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7838 */
  {
    "vec_store_lanesv4x16qiv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x16qiv16qi },
    &operand_data[19214],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7838 */
  {
    "vec_store_lanesv4x8hiv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x8hiv8hi },
    &operand_data[19216],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7838 */
  {
    "vec_store_lanesv4x4siv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x4siv4si },
    &operand_data[19218],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7838 */
  {
    "vec_store_lanesv4x2div2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x2div2di },
    &operand_data[19220],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7838 */
  {
    "vec_store_lanesv4x8hfv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x8hfv8hf },
    &operand_data[19222],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7838 */
  {
    "vec_store_lanesv4x4sfv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x4sfv4sf },
    &operand_data[19224],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7838 */
  {
    "vec_store_lanesv4x2dfv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x2dfv2df },
    &operand_data[19226],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7838 */
  {
    "vec_store_lanesv4x8bfv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesv4x8bfv8bf },
    &operand_data[19228],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7873 */
  {
    "aarch64_vec_stl1_lanev1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanev1di },
    &operand_data[19230],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7873 */
  {
    "aarch64_vec_stl1_lanev1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanev1df },
    &operand_data[19233],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7873 */
  {
    "aarch64_vec_stl1_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanev2di },
    &operand_data[19236],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7873 */
  {
    "aarch64_vec_stl1_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_stl1_lanev2df },
    &operand_data[19239],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7905 */
  {
    "aarch64_vec_ldap1_lanev1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanev1di },
    &operand_data[19242],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7905 */
  {
    "aarch64_vec_ldap1_lanev1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanev1df },
    &operand_data[19246],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7905 */
  {
    "aarch64_vec_ldap1_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanev2di },
    &operand_data[19250],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7905 */
  {
    "aarch64_vec_ldap1_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_vec_ldap1_lanev2df },
    &operand_data[19254],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x8qi },
    &operand_data[19258],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x4hi },
    &operand_data[19260],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x2si },
    &operand_data[19262],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x1di },
    &operand_data[19264],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x4hf },
    &operand_data[19266],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x2sf },
    &operand_data[19268],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x1df },
    &operand_data[19270],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x4bf },
    &operand_data[19272],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x8qi },
    &operand_data[19274],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x4hi },
    &operand_data[19276],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x2si },
    &operand_data[19278],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x1di },
    &operand_data[19280],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x4hf },
    &operand_data[19282],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x2sf },
    &operand_data[19284],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x1df },
    &operand_data[19286],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x4bf },
    &operand_data[19288],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x8qi },
    &operand_data[19290],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x4hi },
    &operand_data[19292],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x2si },
    &operand_data[19294],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x1di },
    &operand_data[19296],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x4hf },
    &operand_data[19298],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x2sf },
    &operand_data[19300],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x1df },
    &operand_data[19302],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x4bf },
    &operand_data[19304],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x16qi },
    &operand_data[19306],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x8hi },
    &operand_data[19308],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x4si },
    &operand_data[19310],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x2di },
    &operand_data[19312],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x8hf },
    &operand_data[19314],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x4sf },
    &operand_data[19316],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x2df },
    &operand_data[19318],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv2x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv2x8bf },
    &operand_data[19320],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x16qi },
    &operand_data[19322],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x8hi },
    &operand_data[19324],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x4si },
    &operand_data[19326],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x2di },
    &operand_data[19328],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x8hf },
    &operand_data[19330],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x4sf },
    &operand_data[19332],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x2df },
    &operand_data[19334],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv3x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv3x8bf },
    &operand_data[19336],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x16qi },
    &operand_data[19338],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x8hi },
    &operand_data[19340],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x4si },
    &operand_data[19342],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x2di },
    &operand_data[19344],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x8hf },
    &operand_data[19346],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x4sf },
    &operand_data[19348],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x2df },
    &operand_data[19350],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7949 */
  {
    "movv4x8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv4x8bf },
    &operand_data[19352],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7970 */
  {
    "movoi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movoi },
    &operand_data[19354],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7970 */
  {
    "movci",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movci },
    &operand_data[19356],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7970 */
  {
    "movxi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movxi },
    &operand_data[19358],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7982 */
  {
    "movv8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movv8di },
    &operand_data[19360],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8qi },
    &operand_data[19362],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4hi },
    &operand_data[19364],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2si },
    &operand_data[19366],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3di },
    &operand_data[19368],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4hf },
    &operand_data[19370],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2sf },
    &operand_data[19372],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3df },
    &operand_data[19374],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4bf },
    &operand_data[19376],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v16qi },
    &operand_data[19378],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8hi },
    &operand_data[19380],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4si },
    &operand_data[19382],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2di },
    &operand_data[19384],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8hf },
    &operand_data[19386],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v4sf },
    &operand_data[19388],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v2df },
    &operand_data[19390],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:7991 */
  {
    "aarch64_ld1x3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x3v8bf },
    &operand_data[19392],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8qi },
    &operand_data[19394],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4hi },
    &operand_data[19396],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2si },
    &operand_data[19398],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4di },
    &operand_data[19400],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4hf },
    &operand_data[19402],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2sf },
    &operand_data[19404],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4df },
    &operand_data[19406],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4bf },
    &operand_data[19408],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v16qi },
    &operand_data[19410],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8hi },
    &operand_data[19412],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4si },
    &operand_data[19414],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2di },
    &operand_data[19416],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8hf },
    &operand_data[19418],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v4sf },
    &operand_data[19420],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v2df },
    &operand_data[19422],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8011 */
  {
    "aarch64_ld1x4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x4v8bf },
    &operand_data[19424],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8qi },
    &operand_data[19426],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4hi },
    &operand_data[19428],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2si },
    &operand_data[19430],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2di },
    &operand_data[19432],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4hf },
    &operand_data[19434],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2sf },
    &operand_data[19436],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2df },
    &operand_data[19438],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4bf },
    &operand_data[19440],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v16qi },
    &operand_data[19442],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8hi },
    &operand_data[19444],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4si },
    &operand_data[19446],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2di },
    &operand_data[19448],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8hf },
    &operand_data[19450],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v4sf },
    &operand_data[19452],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v2df },
    &operand_data[19454],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8031 */
  {
    "aarch64_st1x2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x2v8bf },
    &operand_data[19456],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8qi },
    &operand_data[19458],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4hi },
    &operand_data[19363],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2si },
    &operand_data[19365],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3di },
    &operand_data[19367],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4hf },
    &operand_data[19369],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2sf },
    &operand_data[19371],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3df },
    &operand_data[19373],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4bf },
    &operand_data[19375],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v16qi },
    &operand_data[19377],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8hi },
    &operand_data[19379],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4si },
    &operand_data[19381],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2di },
    &operand_data[19383],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8hf },
    &operand_data[19385],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v4sf },
    &operand_data[19387],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v2df },
    &operand_data[19389],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8051 */
  {
    "aarch64_st1x3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x3v8bf },
    &operand_data[19391],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8qi },
    &operand_data[19460],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4hi },
    &operand_data[19462],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2si },
    &operand_data[19464],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4di },
    &operand_data[19466],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4hf },
    &operand_data[19468],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2sf },
    &operand_data[19470],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4df },
    &operand_data[19472],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4bf },
    &operand_data[19474],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v16qi },
    &operand_data[19476],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8hi },
    &operand_data[19478],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4si },
    &operand_data[19480],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2di },
    &operand_data[19482],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8hf },
    &operand_data[19484],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v4sf },
    &operand_data[19486],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v2df },
    &operand_data[19488],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8071 */
  {
    "aarch64_st1x4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1x4v8bf },
    &operand_data[19490],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8qi },
    &operand_data[19427],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4hi },
    &operand_data[19429],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2si },
    &operand_data[19431],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rdi },
    &operand_data[19433],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4hf },
    &operand_data[19435],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2sf },
    &operand_data[19437],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rdf },
    &operand_data[19439],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4bf },
    &operand_data[19441],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8qi },
    &operand_data[19362],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4hi },
    &operand_data[19364],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2si },
    &operand_data[19366],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rdi },
    &operand_data[19368],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4hf },
    &operand_data[19370],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2sf },
    &operand_data[19372],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rdf },
    &operand_data[19374],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4bf },
    &operand_data[19376],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8qi },
    &operand_data[19461],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4hi },
    &operand_data[19463],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2si },
    &operand_data[19465],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rdi },
    &operand_data[19467],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4hf },
    &operand_data[19469],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2sf },
    &operand_data[19471],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rdf },
    &operand_data[19473],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4bf },
    &operand_data[19475],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv16qi },
    &operand_data[19443],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8hi },
    &operand_data[19445],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4si },
    &operand_data[19447],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2di },
    &operand_data[19449],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8hf },
    &operand_data[19451],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv4sf },
    &operand_data[19453],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv2df },
    &operand_data[19455],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld2rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2rv8bf },
    &operand_data[19457],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv16qi },
    &operand_data[19378],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8hi },
    &operand_data[19380],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4si },
    &operand_data[19382],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2di },
    &operand_data[19384],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8hf },
    &operand_data[19386],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv4sf },
    &operand_data[19388],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv2df },
    &operand_data[19390],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld3rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3rv8bf },
    &operand_data[19392],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv16qi },
    &operand_data[19477],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8hi },
    &operand_data[19479],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4si },
    &operand_data[19481],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2di },
    &operand_data[19483],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8hf },
    &operand_data[19485],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv4sf },
    &operand_data[19487],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv2df },
    &operand_data[19489],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8366 */
  {
    "aarch64_ld4rv8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4rv8bf },
    &operand_data[19229],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8qi },
    &operand_data[19427],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hi },
    &operand_data[19429],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2si },
    &operand_data[19431],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2di },
    &operand_data[19433],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4hf },
    &operand_data[19435],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2sf },
    &operand_data[19437],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2df },
    &operand_data[19439],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4bf },
    &operand_data[19441],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8qi },
    &operand_data[19362],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hi },
    &operand_data[19364],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2si },
    &operand_data[19366],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3di },
    &operand_data[19368],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4hf },
    &operand_data[19370],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2sf },
    &operand_data[19372],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3df },
    &operand_data[19374],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4bf },
    &operand_data[19376],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8qi },
    &operand_data[19461],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hi },
    &operand_data[19463],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2si },
    &operand_data[19465],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4di },
    &operand_data[19467],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4hf },
    &operand_data[19469],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2sf },
    &operand_data[19471],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4df },
    &operand_data[19473],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8438 */
  {
    "aarch64_ld4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4bf },
    &operand_data[19475],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8qi },
    &operand_data[19492],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v16qi },
    &operand_data[19494],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4hi },
    &operand_data[18608],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8hi },
    &operand_data[19496],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2si },
    &operand_data[19498],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4si },
    &operand_data[19500],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2di },
    &operand_data[18949],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4hf },
    &operand_data[19502],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8hf },
    &operand_data[19504],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4bf },
    &operand_data[19506],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v8bf },
    &operand_data[19508],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2sf },
    &operand_data[19510],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v4sf },
    &operand_data[19512],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8448 */
  {
    "aarch64_ld1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1v2df },
    &operand_data[18901],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v16qi },
    &operand_data[19443],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8hi },
    &operand_data[19445],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4si },
    &operand_data[19447],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2di },
    &operand_data[19449],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8hf },
    &operand_data[19451],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v4sf },
    &operand_data[19453],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v2df },
    &operand_data[19455],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2v8bf },
    &operand_data[19457],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v16qi },
    &operand_data[19378],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8hi },
    &operand_data[19380],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4si },
    &operand_data[19382],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2di },
    &operand_data[19384],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8hf },
    &operand_data[19386],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v4sf },
    &operand_data[19388],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v2df },
    &operand_data[19390],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3v8bf },
    &operand_data[19392],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v16qi },
    &operand_data[19477],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8hi },
    &operand_data[19479],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4si },
    &operand_data[19481],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2di },
    &operand_data[19483],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8hf },
    &operand_data[19485],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v4sf },
    &operand_data[19487],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v2df },
    &operand_data[19489],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8463 */
  {
    "aarch64_ld4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4v8bf },
    &operand_data[19229],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8qi },
    &operand_data[19427],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4hi },
    &operand_data[19429],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2si },
    &operand_data[19431],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2di },
    &operand_data[19433],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4hf },
    &operand_data[19435],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2sf },
    &operand_data[19437],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2df },
    &operand_data[19439],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4bf },
    &operand_data[19441],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v16qi },
    &operand_data[19443],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8hi },
    &operand_data[19445],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4si },
    &operand_data[19447],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2di },
    &operand_data[19449],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8hf },
    &operand_data[19451],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v4sf },
    &operand_data[19453],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v2df },
    &operand_data[19455],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8473 */
  {
    "aarch64_ld1x2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld1x2v8bf },
    &operand_data[19457],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8qi },
    &operand_data[19514],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4hi },
    &operand_data[19518],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2si },
    &operand_data[19522],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanedi },
    &operand_data[19526],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4hf },
    &operand_data[19530],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2sf },
    &operand_data[19534],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanedf },
    &operand_data[19538],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4bf },
    &operand_data[19542],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8qi },
    &operand_data[19546],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4hi },
    &operand_data[19550],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2si },
    &operand_data[19554],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanedi },
    &operand_data[19558],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4hf },
    &operand_data[19562],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2sf },
    &operand_data[19566],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanedf },
    &operand_data[19570],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4bf },
    &operand_data[19574],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8qi },
    &operand_data[19578],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4hi },
    &operand_data[19582],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2si },
    &operand_data[19586],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanedi },
    &operand_data[19590],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4hf },
    &operand_data[19594],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2sf },
    &operand_data[19598],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanedf },
    &operand_data[19602],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4bf },
    &operand_data[19606],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev16qi },
    &operand_data[19610],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8hi },
    &operand_data[19614],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4si },
    &operand_data[19618],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2di },
    &operand_data[19622],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8hf },
    &operand_data[19626],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev4sf },
    &operand_data[19630],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev2df },
    &operand_data[19634],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld2_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld2_lanev8bf },
    &operand_data[19638],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev16qi },
    &operand_data[19642],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8hi },
    &operand_data[19646],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4si },
    &operand_data[19650],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2di },
    &operand_data[19654],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8hf },
    &operand_data[19658],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev4sf },
    &operand_data[19662],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev2df },
    &operand_data[19666],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld3_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld3_lanev8bf },
    &operand_data[19670],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev16qi },
    &operand_data[19674],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8hi },
    &operand_data[19678],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4si },
    &operand_data[19682],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2di },
    &operand_data[19686],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8hf },
    &operand_data[19690],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev4sf },
    &operand_data[19694],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev2df },
    &operand_data[19698],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8485 */
  {
    "aarch64_ld4_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ld4_lanev8bf },
    &operand_data[19702],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8508 */
  {
    "vec_permv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permv8qi },
    &operand_data[18846],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8508 */
  {
    "vec_permv16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permv16qi },
    &operand_data[18850],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st2v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8qi },
    &operand_data[19426],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st2v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hi },
    &operand_data[19428],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st2v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2si },
    &operand_data[19430],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2di },
    &operand_data[19432],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st2v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4hf },
    &operand_data[19434],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st2v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2sf },
    &operand_data[19436],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2df },
    &operand_data[19438],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st2v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4bf },
    &operand_data[19440],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st3v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8qi },
    &operand_data[19458],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st3v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hi },
    &operand_data[19363],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st3v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2si },
    &operand_data[19365],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st3di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3di },
    &operand_data[19367],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st3v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4hf },
    &operand_data[19369],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st3v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2sf },
    &operand_data[19371],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st3df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3df },
    &operand_data[19373],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st3v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4bf },
    &operand_data[19375],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st4v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8qi },
    &operand_data[19460],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st4v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hi },
    &operand_data[19462],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st4v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2si },
    &operand_data[19464],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4di },
    &operand_data[19466],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st4v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4hf },
    &operand_data[19468],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st4v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2sf },
    &operand_data[19470],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4df },
    &operand_data[19472],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8742 */
  {
    "aarch64_st4v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4bf },
    &operand_data[19474],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st2v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v16qi },
    &operand_data[19442],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st2v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8hi },
    &operand_data[19444],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st2v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4si },
    &operand_data[19446],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st2v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2di },
    &operand_data[19448],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st2v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8hf },
    &operand_data[19450],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st2v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v4sf },
    &operand_data[19452],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st2v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v2df },
    &operand_data[19454],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st2v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2v8bf },
    &operand_data[19456],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st3v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v16qi },
    &operand_data[19377],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st3v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8hi },
    &operand_data[19379],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st3v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4si },
    &operand_data[19381],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st3v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2di },
    &operand_data[19383],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st3v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8hf },
    &operand_data[19385],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st3v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v4sf },
    &operand_data[19387],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st3v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v2df },
    &operand_data[19389],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st3v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3v8bf },
    &operand_data[19391],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st4v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v16qi },
    &operand_data[19476],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st4v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8hi },
    &operand_data[19478],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st4v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4si },
    &operand_data[19480],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st4v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2di },
    &operand_data[19482],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st4v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8hf },
    &operand_data[19484],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st4v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v4sf },
    &operand_data[19486],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st4v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v2df },
    &operand_data[19488],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8752 */
  {
    "aarch64_st4v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4v8bf },
    &operand_data[19490],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8qi },
    &operand_data[19515],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4hi },
    &operand_data[19519],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2si },
    &operand_data[19523],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanedi },
    &operand_data[19527],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4hf },
    &operand_data[19531],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2sf },
    &operand_data[19535],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanedf },
    &operand_data[19539],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4bf },
    &operand_data[19543],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8qi },
    &operand_data[19547],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4hi },
    &operand_data[19551],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2si },
    &operand_data[19555],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanedi },
    &operand_data[19559],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4hf },
    &operand_data[19563],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2sf },
    &operand_data[19567],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanedf },
    &operand_data[19571],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4bf },
    &operand_data[19575],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8qi },
    &operand_data[19579],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4hi },
    &operand_data[19583],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2si },
    &operand_data[19587],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanedi },
    &operand_data[19591],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4hf },
    &operand_data[19595],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2sf },
    &operand_data[19599],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanedf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanedf },
    &operand_data[19603],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4bf },
    &operand_data[19607],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev16qi },
    &operand_data[19611],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8hi },
    &operand_data[19615],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4si },
    &operand_data[19619],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2di },
    &operand_data[19623],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8hf },
    &operand_data[19627],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev4sf },
    &operand_data[19631],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev2df },
    &operand_data[19635],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st2_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st2_lanev8bf },
    &operand_data[19639],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev16qi },
    &operand_data[19643],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8hi },
    &operand_data[19647],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4si },
    &operand_data[19651],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2di },
    &operand_data[19655],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8hf },
    &operand_data[19659],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev4sf },
    &operand_data[19663],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev2df },
    &operand_data[19667],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st3_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st3_lanev8bf },
    &operand_data[19671],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev16qi },
    &operand_data[19675],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8hi },
    &operand_data[19679],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4si },
    &operand_data[19683],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2di },
    &operand_data[19687],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8hf },
    &operand_data[19691],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev4sf },
    &operand_data[19695],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev2df },
    &operand_data[19699],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8762 */
  {
    "aarch64_st4_lanev8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st4_lanev8bf },
    &operand_data[19703],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8qi },
    &operand_data[19706],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v16qi },
    &operand_data[19493],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4hi },
    &operand_data[19708],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8hi },
    &operand_data[19495],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2si },
    &operand_data[3231],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4si },
    &operand_data[3227],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2di },
    &operand_data[18499],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4hf },
    &operand_data[19501],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8hf },
    &operand_data[19503],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4bf },
    &operand_data[19505],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v8bf },
    &operand_data[19507],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2sf },
    &operand_data[19509],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v4sf },
    &operand_data[19511],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8778 */
  {
    "aarch64_st1v2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_st1v2df },
    &operand_data[19239],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv8qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8qiqi },
    &operand_data[19710],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv16qiqi },
    &operand_data[19712],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv4hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4hihi },
    &operand_data[19714],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hihi },
    &operand_data[19716],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2sisi },
    &operand_data[19718],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sisi },
    &operand_data[19720],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2didi },
    &operand_data[19722],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv4hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4hfhf },
    &operand_data[19724],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hfhf },
    &operand_data[19726],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv4bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4bfbf },
    &operand_data[19728],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8bfbf },
    &operand_data[19730],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv2sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2sfsf },
    &operand_data[19732],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sfsf },
    &operand_data[19734],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8795 */
  {
    "vec_initv2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv2dfdf },
    &operand_data[19736],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8804 */
  {
    "vec_initv16qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv16qiv8qi },
    &operand_data[19712],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8804 */
  {
    "vec_initv8hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hiv4hi },
    &operand_data[19716],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8804 */
  {
    "vec_initv4siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4siv2si },
    &operand_data[19720],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8804 */
  {
    "vec_initv8hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8hfv4hf },
    &operand_data[19726],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8804 */
  {
    "vec_initv4sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv4sfv2sf },
    &operand_data[19734],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8804 */
  {
    "vec_initv8bfv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initv8bfv4bf },
    &operand_data[19730],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv8qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8qiqi },
    &operand_data[19738],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv16qiqi },
    &operand_data[19741],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv4hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4hihi },
    &operand_data[19744],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hihi },
    &operand_data[19747],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv2sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2sisi },
    &operand_data[19750],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sisi },
    &operand_data[19753],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2didi },
    &operand_data[19756],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv4hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4hfhf },
    &operand_data[19759],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hfhf },
    &operand_data[19762],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv4bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4bfbf },
    &operand_data[19765],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8bfbf },
    &operand_data[19768],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv2sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2sfsf },
    &operand_data[19771],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sfsf },
    &operand_data[19774],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8873 */
  {
    "vec_extractv2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2dfdf },
    &operand_data[19777],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8885 */
  {
    "vec_extractv16qiv8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv16qiv8qi },
    &operand_data[19780],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8885 */
  {
    "vec_extractv8hiv4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hiv4hi },
    &operand_data[19783],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8885 */
  {
    "vec_extractv4siv2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4siv2si },
    &operand_data[19786],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8885 */
  {
    "vec_extractv8hfv4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8hfv4hf },
    &operand_data[19789],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8885 */
  {
    "vec_extractv8bfv4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv8bfv4bf },
    &operand_data[19792],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8885 */
  {
    "vec_extractv4sfv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv4sfv2sf },
    &operand_data[19795],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8900 */
  {
    "vec_extractv2div1di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2div1di },
    &operand_data[19798],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:8900 */
  {
    "vec_extractv2dfv1df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractv2dfv1df },
    &operand_data[19801],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9158 */
  {
    "aarch64_xarqv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xarqv2di },
    &operand_data[19804],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9246 */
  {
    "aarch64_fmlal_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lowv2sf },
    &operand_data[19808],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9246 */
  {
    "aarch64_fmlsl_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lowv2sf },
    &operand_data[19808],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9246 */
  {
    "aarch64_fmlalq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lowv4sf },
    &operand_data[19812],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9246 */
  {
    "aarch64_fmlslq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lowv4sf },
    &operand_data[19812],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9269 */
  {
    "aarch64_fmlal_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_highv2sf },
    &operand_data[19808],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9269 */
  {
    "aarch64_fmlsl_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_highv2sf },
    &operand_data[19808],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9269 */
  {
    "aarch64_fmlalq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_highv4sf },
    &operand_data[19812],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9269 */
  {
    "aarch64_fmlslq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_highv4sf },
    &operand_data[19812],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9359 */
  {
    "aarch64_fmlal_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lane_lowv2sf },
    &operand_data[19816],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9359 */
  {
    "aarch64_fmlsl_lane_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lane_lowv2sf },
    &operand_data[19816],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9380 */
  {
    "aarch64_fmlal_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_lane_highv2sf },
    &operand_data[19816],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9380 */
  {
    "aarch64_fmlsl_lane_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_lane_highv2sf },
    &operand_data[19816],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9474 */
  {
    "aarch64_fmlalq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_laneq_lowv4sf },
    &operand_data[19821],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9474 */
  {
    "aarch64_fmlslq_laneq_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_laneq_lowv4sf },
    &operand_data[19821],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9494 */
  {
    "aarch64_fmlalq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_laneq_highv4sf },
    &operand_data[19821],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9494 */
  {
    "aarch64_fmlslq_laneq_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_laneq_highv4sf },
    &operand_data[19821],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9588 */
  {
    "aarch64_fmlal_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_laneq_lowv2sf },
    &operand_data[19826],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9588 */
  {
    "aarch64_fmlsl_laneq_lowv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_laneq_lowv2sf },
    &operand_data[19826],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9609 */
  {
    "aarch64_fmlal_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlal_laneq_highv2sf },
    &operand_data[19826],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9609 */
  {
    "aarch64_fmlsl_laneq_highv2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlsl_laneq_highv2sf },
    &operand_data[19826],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9704 */
  {
    "aarch64_fmlalq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lane_lowv4sf },
    &operand_data[19831],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9704 */
  {
    "aarch64_fmlslq_lane_lowv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lane_lowv4sf },
    &operand_data[19831],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9724 */
  {
    "aarch64_fmlalq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlalq_lane_highv4sf },
    &operand_data[19831],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9724 */
  {
    "aarch64_fmlslq_lane_highv4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_fmlslq_lane_highv4sf },
    &operand_data[19831],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9863 */
  {
    "aarch64_sxtlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sxtlv8hi },
    &operand_data[1972],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9863 */
  {
    "aarch64_uxtlv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uxtlv8hi },
    &operand_data[1972],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9863 */
  {
    "aarch64_sxtlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sxtlv4si },
    &operand_data[1975],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9863 */
  {
    "aarch64_uxtlv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uxtlv4si },
    &operand_data[1975],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9863 */
  {
    "aarch64_sxtlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sxtlv2di },
    &operand_data[1978],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9863 */
  {
    "aarch64_uxtlv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_uxtlv2di },
    &operand_data[1978],
    2,
    2,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9881 */
  {
    "aarch64_xtnv8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtnv8hi },
    &operand_data[18719],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9881 */
  {
    "aarch64_xtnv4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtnv4si },
    &operand_data[18721],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-simd.md:9881 */
  {
    "aarch64_xtnv2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_xtnv2di },
    &operand_data[18723],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapqi },
    &operand_data[19836],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swaphi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swaphi },
    &operand_data[19844],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapsi },
    &operand_data[19852],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapdi },
    &operand_data[19860],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:23 */
  {
    "atomic_compare_and_swapti",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_compare_and_swapti },
    &operand_data[19868],
    8,
    8,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangeqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangeqi },
    &operand_data[19876],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangehi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangehi },
    &operand_data[19880],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangesi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangesi },
    &operand_data[19884],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:185 */
  {
    "atomic_exchangedi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_exchangedi },
    &operand_data[19888],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addqi },
    &operand_data[19892],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subqi },
    &operand_data[19892],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orqi },
    &operand_data[19895],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorqi },
    &operand_data[19895],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andqi },
    &operand_data[19895],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addhi },
    &operand_data[19898],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subhi },
    &operand_data[19898],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orhi },
    &operand_data[19901],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorhi },
    &operand_data[19901],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andhi },
    &operand_data[19901],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_addsi },
    &operand_data[19904],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subsi },
    &operand_data[19904],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_orsi },
    &operand_data[19907],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xorsi },
    &operand_data[19907],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_andsi },
    &operand_data[19907],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_adddi },
    &operand_data[19910],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_subdi },
    &operand_data[19910],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_ordi },
    &operand_data[19913],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xordi },
    &operand_data[19913],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:260 */
  {
    "atomic_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_anddi },
    &operand_data[19913],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addqi },
    &operand_data[19916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subqi },
    &operand_data[19916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orqi },
    &operand_data[19920],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorqi },
    &operand_data[19920],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andqi },
    &operand_data[19920],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addhi },
    &operand_data[19924],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subhi },
    &operand_data[19924],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orhi },
    &operand_data[19928],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorhi },
    &operand_data[19928],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andhi },
    &operand_data[19928],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_addsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_addsi },
    &operand_data[19932],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subsi },
    &operand_data[19932],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_orsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_orsi },
    &operand_data[19936],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xorsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xorsi },
    &operand_data[19936],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_andsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_andsi },
    &operand_data[19936],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_adddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_adddi },
    &operand_data[19940],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_subdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_subdi },
    &operand_data[19940],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_ordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_ordi },
    &operand_data[19944],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_xordi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_xordi },
    &operand_data[19944],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:417 */
  {
    "atomic_fetch_anddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_fetch_anddi },
    &operand_data[19944],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchqi },
    &operand_data[19916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchqi },
    &operand_data[19916],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchqi },
    &operand_data[19920],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchqi },
    &operand_data[19920],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchqi },
    &operand_data[19920],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchhi },
    &operand_data[19924],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchhi },
    &operand_data[19924],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchhi },
    &operand_data[19928],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchhi },
    &operand_data[19928],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchhi },
    &operand_data[19928],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchsi },
    &operand_data[19932],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchsi },
    &operand_data[19932],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchsi },
    &operand_data[19936],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchsi },
    &operand_data[19936],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchsi },
    &operand_data[19936],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_add_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_add_fetchdi },
    &operand_data[19940],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_sub_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_sub_fetchdi },
    &operand_data[19940],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_or_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_or_fetchdi },
    &operand_data[19944],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_xor_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_xor_fetchdi },
    &operand_data[19944],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:568 */
  {
    "atomic_and_fetchdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_and_fetchdi },
    &operand_data[19944],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:660 */
  {
    "atomic_loadqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadqi },
    &operand_data[6578],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:660 */
  {
    "atomic_loadhi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadhi },
    &operand_data[6560],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:660 */
  {
    "atomic_loadsi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loadsi },
    &operand_data[6572],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:660 */
  {
    "atomic_loaddi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_atomic_loaddi },
    &operand_data[6581],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:836 */
  {
    "mem_thread_fence",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mem_thread_fence },
    &operand_data[107],
    1,
    1,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/atomics.md:847 */
  {
    "dmb",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_dmb },
    &operand_data[107],
    1,
    1,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16qi },
    &operand_data[19948],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8qi },
    &operand_data[19950],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4qi },
    &operand_data[19952],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2qi },
    &operand_data[19954],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8hi },
    &operand_data[19956],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4hi },
    &operand_data[19958],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2hi },
    &operand_data[19960],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4si },
    &operand_data[19962],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2si },
    &operand_data[19964],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2di },
    &operand_data[19966],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8hf },
    &operand_data[19968],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4hf },
    &operand_data[19970],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2hf },
    &operand_data[19972],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8bf },
    &operand_data[19974],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4bf },
    &operand_data[19976],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2bf },
    &operand_data[19978],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4sf },
    &operand_data[19980],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2sf },
    &operand_data[19982],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:644 */
  {
    "movvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2df },
    &operand_data[19984],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx16qi },
    &operand_data[19948],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8qi },
    &operand_data[19950],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4qi },
    &operand_data[19952],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2qi },
    &operand_data[19954],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8hi },
    &operand_data[19956],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4hi },
    &operand_data[19958],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2hi },
    &operand_data[19960],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4si },
    &operand_data[19962],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2si },
    &operand_data[19964],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2di },
    &operand_data[19966],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8hf },
    &operand_data[19968],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4hf },
    &operand_data[19970],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2hf },
    &operand_data[19972],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx8bf },
    &operand_data[19974],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4bf },
    &operand_data[19976],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2bf },
    &operand_data[19978],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx4sf },
    &operand_data[19980],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2sf },
    &operand_data[19982],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:674 */
  {
    "movmisalignvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movmisalignvnx2df },
    &operand_data[19984],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:724 */
  {
    "aarch64_sve_reload_mem",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reload_mem },
    &operand_data[19986],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16qi },
    &operand_data[19989],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8qi },
    &operand_data[19991],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4qi },
    &operand_data[19993],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2qi },
    &operand_data[19995],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8hi },
    &operand_data[19997],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4hi },
    &operand_data[19999],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2hi },
    &operand_data[20001],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4si },
    &operand_data[20003],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2si },
    &operand_data[20005],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2di },
    &operand_data[20007],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8hf },
    &operand_data[20009],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4hf },
    &operand_data[20011],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2hf },
    &operand_data[20013],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8bf },
    &operand_data[20015],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4bf },
    &operand_data[20017],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2bf },
    &operand_data[20019],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4sf },
    &operand_data[20021],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2sf },
    &operand_data[20023],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx2df },
    &operand_data[20025],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx32qi },
    &operand_data[20027],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16hi },
    &operand_data[20029],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8si },
    &operand_data[20031],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4di },
    &operand_data[20033],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16bf },
    &operand_data[20035],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16hf },
    &operand_data[20037],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8sf },
    &operand_data[20039],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx4df },
    &operand_data[20041],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx48qi },
    &operand_data[20043],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx24hi },
    &operand_data[20045],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx12si },
    &operand_data[20047],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx6di },
    &operand_data[20049],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx24bf },
    &operand_data[20051],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx24hf },
    &operand_data[20053],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx12sf },
    &operand_data[20055],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx6df },
    &operand_data[20057],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx64qi },
    &operand_data[20059],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx32hi },
    &operand_data[20061],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16si },
    &operand_data[20063],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8di },
    &operand_data[20065],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx32bf },
    &operand_data[20067],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx32hf },
    &operand_data[20069],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx16sf },
    &operand_data[20071],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:789 */
  {
    "aarch64_sve_reinterpretvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_reinterpretvnx8df },
    &operand_data[20073],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx32qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32qi },
    &operand_data[20075],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx16hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16hi },
    &operand_data[20077],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx8si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8si },
    &operand_data[20079],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx4di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4di },
    &operand_data[20081],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16bf },
    &operand_data[20083],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16hf },
    &operand_data[20085],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8sf },
    &operand_data[20087],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4df },
    &operand_data[20089],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx48qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx48qi },
    &operand_data[20091],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx24hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24hi },
    &operand_data[20093],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx12si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx12si },
    &operand_data[20095],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx6di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx6di },
    &operand_data[20097],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx24bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24bf },
    &operand_data[20099],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx24hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx24hf },
    &operand_data[20101],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx12sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx12sf },
    &operand_data[20103],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx6df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx6df },
    &operand_data[20105],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx64qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx64qi },
    &operand_data[20107],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx32hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32hi },
    &operand_data[20109],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx16si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16si },
    &operand_data[20111],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx8di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8di },
    &operand_data[20113],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32bf },
    &operand_data[20115],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx32hf },
    &operand_data[20117],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16sf },
    &operand_data[20119],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:828 */
  {
    "movvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8df },
    &operand_data[20121],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:938 */
  {
    "movvnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx16bi },
    &operand_data[20123],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:938 */
  {
    "movvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx8bi },
    &operand_data[20125],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:938 */
  {
    "movvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx4bi },
    &operand_data[20127],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:938 */
  {
    "movvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_movvnx2bi },
    &operand_data[20129],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32qivnx16qi },
    &operand_data[20131],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16hivnx8hi },
    &operand_data[20133],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8sivnx4si },
    &operand_data[20135],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx4divnx2di },
    &operand_data[20137],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16bfvnx8bf },
    &operand_data[20139],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16hfvnx8hf },
    &operand_data[20141],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8sfvnx4sf },
    &operand_data[20143],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx4dfvnx2df },
    &operand_data[20145],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx48qivnx16qi },
    &operand_data[20147],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24hivnx8hi },
    &operand_data[20149],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx12sivnx4si },
    &operand_data[20151],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx6divnx2di },
    &operand_data[20153],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24bfvnx8bf },
    &operand_data[20155],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx24hfvnx8hf },
    &operand_data[20157],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx12sfvnx4sf },
    &operand_data[20159],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx6dfvnx2df },
    &operand_data[20161],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx64qivnx16qi },
    &operand_data[20163],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32hivnx8hi },
    &operand_data[20165],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16sivnx4si },
    &operand_data[20167],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8divnx2di },
    &operand_data[20169],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32bfvnx8bf },
    &operand_data[20171],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx32hfvnx8hf },
    &operand_data[20173],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx16sfvnx4sf },
    &operand_data[20175],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1301 */
  {
    "vec_load_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_load_lanesvnx8dfvnx2df },
    &operand_data[20177],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2qivnx2di },
    &operand_data[20179],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2hivnx2di },
    &operand_data[20184],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2hfvnx2di },
    &operand_data[20189],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2bfvnx2di },
    &operand_data[20194],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2sivnx2di },
    &operand_data[20199],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2sfvnx2di },
    &operand_data[20204],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2divnx2di },
    &operand_data[20209],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx2dfvnx2di },
    &operand_data[20214],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4qivnx4si },
    &operand_data[20219],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4hivnx4si },
    &operand_data[20224],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4hfvnx4si },
    &operand_data[20229],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4bfvnx4si },
    &operand_data[20234],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4sivnx4si },
    &operand_data[20239],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:1476 */
  {
    "gather_loadvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_gather_loadvnx4sfvnx4si },
    &operand_data[20244],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx32qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32qivnx16qi },
    &operand_data[20249],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx16hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16hivnx8hi },
    &operand_data[20251],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx8sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8sivnx4si },
    &operand_data[20253],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx4divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx4divnx2di },
    &operand_data[20255],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx16bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16bfvnx8bf },
    &operand_data[20257],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx16hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16hfvnx8hf },
    &operand_data[20259],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx8sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8sfvnx4sf },
    &operand_data[20261],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx4dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx4dfvnx2df },
    &operand_data[20263],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx48qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx48qivnx16qi },
    &operand_data[20265],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx24hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24hivnx8hi },
    &operand_data[20267],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx12sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx12sivnx4si },
    &operand_data[20269],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx6divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx6divnx2di },
    &operand_data[20271],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx24bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24bfvnx8bf },
    &operand_data[20273],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx24hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx24hfvnx8hf },
    &operand_data[20275],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx12sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx12sfvnx4sf },
    &operand_data[20277],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx6dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx6dfvnx2df },
    &operand_data[20279],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx64qivnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx64qivnx16qi },
    &operand_data[20281],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx32hivnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32hivnx8hi },
    &operand_data[20283],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx16sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16sivnx4si },
    &operand_data[20285],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx8divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8divnx2di },
    &operand_data[20287],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx32bfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32bfvnx8bf },
    &operand_data[20289],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx32hfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx32hfvnx8hf },
    &operand_data[20291],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx16sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx16sfvnx4sf },
    &operand_data[20293],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2306 */
  {
    "vec_store_lanesvnx8dfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_store_lanesvnx8dfvnx2df },
    &operand_data[20295],
    2,
    2,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx2qivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2qivnx2di },
    &operand_data[20297],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx2hivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2hivnx2di },
    &operand_data[20302],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx2hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2hfvnx2di },
    &operand_data[20185],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx2bfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2bfvnx2di },
    &operand_data[20190],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx2sivnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2sivnx2di },
    &operand_data[20307],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx2sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2sfvnx2di },
    &operand_data[20200],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx2divnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2divnx2di },
    &operand_data[20312],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx2dfvnx2di },
    &operand_data[20210],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx4qivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4qivnx4si },
    &operand_data[20317],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx4hivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4hivnx4si },
    &operand_data[20322],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx4hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4hfvnx4si },
    &operand_data[20225],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx4bfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4bfvnx4si },
    &operand_data[20230],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx4sivnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4sivnx4si },
    &operand_data[20327],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2409 */
  {
    "scatter_storevnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_scatter_storevnx4sfvnx4si },
    &operand_data[20240],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx16qi },
    &operand_data[20332],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8qi },
    &operand_data[20334],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4qi },
    &operand_data[20336],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2qi },
    &operand_data[20338],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8hi },
    &operand_data[20340],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4hi },
    &operand_data[20342],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2hi },
    &operand_data[20344],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4si },
    &operand_data[20346],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2si },
    &operand_data[20348],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2di },
    &operand_data[20350],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8hf },
    &operand_data[20352],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4hf },
    &operand_data[20354],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2hf },
    &operand_data[20356],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8bf },
    &operand_data[20358],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4bf },
    &operand_data[20360],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2bf },
    &operand_data[20362],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4sf },
    &operand_data[20364],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2sf },
    &operand_data[20366],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2672 */
  {
    "vec_duplicatevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2df },
    &operand_data[20368],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2832 */
  {
    "vec_initvnx16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx16qiqi },
    &operand_data[20370],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2832 */
  {
    "vec_initvnx8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hihi },
    &operand_data[20372],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2832 */
  {
    "vec_initvnx4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4sisi },
    &operand_data[20374],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2832 */
  {
    "vec_initvnx2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx2didi },
    &operand_data[20376],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2832 */
  {
    "vec_initvnx8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8bfbf },
    &operand_data[20378],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2832 */
  {
    "vec_initvnx8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hfhf },
    &operand_data[20380],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2832 */
  {
    "vec_initvnx4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4sfsf },
    &operand_data[20382],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2832 */
  {
    "vec_initvnx2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx2dfdf },
    &operand_data[20384],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "vec_initvnx16qivnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx16qivnx8qi },
    &operand_data[20370],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "vec_initvnx8qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8qivnx4qi },
    &operand_data[20386],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "vec_initvnx8hivnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hivnx4hi },
    &operand_data[20372],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "vec_initvnx8hfvnx4hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hfvnx4hf },
    &operand_data[20380],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "vec_initvnx8bfvnx4bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8bfvnx4bf },
    &operand_data[20378],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "vec_initvnx4qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4qivnx2qi },
    &operand_data[20388],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "vec_initvnx4hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4hivnx2hi },
    &operand_data[20390],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "vec_initvnx4hfvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4hfvnx2hf },
    &operand_data[20392],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "vec_initvnx4bfvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4bfvnx2bf },
    &operand_data[20394],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "vec_initvnx4sivnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4sivnx2si },
    &operand_data[20374],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2843 */
  {
    "vec_initvnx4sfvnx2sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx4sfvnx2sf },
    &operand_data[20382],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2854 */
  {
    "vec_initvnx16qivnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx16qivnx4qi },
    &operand_data[20370],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2854 */
  {
    "vec_initvnx8qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8qivnx2qi },
    &operand_data[20386],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2854 */
  {
    "vec_initvnx8hivnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hivnx2hi },
    &operand_data[20372],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2854 */
  {
    "vec_initvnx8hfvnx2hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8hfvnx2hf },
    &operand_data[20380],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2854 */
  {
    "vec_initvnx8bfvnx2bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx8bfvnx2bf },
    &operand_data[20378],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2865 */
  {
    "vec_initvnx16qivnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_initvnx16qivnx2qi },
    &operand_data[20370],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2935 */
  {
    "vec_duplicatevnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx16bi },
    &operand_data[20396],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2935 */
  {
    "vec_duplicatevnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx8bi },
    &operand_data[20398],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2935 */
  {
    "vec_duplicatevnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx4bi },
    &operand_data[20400],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2935 */
  {
    "vec_duplicatevnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_duplicatevnx2bi },
    &operand_data[20402],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2963 */
  {
    "vec_extractvnx16qiqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx16qiqi },
    &operand_data[20403],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2963 */
  {
    "vec_extractvnx8hihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8hihi },
    &operand_data[20406],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2963 */
  {
    "vec_extractvnx4sisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4sisi },
    &operand_data[20409],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2963 */
  {
    "vec_extractvnx2didi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2didi },
    &operand_data[20412],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2963 */
  {
    "vec_extractvnx8bfbf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8bfbf },
    &operand_data[20415],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2963 */
  {
    "vec_extractvnx8hfhf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8hfhf },
    &operand_data[20418],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2963 */
  {
    "vec_extractvnx4sfsf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4sfsf },
    &operand_data[20421],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:2963 */
  {
    "vec_extractvnx2dfdf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2dfdf },
    &operand_data[20424],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3127 */
  {
    "vec_extractvnx16biqi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx16biqi },
    &operand_data[20427],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3127 */
  {
    "vec_extractvnx8bihi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx8bihi },
    &operand_data[20430],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3127 */
  {
    "vec_extractvnx4bisi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx4bisi },
    &operand_data[20433],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3127 */
  {
    "vec_extractvnx2bidi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_extractvnx2bidi },
    &operand_data[20436],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "ctzvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx16qi2 },
    &operand_data[20439],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "ctzvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx8qi2 },
    &operand_data[20441],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "ctzvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx4qi2 },
    &operand_data[20443],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "ctzvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx2qi2 },
    &operand_data[20445],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "ctzvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx8hi2 },
    &operand_data[20447],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "ctzvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx4hi2 },
    &operand_data[20449],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "ctzvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx2hi2 },
    &operand_data[20451],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "ctzvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx4si2 },
    &operand_data[20453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "ctzvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx2si2 },
    &operand_data[20455],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3161 */
  {
    "ctzvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ctzvnx2di2 },
    &operand_data[20457],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "absvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx16qi2 },
    &operand_data[20439],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "negvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx16qi2 },
    &operand_data[20439],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "one_cmplvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx16qi2 },
    &operand_data[20439],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clrsbvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx16qi2 },
    &operand_data[20439],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clzvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx16qi2 },
    &operand_data[20439],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "popcountvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx16qi2 },
    &operand_data[20439],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "rbitvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx16qi2 },
    &operand_data[20439],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qabsvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx16qi2 },
    &operand_data[20439],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qnegvnx16qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx16qi2 },
    &operand_data[20439],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "absvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8qi2 },
    &operand_data[20441],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "negvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8qi2 },
    &operand_data[20441],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "one_cmplvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8qi2 },
    &operand_data[20441],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clrsbvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx8qi2 },
    &operand_data[20441],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clzvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx8qi2 },
    &operand_data[20441],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "popcountvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx8qi2 },
    &operand_data[20441],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "rbitvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx8qi2 },
    &operand_data[20441],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qabsvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx8qi2 },
    &operand_data[20441],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qnegvnx8qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx8qi2 },
    &operand_data[20441],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "absvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4qi2 },
    &operand_data[20443],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "negvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4qi2 },
    &operand_data[20443],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "one_cmplvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4qi2 },
    &operand_data[20443],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clrsbvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4qi2 },
    &operand_data[20443],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clzvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4qi2 },
    &operand_data[20443],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "popcountvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4qi2 },
    &operand_data[20443],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "rbitvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx4qi2 },
    &operand_data[20443],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qabsvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4qi2 },
    &operand_data[20443],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qnegvnx4qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4qi2 },
    &operand_data[20443],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "absvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2qi2 },
    &operand_data[20445],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "negvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2qi2 },
    &operand_data[20445],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "one_cmplvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2qi2 },
    &operand_data[20445],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clrsbvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2qi2 },
    &operand_data[20445],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clzvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2qi2 },
    &operand_data[20445],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "popcountvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2qi2 },
    &operand_data[20445],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "rbitvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx2qi2 },
    &operand_data[20445],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qabsvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2qi2 },
    &operand_data[20445],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qnegvnx2qi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2qi2 },
    &operand_data[20445],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "absvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8hi2 },
    &operand_data[20447],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "negvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8hi2 },
    &operand_data[20447],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "one_cmplvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8hi2 },
    &operand_data[20447],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clrsbvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx8hi2 },
    &operand_data[20447],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clzvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx8hi2 },
    &operand_data[20447],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "popcountvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx8hi2 },
    &operand_data[20447],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "rbitvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx8hi2 },
    &operand_data[20447],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qabsvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx8hi2 },
    &operand_data[20447],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qnegvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx8hi2 },
    &operand_data[20447],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "absvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4hi2 },
    &operand_data[20449],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "negvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4hi2 },
    &operand_data[20449],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "one_cmplvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4hi2 },
    &operand_data[20449],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clrsbvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4hi2 },
    &operand_data[20449],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clzvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4hi2 },
    &operand_data[20449],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "popcountvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4hi2 },
    &operand_data[20449],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "rbitvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx4hi2 },
    &operand_data[20449],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qabsvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4hi2 },
    &operand_data[20449],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qnegvnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4hi2 },
    &operand_data[20449],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "absvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2hi2 },
    &operand_data[20451],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "negvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2hi2 },
    &operand_data[20451],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "one_cmplvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2hi2 },
    &operand_data[20451],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clrsbvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2hi2 },
    &operand_data[20451],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clzvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2hi2 },
    &operand_data[20451],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "popcountvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2hi2 },
    &operand_data[20451],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "rbitvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx2hi2 },
    &operand_data[20451],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qabsvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2hi2 },
    &operand_data[20451],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qnegvnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2hi2 },
    &operand_data[20451],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "absvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4si2 },
    &operand_data[20453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "negvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4si2 },
    &operand_data[20453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "one_cmplvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4si2 },
    &operand_data[20453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clrsbvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx4si2 },
    &operand_data[20453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clzvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx4si2 },
    &operand_data[20453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "popcountvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx4si2 },
    &operand_data[20453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "rbitvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx4si2 },
    &operand_data[20453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qabsvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx4si2 },
    &operand_data[20453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qnegvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx4si2 },
    &operand_data[20453],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "absvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2si2 },
    &operand_data[20455],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "negvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2si2 },
    &operand_data[20455],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "one_cmplvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2si2 },
    &operand_data[20455],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clrsbvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2si2 },
    &operand_data[20455],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clzvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2si2 },
    &operand_data[20455],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "popcountvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2si2 },
    &operand_data[20455],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "rbitvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx2si2 },
    &operand_data[20455],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qabsvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2si2 },
    &operand_data[20455],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qnegvnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2si2 },
    &operand_data[20455],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "absvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2di2 },
    &operand_data[20457],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "negvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2di2 },
    &operand_data[20457],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "one_cmplvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2di2 },
    &operand_data[20457],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clrsbvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clrsbvnx2di2 },
    &operand_data[20457],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "clzvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_clzvnx2di2 },
    &operand_data[20457],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "popcountvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_popcountvnx2di2 },
    &operand_data[20457],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "rbitvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rbitvnx2di2 },
    &operand_data[20457],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qabsvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qabsvnx2di2 },
    &operand_data[20457],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3179 */
  {
    "qnegvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_qnegvnx2di2 },
    &operand_data[20457],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_absvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx16qi },
    &operand_data[20459],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_negvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx16qi },
    &operand_data[20459],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_one_cmplvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx16qi },
    &operand_data[20459],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clrsbvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx16qi },
    &operand_data[20459],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clzvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx16qi },
    &operand_data[20459],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_popcountvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx16qi },
    &operand_data[20459],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_rbitvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx16qi },
    &operand_data[20459],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qabsvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx16qi },
    &operand_data[20459],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qnegvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx16qi },
    &operand_data[20459],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_absvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8qi },
    &operand_data[20463],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_negvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8qi },
    &operand_data[20463],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_one_cmplvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx8qi },
    &operand_data[20463],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clrsbvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx8qi },
    &operand_data[20463],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clzvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx8qi },
    &operand_data[20463],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_popcountvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx8qi },
    &operand_data[20463],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_rbitvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx8qi },
    &operand_data[20463],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qabsvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx8qi },
    &operand_data[20463],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qnegvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx8qi },
    &operand_data[20463],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_absvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4qi },
    &operand_data[20467],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_negvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4qi },
    &operand_data[20467],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_one_cmplvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4qi },
    &operand_data[20467],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clrsbvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4qi },
    &operand_data[20467],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clzvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4qi },
    &operand_data[20467],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_popcountvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4qi },
    &operand_data[20467],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_rbitvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx4qi },
    &operand_data[20467],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qabsvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4qi },
    &operand_data[20467],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qnegvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4qi },
    &operand_data[20467],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_absvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2qi },
    &operand_data[20471],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_negvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2qi },
    &operand_data[20471],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_one_cmplvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2qi },
    &operand_data[20471],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clrsbvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2qi },
    &operand_data[20471],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clzvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2qi },
    &operand_data[20471],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_popcountvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2qi },
    &operand_data[20471],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_rbitvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx2qi },
    &operand_data[20471],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qabsvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2qi },
    &operand_data[20471],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qnegvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2qi },
    &operand_data[20471],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_absvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8hi },
    &operand_data[20475],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_negvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8hi },
    &operand_data[20475],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_one_cmplvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx8hi },
    &operand_data[20475],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clrsbvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx8hi },
    &operand_data[20475],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clzvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx8hi },
    &operand_data[20475],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_popcountvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx8hi },
    &operand_data[20475],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_rbitvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx8hi },
    &operand_data[20475],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qabsvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx8hi },
    &operand_data[20475],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qnegvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx8hi },
    &operand_data[20475],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_absvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4hi },
    &operand_data[20479],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_negvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4hi },
    &operand_data[20479],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_one_cmplvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4hi },
    &operand_data[20479],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clrsbvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4hi },
    &operand_data[20479],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clzvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4hi },
    &operand_data[20479],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_popcountvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4hi },
    &operand_data[20479],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_rbitvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx4hi },
    &operand_data[20479],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qabsvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4hi },
    &operand_data[20479],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qnegvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4hi },
    &operand_data[20479],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_absvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2hi },
    &operand_data[20483],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_negvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2hi },
    &operand_data[20483],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_one_cmplvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2hi },
    &operand_data[20483],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clrsbvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2hi },
    &operand_data[20483],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clzvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2hi },
    &operand_data[20483],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_popcountvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2hi },
    &operand_data[20483],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_rbitvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx2hi },
    &operand_data[20483],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qabsvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2hi },
    &operand_data[20483],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qnegvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2hi },
    &operand_data[20483],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_absvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4si },
    &operand_data[20487],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_negvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4si },
    &operand_data[20487],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_one_cmplvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx4si },
    &operand_data[20487],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clrsbvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx4si },
    &operand_data[20487],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clzvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx4si },
    &operand_data[20487],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_popcountvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx4si },
    &operand_data[20487],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_rbitvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx4si },
    &operand_data[20487],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qabsvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx4si },
    &operand_data[20487],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qnegvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx4si },
    &operand_data[20487],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_absvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2si },
    &operand_data[20491],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_negvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2si },
    &operand_data[20491],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_one_cmplvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2si },
    &operand_data[20491],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clrsbvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2si },
    &operand_data[20491],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clzvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2si },
    &operand_data[20491],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_popcountvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2si },
    &operand_data[20491],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_rbitvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx2si },
    &operand_data[20491],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qabsvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2si },
    &operand_data[20491],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qnegvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2si },
    &operand_data[20491],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_absvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2di },
    &operand_data[20495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_negvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2di },
    &operand_data[20495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_one_cmplvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_one_cmplvnx2di },
    &operand_data[20495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clrsbvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clrsbvnx2di },
    &operand_data[20495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_clzvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_clzvnx2di },
    &operand_data[20495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_popcountvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_popcountvnx2di },
    &operand_data[20495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_rbitvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rbitvnx2di },
    &operand_data[20495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qabsvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qabsvnx2di },
    &operand_data[20495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3208 */
  {
    "cond_qnegvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_qnegvnx2di },
    &operand_data[20495],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx8hi2 },
    &operand_data[20499],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx8qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx8hi2 },
    &operand_data[20499],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx4qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx8hi2 },
    &operand_data[20501],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx4qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx8hi2 },
    &operand_data[20501],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx8hi2 },
    &operand_data[20503],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2qivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx8hi2 },
    &operand_data[20503],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx4hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx8hi2 },
    &operand_data[20448],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx4hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx8hi2 },
    &operand_data[20448],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx8hi2 },
    &operand_data[20505],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2hivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx8hi2 },
    &operand_data[20505],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2sivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx8hi2 },
    &operand_data[20507],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2sivnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx8hi2 },
    &operand_data[20507],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx8qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx4hi2 },
    &operand_data[20509],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx8qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx4hi2 },
    &operand_data[20509],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx4hi2 },
    &operand_data[20511],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx4qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx4hi2 },
    &operand_data[20511],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx4hi2 },
    &operand_data[20513],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2qivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx4hi2 },
    &operand_data[20513],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx4hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx4hi2 },
    &operand_data[20449],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx4hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx4hi2 },
    &operand_data[20449],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx4hi2 },
    &operand_data[20450],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2hivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx4hi2 },
    &operand_data[20450],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx4hi2 },
    &operand_data[20515],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2sivnx4hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx4hi2 },
    &operand_data[20515],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx8qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx2hi2 },
    &operand_data[20517],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx8qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx2hi2 },
    &operand_data[20517],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx4qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx2hi2 },
    &operand_data[20519],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx4qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx2hi2 },
    &operand_data[20519],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2hi2 },
    &operand_data[20521],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2qivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2hi2 },
    &operand_data[20521],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx4hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx2hi2 },
    &operand_data[20523],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx4hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx2hi2 },
    &operand_data[20523],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx2hi2 },
    &operand_data[20451],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2hivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx2hi2 },
    &operand_data[20451],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx2hi2 },
    &operand_data[20525],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2sivnx2hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx2hi2 },
    &operand_data[20525],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx8qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx4si2 },
    &operand_data[20527],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx8qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx4si2 },
    &operand_data[20527],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx4si2 },
    &operand_data[20529],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx4qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx4si2 },
    &operand_data[20529],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx4si2 },
    &operand_data[20531],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2qivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx4si2 },
    &operand_data[20531],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx4si2 },
    &operand_data[20533],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx4hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx4si2 },
    &operand_data[20533],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx4si2 },
    &operand_data[20535],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2hivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx4si2 },
    &operand_data[20535],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2sivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx4si2 },
    &operand_data[20454],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2sivnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx4si2 },
    &operand_data[20454],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx8qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx2si2 },
    &operand_data[20537],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx8qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx2si2 },
    &operand_data[20537],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx4qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx2si2 },
    &operand_data[20539],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx4qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx2si2 },
    &operand_data[20539],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2si2 },
    &operand_data[20541],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2qivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2si2 },
    &operand_data[20541],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx4hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx2si2 },
    &operand_data[20508],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx4hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx2si2 },
    &operand_data[20508],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx2si2 },
    &operand_data[20516],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2hivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx2si2 },
    &operand_data[20516],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2sivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx2si2 },
    &operand_data[20455],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2sivnx2si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx2si2 },
    &operand_data[20455],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx8qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx8qivnx2di2 },
    &operand_data[20543],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx8qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx8qivnx2di2 },
    &operand_data[20543],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx4qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4qivnx2di2 },
    &operand_data[20545],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx4qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4qivnx2di2 },
    &operand_data[20545],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2qivnx2di2 },
    &operand_data[20547],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2qivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2qivnx2di2 },
    &operand_data[20547],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx4hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx4hivnx2di2 },
    &operand_data[20549],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx4hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx4hivnx2di2 },
    &operand_data[20549],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2hivnx2di2 },
    &operand_data[20551],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2hivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2hivnx2di2 },
    &operand_data[20551],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_extendvnx2sivnx2di2 },
    &operand_data[20553],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3334 */
  {
    "zero_extendvnx2sivnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_zero_extendvnx2sivnx2di2 },
    &operand_data[20553],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3475 */
  {
    "aarch64_ptrue_cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptrue_cnotvnx16qi },
    &operand_data[20459],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3475 */
  {
    "aarch64_ptrue_cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptrue_cnotvnx8hi },
    &operand_data[20475],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3475 */
  {
    "aarch64_ptrue_cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptrue_cnotvnx4si },
    &operand_data[20487],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3475 */
  {
    "aarch64_ptrue_cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_ptrue_cnotvnx2di },
    &operand_data[20495],
    3,
    3,
    3,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3516 */
  {
    "cond_cnotvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx16qi },
    &operand_data[20459],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3516 */
  {
    "cond_cnotvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx8hi },
    &operand_data[20475],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3516 */
  {
    "cond_cnotvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx4si },
    &operand_data[20487],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3516 */
  {
    "cond_cnotvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cnotvnx2di },
    &operand_data[20495],
    4,
    4,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "absvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx8hf2 },
    &operand_data[20555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "negvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx8hf2 },
    &operand_data[20555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "frecpxvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx8hf2 },
    &operand_data[20555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "roundvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx8hf2 },
    &operand_data[20555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "nearbyintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx8hf2 },
    &operand_data[20555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "floorvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx8hf2 },
    &operand_data[20555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "frintnvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx8hf2 },
    &operand_data[20555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "ceilvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx8hf2 },
    &operand_data[20555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "rintvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx8hf2 },
    &operand_data[20555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "btruncvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx8hf2 },
    &operand_data[20555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "absvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx4sf2 },
    &operand_data[20557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "negvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx4sf2 },
    &operand_data[20557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "frecpxvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx4sf2 },
    &operand_data[20557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "roundvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx4sf2 },
    &operand_data[20557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "nearbyintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx4sf2 },
    &operand_data[20557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "floorvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx4sf2 },
    &operand_data[20557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "frintnvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx4sf2 },
    &operand_data[20557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "ceilvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx4sf2 },
    &operand_data[20557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "rintvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx4sf2 },
    &operand_data[20557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "btruncvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx4sf2 },
    &operand_data[20557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "absvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_absvnx2df2 },
    &operand_data[20559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "negvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_negvnx2df2 },
    &operand_data[20559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "frecpxvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frecpxvnx2df2 },
    &operand_data[20559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "roundvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_roundvnx2df2 },
    &operand_data[20559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "nearbyintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_nearbyintvnx2df2 },
    &operand_data[20559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "floorvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floorvnx2df2 },
    &operand_data[20559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "frintnvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_frintnvnx2df2 },
    &operand_data[20559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "ceilvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ceilvnx2df2 },
    &operand_data[20559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "rintvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rintvnx2df2 },
    &operand_data[20559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3655 */
  {
    "btruncvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_btruncvnx2df2 },
    &operand_data[20559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_absvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx8hf },
    &operand_data[20561],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_negvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx8hf },
    &operand_data[20561],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_frecpxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx8hf },
    &operand_data[20561],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_roundvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx8hf },
    &operand_data[20561],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_nearbyintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx8hf },
    &operand_data[20561],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_floorvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx8hf },
    &operand_data[20561],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_frintnvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx8hf },
    &operand_data[20561],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_ceilvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx8hf },
    &operand_data[20561],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_rintvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx8hf },
    &operand_data[20561],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_btruncvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx8hf },
    &operand_data[20561],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_sqrtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx8hf },
    &operand_data[20561],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_absvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_negvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_frecpxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_roundvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_nearbyintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_floorvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_frintnvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_ceilvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_rintvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_btruncvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_sqrtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_absvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_absvnx2df },
    &operand_data[20569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_negvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_negvnx2df },
    &operand_data[20569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_frecpxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frecpxvnx2df },
    &operand_data[20569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_roundvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_roundvnx2df },
    &operand_data[20569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_nearbyintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_nearbyintvnx2df },
    &operand_data[20569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_floorvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floorvnx2df },
    &operand_data[20569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_frintnvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_frintnvnx2df },
    &operand_data[20569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_ceilvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ceilvnx2df },
    &operand_data[20569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_rintvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_rintvnx2df },
    &operand_data[20569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_btruncvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_btruncvnx2df },
    &operand_data[20569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3684 */
  {
    "cond_sqrtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrtvnx2df },
    &operand_data[20569],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3793 */
  {
    "sqrtvnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx8hf2 },
    &operand_data[20555],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3793 */
  {
    "sqrtvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx4sf2 },
    &operand_data[20557],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3793 */
  {
    "sqrtvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sqrtvnx2df2 },
    &operand_data[20559],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3811 */
  {
    "rsqrtvnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtvnx4sf2 },
    &operand_data[20557],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3811 */
  {
    "rsqrtvnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_rsqrtvnx2df2 },
    &operand_data[20559],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3822 */
  {
    "aarch64_rsqrtevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtevnx4sf },
    &operand_data[20557],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3822 */
  {
    "aarch64_rsqrtevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtevnx2df },
    &operand_data[20559],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3830 */
  {
    "aarch64_rsqrtsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsvnx4sf },
    &operand_data[20573],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3830 */
  {
    "aarch64_rsqrtsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_rsqrtsvnx2df },
    &operand_data[20576],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3847 */
  {
    "one_cmplvnx16bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx16bi2 },
    &operand_data[20579],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3847 */
  {
    "one_cmplvnx8bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx8bi2 },
    &operand_data[20581],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3847 */
  {
    "one_cmplvnx4bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx4bi2 },
    &operand_data[20583],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3847 */
  {
    "one_cmplvnx2bi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_one_cmplvnx2bi2 },
    &operand_data[20585],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "smaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx16qi3 },
    &operand_data[20587],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "sminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx16qi3 },
    &operand_data[20587],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "umaxvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx16qi3 },
    &operand_data[20590],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "uminvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx16qi3 },
    &operand_data[20590],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "smaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8qi3 },
    &operand_data[20593],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "sminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8qi3 },
    &operand_data[20593],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "umaxvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8qi3 },
    &operand_data[20596],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "uminvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8qi3 },
    &operand_data[20596],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "smaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4qi3 },
    &operand_data[20599],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "sminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4qi3 },
    &operand_data[20599],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "umaxvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4qi3 },
    &operand_data[20602],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "uminvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4qi3 },
    &operand_data[20602],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "smaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2qi3 },
    &operand_data[20605],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "sminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2qi3 },
    &operand_data[20605],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "umaxvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2qi3 },
    &operand_data[20608],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "uminvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2qi3 },
    &operand_data[20608],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "smaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8hi3 },
    &operand_data[20611],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "sminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8hi3 },
    &operand_data[20611],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "umaxvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8hi3 },
    &operand_data[20614],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "uminvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8hi3 },
    &operand_data[20614],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "smaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4hi3 },
    &operand_data[20617],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "sminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4hi3 },
    &operand_data[20617],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "umaxvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4hi3 },
    &operand_data[20620],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "uminvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4hi3 },
    &operand_data[20620],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "smaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2hi3 },
    &operand_data[20623],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "sminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2hi3 },
    &operand_data[20623],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "umaxvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2hi3 },
    &operand_data[20626],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "uminvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2hi3 },
    &operand_data[20626],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "smaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4si3 },
    &operand_data[20629],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "sminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4si3 },
    &operand_data[20629],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "umaxvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4si3 },
    &operand_data[20632],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "uminvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4si3 },
    &operand_data[20632],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "smaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2si3 },
    &operand_data[20635],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "sminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2si3 },
    &operand_data[20635],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "umaxvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2si3 },
    &operand_data[20638],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "uminvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2si3 },
    &operand_data[20638],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "smaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2di3 },
    &operand_data[20641],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "sminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2di3 },
    &operand_data[20641],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "umaxvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx2di3 },
    &operand_data[20644],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3896 */
  {
    "uminvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx2di3 },
    &operand_data[20644],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3915 */
  {
    "mulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx16qi3 },
    &operand_data[20587],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3915 */
  {
    "mulvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8qi3 },
    &operand_data[20593],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3915 */
  {
    "mulvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4qi3 },
    &operand_data[20599],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3915 */
  {
    "mulvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2qi3 },
    &operand_data[20605],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3915 */
  {
    "mulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8hi3 },
    &operand_data[20611],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3915 */
  {
    "mulvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4hi3 },
    &operand_data[20617],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3915 */
  {
    "mulvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2hi3 },
    &operand_data[20623],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3915 */
  {
    "mulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4si3 },
    &operand_data[20629],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3915 */
  {
    "mulvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2si3 },
    &operand_data[20635],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3915 */
  {
    "mulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2di3 },
    &operand_data[20641],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3915 */
  {
    "mulv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulv2di3 },
    &operand_data[20647],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_addvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_subvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_mulvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_smaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_umaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_uminvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx16qi },
    &operand_data[20655],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx16qi },
    &operand_data[20660],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_lshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx16qi },
    &operand_data[20660],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_andvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx16qi },
    &operand_data[20665],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_iorvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_xorvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ssaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_usaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sssubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ussubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_addvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_subvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_mulvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_smaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_umaxvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_uminvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashlvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx8qi },
    &operand_data[20675],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx8qi },
    &operand_data[20680],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_lshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx8qi },
    &operand_data[20680],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_andvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx8qi },
    &operand_data[20685],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_iorvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_xorvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ssaddvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_usaddvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sssubvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ussubvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx8qi },
    &operand_data[20670],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_addvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_subvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_mulvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_smaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_umaxvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_uminvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashlvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4qi },
    &operand_data[20695],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4qi },
    &operand_data[20700],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_lshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4qi },
    &operand_data[20700],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_andvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4qi },
    &operand_data[20705],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_iorvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_xorvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ssaddvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_usaddvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sssubvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ussubvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4qi },
    &operand_data[20690],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_addvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_subvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_mulvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_smaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_umaxvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_uminvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashlvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2qi },
    &operand_data[20715],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2qi },
    &operand_data[20720],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_lshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2qi },
    &operand_data[20720],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_andvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2qi },
    &operand_data[20725],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_iorvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_xorvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ssaddvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_usaddvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sssubvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ussubvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2qi },
    &operand_data[20710],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_addvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_subvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_mulvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_smaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_umaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_uminvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx8hi },
    &operand_data[20735],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx8hi },
    &operand_data[20740],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_lshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx8hi },
    &operand_data[20740],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_andvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx8hi },
    &operand_data[20745],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_iorvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_xorvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ssaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_usaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sssubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ussubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_addvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_subvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_mulvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_smaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_umaxvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_uminvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashlvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4hi },
    &operand_data[20755],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4hi },
    &operand_data[20760],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_lshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4hi },
    &operand_data[20760],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_andvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4hi },
    &operand_data[20765],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_iorvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_xorvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ssaddvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_usaddvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sssubvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ussubvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4hi },
    &operand_data[20750],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_addvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_subvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_mulvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_smaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_umaxvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_uminvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashlvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2hi },
    &operand_data[20775],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2hi },
    &operand_data[20780],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_lshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2hi },
    &operand_data[20780],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_andvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2hi },
    &operand_data[20785],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_iorvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_xorvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ssaddvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_usaddvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sssubvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ussubvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2hi },
    &operand_data[20770],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_addvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_subvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_mulvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_smaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_umaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_uminvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx4si },
    &operand_data[20795],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx4si },
    &operand_data[20800],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_lshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx4si },
    &operand_data[20800],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_andvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx4si },
    &operand_data[20805],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_iorvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_xorvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ssaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_usaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sssubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ussubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_addvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_subvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_mulvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_smaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_umaxvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_uminvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashlvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2si },
    &operand_data[20815],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2si },
    &operand_data[20820],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_lshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2si },
    &operand_data[20820],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_andvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2si },
    &operand_data[20825],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_iorvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_xorvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ssaddvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_usaddvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sssubvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ussubvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2si },
    &operand_data[20810],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_addvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_subvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_mulvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_smaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_umaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umaxvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_uminvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uminvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashlvnx2di },
    &operand_data[20835],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ashrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ashrvnx2di },
    &operand_data[20840],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_lshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lshrvnx2di },
    &operand_data[20840],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_andvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_andvnx2di },
    &operand_data[20845],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_iorvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_iorvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_xorvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_xorvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ssaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ssaddvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_usaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usaddvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_sssubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sssubvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:3983 */
  {
    "cond_ussubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ussubvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4182 */
  {
    "aarch64_adrvnx4si_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx4si_shift },
    &operand_data[20850],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4182 */
  {
    "aarch64_adrvnx2di_shift",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_adrvnx2di_shift },
    &operand_data[20854],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "sabdvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx16qi3 },
    &operand_data[20858],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "uabdvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx16qi3 },
    &operand_data[20858],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "sabdvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx8qi3 },
    &operand_data[20861],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "uabdvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx8qi3 },
    &operand_data[20861],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "sabdvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4qi3 },
    &operand_data[20864],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "uabdvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4qi3 },
    &operand_data[20864],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "sabdvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2qi3 },
    &operand_data[20867],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "uabdvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2qi3 },
    &operand_data[20867],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "sabdvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx8hi3 },
    &operand_data[20870],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "uabdvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx8hi3 },
    &operand_data[20870],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "sabdvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4hi3 },
    &operand_data[20873],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "uabdvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4hi3 },
    &operand_data[20873],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "sabdvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2hi3 },
    &operand_data[20876],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "uabdvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2hi3 },
    &operand_data[20876],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "sabdvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx4si3 },
    &operand_data[20850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "uabdvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx4si3 },
    &operand_data[20850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "sabdvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2si3 },
    &operand_data[20879],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "uabdvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2si3 },
    &operand_data[20879],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "sabdvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sabdvnx2di3 },
    &operand_data[20854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4270 */
  {
    "uabdvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uabdvnx2di3 },
    &operand_data[20854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4307 */
  {
    "aarch64_cond_sabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx16qi },
    &operand_data[20650],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4307 */
  {
    "aarch64_cond_uabdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx16qi },
    &operand_data[20650],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4307 */
  {
    "aarch64_cond_sabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx8hi },
    &operand_data[20730],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4307 */
  {
    "aarch64_cond_uabdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx8hi },
    &operand_data[20730],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4307 */
  {
    "aarch64_cond_sabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx4si },
    &operand_data[20790],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4307 */
  {
    "aarch64_cond_uabdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx4si },
    &operand_data[20790],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4307 */
  {
    "aarch64_cond_sabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_sabdvnx2di },
    &operand_data[20830],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4307 */
  {
    "aarch64_cond_uabdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_uabdvnx2di },
    &operand_data[20830],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "smulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx16qi3_highpart },
    &operand_data[20858],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "umulvnx16qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx16qi3_highpart },
    &operand_data[20858],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "smulvnx8qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx8qi3_highpart },
    &operand_data[20861],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "umulvnx8qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx8qi3_highpart },
    &operand_data[20861],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "smulvnx4qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4qi3_highpart },
    &operand_data[20864],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "umulvnx4qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4qi3_highpart },
    &operand_data[20864],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "smulvnx2qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2qi3_highpart },
    &operand_data[20867],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "umulvnx2qi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2qi3_highpart },
    &operand_data[20867],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "smulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx8hi3_highpart },
    &operand_data[20870],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "umulvnx8hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx8hi3_highpart },
    &operand_data[20870],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "smulvnx4hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4hi3_highpart },
    &operand_data[20873],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "umulvnx4hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4hi3_highpart },
    &operand_data[20873],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "smulvnx2hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2hi3_highpart },
    &operand_data[20876],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "umulvnx2hi3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2hi3_highpart },
    &operand_data[20876],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "smulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx4si3_highpart },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "umulvnx4si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx4si3_highpart },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "smulvnx2si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2si3_highpart },
    &operand_data[20879],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "umulvnx2si3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2si3_highpart },
    &operand_data[20879],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "smulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulvnx2di3_highpart },
    &operand_data[20854],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4490 */
  {
    "umulvnx2di3_highpart",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulvnx2di3_highpart },
    &operand_data[20854],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4523 */
  {
    "cond_smulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4523 */
  {
    "cond_umulhvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4523 */
  {
    "cond_smulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4523 */
  {
    "cond_umulhvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4523 */
  {
    "cond_smulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4523 */
  {
    "cond_umulhvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4523 */
  {
    "cond_smulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smulhvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4523 */
  {
    "cond_umulhvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_umulhvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4591 */
  {
    "divvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx4si3 },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4591 */
  {
    "udivvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivvnx4si3 },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4591 */
  {
    "divvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx2di3 },
    &operand_data[20854],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4591 */
  {
    "udivvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivvnx2di3 },
    &operand_data[20854],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4591 */
  {
    "divv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv4si3 },
    &operand_data[18583],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4591 */
  {
    "udivv4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivv4si3 },
    &operand_data[18583],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4591 */
  {
    "divv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divv2di3 },
    &operand_data[18644],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4591 */
  {
    "udivv2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_udivv2di3 },
    &operand_data[18644],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4623 */
  {
    "cond_divvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4623 */
  {
    "cond_udivvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_udivvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4623 */
  {
    "cond_divvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4623 */
  {
    "cond_udivvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_udivvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4733 */
  {
    "andnvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx16qi3 },
    &operand_data[20858],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4733 */
  {
    "andnvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx8qi3 },
    &operand_data[20861],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4733 */
  {
    "andnvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx4qi3 },
    &operand_data[20864],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4733 */
  {
    "andnvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx2qi3 },
    &operand_data[20867],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4733 */
  {
    "andnvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx8hi3 },
    &operand_data[20870],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4733 */
  {
    "andnvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx4hi3 },
    &operand_data[20873],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4733 */
  {
    "andnvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx2hi3 },
    &operand_data[20876],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4733 */
  {
    "andnvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx4si3 },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4733 */
  {
    "andnvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx2si3 },
    &operand_data[20879],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4733 */
  {
    "andnvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_andnvnx2di3 },
    &operand_data[20854],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4766 */
  {
    "cond_bicvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx16qi },
    &operand_data[20650],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4766 */
  {
    "cond_bicvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx8hi },
    &operand_data[20730],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4766 */
  {
    "cond_bicvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx4si },
    &operand_data[20790],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4766 */
  {
    "cond_bicvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_bicvnx2di },
    &operand_data[20830],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx16qi3 },
    &operand_data[20882],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx16qi3 },
    &operand_data[20882],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "lshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx16qi3 },
    &operand_data[20882],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashlvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx8qi3 },
    &operand_data[20885],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx8qi3 },
    &operand_data[20885],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "lshrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx8qi3 },
    &operand_data[20885],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashlvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4qi3 },
    &operand_data[20888],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4qi3 },
    &operand_data[20888],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "lshrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4qi3 },
    &operand_data[20888],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashlvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2qi3 },
    &operand_data[20891],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2qi3 },
    &operand_data[20891],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "lshrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2qi3 },
    &operand_data[20891],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx8hi3 },
    &operand_data[20894],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx8hi3 },
    &operand_data[20894],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "lshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx8hi3 },
    &operand_data[20894],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashlvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4hi3 },
    &operand_data[20897],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4hi3 },
    &operand_data[20897],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "lshrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4hi3 },
    &operand_data[20897],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashlvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2hi3 },
    &operand_data[20900],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2hi3 },
    &operand_data[20900],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "lshrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2hi3 },
    &operand_data[20900],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx4si3 },
    &operand_data[20903],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx4si3 },
    &operand_data[20903],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "lshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx4si3 },
    &operand_data[20903],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashlvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2si3 },
    &operand_data[20906],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2si3 },
    &operand_data[20906],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "lshrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2si3 },
    &operand_data[20906],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashlvnx2di3 },
    &operand_data[20909],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "ashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ashrvnx2di3 },
    &operand_data[20909],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4839 */
  {
    "lshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_lshrvnx2di3 },
    &operand_data[20909],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashlvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx16qi3 },
    &operand_data[20912],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx16qi3 },
    &operand_data[20915],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vlshrvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx16qi3 },
    &operand_data[20915],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashlvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx8qi3 },
    &operand_data[20918],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx8qi3 },
    &operand_data[20921],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vlshrvnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx8qi3 },
    &operand_data[20921],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashlvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4qi3 },
    &operand_data[20924],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4qi3 },
    &operand_data[20927],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vlshrvnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4qi3 },
    &operand_data[20927],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashlvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2qi3 },
    &operand_data[20930],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2qi3 },
    &operand_data[20933],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vlshrvnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2qi3 },
    &operand_data[20933],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashlvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx8hi3 },
    &operand_data[20936],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx8hi3 },
    &operand_data[20939],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vlshrvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx8hi3 },
    &operand_data[20939],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashlvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4hi3 },
    &operand_data[20942],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4hi3 },
    &operand_data[20945],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vlshrvnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4hi3 },
    &operand_data[20945],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashlvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2hi3 },
    &operand_data[20948],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2hi3 },
    &operand_data[20951],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vlshrvnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2hi3 },
    &operand_data[20951],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashlvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx4si3 },
    &operand_data[20954],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx4si3 },
    &operand_data[20957],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vlshrvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx4si3 },
    &operand_data[20957],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashlvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2si3 },
    &operand_data[20960],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2si3 },
    &operand_data[20963],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vlshrvnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2si3 },
    &operand_data[20963],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashlvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashlvnx2di3 },
    &operand_data[20966],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vashrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vashrvnx2di3 },
    &operand_data[20969],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4864 */
  {
    "vlshrvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vlshrvnx2di3 },
    &operand_data[20969],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4983 */
  {
    "cond_lslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx16qi },
    &operand_data[20972],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4983 */
  {
    "cond_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx16qi },
    &operand_data[20972],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4983 */
  {
    "cond_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx16qi },
    &operand_data[20972],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4983 */
  {
    "cond_lslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx8hi },
    &operand_data[20977],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4983 */
  {
    "cond_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx8hi },
    &operand_data[20977],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4983 */
  {
    "cond_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx8hi },
    &operand_data[20977],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4983 */
  {
    "cond_lslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lslvnx4si },
    &operand_data[20982],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4983 */
  {
    "cond_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrvnx4si },
    &operand_data[20982],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:4983 */
  {
    "cond_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_lsrvnx4si },
    &operand_data[20982],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx16qi3 },
    &operand_data[20987],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2vnx8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx8qi3 },
    &operand_data[20990],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2vnx4qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4qi3 },
    &operand_data[20993],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2vnx2qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2qi3 },
    &operand_data[20996],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx8hi3 },
    &operand_data[20999],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2vnx4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4hi3 },
    &operand_data[21002],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2vnx2hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2hi3 },
    &operand_data[21005],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx4si3 },
    &operand_data[21008],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2vnx2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2si3 },
    &operand_data[21011],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2vnx2di3 },
    &operand_data[21014],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2v8qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2v8qi3 },
    &operand_data[21017],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2v16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2v16qi3 },
    &operand_data[21020],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2v4hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2v4hi3 },
    &operand_data[21023],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2v8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2v8hi3 },
    &operand_data[21026],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2v2si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2v2si3 },
    &operand_data[21029],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2v4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2v4si3 },
    &operand_data[21032],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2v2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2v2di3 },
    &operand_data[21035],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5044 */
  {
    "sdiv_pow2v1di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sdiv_pow2v1di3 },
    &operand_data[21038],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_asrdvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx16qi },
    &operand_data[21041],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_sqshluvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx16qi },
    &operand_data[21046],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_srshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx16qi },
    &operand_data[21041],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_urshrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx16qi },
    &operand_data[21041],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_asrdvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx8qi },
    &operand_data[21051],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_sqshluvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx8qi },
    &operand_data[21056],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_srshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx8qi },
    &operand_data[21051],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_urshrvnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx8qi },
    &operand_data[21051],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_asrdvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4qi },
    &operand_data[21061],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_sqshluvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4qi },
    &operand_data[21066],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_srshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4qi },
    &operand_data[21061],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_urshrvnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4qi },
    &operand_data[21061],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_asrdvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2qi },
    &operand_data[21071],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_sqshluvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2qi },
    &operand_data[21076],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_srshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2qi },
    &operand_data[21071],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_urshrvnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2qi },
    &operand_data[21071],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_asrdvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx8hi },
    &operand_data[21081],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_sqshluvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx8hi },
    &operand_data[21086],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_srshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx8hi },
    &operand_data[21081],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_urshrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx8hi },
    &operand_data[21081],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_asrdvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4hi },
    &operand_data[21091],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_sqshluvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4hi },
    &operand_data[21096],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_srshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4hi },
    &operand_data[21091],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_urshrvnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4hi },
    &operand_data[21091],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_asrdvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2hi },
    &operand_data[21101],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_sqshluvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2hi },
    &operand_data[21106],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_srshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2hi },
    &operand_data[21101],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_urshrvnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2hi },
    &operand_data[21101],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_asrdvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx4si },
    &operand_data[21111],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_sqshluvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx4si },
    &operand_data[21116],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_srshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx4si },
    &operand_data[21111],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_urshrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx4si },
    &operand_data[21111],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_asrdvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2si },
    &operand_data[21121],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_sqshluvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2si },
    &operand_data[21126],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_srshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2si },
    &operand_data[21121],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_urshrvnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2si },
    &operand_data[21121],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_asrdvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_asrdvnx2di },
    &operand_data[21131],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_sqshluvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshluvnx2di },
    &operand_data[21136],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_srshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshrvnx2di },
    &operand_data[21131],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5077 */
  {
    "cond_urshrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshrvnx2di },
    &operand_data[21131],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5161 */
  {
    "ldexphf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldexphf3 },
    &operand_data[21141],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5161 */
  {
    "ldexpsf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldexpsf3 },
    &operand_data[18147],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5161 */
  {
    "ldexpdf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ldexpdf3 },
    &operand_data[18151],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "cond_fscalevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx8hf },
    &operand_data[21144],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "cond_fscalevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx4sf },
    &operand_data[21149],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5207 */
  {
    "cond_fscalevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fscalevnx2df },
    &operand_data[21154],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "addvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8bf3 },
    &operand_data[21159],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fmax_nanvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanvnx8bf3 },
    &operand_data[21162],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fmaxvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx8bf3 },
    &operand_data[21162],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fmin_nanvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanvnx8bf3 },
    &operand_data[21162],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fminvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx8bf3 },
    &operand_data[21162],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "mulvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8bf3 },
    &operand_data[21165],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "mulxvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx8bf3 },
    &operand_data[21168],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "subvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8bf3 },
    &operand_data[21170],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "smaxvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8bf3 },
    &operand_data[21162],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "sminvnx8bf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8bf3 },
    &operand_data[21162],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "addvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx8hf3 },
    &operand_data[21173],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fmax_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanvnx8hf3 },
    &operand_data[21176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fmaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx8hf3 },
    &operand_data[21176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fmin_nanvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanvnx8hf3 },
    &operand_data[21176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx8hf3 },
    &operand_data[21176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "mulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx8hf3 },
    &operand_data[21179],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "mulxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx8hf3 },
    &operand_data[21182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "subvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx8hf3 },
    &operand_data[21184],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "smaxvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8hf3 },
    &operand_data[21176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "sminvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8hf3 },
    &operand_data[21176],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "addvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx4sf3 },
    &operand_data[21187],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fmax_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanvnx4sf3 },
    &operand_data[21190],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fmaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx4sf3 },
    &operand_data[21190],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fmin_nanvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanvnx4sf3 },
    &operand_data[21190],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx4sf3 },
    &operand_data[21190],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "mulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx4sf3 },
    &operand_data[21193],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "mulxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx4sf3 },
    &operand_data[20573],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "subvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx4sf3 },
    &operand_data[21196],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "smaxvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4sf3 },
    &operand_data[21190],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "sminvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4sf3 },
    &operand_data[21190],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "addvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_addvnx2df3 },
    &operand_data[21199],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fmax_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmax_nanvnx2df3 },
    &operand_data[21202],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fmaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmaxvnx2df3 },
    &operand_data[21202],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fmin_nanvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmin_nanvnx2df3 },
    &operand_data[21202],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "fminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fminvnx2df3 },
    &operand_data[21202],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "mulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulvnx2df3 },
    &operand_data[21205],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "mulxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_mulxvnx2df3 },
    &operand_data[20576],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "subvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_subvnx2df3 },
    &operand_data[21208],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "smaxvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx2df3 },
    &operand_data[21202],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5414 */
  {
    "sminvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx2df3 },
    &operand_data[21202],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_addvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8bf },
    &operand_data[21211],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_famaxvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_famaxvnx8bf },
    &operand_data[21216],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_faminvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_faminvnx8bf },
    &operand_data[21216],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_divvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx8bf },
    &operand_data[21216],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fmax_nanvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmax_nanvnx8bf },
    &operand_data[21221],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fmaxvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmaxvnx8bf },
    &operand_data[21221],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fmin_nanvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmin_nanvnx8bf },
    &operand_data[21221],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fminvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fminvnx8bf },
    &operand_data[21221],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_mulvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8bf },
    &operand_data[21226],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_mulxvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx8bf },
    &operand_data[21216],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_subvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8bf },
    &operand_data[21231],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_smaxvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8bf },
    &operand_data[21221],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_sminvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8bf },
    &operand_data[21221],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_addvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx8hf },
    &operand_data[21236],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_famaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_famaxvnx8hf },
    &operand_data[21241],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_faminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_faminvnx8hf },
    &operand_data[21241],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_divvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx8hf },
    &operand_data[21241],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fmax_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmax_nanvnx8hf },
    &operand_data[21246],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fmaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmaxvnx8hf },
    &operand_data[21246],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fmin_nanvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmin_nanvnx8hf },
    &operand_data[21246],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fminvnx8hf },
    &operand_data[21246],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_mulvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx8hf },
    &operand_data[21251],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_mulxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx8hf },
    &operand_data[21241],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_subvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx8hf },
    &operand_data[21256],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_smaxvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx8hf },
    &operand_data[21246],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_sminvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx8hf },
    &operand_data[21246],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_addvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx4sf },
    &operand_data[21261],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_famaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_famaxvnx4sf },
    &operand_data[21266],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_faminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_faminvnx4sf },
    &operand_data[21266],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_divvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx4sf },
    &operand_data[21266],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fmax_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmax_nanvnx4sf },
    &operand_data[21271],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fmaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmaxvnx4sf },
    &operand_data[21271],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fmin_nanvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmin_nanvnx4sf },
    &operand_data[21271],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fminvnx4sf },
    &operand_data[21271],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_mulvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx4sf },
    &operand_data[21276],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_mulxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx4sf },
    &operand_data[21266],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_subvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx4sf },
    &operand_data[21281],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_smaxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx4sf },
    &operand_data[21271],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_sminvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx4sf },
    &operand_data[21271],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_addvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_addvnx2df },
    &operand_data[21286],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_famaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_famaxvnx2df },
    &operand_data[21291],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_faminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_faminvnx2df },
    &operand_data[21291],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_divvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_divvnx2df },
    &operand_data[21291],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fmax_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmax_nanvnx2df },
    &operand_data[21296],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fmaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmaxvnx2df },
    &operand_data[21296],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fmin_nanvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmin_nanvnx2df },
    &operand_data[21296],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_fminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fminvnx2df },
    &operand_data[21296],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_mulvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulvnx2df },
    &operand_data[21301],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_mulxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_mulxvnx2df },
    &operand_data[21291],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_subvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_subvnx2df },
    &operand_data[21306],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_smaxvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_smaxvnx2df },
    &operand_data[21296],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5446 */
  {
    "cond_sminvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sminvnx2df },
    &operand_data[21296],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5914 */
  {
    "cond_cadd90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx8hf },
    &operand_data[21241],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5914 */
  {
    "cond_cadd270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx8hf },
    &operand_data[21241],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5914 */
  {
    "cond_cadd90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx4sf },
    &operand_data[21266],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5914 */
  {
    "cond_cadd270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx4sf },
    &operand_data[21266],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5914 */
  {
    "cond_cadd90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd90vnx2df },
    &operand_data[21291],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5914 */
  {
    "cond_cadd270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_cadd270vnx2df },
    &operand_data[21291],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5930 */
  {
    "cadd90vnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx8hf3 },
    &operand_data[21182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5930 */
  {
    "cadd270vnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx8hf3 },
    &operand_data[21182],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5930 */
  {
    "cadd90vnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx4sf3 },
    &operand_data[20573],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5930 */
  {
    "cadd270vnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx4sf3 },
    &operand_data[20573],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5930 */
  {
    "cadd90vnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx2df3 },
    &operand_data[20576],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:5930 */
  {
    "cadd270vnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx2df3 },
    &operand_data[20576],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6202 */
  {
    "aarch64_pred_abdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx8hf },
    &operand_data[21311],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6202 */
  {
    "aarch64_pred_abdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx4sf },
    &operand_data[21316],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6202 */
  {
    "aarch64_pred_abdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_abdvnx2df },
    &operand_data[21321],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6260 */
  {
    "aarch64_cond_abdvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx8hf },
    &operand_data[21241],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6260 */
  {
    "aarch64_cond_abdvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx4sf },
    &operand_data[21266],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6260 */
  {
    "aarch64_cond_abdvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_cond_abdvnx2df },
    &operand_data[21291],
    5,
    5,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6526 */
  {
    "divvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx8hf3 },
    &operand_data[21326],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6526 */
  {
    "divvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx4sf3 },
    &operand_data[21329],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6526 */
  {
    "divvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_divvnx2df3 },
    &operand_data[21332],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6544 */
  {
    "aarch64_frecpevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx8hf },
    &operand_data[20555],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6544 */
  {
    "aarch64_frecpevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx4sf },
    &operand_data[20557],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6544 */
  {
    "aarch64_frecpevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpevnx2df },
    &operand_data[20559],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6552 */
  {
    "aarch64_frecpsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx8hf },
    &operand_data[21182],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6552 */
  {
    "aarch64_frecpsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx4sf },
    &operand_data[20573],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6552 */
  {
    "aarch64_frecpsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_frecpsvnx2df },
    &operand_data[20576],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6589 */
  {
    "copysignvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx8hf3 },
    &operand_data[21335],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6589 */
  {
    "copysignvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx4sf3 },
    &operand_data[21338],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6589 */
  {
    "copysignvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_copysignvnx2df3 },
    &operand_data[21341],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "cond_copysignvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_copysignvnx8hf },
    &operand_data[21344],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "cond_copysignvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_copysignvnx4sf },
    &operand_data[21349],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6634 */
  {
    "cond_copysignvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_copysignvnx2df },
    &operand_data[21354],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6685 */
  {
    "xorsignvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx8hf3 },
    &operand_data[21182],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6685 */
  {
    "xorsignvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx4sf3 },
    &operand_data[20573],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6685 */
  {
    "xorsignvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorsignvnx2df3 },
    &operand_data[20576],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6768 */
  {
    "iorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx16bi3 },
    &operand_data[21359],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6768 */
  {
    "xorvnx16bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx16bi3 },
    &operand_data[21359],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6768 */
  {
    "iorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx8bi3 },
    &operand_data[21362],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6768 */
  {
    "xorvnx8bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx8bi3 },
    &operand_data[21362],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6768 */
  {
    "iorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx4bi3 },
    &operand_data[21365],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6768 */
  {
    "xorvnx4bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx4bi3 },
    &operand_data[21365],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6768 */
  {
    "iorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_iorvnx2bi3 },
    &operand_data[21368],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:6768 */
  {
    "xorvnx2bi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_xorvnx2bi3 },
    &operand_data[21368],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "fmavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx16qi4 },
    &operand_data[21371],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "fmavnx8qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8qi4 },
    &operand_data[21375],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "fmavnx4qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4qi4 },
    &operand_data[21379],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "fmavnx2qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2qi4 },
    &operand_data[21383],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "fmavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8hi4 },
    &operand_data[21387],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "fmavnx4hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4hi4 },
    &operand_data[21391],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "fmavnx2hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2hi4 },
    &operand_data[21395],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "fmavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4si4 },
    &operand_data[21399],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "fmavnx2si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2si4 },
    &operand_data[21403],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7008 */
  {
    "fmavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2di4 },
    &operand_data[21407],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7046 */
  {
    "cond_fmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx16qi },
    &operand_data[21411],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7046 */
  {
    "cond_fmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8qi },
    &operand_data[21417],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7046 */
  {
    "cond_fmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4qi },
    &operand_data[21423],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7046 */
  {
    "cond_fmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2qi },
    &operand_data[21429],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7046 */
  {
    "cond_fmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8hi },
    &operand_data[21435],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7046 */
  {
    "cond_fmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4hi },
    &operand_data[21441],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7046 */
  {
    "cond_fmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2hi },
    &operand_data[21447],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7046 */
  {
    "cond_fmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4si },
    &operand_data[21453],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7046 */
  {
    "cond_fmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2si },
    &operand_data[21459],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7046 */
  {
    "cond_fmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2di },
    &operand_data[21465],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7150 */
  {
    "fnmavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx16qi4 },
    &operand_data[21471],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7150 */
  {
    "fnmavnx8qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8qi4 },
    &operand_data[21475],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7150 */
  {
    "fnmavnx4qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4qi4 },
    &operand_data[21479],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7150 */
  {
    "fnmavnx2qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2qi4 },
    &operand_data[21483],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7150 */
  {
    "fnmavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8hi4 },
    &operand_data[21487],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7150 */
  {
    "fnmavnx4hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4hi4 },
    &operand_data[21491],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7150 */
  {
    "fnmavnx2hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2hi4 },
    &operand_data[21495],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7150 */
  {
    "fnmavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4si4 },
    &operand_data[21499],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7150 */
  {
    "fnmavnx2si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2si4 },
    &operand_data[21503],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7150 */
  {
    "fnmavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2di4 },
    &operand_data[21507],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7188 */
  {
    "cond_fnmavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx16qi },
    &operand_data[21411],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7188 */
  {
    "cond_fnmavnx8qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8qi },
    &operand_data[21417],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7188 */
  {
    "cond_fnmavnx4qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4qi },
    &operand_data[21423],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7188 */
  {
    "cond_fnmavnx2qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2qi },
    &operand_data[21429],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7188 */
  {
    "cond_fnmavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8hi },
    &operand_data[21435],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7188 */
  {
    "cond_fnmavnx4hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4hi },
    &operand_data[21441],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7188 */
  {
    "cond_fnmavnx2hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2hi },
    &operand_data[21447],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7188 */
  {
    "cond_fnmavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4si },
    &operand_data[21453],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7188 */
  {
    "cond_fnmavnx2si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2si },
    &operand_data[21459],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7188 */
  {
    "cond_fnmavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2di },
    &operand_data[21465],
    6,
    6,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7381 */
  {
    "ssadvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadvnx16qi },
    &operand_data[21511],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7381 */
  {
    "usadvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadvnx16qi },
    &operand_data[21511],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7381 */
  {
    "ssadvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_ssadvnx8hi },
    &operand_data[21515],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7381 */
  {
    "usadvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_usadvnx8hi },
    &operand_data[21515],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fmavnx8bf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8bf4 },
    &operand_data[21519],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fnmavnx8bf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8bf4 },
    &operand_data[21519],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fnmsvnx8bf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx8bf4 },
    &operand_data[21519],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fmsvnx8bf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx8bf4 },
    &operand_data[21519],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx8hf4 },
    &operand_data[21523],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fnmavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx8hf4 },
    &operand_data[21523],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fnmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx8hf4 },
    &operand_data[21523],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fmsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx8hf4 },
    &operand_data[21523],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx4sf4 },
    &operand_data[21527],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fnmavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx4sf4 },
    &operand_data[21527],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fnmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx4sf4 },
    &operand_data[21527],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fmsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx4sf4 },
    &operand_data[21527],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmavnx2df4 },
    &operand_data[21531],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fnmavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmavnx2df4 },
    &operand_data[21531],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fnmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fnmsvnx2df4 },
    &operand_data[21531],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7436 */
  {
    "fmsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fmsvnx2df4 },
    &operand_data[21531],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fmavnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8bf },
    &operand_data[21535],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fnmavnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8bf },
    &operand_data[21535],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fnmsvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx8bf },
    &operand_data[21535],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fmsvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx8bf },
    &operand_data[21535],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx8hf },
    &operand_data[21541],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fnmavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx8hf },
    &operand_data[21541],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fnmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx8hf },
    &operand_data[21541],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fmsvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx8hf },
    &operand_data[21541],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx4sf },
    &operand_data[21547],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fnmavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx4sf },
    &operand_data[21547],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fnmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx4sf },
    &operand_data[21547],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fmsvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx4sf },
    &operand_data[21547],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmavnx2df },
    &operand_data[21553],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fnmavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmavnx2df },
    &operand_data[21553],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fnmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fnmsvnx2df },
    &operand_data[21553],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7472 */
  {
    "cond_fmsvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fmsvnx2df },
    &operand_data[21553],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7719 */
  {
    "cmlavnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx8hf4 },
    &operand_data[21523],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7719 */
  {
    "cmlsvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx8hf4 },
    &operand_data[21523],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7719 */
  {
    "cmla_conjvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx8hf4 },
    &operand_data[21523],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7719 */
  {
    "cmls_conjvnx8hf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx8hf4 },
    &operand_data[21523],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7719 */
  {
    "cmlavnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx4sf4 },
    &operand_data[21527],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7719 */
  {
    "cmlsvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx4sf4 },
    &operand_data[21527],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7719 */
  {
    "cmla_conjvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx4sf4 },
    &operand_data[21527],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7719 */
  {
    "cmls_conjvnx4sf4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx4sf4 },
    &operand_data[21527],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7719 */
  {
    "cmlavnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx2df4 },
    &operand_data[21531],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7719 */
  {
    "cmlsvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx2df4 },
    &operand_data[21531],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7719 */
  {
    "cmla_conjvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx2df4 },
    &operand_data[21531],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7719 */
  {
    "cmls_conjvnx2df4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx2df4 },
    &operand_data[21531],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7748 */
  {
    "cmulvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx8hf3 },
    &operand_data[21182],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7748 */
  {
    "cmul_conjvnx8hf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx8hf3 },
    &operand_data[21182],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7748 */
  {
    "cmulvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx4sf3 },
    &operand_data[20573],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7748 */
  {
    "cmul_conjvnx4sf3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx4sf3 },
    &operand_data[20573],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7748 */
  {
    "cmulvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx2df3 },
    &operand_data[20576],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7748 */
  {
    "cmul_conjvnx2df3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx2df3 },
    &operand_data[20576],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7772 */
  {
    "cond_fcmlavnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx8hf },
    &operand_data[21541],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7772 */
  {
    "cond_fcmla90vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx8hf },
    &operand_data[21541],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7772 */
  {
    "cond_fcmla180vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx8hf },
    &operand_data[21541],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7772 */
  {
    "cond_fcmla270vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx8hf },
    &operand_data[21541],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7772 */
  {
    "cond_fcmlavnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx4sf },
    &operand_data[21547],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7772 */
  {
    "cond_fcmla90vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx4sf },
    &operand_data[21547],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7772 */
  {
    "cond_fcmla180vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx4sf },
    &operand_data[21547],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7772 */
  {
    "cond_fcmla270vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx4sf },
    &operand_data[21547],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7772 */
  {
    "cond_fcmlavnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmlavnx2df },
    &operand_data[21553],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7772 */
  {
    "cond_fcmla90vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla90vnx2df },
    &operand_data[21553],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7772 */
  {
    "cond_fcmla180vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla180vnx2df },
    &operand_data[21553],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:7772 */
  {
    "cond_fcmla270vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcmla270vnx2df },
    &operand_data[21553],
    6,
    6,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx16qivnx16bi },
    &operand_data[21559],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8qivnx8bi },
    &operand_data[21563],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4qivnx4bi },
    &operand_data[21567],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2qivnx2bi },
    &operand_data[21571],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8hivnx8bi },
    &operand_data[21575],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4hivnx4bi },
    &operand_data[21579],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2hivnx2bi },
    &operand_data[21583],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4sivnx4bi },
    &operand_data[21587],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2sivnx2bi },
    &operand_data[21591],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2divnx2bi },
    &operand_data[21595],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8hfvnx8bi },
    &operand_data[21599],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx4hfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4hfvnx4bi },
    &operand_data[21603],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx2hfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2hfvnx2bi },
    &operand_data[21607],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx8bfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx8bfvnx8bi },
    &operand_data[21611],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx4bfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4bfvnx4bi },
    &operand_data[21615],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx2bfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2bfvnx2bi },
    &operand_data[21619],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx4sfvnx4bi },
    &operand_data[21623],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx2sfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2sfvnx2bi },
    &operand_data[21627],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8022 */
  {
    "vcond_mask_vnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vcond_mask_vnx2dfvnx2bi },
    &operand_data[21631],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8116 */
  {
    "vec_cmpvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx16qivnx16bi },
    &operand_data[21635],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8116 */
  {
    "vec_cmpvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8qivnx8bi },
    &operand_data[21639],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8116 */
  {
    "vec_cmpvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4qivnx4bi },
    &operand_data[21643],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8116 */
  {
    "vec_cmpvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2qivnx2bi },
    &operand_data[21647],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8116 */
  {
    "vec_cmpvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8hivnx8bi },
    &operand_data[21651],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8116 */
  {
    "vec_cmpvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4hivnx4bi },
    &operand_data[21655],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8116 */
  {
    "vec_cmpvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2hivnx2bi },
    &operand_data[21659],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8116 */
  {
    "vec_cmpvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4sivnx4bi },
    &operand_data[21663],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8116 */
  {
    "vec_cmpvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2sivnx2bi },
    &operand_data[21667],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8116 */
  {
    "vec_cmpvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2divnx2bi },
    &operand_data[21671],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8134 */
  {
    "vec_cmpuvnx16qivnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx16qivnx16bi },
    &operand_data[21635],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8134 */
  {
    "vec_cmpuvnx8qivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx8qivnx8bi },
    &operand_data[21639],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8134 */
  {
    "vec_cmpuvnx4qivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4qivnx4bi },
    &operand_data[21643],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8134 */
  {
    "vec_cmpuvnx2qivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2qivnx2bi },
    &operand_data[21647],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8134 */
  {
    "vec_cmpuvnx8hivnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx8hivnx8bi },
    &operand_data[21651],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8134 */
  {
    "vec_cmpuvnx4hivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4hivnx4bi },
    &operand_data[21655],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8134 */
  {
    "vec_cmpuvnx2hivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2hivnx2bi },
    &operand_data[21659],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8134 */
  {
    "vec_cmpuvnx4sivnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx4sivnx4bi },
    &operand_data[21663],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8134 */
  {
    "vec_cmpuvnx2sivnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2sivnx2bi },
    &operand_data[21667],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8134 */
  {
    "vec_cmpuvnx2divnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpuvnx2divnx2bi },
    &operand_data[21671],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "vec_cmpvnx8hfvnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx8hfvnx8bi },
    &operand_data[21675],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "vec_cmpvnx4sfvnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx4sfvnx4bi },
    &operand_data[21679],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8490 */
  {
    "vec_cmpvnx2dfvnx2bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_cmpvnx2dfvnx2bi },
    &operand_data[21683],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8750 */
  {
    "aarch64_pred_facgevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx8hf },
    &operand_data[21687],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8750 */
  {
    "aarch64_pred_facgtvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx8hf },
    &operand_data[21687],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8750 */
  {
    "aarch64_pred_faclevnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx8hf },
    &operand_data[21687],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8750 */
  {
    "aarch64_pred_facltvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx8hf },
    &operand_data[21687],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8750 */
  {
    "aarch64_pred_facgevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx4sf },
    &operand_data[21692],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8750 */
  {
    "aarch64_pred_facgtvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx4sf },
    &operand_data[21692],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8750 */
  {
    "aarch64_pred_faclevnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx4sf },
    &operand_data[21692],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8750 */
  {
    "aarch64_pred_facltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx4sf },
    &operand_data[21692],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8750 */
  {
    "aarch64_pred_facgevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgevnx2df },
    &operand_data[21697],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8750 */
  {
    "aarch64_pred_facgtvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facgtvnx2df },
    &operand_data[21697],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8750 */
  {
    "aarch64_pred_faclevnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_faclevnx2df },
    &operand_data[21697],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8750 */
  {
    "aarch64_pred_facltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_pred_facltvnx2df },
    &operand_data[21697],
    5,
    5,
    4,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8843 */
  {
    "cbranchvnx16bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx16bi4 },
    &operand_data[21702],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8843 */
  {
    "cbranchvnx8bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx8bi4 },
    &operand_data[21706],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8843 */
  {
    "cbranchvnx4bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx4bi4 },
    &operand_data[21710],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8843 */
  {
    "cbranchvnx2bi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cbranchvnx2bi4 },
    &operand_data[21714],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8941 */
  {
    "reduc_plus_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx16qi },
    &operand_data[20403],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8941 */
  {
    "reduc_plus_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx8hi },
    &operand_data[20406],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8941 */
  {
    "reduc_plus_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx4si },
    &operand_data[20409],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8941 */
  {
    "reduc_plus_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx2di },
    &operand_data[20412],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_and_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx16qi },
    &operand_data[20403],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_ior_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx16qi },
    &operand_data[20403],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_smax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx16qi },
    &operand_data[20403],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_smin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx16qi },
    &operand_data[20403],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_umax_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx16qi },
    &operand_data[20403],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_umin_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx16qi },
    &operand_data[20403],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_xor_scal_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx16qi },
    &operand_data[20403],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_and_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx8hi },
    &operand_data[20406],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_ior_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx8hi },
    &operand_data[20406],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_smax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx8hi },
    &operand_data[20406],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_smin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx8hi },
    &operand_data[20406],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_umax_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx8hi },
    &operand_data[20406],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_umin_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx8hi },
    &operand_data[20406],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_xor_scal_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx8hi },
    &operand_data[20406],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_and_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx4si },
    &operand_data[20409],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_ior_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx4si },
    &operand_data[20409],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_smax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx4si },
    &operand_data[20409],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_smin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx4si },
    &operand_data[20409],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_umax_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx4si },
    &operand_data[20409],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_umin_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx4si },
    &operand_data[20409],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_xor_scal_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx4si },
    &operand_data[20409],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_and_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_and_scal_vnx2di },
    &operand_data[20412],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_ior_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_ior_scal_vnx2di },
    &operand_data[20412],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_smax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx2di },
    &operand_data[20412],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_smin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx2di },
    &operand_data[20412],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_umax_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umax_scal_vnx2di },
    &operand_data[20412],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_umin_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_umin_scal_vnx2di },
    &operand_data[20412],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8966 */
  {
    "reduc_xor_scal_vnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_xor_scal_vnx2di },
    &operand_data[20412],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_plus_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx8hf },
    &operand_data[20418],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_smax_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx8hf },
    &operand_data[20418],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_smax_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx8hf },
    &operand_data[20418],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_smin_nan_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx8hf },
    &operand_data[20418],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_smin_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx8hf },
    &operand_data[20418],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_plus_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx4sf },
    &operand_data[20421],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_smax_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx4sf },
    &operand_data[20421],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_smax_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx4sf },
    &operand_data[20421],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_smin_nan_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx4sf },
    &operand_data[20421],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_smin_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx4sf },
    &operand_data[20421],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_plus_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_plus_scal_vnx2df },
    &operand_data[20424],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_smax_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_nan_scal_vnx2df },
    &operand_data[20424],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_smax_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smax_scal_vnx2df },
    &operand_data[20424],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_smin_nan_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_nan_scal_vnx2df },
    &operand_data[20424],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:8999 */
  {
    "reduc_smin_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_smin_scal_vnx2df },
    &operand_data[20424],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9010 */
  {
    "reduc_fmax_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_vnx8hf },
    &operand_data[20418],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9010 */
  {
    "reduc_fmin_scal_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_vnx8hf },
    &operand_data[20418],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9010 */
  {
    "reduc_fmax_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_vnx4sf },
    &operand_data[20421],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9010 */
  {
    "reduc_fmin_scal_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_vnx4sf },
    &operand_data[20421],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9010 */
  {
    "reduc_fmax_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmax_scal_vnx2df },
    &operand_data[20424],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9010 */
  {
    "reduc_fmin_scal_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_reduc_fmin_scal_vnx2df },
    &operand_data[20424],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9039 */
  {
    "fold_left_plus_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx8hf },
    &operand_data[21718],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9039 */
  {
    "fold_left_plus_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx4sf },
    &operand_data[21721],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9039 */
  {
    "fold_left_plus_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fold_left_plus_vnx2df },
    &operand_data[21724],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9074 */
  {
    "vec_permvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx16qi },
    &operand_data[21727],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9074 */
  {
    "vec_permvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8hi },
    &operand_data[21731],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9074 */
  {
    "vec_permvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx4si },
    &operand_data[21735],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9074 */
  {
    "vec_permvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx2di },
    &operand_data[21739],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9074 */
  {
    "vec_permvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8bf },
    &operand_data[21743],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9074 */
  {
    "vec_permvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx8hf },
    &operand_data[21747],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9074 */
  {
    "vec_permvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx4sf },
    &operand_data[21751],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9074 */
  {
    "vec_permvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_permvnx2df },
    &operand_data[21755],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9351 */
  {
    "vec_unpacks_hi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx16qi },
    &operand_data[21759],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9351 */
  {
    "vec_unpacku_hi_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx16qi },
    &operand_data[21759],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9351 */
  {
    "vec_unpacks_lo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx16qi },
    &operand_data[21759],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9351 */
  {
    "vec_unpacku_lo_vnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx16qi },
    &operand_data[21759],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9351 */
  {
    "vec_unpacks_hi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8hi },
    &operand_data[21761],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9351 */
  {
    "vec_unpacku_hi_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx8hi },
    &operand_data[21761],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9351 */
  {
    "vec_unpacks_lo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8hi },
    &operand_data[21761],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9351 */
  {
    "vec_unpacku_lo_vnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx8hi },
    &operand_data[21761],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9351 */
  {
    "vec_unpacks_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4si },
    &operand_data[21510],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9351 */
  {
    "vec_unpacku_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx4si },
    &operand_data[21510],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9351 */
  {
    "vec_unpacks_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4si },
    &operand_data[21510],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9351 */
  {
    "vec_unpacku_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx4si },
    &operand_data[21510],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9384 */
  {
    "fix_truncvnx8hfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx8hfvnx8hi2 },
    &operand_data[21762],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9384 */
  {
    "fixuns_truncvnx8hfvnx8hi2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx8hfvnx8hi2 },
    &operand_data[21762],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9384 */
  {
    "fix_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx4sfvnx4si2 },
    &operand_data[21764],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9384 */
  {
    "fixuns_truncvnx4sfvnx4si2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx4sfvnx4si2 },
    &operand_data[21764],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9384 */
  {
    "fix_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fix_truncvnx2dfvnx2di2 },
    &operand_data[21766],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9384 */
  {
    "fixuns_truncvnx2dfvnx2di2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_fixuns_truncvnx2dfvnx2di2 },
    &operand_data[21766],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[21768],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx8hi },
    &operand_data[21768],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fix_trunc_nontruncvnx4sfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx4sfvnx8hi },
    &operand_data[21772],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fixuns_trunc_nontruncvnx4sfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx4sfvnx8hi },
    &operand_data[21772],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fix_trunc_nontruncvnx2dfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx2dfvnx8hi },
    &operand_data[21776],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fixuns_trunc_nontruncvnx2dfvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx2dfvnx8hi },
    &operand_data[21776],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx4si },
    &operand_data[21780],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx4si },
    &operand_data[21780],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fix_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx4sfvnx4si },
    &operand_data[21784],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fixuns_trunc_nontruncvnx4sfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx4sfvnx4si },
    &operand_data[21784],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fix_trunc_nontruncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx2dfvnx4si },
    &operand_data[21788],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fixuns_trunc_nontruncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx2dfvnx4si },
    &operand_data[21788],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fix_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx8hfvnx2di },
    &operand_data[21792],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fixuns_trunc_nontruncvnx8hfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx8hfvnx2di },
    &operand_data[21792],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fix_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx4sfvnx2di },
    &operand_data[21796],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fixuns_trunc_nontruncvnx4sfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx4sfvnx2di },
    &operand_data[21796],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fix_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_nontruncvnx2dfvnx2di },
    &operand_data[21800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9429 */
  {
    "cond_fixuns_trunc_nontruncvnx2dfvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_nontruncvnx2dfvnx2di },
    &operand_data[21800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9491 */
  {
    "cond_fix_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fix_trunc_truncvnx2dfvnx4si },
    &operand_data[21804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9491 */
  {
    "cond_fixuns_trunc_truncvnx2dfvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fixuns_trunc_truncvnx2dfvnx4si },
    &operand_data[21804],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9531 */
  {
    "vec_pack_sfix_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_sfix_trunc_vnx2df },
    &operand_data[21808],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9531 */
  {
    "vec_pack_ufix_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_ufix_trunc_vnx2df },
    &operand_data[21808],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9570 */
  {
    "floatvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx8hivnx8hf2 },
    &operand_data[21146],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9570 */
  {
    "floatunsvnx8hivnx8hf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx8hivnx8hf2 },
    &operand_data[21146],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9570 */
  {
    "floatvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx4sivnx4sf2 },
    &operand_data[21151],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9570 */
  {
    "floatunsvnx4sivnx4sf2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx4sivnx4sf2 },
    &operand_data[21151],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9570 */
  {
    "floatvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatvnx2divnx2df2 },
    &operand_data[21156],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9570 */
  {
    "floatunsvnx2divnx2df2",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_floatunsvnx2divnx2df2 },
    &operand_data[21156],
    2,
    2,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_float_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx8hivnx8hf },
    &operand_data[21811],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_floatuns_nonextendvnx8hivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx8hivnx8hf },
    &operand_data[21811],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_float_nonextendvnx8hivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx8hivnx4sf },
    &operand_data[21815],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_floatuns_nonextendvnx8hivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx8hivnx4sf },
    &operand_data[21815],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_float_nonextendvnx8hivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx8hivnx2df },
    &operand_data[21819],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_floatuns_nonextendvnx8hivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx8hivnx2df },
    &operand_data[21819],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_float_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx4sivnx8hf },
    &operand_data[21823],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_floatuns_nonextendvnx4sivnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx4sivnx8hf },
    &operand_data[21823],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_float_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx4sivnx4sf },
    &operand_data[21827],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_floatuns_nonextendvnx4sivnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx4sivnx4sf },
    &operand_data[21827],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_float_nonextendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx4sivnx2df },
    &operand_data[21831],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_floatuns_nonextendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx4sivnx2df },
    &operand_data[21831],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_float_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx8hf },
    &operand_data[21835],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_floatuns_nonextendvnx2divnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx8hf },
    &operand_data[21835],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_float_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx4sf },
    &operand_data[21839],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_floatuns_nonextendvnx2divnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx4sf },
    &operand_data[21839],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_float_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_nonextendvnx2divnx2df },
    &operand_data[21843],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9616 */
  {
    "cond_floatuns_nonextendvnx2divnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_nonextendvnx2divnx2df },
    &operand_data[21843],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9678 */
  {
    "cond_float_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_float_extendvnx4sivnx2df },
    &operand_data[21847],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9678 */
  {
    "cond_floatuns_extendvnx4sivnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_floatuns_extendvnx4sivnx2df },
    &operand_data[21847],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9726 */
  {
    "vec_unpacks_float_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_float_lo_vnx4si },
    &operand_data[21851],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9726 */
  {
    "vec_unpacks_float_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_float_hi_vnx4si },
    &operand_data[21851],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9726 */
  {
    "vec_unpacku_float_lo_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_float_lo_vnx4si },
    &operand_data[21851],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9726 */
  {
    "vec_unpacku_float_hi_vnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_float_hi_vnx4si },
    &operand_data[21851],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9759 */
  {
    "vec_pack_trunc_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx4sf },
    &operand_data[20556],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9759 */
  {
    "vec_pack_trunc_vnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_pack_trunc_vnx2df },
    &operand_data[20558],
    3,
    3,
    6,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9798 */
  {
    "cond_fcvt_truncvnx4sfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx4sfvnx8hf },
    &operand_data[21853],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9798 */
  {
    "cond_fcvt_truncvnx2dfvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx2dfvnx8hf },
    &operand_data[21857],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9798 */
  {
    "cond_fcvt_truncvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx4sfvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9798 */
  {
    "cond_fcvt_truncvnx2dfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx2dfvnx4sf },
    &operand_data[21861],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9855 */
  {
    "cond_fcvt_truncvnx4sfvnx8bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_truncvnx4sfvnx8bf },
    &operand_data[21865],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9915 */
  {
    "vec_unpacks_lo_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8hf },
    &operand_data[21869],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9915 */
  {
    "vec_unpacks_hi_vnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8hf },
    &operand_data[21869],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9915 */
  {
    "vec_unpacks_lo_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4sf },
    &operand_data[21871],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9915 */
  {
    "vec_unpacks_hi_vnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4sf },
    &operand_data[21871],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9955 */
  {
    "cond_fcvt_nontruncvnx8hfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx8hfvnx4sf },
    &operand_data[21872],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9955 */
  {
    "cond_fcvt_nontruncvnx8hfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx8hfvnx2df },
    &operand_data[21876],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9955 */
  {
    "cond_fcvt_nontruncvnx4sfvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx4sfvnx4sf },
    &operand_data[20565],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:9955 */
  {
    "cond_fcvt_nontruncvnx4sfvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvt_nontruncvnx4sfvnx2df },
    &operand_data[21880],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10018 */
  {
    "vec_unpacks_hi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx16bi },
    &operand_data[21884],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10018 */
  {
    "vec_unpacku_hi_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx16bi },
    &operand_data[21884],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10018 */
  {
    "vec_unpacks_lo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx16bi },
    &operand_data[21884],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10018 */
  {
    "vec_unpacku_lo_vnx16bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx16bi },
    &operand_data[21884],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10018 */
  {
    "vec_unpacks_hi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx8bi },
    &operand_data[21886],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10018 */
  {
    "vec_unpacku_hi_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx8bi },
    &operand_data[21886],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10018 */
  {
    "vec_unpacks_lo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx8bi },
    &operand_data[21886],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10018 */
  {
    "vec_unpacku_lo_vnx8bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx8bi },
    &operand_data[21886],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10018 */
  {
    "vec_unpacks_hi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_hi_vnx4bi },
    &operand_data[21888],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10018 */
  {
    "vec_unpacku_hi_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_hi_vnx4bi },
    &operand_data[21888],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10018 */
  {
    "vec_unpacks_lo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacks_lo_vnx4bi },
    &operand_data[21888],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10018 */
  {
    "vec_unpacku_lo_vnx4bi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_vec_unpacku_lo_vnx4bi },
    &operand_data[21888],
    2,
    2,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10479 */
  {
    "aarch64_sve_incvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx8hi_pat },
    &operand_data[21890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10479 */
  {
    "aarch64_sve_sqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx8hi_pat },
    &operand_data[21890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10479 */
  {
    "aarch64_sve_uqincvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx8hi_pat },
    &operand_data[21890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10629 */
  {
    "aarch64_sve_decvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx8hi_pat },
    &operand_data[21890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10629 */
  {
    "aarch64_sve_sqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx8hi_pat },
    &operand_data[21890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10629 */
  {
    "aarch64_sve_uqdecvnx8hi_pat",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx8hi_pat },
    &operand_data[21890],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10692 */
  {
    "aarch64_sve_incdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx16bi_cntp },
    &operand_data[21895],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10692 */
  {
    "aarch64_sve_sqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx16bi_cntp },
    &operand_data[21895],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10692 */
  {
    "aarch64_sve_uqincdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx16bi_cntp },
    &operand_data[21895],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10692 */
  {
    "aarch64_sve_incdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx8bi_cntp },
    &operand_data[21898],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10692 */
  {
    "aarch64_sve_sqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx8bi_cntp },
    &operand_data[21898],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10692 */
  {
    "aarch64_sve_uqincdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx8bi_cntp },
    &operand_data[21898],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10692 */
  {
    "aarch64_sve_incdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx4bi_cntp },
    &operand_data[21901],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10692 */
  {
    "aarch64_sve_sqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx4bi_cntp },
    &operand_data[21901],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10692 */
  {
    "aarch64_sve_uqincdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx4bi_cntp },
    &operand_data[21901],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10692 */
  {
    "aarch64_sve_incdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incdivnx2bi_cntp },
    &operand_data[21904],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10692 */
  {
    "aarch64_sve_sqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincdivnx2bi_cntp },
    &operand_data[21904],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10692 */
  {
    "aarch64_sve_uqincdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincdivnx2bi_cntp },
    &operand_data[21904],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10747 */
  {
    "aarch64_sve_sqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx16bi_cntp },
    &operand_data[21907],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10747 */
  {
    "aarch64_sve_uqincsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx16bi_cntp },
    &operand_data[21907],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10747 */
  {
    "aarch64_sve_sqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx8bi_cntp },
    &operand_data[21910],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10747 */
  {
    "aarch64_sve_uqincsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx8bi_cntp },
    &operand_data[21910],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10747 */
  {
    "aarch64_sve_sqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx4bi_cntp },
    &operand_data[21913],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10747 */
  {
    "aarch64_sve_uqincsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx4bi_cntp },
    &operand_data[21913],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10747 */
  {
    "aarch64_sve_sqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincsivnx2bi_cntp },
    &operand_data[21916],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10747 */
  {
    "aarch64_sve_uqincsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincsivnx2bi_cntp },
    &operand_data[21916],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10795 */
  {
    "aarch64_sve_incvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx2di_cntp },
    &operand_data[21919],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10795 */
  {
    "aarch64_sve_sqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx2di_cntp },
    &operand_data[21919],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10795 */
  {
    "aarch64_sve_uqincvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx2di_cntp },
    &operand_data[21919],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10836 */
  {
    "aarch64_sve_incvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx4si_cntp },
    &operand_data[21922],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10836 */
  {
    "aarch64_sve_sqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx4si_cntp },
    &operand_data[21922],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10836 */
  {
    "aarch64_sve_uqincvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx4si_cntp },
    &operand_data[21922],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10875 */
  {
    "aarch64_sve_incvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_incvnx8hi_cntp },
    &operand_data[21925],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10875 */
  {
    "aarch64_sve_sqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqincvnx8hi_cntp },
    &operand_data[21925],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10875 */
  {
    "aarch64_sve_uqincvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqincvnx8hi_cntp },
    &operand_data[21925],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10925 */
  {
    "aarch64_sve_decdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx16bi_cntp },
    &operand_data[21895],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10925 */
  {
    "aarch64_sve_sqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx16bi_cntp },
    &operand_data[21895],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10925 */
  {
    "aarch64_sve_uqdecdivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx16bi_cntp },
    &operand_data[21895],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10925 */
  {
    "aarch64_sve_decdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx8bi_cntp },
    &operand_data[21898],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10925 */
  {
    "aarch64_sve_sqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx8bi_cntp },
    &operand_data[21898],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10925 */
  {
    "aarch64_sve_uqdecdivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx8bi_cntp },
    &operand_data[21898],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10925 */
  {
    "aarch64_sve_decdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx4bi_cntp },
    &operand_data[21901],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10925 */
  {
    "aarch64_sve_sqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx4bi_cntp },
    &operand_data[21901],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10925 */
  {
    "aarch64_sve_uqdecdivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx4bi_cntp },
    &operand_data[21901],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10925 */
  {
    "aarch64_sve_decdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decdivnx2bi_cntp },
    &operand_data[21904],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10925 */
  {
    "aarch64_sve_sqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecdivnx2bi_cntp },
    &operand_data[21904],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10925 */
  {
    "aarch64_sve_uqdecdivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecdivnx2bi_cntp },
    &operand_data[21904],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10980 */
  {
    "aarch64_sve_sqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx16bi_cntp },
    &operand_data[21907],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10980 */
  {
    "aarch64_sve_uqdecsivnx16bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx16bi_cntp },
    &operand_data[21907],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10980 */
  {
    "aarch64_sve_sqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx8bi_cntp },
    &operand_data[21910],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10980 */
  {
    "aarch64_sve_uqdecsivnx8bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx8bi_cntp },
    &operand_data[21910],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10980 */
  {
    "aarch64_sve_sqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx4bi_cntp },
    &operand_data[21913],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10980 */
  {
    "aarch64_sve_uqdecsivnx4bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx4bi_cntp },
    &operand_data[21913],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10980 */
  {
    "aarch64_sve_sqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecsivnx2bi_cntp },
    &operand_data[21916],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:10980 */
  {
    "aarch64_sve_uqdecsivnx2bi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecsivnx2bi_cntp },
    &operand_data[21916],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11028 */
  {
    "aarch64_sve_decvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx2di_cntp },
    &operand_data[21919],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11028 */
  {
    "aarch64_sve_sqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx2di_cntp },
    &operand_data[21919],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11028 */
  {
    "aarch64_sve_uqdecvnx2di_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx2di_cntp },
    &operand_data[21919],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11069 */
  {
    "aarch64_sve_decvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx4si_cntp },
    &operand_data[21922],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11069 */
  {
    "aarch64_sve_sqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx4si_cntp },
    &operand_data[21922],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11069 */
  {
    "aarch64_sve_uqdecvnx4si_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx4si_cntp },
    &operand_data[21922],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11108 */
  {
    "aarch64_sve_decvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_decvnx8hi_cntp },
    &operand_data[21925],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11108 */
  {
    "aarch64_sve_sqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_sqdecvnx8hi_cntp },
    &operand_data[21925],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve.md:11108 */
  {
    "aarch64_sve_uqdecvnx8hi_cntp",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_uqdecvnx8hi_cntp },
    &operand_data[21925],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "smaxvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx32qi3 },
    &operand_data[21928],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "sminvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx32qi3 },
    &operand_data[21928],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "umaxvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx32qi3 },
    &operand_data[21928],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "uminvnx32qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx32qi3 },
    &operand_data[21928],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "smaxvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx16hi3 },
    &operand_data[21931],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "sminvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx16hi3 },
    &operand_data[21931],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "umaxvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx16hi3 },
    &operand_data[21931],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "uminvnx16hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx16hi3 },
    &operand_data[21931],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "smaxvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8si3 },
    &operand_data[21934],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "sminvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8si3 },
    &operand_data[21934],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "umaxvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8si3 },
    &operand_data[21934],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "uminvnx8si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8si3 },
    &operand_data[21934],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "smaxvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx4di3 },
    &operand_data[21937],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "sminvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx4di3 },
    &operand_data[21937],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "umaxvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx4di3 },
    &operand_data[21937],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "uminvnx4di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx4di3 },
    &operand_data[21937],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "smaxvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx64qi3 },
    &operand_data[21940],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "sminvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx64qi3 },
    &operand_data[21940],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "umaxvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx64qi3 },
    &operand_data[21940],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "uminvnx64qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx64qi3 },
    &operand_data[21940],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "smaxvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx32hi3 },
    &operand_data[21943],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "sminvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx32hi3 },
    &operand_data[21943],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "umaxvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx32hi3 },
    &operand_data[21943],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "uminvnx32hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx32hi3 },
    &operand_data[21943],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "smaxvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx16si3 },
    &operand_data[21946],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "sminvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx16si3 },
    &operand_data[21946],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "umaxvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx16si3 },
    &operand_data[21946],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "uminvnx16si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx16si3 },
    &operand_data[21946],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "smaxvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smaxvnx8di3 },
    &operand_data[21949],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "sminvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_sminvnx8di3 },
    &operand_data[21949],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "umaxvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umaxvnx8di3 },
    &operand_data[21949],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:722 */
  {
    "uminvnx8di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uminvnx8di3 },
    &operand_data[21949],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:874 */
  {
    "smulhsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx16qi3 },
    &operand_data[20858],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:874 */
  {
    "umulhsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx16qi3 },
    &operand_data[20858],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:874 */
  {
    "smulhrsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx16qi3 },
    &operand_data[20858],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:874 */
  {
    "umulhrsvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx16qi3 },
    &operand_data[20858],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:874 */
  {
    "smulhsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx8hi3 },
    &operand_data[20870],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:874 */
  {
    "umulhsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx8hi3 },
    &operand_data[20870],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:874 */
  {
    "smulhrsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx8hi3 },
    &operand_data[20870],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:874 */
  {
    "umulhrsvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx8hi3 },
    &operand_data[20870],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:874 */
  {
    "smulhsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhsvnx4si3 },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:874 */
  {
    "umulhsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhsvnx4si3 },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:874 */
  {
    "smulhrsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_smulhrsvnx4si3 },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:874 */
  {
    "umulhrsvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_umulhrsvnx4si3 },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:928 */
  {
    "avgvnx16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx16qi3_floor },
    &operand_data[20858],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:928 */
  {
    "uavgvnx16qi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx16qi3_floor },
    &operand_data[20858],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:928 */
  {
    "avgvnx8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx8hi3_floor },
    &operand_data[20870],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:928 */
  {
    "uavgvnx8hi3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx8hi3_floor },
    &operand_data[20870],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:928 */
  {
    "avgvnx4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx4si3_floor },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:928 */
  {
    "uavgvnx4si3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx4si3_floor },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:928 */
  {
    "avgvnx2di3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx2di3_floor },
    &operand_data[20854],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:928 */
  {
    "uavgvnx2di3_floor",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx2di3_floor },
    &operand_data[20854],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:944 */
  {
    "avgvnx16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx16qi3_ceil },
    &operand_data[20858],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:944 */
  {
    "uavgvnx16qi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx16qi3_ceil },
    &operand_data[20858],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:944 */
  {
    "avgvnx8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx8hi3_ceil },
    &operand_data[20870],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:944 */
  {
    "uavgvnx8hi3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx8hi3_ceil },
    &operand_data[20870],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:944 */
  {
    "avgvnx4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx4si3_ceil },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:944 */
  {
    "uavgvnx4si3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx4si3_ceil },
    &operand_data[20850],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:944 */
  {
    "avgvnx2di3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_avgvnx2di3_ceil },
    &operand_data[20854],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:944 */
  {
    "uavgvnx2di3_ceil",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_uavgvnx2di3_ceil },
    &operand_data[20854],
    3,
    3,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_shaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx16qi },
    &operand_data[20650],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_shsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx16qi },
    &operand_data[20650],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_sqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx16qi },
    &operand_data[20650],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_srhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx16qi },
    &operand_data[20650],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_srshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx16qi },
    &operand_data[20650],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_suqaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx16qi },
    &operand_data[20650],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_uhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx16qi },
    &operand_data[20650],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_uhsubvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx16qi },
    &operand_data[20650],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_uqrshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx16qi },
    &operand_data[20650],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_urhaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx16qi },
    &operand_data[20650],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_urshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx16qi },
    &operand_data[20650],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_usqaddvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx16qi },
    &operand_data[20650],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_shaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx8hi },
    &operand_data[20730],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_shsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx8hi },
    &operand_data[20730],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_sqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx8hi },
    &operand_data[20730],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_srhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx8hi },
    &operand_data[20730],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_srshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx8hi },
    &operand_data[20730],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_suqaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx8hi },
    &operand_data[20730],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_uhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx8hi },
    &operand_data[20730],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_uhsubvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx8hi },
    &operand_data[20730],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_uqrshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx8hi },
    &operand_data[20730],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_urhaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx8hi },
    &operand_data[20730],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_urshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx8hi },
    &operand_data[20730],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_usqaddvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx8hi },
    &operand_data[20730],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_shaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx4si },
    &operand_data[20790],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_shsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx4si },
    &operand_data[20790],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_sqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx4si },
    &operand_data[20790],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_srhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx4si },
    &operand_data[20790],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_srshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx4si },
    &operand_data[20790],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_suqaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx4si },
    &operand_data[20790],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_uhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx4si },
    &operand_data[20790],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_uhsubvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx4si },
    &operand_data[20790],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_uqrshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx4si },
    &operand_data[20790],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_urhaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx4si },
    &operand_data[20790],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_urshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx4si },
    &operand_data[20790],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_usqaddvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx4si },
    &operand_data[20790],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_shaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shaddvnx2di },
    &operand_data[20830],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_shsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_shsubvnx2di },
    &operand_data[20830],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_sqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqrshlvnx2di },
    &operand_data[20830],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_srhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srhaddvnx2di },
    &operand_data[20830],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_srshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_srshlvnx2di },
    &operand_data[20830],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_suqaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_suqaddvnx2di },
    &operand_data[20830],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_uhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhaddvnx2di },
    &operand_data[20830],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_uhsubvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uhsubvnx2di },
    &operand_data[20830],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_uqrshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqrshlvnx2di },
    &operand_data[20830],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_urhaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urhaddvnx2di },
    &operand_data[20830],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_urshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urshlvnx2di },
    &operand_data[20830],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1007 */
  {
    "cond_usqaddvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_usqaddvnx2di },
    &operand_data[20830],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1209 */
  {
    "cond_sqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx16qi },
    &operand_data[21952],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1209 */
  {
    "cond_uqshlvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx16qi },
    &operand_data[21952],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1209 */
  {
    "cond_sqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx8hi },
    &operand_data[21957],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1209 */
  {
    "cond_uqshlvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx8hi },
    &operand_data[21957],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1209 */
  {
    "cond_sqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx4si },
    &operand_data[21962],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1209 */
  {
    "cond_uqshlvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx4si },
    &operand_data[21962],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1209 */
  {
    "cond_sqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sqshlvnx2di },
    &operand_data[21967],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1209 */
  {
    "cond_uqshlvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uqshlvnx2di },
    &operand_data[21967],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1561 */
  {
    "aarch64_sve2_bcaxvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx16qi },
    &operand_data[21972],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1561 */
  {
    "aarch64_sve2_bcaxvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx8hi },
    &operand_data[21976],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1561 */
  {
    "aarch64_sve2_bcaxvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx4si },
    &operand_data[21980],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1561 */
  {
    "aarch64_sve2_bcaxvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bcaxvnx2di },
    &operand_data[21984],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_sve2_bslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx16qi },
    &operand_data[21972],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_sve2_bslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx8hi },
    &operand_data[21976],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_sve2_bslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx4si },
    &operand_data[21980],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1663 */
  {
    "aarch64_sve2_bslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bslvnx2di },
    &operand_data[21984],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1693 */
  {
    "aarch64_sve2_nbslvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx16qi },
    &operand_data[21972],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1693 */
  {
    "aarch64_sve2_nbslvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx8hi },
    &operand_data[21976],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1693 */
  {
    "aarch64_sve2_nbslvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx4si },
    &operand_data[21980],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1693 */
  {
    "aarch64_sve2_nbslvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_nbslvnx2di },
    &operand_data[21984],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "aarch64_sve2_bsl1nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx16qi },
    &operand_data[21972],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "aarch64_sve2_bsl1nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx8hi },
    &operand_data[21976],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "aarch64_sve2_bsl1nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx4si },
    &operand_data[21980],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1755 */
  {
    "aarch64_sve2_bsl1nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl1nvnx2di },
    &operand_data[21984],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1817 */
  {
    "aarch64_sve2_bsl2nvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx16qi },
    &operand_data[21972],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1817 */
  {
    "aarch64_sve2_bsl2nvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx8hi },
    &operand_data[21976],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1817 */
  {
    "aarch64_sve2_bsl2nvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx4si },
    &operand_data[21980],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1817 */
  {
    "aarch64_sve2_bsl2nvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_bsl2nvnx2di },
    &operand_data[21984],
    4,
    4,
    2,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1932 */
  {
    "aarch64_sve_add_asrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx16qi },
    &operand_data[21988],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1932 */
  {
    "aarch64_sve_add_lsrvnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx16qi },
    &operand_data[21988],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1932 */
  {
    "aarch64_sve_add_asrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx8hi },
    &operand_data[21992],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1932 */
  {
    "aarch64_sve_add_lsrvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx8hi },
    &operand_data[21992],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1932 */
  {
    "aarch64_sve_add_asrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx4si },
    &operand_data[21996],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1932 */
  {
    "aarch64_sve_add_lsrvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx4si },
    &operand_data[21996],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1932 */
  {
    "aarch64_sve_add_asrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_asrvnx2di },
    &operand_data[22000],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:1932 */
  {
    "aarch64_sve_add_lsrvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_add_lsrvnx2di },
    &operand_data[22000],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2016 */
  {
    "aarch64_sve2_sabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx16qi },
    &operand_data[15656],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2016 */
  {
    "aarch64_sve2_uabavnx16qi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx16qi },
    &operand_data[15656],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2016 */
  {
    "aarch64_sve2_sabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx8hi },
    &operand_data[15660],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2016 */
  {
    "aarch64_sve2_uabavnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx8hi },
    &operand_data[15660],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2016 */
  {
    "aarch64_sve2_sabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx4si },
    &operand_data[15664],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2016 */
  {
    "aarch64_sve2_uabavnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx4si },
    &operand_data[15664],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2016 */
  {
    "aarch64_sve2_sabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_sabavnx2di },
    &operand_data[15668],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2016 */
  {
    "aarch64_sve2_uabavnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve2_uabavnx2di },
    &operand_data[15668],
    4,
    4,
    4,
    2,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx16bf },
    &operand_data[22004],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxnmvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx16bf },
    &operand_data[22004],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx16bf },
    &operand_data[22004],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminnmvnx16bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx16bf },
    &operand_data[22004],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx32bf },
    &operand_data[22007],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxnmvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx32bf },
    &operand_data[22007],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx32bf },
    &operand_data[22007],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminnmvnx32bf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx32bf },
    &operand_data[22007],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx16hf },
    &operand_data[22010],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxnmvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx16hf },
    &operand_data[22010],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx16hf },
    &operand_data[22010],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminnmvnx16hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx16hf },
    &operand_data[22010],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx8sf },
    &operand_data[22013],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxnmvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx8sf },
    &operand_data[22013],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx8sf },
    &operand_data[22013],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminnmvnx8sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx8sf },
    &operand_data[22013],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx4df },
    &operand_data[22016],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxnmvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx4df },
    &operand_data[22016],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx4df },
    &operand_data[22016],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminnmvnx4df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx4df },
    &operand_data[22016],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx32hf },
    &operand_data[22019],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxnmvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx32hf },
    &operand_data[22019],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx32hf },
    &operand_data[22019],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminnmvnx32hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx32hf },
    &operand_data[22019],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx16sf },
    &operand_data[22022],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxnmvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx16sf },
    &operand_data[22022],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx16sf },
    &operand_data[22022],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminnmvnx16sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx16sf },
    &operand_data[22022],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxvnx8df },
    &operand_data[22025],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fmaxnmvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fmaxnmvnx8df },
    &operand_data[22025],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminvnx8df },
    &operand_data[22025],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2500 */
  {
    "aarch64_sve_fminnmvnx8df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_aarch64_sve_fminnmvnx8df },
    &operand_data[22025],
    3,
    3,
    0,
    1,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2862 */
  {
    "cond_sadalpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx8hi },
    &operand_data[22028],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2862 */
  {
    "cond_uadalpvnx8hi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx8hi },
    &operand_data[22028],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2862 */
  {
    "cond_sadalpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx4si },
    &operand_data[22033],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2862 */
  {
    "cond_uadalpvnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx4si },
    &operand_data[22033],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2862 */
  {
    "cond_sadalpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_sadalpvnx2di },
    &operand_data[22038],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2862 */
  {
    "cond_uadalpvnx2di",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_uadalpvnx2di },
    &operand_data[22038],
    5,
    5,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2992 */
  {
    "cadd90vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx16qi3 },
    &operand_data[20858],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2992 */
  {
    "cadd270vnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx16qi3 },
    &operand_data[20858],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2992 */
  {
    "cadd90vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx8hi3 },
    &operand_data[20870],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2992 */
  {
    "cadd270vnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx8hi3 },
    &operand_data[20870],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2992 */
  {
    "cadd90vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx4si3 },
    &operand_data[20850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2992 */
  {
    "cadd270vnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx4si3 },
    &operand_data[20850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2992 */
  {
    "cadd90vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd90vnx2di3 },
    &operand_data[20854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:2992 */
  {
    "cadd270vnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cadd270vnx2di3 },
    &operand_data[20854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmlavnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx16qi4 },
    &operand_data[21972],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmla_conjvnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx16qi4 },
    &operand_data[21972],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmlsvnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx16qi4 },
    &operand_data[21972],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmls_conjvnx16qi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx16qi4 },
    &operand_data[21972],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmlavnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx8hi4 },
    &operand_data[21976],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmla_conjvnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx8hi4 },
    &operand_data[21976],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmlsvnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx8hi4 },
    &operand_data[21976],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmls_conjvnx8hi4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx8hi4 },
    &operand_data[21976],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmlavnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx4si4 },
    &operand_data[21980],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmla_conjvnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx4si4 },
    &operand_data[21980],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmlsvnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx4si4 },
    &operand_data[21980],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmls_conjvnx4si4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx4si4 },
    &operand_data[21980],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmlavnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlavnx2di4 },
    &operand_data[21984],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmla_conjvnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmla_conjvnx2di4 },
    &operand_data[21984],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmlsvnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmlsvnx2di4 },
    &operand_data[21984],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3044 */
  {
    "cmls_conjvnx2di4",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmls_conjvnx2di4 },
    &operand_data[21984],
    4,
    4,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3065 */
  {
    "cmulvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx16qi3 },
    &operand_data[20858],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3065 */
  {
    "cmul_conjvnx16qi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx16qi3 },
    &operand_data[20858],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3065 */
  {
    "cmulvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx8hi3 },
    &operand_data[20870],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3065 */
  {
    "cmul_conjvnx8hi3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx8hi3 },
    &operand_data[20870],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3065 */
  {
    "cmulvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx4si3 },
    &operand_data[20850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3065 */
  {
    "cmul_conjvnx4si3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx4si3 },
    &operand_data[20850],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3065 */
  {
    "cmulvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmulvnx2di3 },
    &operand_data[20854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3065 */
  {
    "cmul_conjvnx2di3",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cmul_conjvnx2di3 },
    &operand_data[20854],
    3,
    3,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "cond_fcvtltvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtltvnx4sf },
    &operand_data[22043],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3152 */
  {
    "cond_fcvtltvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtltvnx2df },
    &operand_data[22047],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3254 */
  {
    "cond_fcvtxvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_fcvtxvnx4sf },
    &operand_data[21861],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3473 */
  {
    "cond_urecpevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_urecpevnx4si },
    &operand_data[20487],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3473 */
  {
    "cond_ursqrtevnx4si",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_ursqrtevnx4si },
    &operand_data[20487],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3538 */
  {
    "cond_flogbvnx8hf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx8hf },
    &operand_data[21768],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3538 */
  {
    "cond_flogbvnx4sf",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx4sf },
    &operand_data[21784],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3538 */
  {
    "cond_flogbvnx2df",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_cond_flogbvnx2df },
    &operand_data[21800],
    4,
    4,
    1,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3940 */
  {
    "check_raw_ptrssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_raw_ptrssi },
    &operand_data[22051],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3940 */
  {
    "check_war_ptrssi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_war_ptrssi },
    &operand_data[22051],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3940 */
  {
    "check_raw_ptrsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_raw_ptrsdi },
    &operand_data[22056],
    5,
    5,
    0,
    0,
    0
  },
  /* ../../gcc/config/aarch64/aarch64-sve2.md:3940 */
  {
    "check_war_ptrsdi",
#if HAVE_DESIGNATED_UNION_INITIALIZERS
    { 0 },
#else
    { 0, 0, 0 },
#endif
    { (insn_gen_fn::stored_funcptr) gen_check_war_ptrsdi },
    &operand_data[22056],
    5,
    5,
    0,
    0,
    0
  },
};


const char *
get_insn_name (int code)
{
  if (code == NOOP_MOVE_INSN_CODE)
    return "NOOP_MOVE";
  else
    return insn_data[code].name;
}
