/* Generated automatically by the program `genrecog' from the target
   machine description file.  */

#define IN_TARGET_CODE 1

#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "backend.h"
#include "predict.h"
#include "rtl.h"
#include "memmodel.h"
#include "tm_p.h"
#include "emit-rtl.h"
#include "insn-config.h"
#include "recog.h"
#include "output.h"
#include "flags.h"
#include "df.h"
#include "resource.h"
#include "diagnostic-core.h"
#include "reload.h"
#include "regs.h"
#include "tm-constrs.h"
#include "insn-recog.h"


/* `recog' contains a decision tree that recognizes whether the rtx
   X0 is a valid instruction.

   recog returns -1 if the rtx is not valid.  If the rtx is valid, recog
   returns a nonnegative number which is the insn code number for the
   pattern that matched.  This is the same as the order in the machine
   description of the entry that matched.  This number can be used as an
   index into `insn_data' and other tables.
   The third parameter to recog is an optional pointer to an int.  If
   present, recog will accept a pattern if it matches except for missing
   CLOBBER expressions at the end.  In that case, the value pointed to by
   the optional pointer will be set to the number of CLOBBERs that need
   to be added (it should be initialized to zero by the caller).  If it   is set nonzero, the caller should allocate a PARALLEL of the
   appropriate size, copy the initial entries, and call add_clobbers
   (found in insn-emit.cc) to fill in the CLOBBERs.

   The function split_insns returns 0 if the rtl could not
   be split or the split rtl as an INSN list if it can be.

   The function peephole2_insns returns 0 if the rtl could not
   be matched. If there was a match, the new rtl is returned in an INSN list,
   and LAST_INSN will point to the last recognized insn in the old sequence.
*/




int
pattern1 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || GET_MODE (x3) != E_SImode
          || !register_operand (operands[1], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x3) != E_DImode
          || !register_operand (operands[1], E_DImode))
        return -1;
      return 1;

    case E_V8QImode:
      if (!register_operand (operands[0], E_V8QImode)
          || GET_MODE (x3) != E_V8QImode
          || !register_operand (operands[1], E_V8QImode))
        return -1;
      return 2;

    case E_V16QImode:
      if (!register_operand (operands[0], E_V16QImode)
          || GET_MODE (x3) != E_V16QImode
          || !register_operand (operands[1], E_V16QImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern20 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  switch (GET_CODE (x3))
    {
    case ZERO_EXTEND:
      if (GET_MODE (x3) != E_DImode)
        return -1;
      x4 = XEXP (x3, 0);
      if (GET_CODE (x4) != UNSPEC
          || XVECLEN (x4, 0) != 3
          || XINT (x4, 1) != 307
          || GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XVECEXP (x4, 0, 1);
      if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 1]
          || !register_operand (operands[0], E_VNx2DImode)
          || GET_MODE (x1) != E_VNx2DImode
          || GET_MODE (x2) != E_VNx2DImode)
        return -1;
      x6 = XVECEXP (x4, 0, 0);
      operands[3] = x6;
      x7 = XVECEXP (x4, 0, 2);
      operands[2] = x7;
      if (!register_operand (operands[2], E_VNx2BImode)
          || !register_operand (operands[1], E_VNx2DImode))
        return -1;
      return 0;

    case UNSPEC:
      if (XVECLEN (x3, 0) != 3
          || XINT (x3, 1) != 307
          || GET_MODE (x3) != E_SImode)
        return -1;
      x8 = XVECEXP (x3, 0, 1);
      if (x8 != const_int_rtx[MAX_SAVED_CONST_INT + 1]
          || !register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x1) != E_VNx4SImode
          || GET_MODE (x2) != E_VNx4SImode)
        return -1;
      x9 = XVECEXP (x3, 0, 0);
      operands[3] = x9;
      x10 = XVECEXP (x3, 0, 2);
      operands[2] = x10;
      if (!register_operand (operands[2], E_VNx4BImode)
          || !register_operand (operands[1], E_VNx4SImode))
        return -1;
      return 1;

    case SUBREG:
    case TRUNCATE:
      operands[3] = x3;
      if (!subreg_lowpart_operator (operands[3], E_HImode))
        return -1;
      x4 = XEXP (x3, 0);
      if (GET_CODE (x4) != UNSPEC
          || XVECLEN (x4, 0) != 3
          || XINT (x4, 1) != 307
          || GET_MODE (x4) != E_SImode)
        return -1;
      x5 = XVECEXP (x4, 0, 1);
      if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 1]
          || !register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x1) != E_VNx8HImode
          || GET_MODE (x2) != E_VNx8HImode)
        return -1;
      x6 = XVECEXP (x4, 0, 0);
      operands[4] = x6;
      x7 = XVECEXP (x4, 0, 2);
      operands[2] = x7;
      if (!register_operand (operands[2], E_VNx8BImode)
          || !register_operand (operands[1], E_VNx8HImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern39 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != E_SImode)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_CODE (x2) != UNSPEC
      || XVECLEN (x2, 0) != 3
      || XINT (x2, 1) != 307
      || GET_MODE (x2) != E_SImode)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
    return -1;
  return 0;
}

int
pattern44 (rtx x1, unsigned int i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != i1
      || GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != i1
      || GET_MODE (x4) != i2)
    return -1;
  return 0;
}

int
pattern52 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_HFmode:
      if (!register_operand (operands[0], E_HFmode)
          || GET_MODE (x3) != E_HFmode
          || !register_operand (operands[1], E_HFmode))
        return -1;
      return 0;

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_SFmode))
        return -1;
      return 1;

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x3) != E_DFmode
          || !register_operand (operands[1], E_DFmode))
        return -1;
      return 2;

    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode))
        return -1;
      return 3;

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode
          || !register_operand (operands[1], E_V8HFmode))
        return -1;
      return 4;

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode))
        return -1;
      return 5;

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SFmode))
        return -1;
      return 6;

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DFmode))
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern69 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[0], E_VNx16QImode)
          || GET_MODE (x3) != E_VNx16QImode
          || !aligned_register_operand (operands[1], E_VNx16SImode))
        return -1;
      return 0;

    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode)
          || GET_MODE (x3) != E_VNx8HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_VNx8SImode:
          if (!aligned_register_operand (operands[1], E_VNx8SImode))
            return -1;
          return 1;

        case E_VNx8DImode:
          if (!aligned_register_operand (operands[1], E_VNx8DImode))
            return -1;
          return 2;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern79 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[2] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_HFmode:
          return pattern75 (x3, 
E_HFmode); /* [-1, 0] */

        case E_SFmode:
          if (pattern75 (x3, 
E_SFmode) != 0)
            return -1;
          return 1;

        case E_DFmode:
          if (pattern75 (x3, 
E_DFmode) != 0)
            return -1;
          return 2;

        case E_V4HFmode:
          if (pattern75 (x3, 
E_V4HFmode) != 0)
            return -1;
          return 3;

        case E_V8HFmode:
          if (pattern75 (x3, 
E_V8HFmode) != 0)
            return -1;
          return 4;

        case E_V2SFmode:
          if (pattern75 (x3, 
E_V2SFmode) != 0)
            return -1;
          return 5;

        case E_V4SFmode:
          if (pattern75 (x3, 
E_V4SFmode) != 0)
            return -1;
          return 6;

        case E_V2DFmode:
          if (pattern75 (x3, 
E_V2DFmode) != 0)
            return -1;
          return 7;

        case E_VNx16BFmode:
          if (pattern76 (x3, 
E_VNx16BFmode) != 0)
            return -1;
          return 8;

        case E_VNx32BFmode:
          if (pattern76 (x3, 
E_VNx32BFmode) != 0)
            return -1;
          return 9;

        case E_VNx16HFmode:
          if (pattern76 (x3, 
E_VNx16HFmode) != 0)
            return -1;
          return 10;

        case E_VNx8SFmode:
          if (pattern76 (x3, 
E_VNx8SFmode) != 0)
            return -1;
          return 11;

        case E_VNx4DFmode:
          if (pattern76 (x3, 
E_VNx4DFmode) != 0)
            return -1;
          return 12;

        case E_VNx32HFmode:
          if (pattern76 (x3, 
E_VNx32HFmode) != 0)
            return -1;
          return 13;

        case E_VNx16SFmode:
          if (pattern76 (x3, 
E_VNx16SFmode) != 0)
            return -1;
          return 14;

        case E_VNx8DFmode:
          if (pattern76 (x3, 
E_VNx8DFmode) != 0)
            return -1;
          return 15;

        default:
          return -1;
        }

    case VEC_DUPLICATE:
      res = pattern78 (x3);
      if (res >= 0)
        return res + 16; /* [16, 23] */
      return -1;

    default:
      return -1;
    }
}

int
pattern102 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  switch (GET_CODE (operands[2]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          return pattern75 (x3, 
E_V8QImode); /* [-1, 0] */

        case E_V16QImode:
          if (pattern75 (x3, 
E_V16QImode) != 0)
            return -1;
          return 1;

        case E_V4HImode:
          if (pattern75 (x3, 
E_V4HImode) != 0)
            return -1;
          return 2;

        case E_V8HImode:
          if (pattern75 (x3, 
E_V8HImode) != 0)
            return -1;
          return 3;

        case E_V2SImode:
          if (pattern75 (x3, 
E_V2SImode) != 0)
            return -1;
          return 4;

        case E_V4SImode:
          if (pattern75 (x3, 
E_V4SImode) != 0)
            return -1;
          return 5;

        case E_V2DImode:
          if (pattern75 (x3, 
E_V2DImode) != 0)
            return -1;
          return 6;

        case E_QImode:
          if (pattern75 (x3, 
E_QImode) != 0)
            return -1;
          return 7;

        case E_HImode:
          if (pattern75 (x3, 
E_HImode) != 0)
            return -1;
          return 8;

        case E_SImode:
          if (pattern75 (x3, 
E_SImode) != 0)
            return -1;
          return 9;

        case E_DImode:
          if (pattern75 (x3, 
E_DImode) != 0)
            return -1;
          return 10;

        default:
          return -1;
        }

    case CONST_INT:
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern98 (x3, 
E_V8QImode) != 0)
            return -1;
          return 11;

        case E_V16QImode:
          if (pattern98 (x3, 
E_V16QImode) != 0)
            return -1;
          return 12;

        case E_V4HImode:
          if (pattern99 (x3, 
E_V4HImode) != 0)
            return -1;
          return 13;

        case E_V8HImode:
          if (pattern99 (x3, 
E_V8HImode) != 0)
            return -1;
          return 14;

        case E_V2SImode:
          if (pattern100 (x3, 
E_V2SImode) != 0)
            return -1;
          return 15;

        case E_V4SImode:
          if (pattern100 (x3, 
E_V4SImode) != 0)
            return -1;
          return 16;

        case E_V2DImode:
          if (pattern101 (x3, 
E_V2DImode) != 0)
            return -1;
          return 17;

        case E_QImode:
          if (pattern98 (x3, 
E_QImode) != 0)
            return -1;
          return 18;

        case E_HImode:
          if (pattern99 (x3, 
E_HImode) != 0)
            return -1;
          return 19;

        case E_SImode:
          if (pattern100 (x3, 
E_SImode) != 0)
            return -1;
          return 20;

        case E_DImode:
          if (pattern101 (x3, 
E_DImode) != 0)
            return -1;
          return 21;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern130 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BFmode:
      if (!register_operand (operands[0], E_VNx8BFmode)
          || GET_MODE (x1) != E_VNx8BFmode)
        return -1;
      return 0;

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x1) != E_VNx8HFmode)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern137 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!aligned_register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i2))
    return -1;
  return 0;
}

int
pattern142 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  operands[2] = x2;
  if (!register_operand (operands[2], i1))
    return -1;
  x3 = XVECEXP (x1, 0, 1);
  operands[3] = x3;
  if (!register_operand (operands[3], i1))
    return -1;
  x4 = XVECEXP (x1, 0, 2);
  operands[1] = x4;
  if (!register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern151 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_shift_imm_di (operands[3], E_SImode))
    return -1;
  return 0;
}

int
pattern159 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x1, 0);
  operands[0] = x3;
  if (!register_operand (operands[0], i1))
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[1] = x4;
  if (!register_operand (operands[1], i1))
    return -1;
  x5 = XVECEXP (x2, 0, 1);
  operands[2] = x5;
  if (!register_operand (operands[2], i1))
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[3] = x6;
  if (!register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern167 (rtx x1, int *pnum_clobbers)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL)
    return -1;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x2, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x2, 0, 2);
  operands[2] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[0], E_VNx16BImode)
          || GET_MODE (x2) != E_VNx16BImode)
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[0], E_VNx8BImode)
          || GET_MODE (x2) != E_VNx8BImode)
        return -1;
      return 1;

    case E_VNx4BImode:
      if (!register_operand (operands[0], E_VNx4BImode)
          || GET_MODE (x2) != E_VNx4BImode)
        return -1;
      return 2;

    case E_VNx2BImode:
      if (!register_operand (operands[0], E_VNx2BImode)
          || GET_MODE (x2) != E_VNx2BImode)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern181 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  if (!register_operand (operands[2], E_VNx16BImode))
    return -1;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 2);
  if (!rtx_equal_p (x6, operands[0]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx32QImode:
      if (!memory_operand (operands[0], E_VNx32QImode)
          || GET_MODE (x3) != E_VNx32QImode
          || !aligned_register_operand (operands[1], E_VNx32QImode))
        return -1;
      return 0;

    case E_VNx16HImode:
      if (!memory_operand (operands[0], E_VNx16HImode)
          || GET_MODE (x3) != E_VNx16HImode
          || !aligned_register_operand (operands[1], E_VNx16HImode))
        return -1;
      return 1;

    case E_VNx8SImode:
      if (!memory_operand (operands[0], E_VNx8SImode)
          || GET_MODE (x3) != E_VNx8SImode
          || !aligned_register_operand (operands[1], E_VNx8SImode))
        return -1;
      return 2;

    case E_VNx4DImode:
      if (!memory_operand (operands[0], E_VNx4DImode)
          || GET_MODE (x3) != E_VNx4DImode
          || !aligned_register_operand (operands[1], E_VNx4DImode))
        return -1;
      return 3;

    case E_VNx16BFmode:
      if (!memory_operand (operands[0], E_VNx16BFmode)
          || GET_MODE (x3) != E_VNx16BFmode
          || !aligned_register_operand (operands[1], E_VNx16BFmode))
        return -1;
      return 4;

    case E_VNx16HFmode:
      if (!memory_operand (operands[0], E_VNx16HFmode)
          || GET_MODE (x3) != E_VNx16HFmode
          || !aligned_register_operand (operands[1], E_VNx16HFmode))
        return -1;
      return 5;

    case E_VNx8SFmode:
      if (!memory_operand (operands[0], E_VNx8SFmode)
          || GET_MODE (x3) != E_VNx8SFmode
          || !aligned_register_operand (operands[1], E_VNx8SFmode))
        return -1;
      return 6;

    case E_VNx4DFmode:
      if (!memory_operand (operands[0], E_VNx4DFmode)
          || GET_MODE (x3) != E_VNx4DFmode
          || !aligned_register_operand (operands[1], E_VNx4DFmode))
        return -1;
      return 7;

    case E_VNx64QImode:
      if (!memory_operand (operands[0], E_VNx64QImode)
          || GET_MODE (x3) != E_VNx64QImode
          || !aligned_register_operand (operands[1], E_VNx64QImode))
        return -1;
      return 8;

    case E_VNx32HImode:
      if (!memory_operand (operands[0], E_VNx32HImode)
          || GET_MODE (x3) != E_VNx32HImode
          || !aligned_register_operand (operands[1], E_VNx32HImode))
        return -1;
      return 9;

    case E_VNx16SImode:
      if (!memory_operand (operands[0], E_VNx16SImode)
          || GET_MODE (x3) != E_VNx16SImode
          || !aligned_register_operand (operands[1], E_VNx16SImode))
        return -1;
      return 10;

    case E_VNx8DImode:
      if (!memory_operand (operands[0], E_VNx8DImode)
          || GET_MODE (x3) != E_VNx8DImode
          || !aligned_register_operand (operands[1], E_VNx8DImode))
        return -1;
      return 11;

    case E_VNx32BFmode:
      if (!memory_operand (operands[0], E_VNx32BFmode)
          || GET_MODE (x3) != E_VNx32BFmode
          || !aligned_register_operand (operands[1], E_VNx32BFmode))
        return -1;
      return 12;

    case E_VNx32HFmode:
      if (!memory_operand (operands[0], E_VNx32HFmode)
          || GET_MODE (x3) != E_VNx32HFmode
          || !aligned_register_operand (operands[1], E_VNx32HFmode))
        return -1;
      return 13;

    case E_VNx16SFmode:
      if (!memory_operand (operands[0], E_VNx16SFmode)
          || GET_MODE (x3) != E_VNx16SFmode
          || !aligned_register_operand (operands[1], E_VNx16SFmode))
        return -1;
      return 14;

    case E_VNx8DFmode:
      if (!memory_operand (operands[0], E_VNx8DFmode)
          || GET_MODE (x3) != E_VNx8DFmode
          || !aligned_register_operand (operands[1], E_VNx8DFmode))
        return -1;
      return 15;

    default:
      return -1;
    }
}

int
pattern225 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[5] = x5;
  if (!aarch64_sve_gp_strictness (operands[5], E_SImode))
    return -1;
  x6 = XVECEXP (x3, 0, 2);
  operands[2] = x6;
  x7 = XVECEXP (x3, 0, 3);
  operands[3] = x7;
  x8 = XVECEXP (x3, 0, 4);
  operands[4] = x8;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BFmode:
      return pattern224 (x3, 
E_VNx8BFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx8HFmode:
      if (pattern224 (x3, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4SFmode:
      if (pattern224 (x3, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2DFmode:
      if (pattern224 (x3, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern234 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1))
    return -1;
  x3 = XVECEXP (x1, 0, 4);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i2))
    return -1;
  return 0;
}

int
pattern238 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx32QImode:
      if (!aligned_register_operand (operands[1], E_VNx32QImode))
        return -1;
      x3 = XVECEXP (x1, 0, 4);
      if (GET_MODE (x3) != E_VNx32QImode
          || !register_operand (operands[2], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx64QImode:
      if (!aligned_register_operand (operands[1], E_VNx64QImode))
        return -1;
      x3 = XVECEXP (x1, 0, 4);
      if (GET_MODE (x3) != E_VNx64QImode
          || !register_operand (operands[2], E_VNx16QImode))
        return -1;
      return 1;

    case E_VNx16HImode:
      if (!aligned_register_operand (operands[1], E_VNx16HImode))
        return -1;
      x3 = XVECEXP (x1, 0, 4);
      if (GET_MODE (x3) != E_VNx16HImode
          || !register_operand (operands[2], E_VNx8HImode))
        return -1;
      return 2;

    case E_VNx32HImode:
      if (!aligned_register_operand (operands[1], E_VNx32HImode))
        return -1;
      x3 = XVECEXP (x1, 0, 4);
      if (GET_MODE (x3) != E_VNx32HImode
          || !register_operand (operands[2], E_VNx8HImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern245 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XVECEXP (x2, 0, 4);
  if (GET_CODE (x5) != UNSPEC
      || XVECLEN (x5, 0) != 2
      || XINT (x5, 1) != 168)
    return -1;
  x6 = XEXP (x1, 0);
  if (GET_CODE (x6) != REG
      || REGNO (x6) != 93)
    return -1;
  x7 = XVECEXP (x5, 0, 1);
  if (!const_int_operand (x7, E_SImode))
    return -1;
  x8 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x8))
    {
    case REG:
    case SUBREG:
      operands[0] = x8;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x9 = XVECEXP (x2, 0, 3);
      operands[1] = x9;
      x10 = XVECEXP (x5, 0, 0);
      operands[2] = x10;
      operands[3] = x7;
      switch (GET_MODE (x6))
        {
        case E_VNx4SImode:
          return pattern238 (x2, 
E_VNx4SImode); /* [-1, 3] */

        case E_VNx2DImode:
          res = pattern238 (x2, 
E_VNx2DImode);
          if (res >= 0)
            return res + 4; /* [4, 7] */
          return -1;

        default:
          return -1;
        }

    case PLUS:
      if (GET_MODE (x8) != E_SImode)
        return -1;
      x11 = XEXP (x8, 0);
      operands[0] = x11;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x12 = XEXP (x8, 1);
      operands[1] = x12;
      if (!const_0_to_7_operand (operands[1], E_SImode))
        return -1;
      x9 = XVECEXP (x2, 0, 3);
      operands[2] = x9;
      x10 = XVECEXP (x5, 0, 0);
      operands[3] = x10;
      operands[4] = x7;
      switch (GET_MODE (x6))
        {
        case E_VNx4SImode:
          res = pattern242 (x2, 
E_VNx4SImode);
          if (res >= 0)
            return res + 8; /* [8, 11] */
          return -1;

        case E_VNx2DImode:
          res = pattern242 (x2, 
E_VNx2DImode);
          if (res >= 0)
            return res + 12; /* [12, 15] */
          return -1;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern260 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[0] = x6;
  if (!const_int_operand (operands[0], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 3);
  operands[1] = x7;
  x8 = XVECEXP (x2, 0, 4);
  operands[2] = x8;
  x9 = XVECEXP (x2, 0, 5);
  operands[3] = x9;
  x10 = XVECEXP (x2, 0, 6);
  operands[4] = x10;
  switch (GET_MODE (x5))
    {
    case E_VNx4SImode:
      return pattern258 (x2, 
E_VNx16QImode, 
E_VNx4BImode, 
E_VNx4SImode); /* [-1, 0] */

    case E_VNx2DImode:
      if (pattern258 (x2, 
E_VNx8HImode, 
E_VNx2BImode, 
E_VNx2DImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern270 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!aarch64_sve_ldff1_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[4], i2))
    return -1;
  return 0;
}

int
pattern273 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  switch (GET_MODE (x2))
    {
    case E_VNx4SImode:
      if (!register_operand (operands[2], E_VNx4BImode))
        return -1;
      return 0;

    case E_VNx1TImode:
      if (!register_operand (operands[2], E_VNx2BImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern276 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_MODE (x2) != i3
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern280 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  if (GET_CODE (x3) != REG
      || REGNO (x3) != 93)
    return -1;
  x4 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 89
      || GET_MODE (x4) != E_DImode)
    return -1;
  x5 = XEXP (x1, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 93)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[0] = x6;
  if (!const_int_operand (operands[0], E_DImode))
    return -1;
  x7 = XVECEXP (x2, 0, 3);
  operands[1] = x7;
  x8 = XVECEXP (x2, 0, 4);
  operands[2] = x8;
  x9 = XVECEXP (x2, 0, 5);
  operands[3] = x9;
  switch (GET_MODE (x5))
    {
    case E_VNx4SImode:
      return pattern279 (x2, 
E_VNx4SImode, 
E_VNx4BImode); /* [-1, 0] */

    case E_VNx2DImode:
      if (pattern279 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern285 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case CONST_INT:
      operands[2] = x3;
      return pattern283 (x1); /* [-1, 1] */

    case CONST_VECTOR:
    case CONST:
      operands[3] = x3;
      x4 = XEXP (x2, 0);
      operands[2] = x4;
      x5 = XEXP (x1, 1);
      operands[1] = x5;
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          if (pattern284 (x1, 
E_V8QImode) != 0)
            return -1;
          return 2;

        case E_V16QImode:
          if (pattern284 (x1, 
E_V16QImode) != 0)
            return -1;
          return 3;

        case E_V4HImode:
          if (pattern284 (x1, 
E_V4HImode) != 0)
            return -1;
          return 4;

        case E_V8HImode:
          if (pattern284 (x1, 
E_V8HImode) != 0)
            return -1;
          return 5;

        case E_V2SImode:
          if (pattern284 (x1, 
E_V2SImode) != 0)
            return -1;
          return 6;

        case E_V4SImode:
          if (pattern284 (x1, 
E_V4SImode) != 0)
            return -1;
          return 7;

        case E_V2DImode:
          if (pattern284 (x1, 
E_V2DImode) != 0)
            return -1;
          return 8;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern297 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !aarch64_comparison_operator (operands[1], i1)
      || !general_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern300 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  x4 = XEXP (x2, 1);
  operands[3] = x4;
  x5 = XEXP (x1, 1);
  operands[1] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16BImode:
      return pattern299 (x1, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8BImode:
      if (pattern299 (x1, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4BImode:
      if (pattern299 (x1, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2BImode:
      if (pattern299 (x1, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern308 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern313 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[1], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i1))
    return -1;
  return 0;
}

int
pattern317 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  return pattern316 (x1); /* [-1, 4] */
}

int
pattern318 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_V8QImode
      || !register_operand (operands[0], E_V16QImode)
      || GET_MODE (x1) != E_V16QImode)
    return -1;
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  if (!register_operand (operands[1], E_V8QImode))
    return -1;
  x4 = XEXP (x1, 1);
  operands[2] = x4;
  if (!aarch64_simd_or_scalar_imm_zero (operands[2], E_V8QImode))
    return -1;
  return 0;
}

int
pattern322 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  x5 = XEXP (x1, 1);
  operands[3] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern321 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern321 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern321 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern328 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[1], E_VNx2DImode))
    return -1;
  switch (XINT (x1, 1))
    {
    case 169:
      x2 = XVECEXP (x1, 0, 0);
      operands[2] = x2;
      if (!const_int_operand (operands[2], E_DImode))
        return -1;
      x3 = XVECEXP (x1, 0, 1);
      operands[3] = x3;
      if (!const_int_operand (operands[3], E_DImode))
        return -1;
      x4 = XVECEXP (x1, 0, 2);
      operands[4] = x4;
      if (!const_int_operand (operands[4], E_DImode))
        return -1;
      return 0;

    case 307:
      x3 = XVECEXP (x1, 0, 1);
      if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return -1;
      x2 = XVECEXP (x1, 0, 0);
      operands[3] = x2;
      x4 = XVECEXP (x1, 0, 2);
      operands[2] = x4;
      if (!register_operand (operands[2], E_VNx2BImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern337 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_int_rnd_operand (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_si (operands[2], i1))
    return -1;
  return 0;
}

int
pattern344 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != E_DImode)
    return -1;
  x4 = XVECEXP (x1, 0, 1);
  if (GET_CODE (x4) != CLOBBER)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_CODE (x5) != REG
      || REGNO (x5) != 66
      || GET_MODE (x5) != E_CCmode)
    return -1;
  x6 = XEXP (x2, 0);
  operands[0] = x6;
  if (!register_operand (operands[0], E_DImode))
    return -1;
  x7 = XEXP (x3, 0);
  if (GET_MODE (x7) != E_DImode)
    return -1;
  switch (GET_CODE (x7))
    {
    case LT:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 0;

    case LE:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 1;

    case EQ:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 2;

    case GE:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 3;

    case GT:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 4;

    case LTU:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 5;

    case LEU:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 6;

    case GEU:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 7;

    case GTU:
      x8 = XEXP (x7, 0);
      operands[1] = x8;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x9 = XEXP (x7, 1);
      operands[2] = x9;
      if (!aarch64_simd_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 8;

    case NE:
      x8 = XEXP (x7, 0);
      if (GET_CODE (x8) != AND
          || GET_MODE (x8) != E_DImode)
        return -1;
      x9 = XEXP (x7, 1);
      if (x9 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x10 = XEXP (x8, 0);
      operands[1] = x10;
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x11 = XEXP (x8, 1);
      operands[2] = x11;
      if (!register_operand (operands[2], E_DImode))
        return -1;
      return 9;

    default:
      return -1;
    }
}

int
pattern378 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1)
      || !aarch64_simd_shift_imm_vec_exact_top (operands[3], i1)
      || !register_operand (operands[4], i1))
    return -1;
  return 0;
}

int
pattern381 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (x1))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || !aarch64_shift_imm_si (operands[1], E_QImode)
          || !aarch64_reg_or_zero (operands[2], E_SImode))
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || !aarch64_shift_imm_di (operands[1], E_QImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern388 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_simd_reg_or_zero (operands[2], i1))
    return -1;
  return 0;
}

int
pattern390 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  operands[1] = x3;
  x4 = XEXP (x2, 1);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern388 (x1, 
E_V8QImode); /* [-1, 0] */

    case E_V16QImode:
      if (pattern388 (x1, 
E_V16QImode) != 0)
        return -1;
      return 1;

    case E_V4HImode:
      if (!register_operand (operands[0], E_V4HImode)
          || GET_MODE (x1) != E_V4HImode
          || GET_MODE (x2) != E_V4HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V4HImode:
          if (!register_operand (operands[1], E_V4HImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V4HImode))
            return -1;
          return 2;

        case E_V4HFmode:
          if (!register_operand (operands[1], E_V4HFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V4HFmode))
            return -1;
          return 3;

        default:
          return -1;
        }

    case E_V8HImode:
      if (!register_operand (operands[0], E_V8HImode)
          || GET_MODE (x1) != E_V8HImode
          || GET_MODE (x2) != E_V8HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V8HImode:
          if (!register_operand (operands[1], E_V8HImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V8HImode))
            return -1;
          return 4;

        case E_V8HFmode:
          if (!register_operand (operands[1], E_V8HFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V8HFmode))
            return -1;
          return 5;

        default:
          return -1;
        }

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x1) != E_V2SImode
          || GET_MODE (x2) != E_V2SImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V2SImode:
          if (!register_operand (operands[1], E_V2SImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V2SImode))
            return -1;
          return 6;

        case E_V2SFmode:
          if (!register_operand (operands[1], E_V2SFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V2SFmode))
            return -1;
          return 7;

        default:
          return -1;
        }

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x1) != E_V4SImode
          || GET_MODE (x2) != E_V4SImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V4SImode:
          if (!register_operand (operands[1], E_V4SImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V4SImode))
            return -1;
          return 8;

        case E_V4SFmode:
          if (!register_operand (operands[1], E_V4SFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V4SFmode))
            return -1;
          return 9;

        default:
          return -1;
        }

    case E_V2DImode:
      if (!register_operand (operands[0], E_V2DImode)
          || GET_MODE (x1) != E_V2DImode
          || GET_MODE (x2) != E_V2DImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_V2DImode:
          if (!register_operand (operands[1], E_V2DImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V2DImode))
            return -1;
          return 10;

        case E_V2DFmode:
          if (!register_operand (operands[1], E_V2DFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_V2DFmode))
            return -1;
          return 11;

        default:
          return -1;
        }

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode
          || GET_MODE (x2) != E_DImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_DImode:
          if (!register_operand (operands[1], E_DImode)
              || !aarch64_simd_reg_or_zero (operands[2], E_DImode))
            return -1;
          return 12;

        case E_DFmode:
          if (!register_operand (operands[1], E_DFmode)
              || !aarch64_simd_reg_or_zero (operands[2], E_DFmode))
            return -1;
          return 13;

        default:
          return -1;
        }

    case E_HImode:
      if (pattern389 (x1, 
E_HFmode, 
E_HImode) != 0)
        return -1;
      return 14;

    case E_SImode:
      if (pattern389 (x1, 
E_SFmode, 
E_SImode) != 0)
        return -1;
      return 15;

    default:
      return -1;
    }
}

int
pattern424 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  x6 = XEXP (x1, 1);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern423 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern423 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern423 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern430 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != E_V8QImode)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[2], i1)
      || !aarch64_int_rnd_operand (operands[4], i2)
      || !aarch64_simd_shift_imm_vec_qi (operands[3], i1)
      || !register_operand (operands[1], E_V8QImode))
    return -1;
  return 0;
}

int
pattern435 (rtx x1, int *pnum_clobbers, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (pnum_clobbers == NULL
      || !register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !aarch64_plus_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern437 (rtx x1, int *pnum_clobbers)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[2] = x2;
  switch (GET_MODE (operands[0]))
    {
    case E_V8QImode:
      return pattern31 (x1, 
E_V8QImode); /* [-1, 0] */

    case E_V16QImode:
      if (pattern31 (x1, 
E_V16QImode) != 0)
        return -1;
      return 1;

    case E_V4HImode:
      if (pattern31 (x1, 
E_V4HImode) != 0)
        return -1;
      return 2;

    case E_V8HImode:
      if (pattern31 (x1, 
E_V8HImode) != 0)
        return -1;
      return 3;

    case E_V2SImode:
      if (pattern31 (x1, 
E_V2SImode) != 0)
        return -1;
      return 4;

    case E_V4SImode:
      if (pattern31 (x1, 
E_V4SImode) != 0)
        return -1;
      return 5;

    case E_V2DImode:
      if (pattern31 (x1, 
E_V2DImode) != 0)
        return -1;
      return 6;

    case E_HImode:
      if (pattern31 (x1, 
E_HImode) != 0)
        return -1;
      return 7;

    case E_QImode:
      if (pattern31 (x1, 
E_QImode) != 0)
        return -1;
      return 8;

    case E_SImode:
      if (pattern435 (x1, pnum_clobbers, 
E_SImode) != 0)
        return -1;
      return 9;

    case E_DImode:
      if (pattern435 (x1, pnum_clobbers, 
E_DImode) != 0)
        return -1;
      return 10;

    case E_VNx16QImode:
      if (pattern436 (x1, 
E_VNx16QImode) != 0)
        return -1;
      return 11;

    case E_VNx8HImode:
      if (pattern436 (x1, 
E_VNx8HImode) != 0)
        return -1;
      return 12;

    case E_VNx4SImode:
      if (pattern436 (x1, 
E_VNx4SImode) != 0)
        return -1;
      return 13;

    case E_VNx2DImode:
      if (pattern436 (x1, 
E_VNx2DImode) != 0)
        return -1;
      return 14;

    default:
      return -1;
    }
}

int
pattern455 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  if (GET_CODE (x2) != UNSPEC
      || XVECLEN (x2, 0) != 3
      || XINT (x2, 1) != 351)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x4 = XVECEXP (x1, 0, 3);
  if (GET_CODE (x4) != UNSPEC
      || XVECLEN (x4, 0) != 3
      || XINT (x4, 1) != 351)
    return -1;
  x5 = XVECEXP (x4, 0, 1);
  if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  x6 = XVECEXP (x1, 0, 0);
  operands[1] = x6;
  x7 = XVECEXP (x1, 0, 1);
  operands[4] = x7;
  if (!aarch64_sve_ptrue_flag (operands[4], E_SImode))
    return -1;
  x8 = XVECEXP (x2, 0, 0);
  operands[5] = x8;
  x9 = XVECEXP (x2, 0, 2);
  operands[2] = x9;
  x10 = XVECEXP (x4, 0, 0);
  operands[6] = x10;
  x11 = XVECEXP (x4, 0, 2);
  operands[3] = x11;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8BImode:
      return pattern454 (x1, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

    case E_VNx4BImode:
      if (pattern454 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
        return -1;
      return 1;

    case E_VNx2BImode:
      if (pattern454 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern469 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  if (XVECLEN (x3, 0) != 2
      || XINT (x3, 1) != 125)
    return -1;
  x4 = XVECEXP (x3, 0, 1);
  if (GET_CODE (x4) != i1)
    return -1;
  x5 = XVECEXP (x1, 0, 0);
  operands[4] = x5;
  x6 = XVECEXP (x3, 0, 0);
  operands[5] = x6;
  x7 = XEXP (x4, 0);
  operands[1] = x7;
  x8 = XEXP (x4, 1);
  operands[2] = x8;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern468 (x1, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx8HImode:
      if (pattern468 (x1, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx4SImode:
      if (pattern468 (x1, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    case E_VNx2DImode:
      if (pattern468 (x1, 
E_VNx2DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern476 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_sve_lshift_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern480 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_CODE (x1) != UNSPEC
      || XVECLEN (x1, 0) != 4
      || XINT (x1, 1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (x2 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
    return -1;
  return 0;
}

int
pattern482 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], E_SImode)
      || GET_MODE (x1) != E_SImode)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_QImode:
      if (!nonimmediate_operand (operands[1], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!nonimmediate_operand (operands[1], E_HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern489 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[2], i2)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern496 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  operands[2] = x3;
  x4 = XVECEXP (x2, 0, 1);
  operands[3] = x4;
  x5 = XEXP (x1, 1);
  operands[1] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx8HImode:
      return pattern492 (x1, 
E_VNx8HImode, 
E_VNx16QImode); /* [-1, 0] */

    case E_VNx4SImode:
      if (pattern492 (x1, 
E_VNx4SImode, 
E_VNx8HImode) != 0)
        return -1;
      return 1;

    case E_VNx2DImode:
      if (pattern492 (x1, 
E_VNx2DImode, 
E_VNx4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern505 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != UNSPEC
      || XVECLEN (x4, 0) != 3
      || !register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || GET_MODE (x2) != i1
      || GET_MODE (x4) != E_SImode)
    return -1;
  x5 = XEXP (x1, 1);
  operands[1] = x5;
  return 0;
}

int
pattern508 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[1] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  x6 = XEXP (x3, 1);
  operands[3] = x6;
  if (!aarch64_imm3 (operands[3], E_VOIDmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      return pattern507 (x1, 
E_SImode); /* [-1, 2] */

    case E_DImode:
      res = pattern507 (x1, 
E_DImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    default:
      return -1;
    }
}

int
pattern515 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[2] = x2;
  if (!const_int_operand (operands[2], E_VOIDmode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      if (!register_operand (operands[0], E_QImode)
          || GET_MODE (x1) != E_QImode
          || !register_operand (operands[1], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[0], E_HImode)
          || GET_MODE (x1) != E_HImode
          || !register_operand (operands[1], E_HImode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern523 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[3], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[1], i1))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern530 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x1, 0);
  operands[3] = x5;
  return pattern529 (x1); /* [-1, 2] */
}

int
pattern535 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_int_rnd_operand (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_si (operands[2], i1))
    return -1;
  return 0;
}

int
pattern541 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  x4 = XEXP (x1, 1);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern539 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern539 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern539 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    case E_V8HFmode:
      if (pattern539 (x1, 
E_V4HFmode, 
E_V8HFmode) != 0)
        return -1;
      return 3;

    case E_V8BFmode:
      if (pattern539 (x1, 
E_V4BFmode, 
E_V8BFmode) != 0)
        return -1;
      return 4;

    case E_V4SFmode:
      if (pattern539 (x1, 
E_V2SFmode, 
E_V4SFmode) != 0)
        return -1;
      return 5;

    default:
      return -1;
    }
}

int
pattern553 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !const_int_operand (operands[2], i1)
      || !aarch64_plus_immediate (operands[3], i1))
    return -1;
  return 0;
}

int
pattern559 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case ZERO_EXTEND:
      if (GET_MODE (x3) != E_SImode
          || !register_operand (operands[0], E_SImode))
        return -1;
      x4 = XEXP (x3, 0);
      operands[1] = x4;
      x5 = XVECEXP (x1, 0, 2);
      x6 = XEXP (x5, 0);
      if (!rtx_equal_p (x6, operands[1]))
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_QImode:
          if (!aarch64_sync_memory_operand (operands[1], E_QImode))
            return -1;
          x7 = XEXP (x5, 1);
          if (GET_MODE (x7) != E_QImode
              || !aarch64_reg_or_imm (operands[2], E_QImode)
              || !aarch64_reg_or_zero (operands[3], E_QImode))
            return -1;
          return 0;

        case E_HImode:
          if (!aarch64_sync_memory_operand (operands[1], E_HImode))
            return -1;
          x7 = XEXP (x5, 1);
          if (GET_MODE (x7) != E_HImode
              || !aarch64_plushi_operand (operands[2], E_HImode)
              || !aarch64_reg_or_zero (operands[3], E_HImode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case SUBREG:
    case MEM:
      operands[1] = x3;
      x5 = XVECEXP (x1, 0, 2);
      x6 = XEXP (x5, 0);
      if (!rtx_equal_p (x6, operands[1]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          x7 = XEXP (x5, 1);
          if (pattern558 (x7, 
E_SImode) != 0)
            return -1;
          return 2;

        case E_DImode:
          x7 = XEXP (x5, 1);
          if (pattern558 (x7, 
E_DImode) != 0)
            return -1;
          return 3;

        case E_TImode:
          if (!register_operand (operands[0], E_TImode)
              || !aarch64_sync_memory_operand (operands[1], E_TImode))
            return -1;
          x7 = XEXP (x5, 1);
          if (GET_MODE (x7) != E_TImode
              || !aarch64_reg_or_zero (operands[2], E_TImode)
              || !aarch64_reg_or_zero (operands[3], E_TImode))
            return -1;
          return 4;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern588 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  x4 = XVECEXP (x3, 0, 2);
  x5 = XVECEXP (x4, 0, 1);
  x6 = XEXP (x5, 0);
  operands[2] = x6;
  if (!register_operand (operands[2], E_VNx2SImode))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx2HImode:
      return pattern587 (x1, 
E_VNx2HImode); /* [-1, 2] */

    case E_VNx2SImode:
      res = pattern587 (x1, 
E_VNx2SImode);
      if (res >= 0)
        return res + 3; /* [3, 5] */
      return -1;

    case E_VNx2DImode:
      res = pattern587 (x1, 
E_VNx2DImode);
      if (res >= 0)
        return res + 6; /* [6, 8] */
      return -1;

    default:
      return -1;
    }
}

int
pattern590 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !general_operand (operands[4], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i2)
      || !register_operand (operands[3], i1))
    return -1;
  x3 = XEXP (x2, 0);
  switch (GET_MODE (x3))
    {
    case E_VNx8QImode:
      return 0;

    case E_VNx4QImode:
      return 1;

    case E_VNx2QImode:
      return 2;

    case E_VNx4HImode:
      return 3;

    case E_VNx2HImode:
      return 4;

    case E_VNx2SImode:
      return 5;

    default:
      return -1;
    }
}

int
pattern599 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[1] = x2;
  x3 = XVECEXP (x1, 0, 1);
  x4 = XEXP (x3, 0);
  operands[2] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      return pattern464 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

    case E_VNx8QImode:
      if (pattern464 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
        return -1;
      return 1;

    case E_VNx4QImode:
      if (pattern464 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
        return -1;
      return 2;

    case E_VNx2QImode:
      if (pattern464 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
        return -1;
      return 3;

    case E_VNx8HImode:
      if (pattern464 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
        return -1;
      return 4;

    case E_VNx4HImode:
      if (pattern464 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
        return -1;
      return 5;

    case E_VNx2HImode:
      if (pattern464 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
        return -1;
      return 6;

    case E_VNx4SImode:
      if (pattern464 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
        return -1;
      return 7;

    case E_VNx2SImode:
      if (pattern464 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
        return -1;
      return 8;

    case E_VNx2DImode:
      if (pattern464 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
        return -1;
      return 9;

    default:
      return -1;
    }
}

int
pattern614 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  operands[1] = x2;
  x3 = XEXP (x1, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_V8HImode:
      return pattern613 (x1, 
E_V8HImode, 
E_V16QImode, 
E_V8QImode); /* [-1, 0] */

    case E_V4SImode:
      if (pattern613 (x1, 
E_V4SImode, 
E_V8HImode, 
E_V4HImode) != 0)
        return -1;
      return 1;

    case E_V2DImode:
      if (pattern613 (x1, 
E_V2DImode, 
E_V4SImode, 
E_V2SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern622 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_rshift_imm (operands[3], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern627 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != E_SImode)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (x3 != const_int_rtx[MAX_SAVED_CONST_INT + 1]
      || !register_operand (operands[0], E_SImode)
      || GET_MODE (x1) != E_SImode)
    return -1;
  x4 = XVECEXP (x2, 0, 0);
  operands[3] = x4;
  x5 = XVECEXP (x2, 0, 2);
  operands[2] = x5;
  if (!register_operand (operands[1], E_SImode))
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[2], E_VNx16BImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[2], E_VNx8BImode))
        return -1;
      return 1;

    case E_VNx4BImode:
      if (!register_operand (operands[2], E_VNx4BImode))
        return -1;
      return 2;

    case E_VNx2BImode:
      if (!register_operand (operands[2], E_VNx2BImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern635 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern641 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i1)
    return -1;
  return 0;
}

int
pattern647 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4, machine_mode i5)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i5
      || !register_operand (operands[1], i4)
      || !vect_par_cnst_hi_half (operands[3], i4))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i3)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern656 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i1)
      || !descending_int_parallel (operands[2], E_VOIDmode))
    return -1;
  return 0;
}

int
pattern662 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XVECEXP (x2, 0, 1);
  operands[2] = x3;
  x4 = XEXP (x1, 1);
  operands[3] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern659 (x1, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern659 (x1, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern659 (x1, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    case E_V2DImode:
      if (pattern659 (x1, 
E_DImode, 
E_V2DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern669 (rtx x1, rtx_code i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 1);
  operands[3] = x4;
  x5 = XEXP (x3, 0);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[2] = x5;
      return pattern668 (x1); /* [-1, 2] */

    case PLUS:
      x6 = XEXP (x5, 0);
      if (GET_CODE (x6) != i1)
        return -1;
      x7 = XEXP (x6, 0);
      operands[2] = x7;
      x8 = XEXP (x5, 1);
      operands[4] = x8;
      switch (GET_MODE (operands[0]))
        {
        case E_V16QImode:
          if (!register_operand (operands[0], E_V16QImode)
              || GET_MODE (x1) != E_V16QImode
              || !register_operand (operands[1], E_V8QImode)
              || GET_MODE (x2) != E_V8QImode
              || GET_MODE (x3) != E_V8SImode
              || GET_MODE (x5) != E_V8SImode
              || GET_MODE (x6) != E_V8SImode
              || !register_operand (operands[2], E_V8HImode)
              || !aarch64_int_rnd_operand (operands[4], E_V8SImode)
              || !aarch64_simd_shift_imm_vec_qi (operands[3], E_V8HImode))
            return -1;
          return 3;

        case E_V8HImode:
          if (!register_operand (operands[0], E_V8HImode)
              || GET_MODE (x1) != E_V8HImode
              || !register_operand (operands[1], E_V4HImode)
              || GET_MODE (x2) != E_V4HImode
              || GET_MODE (x3) != E_V4DImode
              || GET_MODE (x5) != E_V4DImode
              || GET_MODE (x6) != E_V4DImode
              || !register_operand (operands[2], E_V4SImode)
              || !aarch64_int_rnd_operand (operands[4], E_V4DImode)
              || !aarch64_simd_shift_imm_vec_hi (operands[3], E_V4SImode))
            return -1;
          return 4;

        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x1) != E_V4SImode
              || !register_operand (operands[1], E_V2SImode)
              || GET_MODE (x2) != E_V2SImode
              || GET_MODE (x3) != E_V2TImode
              || GET_MODE (x5) != E_V2TImode
              || GET_MODE (x6) != E_V2TImode
              || !register_operand (operands[2], E_V2DImode)
              || !aarch64_int_rnd_operand (operands[4], E_V2TImode)
              || !aarch64_simd_shift_imm_vec_si (operands[3], E_V2DImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern686 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1))
    return -1;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  if (GET_MODE (x3) != i1
      || pattern685 (x1, 
i1) != 0)
    return -1;
  return 0;
}

int
pattern692 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_SImode:
      if (!register_operand (operands[0], E_SImode)
          || !aarch64_imm24 (operands[1], E_SImode))
        return -1;
      switch (GET_MODE (x1))
        {
        case E_SImode:
          return 0;

        case E_DImode:
          return 1;

        default:
          return -1;
        }

    case E_DImode:
      if (!register_operand (operands[0], E_DImode)
          || !aarch64_imm24 (operands[1], E_DImode))
        return -1;
      switch (GET_MODE (x1))
        {
        case E_SImode:
          return 2;

        case E_DImode:
          return 3;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern700 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !aarch64_simd_reg_or_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern703 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  x4 = XEXP (x2, 1);
  operands[3] = x4;
  x5 = XVECEXP (x1, 0, 2);
  operands[4] = x5;
  switch (GET_CODE (operands[3]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          return pattern700 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

        case E_VNx8QImode:
          if (pattern700 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4QImode:
          if (pattern700 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2QImode:
          if (pattern700 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        case E_VNx8HImode:
          if (pattern700 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx4HImode:
          if (pattern700 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
            return -1;
          return 5;

        case E_VNx2HImode:
          if (pattern700 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
            return -1;
          return 6;

        case E_VNx4SImode:
          if (pattern700 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 7;

        case E_VNx2SImode:
          if (pattern700 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
            return -1;
          return 8;

        case E_VNx2DImode:
          if (pattern700 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 9;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern702 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          return 10;

        case E_VNx8QImode:
          if (pattern702 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
            return -1;
          return 11;

        case E_VNx4QImode:
          if (pattern702 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
            return -1;
          return 12;

        case E_VNx2QImode:
          if (pattern702 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
            return -1;
          return 13;

        case E_VNx8HImode:
          if (pattern702 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          return 14;

        case E_VNx4HImode:
          if (pattern702 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
            return -1;
          return 15;

        case E_VNx2HImode:
          if (pattern702 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
            return -1;
          return 16;

        case E_VNx4SImode:
          if (pattern702 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          return 17;

        case E_VNx2SImode:
          if (pattern702 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
            return -1;
          return 18;

        case E_VNx2DImode:
          if (pattern702 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          return 19;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern736 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  operands[1] = x2;
  if (!register_operand (operands[1], i2))
    return -1;
  x3 = XEXP (x1, 1);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  if (!register_operand (operands[2], i1))
    return -1;
  x6 = XEXP (x3, 1);
  if (GET_MODE (x6) != i2)
    return -1;
  x7 = XEXP (x6, 0);
  operands[3] = x7;
  if (!register_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern745 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 1);
  operands[3] = x4;
  x5 = XEXP (x2, 1);
  operands[2] = x5;
  switch (GET_CODE (operands[2]))
    {
    case CONST_VECTOR:
      switch (GET_MODE (operands[0]))
        {
        case E_V8QImode:
          return 0;

        case E_V16QImode:
          return 1;

        case E_V4HImode:
          return 2;

        case E_V8HImode:
          return 3;

        case E_V2SImode:
          return 4;

        case E_V4SImode:
          return 5;

        case E_V2DImode:
          return 6;

        default:
          return -1;
        }

    case CONST_INT:
      if (!aarch64_simd_shift_imm_offset_di (operands[2], E_DImode)
          || !register_operand (operands[0], E_DImode)
          || GET_MODE (x1) != E_DImode
          || GET_MODE (x2) != E_TImode
          || GET_MODE (x3) != E_TImode)
        return -1;
      x6 = XEXP (x3, 0);
      if (GET_MODE (x6) != E_TImode
          || !register_operand (operands[1], E_DImode)
          || !aarch64_int_rnd_operand (operands[3], E_TImode))
        return -1;
      return 7;

    default:
      return -1;
    }
}

int
pattern760 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1)
      || !register_operand (operands[1], i1)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern766 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  x6 = XEXP (x4, 1);
  operands[3] = x6;
  x7 = XEXP (x3, 1);
  operands[4] = x7;
  switch (GET_MODE (operands[0]))
    {
    case E_V16QImode:
      return pattern765 (x1, 
E_V8HImode, 
E_V8QImode, 
E_V16QImode); /* [-1, 0] */

    case E_V8HImode:
      if (pattern765 (x1, 
E_V4SImode, 
E_V4HImode, 
E_V8HImode) != 0)
        return -1;
      return 1;

    case E_V4SImode:
      if (pattern765 (x1, 
E_V2DImode, 
E_V2SImode, 
E_V4SImode) != 0)
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern775 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern778 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  operands[1] = x3;
  x4 = XEXP (x2, 0);
  if (!rtx_equal_p (x4, operands[0]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern777 (x1, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern777 (x1, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern777 (x1, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern777 (x1, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern790 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!memory_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[2], i2)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern797 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  switch (GET_MODE (x2))
    {
    case E_QImode:
      switch (GET_MODE (operands[1]))
        {
        case E_V8QImode:
          if (!register_operand (operands[1], E_V8QImode))
            return -1;
          return 0;

        case E_V16QImode:
          if (!register_operand (operands[1], E_V16QImode))
            return -1;
          return 1;

        default:
          return -1;
        }

    case E_HImode:
      switch (GET_MODE (operands[1]))
        {
        case E_V4HImode:
          if (!register_operand (operands[1], E_V4HImode))
            return -1;
          return 2;

        case E_V8HImode:
          if (!register_operand (operands[1], E_V8HImode))
            return -1;
          return 3;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern813 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !const_int_operand (operands[2], E_SImode))
    return -1;
  return 0;
}

int
pattern819 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[2], i1)
      || !register_operand (operands[3], i1))
    return -1;
  x5 = XEXP (x3, 1);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern829 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2
      || !register_operand (operands[1], i1)
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern835 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XVECEXP (x2, 0, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XVECEXP (x3, 0, 2);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[2], i1)
      || !aarch64_simd_imm_zero (operands[3], i1)
      || !aarch64_simd_imm_one (operands[4], i1))
    return -1;
  return 0;
}

int
pattern844 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XVECEXP (x2, 0, 1);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_simd_rshift_imm (operands[3], i1))
    return -1;
  return 0;
}

int
pattern850 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != UNSPEC)
    return -1;
  switch (XVECLEN (x3, 0))
    {
    case 2:
      x4 = XVECEXP (x3, 0, 0);
      operands[2] = x4;
      x5 = XVECEXP (x3, 0, 1);
      operands[3] = x5;
      switch (XINT (x3, 1))
        {
        case 415:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              return pattern844 (x1, 
E_VNx16QImode, 
E_VNx16BImode); /* [-1, 0] */

            case E_VNx8QImode:
              if (pattern844 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
                return -1;
              return 1;

            case E_VNx4QImode:
              if (pattern844 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
                return -1;
              return 2;

            case E_VNx2QImode:
              if (pattern844 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
                return -1;
              return 3;

            case E_VNx8HImode:
              if (pattern844 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 4;

            case E_VNx4HImode:
              if (pattern844 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
                return -1;
              return 5;

            case E_VNx2HImode:
              if (pattern844 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
                return -1;
              return 6;

            case E_VNx4SImode:
              if (pattern844 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 7;

            case E_VNx2SImode:
              if (pattern844 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
                return -1;
              return 8;

            case E_VNx2DImode:
              if (pattern844 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 9;

            default:
              return -1;
            }

        case 226:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern845 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 10;

            case E_VNx8QImode:
              if (pattern845 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
                return -1;
              return 11;

            case E_VNx4QImode:
              if (pattern845 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
                return -1;
              return 12;

            case E_VNx2QImode:
              if (pattern845 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
                return -1;
              return 13;

            case E_VNx8HImode:
              if (pattern845 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 14;

            case E_VNx4HImode:
              if (pattern845 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
                return -1;
              return 15;

            case E_VNx2HImode:
              if (pattern845 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
                return -1;
              return 16;

            case E_VNx4SImode:
              if (pattern845 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 17;

            case E_VNx2SImode:
              if (pattern845 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
                return -1;
              return 18;

            case E_VNx2DImode:
              if (pattern845 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 19;

            default:
              return -1;
            }

        case 224:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern844 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 20;

            case E_VNx8QImode:
              if (pattern844 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
                return -1;
              return 21;

            case E_VNx4QImode:
              if (pattern844 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
                return -1;
              return 22;

            case E_VNx2QImode:
              if (pattern844 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
                return -1;
              return 23;

            case E_VNx8HImode:
              if (pattern844 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 24;

            case E_VNx4HImode:
              if (pattern844 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
                return -1;
              return 25;

            case E_VNx2HImode:
              if (pattern844 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
                return -1;
              return 26;

            case E_VNx4SImode:
              if (pattern844 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 27;

            case E_VNx2SImode:
              if (pattern844 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
                return -1;
              return 28;

            case E_VNx2DImode:
              if (pattern844 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 29;

            default:
              return -1;
            }

        case 225:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern844 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 30;

            case E_VNx8QImode:
              if (pattern844 (x1, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
                return -1;
              return 31;

            case E_VNx4QImode:
              if (pattern844 (x1, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
                return -1;
              return 32;

            case E_VNx2QImode:
              if (pattern844 (x1, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
                return -1;
              return 33;

            case E_VNx8HImode:
              if (pattern844 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 34;

            case E_VNx4HImode:
              if (pattern844 (x1, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
                return -1;
              return 35;

            case E_VNx2HImode:
              if (pattern844 (x1, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
                return -1;
              return 36;

            case E_VNx4SImode:
              if (pattern844 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 37;

            case E_VNx2SImode:
              if (pattern844 (x1, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
                return -1;
              return 38;

            case E_VNx2DImode:
              if (pattern844 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 39;

            default:
              return -1;
            }

        case 210:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 40;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 41;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 42;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 43;

            default:
              return -1;
            }

        case 214:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 44;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 45;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 46;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 47;

            default:
              return -1;
            }

        case 233:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 48;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 49;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 50;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 51;

            default:
              return -1;
            }

        case 212:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 52;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 53;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 54;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 55;

            default:
              return -1;
            }

        case 231:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 56;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 57;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 58;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 59;

            default:
              return -1;
            }

        case 221:
          res = pattern848 (x1);
          if (res >= 0)
            return res + 60; /* [60, 67] */
          return -1;

        case 211:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 68;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 69;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 70;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 71;

            default:
              return -1;
            }

        case 215:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 72;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 73;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 74;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 75;

            default:
              return -1;
            }

        case 234:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 76;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 77;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 78;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 79;

            default:
              return -1;
            }

        case 213:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 80;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 81;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 82;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 83;

            default:
              return -1;
            }

        case 232:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern846 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 84;

            case E_VNx8HImode:
              if (pattern846 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 85;

            case E_VNx4SImode:
              if (pattern846 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 86;

            case E_VNx2DImode:
              if (pattern846 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 87;

            default:
              return -1;
            }

        case 220:
          res = pattern848 (x1);
          if (res >= 0)
            return res + 88; /* [88, 95] */
          return -1;

        case 227:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern849 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 96;

            case E_VNx8HImode:
              if (pattern849 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 97;

            case E_VNx4SImode:
              if (pattern849 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 98;

            case E_VNx2DImode:
              if (pattern849 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 99;

            default:
              return -1;
            }

        case 228:
          switch (GET_MODE (operands[0]))
            {
            case E_VNx16QImode:
              if (pattern849 (x1, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
                return -1;
              return 100;

            case E_VNx8HImode:
              if (pattern849 (x1, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
                return -1;
              return 101;

            case E_VNx4SImode:
              if (pattern849 (x1, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
                return -1;
              return 102;

            case E_VNx2DImode:
              if (pattern849 (x1, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
                return -1;
              return 103;

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 1:
      if (!register_operand (operands[0], E_VNx4SImode)
          || GET_MODE (x1) != E_VNx4SImode
          || !register_operand (operands[1], E_VNx4BImode)
          || GET_MODE (x2) != E_VNx4SImode)
        return -1;
      x6 = XVECEXP (x2, 0, 0);
      operands[4] = x6;
      if (GET_MODE (x3) != E_VNx4SImode)
        return -1;
      x4 = XVECEXP (x3, 0, 0);
      operands[2] = x4;
      if (!register_operand (operands[2], E_VNx4SImode))
        return -1;
      x7 = XVECEXP (x1, 0, 2);
      operands[3] = x7;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode))
        return -1;
      switch (XINT (x3, 1))
        {
        case 26:
          return 104;

        case 111:
          return 105;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1042 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  operands[3] = x2;
  x3 = XVECEXP (x1, 0, 2);
  operands[2] = x3;
  switch (GET_MODE (operands[2]))
    {
    case E_VNx16BImode:
      if (!register_operand (operands[2], E_VNx16BImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (!register_operand (operands[2], E_VNx8BImode))
        return -1;
      return 1;

    case E_VNx4BImode:
      if (!register_operand (operands[2], E_VNx4BImode))
        return -1;
      return 2;

    case E_VNx2BImode:
      if (!register_operand (operands[2], E_VNx2BImode))
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1051 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_sve_uxt_immediate (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1058 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1064 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3
      || !register_operand (operands[3], i2)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1072 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1
      || !register_operand (operands[3], i2)
      || !register_operand (operands[2], i1)
      || !register_operand (operands[1], i1))
    return -1;
  return 0;
}

int
pattern1080 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[1], i2)
      || !aarch64_simd_or_scalar_imm_zero (operands[2], i2)
      || !aarch64_simd_umax_half_mode (operands[3], i2)
      || !aarch64_simd_or_scalar_imm_zero (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1091 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[1], i2))
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !register_operand (operands[2], i1)
      || !aarch64_sve_float_arith_with_sub_immediate (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1095 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (GET_CODE (operands[3]))
    {
    case REG:
    case SUBREG:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8BFmode:
          return pattern1032 (x1, 
E_VNx8BFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx8HFmode:
          if (pattern1032 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 1;

        case E_VNx4SFmode:
          if (pattern1032 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 2;

        case E_VNx2DFmode:
          if (pattern1032 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 3;

        default:
          return -1;
        }

    case CONST_VECTOR:
    case CONST:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern1094 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 4;

        case E_VNx4SFmode:
          if (pattern1094 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 5;

        case E_VNx2DFmode:
          if (pattern1094 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 6;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1106 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !const_int_operand (operands[2], i1))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !const_int_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1116 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 1);
  x3 = XVECEXP (x2, 0, 1);
  switch (XWINT (x3, 0))
    {
    case 0L:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          return pattern1098 (x1, 
E_VNx8HFmode, 
E_VNx8BImode); /* [-1, 0] */

        case E_VNx4SFmode:
          if (pattern1098 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 1;

        case E_VNx2DFmode:
          if (pattern1098 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 2;

        default:
          return -1;
        }

    case 1L:
      x4 = XVECEXP (x2, 0, 0);
      if (!rtx_equal_p (x4, operands[1]))
        return -1;
      switch (GET_MODE (operands[0]))
        {
        case E_VNx8HFmode:
          if (pattern1098 (x1, 
E_VNx8HFmode, 
E_VNx8BImode) != 0)
            return -1;
          return 3;

        case E_VNx4SFmode:
          if (pattern1098 (x1, 
E_VNx4SFmode, 
E_VNx4BImode) != 0)
            return -1;
          return 4;

        case E_VNx2DFmode:
          if (pattern1098 (x1, 
E_VNx2DFmode, 
E_VNx2BImode) != 0)
            return -1;
          return 5;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1133 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i3)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i3
      || !register_operand (operands[2], i2))
    return -1;
  x5 = XEXP (x1, 1);
  return pattern1064 (x5, 
i1, 
i2, 
i3); /* [-1, 0] */
}

int
pattern1144 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  return 0;
}

int
pattern1149 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_CODE (x1))
    {
    case CLOBBER:
      x2 = XEXP (x1, 0);
      if (GET_CODE (x2) != REG
          || REGNO (x2) != 30
          || GET_MODE (x2) != E_DImode)
        return -1;
      return 0;

    case RETURN:
      return 1;

    default:
      return -1;
    }
}

int
pattern1157 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1
      || !register_operand (operands[1], i1)
      || !const_int_operand (operands[3], i1))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !const_int_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1170 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1176 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  switch (GET_MODE (x4))
    {
    case E_SImode:
      if (!register_operand (operands[1], E_SImode))
        return -1;
      x5 = XEXP (x4, 1);
      if (GET_MODE (x5) != E_SImode
          || !register_operand (operands[2], E_SImode)
          || !aarch64_shift_imm_si (operands[3], E_QImode)
          || !register_operand (operands[0], E_SImode))
        return -1;
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 1);
      if (GET_MODE (x7) != E_SImode)
        return -1;
      x8 = XEXP (x7, 1);
      if (GET_MODE (x8) != E_SImode)
        return -1;
      return 0;

    case E_DImode:
      if (!register_operand (operands[1], E_DImode))
        return -1;
      x5 = XEXP (x4, 1);
      if (GET_MODE (x5) != E_DImode
          || !register_operand (operands[2], E_DImode)
          || !aarch64_shift_imm_di (operands[3], E_QImode)
          || !register_operand (operands[0], E_DImode))
        return -1;
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 1);
      if (GET_MODE (x7) != E_DImode)
        return -1;
      x8 = XEXP (x7, 1);
      if (GET_MODE (x8) != E_DImode)
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1191 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1)
    return -1;
  x2 = XVECEXP (x1, 0, 1);
  if (GET_MODE (x2) != i1
      || !aarch64_simd_reg_or_zero (operands[3], i1))
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_VNx4BImode:
      return 0;

    case E_VNx2BImode:
      return 1;

    default:
      return -1;
    }
}

int
pattern1198 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[0], i2)
      || !aarch64_plus_operand (operands[1], i2))
    return -1;
  x4 = XEXP (x1, 1);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x4, 1);
  if (GET_MODE (x6) != i1)
    return -1;
  return 0;
}

int
pattern1205 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i2)
      || GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x4 = XEXP (x2, 1);
  if (GET_MODE (x4) != i2)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  return 0;
}

int
pattern1210 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1
      || !register_operand (operands[2], i1))
    return -1;
  x7 = XEXP (x5, 1);
  if (GET_MODE (x7) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x8 = XVECEXP (x1, 0, 1);
  x9 = XEXP (x8, 1);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1)
    return -1;
  x11 = XEXP (x10, 0);
  if (GET_MODE (x11) != i1)
    return -1;
  x12 = XEXP (x10, 1);
  if (GET_MODE (x12) != i1)
    return -1;
  return 0;
}

int
pattern1223 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i1)
      || GET_MODE (x1) != i1
      || !register_operand (operands[5], E_VNx2BImode)
      || !aarch64_sve_gather_offset_d (operands[1], E_DImode)
      || !register_operand (operands[2], E_VNx2DImode)
      || !aarch64_gather_scale_operand_d (operands[4], E_DImode)
      || !aarch64_maskload_else_operand (operands[6], i1))
    return -1;
  return 0;
}

int
pattern1229 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3, machine_mode i4)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i4)
      || GET_MODE (x1) != i4
      || !aarch64_simd_or_scalar_imm_zero (operands[6], i3))
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i1)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i1)
    return -1;
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i1
      || !register_operand (operands[1], i2)
      || !aarch64_int_rnd_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1237 (rtx x1, int i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XVECEXP (x3, 0, 3);
  if (GET_MODE (x4) != E_VNx16BImode)
    return -1;
  x5 = XVECEXP (x3, 0, 2);
  operands[4] = x5;
  x6 = XVECEXP (x4, 0, 1);
  operands[2] = x6;
  if (!register_operand (operands[2], E_VNx16BImode))
    return -1;
  x7 = XVECEXP (x4, 0, 2);
  operands[3] = x7;
  if (!aarch64_simd_imm_zero (operands[3], E_VNx16BImode))
    return -1;
  return pattern1236 (x1, 
i1); /* [-1, 1] */
}

int
pattern1246 (machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (!memory_operand (operands[0], i1)
      || !memory_operand (operands[1], i1)
      || !scratch_operand (operands[2], i1)
      || !scratch_operand (operands[3], i1))
    return -1;
  return 0;
}

int
pattern1250 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1)
    return -1;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != i1)
    return -1;
  x3 = XEXP (x1, 2);
  if (GET_MODE (x3) != i1)
    return -1;
  switch (GET_MODE (operands[2]))
    {
    case E_SFmode:
      if (!register_operand (operands[2], E_SFmode)
          || !register_operand (operands[3], E_SFmode))
        return -1;
      return 0;

    case E_DFmode:
      if (!register_operand (operands[2], E_DFmode)
          || !register_operand (operands[3], E_DFmode))
        return -1;
      return 1;

    default:
      return -1;
    }
}

int
pattern1258 (rtx x1, machine_mode i1, machine_mode i2, machine_mode i3)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  if (!register_operand (operands[0], i3)
      || GET_MODE (x1) != i3)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i3)
    return -1;
  x3 = XEXP (x2, 0);
  if (GET_MODE (x3) != i3)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_MODE (x4) != i2
      || !register_operand (operands[1], i1)
      || !vect_par_cnst_hi_half (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1266 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  operands[2] = x3;
  x4 = XEXP (x2, 0);
  if (!rtx_equal_p (x4, operands[1]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_QImode:
      return pattern1265 (x1, 
E_QImode); /* [-1, 0] */

    case E_HImode:
      if (pattern1265 (x1, 
E_HImode) != 0)
        return -1;
      return 1;

    case E_SImode:
      if (pattern1265 (x1, 
E_SImode) != 0)
        return -1;
      return 2;

    case E_DImode:
      if (pattern1265 (x1, 
E_DImode) != 0)
        return -1;
      return 3;

    default:
      return -1;
    }
}

int
pattern1276 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i2)
    return -1;
  x2 = XEXP (x1, 0);
  if (GET_MODE (x2) != i2
      || !register_operand (operands[1], i1)
      || !aarch64_int_rnd_operand (operands[3], i2)
      || !aarch64_simd_shift_imm_vec_hi (operands[2], i1))
    return -1;
  return 0;
}

int
pattern1283 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1
      || !register_operand (operands[1], i1)
      || pattern1282 (x1, 
i1, 
i2) != 0)
    return -1;
  return 0;
}

int
pattern1290 (rtx x1, machine_mode i1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i1)
    return -1;
  x6 = XEXP (x5, 0);
  if (GET_MODE (x6) != i1
      || !register_operand (operands[3], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x7 = XVECEXP (x1, 0, 1);
  x8 = XEXP (x7, 1);
  if (GET_MODE (x8) != i1)
    return -1;
  x9 = XEXP (x8, 0);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1)
    return -1;
  switch (GET_MODE (operands[1]))
    {
    case E_QImode:
      if (!register_operand (operands[1], E_QImode))
        return -1;
      return 0;

    case E_HImode:
      if (!register_operand (operands[1], E_HImode))
        return -1;
      return 1;

    case E_SImode:
      if (!register_operand (operands[1], E_SImode))
        return -1;
      return 2;

    default:
      return -1;
    }
}

int
pattern1308 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  x3 = XEXP (x2, 0);
  operands[2] = x3;
  x4 = XEXP (x2, 1);
  operands[3] = x4;
  switch (GET_MODE (x1))
    {
    case E_VNx16BImode:
      if (GET_MODE (x2) != E_VNx16BImode
          || !register_operand (operands[2], E_VNx16QImode)
          || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx16QImode))
        return -1;
      return 0;

    case E_VNx8BImode:
      if (GET_MODE (x2) != E_VNx8BImode)
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx8QImode:
          if (!register_operand (operands[2], E_VNx8QImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx8QImode))
            return -1;
          return 1;

        case E_VNx8HImode:
          if (!register_operand (operands[2], E_VNx8HImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx8HImode))
            return -1;
          return 2;

        default:
          return -1;
        }

    case E_VNx4BImode:
      if (GET_MODE (x2) != E_VNx4BImode)
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx4QImode:
          if (!register_operand (operands[2], E_VNx4QImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4QImode))
            return -1;
          return 3;

        case E_VNx4HImode:
          if (!register_operand (operands[2], E_VNx4HImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4HImode))
            return -1;
          return 4;

        case E_VNx4SImode:
          if (!register_operand (operands[2], E_VNx4SImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx4SImode))
            return -1;
          return 5;

        default:
          return -1;
        }

    case E_VNx2BImode:
      if (GET_MODE (x2) != E_VNx2BImode)
        return -1;
      switch (GET_MODE (operands[2]))
        {
        case E_VNx2QImode:
          if (!register_operand (operands[2], E_VNx2QImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2QImode))
            return -1;
          return 6;

        case E_VNx2HImode:
          if (!register_operand (operands[2], E_VNx2HImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2HImode))
            return -1;
          return 7;

        case E_VNx2SImode:
          if (!register_operand (operands[2], E_VNx2SImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2SImode))
            return -1;
          return 8;

        case E_VNx2DImode:
          if (!register_operand (operands[2], E_VNx2DImode)
              || !aarch64_sve_cmp_vsd_operand (operands[3], E_VNx2DImode))
            return -1;
          return 9;

        default:
          return -1;
        }

    default:
      return -1;
    }
}

int
pattern1338 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !aarch64_carry_operation (operands[3], i2))
    return -1;
  x6 = XEXP (x5, 1);
  if (GET_MODE (x6) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x7 = XEXP (x4, 1);
  if (GET_MODE (x7) != i2
      || !register_operand (operands[2], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x8 = XVECEXP (x1, 0, 1);
  x9 = XEXP (x8, 1);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 0);
  if (GET_MODE (x10) != i1
      || !aarch64_carry_operation (operands[4], i1))
    return -1;
  return 0;
}

int
pattern1348 (rtx x1)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  operands[2] = x5;
  if (!register_operand (operands[2], E_VNx2DImode))
    return -1;
  return pattern1334 (x1); /* [-1, 1] */
}

int
pattern1352 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (GET_MODE (x1) != i1
      || !register_operand (operands[2], i2)
      || !register_operand (operands[3], i2)
      || !scratch_operand (operands[0], i1))
    return -1;
  return 0;
}

int
pattern1357 (rtx x1, machine_mode i1, machine_mode i2)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  x3 = XEXP (x2, 1);
  x4 = XEXP (x3, 0);
  x5 = XEXP (x4, 0);
  if (GET_MODE (x5) != i2
      || !register_operand (operands[1], i1))
    return -1;
  x6 = XEXP (x4, 1);
  if (GET_MODE (x6) != i2)
    return -1;
  x7 = XEXP (x6, 0);
  if (GET_MODE (x7) != i2
      || !register_operand (operands[2], i1)
      || !aarch64_borrow_operation (operands[3], i2))
    return -1;
  x8 = XEXP (x3, 1);
  if (GET_MODE (x8) != i2)
    return -1;
  x9 = XEXP (x8, 0);
  if (GET_MODE (x9) != i1)
    return -1;
  x10 = XEXP (x9, 1);
  if (GET_MODE (x10) != i1
      || !aarch64_borrow_operation (operands[4], i1)
      || !register_operand (operands[0], i1))
    return -1;
  x11 = XVECEXP (x1, 0, 1);
  x12 = XEXP (x11, 1);
  if (GET_MODE (x12) != i1)
    return -1;
  x13 = XEXP (x12, 0);
  if (GET_MODE (x13) != i1)
    return -1;
  return 0;
}

 int
recog_5 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  operands[1] = x4;
  x5 = XEXP (x3, 1);
  operands[2] = x5;
  x6 = XEXP (x2, 1);
  x7 = XEXP (x6, 0);
  operands[3] = x7;
  x8 = XEXP (x6, 1);
  operands[4] = x8;
  x9 = XEXP (x6, 2);
  operands[5] = x9;
  switch (pattern928 (x2))
    {
    case 0:
      if (!aarch64_simd_shift_imm_si (operands[5], E_SImode)
          || !
#line 6583 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) == HOST_WIDE_INT_M1U << INTVAL (operands[4])
   && INTVAL (operands[4])
   && (UINTVAL (operands[4]) + UINTVAL (operands[5])
       <= GET_MODE_BITSIZE (SImode))))
        return -1;
      return 848; /* *aarch64_bfxilsi_extr */

    case 1:
      if (!aarch64_simd_shift_imm_di (operands[5], E_DImode)
          || !
#line 6583 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) == HOST_WIDE_INT_M1U << INTVAL (operands[4])
   && INTVAL (operands[4])
   && (UINTVAL (operands[4]) + UINTVAL (operands[5])
       <= GET_MODE_BITSIZE (DImode))))
        return -1;
      return 849; /* *aarch64_bfxildi_extr */

    default:
      return -1;
    }
}

 int
recog_12 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V4x16QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x16QImode)
          || GET_MODE (x3) != E_V4x16QImode
          || !register_operand (operands[1], E_V4x16QImode)
          || !
#line 7818 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4547; /* aarch64_simd_st4v16qi */

    case E_V4x8HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x8HImode)
          || GET_MODE (x3) != E_V4x8HImode
          || !register_operand (operands[1], E_V4x8HImode)
          || !
#line 7818 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4548; /* aarch64_simd_st4v8hi */

    case E_V4x4SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4SImode)
          || GET_MODE (x3) != E_V4x4SImode
          || !register_operand (operands[1], E_V4x4SImode)
          || !
#line 7818 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4549; /* aarch64_simd_st4v4si */

    case E_V4x2DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x2DImode)
          || GET_MODE (x3) != E_V4x2DImode
          || !register_operand (operands[1], E_V4x2DImode)
          || !
#line 7818 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4550; /* aarch64_simd_st4v2di */

    case E_V4x8HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x8HFmode)
          || GET_MODE (x3) != E_V4x8HFmode
          || !register_operand (operands[1], E_V4x8HFmode)
          || !
#line 7818 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4551; /* aarch64_simd_st4v8hf */

    case E_V4x4SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4SFmode)
          || GET_MODE (x3) != E_V4x4SFmode
          || !register_operand (operands[1], E_V4x4SFmode)
          || !
#line 7818 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4552; /* aarch64_simd_st4v4sf */

    case E_V4x2DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x2DFmode)
          || GET_MODE (x3) != E_V4x2DFmode
          || !register_operand (operands[1], E_V4x2DFmode)
          || !
#line 7818 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4553; /* aarch64_simd_st4v2df */

    case E_V4x8BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x8BFmode)
          || GET_MODE (x3) != E_V4x8BFmode
          || !register_operand (operands[1], E_V4x8BFmode)
          || !
#line 7818 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4554; /* aarch64_simd_st4v8bf */

    case E_V4x8QImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x8QImode)
          || GET_MODE (x3) != E_V4x8QImode
          || !register_operand (operands[1], E_V4x8QImode)
          || !
#line 8727 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5102; /* aarch64_st4v8qi_dreg */

    case E_V4x4HImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4HImode)
          || GET_MODE (x3) != E_V4x4HImode
          || !register_operand (operands[1], E_V4x4HImode)
          || !
#line 8727 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5103; /* aarch64_st4v4hi_dreg */

    case E_V4x2SImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x2SImode)
          || GET_MODE (x3) != E_V4x2SImode
          || !register_operand (operands[1], E_V4x2SImode)
          || !
#line 8727 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5104; /* aarch64_st4v2si_dreg */

    case E_V4x4HFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4HFmode)
          || GET_MODE (x3) != E_V4x4HFmode
          || !register_operand (operands[1], E_V4x4HFmode)
          || !
#line 8727 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5105; /* aarch64_st4v4hf_dreg */

    case E_V4x2SFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x2SFmode)
          || GET_MODE (x3) != E_V4x2SFmode
          || !register_operand (operands[1], E_V4x2SFmode)
          || !
#line 8727 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5106; /* aarch64_st4v2sf_dreg */

    case E_V4x4BFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x4BFmode)
          || GET_MODE (x3) != E_V4x4BFmode
          || !register_operand (operands[1], E_V4x4BFmode)
          || !
#line 8727 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5107; /* aarch64_st4v4bf_dreg */

    case E_V4x1DImode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x1DImode)
          || GET_MODE (x3) != E_V4x1DImode
          || !register_operand (operands[1], E_V4x1DImode)
          || !
#line 8737 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5108; /* aarch64_st4di_dreg */

    case E_V4x1DFmode:
      if (!aarch64_simd_struct_operand (operands[0], E_V4x1DFmode)
          || GET_MODE (x3) != E_V4x1DFmode
          || !register_operand (operands[1], E_V4x1DFmode)
          || !
#line 8737 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 5109; /* aarch64_st4df_dreg */

    default:
      return -1;
    }
}

 int
recog_16 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V4HFmode:
      if (!register_operand (operands[0], E_V4HFmode)
          || GET_MODE (x3) != E_V4HFmode
          || !register_operand (operands[1], E_V4HFmode)
          || !(
#line 733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 185 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 1566; /* aarch64_rsqrtev4hf */

    case E_V8HFmode:
      if (!register_operand (operands[0], E_V8HFmode)
          || GET_MODE (x3) != E_V8HFmode
          || !register_operand (operands[1], E_V8HFmode)
          || !(
#line 733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 186 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 1567; /* aarch64_rsqrtev8hf */

    case E_V2SFmode:
      if (!register_operand (operands[0], E_V2SFmode)
          || GET_MODE (x3) != E_V2SFmode
          || !register_operand (operands[1], E_V2SFmode)
          || !
#line 733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1568; /* aarch64_rsqrtev2sf */

    case E_V4SFmode:
      if (!register_operand (operands[0], E_V4SFmode)
          || GET_MODE (x3) != E_V4SFmode
          || !register_operand (operands[1], E_V4SFmode)
          || !
#line 733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1569; /* aarch64_rsqrtev4sf */

    case E_V2DFmode:
      if (!register_operand (operands[0], E_V2DFmode)
          || GET_MODE (x3) != E_V2DFmode
          || !register_operand (operands[1], E_V2DFmode)
          || !
#line 733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1570; /* aarch64_rsqrtev2df */

    case E_HFmode:
      if (!register_operand (operands[0], E_HFmode)
          || GET_MODE (x3) != E_HFmode
          || !register_operand (operands[1], E_HFmode)
          || !(
#line 733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 188 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 1571; /* aarch64_rsqrtehf */

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_SFmode)
          || !
#line 733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1572; /* aarch64_rsqrtesf */

    case E_DFmode:
      if (!register_operand (operands[0], E_DFmode)
          || GET_MODE (x3) != E_DFmode
          || !register_operand (operands[1], E_DFmode)
          || !
#line 733 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1573; /* aarch64_rsqrtedf */

    case E_V2SImode:
      if (!register_operand (operands[0], E_V2SImode)
          || GET_MODE (x3) != E_V2SImode
          || !register_operand (operands[1], E_V2SImode)
          || !
#line 760 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1582; /* aarch64_ursqrtev2si */

    case E_V4SImode:
      if (!register_operand (operands[0], E_V4SImode)
          || GET_MODE (x3) != E_V4SImode
          || !register_operand (operands[1], E_V4SImode)
          || !
#line 760 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1583; /* aarch64_ursqrtev4si */

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode)
          || GET_MODE (x3) != E_VNx8HFmode
          || !register_operand (operands[1], E_VNx8HFmode)
          || !
#line 3650 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 7154; /* aarch64_sve_frsqrtevnx8hf */

    case E_VNx4SFmode:
      if (!register_operand (operands[0], E_VNx4SFmode)
          || GET_MODE (x3) != E_VNx4SFmode
          || !register_operand (operands[1], E_VNx4SFmode)
          || !
#line 3650 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 7156; /* aarch64_sve_frsqrtevnx4sf */

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode)
          || GET_MODE (x3) != E_VNx2DFmode
          || !register_operand (operands[1], E_VNx2DFmode)
          || !
#line 3650 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 7158; /* aarch64_sve_frsqrtevnx2df */

    default:
      return -1;
    }
}

 int
recog_22 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V4x8QImode:
      if (!register_operand (operands[0], E_V4x8QImode)
          || GET_MODE (x3) != E_V4x8QImode
          || !aarch64_simd_struct_operand (operands[1], E_V4x8QImode)
          || !
#line 8423 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4805; /* aarch64_ld4v8qi_dreg */

    case E_V4x4HImode:
      if (!register_operand (operands[0], E_V4x4HImode)
          || GET_MODE (x3) != E_V4x4HImode
          || !aarch64_simd_struct_operand (operands[1], E_V4x4HImode)
          || !
#line 8423 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4806; /* aarch64_ld4v4hi_dreg */

    case E_V4x2SImode:
      if (!register_operand (operands[0], E_V4x2SImode)
          || GET_MODE (x3) != E_V4x2SImode
          || !aarch64_simd_struct_operand (operands[1], E_V4x2SImode)
          || !
#line 8423 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4807; /* aarch64_ld4v2si_dreg */

    case E_V4x4HFmode:
      if (!register_operand (operands[0], E_V4x4HFmode)
          || GET_MODE (x3) != E_V4x4HFmode
          || !aarch64_simd_struct_operand (operands[1], E_V4x4HFmode)
          || !
#line 8423 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4808; /* aarch64_ld4v4hf_dreg */

    case E_V4x2SFmode:
      if (!register_operand (operands[0], E_V4x2SFmode)
          || GET_MODE (x3) != E_V4x2SFmode
          || !aarch64_simd_struct_operand (operands[1], E_V4x2SFmode)
          || !
#line 8423 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4809; /* aarch64_ld4v2sf_dreg */

    case E_V4x4BFmode:
      if (!register_operand (operands[0], E_V4x4BFmode)
          || GET_MODE (x3) != E_V4x4BFmode
          || !aarch64_simd_struct_operand (operands[1], E_V4x4BFmode)
          || !
#line 8423 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4810; /* aarch64_ld4v4bf_dreg */

    case E_V4x1DImode:
      if (!register_operand (operands[0], E_V4x1DImode)
          || GET_MODE (x3) != E_V4x1DImode
          || !aarch64_simd_struct_operand (operands[1], E_V4x1DImode)
          || !
#line 8433 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4811; /* aarch64_ld4di_dreg */

    case E_V4x1DFmode:
      if (!register_operand (operands[0], E_V4x1DFmode)
          || GET_MODE (x3) != E_V4x1DFmode
          || !aarch64_simd_struct_operand (operands[1], E_V4x1DFmode)
          || !
#line 8433 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4812; /* aarch64_ld4df_dreg */

    default:
      return -1;
    }
}

 int
recog_27 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_V2x16QImode:
      if (!register_operand (operands[0], E_V2x16QImode)
          || GET_MODE (x3) != E_V2x16QImode
          || !aarch64_simd_struct_operand (operands[1], E_V2x16QImode)
          || !
#line 7562 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4379; /* aarch64_simd_ld2v16qi */

    case E_V2x8HImode:
      if (!register_operand (operands[0], E_V2x8HImode)
          || GET_MODE (x3) != E_V2x8HImode
          || !aarch64_simd_struct_operand (operands[1], E_V2x8HImode)
          || !
#line 7562 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4380; /* aarch64_simd_ld2v8hi */

    case E_V2x4SImode:
      if (!register_operand (operands[0], E_V2x4SImode)
          || GET_MODE (x3) != E_V2x4SImode
          || !aarch64_simd_struct_operand (operands[1], E_V2x4SImode)
          || !
#line 7562 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4381; /* aarch64_simd_ld2v4si */

    case E_V2x2DImode:
      if (!register_operand (operands[0], E_V2x2DImode)
          || GET_MODE (x3) != E_V2x2DImode
          || !aarch64_simd_struct_operand (operands[1], E_V2x2DImode)
          || !
#line 7562 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4382; /* aarch64_simd_ld2v2di */

    case E_V2x8HFmode:
      if (!register_operand (operands[0], E_V2x8HFmode)
          || GET_MODE (x3) != E_V2x8HFmode
          || !aarch64_simd_struct_operand (operands[1], E_V2x8HFmode)
          || !
#line 7562 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4383; /* aarch64_simd_ld2v8hf */

    case E_V2x4SFmode:
      if (!register_operand (operands[0], E_V2x4SFmode)
          || GET_MODE (x3) != E_V2x4SFmode
          || !aarch64_simd_struct_operand (operands[1], E_V2x4SFmode)
          || !
#line 7562 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4384; /* aarch64_simd_ld2v4sf */

    case E_V2x2DFmode:
      if (!register_operand (operands[0], E_V2x2DFmode)
          || GET_MODE (x3) != E_V2x2DFmode
          || !aarch64_simd_struct_operand (operands[1], E_V2x2DFmode)
          || !
#line 7562 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4385; /* aarch64_simd_ld2v2df */

    case E_V2x8BFmode:
      if (!register_operand (operands[0], E_V2x8BFmode)
          || GET_MODE (x3) != E_V2x8BFmode
          || !aarch64_simd_struct_operand (operands[1], E_V2x8BFmode)
          || !
#line 7562 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4386; /* aarch64_simd_ld2v8bf */

    default:
      return -1;
    }
}

 int
recog_38 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern53 (x1))
    {
    case 0:
      if (!(
#line 6840 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 885; /* roundevenhf2 */

    case 1:
      if (!
#line 6840 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 892; /* roundevensf2 */

    case 2:
      if (!
#line 6840 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 899; /* roundevendf2 */

    case 3:
      if (!(
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2482; /* roundevenv4hf2 */

    case 4:
      if (!(
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2497; /* roundevenv8hf2 */

    case 5:
      if (!
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2510; /* roundevenv2sf2 */

    case 6:
      if (!
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2525; /* roundevenv4sf2 */

    case 7:
      if (!
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2532; /* roundevenv2df2 */

    case 8:
      if (!
#line 700 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11370; /* roundevenvnx8sf2 */

    case 9:
      if (!
#line 700 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 11374; /* roundevenvnx16sf2 */

    default:
      return -1;
    }
}

 int
recog_45 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  switch (GET_MODE (operands[0]))
    {
    case E_BFmode:
      if (!register_operand (operands[0], E_BFmode)
          || GET_MODE (x3) != E_BFmode
          || !register_operand (operands[1], E_SFmode)
          || !
#line 9995 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_FP))
        return -1;
      return 5262; /* aarch64_bfcvtbf */

    case E_SFmode:
      if (!register_operand (operands[0], E_SFmode)
          || GET_MODE (x3) != E_SFmode
          || !register_operand (operands[1], E_BFmode)
          || !
#line 10023 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_FP))
        return -1;
      return 5266; /* aarch64_bfcvtsf */

    default:
      return -1;
    }
}

 int
recog_50 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern52 (x1))
    {
    case 0:
      if (!(
#line 6840 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT) && 
#line 60 "../../gcc/config/aarch64/iterators.md"
(TARGET_FP_F16INST)))
        return -1;
      return 887; /* rinthf2 */

    case 1:
      if (!
#line 6840 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 894; /* rintsf2 */

    case 2:
      if (!
#line 6840 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
        return -1;
      return 901; /* rintdf2 */

    case 3:
      if (!(
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2488; /* rintv4hf2 */

    case 4:
      if (!(
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2499; /* rintv8hf2 */

    case 5:
      if (!
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2516; /* rintv2sf2 */

    case 6:
      if (!
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2527; /* rintv4sf2 */

    case 7:
      if (!
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2534; /* rintv2df2 */

    default:
      return -1;
    }
}

 int
recog_58 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern591 (x2))
    {
    case 0:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x81) == 0))
        return -1;
      return 5767; /* aarch64_load_extendvnx8hivnx8qi */

    case 1:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x41) == 0))
        return -1;
      return 5769; /* aarch64_load_extendvnx8hivnx4qi */

    case 2:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x21) == 0))
        return -1;
      return 5771; /* aarch64_load_extendvnx8hivnx2qi */

    case 3:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x42) == 0))
        return -1;
      return 5773; /* aarch64_load_extendvnx8hivnx4hi */

    case 4:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x22) == 0))
        return -1;
      return 5775; /* aarch64_load_extendvnx8hivnx2hi */

    case 5:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x24) == 0))
        return -1;
      return 5777; /* aarch64_load_extendvnx8hivnx2si */

    case 6:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x81) == 0))
        return -1;
      return 5779; /* aarch64_load_extendvnx4hivnx8qi */

    case 7:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x41) == 0))
        return -1;
      return 5781; /* aarch64_load_extendvnx4hivnx4qi */

    case 8:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x21) == 0))
        return -1;
      return 5783; /* aarch64_load_extendvnx4hivnx2qi */

    case 9:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x42) == 0))
        return -1;
      return 5785; /* aarch64_load_extendvnx4hivnx4hi */

    case 10:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x22) == 0))
        return -1;
      return 5787; /* aarch64_load_extendvnx4hivnx2hi */

    case 11:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x24) == 0))
        return -1;
      return 5789; /* aarch64_load_extendvnx4hivnx2si */

    case 12:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x81) == 0))
        return -1;
      return 5791; /* aarch64_load_extendvnx2hivnx8qi */

    case 13:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x41) == 0))
        return -1;
      return 5793; /* aarch64_load_extendvnx2hivnx4qi */

    case 14:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x21) == 0))
        return -1;
      return 5795; /* aarch64_load_extendvnx2hivnx2qi */

    case 15:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x42) == 0))
        return -1;
      return 5797; /* aarch64_load_extendvnx2hivnx4hi */

    case 16:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x22) == 0))
        return -1;
      return 5799; /* aarch64_load_extendvnx2hivnx2hi */

    case 17:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x24) == 0))
        return -1;
      return 5801; /* aarch64_load_extendvnx2hivnx2si */

    case 18:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x81) == 0))
        return -1;
      return 5803; /* aarch64_load_extendvnx4sivnx8qi */

    case 19:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x41) == 0))
        return -1;
      return 5805; /* aarch64_load_extendvnx4sivnx4qi */

    case 20:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x21) == 0))
        return -1;
      return 5807; /* aarch64_load_extendvnx4sivnx2qi */

    case 21:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x42) == 0))
        return -1;
      return 5809; /* aarch64_load_extendvnx4sivnx4hi */

    case 22:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x22) == 0))
        return -1;
      return 5811; /* aarch64_load_extendvnx4sivnx2hi */

    case 23:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x24) == 0))
        return -1;
      return 5813; /* aarch64_load_extendvnx4sivnx2si */

    case 24:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x81) == 0))
        return -1;
      return 5815; /* aarch64_load_extendvnx2sivnx8qi */

    case 25:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x41) == 0))
        return -1;
      return 5817; /* aarch64_load_extendvnx2sivnx4qi */

    case 26:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x21) == 0))
        return -1;
      return 5819; /* aarch64_load_extendvnx2sivnx2qi */

    case 27:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x42) == 0))
        return -1;
      return 5821; /* aarch64_load_extendvnx2sivnx4hi */

    case 28:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x22) == 0))
        return -1;
      return 5823; /* aarch64_load_extendvnx2sivnx2hi */

    case 29:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x24) == 0))
        return -1;
      return 5825; /* aarch64_load_extendvnx2sivnx2si */

    case 30:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x81) == 0))
        return -1;
      return 5827; /* aarch64_load_extendvnx2divnx8qi */

    case 31:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x41) == 0))
        return -1;
      return 5829; /* aarch64_load_extendvnx2divnx4qi */

    case 32:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x21) == 0))
        return -1;
      return 5831; /* aarch64_load_extendvnx2divnx2qi */

    case 33:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x42) == 0))
        return -1;
      return 5833; /* aarch64_load_extendvnx2divnx4hi */

    case 34:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x22) == 0))
        return -1;
      return 5835; /* aarch64_load_extendvnx2divnx2hi */

    case 35:
      if (!
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x24) == 0))
        return -1;
      return 5837; /* aarch64_load_extendvnx2divnx2si */

    case 36:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x81) == 0))
        return -1;
      return 5927; /* aarch64_ldff1_extendvnx8hivnx8qi */

    case 37:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x41) == 0))
        return -1;
      return 5931; /* aarch64_ldff1_extendvnx8hivnx4qi */

    case 38:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x21) == 0))
        return -1;
      return 5935; /* aarch64_ldff1_extendvnx8hivnx2qi */

    case 39:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x42) == 0))
        return -1;
      return 5939; /* aarch64_ldff1_extendvnx8hivnx4hi */

    case 40:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x22) == 0))
        return -1;
      return 5943; /* aarch64_ldff1_extendvnx8hivnx2hi */

    case 41:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x24) == 0))
        return -1;
      return 5947; /* aarch64_ldff1_extendvnx8hivnx2si */

    case 42:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x81) == 0))
        return -1;
      return 5951; /* aarch64_ldff1_extendvnx4hivnx8qi */

    case 43:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x41) == 0))
        return -1;
      return 5955; /* aarch64_ldff1_extendvnx4hivnx4qi */

    case 44:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x21) == 0))
        return -1;
      return 5959; /* aarch64_ldff1_extendvnx4hivnx2qi */

    case 45:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x42) == 0))
        return -1;
      return 5963; /* aarch64_ldff1_extendvnx4hivnx4hi */

    case 46:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x22) == 0))
        return -1;
      return 5967; /* aarch64_ldff1_extendvnx4hivnx2hi */

    case 47:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x24) == 0))
        return -1;
      return 5971; /* aarch64_ldff1_extendvnx4hivnx2si */

    case 48:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x81) == 0))
        return -1;
      return 5975; /* aarch64_ldff1_extendvnx2hivnx8qi */

    case 49:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x41) == 0))
        return -1;
      return 5979; /* aarch64_ldff1_extendvnx2hivnx4qi */

    case 50:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0))
        return -1;
      return 5983; /* aarch64_ldff1_extendvnx2hivnx2qi */

    case 51:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x42) == 0))
        return -1;
      return 5987; /* aarch64_ldff1_extendvnx2hivnx4hi */

    case 52:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0))
        return -1;
      return 5991; /* aarch64_ldff1_extendvnx2hivnx2hi */

    case 53:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0))
        return -1;
      return 5995; /* aarch64_ldff1_extendvnx2hivnx2si */

    case 54:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x81) == 0))
        return -1;
      return 5999; /* aarch64_ldff1_extendvnx4sivnx8qi */

    case 55:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x41) == 0))
        return -1;
      return 6003; /* aarch64_ldff1_extendvnx4sivnx4qi */

    case 56:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x21) == 0))
        return -1;
      return 6007; /* aarch64_ldff1_extendvnx4sivnx2qi */

    case 57:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x42) == 0))
        return -1;
      return 6011; /* aarch64_ldff1_extendvnx4sivnx4hi */

    case 58:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x22) == 0))
        return -1;
      return 6015; /* aarch64_ldff1_extendvnx4sivnx2hi */

    case 59:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x24) == 0))
        return -1;
      return 6019; /* aarch64_ldff1_extendvnx4sivnx2si */

    case 60:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x81) == 0))
        return -1;
      return 6023; /* aarch64_ldff1_extendvnx2sivnx8qi */

    case 61:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x41) == 0))
        return -1;
      return 6027; /* aarch64_ldff1_extendvnx2sivnx4qi */

    case 62:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0))
        return -1;
      return 6031; /* aarch64_ldff1_extendvnx2sivnx2qi */

    case 63:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x42) == 0))
        return -1;
      return 6035; /* aarch64_ldff1_extendvnx2sivnx4hi */

    case 64:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0))
        return -1;
      return 6039; /* aarch64_ldff1_extendvnx2sivnx2hi */

    case 65:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0))
        return -1;
      return 6043; /* aarch64_ldff1_extendvnx2sivnx2si */

    case 66:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x81) == 0))
        return -1;
      return 6047; /* aarch64_ldff1_extendvnx2divnx8qi */

    case 67:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x41) == 0))
        return -1;
      return 6051; /* aarch64_ldff1_extendvnx2divnx4qi */

    case 68:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0))
        return -1;
      return 6055; /* aarch64_ldff1_extendvnx2divnx2qi */

    case 69:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x42) == 0))
        return -1;
      return 6059; /* aarch64_ldff1_extendvnx2divnx4hi */

    case 70:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0))
        return -1;
      return 6063; /* aarch64_ldff1_extendvnx2divnx2hi */

    case 71:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0))
        return -1;
      return 6067; /* aarch64_ldff1_extendvnx2divnx2si */

    case 72:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x81) == 0))
        return -1;
      return 5928; /* aarch64_ldnf1_extendvnx8hivnx8qi */

    case 73:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x41) == 0))
        return -1;
      return 5932; /* aarch64_ldnf1_extendvnx8hivnx4qi */

    case 74:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x21) == 0))
        return -1;
      return 5936; /* aarch64_ldnf1_extendvnx8hivnx2qi */

    case 75:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x42) == 0))
        return -1;
      return 5940; /* aarch64_ldnf1_extendvnx8hivnx4hi */

    case 76:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x22) == 0))
        return -1;
      return 5944; /* aarch64_ldnf1_extendvnx8hivnx2hi */

    case 77:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x24) == 0))
        return -1;
      return 5948; /* aarch64_ldnf1_extendvnx8hivnx2si */

    case 78:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x81) == 0))
        return -1;
      return 5952; /* aarch64_ldnf1_extendvnx4hivnx8qi */

    case 79:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x41) == 0))
        return -1;
      return 5956; /* aarch64_ldnf1_extendvnx4hivnx4qi */

    case 80:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x21) == 0))
        return -1;
      return 5960; /* aarch64_ldnf1_extendvnx4hivnx2qi */

    case 81:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x42) == 0))
        return -1;
      return 5964; /* aarch64_ldnf1_extendvnx4hivnx4hi */

    case 82:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x22) == 0))
        return -1;
      return 5968; /* aarch64_ldnf1_extendvnx4hivnx2hi */

    case 83:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x24) == 0))
        return -1;
      return 5972; /* aarch64_ldnf1_extendvnx4hivnx2si */

    case 84:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x81) == 0))
        return -1;
      return 5976; /* aarch64_ldnf1_extendvnx2hivnx8qi */

    case 85:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x41) == 0))
        return -1;
      return 5980; /* aarch64_ldnf1_extendvnx2hivnx4qi */

    case 86:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0))
        return -1;
      return 5984; /* aarch64_ldnf1_extendvnx2hivnx2qi */

    case 87:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x42) == 0))
        return -1;
      return 5988; /* aarch64_ldnf1_extendvnx2hivnx4hi */

    case 88:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0))
        return -1;
      return 5992; /* aarch64_ldnf1_extendvnx2hivnx2hi */

    case 89:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0))
        return -1;
      return 5996; /* aarch64_ldnf1_extendvnx2hivnx2si */

    case 90:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x81) == 0))
        return -1;
      return 6000; /* aarch64_ldnf1_extendvnx4sivnx8qi */

    case 91:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x41) == 0))
        return -1;
      return 6004; /* aarch64_ldnf1_extendvnx4sivnx4qi */

    case 92:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x21) == 0))
        return -1;
      return 6008; /* aarch64_ldnf1_extendvnx4sivnx2qi */

    case 93:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x42) == 0))
        return -1;
      return 6012; /* aarch64_ldnf1_extendvnx4sivnx4hi */

    case 94:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x22) == 0))
        return -1;
      return 6016; /* aarch64_ldnf1_extendvnx4sivnx2hi */

    case 95:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x24) == 0))
        return -1;
      return 6020; /* aarch64_ldnf1_extendvnx4sivnx2si */

    case 96:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x81) == 0))
        return -1;
      return 6024; /* aarch64_ldnf1_extendvnx2sivnx8qi */

    case 97:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x41) == 0))
        return -1;
      return 6028; /* aarch64_ldnf1_extendvnx2sivnx4qi */

    case 98:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0))
        return -1;
      return 6032; /* aarch64_ldnf1_extendvnx2sivnx2qi */

    case 99:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x42) == 0))
        return -1;
      return 6036; /* aarch64_ldnf1_extendvnx2sivnx4hi */

    case 100:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0))
        return -1;
      return 6040; /* aarch64_ldnf1_extendvnx2sivnx2hi */

    case 101:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0))
        return -1;
      return 6044; /* aarch64_ldnf1_extendvnx2sivnx2si */

    case 102:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x81) == 0))
        return -1;
      return 6048; /* aarch64_ldnf1_extendvnx2divnx8qi */

    case 103:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x41) == 0))
        return -1;
      return 6052; /* aarch64_ldnf1_extendvnx2divnx4qi */

    case 104:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0))
        return -1;
      return 6056; /* aarch64_ldnf1_extendvnx2divnx2qi */

    case 105:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x42) == 0))
        return -1;
      return 6060; /* aarch64_ldnf1_extendvnx2divnx4hi */

    case 106:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0))
        return -1;
      return 6064; /* aarch64_ldnf1_extendvnx2divnx2hi */

    case 107:
      if (!
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0))
        return -1;
      return 6068; /* aarch64_ldnf1_extendvnx2divnx2si */

    case 108:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x81) == 0))
        return -1;
      return 5839; /* *aarch64_load_extend_movvnx8hivnx8qi */

    case 109:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x41) == 0))
        return -1;
      return 5841; /* *aarch64_load_extend_movvnx8hivnx4qi */

    case 110:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x21) == 0))
        return -1;
      return 5843; /* *aarch64_load_extend_movvnx8hivnx2qi */

    case 111:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x42) == 0))
        return -1;
      return 5845; /* *aarch64_load_extend_movvnx8hivnx4hi */

    case 112:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x22) == 0))
        return -1;
      return 5847; /* *aarch64_load_extend_movvnx8hivnx2hi */

    case 113:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x24) == 0))
        return -1;
      return 5849; /* *aarch64_load_extend_movvnx8hivnx2si */

    case 114:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x81) == 0))
        return -1;
      return 5851; /* *aarch64_load_extend_movvnx4hivnx8qi */

    case 115:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x41) == 0))
        return -1;
      return 5853; /* *aarch64_load_extend_movvnx4hivnx4qi */

    case 116:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x21) == 0))
        return -1;
      return 5855; /* *aarch64_load_extend_movvnx4hivnx2qi */

    case 117:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x42) == 0))
        return -1;
      return 5857; /* *aarch64_load_extend_movvnx4hivnx4hi */

    case 118:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x22) == 0))
        return -1;
      return 5859; /* *aarch64_load_extend_movvnx4hivnx2hi */

    case 119:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x24) == 0))
        return -1;
      return 5861; /* *aarch64_load_extend_movvnx4hivnx2si */

    case 120:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x81) == 0))
        return -1;
      return 5863; /* *aarch64_load_extend_movvnx2hivnx8qi */

    case 121:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x41) == 0))
        return -1;
      return 5865; /* *aarch64_load_extend_movvnx2hivnx4qi */

    case 122:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x21) == 0))
        return -1;
      return 5867; /* *aarch64_load_extend_movvnx2hivnx2qi */

    case 123:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x42) == 0))
        return -1;
      return 5869; /* *aarch64_load_extend_movvnx2hivnx4hi */

    case 124:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x22) == 0))
        return -1;
      return 5871; /* *aarch64_load_extend_movvnx2hivnx2hi */

    case 125:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x24) == 0))
        return -1;
      return 5873; /* *aarch64_load_extend_movvnx2hivnx2si */

    case 126:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x81) == 0))
        return -1;
      return 5875; /* *aarch64_load_extend_movvnx4sivnx8qi */

    case 127:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x41) == 0))
        return -1;
      return 5877; /* *aarch64_load_extend_movvnx4sivnx4qi */

    case 128:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x21) == 0))
        return -1;
      return 5879; /* *aarch64_load_extend_movvnx4sivnx2qi */

    case 129:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x42) == 0))
        return -1;
      return 5881; /* *aarch64_load_extend_movvnx4sivnx4hi */

    case 130:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x22) == 0))
        return -1;
      return 5883; /* *aarch64_load_extend_movvnx4sivnx2hi */

    case 131:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x24) == 0))
        return -1;
      return 5885; /* *aarch64_load_extend_movvnx4sivnx2si */

    case 132:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x81) == 0))
        return -1;
      return 5887; /* *aarch64_load_extend_movvnx2sivnx8qi */

    case 133:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x41) == 0))
        return -1;
      return 5889; /* *aarch64_load_extend_movvnx2sivnx4qi */

    case 134:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x21) == 0))
        return -1;
      return 5891; /* *aarch64_load_extend_movvnx2sivnx2qi */

    case 135:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x42) == 0))
        return -1;
      return 5893; /* *aarch64_load_extend_movvnx2sivnx4hi */

    case 136:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x22) == 0))
        return -1;
      return 5895; /* *aarch64_load_extend_movvnx2sivnx2hi */

    case 137:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x24) == 0))
        return -1;
      return 5897; /* *aarch64_load_extend_movvnx2sivnx2si */

    case 138:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x81) == 0))
        return -1;
      return 5899; /* *aarch64_load_extend_movvnx2divnx8qi */

    case 139:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x41) == 0))
        return -1;
      return 5901; /* *aarch64_load_extend_movvnx2divnx4qi */

    case 140:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x21) == 0))
        return -1;
      return 5903; /* *aarch64_load_extend_movvnx2divnx2qi */

    case 141:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x42) == 0))
        return -1;
      return 5905; /* *aarch64_load_extend_movvnx2divnx4hi */

    case 142:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x22) == 0))
        return -1;
      return 5907; /* *aarch64_load_extend_movvnx2divnx2hi */

    case 143:
      if (!
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x24) == 0))
        return -1;
      return 5909; /* *aarch64_load_extend_movvnx2divnx2si */

    case 144:
      if (!
#line 1663 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x41) == 0))
        return -1;
      return 6125; /* aarch64_gather_load_extendvnx4hivnx4qi */

    case 145:
      if (!
#line 1663 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x42) == 0))
        return -1;
      return 6129; /* aarch64_gather_load_extendvnx4hivnx4hi */

    case 146:
      if (!
#line 1663 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x41) == 0))
        return -1;
      return 6127; /* aarch64_gather_load_extendvnx4sivnx4qi */

    case 147:
      if (!
#line 1663 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x42) == 0))
        return -1;
      return 6131; /* aarch64_gather_load_extendvnx4sivnx4hi */

    case 148:
      if (!
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0))
        return -1;
      return 6133; /* aarch64_gather_load_extendvnx2hivnx2qi */

    case 149:
      if (!
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0))
        return -1;
      return 6139; /* aarch64_gather_load_extendvnx2hivnx2hi */

    case 150:
      if (!
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0))
        return -1;
      return 6145; /* aarch64_gather_load_extendvnx2hivnx2si */

    case 151:
      if (!
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0))
        return -1;
      return 6135; /* aarch64_gather_load_extendvnx2sivnx2qi */

    case 152:
      if (!
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0))
        return -1;
      return 6141; /* aarch64_gather_load_extendvnx2sivnx2hi */

    case 153:
      if (!
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0))
        return -1;
      return 6147; /* aarch64_gather_load_extendvnx2sivnx2si */

    case 154:
      if (!
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0))
        return -1;
      return 6137; /* aarch64_gather_load_extendvnx2divnx2qi */

    case 155:
      if (!
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0))
        return -1;
      return 6143; /* aarch64_gather_load_extendvnx2divnx2hi */

    case 156:
      if (!
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0))
        return -1;
      return 6149; /* aarch64_gather_load_extendvnx2divnx2si */

    case 157:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0))
        return -1;
      return 6151; /* *aarch64_gather_load_extendvnx2hivnx2qi_sxtw_unpacked */

    case 158:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0))
        return -1;
      return 6163; /* *aarch64_gather_load_extendvnx2hivnx2hi_sxtw_unpacked */

    case 159:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0))
        return -1;
      return 6175; /* *aarch64_gather_load_extendvnx2hivnx2si_sxtw_unpacked */

    case 160:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0))
        return -1;
      return 6155; /* *aarch64_gather_load_extendvnx2sivnx2qi_sxtw_unpacked */

    case 161:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0))
        return -1;
      return 6167; /* *aarch64_gather_load_extendvnx2sivnx2hi_sxtw_unpacked */

    case 162:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0))
        return -1;
      return 6179; /* *aarch64_gather_load_extendvnx2sivnx2si_sxtw_unpacked */

    case 163:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0))
        return -1;
      return 6159; /* *aarch64_gather_load_extendvnx2divnx2qi_sxtw_unpacked */

    case 164:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0))
        return -1;
      return 6171; /* *aarch64_gather_load_extendvnx2divnx2hi_sxtw_unpacked */

    case 165:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0))
        return -1;
      return 6183; /* *aarch64_gather_load_extendvnx2divnx2si_sxtw_unpacked */

    case 166:
      if (!
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0))
        return -1;
      return 6187; /* *aarch64_gather_load_extendvnx2hivnx2qi_sxtw */

    case 167:
      if (!
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0))
        return -1;
      return 6193; /* *aarch64_gather_load_extendvnx2hivnx2hi_sxtw */

    case 168:
      if (!
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0))
        return -1;
      return 6199; /* *aarch64_gather_load_extendvnx2hivnx2si_sxtw */

    case 169:
      if (!
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0))
        return -1;
      return 6189; /* *aarch64_gather_load_extendvnx2sivnx2qi_sxtw */

    case 170:
      if (!
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0))
        return -1;
      return 6195; /* *aarch64_gather_load_extendvnx2sivnx2hi_sxtw */

    case 171:
      if (!
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0))
        return -1;
      return 6201; /* *aarch64_gather_load_extendvnx2sivnx2si_sxtw */

    case 172:
      if (!
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0))
        return -1;
      return 6191; /* *aarch64_gather_load_extendvnx2divnx2qi_sxtw */

    case 173:
      if (!
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0))
        return -1;
      return 6197; /* *aarch64_gather_load_extendvnx2divnx2hi_sxtw */

    case 174:
      if (!
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0))
        return -1;
      return 6203; /* *aarch64_gather_load_extendvnx2divnx2si_sxtw */

    case 175:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0))
        return -1;
      return 6153; /* *aarch64_gather_load_extendvnx2hivnx2qi_uxtw_unpacked */

    case 176:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0))
        return -1;
      return 6165; /* *aarch64_gather_load_extendvnx2hivnx2hi_uxtw_unpacked */

    case 177:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0))
        return -1;
      return 6177; /* *aarch64_gather_load_extendvnx2hivnx2si_uxtw_unpacked */

    case 178:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0))
        return -1;
      return 6157; /* *aarch64_gather_load_extendvnx2sivnx2qi_uxtw_unpacked */

    case 179:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0))
        return -1;
      return 6169; /* *aarch64_gather_load_extendvnx2sivnx2hi_uxtw_unpacked */

    case 180:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0))
        return -1;
      return 6181; /* *aarch64_gather_load_extendvnx2sivnx2si_uxtw_unpacked */

    case 181:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0))
        return -1;
      return 6161; /* *aarch64_gather_load_extendvnx2divnx2qi_uxtw_unpacked */

    case 182:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0))
        return -1;
      return 6173; /* *aarch64_gather_load_extendvnx2divnx2hi_uxtw_unpacked */

    case 183:
      if (!
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0))
        return -1;
      return 6185; /* *aarch64_gather_load_extendvnx2divnx2si_uxtw_unpacked */

    case 184:
      if (!
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0))
        return -1;
      return 6205; /* *aarch64_gather_load_extendvnx2hivnx2qi_uxtw */

    case 185:
      if (!
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0))
        return -1;
      return 6211; /* *aarch64_gather_load_extendvnx2hivnx2hi_uxtw */

    case 186:
      if (!
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0))
        return -1;
      return 6217; /* *aarch64_gather_load_extendvnx2hivnx2si_uxtw */

    case 187:
      if (!
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0))
        return -1;
      return 6207; /* *aarch64_gather_load_extendvnx2sivnx2qi_uxtw */

    case 188:
      if (!
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0))
        return -1;
      return 6213; /* *aarch64_gather_load_extendvnx2sivnx2hi_uxtw */

    case 189:
      if (!
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0))
        return -1;
      return 6219; /* *aarch64_gather_load_extendvnx2sivnx2si_uxtw */

    case 190:
      if (!
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0))
        return -1;
      return 6209; /* *aarch64_gather_load_extendvnx2divnx2qi_uxtw */

    case 191:
      if (!
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0))
        return -1;
      return 6215; /* *aarch64_gather_load_extendvnx2divnx2hi_uxtw */

    case 192:
      if (!
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0))
        return -1;
      return 6221; /* *aarch64_gather_load_extendvnx2divnx2si_uxtw */

    case 193:
      if (!
#line 1976 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 6231; /* aarch64_ldff1_gather_extendvnx4sivnx4qi */

    case 194:
      if (!
#line 1976 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 6233; /* aarch64_ldff1_gather_extendvnx4sivnx4hi */

    case 195:
      if (!
#line 2014 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 6235; /* aarch64_ldff1_gather_extendvnx2divnx2qi */

    case 196:
      if (!
#line 2014 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 6237; /* aarch64_ldff1_gather_extendvnx2divnx2hi */

    case 197:
      if (!
#line 2014 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 6239; /* aarch64_ldff1_gather_extendvnx2divnx2si */

    case 198:
      if (!
#line 2052 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 6241; /* *aarch64_ldff1_gather_extendvnx2divnx2qi_sxtw */

    case 199:
      if (!
#line 2052 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 6243; /* *aarch64_ldff1_gather_extendvnx2divnx2hi_sxtw */

    case 200:
      if (!
#line 2052 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 6245; /* *aarch64_ldff1_gather_extendvnx2divnx2si_sxtw */

    case 201:
      if (!
#line 2084 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 6247; /* *aarch64_ldff1_gather_extendvnx2divnx2qi_uxtw */

    case 202:
      if (!
#line 2084 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 6249; /* *aarch64_ldff1_gather_extendvnx2divnx2hi_uxtw */

    case 203:
      if (!
#line 2084 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      return 6251; /* *aarch64_ldff1_gather_extendvnx2divnx2si_uxtw */

    case 204:
      if (!
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x81) == 0))
        return -1;
      return 11179; /* aarch64_gather_ldnt_extendvnx4sivnx8qi */

    case 205:
      if (!
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x41) == 0))
        return -1;
      return 11181; /* aarch64_gather_ldnt_extendvnx4sivnx4qi */

    case 206:
      if (!
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x21) == 0))
        return -1;
      return 11183; /* aarch64_gather_ldnt_extendvnx4sivnx2qi */

    case 207:
      if (!
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x42) == 0))
        return -1;
      return 11185; /* aarch64_gather_ldnt_extendvnx4sivnx4hi */

    case 208:
      if (!
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x22) == 0))
        return -1;
      return 11187; /* aarch64_gather_ldnt_extendvnx4sivnx2hi */

    case 209:
      if (!
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x24) == 0))
        return -1;
      return 11189; /* aarch64_gather_ldnt_extendvnx4sivnx2si */

    case 210:
      if (!
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x81) == 0))
        return -1;
      return 11191; /* aarch64_gather_ldnt_extendvnx2divnx8qi */

    case 211:
      if (!
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x41) == 0))
        return -1;
      return 11193; /* aarch64_gather_ldnt_extendvnx2divnx4qi */

    case 212:
      if (!
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0))
        return -1;
      return 11195; /* aarch64_gather_ldnt_extendvnx2divnx2qi */

    case 213:
      if (!
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x42) == 0))
        return -1;
      return 11197; /* aarch64_gather_ldnt_extendvnx2divnx4hi */

    case 214:
      if (!
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0))
        return -1;
      return 11199; /* aarch64_gather_ldnt_extendvnx2divnx2hi */

    case 215:
      if (!
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0))
        return -1;
      return 11201; /* aarch64_gather_ldnt_extendvnx2divnx2si */

    default:
      return -1;
    }
}

 int
recog_131 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx4SImode:
      if (pattern721 (x3, 
E_VNx4BImode, 
E_VNx4SImode, 
E_VNx1SImode) != 0
          || !
#line 229 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11082; /* aarch64_sve_ld1_extendqvnx4si */

    case E_VNx2DImode:
      if (pattern721 (x3, 
E_VNx2BImode, 
E_VNx2DImode, 
E_VNx1DImode) != 0
          || !
#line 229 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11083; /* aarch64_sve_ld1_extendqvnx2di */

    case E_VNx4SFmode:
      if (pattern721 (x3, 
E_VNx4BImode, 
E_VNx4SFmode, 
E_VNx1SImode) != 0
          || !
#line 229 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11084; /* aarch64_sve_ld1_extendqvnx4sf */

    case E_VNx2DFmode:
      if (pattern721 (x3, 
E_VNx2BImode, 
E_VNx2DFmode, 
E_VNx1DImode) != 0
          || !
#line 229 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
        return -1;
      return 11085; /* aarch64_sve_ld1_extendqvnx2df */

    default:
      return -1;
    }
}

 int
recog_141 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern96 (x1))
    {
    case 0:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3631; /* aarch64_ushlv8qi */

    case 1:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3641; /* aarch64_ushlv16qi */

    case 2:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3647; /* aarch64_ushlv4hi */

    case 3:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3657; /* aarch64_ushlv8hi */

    case 4:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3663; /* aarch64_ushlv2si */

    case 5:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3673; /* aarch64_ushlv4si */

    case 6:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3677; /* aarch64_ushlv2di */

    case 7:
      if (!
#line 6507 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3683; /* aarch64_ushldi */

    default:
      return -1;
    }
}

 int
recog_151 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern73 (x1))
    {
    case 0:
      return 1024; /* fcvtzusf3 */

    case 1:
      if (!
#line 7213 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST))
        return -1;
      return 1032; /* fcvtzuhfsi3 */

    case 2:
      return 1026; /* fcvtzudf3 */

    case 3:
      if (!
#line 7213 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FP_F16INST))
        return -1;
      return 1034; /* fcvtzuhfdi3 */

    case 4:
      if (!
#line 7233 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD))
        return -1;
      return 1040; /* fcvtzuhf3 */

    case 5:
      if (!(
#line 3125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2619; /* fcvtzuv4hf3 */

    case 6:
      if (!(
#line 3125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
        return -1;
      return 2621; /* fcvtzuv8hf3 */

    case 7:
      if (!
#line 3125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2623; /* fcvtzuv2sf3 */

    case 8:
      if (!
#line 3125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2625; /* fcvtzuv4sf3 */

    case 9:
      if (!
#line 3125 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 2627; /* fcvtzuv2df3 */

    default:
      return -1;
    }
}

 int
recog_162 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern123 (x1))
    {
    case 0:
      if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12063; /* aarch64_sve_umullbvnx8hi */

    case 1:
      if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12084; /* aarch64_sve_umullbvnx4si */

    case 2:
      if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12105; /* aarch64_sve_umullbvnx2di */

    case 3:
      if (!
#line 2283 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12113; /* aarch64_sve_umullb_lane_vnx4si */

    case 4:
      if (!
#line 2283 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12119; /* aarch64_sve_umullb_lane_vnx2di */

    default:
      return -1;
    }
}

 int
recog_172 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern129 (x1))
    {
    case 0:
      if (!
#line 3922 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_BITPERM))
        return -1;
      return 12859; /* aarch64_sve_bextvnx16qi */

    case 1:
      if (!
#line 3922 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_BITPERM))
        return -1;
      return 12862; /* aarch64_sve_bextvnx8hi */

    case 2:
      if (!
#line 3922 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_BITPERM))
        return -1;
      return 12865; /* aarch64_sve_bextvnx4si */

    case 3:
      if (!
#line 3922 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_BITPERM))
        return -1;
      return 12868; /* aarch64_sve_bextvnx2di */

    default:
      return -1;
    }
}

 int
recog_182 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern129 (x1))
    {
    case 0:
      if (!
#line 2984 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12472; /* aarch64_sve_sqcadd270vnx16qi */

    case 1:
      if (!
#line 2984 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12476; /* aarch64_sve_sqcadd270vnx8hi */

    case 2:
      if (!
#line 2984 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12480; /* aarch64_sve_sqcadd270vnx4si */

    case 3:
      if (!
#line 2984 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12484; /* aarch64_sve_sqcadd270vnx2di */

    default:
      return -1;
    }
}

 int
recog_190 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern114 (x1))
    {
    case 0:
      if (!
#line 8961 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 8))
        return -1;
      return 10323; /* aarch64_pred_reduc_sadd_vnx16qi */

    case 1:
      if (!
#line 8961 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
        return -1;
      return 10325; /* aarch64_pred_reduc_sadd_vnx8hi */

    case 2:
      if (!
#line 8961 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
        return -1;
      return 10327; /* aarch64_pred_reduc_sadd_vnx4si */

    case 3:
      if (!
#line 8961 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
        return -1;
      return 10329; /* aarch64_pred_reduc_sadd_vnx2di */

    default:
      return -1;
    }
}

 int
recog_202 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 1);
  if (GET_CODE (x4) != CONST_INT)
    return -1;
  x5 = XVECEXP (x3, 0, 2);
  operands[2] = x5;
  x6 = XVECEXP (x2, 0, 2);
  operands[3] = x6;
  switch (XWINT (x4, 0))
    {
    case 0L:
      switch (pattern1110 (x2))
        {
        case 0:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16))
            return 10786; /* *cond_fix_trunc_nontruncvnx8hfvnx8hi_relaxed */
          break;

        case 1:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32))
            return 10788; /* *cond_fix_trunc_nontruncvnx4sfvnx8hi_relaxed */
          break;

        case 2:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64))
            return 10790; /* *cond_fix_trunc_nontruncvnx2dfvnx8hi_relaxed */
          break;

        case 3:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
            return 10792; /* *cond_fix_trunc_nontruncvnx8hfvnx4si_relaxed */
          break;

        case 4:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
            return 10794; /* *cond_fix_trunc_nontruncvnx4sfvnx4si_relaxed */
          break;

        case 5:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
            return 10796; /* *cond_fix_trunc_nontruncvnx2dfvnx4si_relaxed */
          break;

        case 6:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
            return 10798; /* *cond_fix_trunc_nontruncvnx8hfvnx2di_relaxed */
          break;

        case 7:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
            return 10800; /* *cond_fix_trunc_nontruncvnx4sfvnx2di_relaxed */
          break;

        case 8:
          if (
#line 9459 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
            return 10802; /* *cond_fix_trunc_nontruncvnx2dfvnx2di_relaxed */
          break;

        default:
          break;
        }
      break;

    case 1L:
      switch (pattern1111 (x2))
        {
        case 0:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 16))
            return 10804; /* *cond_fix_trunc_nontruncvnx8hfvnx8hi_strict */
          break;

        case 1:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 32))
            return 10806; /* *cond_fix_trunc_nontruncvnx4sfvnx8hi_strict */
          break;

        case 2:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 16 >= 64))
            return 10808; /* *cond_fix_trunc_nontruncvnx2dfvnx8hi_strict */
          break;

        case 3:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 16))
            return 10810; /* *cond_fix_trunc_nontruncvnx8hfvnx4si_strict */
          break;

        case 4:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 32))
            return 10812; /* *cond_fix_trunc_nontruncvnx4sfvnx4si_strict */
          break;

        case 5:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 32 >= 64))
            return 10814; /* *cond_fix_trunc_nontruncvnx2dfvnx4si_strict */
          break;

        case 6:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
            return 10816; /* *cond_fix_trunc_nontruncvnx8hfvnx2di_strict */
          break;

        case 7:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
            return 10818; /* *cond_fix_trunc_nontruncvnx4sfvnx2di_strict */
          break;

        case 8:
          if (
#line 9482 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
            return 10820; /* *cond_fix_trunc_nontruncvnx2dfvnx2di_strict */
          break;

        default:
          break;
        }
      break;

    default:
      break;
    }
  if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode)
      || pattern1112 (x2, 
E_VNx2DFmode, 
E_VNx4SImode) != 0
      || !
#line 9516 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
    return -1;
  return 10822; /* *cond_fix_trunc_truncvnx2dfvnx4si */
}

 int
recog_210 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  if (aarch64_sve_lshift_operand (operands[3], E_VNx8HImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 1242 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11748; /* *cond_uqshlvnx8hi_2 */
    }
  if (register_operand (operands[3], E_VNx8HImode))
    {
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[3])
          && 
#line 1269 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return 11756; /* *cond_uqshlvnx8hi_3 */
    }
  operands[5] = x4;
  if (!aarch64_sve_lshift_operand (operands[3], E_VNx8HImode))
    return -1;
  x5 = XVECEXP (x2, 0, 2);
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !
#line 1294 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && (CONSTANT_P (operands[4]) || !rtx_equal_p (operands[3], operands[4]))))
    return -1;
  return 11764; /* *cond_uqshlvnx8hi_any */
}

 int
recog_217 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11621; /* *cond_urshlvnx4si_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11664; /* *cond_urshlvnx4si_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11704; /* *cond_urshlvnx4si_any */
}

 int
recog_223 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11596; /* *cond_urhaddvnx16qi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11643; /* *cond_urhaddvnx16qi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11683; /* *cond_urhaddvnx16qi_any */
}

 int
recog_232 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11629; /* *cond_uhaddvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11670; /* *cond_uhaddvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11710; /* *cond_uhaddvnx2di_any */
}

 int
recog_242 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11602; /* *cond_srhaddvnx8hi_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11648; /* *cond_srhaddvnx8hi_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11688; /* *cond_srhaddvnx8hi_any */
}

 int
recog_252 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[4] = x4;
  x5 = XVECEXP (x2, 0, 2);
  if (rtx_equal_p (x5, operands[2])
      && 
#line 1040 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11623; /* *cond_shaddvnx2di_2 */
  if (rtx_equal_p (x5, operands[3])
      && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
    return 11665; /* *cond_shaddvnx2di_3 */
  operands[5] = x4;
  operands[4] = x5;
  if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
      || !
#line 1090 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
    return -1;
  return 11705; /* *cond_shaddvnx2di_any */
}

 int
recog_262 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern1049 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8497; /* *cond_fmax_nanvnx8bf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8643; /* *cond_fmax_nanvnx8bf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !(
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 8747; /* *cond_fmax_nanvnx8bf_any_relaxed */

    case 1:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8510; /* *cond_fmax_nanvnx8hf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8656; /* *cond_fmax_nanvnx8hf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8760; /* *cond_fmax_nanvnx8hf_any_relaxed */

    case 2:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8523; /* *cond_fmax_nanvnx4sf_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8669; /* *cond_fmax_nanvnx4sf_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8773; /* *cond_fmax_nanvnx4sf_any_relaxed */

    case 3:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5474 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8536; /* *cond_fmax_nanvnx2df_2_relaxed */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5560 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8682; /* *cond_fmax_nanvnx2df_3_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5603 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8786; /* *cond_fmax_nanvnx2df_any_relaxed */

    case 4:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8597; /* *cond_fmax_nanvnx8hf_2_const_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8847; /* *cond_fmax_nanvnx8hf_any_const_relaxed */

    case 5:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8604; /* *cond_fmax_nanvnx4sf_2_const_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8854; /* *cond_fmax_nanvnx4sf_any_const_relaxed */

    case 6:
      x3 = XVECEXP (x2, 0, 1);
      x4 = XVECEXP (x3, 0, 0);
      operands[4] = x4;
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5517 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8611; /* *cond_fmax_nanvnx2df_2_const_relaxed */
      operands[5] = x4;
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5685 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8861; /* *cond_fmax_nanvnx2df_any_const_relaxed */

    case 7:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && (
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8549; /* *cond_fmax_nanvnx8bf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && (
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !true)) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return 8695; /* *cond_fmax_nanvnx8bf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8BFmode)
          || !(
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !true)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !true)
	&& rtx_equal_p (operands[3], operands[4]))) && 
#line 488 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16)))
        return -1;
      return 8799; /* *cond_fmax_nanvnx8bf_any_strict */

    case 8:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8562; /* *cond_fmax_nanvnx8hf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8708; /* *cond_fmax_nanvnx8hf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8812; /* *cond_fmax_nanvnx8hf_any_strict */

    case 9:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8575; /* *cond_fmax_nanvnx4sf_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8721; /* *cond_fmax_nanvnx4sf_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8825; /* *cond_fmax_nanvnx4sf_any_strict */

    case 10:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5497 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8588; /* *cond_fmax_nanvnx2df_2_strict */
      if (rtx_equal_p (x5, operands[3])
          && 
#line 5583 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (true || !false)))
        return 8734; /* *cond_fmax_nanvnx2df_3_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5647 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && (true || !false)
   && !rtx_equal_p (operands[2], operands[4])
   && !((true || !false)
	&& rtx_equal_p (operands[3], operands[4]))))
        return -1;
      return 8838; /* *cond_fmax_nanvnx2df_any_strict */

    case 11:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5540 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8618; /* *cond_fmax_nanvnx8hf_2_const_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HFmode)
          || !
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8868; /* *cond_fmax_nanvnx8hf_any_const_strict */

    case 12:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5540 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8625; /* *cond_fmax_nanvnx4sf_2_const_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SFmode)
          || !
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8875; /* *cond_fmax_nanvnx4sf_any_const_strict */

    case 13:
      x5 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x5, operands[2])
          && 
#line 5540 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8632; /* *cond_fmax_nanvnx2df_2_const_strict */
      operands[4] = x5;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DFmode)
          || !
#line 5721 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[4])))
        return -1;
      return 8882; /* *cond_fmax_nanvnx2df_any_const_strict */

    default:
      return -1;
    }
}

 int
recog_271 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  switch (pattern699 (x2))
    {
    case 0:
      switch (GET_MODE (operands[0]))
        {
        case E_VNx16QImode:
          if (pattern474 (x2, 
E_VNx16QImode, 
E_VNx16BImode) != 0)
            return -1;
          x4 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x4, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7439; /* *cond_subvnx16qi_2 */
          if (rtx_equal_p (x4, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7609; /* *cond_subvnx16qi_3 */
          operands[4] = x4;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7779; /* *cond_subvnx16qi_any */

        case E_VNx8QImode:
          if (pattern474 (x2, 
E_VNx8QImode, 
E_VNx8BImode) != 0)
            return -1;
          x4 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x4, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7456; /* *cond_subvnx8qi_2 */
          if (rtx_equal_p (x4, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7626; /* *cond_subvnx8qi_3 */
          operands[4] = x4;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7796; /* *cond_subvnx8qi_any */

        case E_VNx4QImode:
          if (pattern474 (x2, 
E_VNx4QImode, 
E_VNx4BImode) != 0)
            return -1;
          x4 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x4, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7473; /* *cond_subvnx4qi_2 */
          if (rtx_equal_p (x4, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7643; /* *cond_subvnx4qi_3 */
          operands[4] = x4;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7813; /* *cond_subvnx4qi_any */

        case E_VNx2QImode:
          if (pattern474 (x2, 
E_VNx2QImode, 
E_VNx2BImode) != 0)
            return -1;
          x4 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x4, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7490; /* *cond_subvnx2qi_2 */
          if (rtx_equal_p (x4, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7660; /* *cond_subvnx2qi_3 */
          operands[4] = x4;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7830; /* *cond_subvnx2qi_any */

        case E_VNx8HImode:
          if (pattern474 (x2, 
E_VNx8HImode, 
E_VNx8BImode) != 0)
            return -1;
          x4 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x4, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7507; /* *cond_subvnx8hi_2 */
          if (rtx_equal_p (x4, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7677; /* *cond_subvnx8hi_3 */
          operands[4] = x4;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7847; /* *cond_subvnx8hi_any */

        case E_VNx4HImode:
          if (pattern474 (x2, 
E_VNx4HImode, 
E_VNx4BImode) != 0)
            return -1;
          x4 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x4, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7524; /* *cond_subvnx4hi_2 */
          if (rtx_equal_p (x4, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7694; /* *cond_subvnx4hi_3 */
          operands[4] = x4;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7864; /* *cond_subvnx4hi_any */

        case E_VNx2HImode:
          if (pattern474 (x2, 
E_VNx2HImode, 
E_VNx2BImode) != 0)
            return -1;
          x4 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x4, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7541; /* *cond_subvnx2hi_2 */
          if (rtx_equal_p (x4, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7711; /* *cond_subvnx2hi_3 */
          operands[4] = x4;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7881; /* *cond_subvnx2hi_any */

        case E_VNx4SImode:
          if (pattern474 (x2, 
E_VNx4SImode, 
E_VNx4BImode) != 0)
            return -1;
          x4 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x4, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7558; /* *cond_subvnx4si_2 */
          if (rtx_equal_p (x4, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7728; /* *cond_subvnx4si_3 */
          operands[4] = x4;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7898; /* *cond_subvnx4si_any */

        case E_VNx2SImode:
          if (pattern474 (x2, 
E_VNx2SImode, 
E_VNx2BImode) != 0)
            return -1;
          x4 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x4, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7575; /* *cond_subvnx2si_2 */
          if (rtx_equal_p (x4, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7745; /* *cond_subvnx2si_3 */
          operands[4] = x4;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7915; /* *cond_subvnx2si_any */

        case E_VNx2DImode:
          if (pattern474 (x2, 
E_VNx2DImode, 
E_VNx2BImode) != 0)
            return -1;
          x4 = XVECEXP (x2, 0, 2);
          if (rtx_equal_p (x4, operands[2])
              && 
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7592; /* *cond_subvnx2di_2 */
          if (rtx_equal_p (x4, operands[3])
              && 
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 7762; /* *cond_subvnx2di_3 */
          operands[4] = x4;
          if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
              || !
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
            return -1;
          return 7932; /* *cond_subvnx2di_any */

        default:
          return -1;
        }

    case 1:
      return recog_270 (x1, insn, pnum_clobbers);

    case 2:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8002; /* *aarch64_cond_sabdvnx16qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8022; /* *aarch64_cond_sabdvnx16qi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8042; /* *aarch64_cond_sabdvnx16qi_any */

    case 3:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8004; /* *aarch64_cond_sabdvnx8qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8024; /* *aarch64_cond_sabdvnx8qi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8044; /* *aarch64_cond_sabdvnx8qi_any */

    case 4:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8006; /* *aarch64_cond_sabdvnx4qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8026; /* *aarch64_cond_sabdvnx4qi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8046; /* *aarch64_cond_sabdvnx4qi_any */

    case 5:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8008; /* *aarch64_cond_sabdvnx2qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8028; /* *aarch64_cond_sabdvnx2qi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8048; /* *aarch64_cond_sabdvnx2qi_any */

    case 6:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8010; /* *aarch64_cond_sabdvnx8hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8030; /* *aarch64_cond_sabdvnx8hi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8050; /* *aarch64_cond_sabdvnx8hi_any */

    case 7:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8012; /* *aarch64_cond_sabdvnx4hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8032; /* *aarch64_cond_sabdvnx4hi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8052; /* *aarch64_cond_sabdvnx4hi_any */

    case 8:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8014; /* *aarch64_cond_sabdvnx2hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8034; /* *aarch64_cond_sabdvnx2hi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8054; /* *aarch64_cond_sabdvnx2hi_any */

    case 9:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8016; /* *aarch64_cond_sabdvnx4si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8036; /* *aarch64_cond_sabdvnx4si_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8056; /* *aarch64_cond_sabdvnx4si_any */

    case 10:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8018; /* *aarch64_cond_sabdvnx2si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8038; /* *aarch64_cond_sabdvnx2si_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8058; /* *aarch64_cond_sabdvnx2si_any */

    case 11:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8020; /* *aarch64_cond_sabdvnx2di_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8040; /* *aarch64_cond_sabdvnx2di_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8060; /* *aarch64_cond_sabdvnx2di_any */

    case 12:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8003; /* *aarch64_cond_uabdvnx16qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8023; /* *aarch64_cond_uabdvnx16qi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8043; /* *aarch64_cond_uabdvnx16qi_any */

    case 13:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8005; /* *aarch64_cond_uabdvnx8qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8025; /* *aarch64_cond_uabdvnx8qi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8045; /* *aarch64_cond_uabdvnx8qi_any */

    case 14:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8007; /* *aarch64_cond_uabdvnx4qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8027; /* *aarch64_cond_uabdvnx4qi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8047; /* *aarch64_cond_uabdvnx4qi_any */

    case 15:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8009; /* *aarch64_cond_uabdvnx2qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8029; /* *aarch64_cond_uabdvnx2qi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8049; /* *aarch64_cond_uabdvnx2qi_any */

    case 16:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8011; /* *aarch64_cond_uabdvnx8hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8031; /* *aarch64_cond_uabdvnx8hi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8051; /* *aarch64_cond_uabdvnx8hi_any */

    case 17:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8013; /* *aarch64_cond_uabdvnx4hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8033; /* *aarch64_cond_uabdvnx4hi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8053; /* *aarch64_cond_uabdvnx4hi_any */

    case 18:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8015; /* *aarch64_cond_uabdvnx2hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8035; /* *aarch64_cond_uabdvnx2hi_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8055; /* *aarch64_cond_uabdvnx2hi_any */

    case 19:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8017; /* *aarch64_cond_uabdvnx4si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8037; /* *aarch64_cond_uabdvnx4si_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8057; /* *aarch64_cond_uabdvnx4si_any */

    case 20:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8019; /* *aarch64_cond_uabdvnx2si_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8039; /* *aarch64_cond_uabdvnx2si_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8059; /* *aarch64_cond_uabdvnx2si_any */

    case 21:
      x5 = XVECEXP (x2, 0, 1);
      x6 = XEXP (x5, 0);
      x7 = XVECEXP (x6, 0, 0);
      operands[4] = x7;
      x8 = XEXP (x5, 1);
      x9 = XVECEXP (x8, 0, 0);
      operands[5] = x9;
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && 
#line 4352 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8021; /* *aarch64_cond_uabdvnx2di_2 */
      if (rtx_equal_p (x4, operands[3])
          && 
#line 4383 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 8041; /* *aarch64_cond_uabdvnx2di_3 */
      operands[5] = x7;
      operands[6] = x9;
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !
#line 4414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])))
        return -1;
      return 8061; /* *aarch64_cond_uabdvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_283 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 0);
  operands[1] = x3;
  switch (pattern724 (x2))
    {
    case 0:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7451; /* *cond_ssaddvnx16qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7621; /* *cond_ssaddvnx16qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx16QImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7791; /* *cond_ssaddvnx16qi_any */

    case 1:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7468; /* *cond_ssaddvnx8qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7638; /* *cond_ssaddvnx8qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8QImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7808; /* *cond_ssaddvnx8qi_any */

    case 2:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7485; /* *cond_ssaddvnx4qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7655; /* *cond_ssaddvnx4qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4QImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7825; /* *cond_ssaddvnx4qi_any */

    case 3:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7502; /* *cond_ssaddvnx2qi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7672; /* *cond_ssaddvnx2qi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2QImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7842; /* *cond_ssaddvnx2qi_any */

    case 4:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7519; /* *cond_ssaddvnx8hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7689; /* *cond_ssaddvnx8hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx8HImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7859; /* *cond_ssaddvnx8hi_any */

    case 5:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7536; /* *cond_ssaddvnx4hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7706; /* *cond_ssaddvnx4hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4HImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7876; /* *cond_ssaddvnx4hi_any */

    case 6:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7553; /* *cond_ssaddvnx2hi_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7723; /* *cond_ssaddvnx2hi_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2HImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7893; /* *cond_ssaddvnx2hi_any */

    case 7:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7570; /* *cond_ssaddvnx4si_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7740; /* *cond_ssaddvnx4si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx4SImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7910; /* *cond_ssaddvnx4si_any */

    case 8:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7587; /* *cond_ssaddvnx2si_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7757; /* *cond_ssaddvnx2si_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2SImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7927; /* *cond_ssaddvnx2si_any */

    case 9:
      x4 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x4, operands[2])
          && (
#line 4005 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7604; /* *cond_ssaddvnx2di_2 */
      if (rtx_equal_p (x4, operands[3])
          && (
#line 4022 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return 7774; /* *cond_ssaddvnx2di_3 */
      operands[4] = x4;
      if (!aarch64_simd_reg_or_zero (operands[4], E_VNx2DImode)
          || !(
#line 4039 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && !rtx_equal_p (operands[2], operands[4])
   && !rtx_equal_p (operands[3], operands[4])) && 
#line 2761 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      return 7944; /* *cond_ssaddvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_295 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern599 (x2))
    {
    case 0:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6699; /* *cond_clzvnx16qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx16QImode)
          || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6789; /* *cond_clzvnx16qi_any */

    case 1:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6708; /* *cond_clzvnx8qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8QImode)
          || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6798; /* *cond_clzvnx8qi_any */

    case 2:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6717; /* *cond_clzvnx4qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4QImode)
          || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6807; /* *cond_clzvnx4qi_any */

    case 3:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6726; /* *cond_clzvnx2qi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2QImode)
          || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6816; /* *cond_clzvnx2qi_any */

    case 4:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6735; /* *cond_clzvnx8hi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx8HImode)
          || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6825; /* *cond_clzvnx8hi_any */

    case 5:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6744; /* *cond_clzvnx4hi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4HImode)
          || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6834; /* *cond_clzvnx4hi_any */

    case 6:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6753; /* *cond_clzvnx2hi_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2HImode)
          || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6843; /* *cond_clzvnx2hi_any */

    case 7:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6762; /* *cond_clzvnx4si_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx4SImode)
          || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6852; /* *cond_clzvnx4si_any */

    case 8:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6771; /* *cond_clzvnx2si_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2SImode)
          || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6861; /* *cond_clzvnx2si_any */

    case 9:
      x3 = XVECEXP (x2, 0, 2);
      if (rtx_equal_p (x3, operands[2])
          && 
#line 3228 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 6780; /* *cond_clzvnx2di_2 */
      operands[3] = x3;
      if (!aarch64_simd_reg_or_zero (operands[3], E_VNx2DImode)
          || !
#line 3250 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !rtx_equal_p (operands[2], operands[3])))
        return -1;
      return 6870; /* *cond_clzvnx2di_any */

    default:
      return -1;
    }
}

 int
recog_303 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[2] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[1] = x5;
  x6 = XVECEXP (x3, 0, 2);
  if (!rtx_equal_p (x6, operands[0]))
    return -1;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx2TImode:
      switch (pattern792 (x3, 
E_VNx32QImode, 
E_VNx2TImode))
        {
        case 0:
          if (!
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 11207; /* aarch64_sve_stnqvnx32qi */

        case 1:
          switch (GET_MODE (operands[1]))
            {
            case E_VNx16HImode:
              if (!register_operand (operands[1], E_VNx16HImode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11208; /* aarch64_sve_stnqvnx16hi */

            case E_VNx16BFmode:
              if (!register_operand (operands[1], E_VNx16BFmode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11211; /* aarch64_sve_stnqvnx16bf */

            case E_VNx16HFmode:
              if (!register_operand (operands[1], E_VNx16HFmode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11212; /* aarch64_sve_stnqvnx16hf */

            default:
              return -1;
            }

        case 2:
          switch (GET_MODE (operands[1]))
            {
            case E_VNx8SImode:
              if (!register_operand (operands[1], E_VNx8SImode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11209; /* aarch64_sve_stnqvnx8si */

            case E_VNx8SFmode:
              if (!register_operand (operands[1], E_VNx8SFmode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11213; /* aarch64_sve_stnqvnx8sf */

            default:
              return -1;
            }

        case 3:
          switch (GET_MODE (operands[1]))
            {
            case E_VNx4DImode:
              if (!register_operand (operands[1], E_VNx4DImode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11210; /* aarch64_sve_stnqvnx4di */

            case E_VNx4DFmode:
              if (!register_operand (operands[1], E_VNx4DFmode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11214; /* aarch64_sve_stnqvnx4df */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case E_VNx3TImode:
      switch (pattern792 (x3, 
E_VNx48QImode, 
E_VNx3TImode))
        {
        case 0:
          if (!
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 11215; /* aarch64_sve_stnqvnx48qi */

        case 1:
          switch (GET_MODE (operands[1]))
            {
            case E_VNx24HImode:
              if (!register_operand (operands[1], E_VNx24HImode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11216; /* aarch64_sve_stnqvnx24hi */

            case E_VNx24BFmode:
              if (!register_operand (operands[1], E_VNx24BFmode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11219; /* aarch64_sve_stnqvnx24bf */

            case E_VNx24HFmode:
              if (!register_operand (operands[1], E_VNx24HFmode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11220; /* aarch64_sve_stnqvnx24hf */

            default:
              return -1;
            }

        case 2:
          switch (GET_MODE (operands[1]))
            {
            case E_VNx12SImode:
              if (!register_operand (operands[1], E_VNx12SImode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11217; /* aarch64_sve_stnqvnx12si */

            case E_VNx12SFmode:
              if (!register_operand (operands[1], E_VNx12SFmode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11221; /* aarch64_sve_stnqvnx12sf */

            default:
              return -1;
            }

        case 3:
          switch (GET_MODE (operands[1]))
            {
            case E_VNx6DImode:
              if (!register_operand (operands[1], E_VNx6DImode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11218; /* aarch64_sve_stnqvnx6di */

            case E_VNx6DFmode:
              if (!register_operand (operands[1], E_VNx6DFmode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11222; /* aarch64_sve_stnqvnx6df */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case E_VNx4TImode:
      switch (pattern792 (x3, 
E_VNx64QImode, 
E_VNx4TImode))
        {
        case 0:
          if (!
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 11223; /* aarch64_sve_stnqvnx64qi */

        case 1:
          switch (GET_MODE (operands[1]))
            {
            case E_VNx32HImode:
              if (!register_operand (operands[1], E_VNx32HImode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11224; /* aarch64_sve_stnqvnx32hi */

            case E_VNx32BFmode:
              if (!register_operand (operands[1], E_VNx32BFmode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11227; /* aarch64_sve_stnqvnx32bf */

            case E_VNx32HFmode:
              if (!register_operand (operands[1], E_VNx32HFmode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11228; /* aarch64_sve_stnqvnx32hf */

            default:
              return -1;
            }

        case 2:
          switch (GET_MODE (operands[1]))
            {
            case E_VNx16SImode:
              if (!register_operand (operands[1], E_VNx16SImode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11225; /* aarch64_sve_stnqvnx16si */

            case E_VNx16SFmode:
              if (!register_operand (operands[1], E_VNx16SFmode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11229; /* aarch64_sve_stnqvnx16sf */

            default:
              return -1;
            }

        case 3:
          switch (GET_MODE (operands[1]))
            {
            case E_VNx8DImode:
              if (!register_operand (operands[1], E_VNx8DImode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11226; /* aarch64_sve_stnqvnx8di */

            case E_VNx8DFmode:
              if (!register_operand (operands[1], E_VNx8DFmode)
                  || !
#line 455 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
                return -1;
              return 11230; /* aarch64_sve_stnqvnx8df */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_313 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern167 (x1, pnum_clobbers))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 9944; /* while_wrsivnx16bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 9954; /* while_wrdivnx16bi */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 9964; /* while_wrsivnx8bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 9974; /* while_wrdivnx8bi */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 9984; /* while_wrsivnx4bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 9994; /* while_wrdivnx4bi */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && (
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        {
          *pnum_clobbers = 1;
          return 10004; /* while_wrsivnx2bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !(
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3448 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
        return -1;
      *pnum_clobbers = 1;
      return 10014; /* while_wrdivnx2bi */

    default:
      return -1;
    }
}

 int
recog_320 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern167 (x1, pnum_clobbers))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9937; /* while_ulesivnx16bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9947; /* while_uledivnx16bi */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9957; /* while_ulesivnx8bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9967; /* while_uledivnx8bi */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9977; /* while_ulesivnx4bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 9987; /* while_uledivnx4bi */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        {
          *pnum_clobbers = 1;
          return 9997; /* while_ulesivnx2bi */
        }
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8414 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 10007; /* while_uledivnx2bi */

    default:
      return -1;
    }
}

 int
recog_328 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern181 (x1))
    {
    case 0:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11232; /* aarch64_stnt1vnx32qi */

    case 1:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11234; /* aarch64_stnt1vnx16hi */

    case 2:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11236; /* aarch64_stnt1vnx8si */

    case 3:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11238; /* aarch64_stnt1vnx4di */

    case 4:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11240; /* aarch64_stnt1vnx16bf */

    case 5:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11242; /* aarch64_stnt1vnx16hf */

    case 6:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11244; /* aarch64_stnt1vnx8sf */

    case 7:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11246; /* aarch64_stnt1vnx4df */

    case 8:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11248; /* aarch64_stnt1vnx64qi */

    case 9:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11250; /* aarch64_stnt1vnx32hi */

    case 10:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11252; /* aarch64_stnt1vnx16si */

    case 11:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11254; /* aarch64_stnt1vnx8di */

    case 12:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11256; /* aarch64_stnt1vnx32bf */

    case 13:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11258; /* aarch64_stnt1vnx32hf */

    case 14:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11260; /* aarch64_stnt1vnx16sf */

    case 15:
      if (!
#line 480 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11262; /* aarch64_stnt1vnx8df */

    default:
      return -1;
    }
}

 int
recog_335 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern170 (x1))
    {
    case 0:
      if (!
#line 8904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10291; /* fold_extract_after_last_vnx16qi */

    case 1:
      if (!
#line 8904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10293; /* fold_extract_after_last_vnx8hi */

    case 2:
      if (!
#line 8904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10295; /* fold_extract_after_last_vnx4si */

    case 3:
      if (!
#line 8904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10297; /* fold_extract_after_last_vnx2di */

    case 4:
      if (!
#line 8904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10299; /* fold_extract_after_last_vnx8bf */

    case 5:
      if (!
#line 8904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10301; /* fold_extract_after_last_vnx8hf */

    case 6:
      if (!
#line 8904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10303; /* fold_extract_after_last_vnx4sf */

    case 7:
      if (!
#line 8904 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10305; /* fold_extract_after_last_vnx2df */

    case 8:
      if (!
#line 8918 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10307; /* aarch64_fold_extract_vector_after_last_vnx16qi */

    case 9:
      if (!
#line 8918 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10309; /* aarch64_fold_extract_vector_after_last_vnx8hi */

    case 10:
      if (!
#line 8918 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10311; /* aarch64_fold_extract_vector_after_last_vnx4si */

    case 11:
      if (!
#line 8918 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10313; /* aarch64_fold_extract_vector_after_last_vnx2di */

    case 12:
      if (!
#line 8918 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10315; /* aarch64_fold_extract_vector_after_last_vnx8bf */

    case 13:
      if (!
#line 8918 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10317; /* aarch64_fold_extract_vector_after_last_vnx8hf */

    case 14:
      if (!
#line 8918 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10319; /* aarch64_fold_extract_vector_after_last_vnx4sf */

    case 15:
      if (!
#line 8918 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10321; /* aarch64_fold_extract_vector_after_last_vnx2df */

    default:
      return -1;
    }
}

 int
recog_349 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern157 (x1))
    {
    case 0:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3817; /* aarch64_usri_nv8qi */

    case 1:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3821; /* aarch64_usri_nv16qi */

    case 2:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3825; /* aarch64_usri_nv4hi */

    case 3:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3829; /* aarch64_usri_nv8hi */

    case 4:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3833; /* aarch64_usri_nv2si */

    case 5:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3837; /* aarch64_usri_nv4si */

    case 6:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3841; /* aarch64_usri_nv2di */

    case 7:
      if (!
#line 6655 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 3845; /* aarch64_usri_ndi */

    default:
      return -1;
    }
}

 int
recog_357 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern194 (x1))
    {
    case 0:
      if (!
#line 3016 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12491; /* aarch64_sve_sqrdcmlah180vnx16qi */

    case 1:
      if (!
#line 3016 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12499; /* aarch64_sve_sqrdcmlah180vnx8hi */

    case 2:
      if (!
#line 3016 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12507; /* aarch64_sve_sqrdcmlah180vnx4si */

    case 3:
      if (!
#line 3016 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12515; /* aarch64_sve_sqrdcmlah180vnx2di */

    case 4:
      if (!
#line 3033 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12523; /* aarch64_sqrdcmlah180_lane_vnx8hi */

    case 5:
      if (!
#line 3033 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 12531; /* aarch64_sqrdcmlah180_lane_vnx4si */

    default:
      return -1;
    }
}

 int
recog_365 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (pattern56 (x2, 
E_DImode, 
31, 
E_BLKmode) != 0)
    return -1;
  x3 = XEXP (x1, 0);
  if (GET_CODE (x3) != MEM
      || GET_MODE (x3) != E_BLKmode)
    return -1;
  x4 = XEXP (x3, 0);
  if (GET_CODE (x4) != SCRATCH)
    return -1;
  x5 = XVECEXP (x2, 0, 1);
  operands[0] = x5;
  if (!register_operand (operands[0], E_DImode))
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  operands[1] = x6;
  if (!const_int_operand (operands[1], E_DImode)
      || !
#line 7876 "../../gcc/config/aarch64/aarch64.md"
(REGNO (operands[0]) == INTVAL (operands[1])))
    return -1;
  return 1140; /* stack_tie */
}

 int
recog_368 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XVECEXP (x3, 0, 0);
  operands[1] = x4;
  x5 = XVECEXP (x3, 0, 1);
  operands[2] = x5;
  x6 = XVECEXP (x3, 0, 2);
  operands[3] = x6;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx4SImode:
      if (pattern189 (x3, 
E_VNx4SImode, 
E_VNx4BImode) != 0
          || !
#line 3986 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && TARGET_NON_STREAMING))
        return -1;
      return 12870; /* aarch64_sve2_histcntvnx4si */

    case E_VNx2DImode:
      if (pattern189 (x3, 
E_VNx2DImode, 
E_VNx2BImode) != 0
          || !
#line 3986 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && TARGET_NON_STREAMING))
        return -1;
      return 12871; /* aarch64_sve2_histcntvnx2di */

    default:
      return -1;
    }
}

 int
recog_379 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern184 (x1))
    {
    case 0:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11799; /* aarch64_sve_sbclbvnx16qi */

    case 1:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11807; /* aarch64_sve_sbclbvnx8hi */

    case 2:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11815; /* aarch64_sve_sbclbvnx4si */

    case 3:
      if (!
#line 1451 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
        return -1;
      return 11823; /* aarch64_sve_sbclbvnx2di */

    default:
      return -1;
    }
}

 int
recog_387 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern178 (x1, pnum_clobbers))
    {
    case 0:
      if (!
#line 10271 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 8))
        return -1;
      *pnum_clobbers = 1;
      return 10926; /* aarch64_sve_pnextvnx16bi */

    case 1:
      if (!
#line 10271 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 16))
        return -1;
      *pnum_clobbers = 1;
      return 10928; /* aarch64_sve_pnextvnx8bi */

    case 2:
      if (!
#line 10271 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 32))
        return -1;
      *pnum_clobbers = 1;
      return 10930; /* aarch64_sve_pnextvnx4bi */

    case 3:
      if (!
#line 10271 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && 64 >= 64))
        return -1;
      *pnum_clobbers = 1;
      return 10932; /* aarch64_sve_pnextvnx2bi */

    default:
      return -1;
    }
}

 int
recog_395 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 2);
  if (XWINT (x3, 0) != 1L)
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 66
      || GET_MODE (x4) != E_CC_NZCmode)
    return -1;
  x5 = XVECEXP (x2, 0, 3);
  switch (GET_CODE (x5))
    {
    case CONST:
      operands[1] = x5;
      if (!aarch64_sve_ptrue_svpattern_immediate (operands[1], E_VNx16BImode))
        return -1;
      x6 = XEXP (x5, 0);
      if (GET_CODE (x6) != UNSPEC
          || XVECLEN (x6, 0) != 2
          || XINT (x6, 1) != 128
          || GET_MODE (x6) != E_VNx16BImode)
        return -1;
      x7 = XVECEXP (x2, 0, 0);
      operands[2] = x7;
      x8 = XVECEXP (x2, 0, 1);
      operands[3] = x8;
      x9 = XVECEXP (x6, 0, 0);
      operands[4] = x9;
      if (!const_int_operand (operands[4], E_SImode))
        return -1;
      x10 = XVECEXP (x6, 0, 1);
      operands[5] = x10;
      if (!aarch64_simd_imm_zero (operands[5], E_VNx16BImode)
          || !
#line 1035 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 5708; /* *aarch64_sve_ptruevnx16bi_ptest */

    case SUBREG:
      if (maybe_ne (SUBREG_BYTE (x5), 0))
        return -1;
      x6 = XEXP (x5, 0);
      if (!aarch64_sve_ptrue_svpattern_immediate (x6, E_VNx16BImode))
        return -1;
      operands[1] = x6;
      x11 = XEXP (x6, 0);
      if (GET_CODE (x11) != UNSPEC
          || XVECLEN (x11, 0) != 2
          || XINT (x11, 1) != 128
          || GET_MODE (x11) != E_VNx16BImode)
        return -1;
      x7 = XVECEXP (x2, 0, 0);
      operands[2] = x7;
      x8 = XVECEXP (x2, 0, 1);
      operands[3] = x8;
      x12 = XVECEXP (x11, 0, 0);
      operands[4] = x12;
      if (!const_int_operand (operands[4], E_SImode))
        return -1;
      x13 = XVECEXP (x11, 0, 1);
      operands[5] = x13;
      switch (GET_MODE (x5))
        {
        case E_VNx8BImode:
          if (!aarch64_simd_imm_zero (operands[5], E_VNx8BImode)
              || !
#line 1061 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 5709; /* *aarch64_sve_ptruevnx8bi_ptest */

        case E_VNx4BImode:
          if (!aarch64_simd_imm_zero (operands[5], E_VNx4BImode)
              || !
#line 1061 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 5710; /* *aarch64_sve_ptruevnx4bi_ptest */

        case E_VNx2BImode:
          if (!aarch64_simd_imm_zero (operands[5], E_VNx2BImode)
              || !
#line 1061 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 5711; /* *aarch64_sve_ptruevnx2bi_ptest */

        default:
          return -1;
        }

    case REG:
      if (REGNO (x5) != 86
          || GET_MODE (x5) != E_VNx16BImode)
        return -1;
      x7 = XVECEXP (x2, 0, 0);
      operands[1] = x7;
      if (!register_operand (operands[1], E_VNx16BImode))
        return -1;
      x8 = XVECEXP (x2, 0, 1);
      if (!rtx_equal_p (x8, operands[1])
          || !
#line 1200 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
        return -1;
      *pnum_clobbers = 1;
      return 5720; /* *aarch64_rdffr_ptest */

    case UNSPEC:
      return recog_394 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_404 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  if (GET_MODE (x2) != E_VNx16QImode
      || pattern255 (x2, 
89, 
E_VNx16QImode, 
93) != 0)
    return -1;
  x3 = XVECEXP (x2, 0, 3);
  if (GET_CODE (x3) != MEM
      || GET_MODE (x3) != E_VNx16QImode)
    return -1;
  x4 = XEXP (x1, 0);
  if (GET_CODE (x4) != REG
      || REGNO (x4) != 93
      || GET_MODE (x4) != E_VNx16QImode)
    return -1;
  x5 = XVECEXP (x2, 0, 2);
  switch (GET_CODE (x5))
    {
    case REG:
    case SUBREG:
      operands[0] = x5;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x6 = XEXP (x3, 0);
      operands[1] = x6;
      if (!pmode_register_operand (operands[1], E_VOIDmode)
          || !
#line 512 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_SME))
        return -1;
      return 12948; /* aarch64_sme_ldr0 */

    case PLUS:
      if (GET_MODE (x5) != E_SImode)
        return -1;
      x6 = XEXP (x3, 0);
      if (GET_CODE (x6) != PLUS)
        return -1;
      x7 = XEXP (x5, 0);
      operands[0] = x7;
      if (!register_operand (operands[0], E_SImode))
        return -1;
      x8 = XEXP (x5, 1);
      operands[1] = x8;
      if (!const_int_operand (operands[1], E_SImode))
        return -1;
      x9 = XEXP (x6, 0);
      operands[2] = x9;
      x10 = XEXP (x6, 1);
      operands[3] = x10;
      switch (GET_MODE (x6))
        {
        case E_SImode:
          if (!register_operand (operands[2], E_SImode)
              || !aarch64_mov_operand (operands[3], E_SImode)
              || !(
#line 527 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_SME
   && aarch64_sme_ldr_vnum_offset_p (operands[1], operands[3])) && 
#line 163 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode)))
            return -1;
          return 12949; /* aarch64_sme_ldrnsi */

        case E_DImode:
          if (!register_operand (operands[2], E_DImode)
              || !aarch64_mov_operand (operands[3], E_DImode)
              || !(
#line 527 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_SME
   && aarch64_sme_ldr_vnum_offset_p (operands[1], operands[3])) && 
#line 164 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode)))
            return -1;
          return 12950; /* aarch64_sme_ldrndi */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_405 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 3);
  if (GET_CODE (x3) != CONST_INT)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  x5 = XVECEXP (x2, 0, 0);
  operands[1] = x5;
  x6 = XVECEXP (x2, 0, 1);
  operands[2] = x6;
  if (!register_operand (operands[2], E_VNx16QImode))
    return -1;
  x7 = XVECEXP (x2, 0, 2);
  operands[3] = x7;
  if (!const_int_operand (operands[3], E_DImode))
    return -1;
  switch (XWINT (x3, 0))
    {
    case 2L:
      switch (pattern990 (x2))
        {
        case 0:
          if (!
#line 4109 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12885; /* aarch64_sve_luti2vnx16qi */

        case 1:
          if (!
#line 4109 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12887; /* aarch64_sve_luti2vnx8hi */

        case 2:
          if (!
#line 4121 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12893; /* aarch64_sve_luti2vnx16hi */

        case 3:
          if (!
#line 4109 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12889; /* aarch64_sve_luti2vnx8hf */

        case 4:
          if (!
#line 4121 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12895; /* aarch64_sve_luti2vnx16hf */

        case 5:
          if (!
#line 4109 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12891; /* aarch64_sve_luti2vnx8bf */

        case 6:
          if (!
#line 4121 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12897; /* aarch64_sve_luti2vnx16bf */

        default:
          return -1;
        }

    case 4L:
      switch (pattern990 (x2))
        {
        case 0:
          if (!
#line 4109 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12886; /* aarch64_sve_luti4vnx16qi */

        case 1:
          if (!
#line 4109 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12888; /* aarch64_sve_luti4vnx8hi */

        case 2:
          if (!
#line 4121 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12894; /* aarch64_sve_luti4vnx16hi */

        case 3:
          if (!
#line 4109 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12890; /* aarch64_sve_luti4vnx8hf */

        case 4:
          if (!
#line 4121 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12896; /* aarch64_sve_luti4vnx16hf */

        case 5:
          if (!
#line 4109 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12892; /* aarch64_sve_luti4vnx8bf */

        case 6:
          if (!
#line 4121 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_LUT && TARGET_SVE2_OR_SME2))
            return -1;
          return 12898; /* aarch64_sve_luti4vnx16bf */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_412 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XVECEXP (x2, 0, 1);
  if (GET_CODE (x3) != CONST_INT)
    return -1;
  operands[4] = x3;
  if (aarch64_sve_gp_strictness (operands[4], E_SImode))
    {
      x4 = XEXP (x1, 0);
      operands[0] = x4;
      x5 = XVECEXP (x2, 0, 0);
      operands[1] = x5;
      switch (pattern204 (x2))
        {
        case 0:
          if (
#line 6728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9010; /* aarch64_pred_fminvnx8hf */
          break;

        case 1:
          if (
#line 6728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9016; /* aarch64_pred_fminvnx4sf */
          break;

        case 2:
          if (
#line 6728 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return 9022; /* aarch64_pred_fminvnx2df */
          break;

        case 3:
          if (
#line 1347 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_B16B16 && true))
            return 11773; /* aarch64_pred_fminvnx8bf */
          break;

        default:
          break;
        }
    }
  if (XWINT (x3, 0) != 0L)
    return -1;
  x6 = XVECEXP (x2, 0, 2);
  if (pattern480 (x6, 
373) != 0)
    return -1;
  x4 = XEXP (x1, 0);
  operands[0] = x4;
  switch (pattern919 (x2))
    {
    case 0:
      if (!
#line 491 "../../gcc/config/aarch64/iterators.md"
(TARGET_SSVE_B16B16))
        return -1;
      return 11783; /* *aarch64_sve_fclampvnx8bf_x */

    case 1:
      if (!
#line 492 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11784; /* *aarch64_sve_fclampvnx8hf_x */

    case 2:
      if (!
#line 493 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11785; /* *aarch64_sve_fclampvnx4sf_x */

    case 3:
      if (!
#line 494 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2))
        return -1;
      return 11786; /* *aarch64_sve_fclampvnx2df_x */

    default:
      return -1;
    }
}

 int
recog_416 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4;
  int res ATTRIBUTE_UNUSED;
  switch (pattern213 (x1))
    {
    case 0:
      if (!
#line 8512 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10178; /* aarch64_pred_fcmlevnx8hf */

    case 1:
      if (!
#line 8512 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10184; /* aarch64_pred_fcmlevnx4sf */

    case 2:
      if (!
#line 8512 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10190; /* aarch64_pred_fcmlevnx2df */

    case 3:
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 2);
      x4 = XVECEXP (x3, 0, 1);
      if (XWINT (x4, 0) == 0L)
        {
          switch (pattern1252 (x2))
            {
            case 0:
              if (
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10261; /* *aarch64_pred_faclevnx8hf_relaxed */
              break;

            case 1:
              if (
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10265; /* *aarch64_pred_faclevnx4sf_relaxed */
              break;

            case 2:
              if (
#line 8785 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
                return 10269; /* *aarch64_pred_faclevnx2df_relaxed */
              break;

            default:
              break;
            }
        }
      operands[5] = x4;
      switch (pattern1253 (x2))
        {
        case 0:
          if (!
#line 8811 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10273; /* *aarch64_pred_faclevnx8hf_strict */

        case 1:
          if (!
#line 8811 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10277; /* *aarch64_pred_faclevnx4sf_strict */

        case 2:
          if (!
#line 8811 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 10281; /* *aarch64_pred_faclevnx2df_strict */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_425 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern222 (x1))
    {
    case 0:
      if (!
#line 1159 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13352; /* aarch64_sme_subvnx8si */

    case 1:
      if (!(
#line 1159 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13354; /* aarch64_sme_subvnx4di */

    case 2:
      if (!
#line 1159 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13356; /* aarch64_sme_subvnx16si */

    case 3:
      if (!(
#line 1159 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 721 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13358; /* aarch64_sme_subvnx8di */

    case 4:
      if (!
#line 1172 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13360; /* *aarch64_sme_subvnx8si_plus */

    case 5:
      if (!(
#line 1172 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 720 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13362; /* *aarch64_sme_subvnx4di_plus */

    case 6:
      if (!
#line 1172 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
        return -1;
      return 13364; /* *aarch64_sme_subvnx16si_plus */

    case 7:
      if (!(
#line 1172 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2) && 
#line 721 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
        return -1;
      return 13366; /* *aarch64_sme_subvnx8di_plus */

    default:
      return -1;
    }
}

 int
recog_433 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7;
  int res ATTRIBUTE_UNUSED;
  switch (pattern221 (x1))
    {
    case 0:
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 3);
      switch (GET_CODE (x3))
        {
        case REG:
        case SUBREG:
          switch (pattern239 (x1))
            {
            case 0:
              if (!
#line 1288 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
                return -1;
              return 13433; /* aarch64_sme_usdotvnx4sivnx32qi */

            case 1:
              if (!
#line 1288 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
                return -1;
              return 13436; /* aarch64_sme_usdotvnx4sivnx64qi */

            case 2:
              if (!
#line 1288 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
                return -1;
              return 13439; /* aarch64_sme_usdotvnx4sivnx16hi */

            case 3:
              if (!
#line 1288 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
                return -1;
              return 13442; /* aarch64_sme_usdotvnx4sivnx32hi */

            case 4:
              if (!(
#line 1288 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13445; /* aarch64_sme_usdotvnx2divnx32qi */

            case 5:
              if (!(
#line 1288 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13448; /* aarch64_sme_usdotvnx2divnx64qi */

            case 6:
              if (!(
#line 1288 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13451; /* aarch64_sme_usdotvnx2divnx16hi */

            case 7:
              if (!(
#line 1288 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13454; /* aarch64_sme_usdotvnx2divnx32hi */

            case 8:
              if (!
#line 1320 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
                return -1;
              return 13481; /* aarch64_sme_single_usdotvnx4sivnx32qi */

            case 9:
              if (!
#line 1320 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
                return -1;
              return 13484; /* aarch64_sme_single_usdotvnx4sivnx64qi */

            case 10:
              if (!
#line 1320 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
                return -1;
              return 13487; /* aarch64_sme_single_usdotvnx4sivnx16hi */

            case 11:
              if (!
#line 1320 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
                return -1;
              return 13490; /* aarch64_sme_single_usdotvnx4sivnx32hi */

            case 12:
              if (!(
#line 1320 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13493; /* aarch64_sme_single_usdotvnx2divnx32qi */

            case 13:
              if (!(
#line 1320 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13496; /* aarch64_sme_single_usdotvnx2divnx64qi */

            case 14:
              if (!(
#line 1320 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13499; /* aarch64_sme_single_usdotvnx2divnx16hi */

            case 15:
              if (!(
#line 1320 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13502; /* aarch64_sme_single_usdotvnx2divnx32hi */

            case 16:
              if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
                return -1;
              return 13537; /* aarch64_sme_lane_usdotvnx4sivnx32qi */

            case 17:
              if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
                return -1;
              return 13545; /* aarch64_sme_lane_usdotvnx4sivnx64qi */

            case 18:
              if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
                return -1;
              return 13553; /* aarch64_sme_lane_usdotvnx4sivnx16hi */

            case 19:
              if (!
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
                return -1;
              return 13561; /* aarch64_sme_lane_usdotvnx4sivnx32hi */

            case 20:
              if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13569; /* aarch64_sme_lane_usdotvnx2divnx32qi */

            case 21:
              if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13577; /* aarch64_sme_lane_usdotvnx2divnx64qi */

            case 22:
              if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13585; /* aarch64_sme_lane_usdotvnx2divnx16hi */

            case 23:
              if (!(
#line 1385 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13593; /* aarch64_sme_lane_usdotvnx2divnx32hi */

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x4 = XEXP (x1, 0);
          if (GET_MODE (x4) != E_VNx4SImode
              || GET_MODE (x2) != E_VNx4SImode)
            return -1;
          x5 = XVECEXP (x2, 0, 0);
          if (GET_MODE (x5) != E_VNx4SImode)
            return -1;
          x6 = XEXP (x3, 0);
          operands[2] = x6;
          if (!register_operand (operands[2], E_VNx16QImode))
            return -1;
          x7 = XVECEXP (x2, 0, 4);
          operands[1] = x7;
          switch (GET_MODE (x3))
            {
            case E_VNx32QImode:
              if (!register_operand (operands[1], E_VNx32QImode)
                  || !
#line 1354 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13527; /* aarch64_sme_single_sudotvnx4sivnx32qi */

            case E_VNx64QImode:
              if (!register_operand (operands[1], E_VNx64QImode)
                  || !
#line 1354 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13528; /* aarch64_sme_single_sudotvnx4sivnx64qi */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 1:
      x2 = XEXP (x1, 1);
      x3 = XVECEXP (x2, 0, 3);
      switch (GET_CODE (x3))
        {
        case REG:
        case SUBREG:
          switch (pattern243 (x1))
            {
            case 0:
              if (!
#line 1304 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
                return -1;
              return 13457; /* *aarch64_sme_usdotvnx4sivnx32qi_plus */

            case 1:
              if (!
#line 1304 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
                return -1;
              return 13460; /* *aarch64_sme_usdotvnx4sivnx64qi_plus */

            case 2:
              if (!
#line 1304 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
                return -1;
              return 13463; /* *aarch64_sme_usdotvnx4sivnx16hi_plus */

            case 3:
              if (!
#line 1304 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
                return -1;
              return 13466; /* *aarch64_sme_usdotvnx4sivnx32hi_plus */

            case 4:
              if (!(
#line 1304 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13469; /* *aarch64_sme_usdotvnx2divnx32qi_plus */

            case 5:
              if (!(
#line 1304 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13472; /* *aarch64_sme_usdotvnx2divnx64qi_plus */

            case 6:
              if (!(
#line 1304 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13475; /* *aarch64_sme_usdotvnx2divnx16hi_plus */

            case 7:
              if (!(
#line 1304 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13478; /* *aarch64_sme_usdotvnx2divnx32hi_plus */

            case 8:
              if (!
#line 1337 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
                return -1;
              return 13505; /* *aarch64_sme_single_usdotvnx4sivnx32qi_plus */

            case 9:
              if (!
#line 1337 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
                return -1;
              return 13508; /* *aarch64_sme_single_usdotvnx4sivnx64qi_plus */

            case 10:
              if (!
#line 1337 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
                return -1;
              return 13511; /* *aarch64_sme_single_usdotvnx4sivnx16hi_plus */

            case 11:
              if (!
#line 1337 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
                return -1;
              return 13514; /* *aarch64_sme_single_usdotvnx4sivnx32hi_plus */

            case 12:
              if (!(
#line 1337 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13517; /* *aarch64_sme_single_usdotvnx2divnx32qi_plus */

            case 13:
              if (!(
#line 1337 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13520; /* *aarch64_sme_single_usdotvnx2divnx64qi_plus */

            case 14:
              if (!(
#line 1337 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13523; /* *aarch64_sme_single_usdotvnx2divnx16hi_plus */

            case 15:
              if (!(
#line 1337 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13526; /* *aarch64_sme_single_usdotvnx2divnx32hi_plus */

            case 16:
              if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
                return -1;
              return 13601; /* *aarch64_sme_lane_usdotvnx4sivnx32qi_plus */

            case 17:
              if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 8 == 16)
   && (8 == 8 || false)))
                return -1;
              return 13609; /* *aarch64_sme_lane_usdotvnx4sivnx64qi_plus */

            case 18:
              if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
                return -1;
              return 13617; /* *aarch64_sme_lane_usdotvnx4sivnx16hi_plus */

            case 19:
              if (!
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (32 == 32 || 16 == 16)
   && (16 == 8 || false)))
                return -1;
              return 13625; /* *aarch64_sme_lane_usdotvnx4sivnx32hi_plus */

            case 20:
              if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13633; /* *aarch64_sme_lane_usdotvnx2divnx32qi_plus */

            case 21:
              if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 8 == 16)
   && (8 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13641; /* *aarch64_sme_lane_usdotvnx2divnx64qi_plus */

            case 22:
              if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13649; /* *aarch64_sme_lane_usdotvnx2divnx16hi_plus */

            case 23:
              if (!(
#line 1404 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2
   && (64 == 32 || 16 == 16)
   && (16 == 8 || false)) && 
#line 702 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_I16I64)))
                return -1;
              return 13657; /* *aarch64_sme_lane_usdotvnx2divnx32hi_plus */

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x4 = XEXP (x1, 0);
          if (GET_MODE (x4) != E_VNx4SImode
              || GET_MODE (x2) != E_VNx4SImode)
            return -1;
          x5 = XVECEXP (x2, 0, 0);
          if (GET_MODE (x5) != E_VNx4SImode)
            return -1;
          x6 = XEXP (x3, 0);
          operands[3] = x6;
          if (!register_operand (operands[3], E_VNx16QImode))
            return -1;
          x7 = XVECEXP (x2, 0, 4);
          operands[2] = x7;
          switch (GET_MODE (x3))
            {
            case E_VNx32QImode:
              if (!register_operand (operands[2], E_VNx32QImode)
                  || !
#line 1369 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13529; /* *aarch64_sme_single_sudotvnx4sivnx32qi_plus */

            case E_VNx64QImode:
              if (!register_operand (operands[2], E_VNx64QImode)
                  || !
#line 1369 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13530; /* *aarch64_sme_single_sudotvnx4sivnx64qi_plus */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_444 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (XINT (x2, 1))
    {
    case 43:
      return recog_157 (x1, insn, pnum_clobbers);

    case 9:
      if (pattern71 (x1, 
E_QImode, 
E_SImode) != 0
          || !
#line 4716 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CRC32))
        return -1;
      return 465; /* aarch64_crc32b */

    case 14:
      if (pattern71 (x1, 
E_HImode, 
E_SImode) != 0
          || !
#line 4716 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CRC32))
        return -1;
      return 466; /* aarch64_crc32h */

    case 15:
      if (pattern72 (x1, 
E_SImode) != 0
          || !
#line 4716 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CRC32))
        return -1;
      return 467; /* aarch64_crc32w */

    case 16:
      if (pattern71 (x1, 
E_DImode, 
E_SImode) != 0
          || !
#line 4716 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CRC32))
        return -1;
      return 468; /* aarch64_crc32x */

    case 10:
      if (pattern71 (x1, 
E_QImode, 
E_SImode) != 0
          || !
#line 4716 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CRC32))
        return -1;
      return 469; /* aarch64_crc32cb */

    case 11:
      if (pattern71 (x1, 
E_HImode, 
E_SImode) != 0
          || !
#line 4716 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CRC32))
        return -1;
      return 470; /* aarch64_crc32ch */

    case 12:
      if (pattern72 (x1, 
E_SImode) != 0
          || !
#line 4716 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CRC32))
        return -1;
      return 471; /* aarch64_crc32cw */

    case 13:
      if (pattern71 (x1, 
E_DImode, 
E_SImode) != 0
          || !
#line 4716 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CRC32))
        return -1;
      return 472; /* aarch64_crc32cx */

    case 84:
      if (pattern71 (x1, 
E_QImode, 
E_DImode) != 0
          || !
#line 6076 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD))
        return -1;
      return 757; /* *aarch64_sisd_ushl */

    case 105:
      if (pattern71 (x1, 
E_QImode, 
E_SImode) != 0
          || !
#line 6086 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD))
        return -1;
      return 758; /* *aarch64_ushl_2s */

    case 83:
      if (pattern71 (x1, 
E_QImode, 
E_DImode) != 0
          || !
#line 6096 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD))
        return -1;
      return 759; /* *aarch64_sisd_sshl */

    case 85:
      if (pattern71 (x1, 
E_QImode, 
E_SImode) != 0
          || !
#line 6106 "../../gcc/config/aarch64/aarch64.md"
(TARGET_SIMD))
        return -1;
      return 760; /* *aarch64_sshl_2s */

    case 19:
      return recog_152 (x1, insn, pnum_clobbers);

    case 20:
      return recog_151 (x1, insn, pnum_clobbers);

    case 79:
      return recog_150 (x1, insn, pnum_clobbers);

    case 104:
      return recog_149 (x1, insn, pnum_clobbers);

    case 196:
      return recog_95 (x1, insn, pnum_clobbers);

    case 199:
      return recog_94 (x1, insn, pnum_clobbers);

    case 277:
      return recog_93 (x1, insn, pnum_clobbers);

    case 278:
      return recog_74 (x1, insn, pnum_clobbers);

    case 42:
      return recog_126 (x1, insn, pnum_clobbers);

    case 99:
      switch (pattern80 (x1))
        {
        case 0:
          if (!
#line 163 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
            return -1;
          return 1128; /* tlsle12_si */

        case 1:
          if (!
#line 164 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
            return -1;
          return 1129; /* tlsle12_di */

        default:
          return -1;
        }

    case 100:
      switch (pattern80 (x1))
        {
        case 0:
          if (!
#line 163 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode || Pmode == SImode))
            return -1;
          return 1130; /* tlsle24_si */

        case 1:
          if (!
#line 164 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode || Pmode == DImode))
            return -1;
          return 1131; /* tlsle24_di */

        default:
          return -1;
        }

    case 74:
      if (pattern82 (x1, 
E_DImode, 
30, 
31) != 0)
        return -1;
      return 1142; /* paciasp */

    case 2:
      if (pattern82 (x1, 
E_DImode, 
30, 
31) != 0)
        return -1;
      return 1143; /* autiasp */

    case 75:
      if (pattern82 (x1, 
E_DImode, 
30, 
31) != 0)
        return -1;
      return 1144; /* pacibsp */

    case 3:
      if (pattern82 (x1, 
E_DImode, 
30, 
31) != 0)
        return -1;
      return 1145; /* autibsp */

    case 72:
      if (pattern82 (x1, 
E_DImode, 
17, 
16) != 0)
        return -1;
      return 1146; /* pacia1716 */

    case 0:
      if (pattern82 (x1, 
E_DImode, 
17, 
16) != 0)
        return -1;
      return 1147; /* autia1716 */

    case 73:
      if (pattern82 (x1, 
E_DImode, 
17, 
16) != 0)
        return -1;
      return 1148; /* pacib1716 */

    case 1:
      if (pattern82 (x1, 
E_DImode, 
17, 
16) != 0)
        return -1;
      return 1149; /* autib1716 */

    case 109:
      return recog_148 (x1, insn, pnum_clobbers);

    case 154:
      if (pattern84 (x1) != 0)
        return -1;
      return 1169; /* speculation_tracker */

    case 155:
      if (pattern84 (x1) != 0)
        return -1;
      return 1170; /* speculation_tracker_rev */

    case 405:
      return recog_170 (x1, insn, pnum_clobbers);

    case 406:
      return recog_169 (x1, insn, pnum_clobbers);

    case 112:
      return recog_117 (x1, insn, pnum_clobbers);

    case 186:
      return recog_156 (x1, insn, pnum_clobbers);

    case 185:
      return recog_155 (x1, insn, pnum_clobbers);

    case 274:
      return recog_90 (x1, insn, pnum_clobbers);

    case 208:
      return recog_122 (x1, insn, pnum_clobbers);

    case 209:
      return recog_120 (x1, insn, pnum_clobbers);

    case 206:
      return recog_121 (x1, insn, pnum_clobbers);

    case 207:
      return recog_119 (x1, insn, pnum_clobbers);

    case 198:
      return recog_147 (x1, insn, pnum_clobbers);

    case 201:
      return recog_146 (x1, insn, pnum_clobbers);

    case 197:
      return recog_145 (x1, insn, pnum_clobbers);

    case 200:
      return recog_144 (x1, insn, pnum_clobbers);

    case 202:
      return recog_143 (x1, insn, pnum_clobbers);

    case 218:
      return recog_159 (x1, insn, pnum_clobbers);

    case 271:
      return recog_110 (x1, insn, pnum_clobbers);

    case 219:
      return recog_75 (x1, insn, pnum_clobbers);

    case 221:
      return recog_88 (x1, insn, pnum_clobbers);

    case 220:
      return recog_116 (x1, insn, pnum_clobbers);

    case 216:
      return recog_73 (x1, insn, pnum_clobbers);

    case 217:
      return recog_78 (x1, insn, pnum_clobbers);

    case 229:
      return recog_142 (x1, insn, pnum_clobbers);

    case 230:
      return recog_141 (x1, insn, pnum_clobbers);

    case 231:
      return recog_92 (x1, insn, pnum_clobbers);

    case 232:
      return recog_91 (x1, insn, pnum_clobbers);

    case 227:
      return recog_98 (x1, insn, pnum_clobbers);

    case 228:
      return recog_97 (x1, insn, pnum_clobbers);

    case 233:
      return recog_115 (x1, insn, pnum_clobbers);

    case 234:
      return recog_114 (x1, insn, pnum_clobbers);

    case 226:
      return recog_96 (x1, insn, pnum_clobbers);

    case 94:
      return recog_86 (x1, insn, pnum_clobbers);

    case 95:
      return recog_85 (x1, insn, pnum_clobbers);

    case 96:
      return recog_84 (x1, insn, pnum_clobbers);

    case 183:
      return recog_113 (x1, insn, pnum_clobbers);

    case 273:
      return recog_77 (x1, insn, pnum_clobbers);

    case 242:
      return recog_89 (x1, insn, pnum_clobbers);

    case 246:
      if (pattern103 (x1, 
E_V16QImode, 
E_V2x16QImode) != 0
          || !
#line 8615 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 4829; /* aarch64_combinev16qi */

    case 247:
      return recog_72 (x1, insn, pnum_clobbers);

    case 248:
      return recog_83 (x1, insn, pnum_clobbers);

    case 251:
      return recog_82 (x1, insn, pnum_clobbers);

    case 252:
      return recog_81 (x1, insn, pnum_clobbers);

    case 249:
      return recog_80 (x1, insn, pnum_clobbers);

    case 250:
      return recog_79 (x1, insn, pnum_clobbers);

    case 28:
      return recog_112 (x1, insn, pnum_clobbers);

    case 266:
      if (pattern72 (x1, 
E_V4SImode) != 0
          || !
#line 9015 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA2))
        return -1;
      return 5170; /* aarch64_crypto_sha1su1v4si */

    case 269:
      if (pattern72 (x1, 
E_V4SImode) != 0
          || !
#line 9060 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA2))
        return -1;
      return 5177; /* aarch64_crypto_sha256su0v4si */

    case 292:
      if (pattern72 (x1, 
E_V2DImode) != 0
          || !
#line 9094 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SHA3))
        return -1;
      return 5181; /* aarch64_crypto_sha512su0qv2di */

    case 288:
      switch (pattern105 (x1))
        {
        case 0:
          if (!
#line 9229 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SM4))
            return -1;
          return 5200; /* aarch64_sm4eqv4si */

        case 1:
          if (!
#line 4232 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_SM4))
            return -1;
          return 12906; /* aarch64_sve2_sm4e */

        default:
          return -1;
        }

    case 289:
      switch (pattern105 (x1))
        {
        case 0:
          if (!
#line 9239 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SM4))
            return -1;
          return 5201; /* aarch64_sm4ekeyqv4si */

        case 1:
          if (!
#line 4243 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2_SM4))
            return -1;
          return 12907; /* aarch64_sve2_sm4ekey */

        default:
          return -1;
        }

    case 272:
      if (pattern103 (x1, 
E_V2DImode, 
E_TImode) != 0
          || !
#line 9835 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_AES))
        return -1;
      return 5227; /* aarch64_crypto_pmullv2di */

    case 586:
      if (pattern71 (x1, 
E_V4SFmode, 
E_V8BFmode) != 0
          || !
#line 9986 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_BF16_SIMD))
        return -1;
      return 5261; /* aarch64_bfcvtn2v8bf */

    case 589:
      return recog_168 (x1, insn, pnum_clobbers);

    case 590:
      return recog_167 (x1, insn, pnum_clobbers);

    case 190:
      return recog_192 (x1, insn, pnum_clobbers);

    case 192:
      return recog_191 (x1, insn, pnum_clobbers);

    case 204:
      return recog_118 (x1, insn, pnum_clobbers);

    case 69:
      if (GET_MODE (x2) != E_BLKmode)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      x4 = XVECEXP (x2, 0, 1);
      operands[1] = x4;
      if (!const_int_operand (operands[1], E_SImode))
        return -1;
      x5 = XVECEXP (x2, 0, 0);
      if (!rtx_equal_p (x5, operands[0]))
        return -1;
      return 5519; /* *dmb */

    case 125:
      return recog_71 (x1, insn, pnum_clobbers);

    case 152:
      return recog_104 (x1, insn, pnum_clobbers);

    case 158:
      return recog_154 (x1, insn, pnum_clobbers);

    case 119:
      return recog_109 (x1, insn, pnum_clobbers);

    case 177:
      return recog_103 (x1, insn, pnum_clobbers);

    case 148:
      return recog_108 (x1, insn, pnum_clobbers);

    case 398:
      return recog_140 (x1, insn, pnum_clobbers);

    case 399:
      return recog_139 (x1, insn, pnum_clobbers);

    case 298:
      return recog_105 (x1, insn, pnum_clobbers);

    case 400:
      switch (pattern110 (x1))
        {
        case 0:
          if (!
#line 4978 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8314; /* aarch64_sve_lslvnx16qi */

        case 1:
          if (!
#line 4978 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8317; /* aarch64_sve_lslvnx8hi */

        case 2:
          if (!
#line 4978 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8320; /* aarch64_sve_lslvnx4si */

        default:
          return -1;
        }

    case 401:
      switch (pattern110 (x1))
        {
        case 0:
          if (!
#line 4978 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8315; /* aarch64_sve_asrvnx16qi */

        case 1:
          if (!
#line 4978 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8318; /* aarch64_sve_asrvnx8hi */

        case 2:
          if (!
#line 4978 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8321; /* aarch64_sve_asrvnx4si */

        default:
          return -1;
        }

    case 402:
      switch (pattern110 (x1))
        {
        case 0:
          if (!
#line 4978 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8316; /* aarch64_sve_lsrvnx16qi */

        case 1:
          if (!
#line 4978 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8319; /* aarch64_sve_lsrvnx8hi */

        case 2:
          if (!
#line 4978 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8322; /* aarch64_sve_lsrvnx4si */

        default:
          return -1;
        }

    case 328:
      switch (pattern112 (x1))
        {
        case 0:
          if (!
#line 5184 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8439; /* aarch64_sve_ftsmulvnx8hf */

        case 1:
          if (!
#line 5184 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8441; /* aarch64_sve_ftsmulvnx4sf */

        case 2:
          if (!
#line 5184 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8443; /* aarch64_sve_ftsmulvnx2df */

        default:
          return -1;
        }

    case 329:
      switch (pattern112 (x1))
        {
        case 0:
          if (!
#line 5184 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8440; /* aarch64_sve_ftsselvnx8hf */

        case 1:
          if (!
#line 5184 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8442; /* aarch64_sve_ftsselvnx4sf */

        case 2:
          if (!
#line 5184 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          return 8444; /* aarch64_sve_ftsselvnx2df */

        default:
          return -1;
        }

    case 313:
      return recog_125 (x1, insn, pnum_clobbers);

    case 314:
      return recog_123 (x1, insn, pnum_clobbers);

    case 315:
      return recog_124 (x1, insn, pnum_clobbers);

    case 308:
      return recog_190 (x1, insn, pnum_clobbers);

    case 309:
      return recog_189 (x1, insn, pnum_clobbers);

    case 310:
      return recog_188 (x1, insn, pnum_clobbers);

    case 311:
      return recog_187 (x1, insn, pnum_clobbers);

    case 312:
      return recog_186 (x1, insn, pnum_clobbers);

    case 243:
      return recog_107 (x1, insn, pnum_clobbers);

    case 172:
      return recog_138 (x1, insn, pnum_clobbers);

    case 628:
      return recog_102 (x1, insn, pnum_clobbers);

    case 629:
      return recog_101 (x1, insn, pnum_clobbers);

    case 630:
      return recog_100 (x1, insn, pnum_clobbers);

    case 631:
      return recog_99 (x1, insn, pnum_clobbers);

    case 338:
      return recog_137 (x1, insn, pnum_clobbers);

    case 339:
      return recog_136 (x1, insn, pnum_clobbers);

    case 334:
      return recog_135 (x1, insn, pnum_clobbers);

    case 335:
      return recog_134 (x1, insn, pnum_clobbers);

    case 336:
      return recog_132 (x1, insn, pnum_clobbers);

    case 337:
      return recog_133 (x1, insn, pnum_clobbers);

    case 133:
      return recog_111 (x1, insn, pnum_clobbers);

    case 612:
      return recog_153 (x1, insn, pnum_clobbers);

    case 607:
      return recog_131 (x1, insn, pnum_clobbers);

    case 609:
      return recog_76 (x1, insn, pnum_clobbers);

    case 494:
      switch (pattern118 (x1))
        {
        case 0:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12022; /* aarch64_sve_saddwbvnx8hi */

        case 1:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12030; /* aarch64_sve_saddwbvnx4si */

        case 2:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12038; /* aarch64_sve_saddwbvnx2di */

        default:
          return -1;
        }

    case 495:
      switch (pattern118 (x1))
        {
        case 0:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12023; /* aarch64_sve_saddwtvnx8hi */

        case 1:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12031; /* aarch64_sve_saddwtvnx4si */

        case 2:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12039; /* aarch64_sve_saddwtvnx2di */

        default:
          return -1;
        }

    case 539:
      switch (pattern118 (x1))
        {
        case 0:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12024; /* aarch64_sve_ssubwbvnx8hi */

        case 1:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12032; /* aarch64_sve_ssubwbvnx4si */

        case 2:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12040; /* aarch64_sve_ssubwbvnx2di */

        default:
          return -1;
        }

    case 540:
      switch (pattern118 (x1))
        {
        case 0:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12025; /* aarch64_sve_ssubwtvnx8hi */

        case 1:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12033; /* aarch64_sve_ssubwtvnx4si */

        case 2:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12041; /* aarch64_sve_ssubwtvnx2di */

        default:
          return -1;
        }

    case 551:
      switch (pattern118 (x1))
        {
        case 0:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12026; /* aarch64_sve_uaddwbvnx8hi */

        case 1:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12034; /* aarch64_sve_uaddwbvnx4si */

        case 2:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12042; /* aarch64_sve_uaddwbvnx2di */

        default:
          return -1;
        }

    case 552:
      switch (pattern118 (x1))
        {
        case 0:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12027; /* aarch64_sve_uaddwtvnx8hi */

        case 1:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12035; /* aarch64_sve_uaddwtvnx4si */

        case 2:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12043; /* aarch64_sve_uaddwtvnx2di */

        default:
          return -1;
        }

    case 571:
      switch (pattern118 (x1))
        {
        case 0:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12028; /* aarch64_sve_usubwbvnx8hi */

        case 1:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12036; /* aarch64_sve_usubwbvnx4si */

        case 2:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12044; /* aarch64_sve_usubwbvnx2di */

        default:
          return -1;
        }

    case 572:
      switch (pattern118 (x1))
        {
        case 0:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12029; /* aarch64_sve_usubwtvnx8hi */

        case 1:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12037; /* aarch64_sve_usubwtvnx4si */

        case 2:
          if (!
#line 2233 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12045; /* aarch64_sve_usubwtvnx2di */

        default:
          return -1;
        }

    case 489:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12046; /* aarch64_sve_sabdlbvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12067; /* aarch64_sve_sabdlbvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12088; /* aarch64_sve_sabdlbvnx2di */

        default:
          return -1;
        }

    case 490:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12047; /* aarch64_sve_sabdltvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12068; /* aarch64_sve_sabdltvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12089; /* aarch64_sve_sabdltvnx2di */

        default:
          return -1;
        }

    case 491:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12048; /* aarch64_sve_saddlbvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12069; /* aarch64_sve_saddlbvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12090; /* aarch64_sve_saddlbvnx2di */

        default:
          return -1;
        }

    case 492:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12049; /* aarch64_sve_saddlbtvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12070; /* aarch64_sve_saddlbtvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12091; /* aarch64_sve_saddlbtvnx2di */

        default:
          return -1;
        }

    case 493:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12050; /* aarch64_sve_saddltvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12071; /* aarch64_sve_saddltvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12092; /* aarch64_sve_saddltvnx2di */

        default:
          return -1;
        }

    case 505:
      return recog_166 (x1, insn, pnum_clobbers);

    case 506:
      return recog_165 (x1, insn, pnum_clobbers);

    case 509:
      return recog_164 (x1, insn, pnum_clobbers);

    case 511:
      return recog_163 (x1, insn, pnum_clobbers);

    case 535:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12055; /* aarch64_sve_ssublbvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12076; /* aarch64_sve_ssublbvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12097; /* aarch64_sve_ssublbvnx2di */

        default:
          return -1;
        }

    case 536:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12056; /* aarch64_sve_ssublbtvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12077; /* aarch64_sve_ssublbtvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12098; /* aarch64_sve_ssublbtvnx2di */

        default:
          return -1;
        }

    case 537:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12057; /* aarch64_sve_ssubltvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12078; /* aarch64_sve_ssubltvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12099; /* aarch64_sve_ssubltvnx2di */

        default:
          return -1;
        }

    case 538:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12058; /* aarch64_sve_ssubltbvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12079; /* aarch64_sve_ssubltbvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12100; /* aarch64_sve_ssubltbvnx2di */

        default:
          return -1;
        }

    case 547:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12059; /* aarch64_sve_uabdlbvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12080; /* aarch64_sve_uabdlbvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12101; /* aarch64_sve_uabdlbvnx2di */

        default:
          return -1;
        }

    case 548:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12060; /* aarch64_sve_uabdltvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12081; /* aarch64_sve_uabdltvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12102; /* aarch64_sve_uabdltvnx2di */

        default:
          return -1;
        }

    case 549:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12061; /* aarch64_sve_uaddlbvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12082; /* aarch64_sve_uaddlbvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12103; /* aarch64_sve_uaddlbvnx2di */

        default:
          return -1;
        }

    case 550:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12062; /* aarch64_sve_uaddltvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12083; /* aarch64_sve_uaddltvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12104; /* aarch64_sve_uaddltvnx2di */

        default:
          return -1;
        }

    case 557:
      return recog_162 (x1, insn, pnum_clobbers);

    case 558:
      return recog_161 (x1, insn, pnum_clobbers);

    case 569:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12065; /* aarch64_sve_usublbvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12086; /* aarch64_sve_usublbvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12107; /* aarch64_sve_usublbvnx2di */

        default:
          return -1;
        }

    case 570:
      switch (pattern121 (x1))
        {
        case 0:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12066; /* aarch64_sve_usubltvnx8hi */

        case 1:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12087; /* aarch64_sve_usubltvnx4si */

        case 2:
          if (!
#line 2270 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12108; /* aarch64_sve_usubltvnx2di */

        default:
          return -1;
        }

    case 533:
      switch (pattern124 (x1))
        {
        case 0:
          if (!
#line 2304 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12121; /* aarch64_sve_sshllbvnx8hi */

        case 1:
          if (!
#line 2304 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12125; /* aarch64_sve_sshllbvnx4si */

        case 2:
          if (!
#line 2304 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12129; /* aarch64_sve_sshllbvnx2di */

        default:
          return -1;
        }

    case 534:
      switch (pattern124 (x1))
        {
        case 0:
          if (!
#line 2304 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12122; /* aarch64_sve_sshlltvnx8hi */

        case 1:
          if (!
#line 2304 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12126; /* aarch64_sve_sshlltvnx4si */

        case 2:
          if (!
#line 2304 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12130; /* aarch64_sve_sshlltvnx2di */

        default:
          return -1;
        }

    case 567:
      switch (pattern124 (x1))
        {
        case 0:
          if (!
#line 2304 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12123; /* aarch64_sve_ushllbvnx8hi */

        case 1:
          if (!
#line 2304 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12127; /* aarch64_sve_ushllbvnx4si */

        case 2:
          if (!
#line 2304 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12131; /* aarch64_sve_ushllbvnx2di */

        default:
          return -1;
        }

    case 568:
      switch (pattern124 (x1))
        {
        case 0:
          if (!
#line 2304 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12124; /* aarch64_sve_ushlltvnx8hi */

        case 1:
          if (!
#line 2304 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12128; /* aarch64_sve_ushlltvnx4si */

        case 2:
          if (!
#line 2304 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12132; /* aarch64_sve_ushlltvnx2di */

        default:
          return -1;
        }

    case 529:
      switch (pattern125 (x1))
        {
        case 0:
          if (!
#line 2638 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12296; /* aarch64_sve_sqxtntvnx8hi */

        case 1:
          if (!
#line 2638 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12299; /* aarch64_sve_sqxtntvnx4si */

        case 2:
          if (!
#line 2638 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12302; /* aarch64_sve_sqxtntvnx2di */

        default:
          return -1;
        }

    case 531:
      switch (pattern125 (x1))
        {
        case 0:
          if (!
#line 2638 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12297; /* aarch64_sve_sqxtuntvnx8hi */

        case 1:
          if (!
#line 2638 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12300; /* aarch64_sve_sqxtuntvnx4si */

        case 2:
          if (!
#line 2638 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12303; /* aarch64_sve_sqxtuntvnx2di */

        default:
          return -1;
        }

    case 566:
      switch (pattern125 (x1))
        {
        case 0:
          if (!
#line 2638 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12298; /* aarch64_sve_uqxtntvnx8hi */

        case 1:
          if (!
#line 2638 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12301; /* aarch64_sve_uqxtntvnx4si */

        case 2:
          if (!
#line 2638 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12304; /* aarch64_sve_uqxtntvnx2di */

        default:
          return -1;
        }

    case 418:
      switch (pattern126 (x1))
        {
        case 0:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12323; /* aarch64_sve_addhnbvnx8hi */

        case 1:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12327; /* aarch64_sve_addhnbvnx4si */

        case 2:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12331; /* aarch64_sve_addhnbvnx2di */

        default:
          return -1;
        }

    case 483:
      switch (pattern126 (x1))
        {
        case 0:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12324; /* aarch64_sve_raddhnbvnx8hi */

        case 1:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12328; /* aarch64_sve_raddhnbvnx4si */

        case 2:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12332; /* aarch64_sve_raddhnbvnx2di */

        default:
          return -1;
        }

    case 487:
      switch (pattern126 (x1))
        {
        case 0:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12325; /* aarch64_sve_rsubhnbvnx8hi */

        case 1:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12329; /* aarch64_sve_rsubhnbvnx4si */

        case 2:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12333; /* aarch64_sve_rsubhnbvnx2di */

        default:
          return -1;
        }

    case 543:
      switch (pattern126 (x1))
        {
        case 0:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12326; /* aarch64_sve_subhnbvnx8hi */

        case 1:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12330; /* aarch64_sve_subhnbvnx4si */

        case 2:
          if (!
#line 2699 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12334; /* aarch64_sve_subhnbvnx2di */

        default:
          return -1;
        }

    case 485:
      switch (pattern127 (x1))
        {
        case 0:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12350; /* aarch64_sve_rshrnbvnx8hi */

        case 1:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12358; /* aarch64_sve_rshrnbvnx4si */

        case 2:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12366; /* aarch64_sve_rshrnbvnx2di */

        default:
          return -1;
        }

    case 498:
      switch (pattern127 (x1))
        {
        case 0:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12351; /* aarch64_sve_shrnbvnx8hi */

        case 1:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12359; /* aarch64_sve_shrnbvnx4si */

        case 2:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12367; /* aarch64_sve_shrnbvnx2di */

        default:
          return -1;
        }

    case 518:
      switch (pattern127 (x1))
        {
        case 0:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12352; /* aarch64_sve_sqrshrnbvnx8hi */

        case 1:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12360; /* aarch64_sve_sqrshrnbvnx4si */

        case 2:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12368; /* aarch64_sve_sqrshrnbvnx2di */

        default:
          return -1;
        }

    case 522:
      switch (pattern127 (x1))
        {
        case 0:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12353; /* aarch64_sve_sqrshrunbvnx8hi */

        case 1:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12361; /* aarch64_sve_sqrshrunbvnx4si */

        case 2:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12369; /* aarch64_sve_sqrshrunbvnx2di */

        default:
          return -1;
        }

    case 524:
      switch (pattern127 (x1))
        {
        case 0:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12354; /* aarch64_sve_sqshrnbvnx8hi */

        case 1:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12362; /* aarch64_sve_sqshrnbvnx4si */

        case 2:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12370; /* aarch64_sve_sqshrnbvnx2di */

        default:
          return -1;
        }

    case 526:
      switch (pattern127 (x1))
        {
        case 0:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12355; /* aarch64_sve_sqshrunbvnx8hi */

        case 1:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12363; /* aarch64_sve_sqshrunbvnx4si */

        case 2:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12371; /* aarch64_sve_sqshrunbvnx2di */

        default:
          return -1;
        }

    case 561:
      switch (pattern127 (x1))
        {
        case 0:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12356; /* aarch64_sve_uqrshrnbvnx8hi */

        case 1:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12364; /* aarch64_sve_uqrshrnbvnx4si */

        case 2:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12372; /* aarch64_sve_uqrshrnbvnx2di */

        default:
          return -1;
        }

    case 563:
      switch (pattern127 (x1))
        {
        case 0:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12357; /* aarch64_sve_uqshrnbvnx8hi */

        case 1:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12365; /* aarch64_sve_uqshrnbvnx4si */

        case 2:
          if (!
#line 2760 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12373; /* aarch64_sve_uqshrnbvnx2di */

        default:
          return -1;
        }

    case 516:
      switch (pattern128 (x1))
        {
        case 0:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx8SImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3569 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2)))
            return -1;
          return 12398; /* aarch64_sve_sqrshrvnx8si */

        case 1:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx8DImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3569 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2)))
            return -1;
          return 12410; /* aarch64_sve_sqrshrvnx8di */

        case 2:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx16SImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3569 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2)))
            return -1;
          return 12404; /* aarch64_sve_sqrshrvnx16si */

        default:
          return -1;
        }

    case 517:
      switch (pattern128 (x1))
        {
        case 0:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx8SImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3570 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12399; /* aarch64_sve_sqrshrnvnx8si */

        case 1:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx8DImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3570 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12411; /* aarch64_sve_sqrshrnvnx8di */

        case 2:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx16SImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3570 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12405; /* aarch64_sve_sqrshrnvnx16si */

        default:
          return -1;
        }

    case 520:
      switch (pattern128 (x1))
        {
        case 0:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx8SImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3571 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2)))
            return -1;
          return 12400; /* aarch64_sve_sqrshruvnx8si */

        case 1:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx8DImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3571 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2)))
            return -1;
          return 12412; /* aarch64_sve_sqrshruvnx8di */

        case 2:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx16SImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3571 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2)))
            return -1;
          return 12406; /* aarch64_sve_sqrshruvnx16si */

        default:
          return -1;
        }

    case 521:
      switch (pattern128 (x1))
        {
        case 0:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx8SImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3572 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12401; /* aarch64_sve_sqrshrunvnx8si */

        case 1:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx8DImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3572 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12413; /* aarch64_sve_sqrshrunvnx8di */

        case 2:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx16SImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3572 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12407; /* aarch64_sve_sqrshrunvnx16si */

        default:
          return -1;
        }

    case 559:
      switch (pattern128 (x1))
        {
        case 0:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx8SImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3573 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2)))
            return -1;
          return 12402; /* aarch64_sve_uqrshrvnx8si */

        case 1:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx8DImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3573 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2)))
            return -1;
          return 12414; /* aarch64_sve_uqrshrvnx8di */

        case 2:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx16SImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3573 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME2)))
            return -1;
          return 12408; /* aarch64_sve_uqrshrvnx16si */

        default:
          return -1;
        }

    case 560:
      switch (pattern128 (x1))
        {
        case 0:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx8SImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3574 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12403; /* aarch64_sve_uqrshrnvnx8si */

        case 1:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx8DImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3574 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12415; /* aarch64_sve_uqrshrnvnx8di */

        case 2:
          if (!(
#line 2795 "../../gcc/config/aarch64/aarch64-sve2.md"
((VNx16SImode == VNx8SImode || TARGET_STREAMING_SME2)) && 
#line 3574 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2p1_OR_SME2)))
            return -1;
          return 12409; /* aarch64_sve_uqrshrnvnx16si */

        default:
          return -1;
        }

    case 424:
      return recog_185 (x1, insn, pnum_clobbers);

    case 423:
      return recog_183 (x1, insn, pnum_clobbers);

    case 508:
      return recog_184 (x1, insn, pnum_clobbers);

    case 507:
      return recog_182 (x1, insn, pnum_clobbers);

    case 447:
      switch (pattern131 (x1))
        {
        case 0:
          if (!
#line 3207 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8))
            return -1;
          return 12555; /* aarch64_sve2_fp8_cvt_f1cvtvnx8bf */

        case 1:
          if (!
#line 3207 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8))
            return -1;
          return 12559; /* aarch64_sve2_fp8_cvt_f1cvtvnx8hf */

        default:
          return -1;
        }

    case 449:
      switch (pattern131 (x1))
        {
        case 0:
          if (!
#line 3207 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8))
            return -1;
          return 12556; /* aarch64_sve2_fp8_cvt_f2cvtvnx8bf */

        case 1:
          if (!
#line 3207 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8))
            return -1;
          return 12560; /* aarch64_sve2_fp8_cvt_f2cvtvnx8hf */

        default:
          return -1;
        }

    case 448:
      switch (pattern131 (x1))
        {
        case 0:
          if (!
#line 3207 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8))
            return -1;
          return 12557; /* aarch64_sve2_fp8_cvt_f1cvtltvnx8bf */

        case 1:
          if (!
#line 3207 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8))
            return -1;
          return 12561; /* aarch64_sve2_fp8_cvt_f1cvtltvnx8hf */

        default:
          return -1;
        }

    case 450:
      switch (pattern131 (x1))
        {
        case 0:
          if (!
#line 3207 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8))
            return -1;
          return 12558; /* aarch64_sve2_fp8_cvt_f2cvtltvnx8bf */

        case 1:
          if (!
#line 3207 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8))
            return -1;
          return 12562; /* aarch64_sve2_fp8_cvt_f2cvtltvnx8hf */

        default:
          return -1;
        }

    case 468:
      return recog_158 (x1, insn, pnum_clobbers);

    case 452:
      if (pattern132 (x2, 
84, 
E_VNx16QImode) != 0)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_VNx16QImode))
        return -1;
      x5 = XVECEXP (x2, 0, 0);
      operands[1] = x5;
      if (!aligned_register_operand (operands[1], E_VNx8SFmode)
          || !
#line 3397 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SSVE_FP8))
        return -1;
      return 12577; /* aarch64_sve2_fp8_cvtnbvnx16qi */

    case 477:
      switch (pattern133 (x1))
        {
        case 0:
          if (!
#line 3622 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12601; /* aarch64_sve_pmullbvnx8hi */

        case 1:
          if (!
#line 3622 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12603; /* aarch64_sve_pmullbvnx2di */

        default:
          return -1;
        }

    case 479:
      switch (pattern133 (x1))
        {
        case 0:
          if (!
#line 3622 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12602; /* aarch64_sve_pmulltvnx8hi */

        case 1:
          if (!
#line 3622 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12604; /* aarch64_sve_pmulltvnx2di */

        default:
          return -1;
        }

    case 478:
      switch (pattern134 (x1))
        {
        case 0:
          if (!
#line 3635 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12605; /* aarch64_sve_pmullb_pairvnx16qi */

        case 1:
          if (!
#line 3635 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12607; /* aarch64_sve_pmullb_pairvnx4si */

        case 2:
          if (!(
#line 3635 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 658 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2_AES)))
            return -1;
          return 12609; /* aarch64_sve_pmullb_pairvnx2di */

        default:
          return -1;
        }

    case 480:
      switch (pattern134 (x1))
        {
        case 0:
          if (!
#line 3635 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12606; /* aarch64_sve_pmullt_pairvnx16qi */

        case 1:
          if (!
#line 3635 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
            return -1;
          return 12608; /* aarch64_sve_pmullt_pairvnx4si */

        case 2:
          if (!(
#line 3635 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 658 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2_AES)))
            return -1;
          return 12610; /* aarch64_sve_pmullt_pairvnx2di */

        default:
          return -1;
        }

    case 594:
      return recog_180 (x1, insn, pnum_clobbers);

    case 595:
      return recog_181 (x1, insn, pnum_clobbers);

    case 597:
      return recog_179 (x1, insn, pnum_clobbers);

    case 610:
      return recog_178 (x1, insn, pnum_clobbers);

    case 615:
      return recog_177 (x1, insn, pnum_clobbers);

    case 616:
      return recog_176 (x1, insn, pnum_clobbers);

    case 624:
      return recog_175 (x1, insn, pnum_clobbers);

    case 625:
      return recog_174 (x1, insn, pnum_clobbers);

    case 599:
      switch (pattern136 (x1))
        {
        case 0:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12723; /* aarch64_pred_reduc_faddqv_vnx8hf */

        case 1:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12728; /* aarch64_pred_reduc_faddqv_vnx4sf */

        case 2:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12733; /* aarch64_pred_reduc_faddqv_vnx2df */

        default:
          return -1;
        }

    case 600:
      switch (pattern136 (x1))
        {
        case 0:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12724; /* aarch64_pred_reduc_fmaxqv_vnx8hf */

        case 1:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12729; /* aarch64_pred_reduc_fmaxqv_vnx4sf */

        case 2:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12734; /* aarch64_pred_reduc_fmaxqv_vnx2df */

        default:
          return -1;
        }

    case 601:
      switch (pattern136 (x1))
        {
        case 0:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12725; /* aarch64_pred_reduc_fmaxnmqv_vnx8hf */

        case 1:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12730; /* aarch64_pred_reduc_fmaxnmqv_vnx4sf */

        case 2:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12735; /* aarch64_pred_reduc_fmaxnmqv_vnx2df */

        default:
          return -1;
        }

    case 602:
      switch (pattern136 (x1))
        {
        case 0:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12726; /* aarch64_pred_reduc_fminqv_vnx8hf */

        case 1:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12731; /* aarch64_pred_reduc_fminqv_vnx4sf */

        case 2:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12736; /* aarch64_pred_reduc_fminqv_vnx2df */

        default:
          return -1;
        }

    case 603:
      switch (pattern136 (x1))
        {
        case 0:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12727; /* aarch64_pred_reduc_fminnmqv_vnx8hf */

        case 1:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12732; /* aarch64_pred_reduc_fminnmqv_vnx4sf */

        case 2:
          if (!
#line 3744 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2p1 && TARGET_NON_STREAMING))
            return -1;
          return 12737; /* aarch64_pred_reduc_fminnmqv_vnx2df */

        default:
          return -1;
        }

    case 596:
      return recog_87 (x1, insn, pnum_clobbers);

    case 545:
      return recog_106 (x1, insn, pnum_clobbers);

    case 576:
      return recog_130 (x1, insn, pnum_clobbers);

    case 574:
      return recog_129 (x1, insn, pnum_clobbers);

    case 577:
      return recog_128 (x1, insn, pnum_clobbers);

    case 575:
      return recog_127 (x1, insn, pnum_clobbers);

    case 420:
      return recog_173 (x1, insn, pnum_clobbers);

    case 421:
      return recog_172 (x1, insn, pnum_clobbers);

    case 422:
      return recog_171 (x1, insn, pnum_clobbers);

    case 470:
      if (pattern72 (x1, 
E_VNx16QImode) != 0
          || !
#line 3996 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2 && TARGET_NON_STREAMING))
        return -1;
      return 12872; /* aarch64_sve2_histsegvnx16qi */

    case 682:
      if (pattern139 (x1, 
E_DImode, 
67) != 0)
        return -1;
      return 12908; /* aarch64_old_vg_saved */

    case 690:
      if (pnum_clobbers == NULL
          || pattern140 (x1, 
91, 
90) != 0)
        return -1;
      *pnum_clobbers = 7;
      return 12914; /* aarch64_tpidr2_save */

    case 689:
      if (pattern140 (x1, 
93, 
91) != 0)
        return -1;
      return 12917; /* aarch64_initial_zero_za */

    case 693:
      if (pattern132 (x2, 
88, 
E_DImode) != 0
          || pattern722 (x1, 
90) != 0)
        return -1;
      return 12920; /* aarch64_write_tpidr2 */

    case 692:
      if (GET_MODE (x2) != E_DImode
          || pattern255 (x2, 
92, 
E_DImode, 
90) != 0)
        return -1;
      x3 = XEXP (x1, 0);
      operands[0] = x3;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      return 12921; /* aarch64_read_tpidr2 */

    case 700:
      return recog_160 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_481 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  int res ATTRIBUTE_UNUSED;
  switch (GET_MODE (operands[0]))
    {
    case E_VNx16QImode:
      if (!register_operand (operands[0], E_VNx16QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx16QImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_QImode:
          if (!aarch64_sve_dup_operand (operands[1], E_QImode)
              || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 6387; /* *vec_duplicatevnx16qi_reg */

        case E_V16QImode:
          if (!nonimmediate_operand (operands[1], E_V16QImode)
              || !
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN))
            return -1;
          *pnum_clobbers = 1;
          return 6406; /* aarch64_vec_duplicate_vqvnx16qi_le */

        default:
          return -1;
        }

    case E_VNx8QImode:
      if (!register_operand (operands[0], E_VNx8QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx8QImode
          || !aarch64_sve_dup_operand (operands[1], E_QImode)
          || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 6388; /* *vec_duplicatevnx8qi_reg */

    case E_VNx4QImode:
      if (!register_operand (operands[0], E_VNx4QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx4QImode
          || !aarch64_sve_dup_operand (operands[1], E_QImode)
          || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 6389; /* *vec_duplicatevnx4qi_reg */

    case E_VNx2QImode:
      if (!register_operand (operands[0], E_VNx2QImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx2QImode
          || !aarch64_sve_dup_operand (operands[1], E_QImode)
          || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 6390; /* *vec_duplicatevnx2qi_reg */

    case E_VNx8HImode:
      if (!register_operand (operands[0], E_VNx8HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx8HImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_HImode:
          if (!aarch64_sve_dup_operand (operands[1], E_HImode)
              || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 6391; /* *vec_duplicatevnx8hi_reg */

        case E_V8HImode:
          if (!nonimmediate_operand (operands[1], E_V8HImode)
              || !
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN))
            return -1;
          *pnum_clobbers = 1;
          return 6407; /* aarch64_vec_duplicate_vqvnx8hi_le */

        default:
          return -1;
        }

    case E_VNx4HImode:
      if (!register_operand (operands[0], E_VNx4HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx4HImode
          || !aarch64_sve_dup_operand (operands[1], E_HImode)
          || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 6392; /* *vec_duplicatevnx4hi_reg */

    case E_VNx2HImode:
      if (!register_operand (operands[0], E_VNx2HImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx2HImode
          || !aarch64_sve_dup_operand (operands[1], E_HImode)
          || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 6393; /* *vec_duplicatevnx2hi_reg */

    case E_VNx4SImode:
      if (!register_operand (operands[0], E_VNx4SImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx4SImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_SImode:
          if (!aarch64_sve_dup_operand (operands[1], E_SImode)
              || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 6394; /* *vec_duplicatevnx4si_reg */

        case E_V4SImode:
          if (!nonimmediate_operand (operands[1], E_V4SImode)
              || !
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN))
            return -1;
          *pnum_clobbers = 1;
          return 6408; /* aarch64_vec_duplicate_vqvnx4si_le */

        default:
          return -1;
        }

    case E_VNx2SImode:
      if (!register_operand (operands[0], E_VNx2SImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx2SImode
          || !aarch64_sve_dup_operand (operands[1], E_SImode)
          || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 6395; /* *vec_duplicatevnx2si_reg */

    case E_VNx2DImode:
      if (!register_operand (operands[0], E_VNx2DImode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx2DImode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_DImode:
          if (!aarch64_sve_dup_operand (operands[1], E_DImode)
              || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 6396; /* *vec_duplicatevnx2di_reg */

        case E_V2DImode:
          if (!nonimmediate_operand (operands[1], E_V2DImode)
              || !
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN))
            return -1;
          *pnum_clobbers = 1;
          return 6409; /* aarch64_vec_duplicate_vqvnx2di_le */

        default:
          return -1;
        }

    case E_VNx8HFmode:
      if (!register_operand (operands[0], E_VNx8HFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx8HFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_HFmode:
          if (!aarch64_sve_dup_operand (operands[1], E_HFmode)
              || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 6397; /* *vec_duplicatevnx8hf_reg */

        case E_V8HFmode:
          if (!nonimmediate_operand (operands[1], E_V8HFmode)
              || !
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN))
            return -1;
          *pnum_clobbers = 1;
          return 6411; /* aarch64_vec_duplicate_vqvnx8hf_le */

        default:
          return -1;
        }

    case E_VNx4HFmode:
      if (!register_operand (operands[0], E_VNx4HFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx4HFmode
          || !aarch64_sve_dup_operand (operands[1], E_HFmode)
          || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 6398; /* *vec_duplicatevnx4hf_reg */

    case E_VNx2HFmode:
      if (!register_operand (operands[0], E_VNx2HFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx2HFmode
          || !aarch64_sve_dup_operand (operands[1], E_HFmode)
          || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 6399; /* *vec_duplicatevnx2hf_reg */

    case E_VNx8BFmode:
      if (!register_operand (operands[0], E_VNx8BFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx8BFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_BFmode:
          if (!aarch64_sve_dup_operand (operands[1], E_BFmode)
              || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 6400; /* *vec_duplicatevnx8bf_reg */

        case E_V8BFmode:
          if (!nonimmediate_operand (operands[1], E_V8BFmode)
              || !
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN))
            return -1;
          *pnum_clobbers = 1;
          return 6410; /* aarch64_vec_duplicate_vqvnx8bf_le */

        default:
          return -1;
        }

    case E_VNx4BFmode:
      if (!register_operand (operands[0], E_VNx4BFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx4BFmode
          || !aarch64_sve_dup_operand (operands[1], E_BFmode)
          || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 6401; /* *vec_duplicatevnx4bf_reg */

    case E_VNx2BFmode:
      if (!register_operand (operands[0], E_VNx2BFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx2BFmode
          || !aarch64_sve_dup_operand (operands[1], E_BFmode)
          || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 6402; /* *vec_duplicatevnx2bf_reg */

    case E_VNx4SFmode:
      if (!register_operand (operands[0], E_VNx4SFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx4SFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_SFmode:
          if (!aarch64_sve_dup_operand (operands[1], E_SFmode)
              || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 6403; /* *vec_duplicatevnx4sf_reg */

        case E_V4SFmode:
          if (!nonimmediate_operand (operands[1], E_V4SFmode)
              || !
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN))
            return -1;
          *pnum_clobbers = 1;
          return 6412; /* aarch64_vec_duplicate_vqvnx4sf_le */

        default:
          return -1;
        }

    case E_VNx2SFmode:
      if (!register_operand (operands[0], E_VNx2SFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx2SFmode
          || !aarch64_sve_dup_operand (operands[1], E_SFmode)
          || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      *pnum_clobbers = 1;
      return 6404; /* *vec_duplicatevnx2sf_reg */

    case E_VNx2DFmode:
      if (!register_operand (operands[0], E_VNx2DFmode))
        return -1;
      x2 = XEXP (x1, 1);
      if (GET_MODE (x2) != E_VNx2DFmode)
        return -1;
      switch (GET_MODE (operands[1]))
        {
        case E_DFmode:
          if (!aarch64_sve_dup_operand (operands[1], E_DFmode)
              || !
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
            return -1;
          *pnum_clobbers = 1;
          return 6405; /* *vec_duplicatevnx2df_reg */

        case E_V2DFmode:
          if (!nonimmediate_operand (operands[1], E_V2DFmode)
              || !
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN))
            return -1;
          *pnum_clobbers = 1;
          return 6413; /* aarch64_vec_duplicate_vqvnx2df_le */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_487 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 1);
  switch (XVECLEN (x3, 0))
    {
    case 2:
      return recog_484 (x1, insn, pnum_clobbers);

    case 1:
      x4 = XEXP (x2, 0);
      operands[2] = x4;
      x5 = XVECEXP (x3, 0, 0);
      operands[1] = x5;
      switch (XINT (x3, 1))
        {
        case 187:
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern896 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1613; /* aarch64_absv8qi_vec_concatz_be */

            case E_V8HImode:
              if (pattern896 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1617; /* aarch64_absv4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern896 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1621; /* aarch64_absv2si_vec_concatz_be */

            case E_V2DImode:
              if (pattern896 (x2, 
E_DImode, 
E_V2DImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 803 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1626; /* aarch64_absdi_vec_concatz_be */

            default:
              return -1;
            }

        case 36:
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern896 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2475; /* btruncv4hf2_vec_concatz_be */

            case E_V4SFmode:
              if (pattern896 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2503; /* btruncv2sf2_vec_concatz_be */

            default:
              return -1;
            }

        case 34:
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern896 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2478; /* ceilv4hf2_vec_concatz_be */

            case E_V4SFmode:
              if (pattern896 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2506; /* ceilv2sf2_vec_concatz_be */

            default:
              return -1;
            }

        case 32:
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern896 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2481; /* floorv4hf2_vec_concatz_be */

            case E_V4SFmode:
              if (pattern896 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2509; /* floorv2sf2_vec_concatz_be */

            default:
              return -1;
            }

        case 33:
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern896 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2484; /* roundevenv4hf2_vec_concatz_be */

            case E_V4SFmode:
              if (pattern896 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2512; /* roundevenv2sf2_vec_concatz_be */

            default:
              return -1;
            }

        case 31:
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern896 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2487; /* nearbyintv4hf2_vec_concatz_be */

            case E_V4SFmode:
              if (pattern896 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2515; /* nearbyintv2sf2_vec_concatz_be */

            default:
              return -1;
            }

        case 35:
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern896 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2490; /* rintv4hf2_vec_concatz_be */

            case E_V4SFmode:
              if (pattern896 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2518; /* rintv2sf2_vec_concatz_be */

            default:
              return -1;
            }

        case 30:
          switch (GET_MODE (operands[0]))
            {
            case E_V8HFmode:
              if (pattern896 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && (
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                return -1;
              return 2493; /* roundv4hf2_vec_concatz_be */

            case E_V4SFmode:
              if (pattern896 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 3005 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 2521; /* roundv2sf2_vec_concatz_be */

            default:
              return -1;
            }

        case 254:
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern896 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5010; /* aarch64_rev64v8qi_vec_concatz_be */

            case E_V8HImode:
              if (pattern896 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5022; /* aarch64_rev64v4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern896 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5034; /* aarch64_rev64v2si_vec_concatz_be */

            case E_V8HFmode:
              if (pattern896 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5049; /* aarch64_rev64v4hf_vec_concatz_be */

            case E_V8BFmode:
              if (pattern896 (x2, 
E_V4BFmode, 
E_V8BFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5061; /* aarch64_rev64v4bf_vec_concatz_be */

            case E_V4SFmode:
              if (pattern896 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5073; /* aarch64_rev64v2sf_vec_concatz_be */

            default:
              return -1;
            }

        case 255:
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern896 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5013; /* aarch64_rev32v8qi_vec_concatz_be */

            case E_V8HImode:
              if (pattern896 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5025; /* aarch64_rev32v4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern896 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5037; /* aarch64_rev32v2si_vec_concatz_be */

            case E_V8HFmode:
              if (pattern896 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5052; /* aarch64_rev32v4hf_vec_concatz_be */

            case E_V8BFmode:
              if (pattern896 (x2, 
E_V4BFmode, 
E_V8BFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5064; /* aarch64_rev32v4bf_vec_concatz_be */

            case E_V4SFmode:
              if (pattern896 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5076; /* aarch64_rev32v2sf_vec_concatz_be */

            default:
              return -1;
            }

        case 256:
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern896 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5016; /* aarch64_rev16v8qi_vec_concatz_be */

            case E_V8HImode:
              if (pattern896 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5028; /* aarch64_rev16v4hi_vec_concatz_be */

            case E_V4SImode:
              if (pattern896 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5040; /* aarch64_rev16v2si_vec_concatz_be */

            case E_V8HFmode:
              if (pattern896 (x2, 
E_V4HFmode, 
E_V8HFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5055; /* aarch64_rev16v4hf_vec_concatz_be */

            case E_V8BFmode:
              if (pattern896 (x2, 
E_V4BFmode, 
E_V8BFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5067; /* aarch64_rev16v4bf_vec_concatz_be */

            case E_V4SFmode:
              if (pattern896 (x2, 
E_V2SFmode, 
E_V4SFmode) != 0
                  || !(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 8677 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 5079; /* aarch64_rev16v2sf_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 3:
      x5 = XVECEXP (x3, 0, 0);
      operands[1] = x5;
      x6 = XVECEXP (x3, 0, 1);
      operands[2] = x6;
      switch (XINT (x3, 1))
        {
        case 275:
          switch (pattern822 (x2))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)))
                return -1;
              return 3504; /* aarch64_sqrdmlahv4hi_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)))
                return -1;
              return 3512; /* aarch64_sqrdmlahv2si_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5659 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)))
                return -1;
              return 3524; /* aarch64_sqrdmlah_lanev4hi_vec_concatz_be */

            case 3:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)))
                return -1;
              return 3544; /* aarch64_sqrdmlah_laneqv4hi_vec_concatz_be */

            case 4:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5659 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)))
                return -1;
              return 3532; /* aarch64_sqrdmlah_lanev2si_vec_concatz_be */

            case 5:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)))
                return -1;
              return 3552; /* aarch64_sqrdmlah_laneqv2si_vec_concatz_be */

            default:
              return -1;
            }

        case 276:
          switch (pattern822 (x2))
            {
            case 0:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)))
                return -1;
              return 3507; /* aarch64_sqrdmlshv4hi_vec_concatz_be */

            case 1:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5643 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)))
                return -1;
              return 3515; /* aarch64_sqrdmlshv2si_vec_concatz_be */

            case 2:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5659 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)))
                return -1;
              return 3527; /* aarch64_sqrdmlsh_lanev4hi_vec_concatz_be */

            case 3:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)))
                return -1;
              return 3547; /* aarch64_sqrdmlsh_laneqv4hi_vec_concatz_be */

            case 4:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5659 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)))
                return -1;
              return 3535; /* aarch64_sqrdmlsh_lanev2si_vec_concatz_be */

            case 5:
              if (!(
#line 37 "../../gcc/config/aarch64/aarch64-simd.md"
(BYTES_BIG_ENDIAN) && 
#line 5697 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD_RDMA)))
                return -1;
              return 3555; /* aarch64_sqrdmlsh_laneqv2si_vec_concatz_be */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_496 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  rtx x26, x27;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  x3 = XEXP (x2, 0);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      switch (pattern317 (x2))
        {
        case 0:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 346 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1340; /* addv8qi3_vec_concatz_le */

        case 1:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 346 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1344; /* addv4hi3_vec_concatz_le */

        case 2:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 346 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 1348; /* addv2si3_vec_concatz_le */

        case 3:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 2635 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
            return -1;
          return 2347; /* addv4hf3_vec_concatz_le */

        case 4:
          if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 2635 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
            return -1;
          return 2351; /* addv2sf3_vec_concatz_le */

        default:
          return -1;
        }

    case UNSPEC:
      switch (XVECLEN (x4, 0))
        {
        case 2:
          x5 = XEXP (x2, 1);
          operands[4] = x5;
          switch (XINT (x4, 1))
            {
            case 407:
              switch (pattern761 (x2))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1405; /* aarch64_fcmla0v4hf_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1421; /* aarch64_fcmla0v2sf_vec_concatz_le */

                default:
                  return -1;
                }

            case 408:
              switch (pattern761 (x2))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1408; /* aarch64_fcmla90v4hf_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1424; /* aarch64_fcmla90v2sf_vec_concatz_le */

                default:
                  return -1;
                }

            case 409:
              switch (pattern761 (x2))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1411; /* aarch64_fcmla180v4hf_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1427; /* aarch64_fcmla180v2sf_vec_concatz_le */

                default:
                  return -1;
                }

            case 410:
              switch (pattern761 (x2))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1414; /* aarch64_fcmla270v4hf_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 458 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1430; /* aarch64_fcmla270v2sf_vec_concatz_le */

                default:
                  return -1;
                }

            case 279:
              if (pattern762 (x2) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 577 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD)))
                return -1;
              return 1497; /* sdot_prodv2siv8qi_vec_concatz_le */

            case 280:
              if (pattern762 (x2) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 577 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD)))
                return -1;
              return 1500; /* udot_prodv2siv8qi_vec_concatz_le */

            case 573:
              if (pattern762 (x2) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 591 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM)))
                return -1;
              return 1505; /* usdot_prodv2siv8qi_vec_concatz_le */

            default:
              return -1;
            }

        case 3:
          x6 = XVECEXP (x4, 0, 0);
          operands[2] = x6;
          x7 = XVECEXP (x4, 0, 1);
          operands[3] = x7;
          x8 = XVECEXP (x4, 0, 2);
          operands[4] = x8;
          x9 = XEXP (x3, 1);
          operands[1] = x9;
          x5 = XEXP (x2, 1);
          operands[5] = x5;
          switch (XINT (x4, 1))
            {
            case 407:
              switch (pattern1016 (x2))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1441; /* aarch64_fcmla_lane0v4hf_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 486 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1477; /* aarch64_fcmla_laneq0v4hf_vec_concatz_le */

                case 2:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1457; /* aarch64_fcmla_lane0v2sf_vec_concatz_le */

                default:
                  return -1;
                }

            case 408:
              switch (pattern1016 (x2))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1444; /* aarch64_fcmla_lane90v4hf_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 486 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1480; /* aarch64_fcmla_laneq90v4hf_vec_concatz_le */

                case 2:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1460; /* aarch64_fcmla_lane90v2sf_vec_concatz_le */

                default:
                  return -1;
                }

            case 409:
              switch (pattern1016 (x2))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1447; /* aarch64_fcmla_lane180v4hf_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 486 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1483; /* aarch64_fcmla_laneq180v4hf_vec_concatz_le */

                case 2:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1463; /* aarch64_fcmla_lane180v2sf_vec_concatz_le */

                default:
                  return -1;
                }

            case 410:
              switch (pattern1016 (x2))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && (
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST))))
                    return -1;
                  return 1450; /* aarch64_fcmla_lane270v4hf_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 486 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1486; /* aarch64_fcmla_laneq270v4hf_vec_concatz_le */

                case 2:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 471 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_COMPLEX)))
                    return -1;
                  return 1466; /* aarch64_fcmla_lane270v2sf_vec_concatz_le */

                default:
                  return -1;
                }

            case 279:
              switch (pattern1017 (x2))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD)))
                    return -1;
                  return 1509; /* aarch64_sdot_lanev8qi_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 622 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD)))
                    return -1;
                  return 1517; /* aarch64_sdot_laneqv8qi_vec_concatz_le */

                default:
                  return -1;
                }

            case 280:
              switch (pattern1017 (x2))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 606 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD)))
                    return -1;
                  return 1512; /* aarch64_udot_lanev8qi_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 622 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_DOTPROD)))
                    return -1;
                  return 1520; /* aarch64_udot_laneqv8qi_vec_concatz_le */

                default:
                  return -1;
                }

            case 573:
              switch (pattern1017 (x2))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM)))
                    return -1;
                  return 1525; /* aarch64_usdot_lanev8qi_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM)))
                    return -1;
                  return 1533; /* aarch64_usdot_laneqv8qi_vec_concatz_le */

                default:
                  return -1;
                }

            case 578:
              switch (pattern1017 (x2))
                {
                case 0:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM)))
                    return -1;
                  return 1528; /* aarch64_sudot_lanev8qi_vec_concatz_le */

                case 1:
                  if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 640 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_I8MM)))
                    return -1;
                  return 1536; /* aarch64_sudot_laneqv8qi_vec_concatz_le */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case PLUS:
      x10 = XEXP (x4, 0);
      if (GET_CODE (x10) != VEC_SELECT)
        return -1;
      x11 = XEXP (x4, 1);
      if (GET_CODE (x11) != VEC_SELECT)
        return -1;
      x12 = XEXP (x10, 1);
      operands[3] = x12;
      x13 = XEXP (x11, 1);
      operands[4] = x13;
      x9 = XEXP (x3, 1);
      operands[1] = x9;
      x5 = XEXP (x2, 1);
      operands[5] = x5;
      x14 = XEXP (x10, 0);
      switch (GET_CODE (x14))
        {
        case SIGN_EXTEND:
          switch (pattern1019 (x2, 
SIGN_EXTEND))
            {
            case 0:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1039 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 1688; /* *aarch64_sadalpv8qi_vec_concatz_le_insn */

            case 1:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1039 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 1696; /* *aarch64_sadalpv4hi_vec_concatz_le_insn */

            case 2:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1039 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 1706; /* *aarch64_sadalpv2si_vec_concatz_le_insn */

            default:
              return -1;
            }

        case ZERO_EXTEND:
          switch (pattern1019 (x2, 
ZERO_EXTEND))
            {
            case 0:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1039 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 1691; /* *aarch64_uadalpv8qi_vec_concatz_le_insn */

            case 1:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1039 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 1699; /* *aarch64_uadalpv4hi_vec_concatz_le_insn */

            case 2:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1039 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 1709; /* *aarch64_uadalpv2si_vec_concatz_le_insn */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case MINUS:
      x9 = XEXP (x3, 1);
      operands[1] = x9;
      x5 = XEXP (x2, 1);
      operands[4] = x5;
      x10 = XEXP (x4, 0);
      switch (GET_CODE (x10))
        {
        case SMAX:
          switch (pattern764 (x2, 
SMIN))
            {
            case 0:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1104 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1712; /* aarch64_sabav8qi_vec_concatz_le */

            case 1:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1104 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1720; /* aarch64_sabav4hi_vec_concatz_le */

            case 2:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1104 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1728; /* aarch64_sabav2si_vec_concatz_le */

            default:
              return -1;
            }

        case UMAX:
          switch (pattern764 (x2, 
UMIN))
            {
            case 0:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1104 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1715; /* aarch64_uabav8qi_vec_concatz_le */

            case 1:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1104 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1723; /* aarch64_uabav4hi_vec_concatz_le */

            case 2:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1104 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1731; /* aarch64_uabav2si_vec_concatz_le */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case MULT:
      x10 = XEXP (x4, 0);
      switch (GET_CODE (x10))
        {
        case REG:
        case SUBREG:
          operands[2] = x10;
          x11 = XEXP (x4, 1);
          operands[3] = x11;
          x9 = XEXP (x3, 1);
          operands[1] = x9;
          x5 = XEXP (x2, 1);
          operands[4] = x5;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern957 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1987; /* aarch64_mlav8qi_vec_concatz_le */

            case E_V8HImode:
              if (pattern957 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1991; /* aarch64_mlav4hi_vec_concatz_le */

            case E_V4SImode:
              if (pattern957 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1636 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 1995; /* aarch64_mlav2si_vec_concatz_le */

            default:
              return -1;
            }

        case VEC_DUPLICATE:
          x14 = XEXP (x10, 0);
          switch (GET_CODE (x14))
            {
            case VEC_SELECT:
              x15 = XEXP (x14, 1);
              if (GET_CODE (x15) != PARALLEL
                  || XVECLEN (x15, 0) != 1)
                return -1;
              x16 = XEXP (x14, 0);
              operands[1] = x16;
              x17 = XVECEXP (x15, 0, 0);
              operands[2] = x17;
              if (!immediate_operand (operands[2], E_SImode))
                return -1;
              x11 = XEXP (x4, 1);
              operands[3] = x11;
              x9 = XEXP (x3, 1);
              operands[4] = x9;
              x5 = XEXP (x2, 1);
              operands[5] = x5;
              switch (GET_MODE (operands[0]))
                {
                case E_V8HImode:
                  if (pattern1199 (x2, 
E_V4HImode, 
E_HImode, 
E_V8HImode) != 0)
                    return -1;
                  switch (GET_MODE (operands[1]))
                    {
                    case E_V4HImode:
                      if (!register_operand (operands[1], E_V4HImode)
                          || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1651 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                        return -1;
                      return 1999; /* *aarch64_mla_eltv4hi_vec_concatz_le */

                    case E_V8HImode:
                      if (!register_operand (operands[1], E_V8HImode)
                          || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1669 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                        return -1;
                      return 2007; /* *aarch64_mla_elt_to_128v4hi_vec_concatz_le */

                    default:
                      return -1;
                    }

                case E_V4SImode:
                  if (pattern1199 (x2, 
E_V2SImode, 
E_SImode, 
E_V4SImode) != 0)
                    return -1;
                  switch (GET_MODE (operands[1]))
                    {
                    case E_V2SImode:
                      if (!register_operand (operands[1], E_V2SImode)
                          || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1651 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                        return -1;
                      return 2003; /* *aarch64_mla_eltv2si_vec_concatz_le */

                    case E_V4SImode:
                      if (!register_operand (operands[1], E_V4SImode)
                          || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1669 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                        return -1;
                      return 2011; /* *aarch64_mla_elt_to_128v2si_vec_concatz_le */

                    default:
                      return -1;
                    }

                default:
                  return -1;
                }

            case REG:
            case SUBREG:
              operands[3] = x14;
              x11 = XEXP (x4, 1);
              operands[2] = x11;
              x9 = XEXP (x3, 1);
              operands[1] = x9;
              x5 = XEXP (x2, 1);
              operands[4] = x5;
              switch (GET_MODE (operands[0]))
                {
                case E_V8HImode:
                  if (pattern1020 (x2, 
E_V4HImode, 
E_HImode, 
E_V8HImode) != 0
                      || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1685 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2015; /* aarch64_mla_nv4hi_vec_concatz_le */

                case E_V4SImode:
                  if (pattern1020 (x2, 
E_V2SImode, 
E_SImode, 
E_V4SImode) != 0
                      || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 1685 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                    return -1;
                  return 2019; /* aarch64_mla_nv2si_vec_concatz_le */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        default:
          return -1;
        }

    case VEC_SELECT:
      x9 = XEXP (x3, 1);
      if (GET_CODE (x9) != VEC_SELECT)
        return -1;
      x10 = XEXP (x4, 0);
      switch (GET_CODE (x10))
        {
        case SIGN_EXTEND:
          switch (pattern658 (x2, 
SIGN_EXTEND))
            {
            case 0:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3540 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[2], operands[3]))))
                return -1;
              return 2781; /* *aarch64_saddlpv8qi_vec_concatz_le_insn */

            case 1:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3540 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[2], operands[3]))))
                return -1;
              return 2789; /* *aarch64_saddlpv4hi_vec_concatz_le_insn */

            case 2:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3540 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[2], operands[3]))))
                return -1;
              return 2799; /* *aarch64_saddlpv2si_vec_concatz_le_insn */

            default:
              return -1;
            }

        case ZERO_EXTEND:
          switch (pattern658 (x2, 
ZERO_EXTEND))
            {
            case 0:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3540 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[2], operands[3]))))
                return -1;
              return 2784; /* *aarch64_uaddlpv8qi_vec_concatz_le_insn */

            case 1:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3540 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[2], operands[3]))))
                return -1;
              return 2792; /* *aarch64_uaddlpv4hi_vec_concatz_le_insn */

            case 2:
              if (!(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 3540 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD
  && !rtx_equal_p (operands[2], operands[3]))))
                return -1;
              return 2802; /* *aarch64_uaddlpv2si_vec_concatz_le_insn */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[1] = x10;
          x5 = XEXP (x2, 1);
          if (GET_CODE (x5) != PLUS)
            return -1;
          x18 = XEXP (x5, 0);
          if (GET_CODE (x18) != VEC_SELECT)
            return -1;
          x19 = XEXP (x5, 1);
          if (GET_CODE (x19) != VEC_SELECT)
            return -1;
          x11 = XEXP (x4, 1);
          operands[3] = x11;
          x20 = XEXP (x9, 1);
          operands[4] = x20;
          x21 = XEXP (x18, 0);
          operands[2] = x21;
          x22 = XEXP (x9, 0);
          if (!rtx_equal_p (x22, operands[1]))
            return -1;
          x23 = XEXP (x18, 1);
          if (!rtx_equal_p (x23, operands[3]))
            return -1;
          x24 = XEXP (x19, 0);
          if (!rtx_equal_p (x24, operands[2]))
            return -1;
          x25 = XEXP (x19, 1);
          if (!rtx_equal_p (x25, operands[4]))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern1274 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !
#line 7462 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !rtx_equal_p (operands[3], operands[4])))
                return -1;
              return 4353; /* aarch64_addpv16qi_insn */

            case E_V8HImode:
              if (pattern1274 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !
#line 7462 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !rtx_equal_p (operands[3], operands[4])))
                return -1;
              return 4354; /* aarch64_addpv8hi_insn */

            case E_V4SImode:
              if (pattern1274 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !
#line 7462 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !rtx_equal_p (operands[3], operands[4])))
                return -1;
              return 4355; /* aarch64_addpv4si_insn */

            case E_V2DImode:
              if (pattern1274 (x2, 
E_DImode, 
E_V2DImode) != 0
                  || !
#line 7462 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !rtx_equal_p (operands[3], operands[4])))
                return -1;
              return 4356; /* aarch64_addpv2di_insn */

            default:
              return -1;
            }

        case VEC_CONCAT:
          x22 = XEXP (x9, 0);
          if (GET_CODE (x22) != VEC_CONCAT)
            return -1;
          x14 = XEXP (x10, 0);
          operands[1] = x14;
          x12 = XEXP (x10, 1);
          operands[2] = x12;
          x11 = XEXP (x4, 1);
          operands[3] = x11;
          x20 = XEXP (x9, 1);
          operands[4] = x20;
          x5 = XEXP (x2, 1);
          operands[5] = x5;
          x26 = XEXP (x22, 0);
          if (!rtx_equal_p (x26, operands[1]))
            return -1;
          x27 = XEXP (x22, 1);
          if (!rtx_equal_p (x27, operands[2]))
            return -1;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern1200 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 7484 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 4358; /* aarch64_addpv8qi_vec_concatz_le_insn */

            case E_V8HImode:
              if (pattern1200 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 7484 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 4361; /* aarch64_addpv4hi_vec_concatz_le_insn */

            case E_V4SImode:
              if (pattern1200 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 7484 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD && !rtx_equal_p (operands[3], operands[4]))))
                return -1;
              return 4364; /* aarch64_addpv2si_vec_concatz_le_insn */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case EQ:
      x10 = XEXP (x4, 0);
      switch (GET_CODE (x10))
        {
        case AND:
          x14 = XEXP (x10, 0);
          operands[1] = x14;
          x12 = XEXP (x10, 1);
          operands[2] = x12;
          x11 = XEXP (x4, 1);
          operands[3] = x11;
          x9 = XEXP (x3, 1);
          operands[4] = x9;
          x5 = XEXP (x2, 1);
          operands[5] = x5;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern1021 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 4198; /* aarch64_cmtstv8qi_vec_concatz_le */

            case E_V8HImode:
              if (pattern1021 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 4202; /* aarch64_cmtstv4hi_vec_concatz_le */

            case E_V4SImode:
              if (pattern1021 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 7331 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 4206; /* aarch64_cmtstv2si_vec_concatz_le */

            default:
              return -1;
            }

        case REG:
        case SUBREG:
          operands[1] = x10;
          x11 = XEXP (x4, 1);
          operands[2] = x11;
          x9 = XEXP (x3, 1);
          operands[3] = x9;
          x5 = XEXP (x2, 1);
          operands[4] = x5;
          switch (GET_MODE (operands[0]))
            {
            case E_V16QImode:
              if (pattern958 (x2, 
E_V8QImode, 
E_V16QImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 4211; /* *aarch64_cmtst_same_v8qi_vec_concatz_le */

            case E_V8HImode:
              if (pattern958 (x2, 
E_V4HImode, 
E_V8HImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 4215; /* *aarch64_cmtst_same_v4hi_vec_concatz_le */

            case E_V4SImode:
              if (pattern958 (x2, 
E_V2SImode, 
E_V4SImode) != 0
                  || !(
#line 28 "../../gcc/config/aarch64/aarch64-simd.md"
(!BYTES_BIG_ENDIAN) && 
#line 7348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD)))
                return -1;
              return 4219; /* *aarch64_cmtst_same_v2si_vec_concatz_le */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_511 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (XVECLEN (x2, 0))
    {
    case 1:
      return recog_448 (x1, insn, pnum_clobbers);

    case 2:
      return recog_444 (x1, insn, pnum_clobbers);

    case 3:
      return recog_447 (x1, insn, pnum_clobbers);

    case 4:
      return recog_446 (x1, insn, pnum_clobbers);

    case 5:
      return recog_445 (x1, insn, pnum_clobbers);

    case 7:
      switch (XINT (x2, 1))
        {
        case 120:
          x3 = XVECEXP (x2, 0, 6);
          if (GET_CODE (x3) != MEM
              || GET_MODE (x3) != E_BLKmode)
            return -1;
          x4 = XEXP (x3, 0);
          if (GET_CODE (x4) != SCRATCH)
            return -1;
          x5 = XEXP (x1, 0);
          operands[0] = x5;
          x6 = XVECEXP (x2, 0, 0);
          operands[5] = x6;
          x7 = XVECEXP (x2, 0, 1);
          operands[1] = x7;
          x8 = XVECEXP (x2, 0, 3);
          operands[3] = x8;
          if (!const_int_operand (operands[3], E_DImode))
            return -1;
          x9 = XVECEXP (x2, 0, 4);
          operands[4] = x9;
          x10 = XVECEXP (x2, 0, 2);
          switch (GET_CODE (x10))
            {
            case REG:
            case SUBREG:
              operands[2] = x10;
              x11 = XVECEXP (x2, 0, 5);
              operands[6] = x11;
              switch (GET_MODE (operands[0]))
                {
                case E_VNx4QImode:
                  if (pattern1220 (x2, 
E_VNx4QImode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1507 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6079; /* mask_gather_loadvnx4qivnx4si */

                case E_VNx4HImode:
                  if (pattern1221 (x2, 
E_VNx4HImode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1507 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6080; /* mask_gather_loadvnx4hivnx4si */

                case E_VNx4HFmode:
                  if (pattern1221 (x2, 
E_VNx4HFmode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1507 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6081; /* mask_gather_loadvnx4hfvnx4si */

                case E_VNx4BFmode:
                  if (pattern1221 (x2, 
E_VNx4BFmode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1507 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6082; /* mask_gather_loadvnx4bfvnx4si */

                case E_VNx4SImode:
                  if (!register_operand (operands[0], E_VNx4SImode)
                      || GET_MODE (x2) != E_VNx4SImode
                      || !register_operand (operands[5], E_VNx4BImode)
                      || !aarch64_sve_gather_offset_w (operands[1], E_DImode)
                      || !register_operand (operands[2], E_VNx4SImode)
                      || !aarch64_gather_scale_operand_w (operands[4], E_DImode)
                      || !aarch64_maskload_else_operand (operands[6], E_VNx4SImode)
                      || !
#line 1507 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6083; /* mask_gather_loadvnx4sivnx4si */

                case E_VNx4SFmode:
                  if (pattern1222 (x2, 
E_VNx4SFmode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1507 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6084; /* mask_gather_loadvnx4sfvnx4si */

                case E_VNx2QImode:
                  if (pattern1220 (x2, 
E_VNx2QImode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                      || !
#line 1537 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6085; /* mask_gather_loadvnx2qivnx2di */

                case E_VNx2HImode:
                  if (pattern1221 (x2, 
E_VNx2HImode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                      || !
#line 1537 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6086; /* mask_gather_loadvnx2hivnx2di */

                case E_VNx2HFmode:
                  if (pattern1221 (x2, 
E_VNx2HFmode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                      || !
#line 1537 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6087; /* mask_gather_loadvnx2hfvnx2di */

                case E_VNx2BFmode:
                  if (pattern1221 (x2, 
E_VNx2BFmode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                      || !
#line 1537 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6088; /* mask_gather_loadvnx2bfvnx2di */

                case E_VNx2SImode:
                  if (pattern1222 (x2, 
E_VNx2SImode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                      || !
#line 1537 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6089; /* mask_gather_loadvnx2sivnx2di */

                case E_VNx2SFmode:
                  if (pattern1222 (x2, 
E_VNx2SFmode, 
E_VNx2DImode, 
E_VNx2BImode) != 0
                      || !
#line 1537 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6090; /* mask_gather_loadvnx2sfvnx2di */

                case E_VNx2DImode:
                  if (pattern1223 (x2, 
E_VNx2DImode) != 0
                      || !
#line 1537 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6091; /* mask_gather_loadvnx2divnx2di */

                case E_VNx2DFmode:
                  if (pattern1223 (x2, 
E_VNx2DFmode) != 0
                      || !
#line 1537 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6092; /* mask_gather_loadvnx2dfvnx2di */

                default:
                  return -1;
                }

            case UNSPEC:
              if (pattern1121 (x10) != 0
                  || !register_operand (operands[1], E_DImode))
                return -1;
              x12 = XVECEXP (x10, 0, 0);
              operands[6] = x12;
              x13 = XVECEXP (x10, 0, 1);
              if (GET_MODE (x13) != E_VNx2DImode)
                return -1;
              switch (pattern1301 (x2))
                {
                case 0:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6093; /* *mask_gather_loadvnx2qivnx2di_sxtw_unpacked */

                case 1:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6095; /* *mask_gather_loadvnx2hivnx2di_sxtw_unpacked */

                case 2:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6097; /* *mask_gather_loadvnx2hfvnx2di_sxtw_unpacked */

                case 3:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6099; /* *mask_gather_loadvnx2bfvnx2di_sxtw_unpacked */

                case 4:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6101; /* *mask_gather_loadvnx2sivnx2di_sxtw_unpacked */

                case 5:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6103; /* *mask_gather_loadvnx2sfvnx2di_sxtw_unpacked */

                case 6:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6105; /* *mask_gather_loadvnx2divnx2di_sxtw_unpacked */

                case 7:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6107; /* *mask_gather_loadvnx2dfvnx2di_sxtw_unpacked */

                case 8:
                  if (!
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6109; /* *mask_gather_loadvnx2qivnx2di_sxtw */

                case 9:
                  if (!
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6110; /* *mask_gather_loadvnx2hivnx2di_sxtw */

                case 10:
                  if (!
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6111; /* *mask_gather_loadvnx2hfvnx2di_sxtw */

                case 11:
                  if (!
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6112; /* *mask_gather_loadvnx2bfvnx2di_sxtw */

                case 12:
                  if (!
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6113; /* *mask_gather_loadvnx2sivnx2di_sxtw */

                case 13:
                  if (!
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6114; /* *mask_gather_loadvnx2sfvnx2di_sxtw */

                case 14:
                  if (!
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6115; /* *mask_gather_loadvnx2divnx2di_sxtw */

                case 15:
                  if (!
#line 1597 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6116; /* *mask_gather_loadvnx2dfvnx2di_sxtw */

                case 16:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6094; /* *mask_gather_loadvnx2qivnx2di_uxtw_unpacked */

                case 17:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6096; /* *mask_gather_loadvnx2hivnx2di_uxtw_unpacked */

                case 18:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6098; /* *mask_gather_loadvnx2hfvnx2di_uxtw_unpacked */

                case 19:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6100; /* *mask_gather_loadvnx2bfvnx2di_uxtw_unpacked */

                case 20:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6102; /* *mask_gather_loadvnx2sivnx2di_uxtw_unpacked */

                case 21:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6104; /* *mask_gather_loadvnx2sfvnx2di_uxtw_unpacked */

                case 22:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6106; /* *mask_gather_loadvnx2divnx2di_uxtw_unpacked */

                case 23:
                  if (!
#line 1566 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6108; /* *mask_gather_loadvnx2dfvnx2di_uxtw_unpacked */

                default:
                  return -1;
                }

            case AND:
              if (pattern1122 (x10) != 0)
                return -1;
              x11 = XVECEXP (x2, 0, 5);
              operands[7] = x11;
              switch (pattern1299 (x2))
                {
                case 0:
                  if (!
#line 1625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6117; /* *mask_gather_loadvnx2qivnx2di_uxtw */

                case 1:
                  if (!
#line 1625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6118; /* *mask_gather_loadvnx2hivnx2di_uxtw */

                case 2:
                  if (!
#line 1625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6119; /* *mask_gather_loadvnx2hfvnx2di_uxtw */

                case 3:
                  if (!
#line 1625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6120; /* *mask_gather_loadvnx2bfvnx2di_uxtw */

                case 4:
                  if (!
#line 1625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6121; /* *mask_gather_loadvnx2sivnx2di_uxtw */

                case 5:
                  if (!
#line 1625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6122; /* *mask_gather_loadvnx2sfvnx2di_uxtw */

                case 6:
                  if (!
#line 1625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6123; /* *mask_gather_loadvnx2divnx2di_uxtw */

                case 7:
                  if (!
#line 1625 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6124; /* *mask_gather_loadvnx2dfvnx2di_uxtw */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case 121:
          if (pattern256 (x2) != 0)
            return -1;
          x5 = XEXP (x1, 0);
          operands[0] = x5;
          x6 = XVECEXP (x2, 0, 0);
          operands[5] = x6;
          x7 = XVECEXP (x2, 0, 1);
          operands[1] = x7;
          x8 = XVECEXP (x2, 0, 3);
          operands[3] = x8;
          if (!const_int_operand (operands[3], E_DImode))
            return -1;
          x9 = XVECEXP (x2, 0, 4);
          operands[4] = x9;
          x10 = XVECEXP (x2, 0, 2);
          switch (GET_CODE (x10))
            {
            case REG:
            case SUBREG:
              operands[2] = x10;
              switch (GET_MODE (operands[0]))
                {
                case E_VNx4SImode:
                  if (pattern1272 (x2, 
E_VNx4SImode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1851 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6223; /* aarch64_ldff1_gathervnx4si */

                case E_VNx4SFmode:
                  if (pattern1272 (x2, 
E_VNx4SFmode, 
E_VNx4SImode, 
E_VNx4BImode) != 0
                      || !
#line 1851 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6224; /* aarch64_ldff1_gathervnx4sf */

                case E_VNx2DImode:
                  if (pattern1273 (x2, 
E_VNx2DImode) != 0
                      || !
#line 1881 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6225; /* aarch64_ldff1_gathervnx2di */

                case E_VNx2DFmode:
                  if (pattern1273 (x2, 
E_VNx2DFmode) != 0
                      || !
#line 1881 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6226; /* aarch64_ldff1_gathervnx2df */

                default:
                  return -1;
                }

            case UNSPEC:
              if (XVECLEN (x10, 0) != 2
                  || XINT (x10, 1) != 125
                  || GET_MODE (x10) != E_VNx2DImode)
                return -1;
              x13 = XVECEXP (x10, 0, 1);
              if (GET_CODE (x13) != SIGN_EXTEND
                  || GET_MODE (x13) != E_VNx2DImode)
                return -1;
              x14 = XEXP (x13, 0);
              if (GET_CODE (x14) != TRUNCATE
                  || GET_MODE (x14) != E_VNx2SImode
                  || !register_operand (operands[5], E_VNx2BImode)
                  || !register_operand (operands[1], E_DImode))
                return -1;
              x12 = XVECEXP (x10, 0, 0);
              operands[6] = x12;
              switch (pattern1348 (x2))
                {
                case 0:
                  if (!
#line 1911 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6227; /* *aarch64_ldff1_gathervnx2di_sxtw */

                case 1:
                  if (!
#line 1911 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6228; /* *aarch64_ldff1_gathervnx2df_sxtw */

                default:
                  return -1;
                }

            case AND:
              if (pattern1122 (x10) != 0)
                return -1;
              switch (pattern1334 (x2))
                {
                case 0:
                  if (!
#line 1938 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6229; /* *aarch64_ldff1_gathervnx2di_uxtw */

                case 1:
                  if (!
#line 1938 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING))
                    return -1;
                  return 6230; /* *aarch64_ldff1_gathervnx2df_uxtw */

                default:
                  return -1;
                }

            default:
              return -1;
            }

        case 659:
          switch (pattern259 (x1))
            {
            case 0:
              if (!
#line 1702 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13851; /* aarch64_sme_smopavnx4sivnx16qi */

            case 1:
              if (!
#line 1732 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13867; /* aarch64_sme_smopavnx4sivnx8hi */

            case 2:
              if (!
#line 1717 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13859; /* aarch64_sme_smopavnx2divnx8hi */

            default:
              return -1;
            }

        case 660:
          switch (pattern259 (x1))
            {
            case 0:
              if (!
#line 1702 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13852; /* aarch64_sme_smopsvnx4sivnx16qi */

            case 1:
              if (!
#line 1732 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13868; /* aarch64_sme_smopsvnx4sivnx8hi */

            case 2:
              if (!
#line 1717 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13860; /* aarch64_sme_smopsvnx2divnx8hi */

            default:
              return -1;
            }

        case 667:
          switch (pattern260 (x1))
            {
            case 0:
              if (!
#line 1702 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13853; /* aarch64_sme_sumopavnx4sivnx16qi */

            case 1:
              if (!
#line 1717 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13861; /* aarch64_sme_sumopavnx2divnx8hi */

            default:
              return -1;
            }

        case 668:
          switch (pattern260 (x1))
            {
            case 0:
              if (!
#line 1702 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13854; /* aarch64_sme_sumopsvnx4sivnx16qi */

            case 1:
              if (!
#line 1717 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13862; /* aarch64_sme_sumopsvnx2divnx8hi */

            default:
              return -1;
            }

        case 673:
          switch (pattern259 (x1))
            {
            case 0:
              if (!
#line 1702 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13855; /* aarch64_sme_umopavnx4sivnx16qi */

            case 1:
              if (!
#line 1732 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13869; /* aarch64_sme_umopavnx4sivnx8hi */

            case 2:
              if (!
#line 1717 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13863; /* aarch64_sme_umopavnx2divnx8hi */

            default:
              return -1;
            }

        case 674:
          switch (pattern259 (x1))
            {
            case 0:
              if (!
#line 1702 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13856; /* aarch64_sme_umopsvnx4sivnx16qi */

            case 1:
              if (!
#line 1732 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
                return -1;
              return 13870; /* aarch64_sme_umopsvnx4sivnx8hi */

            case 2:
              if (!
#line 1717 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13864; /* aarch64_sme_umopsvnx2divnx8hi */

            default:
              return -1;
            }

        case 677:
          switch (pattern260 (x1))
            {
            case 0:
              if (!
#line 1702 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13857; /* aarch64_sme_usmopavnx4sivnx16qi */

            case 1:
              if (!
#line 1717 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13865; /* aarch64_sme_usmopavnx2divnx8hi */

            default:
              return -1;
            }

        case 678:
          switch (pattern260 (x1))
            {
            case 0:
              if (!
#line 1702 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 13858; /* aarch64_sme_usmopsvnx4sivnx16qi */

            case 1:
              if (!
#line 1717 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING && TARGET_SME_I16I64))
                return -1;
              return 13866; /* aarch64_sme_usmopsvnx2divnx8hi */

            default:
              return -1;
            }

        case 637:
          if (pattern261 (x1) != 0
              || !
#line 1747 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13871; /* aarch64_sme_bmopavnx4sivnx4si */

        case 638:
          if (pattern261 (x1) != 0
              || !
#line 1747 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 13872; /* aarch64_sme_bmopsvnx4sivnx4si */

        case 644:
          switch (pattern263 (x1))
            {
            case 0:
              if (!
#line 2106 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 14065; /* aarch64_sme_fmopavnx4sfvnx4sf */

            case 1:
              if (!(
#line 2106 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING) && 
#line 734 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
                return -1;
              return 14067; /* aarch64_sme_fmopavnx2dfvnx2df */

            case 2:
              if (!(
#line 2106 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING) && 
#line 735 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
                return -1;
              return 14069; /* aarch64_sme_fmopavnx8hfvnx8hf */

            case 3:
              if (!(
#line 2106 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING) && 
#line 736 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
                return -1;
              return 14071; /* aarch64_sme_fmopavnx8bfvnx8bf */

            case 4:
              if (!
#line 2121 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 14073; /* aarch64_sme_fmopavnx4sivnx8bf */

            case 5:
              if (!
#line 2121 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 14075; /* aarch64_sme_fmopavnx4sivnx8hf */

            default:
              return -1;
            }

        case 645:
          switch (pattern263 (x1))
            {
            case 0:
              if (!
#line 2106 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 14066; /* aarch64_sme_fmopsvnx4sfvnx4sf */

            case 1:
              if (!(
#line 2106 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING) && 
#line 734 "../../gcc/config/aarch64/iterators.md"
(TARGET_SME_F64F64)))
                return -1;
              return 14068; /* aarch64_sme_fmopsvnx2dfvnx2df */

            case 2:
              if (!(
#line 2106 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING) && 
#line 735 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_F16F16)))
                return -1;
              return 14070; /* aarch64_sme_fmopsvnx8hfvnx8hf */

            case 3:
              if (!(
#line 2106 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING) && 
#line 736 "../../gcc/config/aarch64/iterators.md"
(TARGET_STREAMING_SME_B16B16)))
                return -1;
              return 14072; /* aarch64_sme_fmopsvnx8bfvnx8bf */

            case 4:
              if (!
#line 2121 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 14074; /* aarch64_sme_fmopsvnx4sivnx8bf */

            case 5:
              if (!
#line 2121 "../../gcc/config/aarch64/aarch64-sme.md"
(TARGET_STREAMING))
                return -1;
              return 14076; /* aarch64_sme_fmopsvnx4sivnx8hf */

            default:
              return -1;
            }

        default:
          return -1;
        }

    case 6:
      return recog_449 (x1, insn, pnum_clobbers);

    default:
      return -1;
    }
}

 int
recog_522 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      operands[1] = x4;
      switch (GET_MODE (operands[0]))
        {
        case E_SImode:
          if (!register_operand (operands[0], E_SImode)
              || GET_MODE (x3) != E_SImode
              || !register_operand (operands[1], E_SImode))
            return -1;
          return 576; /* one_cmplsi2 */

        case E_DImode:
          if (!register_operand (operands[0], E_DImode)
              || GET_MODE (x3) != E_DImode
              || !register_operand (operands[1], E_DImode))
            return -1;
          return 577; /* one_cmpldi2 */

        case E_V8QImode:
          if (!register_operand (operands[0], E_V8QImode)
              || GET_MODE (x3) != E_V8QImode
              || !register_operand (operands[1], E_V8QImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1788; /* one_cmplv8qi2 */

        case E_V16QImode:
          if (!register_operand (operands[0], E_V16QImode)
              || GET_MODE (x3) != E_V16QImode
              || !register_operand (operands[1], E_V16QImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1791; /* one_cmplv16qi2 */

        case E_V4HImode:
          if (!register_operand (operands[0], E_V4HImode)
              || GET_MODE (x3) != E_V4HImode
              || !register_operand (operands[1], E_V4HImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1792; /* one_cmplv4hi2 */

        case E_V8HImode:
          if (!register_operand (operands[0], E_V8HImode)
              || GET_MODE (x3) != E_V8HImode
              || !register_operand (operands[1], E_V8HImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1795; /* one_cmplv8hi2 */

        case E_V2SImode:
          if (!register_operand (operands[0], E_V2SImode)
              || GET_MODE (x3) != E_V2SImode
              || !register_operand (operands[1], E_V2SImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1796; /* one_cmplv2si2 */

        case E_V4SImode:
          if (!register_operand (operands[0], E_V4SImode)
              || GET_MODE (x3) != E_V4SImode
              || !register_operand (operands[1], E_V4SImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1799; /* one_cmplv4si2 */

        case E_V2DImode:
          if (!register_operand (operands[0], E_V2DImode)
              || GET_MODE (x3) != E_V2DImode
              || !register_operand (operands[1], E_V2DImode)
              || !
#line 1162 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
            return -1;
          return 1800; /* one_cmplv2di2 */

        default:
          return -1;
        }

    case ASHIFT:
      switch (pattern294 (x3))
        {
        case 0:
          return 579; /* *one_cmpl_ashlsi2 */

        case 1:
          return 584; /* *one_cmpl_ashldi2 */

        default:
          return -1;
        }

    case ASHIFTRT:
      switch (pattern294 (x3))
        {
        case 0:
          return 580; /* *one_cmpl_ashrsi2 */

        case 1:
          return 585; /* *one_cmpl_ashrdi2 */

        default:
          return -1;
        }

    case LSHIFTRT:
      switch (pattern294 (x3))
        {
        case 0:
          return 581; /* *one_cmpl_lshrsi2 */

        case 1:
          return 586; /* *one_cmpl_lshrdi2 */

        default:
          return -1;
        }

    case ROTATERT:
      switch (pattern294 (x3))
        {
        case 0:
          return 582; /* *one_cmpl_rotrsi2 */

        case 1:
          return 587; /* *one_cmpl_rotrdi2 */

        default:
          return -1;
        }

    case ROTATE:
      switch (pattern294 (x3))
        {
        case 0:
          return 583; /* *one_cmpl_rotlsi2 */

        case 1:
          return 588; /* *one_cmpl_rotldi2 */

        default:
          return -1;
        }

    case XOR:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case REG:
        case SUBREG:
          switch (pattern364 (x3))
            {
            case 0:
              return 596; /* *xor_one_cmplsi3 */

            case 1:
              return 597; /* *xor_one_cmpldi3 */

            default:
              return -1;
            }

        case ASHIFT:
          switch (pattern405 (x3))
            {
            case 0:
              return 648; /* *eor_one_cmpl_ashlsi3_alt */

            case 1:
              return 653; /* *eor_one_cmpl_ashldi3_alt */

            default:
              return -1;
            }

        case ASHIFTRT:
          switch (pattern405 (x3))
            {
            case 0:
              return 649; /* *eor_one_cmpl_ashrsi3_alt */

            case 1:
              return 654; /* *eor_one_cmpl_ashrdi3_alt */

            default:
              return -1;
            }

        case LSHIFTRT:
          switch (pattern405 (x3))
            {
            case 0:
              return 650; /* *eor_one_cmpl_lshrsi3_alt */

            case 1:
              return 655; /* *eor_one_cmpl_lshrdi3_alt */

            default:
              return -1;
            }

        case ROTATERT:
          switch (pattern405 (x3))
            {
            case 0:
              return 651; /* *eor_one_cmpl_rotrsi3_alt */

            case 1:
              return 656; /* *eor_one_cmpl_rotrdi3_alt */

            default:
              return -1;
            }

        case ROTATE:
          switch (pattern405 (x3))
            {
            case 0:
              return 652; /* *eor_one_cmpl_rotlsi3_alt */

            case 1:
              return 657; /* *eor_one_cmpl_rotldi3_alt */

            default:
              return -1;
            }

        case AND:
          x6 = XEXP (x5, 0);
          if (GET_CODE (x6) != XOR)
            return -1;
          x7 = XEXP (x6, 0);
          operands[1] = x7;
          x8 = XEXP (x6, 1);
          operands[2] = x8;
          x9 = XEXP (x5, 1);
          operands[3] = x9;
          switch (GET_MODE (operands[0]))
            {
            case E_V8QImode:
              if (pattern888 (x3, 
E_V8QImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11882; /* *aarch64_sve2_nbsl_unpredv8qi */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11883; /* *aarch64_sve2_nbsl_unpredv8qi */

            case E_V16QImode:
              if (pattern888 (x3, 
E_V16QImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11884; /* *aarch64_sve2_nbsl_unpredv16qi */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11885; /* *aarch64_sve2_nbsl_unpredv16qi */

            case E_V4HImode:
              if (pattern888 (x3, 
E_V4HImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11886; /* *aarch64_sve2_nbsl_unpredv4hi */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11887; /* *aarch64_sve2_nbsl_unpredv4hi */

            case E_V8HImode:
              if (pattern888 (x3, 
E_V8HImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11888; /* *aarch64_sve2_nbsl_unpredv8hi */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11889; /* *aarch64_sve2_nbsl_unpredv8hi */

            case E_V2SImode:
              if (pattern888 (x3, 
E_V2SImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11890; /* *aarch64_sve2_nbsl_unpredv2si */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11891; /* *aarch64_sve2_nbsl_unpredv2si */

            case E_V4SImode:
              if (pattern888 (x3, 
E_V4SImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11892; /* *aarch64_sve2_nbsl_unpredv4si */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11893; /* *aarch64_sve2_nbsl_unpredv4si */

            case E_V2DImode:
              if (pattern888 (x3, 
E_V2DImode) != 0)
                return -1;
              x10 = XEXP (x4, 1);
              if (rtx_equal_p (x10, operands[1])
                  && 
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return 11894; /* *aarch64_sve2_nbsl_unpredv2di */
              if (!rtx_equal_p (x10, operands[2])
                  || !
#line 1746 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2))
                return -1;
              return 11895; /* *aarch64_sve2_nbsl_unpredv2di */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_525 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5;
  int res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case REG:
    case SUBREG:
      switch (pattern307 (x3))
        {
        case 0:
          x5 = XEXP (x3, 1);
          operands[2] = x5;
          switch (GET_MODE (operands[0]))
            {
            case E_SImode:
              if (pattern749 (x3, 
E_SImode) == 0
                  && 
#line 7381 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CSSC))
                return 1068; /* *aarch64_smaxsi3_cssc */
              break;

            case E_DImode:
              if (pattern749 (x3, 
E_DImode) == 0
                  && 
#line 7381 "../../gcc/config/aarch64/aarch64.md"
(TARGET_CSSC))
                return 1072; /* *aarch64_smaxdi3_cssc */
              break;

            case E_SFmode:
              if (pattern31 (x3, 
E_SFmode) == 0
                  && 
#line 7406 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return 1080; /* smaxsf3 */
              break;

            case E_DFmode:
              if (pattern31 (x3, 
E_DFmode) == 0
                  && 
#line 7406 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT))
                return 1081; /* smaxdf3 */
              break;

            case E_V8QImode:
              if (pattern31 (x3, 
E_V8QImode) == 0
                  && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2058; /* smaxv8qi3 */
              break;

            case E_V16QImode:
              if (pattern31 (x3, 
E_V16QImode) == 0
                  && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2070; /* smaxv16qi3 */
              break;

            case E_V4HImode:
              if (pattern31 (x3, 
E_V4HImode) == 0
                  && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2074; /* smaxv4hi3 */
              break;

            case E_V8HImode:
              if (pattern31 (x3, 
E_V8HImode) == 0
                  && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2086; /* smaxv8hi3 */
              break;

            case E_V2SImode:
              if (pattern31 (x3, 
E_V2SImode) == 0
                  && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2090; /* smaxv2si3 */
              break;

            case E_V4SImode:
              if (pattern31 (x3, 
E_V4SImode) == 0
                  && 
#line 1754 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2102; /* smaxv4si3 */
              break;

            case E_V4HFmode:
              if (pattern31 (x3, 
E_V4HFmode) == 0
                  && (
#line 3348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return 2656; /* smaxv4hf3 */
              break;

            case E_V8HFmode:
              if (pattern31 (x3, 
E_V8HFmode) == 0
                  && (
#line 3348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
                return 2658; /* smaxv8hf3 */
              break;

            case E_V2SFmode:
              if (pattern31 (x3, 
E_V2SFmode) == 0
                  && 
#line 3348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2660; /* smaxv2sf3 */
              break;

            case E_V4SFmode:
              if (pattern31 (x3, 
E_V4SFmode) == 0
                  && 
#line 3348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2662; /* smaxv4sf3 */
              break;

            case E_V2DFmode:
              if (pattern31 (x3, 
E_V2DFmode) == 0
                  && 
#line 3348 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
                return 2664; /* smaxv2df3 */
              break;

            case E_VNx32QImode:
              if (pattern32 (x3, 
E_VNx32QImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11376; /* *smaxvnx32qi3 */
              break;

            case E_VNx16HImode:
              if (pattern32 (x3, 
E_VNx16HImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11380; /* *smaxvnx16hi3 */
              break;

            case E_VNx8SImode:
              if (pattern32 (x3, 
E_VNx8SImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11384; /* *smaxvnx8si3 */
              break;

            case E_VNx4DImode:
              if (pattern32 (x3, 
E_VNx4DImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11388; /* *smaxvnx4di3 */
              break;

            case E_VNx64QImode:
              if (pattern32 (x3, 
E_VNx64QImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11392; /* *smaxvnx64qi3 */
              break;

            case E_VNx32HImode:
              if (pattern32 (x3, 
E_VNx32HImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11396; /* *smaxvnx32hi3 */
              break;

            case E_VNx16SImode:
              if (pattern32 (x3, 
E_VNx16SImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11400; /* *smaxvnx16si3 */
              break;

            case E_VNx8DImode:
              if (pattern32 (x3, 
E_VNx8DImode) == 0
                  && 
#line 735 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
                return 11404; /* *smaxvnx8di3 */
              break;

            default:
              break;
            }
          if (x5 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
            return -1;
          switch (pattern2 (x3))
            {
            case 0:
              return 1076; /* *aarch64_smaxsi3_zero */

            case 1:
              return 1078; /* *aarch64_smaxdi3_zero */

            default:
              return -1;
            }

        case 1:
          if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7384; /* *post_ra_smaxvnx16qi3 */

        case 2:
          if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7389; /* *post_ra_smaxvnx8qi3 */

        case 3:
          if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7394; /* *post_ra_smaxvnx4qi3 */

        case 4:
          if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7399; /* *post_ra_smaxvnx2qi3 */

        case 5:
          if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7404; /* *post_ra_smaxvnx8hi3 */

        case 6:
          if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7409; /* *post_ra_smaxvnx4hi3 */

        case 7:
          if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7414; /* *post_ra_smaxvnx2hi3 */

        case 8:
          if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7419; /* *post_ra_smaxvnx4si3 */

        case 9:
          if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7424; /* *post_ra_smaxvnx2si3 */

        case 10:
          if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7429; /* *post_ra_smaxvnx2di3 */

        case 11:
          if (!
#line 3975 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
            return -1;
          return 7434; /* *post_ra_smaxv2di3 */

        case 12:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11409; /* aarch64_sve_single_smaxvnx32qi */

        case 13:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11414; /* aarch64_sve_single_smaxvnx16hi */

        case 14:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11419; /* aarch64_sve_single_smaxvnx8si */

        case 15:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11424; /* aarch64_sve_single_smaxvnx4di */

        case 16:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11429; /* aarch64_sve_single_smaxvnx64qi */

        case 17:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11434; /* aarch64_sve_single_smaxvnx32hi */

        case 18:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11439; /* aarch64_sve_single_smaxvnx16si */

        case 19:
          if (!
#line 745 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2))
            return -1;
          return 11444; /* aarch64_sve_single_smaxvnx8di */

        default:
          return -1;
        }

    case ABS:
      switch (pattern309 (x3))
        {
        case 0:
          if (!(
#line 10043 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX) && 
#line 176 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 5277; /* *aarch64_faminmax_fused */

        case 1:
          if (!(
#line 10043 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX) && 
#line 177 "../../gcc/config/aarch64/iterators.md"
(TARGET_SIMD_F16INST)))
            return -1;
          return 5279; /* *aarch64_faminmax_fused */

        case 2:
          if (!
#line 10043 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX))
            return -1;
          return 5281; /* *aarch64_faminmax_fused */

        case 3:
          if (!
#line 10043 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX))
            return -1;
          return 5283; /* *aarch64_faminmax_fused */

        case 4:
          if (!
#line 10043 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_FAMINMAX))
            return -1;
          return 5285; /* *aarch64_faminmax_fused */

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 int
recog_538 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3;
  int res ATTRIBUTE_UNUSED;
  switch (pattern6 (x1))
    {
    case 0:
      x2 = XEXP (x1, 1);
      x3 = XEXP (x2, 1);
      switch (GET_CODE (x3))
        {
        case SUBREG:
        case TRUNCATE:
          switch (pattern514 (x2))
            {
            case 0:
              if (
#line 5859 "../../gcc/config/aarch64/aarch64.md"
((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (SImode) - 1)) == 0))
                return 720; /* *aarch64_lshr_reg_si3_mask1 */
              break;

            case 1:
              if (
#line 5859 "../../gcc/config/aarch64/aarch64.md"
((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (DImode) - 1)) == 0))
                return 725; /* *aarch64_lshr_reg_di3_mask1 */
              break;

            case 2:
              if (
#line 5923 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (DImode) - 1)) == 0)))
                return 742; /* *aarch64_lshr_reg_di3_mask2 */
              break;

            case 3:
              if (
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (SImode) - 1)) == 0)))
                return 730; /* *aarch64_lshr_reg_si3_neg_mask2 */
              break;

            case 4:
              if (
#line 5871 "../../gcc/config/aarch64/aarch64.md"
(((~INTVAL (operands[3]) & (GET_MODE_BITSIZE (DImode) - 1)) == 0)))
                return 735; /* *aarch64_lshr_reg_di3_neg_mask2 */
              break;

            default:
              break;
            }
          break;

        case CONST_INT:
          switch (pattern515 (x2))
            {
            case 0:
              if (
#line 6187 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (QImode)))
                return 773; /* *lshrqi3_insn */
              break;

            case 1:
              if (
#line 6187 "../../gcc/config/aarch64/aarch64.md"
(UINTVAL (operands[2]) < GET_MODE_BITSIZE (HImode)))
                return 776; /* *lshrhi3_insn */
              break;

            default:
              break;
            }
          break;

        default:
          break;
        }
      operands[2] = x3;
      switch (pattern406 (x2))
        {
        case 0:
          return 753; /* *aarch64_lshr_sisd_or_int_si3 */

        case 1:
          return 754; /* *aarch64_lshr_sisd_or_int_di3 */

        default:
          return -1;
        }

    case 1:
      if (!
#line 5941 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[2]) == GET_MODE_BITSIZE (SImode)))
        return -1;
      return 747; /* *aarch64_lshr_reg_minussi3 */

    case 2:
      if (!
#line 5941 "../../gcc/config/aarch64/aarch64.md"
(INTVAL (operands[2]) == GET_MODE_BITSIZE (DImode)))
        return -1;
      return 750; /* *aarch64_lshr_reg_minusdi3 */

    case 3:
      if (!
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1853; /* aarch64_simd_lshrv8qi */

    case 4:
      if (!
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1856; /* aarch64_simd_lshrv16qi */

    case 5:
      if (!
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1857; /* aarch64_simd_lshrv4hi */

    case 6:
      if (!
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1860; /* aarch64_simd_lshrv8hi */

    case 7:
      if (!
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1861; /* aarch64_simd_lshrv2si */

    case 8:
      if (!
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1864; /* aarch64_simd_lshrv4si */

    case 9:
      if (!
#line 1269 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD))
        return -1;
      return 1865; /* aarch64_simd_lshrv2di */

    case 10:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8235; /* *post_ra_v_lshrvnx16qi3 */

    case 11:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8237; /* *post_ra_v_lshrvnx8qi3 */

    case 12:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8239; /* *post_ra_v_lshrvnx4qi3 */

    case 13:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8241; /* *post_ra_v_lshrvnx2qi3 */

    case 14:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8243; /* *post_ra_v_lshrvnx8hi3 */

    case 15:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8245; /* *post_ra_v_lshrvnx4hi3 */

    case 16:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8247; /* *post_ra_v_lshrvnx2hi3 */

    case 17:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8249; /* *post_ra_v_lshrvnx4si3 */

    case 18:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8251; /* *post_ra_v_lshrvnx2si3 */

    case 19:
      if (!
#line 4923 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && reload_completed))
        return -1;
      return 8253; /* *post_ra_v_lshrvnx2di3 */

    default:
      return -1;
    }
}

 int
recog_564 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10122; /* while_ugesivnx8bi_ptest */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3446 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10132; /* while_ugedivnx8bi_ptest */
}

 int
recog_574 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10081; /* *while_ugtsivnx2bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3445 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10091; /* *while_ugtdivnx2bi_cc */
}

 int
recog_584 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && (
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return 10040; /* *while_gtsivnx8bi_cc */
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !(
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3444 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)))
    return -1;
  return 10050; /* *while_gtdivnx8bi_cc */
}

 int
recog_594 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  int res ATTRIBUTE_UNUSED;
  switch (pattern1088 (x1))
    {
    case 0:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10015; /* *while_lesivnx16bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10025; /* *while_ledivnx16bi_cc */

    case 1:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10035; /* *while_lesivnx8bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10045; /* *while_ledivnx8bi_cc */

    case 2:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10055; /* *while_lesivnx4bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10065; /* *while_ledivnx4bi_cc */

    case 3:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10075; /* *while_lesivnx2bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10085; /* *while_ledivnx2bi_cc */

    case 4:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10095; /* while_lesivnx16bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10105; /* while_ledivnx16bi_ptest */

    case 5:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10115; /* while_lesivnx8bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10125; /* while_ledivnx8bi_ptest */

    case 6:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10135; /* while_lesivnx4bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10145; /* while_ledivnx4bi_ptest */

    case 7:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10155; /* while_lesivnx2bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10165; /* while_ledivnx2bi_ptest */

    case 8:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10016; /* *while_ultsivnx16bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10026; /* *while_ultdivnx16bi_cc */

    case 9:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10036; /* *while_ultsivnx8bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10046; /* *while_ultdivnx8bi_cc */

    case 10:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10056; /* *while_ultsivnx4bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10066; /* *while_ultdivnx4bi_cc */

    case 11:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10076; /* *while_ultsivnx2bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10086; /* *while_ultdivnx2bi_cc */

    case 12:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10096; /* while_ultsivnx16bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10106; /* while_ultdivnx16bi_ptest */

    case 13:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10116; /* while_ultsivnx8bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10126; /* while_ultdivnx8bi_ptest */

    case 14:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10136; /* while_ultsivnx4bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10146; /* while_ultdivnx4bi_ptest */

    case 15:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10156; /* while_ultsivnx2bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10166; /* while_ultdivnx2bi_ptest */

    case 16:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10017; /* *while_ulesivnx16bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10027; /* *while_uledivnx16bi_cc */

    case 17:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10037; /* *while_ulesivnx8bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10047; /* *while_uledivnx8bi_cc */

    case 18:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10057; /* *while_ulesivnx4bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10067; /* *while_uledivnx4bi_cc */

    case 19:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10077; /* *while_ulesivnx2bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10087; /* *while_uledivnx2bi_cc */

    case 20:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10097; /* while_ulesivnx16bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10107; /* while_uledivnx16bi_ptest */

    case 21:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10117; /* while_ulesivnx8bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10127; /* while_uledivnx8bi_ptest */

    case 22:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10137; /* while_ulesivnx4bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10147; /* while_uledivnx4bi_ptest */

    case 23:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10157; /* while_ulesivnx2bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10167; /* while_uledivnx2bi_ptest */

    case 24:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10018; /* *while_ltsivnx16bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10028; /* *while_ltdivnx16bi_cc */

    case 25:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10038; /* *while_ltsivnx8bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10048; /* *while_ltdivnx8bi_cc */

    case 26:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10058; /* *while_ltsivnx4bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10068; /* *while_ltdivnx4bi_cc */

    case 27:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10078; /* *while_ltsivnx2bi_cc */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10088; /* *while_ltdivnx2bi_cc */

    case 28:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10098; /* while_ltsivnx16bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10108; /* while_ltdivnx16bi_ptest */

    case 29:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10118; /* while_ltsivnx8bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10128; /* while_ltdivnx8bi_ptest */

    case 30:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10138; /* while_ltsivnx4bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10148; /* while_ltdivnx4bi_ptest */

    case 31:
      if (aarch64_reg_or_zero (operands[1], E_SImode)
          && aarch64_reg_or_zero (operands[2], E_SImode)
          && 
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return 10158; /* while_ltsivnx2bi_ptest */
      if (!aarch64_reg_or_zero (operands[1], E_DImode)
          || !aarch64_reg_or_zero (operands[2], E_DImode)
          || !
#line 8463 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10168; /* while_ltdivnx2bi_ptest */

    case 32:
      return recog_593 (x1, insn, pnum_clobbers);

    case 33:
      return recog_592 (x1, insn, pnum_clobbers);

    case 34:
      return recog_591 (x1, insn, pnum_clobbers);

    case 35:
      return recog_590 (x1, insn, pnum_clobbers);

    case 36:
      return recog_589 (x1, insn, pnum_clobbers);

    case 37:
      return recog_588 (x1, insn, pnum_clobbers);

    case 38:
      return recog_587 (x1, insn, pnum_clobbers);

    case 39:
      return recog_586 (x1, insn, pnum_clobbers);

    case 40:
      return recog_585 (x1, insn, pnum_clobbers);

    case 41:
      return recog_584 (x1, insn, pnum_clobbers);

    case 42:
      return recog_583 (x1, insn, pnum_clobbers);

    case 43:
      return recog_582 (x1, insn, pnum_clobbers);

    case 44:
      return recog_581 (x1, insn, pnum_clobbers);

    case 45:
      return recog_580 (x1, insn, pnum_clobbers);

    case 46:
      return recog_579 (x1, insn, pnum_clobbers);

    case 47:
      return recog_578 (x1, insn, pnum_clobbers);

    case 48:
      return recog_577 (x1, insn, pnum_clobbers);

    case 49:
      return recog_576 (x1, insn, pnum_clobbers);

    case 50:
      return recog_575 (x1, insn, pnum_clobbers);

    case 51:
      return recog_574 (x1, insn, pnum_clobbers);

    case 52:
      return recog_573 (x1, insn, pnum_clobbers);

    case 53:
      return recog_572 (x1, insn, pnum_clobbers);

    case 54:
      return recog_571 (x1, insn, pnum_clobbers);

    case 55:
      return recog_570 (x1, insn, pnum_clobbers);

    case 56:
      return recog_569 (x1, insn, pnum_clobbers);

    case 57:
      return recog_568 (x1, insn, pnum_clobbers);

    case 58:
      return recog_567 (x1, insn, pnum_clobbers);

    case 59:
      return recog_566 (x1, insn, pnum_clobbers);

    case 60:
      return recog_565 (x1, insn, pnum_clobbers);

    case 61:
      return recog_564 (x1, insn, pnum_clobbers);

    case 62:
      return recog_563 (x1, insn, pnum_clobbers);

    case 63:
      return recog_562 (x1, insn, pnum_clobbers);

    case 64:
      return recog_561 (x1, insn, pnum_clobbers);

    case 65:
      return recog_560 (x1, insn, pnum_clobbers);

    case 66:
      return recog_559 (x1, insn, pnum_clobbers);

    case 67:
      return recog_558 (x1, insn, pnum_clobbers);

    case 68:
      return recog_557 (x1, insn, pnum_clobbers);

    case 69:
      return recog_556 (x1, insn, pnum_clobbers);

    case 70:
      return recog_555 (x1, insn, pnum_clobbers);

    case 71:
      return recog_554 (x1, insn, pnum_clobbers);

    case 72:
      return recog_553 (x1, insn, pnum_clobbers);

    case 73:
      return recog_552 (x1, insn, pnum_clobbers);

    case 74:
      return recog_551 (x1, insn, pnum_clobbers);

    case 75:
      return recog_550 (x1, insn, pnum_clobbers);

    case 76:
      return recog_549 (x1, insn, pnum_clobbers);

    case 77:
      return recog_548 (x1, insn, pnum_clobbers);

    case 78:
      return recog_547 (x1, insn, pnum_clobbers);

    case 79:
      return recog_546 (x1, insn, pnum_clobbers);

    case 80:
      if (!
#line 10172 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10919; /* *aarch64_brkn_cc */

    case 81:
      if (!
#line 10196 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE))
        return -1;
      return 10920; /* *aarch64_brkn_ptest */

    default:
      return -1;
    }
}

 int
recog_617 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 2);
  x3 = XEXP (x2, 1);
  if (!memory_operand (x3, E_VOIDmode))
    return -1;
  x4 = XEXP (x3, 0);
  if (!pmode_plus_operator (x4, E_VOIDmode))
    return -1;
  x5 = XVECEXP (x1, 0, 1);
  x6 = XEXP (x5, 0);
  operands[2] = x6;
  x7 = XEXP (x2, 0);
  operands[3] = x7;
  x8 = XEXP (x4, 0);
  if (!rtx_equal_p (x8, operands[1]))
    return -1;
  x9 = XEXP (x5, 1);
  x10 = XEXP (x9, 0);
  switch (GET_CODE (x10))
    {
    case REG:
    case SUBREG:
      if (!rtx_equal_p (x10, operands[1]))
        return -1;
      x11 = XEXP (x4, 1);
      if (GET_CODE (x11) != CONST_INT)
        return -1;
      x12 = XVECEXP (x1, 0, 0);
      x13 = XEXP (x12, 1);
      operands[7] = x13;
      operands[5] = x9;
      operands[6] = x3;
      operands[8] = x4;
      switch (XWINT (x11, 0))
        {
        case 4L:
          if (!aarch64_ldp_reg_operand (operands[2], E_SImode)
              || !aarch64_ldp_reg_operand (operands[3], E_SImode)
              || !
#line 2138 "../../gcc/config/aarch64/aarch64.md"
(aarch64_mem_pair_offset (operands[4], SImode)))
            return -1;
          return 94; /* *loadwb_post_pair_4 */

        case 8L:
          if (!aarch64_ldp_reg_operand (operands[2], E_DImode)
              || !aarch64_ldp_reg_operand (operands[3], E_DImode)
              || !
#line 2138 "../../gcc/config/aarch64/aarch64.md"
(aarch64_mem_pair_offset (operands[4], DImode)))
            return -1;
          return 95; /* *loadwb_post_pair_8 */

        case 16L:
          if (!aarch64_ldp_reg_operand (operands[2], E_TImode)
              || !aarch64_ldp_reg_operand (operands[3], E_TImode)
              || !
#line 2158 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && aarch64_mem_pair_offset (operands[4], TImode)))
            return -1;
          return 96; /* *loadwb_post_pair_16 */

        default:
          return -1;
        }

    case PLUS:
      operands[9] = x10;
      if (!pmode_plus_operator (operands[9], E_VOIDmode))
        return -1;
      x12 = XVECEXP (x1, 0, 0);
      x13 = XEXP (x12, 1);
      operands[8] = x13;
      operands[6] = x9;
      operands[7] = x3;
      operands[10] = x4;
      x11 = XEXP (x4, 1);
      operands[5] = x11;
      if (!const_int_operand (operands[5], E_VOIDmode))
        return -1;
      x14 = XEXP (x10, 0);
      if (!rtx_equal_p (x14, operands[1]))
        return -1;
      x15 = XEXP (x10, 1);
      if (!rtx_equal_p (x15, operands[4]))
        return -1;
      if (aarch64_ldp_reg_operand (operands[2], E_SImode)
          && aarch64_ldp_reg_operand (operands[3], E_SImode)
          && 
#line 2182 "../../gcc/config/aarch64/aarch64.md"
(aarch64_mem_pair_offset (operands[4], SImode)
   && known_eq (INTVAL (operands[5]),
		INTVAL (operands[4]) + GET_MODE_SIZE (SImode))))
        return 97; /* *loadwb_pre_pair_4 */
      if (aarch64_ldp_reg_operand (operands[2], E_DImode)
          && aarch64_ldp_reg_operand (operands[3], E_DImode)
          && 
#line 2182 "../../gcc/config/aarch64/aarch64.md"
(aarch64_mem_pair_offset (operands[4], DImode)
   && known_eq (INTVAL (operands[5]),
		INTVAL (operands[4]) + GET_MODE_SIZE (DImode))))
        return 98; /* *loadwb_pre_pair_8 */
      if (!aarch64_ldp_reg_operand (operands[2], E_TImode)
          || !aarch64_ldp_reg_operand (operands[3], E_TImode)
          || !
#line 2209 "../../gcc/config/aarch64/aarch64.md"
(TARGET_FLOAT
   && aarch64_mem_pair_offset (operands[4], TImode)
   && known_eq (INTVAL (operands[5]), INTVAL (operands[4]) + 16)))
        return -1;
      return 99; /* *loadwb_pre_pair_16 */

    default:
      return -1;
    }
}

 int
recog_620 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pnum_clobbers ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13, x14, x15, x16, x17;
  rtx x18, x19, x20, x21, x22, x23, x24, x25;
  rtx x26, x27, x28, x29, x30;
  int res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_CODE (x2) != SET)
    return -1;
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case CONST_INT:
      if (XWINT (x3, 0) != 0L)
        return -1;
      x4 = XVECEXP (x1, 0, 1);
      if (GET_CODE (x4) != CLOBBER)
        return -1;
      x5 = XVECEXP (x1, 0, 2);
      if (pattern367 (x5, 
66, 
CLOBBER, 
E_CCmode) != 0)
        return -1;
      x6 = XVECEXP (x1, 0, 3);
      if (GET_CODE (x6) != SET)
        return -1;
      x7 = XEXP (x6, 1);
      if (GET_CODE (x7) != UNSPEC
          || XVECLEN (x7, 0) != 2
          || XINT (x7, 1) != 81
          || GET_MODE (x7) != E_BLKmode)
        return -1;
      x8 = XEXP (x6, 0);
      if (GET_CODE (x8) != MEM
          || GET_MODE (x8) != E_BLKmode)
        return -1;
      x9 = XEXP (x2, 0);
      operands[2] = x9;
      if (!register_operand (operands[2], E_DImode))
        return -1;
      x10 = XEXP (x4, 0);
      operands[0] = x10;
      if (!register_operand (operands[0], E_DImode))
        return -1;
      x11 = XVECEXP (x7, 0, 0);
      operands[1] = x11;
      if (!aarch64_reg_or_zero (operands[1], E_QImode))
        return -1;
      x12 = XVECEXP (x7, 0, 1);
      if (!rtx_equal_p (x12, operands[2]))
        return -1;
      x13 = XEXP (x8, 0);
      if (!rtx_equal_p (x13, operands[0])
          || !
#line 2037 "../../gcc/config/aarch64/aarch64.md"
(TARGET_MOPS))
        return -1;
      return 87; /* *aarch64_setmemdi */

    case CALL:
      x14 = XEXP (x3, 0);
      if (GET_CODE (x14) != MEM
          || GET_MODE (x14) != E_DImode)
        return -1;
      x15 = XEXP (x3, 1);
      if (x15 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return -1;
      x4 = XVECEXP (x1, 0, 1);
      if (pattern350 (x4) != 0
          || pattern973 (x1) != 0)
        return -1;
      x6 = XVECEXP (x1, 0, 3);
      if (pattern1215 (x6, 
30) != 0)
        return -1;
      x9 = XEXP (x2, 0);
      operands[0] = x9;
      switch (pattern1262 (x1))
        {
        case 0:
          if (!
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == SImode))
            return -1;
          return 1120; /* *tlsgd_small_si */

        case 1:
          if (!
#line 168 "../../gcc/config/aarch64/iterators.md"
(ptr_mode == DImode))
            return -1;
          return 1121; /* *tlsgd_small_di */

        default:
          return -1;
        }

    case UNSPEC_VOLATILE:
      x6 = XVECEXP (x1, 0, 3);
      if (GET_CODE (x6) != CLOBBER)
        return -1;
      x8 = XEXP (x6, 0);
      if (!scratch_operand (x8, E_SImode))
        return -1;
      switch (pattern565 (x1))
        {
        case 0:
          return 5351; /* aarch64_compare_and_swapqi */

        case 1:
          return 5352; /* aarch64_compare_and_swaphi */

        case 2:
          return 5353; /* aarch64_compare_and_swapsi */

        case 3:
          return 5354; /* aarch64_compare_and_swapdi */

        case 4:
          return 5355; /* aarch64_compare_and_swapti */

        case 5:
          return 5369; /* aarch64_atomic_addqi */

        case 6:
          return 5374; /* aarch64_atomic_addhi */

        case 7:
          return 5379; /* aarch64_atomic_addsi */

        case 8:
          return 5384; /* aarch64_atomic_adddi */

        case 9:
          return 5370; /* aarch64_atomic_subqi */

        case 10:
          return 5375; /* aarch64_atomic_subhi */

        case 11:
          return 5380; /* aarch64_atomic_subsi */

        case 12:
          return 5385; /* aarch64_atomic_subdi */

        case 13:
          return 5371; /* aarch64_atomic_orqi */

        case 14:
          return 5376; /* aarch64_atomic_orhi */

        case 15:
          return 5381; /* aarch64_atomic_orsi */

        case 16:
          return 5386; /* aarch64_atomic_ordi */

        case 17:
          return 5372; /* aarch64_atomic_xorqi */

        case 18:
          return 5377; /* aarch64_atomic_xorhi */

        case 19:
          return 5382; /* aarch64_atomic_xorsi */

        case 20:
          return 5387; /* aarch64_atomic_xordi */

        case 21:
          return 5373; /* aarch64_atomic_andqi */

        case 22:
          return 5378; /* aarch64_atomic_andhi */

        case 23:
          return 5383; /* aarch64_atomic_andsi */

        case 24:
          return 5388; /* aarch64_atomic_anddi */

        case 25:
          return 5405; /* atomic_nandqi */

        case 26:
          return 5406; /* atomic_nandhi */

        case 27:
          return 5407; /* atomic_nandsi */

        case 28:
          return 5408; /* atomic_nanddi */

        default:
          return -1;
        }

    case SUBREG:
    case MEM:
      operands[1] = x3;
      if (pattern40 (x1, 
28, 
2) != 0)
        return -1;
      x9 = XEXP (x2, 0);
      operands[0] = x9;
      x4 = XVECEXP (x1, 0, 1);
      x16 = XEXP (x4, 1);
      x17 = XVECEXP (x16, 0, 0);
      operands[2] = x17;
      x18 = XVECEXP (x16, 0, 1);
      operands[3] = x18;
      if (!const_int_operand (operands[3], E_SImode))
        return -1;
      x6 = XVECEXP (x1, 0, 3);
      x8 = XEXP (x6, 0);
      operands[4] = x8;
      if (!scratch_operand (operands[4], E_SImode))
        return -1;
      switch (pattern1293 (x4))
        {
        case 0:
          if (!
#line 227 "../../gcc/config/aarch64/atomics.md"
(!TARGET_LSE))
            return -1;
          return 5361; /* aarch64_atomic_exchangeqi */

        case 1:
          if (!
#line 227 "../../gcc/config/aarch64/atomics.md"
(!TARGET_LSE))
            return -1;
          return 5362; /* aarch64_atomic_exchangehi */

        case 2:
          if (!
#line 227 "../../gcc/config/aarch64/atomics.md"
(!TARGET_LSE))
            return -1;
          return 5363; /* aarch64_atomic_exchangesi */

        case 3:
          if (!
#line 227 "../../gcc/config/aarch64/atomics.md"
(!TARGET_LSE))
            return -1;
          return 5364; /* aarch64_atomic_exchangedi */

        default:
          return -1;
        }

    case PLUS:
      switch (pattern356 (x1))
        {
        case 0:
          return 5449; /* aarch64_atomic_add_fetchqi */

        case 1:
          return 5454; /* aarch64_atomic_add_fetchhi */

        case 2:
          return 5459; /* aarch64_atomic_add_fetchsi */

        case 3:
          return 5464; /* aarch64_atomic_add_fetchdi */

        default:
          return -1;
        }

    case MINUS:
      switch (pattern356 (x1))
        {
        case 0:
          return 5450; /* aarch64_atomic_sub_fetchqi */

        case 1:
          return 5455; /* aarch64_atomic_sub_fetchhi */

        case 2:
          return 5460; /* aarch64_atomic_sub_fetchsi */

        case 3:
          return 5465; /* aarch64_atomic_sub_fetchdi */

        default:
          return -1;
        }

    case IOR:
      switch (pattern357 (x1))
        {
        case 0:
          return 5451; /* aarch64_atomic_or_fetchqi */

        case 1:
          return 5456; /* aarch64_atomic_or_fetchhi */

        case 2:
          return 5461; /* aarch64_atomic_or_fetchsi */

        case 3:
          return 5466; /* aarch64_atomic_or_fetchdi */

        default:
          return -1;
        }

    case XOR:
      switch (pattern357 (x1))
        {
        case 0:
          return 5452; /* aarch64_atomic_xor_fetchqi */

        case 1:
          return 5457; /* aarch64_atomic_xor_fetchhi */

        case 2:
          return 5462; /* aarch64_atomic_xor_fetchsi */

        case 3:
          return 5467; /* aarch64_atomic_xor_fetchdi */

        default:
          return -1;
        }

    case AND:
      switch (pattern357 (x1))
        {
        case 0:
          return 5453; /* aarch64_atomic_and_fetchqi */

        case 1:
          return 5458; /* aarch64_atomic_and_fetchhi */

        case 2:
          return 5463; /* aarch64_atomic_and_fetchsi */

        case 3:
          return 5468; /* aarch64_atomic_and_fetchdi */

        default:
          return -1;
        }

    case NOT:
      x14 = XEXP (x3, 0);
      if (GET_CODE (x14) != AND
          || pattern40 (x1, 
31, 
3) != 0)
        return -1;
      x9 = XEXP (x2, 0);
      operands[0] = x9;
      x19 = XEXP (x14, 0);
      operands[1] = x19;
      x20 = XEXP (x14, 1);
      operands[2] = x20;
      x4 = XVECEXP (x1, 0, 1);
      x16 = XEXP (x4, 1);
      x21 = XVECEXP (x16, 0, 2);
      operands[3] = x21;
      if (!const_int_operand (operands[3], E_SImode))
        return -1;
      x6 = XVECEXP (x1, 0, 3);
      x8 = XEXP (x6, 0);
      operands[4] = x8;
      if (!scratch_operand (operands[4], E_SImode))
        return -1;
      switch (pattern1188 (x1))
        {
        case 0:
          return 5469; /* atomic_nand_fetchqi */

        case 1:
          return 5470; /* atomic_nand_fetchhi */

        case 2:
          return 5471; /* atomic_nand_fetchsi */

        case 3:
          return 5472; /* atomic_nand_fetchdi */

        default:
          return -1;
        }

    case UNSPEC:
      if (XVECLEN (x3, 0) != 3)
        return -1;
      x22 = XVECEXP (x3, 0, 2);
      if (x22 != const_int_rtx[MAX_SAVED_CONST_INT + 0])
        return -1;
      x4 = XVECEXP (x1, 0, 1);
      if (GET_CODE (x4) != SET)
        return -1;
      x16 = XEXP (x4, 1);
      if (GET_CODE (x16) != UNSPEC
          || XVECLEN (x16, 0) != 3)
        return -1;
      x21 = XVECEXP (x16, 0, 2);
      if (x21 != const_int_rtx[MAX_SAVED_CONST_INT + 1])
        return -1;
      x5 = XVECEXP (x1, 0, 2);
      if (GET_CODE (x5) != SET)
        return -1;
      x23 = XEXP (x5, 1);
      if (GET_CODE (x23) != UNSPEC
          || XVECLEN (x23, 0) != 3)
        return -1;
      x24 = XVECEXP (x23, 0, 2);
      if (x24 != const_int_rtx[MAX_SAVED_CONST_INT + 2])
        return -1;
      x6 = XVECEXP (x1, 0, 3);
      if (GET_CODE (x6) != SET)
        return -1;
      x7 = XEXP (x6, 1);
      if (GET_CODE (x7) != UNSPEC
          || XVECLEN (x7, 0) != 3)
        return -1;
      x25 = XVECEXP (x7, 0, 2);
      if (x25 != const_int_rtx[MAX_SAVED_CONST_INT + 3])
        return -1;
      x9 = XEXP (x2, 0);
      operands[0] = x9;
      x26 = XVECEXP (x3, 0, 0);
      operands[5] = x26;
      if (!register_operand (operands[5], E_VNx16BImode))
        return -1;
      x27 = XVECEXP (x3, 0, 1);
      operands[4] = x27;
      x10 = XEXP (x4, 0);
      operands[1] = x10;
      x28 = XEXP (x5, 0);
      operands[2] = x28;
      x8 = XEXP (x6, 0);
      operands[3] = x8;
      x17 = XVECEXP (x16, 0, 0);
      if (!rtx_equal_p (x17, operands[5]))
        return -1;
      x18 = XVECEXP (x16, 0, 1);
      if (!rtx_equal_p (x18, operands[4]))
        return -1;
      x29 = XVECEXP (x23, 0, 0);
      if (!rtx_equal_p (x29, operands[5]))
        return -1;
      x30 = XVECEXP (x23, 0, 1);
      if (!rtx_equal_p (x30, operands[4]))
        return -1;
      x11 = XVECEXP (x7, 0, 0);
      if (!rtx_equal_p (x11, operands[5]))
        return -1;
      x12 = XVECEXP (x7, 0, 1);
      if (!rtx_equal_p (x12, operands[4]))
        return -1;
      switch (XINT (x3, 1))
        {
        case 471:
          switch (pattern1360 (x1, 
471))
            {
            case 0:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11158; /* aarch64_ld1vnx64qi_strided4 */

            case 1:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11160; /* aarch64_ld1vnx32hi_strided4 */

            case 2:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11162; /* aarch64_ld1vnx16si_strided4 */

            case 3:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11164; /* aarch64_ld1vnx8di_strided4 */

            case 4:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11166; /* aarch64_ld1vnx32bf_strided4 */

            case 5:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11168; /* aarch64_ld1vnx32hf_strided4 */

            case 6:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11170; /* aarch64_ld1vnx16sf_strided4 */

            case 7:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11172; /* aarch64_ld1vnx8df_strided4 */

            default:
              return -1;
            }

        case 472:
          switch (pattern1360 (x1, 
472))
            {
            case 0:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11159; /* aarch64_ldnt1vnx64qi_strided4 */

            case 1:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11161; /* aarch64_ldnt1vnx32hi_strided4 */

            case 2:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11163; /* aarch64_ldnt1vnx16si_strided4 */

            case 3:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11165; /* aarch64_ldnt1vnx8di_strided4 */

            case 4:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11167; /* aarch64_ldnt1vnx32bf_strided4 */

            case 5:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11169; /* aarch64_ldnt1vnx32hf_strided4 */

            case 6:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11171; /* aarch64_ldnt1vnx16sf_strided4 */

            case 7:
              if (!
#line 324 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_STREAMING_SME2
   && aarch64_strided_registers_p (operands, 4, 4)))
                return -1;
              return 11173; /* aarch64_ldnt1vnx8df_strided4 */

            default:
              return -1;
            }

        default:
          return -1;
        }

    default:
      return -1;
    }
}

 rtx_insn *
split_3 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 1);
  switch (pattern591 (x2))
    {
    case 0:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x81) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_568 (insn, operands);

    case 1:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x41) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_570 (insn, operands);

    case 2:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x21) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_572 (insn, operands);

    case 3:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x42) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_574 (insn, operands);

    case 4:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x22) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_576 (insn, operands);

    case 5:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x24) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_578 (insn, operands);

    case 6:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x81) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_580 (insn, operands);

    case 7:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x41) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_582 (insn, operands);

    case 8:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x21) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_584 (insn, operands);

    case 9:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x42) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_586 (insn, operands);

    case 10:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x22) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_588 (insn, operands);

    case 11:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x24) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_590 (insn, operands);

    case 12:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x81) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_592 (insn, operands);

    case 13:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x41) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_594 (insn, operands);

    case 14:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x21) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_596 (insn, operands);

    case 15:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x42) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_598 (insn, operands);

    case 16:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x22) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_600 (insn, operands);

    case 17:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x24) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_602 (insn, operands);

    case 18:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x81) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_604 (insn, operands);

    case 19:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x41) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_606 (insn, operands);

    case 20:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x21) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_608 (insn, operands);

    case 21:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x42) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_610 (insn, operands);

    case 22:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x22) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_612 (insn, operands);

    case 23:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x24) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_614 (insn, operands);

    case 24:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x81) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_616 (insn, operands);

    case 25:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x41) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_618 (insn, operands);

    case 26:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x21) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_620 (insn, operands);

    case 27:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x42) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_622 (insn, operands);

    case 28:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x22) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_624 (insn, operands);

    case 29:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x24) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_626 (insn, operands);

    case 30:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x81) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_628 (insn, operands);

    case 31:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x41) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_630 (insn, operands);

    case 32:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x21) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_632 (insn, operands);

    case 33:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x42) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_634 (insn, operands);

    case 34:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x22) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_636 (insn, operands);

    case 35:
      if (!(
#line 1351 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x24) == 0) && 
#line 1353 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_638 (insn, operands);

    case 36:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x81) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_712 (insn, operands);

    case 37:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x41) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_716 (insn, operands);

    case 38:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x21) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_720 (insn, operands);

    case 39:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x42) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_724 (insn, operands);

    case 40:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x22) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_728 (insn, operands);

    case 41:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x24) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_732 (insn, operands);

    case 42:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x81) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_736 (insn, operands);

    case 43:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x41) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_740 (insn, operands);

    case 44:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x21) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_744 (insn, operands);

    case 45:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x42) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_748 (insn, operands);

    case 46:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x22) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_752 (insn, operands);

    case 47:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x24) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_756 (insn, operands);

    case 48:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x81) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_760 (insn, operands);

    case 49:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x41) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_764 (insn, operands);

    case 50:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_768 (insn, operands);

    case 51:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x42) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_772 (insn, operands);

    case 52:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_776 (insn, operands);

    case 53:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_780 (insn, operands);

    case 54:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x81) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_784 (insn, operands);

    case 55:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x41) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_788 (insn, operands);

    case 56:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x21) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_792 (insn, operands);

    case 57:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x42) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_796 (insn, operands);

    case 58:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x22) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_800 (insn, operands);

    case 59:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x24) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_804 (insn, operands);

    case 60:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x81) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_808 (insn, operands);

    case 61:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x41) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_812 (insn, operands);

    case 62:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_816 (insn, operands);

    case 63:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x42) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_820 (insn, operands);

    case 64:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_824 (insn, operands);

    case 65:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_828 (insn, operands);

    case 66:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x81) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_832 (insn, operands);

    case 67:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x41) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_836 (insn, operands);

    case 68:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_840 (insn, operands);

    case 69:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x42) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_844 (insn, operands);

    case 70:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_848 (insn, operands);

    case 71:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_852 (insn, operands);

    case 72:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x81) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_713 (insn, operands);

    case 73:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x41) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_717 (insn, operands);

    case 74:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x21) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_721 (insn, operands);

    case 75:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x42) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_725 (insn, operands);

    case 76:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x22) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_729 (insn, operands);

    case 77:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x81 & 0x24) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_733 (insn, operands);

    case 78:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x81) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_737 (insn, operands);

    case 79:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x41) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_741 (insn, operands);

    case 80:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x21) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_745 (insn, operands);

    case 81:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x42) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_749 (insn, operands);

    case 82:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x22) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_753 (insn, operands);

    case 83:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x24) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_757 (insn, operands);

    case 84:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x81) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_761 (insn, operands);

    case 85:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x41) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_765 (insn, operands);

    case 86:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_769 (insn, operands);

    case 87:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x42) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_773 (insn, operands);

    case 88:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_777 (insn, operands);

    case 89:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_781 (insn, operands);

    case 90:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x81) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_785 (insn, operands);

    case 91:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x41) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_789 (insn, operands);

    case 92:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x21) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_793 (insn, operands);

    case 93:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x42) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_797 (insn, operands);

    case 94:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x22) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_801 (insn, operands);

    case 95:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x24) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_805 (insn, operands);

    case 96:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x81) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_809 (insn, operands);

    case 97:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x41) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_813 (insn, operands);

    case 98:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_817 (insn, operands);

    case 99:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x42) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_821 (insn, operands);

    case 100:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_825 (insn, operands);

    case 101:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_829 (insn, operands);

    case 102:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x81) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_833 (insn, operands);

    case 103:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x41) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_837 (insn, operands);

    case 104:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_841 (insn, operands);

    case 105:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x42) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_845 (insn, operands);

    case 106:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_849 (insn, operands);

    case 107:
      if (!(
#line 1435 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1439 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_853 (insn, operands);

    case 108:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x81) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_640 (insn, operands);

    case 109:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x41) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_642 (insn, operands);

    case 110:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x21) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_644 (insn, operands);

    case 111:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x42) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_646 (insn, operands);

    case 112:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x22) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_648 (insn, operands);

    case 113:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x81 & 0x24) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_650 (insn, operands);

    case 114:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x81) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_652 (insn, operands);

    case 115:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x41) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_654 (insn, operands);

    case 116:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x21) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_656 (insn, operands);

    case 117:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x42) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_658 (insn, operands);

    case 118:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x22) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_660 (insn, operands);

    case 119:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x41 & 0x24) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_662 (insn, operands);

    case 120:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x81) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_664 (insn, operands);

    case 121:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x41) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_666 (insn, operands);

    case 122:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x21) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_668 (insn, operands);

    case 123:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x42) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_670 (insn, operands);

    case 124:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x22) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_672 (insn, operands);

    case 125:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x21 & 0x24) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_674 (insn, operands);

    case 126:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x81) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_676 (insn, operands);

    case 127:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x41) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_678 (insn, operands);

    case 128:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x21) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_680 (insn, operands);

    case 129:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x42) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_682 (insn, operands);

    case 130:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x22) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_684 (insn, operands);

    case 131:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x43 & 0x24) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_686 (insn, operands);

    case 132:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x81) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_688 (insn, operands);

    case 133:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x41) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_690 (insn, operands);

    case 134:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x21) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_692 (insn, operands);

    case 135:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x42) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_694 (insn, operands);

    case 136:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x22) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_696 (insn, operands);

    case 137:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x23 & 0x24) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_698 (insn, operands);

    case 138:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x81) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_700 (insn, operands);

    case 139:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x41) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_702 (insn, operands);

    case 140:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x21) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_704 (insn, operands);

    case 141:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x42) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_706 (insn, operands);

    case 142:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x22) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_708 (insn, operands);

    case 143:
      if (!(
#line 1371 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && (~0x27 & 0x24) == 0) && 
#line 1373 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_710 (insn, operands);

    case 144:
      if (!(
#line 1663 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x41) == 0) && 
#line 1680 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_880 (insn, operands);

    case 145:
      if (!(
#line 1663 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x41 & 0x42) == 0) && 
#line 1680 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_884 (insn, operands);

    case 146:
      if (!(
#line 1663 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x41) == 0) && 
#line 1680 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_882 (insn, operands);

    case 147:
      if (!(
#line 1663 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x43 & 0x42) == 0) && 
#line 1680 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_886 (insn, operands);

    case 148:
      if (!(
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1716 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_888 (insn, operands);

    case 149:
      if (!(
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1716 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_894 (insn, operands);

    case 150:
      if (!(
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1716 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_900 (insn, operands);

    case 151:
      if (!(
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1716 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_890 (insn, operands);

    case 152:
      if (!(
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1716 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_896 (insn, operands);

    case 153:
      if (!(
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1716 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_902 (insn, operands);

    case 154:
      if (!(
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1716 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_892 (insn, operands);

    case 155:
      if (!(
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1716 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_898 (insn, operands);

    case 156:
      if (!(
#line 1703 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1716 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_904 (insn, operands);

    case 157:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_906 (insn, operands);

    case 158:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_918 (insn, operands);

    case 159:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_930 (insn, operands);

    case 160:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_910 (insn, operands);

    case 161:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_922 (insn, operands);

    case 162:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_934 (insn, operands);

    case 163:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_914 (insn, operands);

    case 164:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_926 (insn, operands);

    case 165:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_938 (insn, operands);

    case 166:
      if (!(
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1789 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_942 (insn, operands);

    case 167:
      if (!(
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1789 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_948 (insn, operands);

    case 168:
      if (!(
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1789 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_954 (insn, operands);

    case 169:
      if (!(
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1789 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_944 (insn, operands);

    case 170:
      if (!(
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1789 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_950 (insn, operands);

    case 171:
      if (!(
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1789 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_956 (insn, operands);

    case 172:
      if (!(
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1789 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_946 (insn, operands);

    case 173:
      if (!(
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1789 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_952 (insn, operands);

    case 174:
      if (!(
#line 1780 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1789 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_958 (insn, operands);

    case 175:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_908 (insn, operands);

    case 176:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_920 (insn, operands);

    case 177:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_932 (insn, operands);

    case 178:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_912 (insn, operands);

    case 179:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_924 (insn, operands);

    case 180:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_936 (insn, operands);

    case 181:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_916 (insn, operands);

    case 182:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_928 (insn, operands);

    case 183:
      if (!(
#line 1742 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1751 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_940 (insn, operands);

    case 184:
      if (!(
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x21) == 0) && 
#line 1824 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_960 (insn, operands);

    case 185:
      if (!(
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x22) == 0) && 
#line 1824 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_966 (insn, operands);

    case 186:
      if (!(
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x21 & 0x24) == 0) && 
#line 1824 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_972 (insn, operands);

    case 187:
      if (!(
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x21) == 0) && 
#line 1824 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_962 (insn, operands);

    case 188:
      if (!(
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x22) == 0) && 
#line 1824 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_968 (insn, operands);

    case 189:
      if (!(
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x23 & 0x24) == 0) && 
#line 1824 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_974 (insn, operands);

    case 190:
      if (!(
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 1824 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_964 (insn, operands);

    case 191:
      if (!(
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 1824 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_970 (insn, operands);

    case 192:
      if (!(
#line 1815 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 1824 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_976 (insn, operands);

    case 193:
      if (!(
#line 1976 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1991 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_980 (insn, operands);

    case 194:
      if (!(
#line 1976 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 1991 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_982 (insn, operands);

    case 195:
      if (!(
#line 2014 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2025 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_984 (insn, operands);

    case 196:
      if (!(
#line 2014 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2025 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_986 (insn, operands);

    case 197:
      if (!(
#line 2014 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2025 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[6]))))
        return NULL;
      return gen_split_988 (insn, operands);

    case 198:
      if (!(
#line 2052 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2059 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_990 (insn, operands);

    case 199:
      if (!(
#line 2052 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2059 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_992 (insn, operands);

    case 200:
      if (!(
#line 2052 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2059 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[6]) || !CONSTANT_P (operands[7])))))
        return NULL;
      return gen_split_994 (insn, operands);

    case 201:
      if (!(
#line 2084 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2091 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_996 (insn, operands);

    case 202:
      if (!(
#line 2084 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2091 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_998 (insn, operands);

    case 203:
      if (!(
#line 2084 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 2091 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[7]))))
        return NULL;
      return gen_split_1000 (insn, operands);

    case 204:
      if (!(
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x81) == 0) && 
#line 407 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2771 (insn, operands);

    case 205:
      if (!(
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x41) == 0) && 
#line 407 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2773 (insn, operands);

    case 206:
      if (!(
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x21) == 0) && 
#line 407 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2775 (insn, operands);

    case 207:
      if (!(
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x42) == 0) && 
#line 407 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2777 (insn, operands);

    case 208:
      if (!(
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x22) == 0) && 
#line 407 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2779 (insn, operands);

    case 209:
      if (!(
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x43 & 0x24) == 0) && 
#line 407 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2781 (insn, operands);

    case 210:
      if (!(
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x81) == 0) && 
#line 407 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2783 (insn, operands);

    case 211:
      if (!(
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x41) == 0) && 
#line 407 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2785 (insn, operands);

    case 212:
      if (!(
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x21) == 0) && 
#line 407 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2787 (insn, operands);

    case 213:
      if (!(
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x42) == 0) && 
#line 407 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2789 (insn, operands);

    case 214:
      if (!(
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x22) == 0) && 
#line 407 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2791 (insn, operands);

    case 215:
      if (!(
#line 398 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2
   && TARGET_NON_STREAMING
   && (~0x27 & 0x24) == 0) && 
#line 407 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
        return NULL;
      return gen_split_2793 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_76 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  switch (XINT (x3, 1))
    {
    case 273:
      switch (pattern372 (x3))
        {
        case 0:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_241 (insn, operands);

        case 1:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_242 (insn, operands);

        case 2:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_243 (insn, operands);

        case 3:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_244 (insn, operands);

        case 4:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_245 (insn, operands);

        case 5:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_246 (insn, operands);

        case 6:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_247 (insn, operands);

        case 7:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_248 (insn, operands);

        case 8:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_249 (insn, operands);

        case 9:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_250 (insn, operands);

        case 10:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_251 (insn, operands);

        case 11:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_252 (insn, operands);

        case 12:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_253 (insn, operands);

        case 13:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_254 (insn, operands);

        case 14:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_255 (insn, operands);

        case 15:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_256 (insn, operands);

        case 16:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_257 (insn, operands);

        case 17:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_258 (insn, operands);

        case 18:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_259 (insn, operands);

        case 19:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_260 (insn, operands);

        case 20:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_261 (insn, operands);

        case 21:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_262 (insn, operands);

        case 22:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_263 (insn, operands);

        case 23:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_264 (insn, operands);

        case 24:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_265 (insn, operands);

        case 25:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_266 (insn, operands);

        case 26:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_267 (insn, operands);

        case 27:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_268 (insn, operands);

        case 28:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_269 (insn, operands);

        case 29:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_270 (insn, operands);

        case 30:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_271 (insn, operands);

        case 31:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_272 (insn, operands);

        case 32:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_273 (insn, operands);

        case 33:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_274 (insn, operands);

        case 34:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_275 (insn, operands);

        case 35:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_276 (insn, operands);

        case 36:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_277 (insn, operands);

        case 37:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_278 (insn, operands);

        case 38:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_279 (insn, operands);

        case 39:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_280 (insn, operands);

        case 40:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_281 (insn, operands);

        case 41:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_282 (insn, operands);

        case 42:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_283 (insn, operands);

        case 43:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_284 (insn, operands);

        case 44:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_285 (insn, operands);

        case 45:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_286 (insn, operands);

        case 46:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_287 (insn, operands);

        case 47:
          if (!(
#line 7928 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7930 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_288 (insn, operands);

        default:
          return NULL;
        }

    case 246:
      if (GET_MODE (x3) != E_V2x16QImode
          || !register_operand (operands[0], E_V2x16QImode))
        return NULL;
      x4 = XVECEXP (x3, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_V16QImode))
        return NULL;
      x5 = XVECEXP (x3, 0, 1);
      operands[2] = x5;
      if (!register_operand (operands[2], E_V16QImode)
          || !(
#line 8615 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 8617 "../../gcc/config/aarch64/aarch64-simd.md"
( 1)))
        return NULL;
      return gen_split_341 (insn, operands);

    case 125:
      return split_5 (x1, insn);

    case 152:
      switch (pattern373 (x3))
        {
        case 0:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_448 (insn, operands);

        case 1:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_449 (insn, operands);

        case 2:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_450 (insn, operands);

        case 3:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_451 (insn, operands);

        case 4:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_452 (insn, operands);

        case 5:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_453 (insn, operands);

        case 6:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_454 (insn, operands);

        case 7:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_455 (insn, operands);

        case 8:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_456 (insn, operands);

        case 9:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_457 (insn, operands);

        case 10:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_458 (insn, operands);

        case 11:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_459 (insn, operands);

        case 12:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_460 (insn, operands);

        case 13:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_461 (insn, operands);

        case 14:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_462 (insn, operands);

        case 15:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_463 (insn, operands);

        case 16:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_464 (insn, operands);

        case 17:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_465 (insn, operands);

        case 18:
          if (!(
#line 776 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && BYTES_BIG_ENDIAN) && 
#line 778 "../../gcc/config/aarch64/aarch64-sve.md"
( reload_completed)))
            return NULL;
          return gen_split_466 (insn, operands);

        default:
          return NULL;
        }

    case 298:
      if (GET_MODE (x3) != E_VNx2DImode)
        return NULL;
      x5 = XVECEXP (x3, 0, 1);
      if (GET_CODE (x5) != UNSPEC
          || pattern598 (x5) != 0
          || !register_operand (operands[0], E_VNx2DImode))
        return NULL;
      x4 = XVECEXP (x3, 0, 0);
      operands[1] = x4;
      if (!register_operand (operands[1], E_VNx2DImode))
        return NULL;
      x6 = XVECEXP (x5, 0, 0);
      operands[3] = x6;
      x7 = XVECEXP (x5, 0, 1);
      x8 = XEXP (x7, 0);
      x9 = XEXP (x8, 0);
      operands[2] = x9;
      if (!register_operand (operands[2], E_VNx2DImode)
          || !(
#line 4148 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && TARGET_NON_STREAMING) && 
#line 4150 "../../gcc/config/aarch64/aarch64-sve.md"
( !CONSTANT_P (operands[3]))))
        return NULL;
      return gen_split_1415 (insn, operands);

    default:
      return NULL;
    }
}

 rtx_insn *
split_82 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XEXP (x1, 0);
  operands[0] = x2;
  x3 = XEXP (x1, 1);
  x4 = XEXP (x3, 0);
  switch (GET_CODE (x4))
    {
    case NEG:
      switch (pattern48 (x3))
        {
        case 0:
          return gen_split_24 (insn, operands);

        case 1:
          return gen_split_25 (insn, operands);

        default:
          return NULL;
        }

    case AND:
      x5 = XEXP (x4, 0);
      switch (GET_CODE (x5))
        {
        case LSHIFTRT:
          switch (pattern447 (x3))
            {
            case 0:
              if (!
#line 5164 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && aarch64_bitmask_imm (UINTVAL (operands[3]) << UINTVAL (operands[2]),
			   SImode)))
                return NULL;
              return gen_split_40 (insn, operands);

            case 1:
              if (!
#line 5164 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && aarch64_bitmask_imm (UINTVAL (operands[3]) << UINTVAL (operands[2]),
			   DImode)))
                return NULL;
              return gen_split_44 (insn, operands);

            default:
              return NULL;
            }

        case ASHIFT:
          switch (pattern448 (x3))
            {
            case 0:
              if (!
#line 5186 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && ((paradoxical_subreg_p (operands[1])
	&& rtx_equal_p (SUBREG_REG (operands[1]), operands[4]))
       || (REG_P (operands[1])
	   && REG_P (operands[4])
	   && REGNO (operands[1]) == REGNO (operands[4])))
   && (trunc_int_for_mode (GET_MODE_MASK (GET_MODE (operands[4]))
			   << INTVAL (operands[2]), SImode)
       == INTVAL (operands[3]))
   && (IOR != PLUS
       || (GET_MODE_MASK (GET_MODE (operands[4]))
	   & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_48 (insn, operands);

            case 1:
              if (!
#line 5186 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && ((paradoxical_subreg_p (operands[1])
	&& rtx_equal_p (SUBREG_REG (operands[1]), operands[4]))
       || (REG_P (operands[1])
	   && REG_P (operands[4])
	   && REGNO (operands[1]) == REGNO (operands[4])))
   && (trunc_int_for_mode (GET_MODE_MASK (GET_MODE (operands[4]))
			   << INTVAL (operands[2]), DImode)
       == INTVAL (operands[3]))
   && (IOR != PLUS
       || (GET_MODE_MASK (GET_MODE (operands[4]))
	   & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_52 (insn, operands);

            case 2:
              if (!
#line 5215 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && pow2_or_zerop (UINTVAL (operands[3]) + 1)
   && (trunc_int_for_mode (UINTVAL (operands[3])
			   << INTVAL (operands[2]), SImode)
       == INTVAL (operands[4]))
   && (IOR != PLUS
       || (INTVAL (operands[4]) & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_56 (insn, operands);

            case 3:
              if (!
#line 5215 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()
   && pow2_or_zerop (UINTVAL (operands[3]) + 1)
   && (trunc_int_for_mode (UINTVAL (operands[3])
			   << INTVAL (operands[2]), DImode)
       == INTVAL (operands[4]))
   && (IOR != PLUS
       || (INTVAL (operands[4]) & INTVAL (operands[3])) == 0)))
                return NULL;
              return gen_split_60 (insn, operands);

            default:
              return NULL;
            }

        case REG:
        case SUBREG:
          operands[1] = x5;
          x6 = XEXP (x3, 1);
          if (GET_CODE (x6) != UNSPEC
              || pattern575 (x6) != 0)
            return NULL;
          switch (pattern1031 (x3))
            {
            case 0:
              x7 = XVECEXP (x6, 0, 1);
              x8 = XEXP (x7, 0);
              x9 = XEXP (x8, 0);
              operands[3] = x9;
              if (register_operand (operands[3], E_VNx16QImode))
                {
                  x10 = XEXP (x7, 1);
                  x11 = XEXP (x10, 0);
                  if (rtx_equal_p (x11, operands[1])
                      && (
#line 1851 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1856 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                    return gen_split_2995 (insn, operands);
                  if (rtx_equal_p (x11, operands[2])
                      && (
#line 1851 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1856 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                    return gen_split_2996 (insn, operands);
                }
              x10 = XEXP (x7, 1);
              x11 = XEXP (x10, 0);
              operands[3] = x11;
              if (!register_operand (operands[3], E_VNx16QImode))
                return NULL;
              if (rtx_equal_p (x9, operands[1])
                  && (
#line 1878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1883 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                return gen_split_3003 (insn, operands);
              if (!rtx_equal_p (x9, operands[2])
                  || !(
#line 1878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1883 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                return NULL;
              return gen_split_3004 (insn, operands);

            case 1:
              x7 = XVECEXP (x6, 0, 1);
              x8 = XEXP (x7, 0);
              x9 = XEXP (x8, 0);
              operands[3] = x9;
              if (register_operand (operands[3], E_VNx8HImode))
                {
                  x10 = XEXP (x7, 1);
                  x11 = XEXP (x10, 0);
                  if (rtx_equal_p (x11, operands[1])
                      && (
#line 1851 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1856 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                    return gen_split_2997 (insn, operands);
                  if (rtx_equal_p (x11, operands[2])
                      && (
#line 1851 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1856 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                    return gen_split_2998 (insn, operands);
                }
              x10 = XEXP (x7, 1);
              x11 = XEXP (x10, 0);
              operands[3] = x11;
              if (!register_operand (operands[3], E_VNx8HImode))
                return NULL;
              if (rtx_equal_p (x9, operands[1])
                  && (
#line 1878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1883 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                return gen_split_3005 (insn, operands);
              if (!rtx_equal_p (x9, operands[2])
                  || !(
#line 1878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1883 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                return NULL;
              return gen_split_3006 (insn, operands);

            case 2:
              x7 = XVECEXP (x6, 0, 1);
              x8 = XEXP (x7, 0);
              x9 = XEXP (x8, 0);
              operands[3] = x9;
              if (register_operand (operands[3], E_VNx4SImode))
                {
                  x10 = XEXP (x7, 1);
                  x11 = XEXP (x10, 0);
                  if (rtx_equal_p (x11, operands[1])
                      && (
#line 1851 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1856 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                    return gen_split_2999 (insn, operands);
                  if (rtx_equal_p (x11, operands[2])
                      && (
#line 1851 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1856 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                    return gen_split_3000 (insn, operands);
                }
              x10 = XEXP (x7, 1);
              x11 = XEXP (x10, 0);
              operands[3] = x11;
              if (!register_operand (operands[3], E_VNx4SImode))
                return NULL;
              if (rtx_equal_p (x9, operands[1])
                  && (
#line 1878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1883 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                return gen_split_3007 (insn, operands);
              if (!rtx_equal_p (x9, operands[2])
                  || !(
#line 1878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1883 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                return NULL;
              return gen_split_3008 (insn, operands);

            case 3:
              x7 = XVECEXP (x6, 0, 1);
              x8 = XEXP (x7, 0);
              x9 = XEXP (x8, 0);
              operands[3] = x9;
              if (register_operand (operands[3], E_VNx2DImode))
                {
                  x10 = XEXP (x7, 1);
                  x11 = XEXP (x10, 0);
                  if (rtx_equal_p (x11, operands[1])
                      && (
#line 1851 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1856 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                    return gen_split_3001 (insn, operands);
                  if (rtx_equal_p (x11, operands[2])
                      && (
#line 1851 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1856 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                    return gen_split_3002 (insn, operands);
                }
              x10 = XEXP (x7, 1);
              x11 = XEXP (x10, 0);
              operands[3] = x11;
              if (!register_operand (operands[3], E_VNx2DImode))
                return NULL;
              if (rtx_equal_p (x9, operands[1])
                  && (
#line 1878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1883 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                return gen_split_3009 (insn, operands);
              if (!rtx_equal_p (x9, operands[2])
                  || !(
#line 1878 "../../gcc/config/aarch64/aarch64-sve2.md"
(TARGET_SVE2) && 
#line 1883 "../../gcc/config/aarch64/aarch64-sve2.md"
( !CONSTANT_P (operands[4]))))
                return NULL;
              return gen_split_3010 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case ASHIFT:
      switch (pattern362 (x3))
        {
        case 0:
          if (!
#line 5238 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()))
            return NULL;
          return gen_split_64 (insn, operands);

        case 1:
          if (!
#line 5238 "../../gcc/config/aarch64/aarch64.md"
(can_create_pseudo_p ()))
            return NULL;
          return gen_split_67 (insn, operands);

        default:
          return NULL;
        }

    default:
      return NULL;
    }
}

 rtx_insn *
split_129 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (aarch64_reg_or_zero (operands[1], E_SImode)
      && aarch64_reg_or_zero (operands[2], E_SImode)
      && ((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return gen_split_2452 (insn, operands);
  if (!aarch64_reg_or_zero (operands[1], E_DImode)
      || !aarch64_reg_or_zero (operands[2], E_DImode)
      || !((
#line 8438 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 3443 "../../gcc/config/aarch64/iterators.md"
(TARGET_SVE2)) && 
#line 8442 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[3]) || !CONSTANT_P (operands[4])))))
    return NULL;
  return gen_split_2462 (insn, operands);
}

 rtx_insn *
split_137 (rtx x1 ATTRIBUTE_UNUSED, rtx_insn *insn ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx x2, x3, x4, x5, x6, x7, x8, x9;
  rtx x10, x11, x12, x13;
  rtx_insn *res ATTRIBUTE_UNUSED;
  x2 = XVECEXP (x1, 0, 0);
  if (GET_CODE (x2) != SET)
    return NULL;
  x3 = XEXP (x2, 1);
  switch (GET_CODE (x3))
    {
    case EQ:
      switch (pattern341 (x1))
        {
        case 0:
          if (!(
#line 4462 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), SImode)
   && !aarch64_plus_operand (operands[2], SImode)
   && !reload_completed) && 
#line 4466 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_20 (insn, operands);

        case 1:
          if (!(
#line 4462 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), DImode)
   && !aarch64_plus_operand (operands[2], DImode)
   && !reload_completed) && 
#line 4466 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_22 (insn, operands);

        default:
          return NULL;
        }

    case NE:
      switch (pattern341 (x1))
        {
        case 0:
          if (!(
#line 4462 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), SImode)
   && !aarch64_plus_operand (operands[2], SImode)
   && !reload_completed) && 
#line 4466 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_21 (insn, operands);

        case 1:
          if (!(
#line 4462 "../../gcc/config/aarch64/aarch64.md"
(!aarch64_move_imm (INTVAL (operands[2]), DImode)
   && !aarch64_plus_operand (operands[2], DImode)
   && !reload_completed) && 
#line 4466 "../../gcc/config/aarch64/aarch64.md"
( true)))
            return NULL;
          return gen_split_23 (insn, operands);

        default:
          return NULL;
        }

    case PLUS:
      if (pattern366 (x1, 
E_CCmode, 
66, 
CLOBBER) != 0)
        return NULL;
      x4 = XEXP (x3, 1);
      operands[3] = x4;
      x5 = XEXP (x3, 0);
      switch (GET_CODE (x5))
        {
        case SMAX:
          switch (pattern975 (x3))
            {
            case 0:
              if (!(
#line 5003 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (SMAX, operands, false)) && 
#line 5005 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_29 (insn, operands);

            case 1:
              if (!(
#line 5003 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (SMAX, operands, false)) && 
#line 5005 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_33 (insn, operands);

            default:
              return NULL;
            }

        case SMIN:
          switch (pattern975 (x3))
            {
            case 0:
              if (!(
#line 5003 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (SMIN, operands, false)) && 
#line 5005 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_30 (insn, operands);

            case 1:
              if (!(
#line 5003 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (SMIN, operands, false)) && 
#line 5005 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_34 (insn, operands);

            default:
              return NULL;
            }

        case UMAX:
          switch (pattern975 (x3))
            {
            case 0:
              if (!(
#line 5003 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (UMAX, operands, false)) && 
#line 5005 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_31 (insn, operands);

            case 1:
              if (!(
#line 5003 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (UMAX, operands, false)) && 
#line 5005 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_35 (insn, operands);

            default:
              return NULL;
            }

        case UMIN:
          switch (pattern975 (x3))
            {
            case 0:
              if (!(
#line 5003 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (UMIN, operands, false)) && 
#line 5005 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_32 (insn, operands);

            case 1:
              if (!(
#line 5003 "../../gcc/config/aarch64/aarch64.md"
(aarch64_maxmin_plus_const (UMIN, operands, false)) && 
#line 5005 "../../gcc/config/aarch64/aarch64.md"
( 1)))
                return NULL;
              return gen_split_36 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case COMPARE:
      if (GET_MODE (x3) != E_CC_NZVmode)
        return NULL;
      x5 = XEXP (x3, 0);
      if (GET_CODE (x5) != AND)
        return NULL;
      x4 = XEXP (x3, 1);
      if (x4 != const_int_rtx[MAX_SAVED_CONST_INT + 0]
          || pattern705 (x1, 
CLOBBER, 
E_CC_NZVmode) != 0)
        return NULL;
      x6 = XVECEXP (x1, 0, 1);
      x7 = XEXP (x6, 0);
      if (!register_operand (x7, E_SImode))
        return NULL;
      x8 = XEXP (x5, 0);
      switch (GET_CODE (x8))
        {
        case REG:
        case SUBREG:
          operands[0] = x8;
          x9 = XEXP (x5, 1);
          operands[1] = x9;
          operands[2] = x7;
          switch (GET_MODE (x5))
            {
            case E_SImode:
              if (!register_operand (operands[0], E_SImode)
                  || !aarch64_mov_imm_operand (operands[1], E_SImode))
                return NULL;
              return gen_split_73 (insn, operands);

            case E_DImode:
              if (!register_operand (operands[0], E_DImode)
                  || !aarch64_mov_imm_operand (operands[1], E_DImode))
                return NULL;
              return gen_split_74 (insn, operands);

            default:
              return NULL;
            }

        case ASHIFT:
          switch (pattern1103 (x1))
            {
            case 0:
              return gen_split_75 (insn, operands);

            case 1:
              return gen_split_80 (insn, operands);

            default:
              return NULL;
            }

        case ASHIFTRT:
          switch (pattern1103 (x1))
            {
            case 0:
              return gen_split_76 (insn, operands);

            case 1:
              return gen_split_81 (insn, operands);

            default:
              return NULL;
            }

        case LSHIFTRT:
          switch (pattern1103 (x1))
            {
            case 0:
              return gen_split_77 (insn, operands);

            case 1:
              return gen_split_82 (insn, operands);

            default:
              return NULL;
            }

        case ROTATERT:
          switch (pattern1103 (x1))
            {
            case 0:
              return gen_split_78 (insn, operands);

            case 1:
              return gen_split_83 (insn, operands);

            default:
              return NULL;
            }

        case ROTATE:
          switch (pattern1103 (x1))
            {
            case 0:
              return gen_split_79 (insn, operands);

            case 1:
              return gen_split_84 (insn, operands);

            default:
              return NULL;
            }

        default:
          return NULL;
        }

    case US_PLUS:
      switch (pattern343 (x1))
        {
        case 0:
          if (!
#line 5313 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && GP_REGNUM_P (REGNO (operands[0]))))
            return NULL;
          return gen_split_211 (insn, operands);

        case 1:
          if (!
#line 5313 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && GP_REGNUM_P (REGNO (operands[0]))))
            return NULL;
          return gen_split_219 (insn, operands);

        default:
          return NULL;
        }

    case US_MINUS:
      switch (pattern343 (x1))
        {
        case 0:
          if (!
#line 5313 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && GP_REGNUM_P (REGNO (operands[0]))))
            return NULL;
          return gen_split_215 (insn, operands);

        case 1:
          if (!
#line 5313 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed && GP_REGNUM_P (REGNO (operands[0]))))
            return NULL;
          return gen_split_223 (insn, operands);

        default:
          return NULL;
        }

    case NEG:
      switch (pattern344 (x1))
        {
        case 0:
          if (!(
#line 7211 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7213 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_227 (insn, operands);

        case 1:
          if (!(
#line 7211 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7213 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_228 (insn, operands);

        case 2:
          if (!(
#line 7211 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7213 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_229 (insn, operands);

        case 3:
          if (!(
#line 7211 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7213 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_230 (insn, operands);

        case 4:
          if (!(
#line 7211 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7213 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_231 (insn, operands);

        case 5:
          if (!(
#line 7274 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7276 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_232 (insn, operands);

        case 6:
          if (!(
#line 7274 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7276 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_233 (insn, operands);

        case 7:
          if (!(
#line 7274 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7276 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_234 (insn, operands);

        case 8:
          if (!(
#line 7274 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7276 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_235 (insn, operands);

        case 9:
          if (!(
#line 7362 "../../gcc/config/aarch64/aarch64-simd.md"
(TARGET_SIMD) && 
#line 7364 "../../gcc/config/aarch64/aarch64-simd.md"
( reload_completed)))
            return NULL;
          return gen_split_236 (insn, operands);

        default:
          return NULL;
        }

    case UNSPEC:
      if (XVECLEN (x3, 0) != 4
          || XINT (x3, 1) != 127
          || pattern551 (x2) != 0)
        return NULL;
      x10 = XVECEXP (x3, 0, 2);
      if (XWINT (x10, 0) == 1L)
        {
          x11 = XVECEXP (x3, 0, 3);
          switch (GET_CODE (x11))
            {
            case CONST:
              switch (pattern1083 (x1))
                {
                case 0:
                  if ((
#line 983 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 987 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_558 (insn, operands);
                  break;

                case 1:
                  if ((
#line 1035 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1039 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_562 (insn, operands);
                  break;

                default:
                  break;
                }
              break;

            case SUBREG:
              switch (pattern1085 (x1))
                {
                case 0:
                  if ((
#line 1009 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1013 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_559 (insn, operands);
                  break;

                case 1:
                  if ((
#line 1009 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1013 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_560 (insn, operands);
                  break;

                case 2:
                  if ((
#line 1009 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1013 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_561 (insn, operands);
                  break;

                case 3:
                  if ((
#line 1061 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_563 (insn, operands);
                  break;

                case 4:
                  if ((
#line 1061 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_564 (insn, operands);
                  break;

                case 5:
                  if ((
#line 1061 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 1065 "../../gcc/config/aarch64/aarch64-sve.md"
( (!CONSTANT_P (operands[2]) || !CONSTANT_P (operands[3])))))
                    return gen_split_565 (insn, operands);
                  break;

                default:
                  break;
                }
              break;

            case UNSPEC:
              res = split_132 (x1, insn);
              if (res != NULL_RTX)
                return res;
              break;

            default:
              break;
            }
        }
      x11 = XVECEXP (x3, 0, 3);
      if (GET_CODE (x11) != UNSPEC
          || XVECLEN (x11, 0) != 3)
        return NULL;
      x12 = XVECEXP (x3, 0, 0);
      operands[1] = x12;
      if (!register_operand (operands[1], E_VNx16BImode)
          || !aarch64_sve_ptrue_flag (x10, E_SImode))
        return NULL;
      x13 = XVECEXP (x11, 0, 1);
      if (!aarch64_sve_ptrue_flag (x13, E_SImode))
        return NULL;
      return split_135 (x1, insn);

    case VEC_DUPLICATE:
      switch (pattern349 (x1))
        {
        case 0:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1033 (insn, operands);

        case 1:
          if (!(
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2745 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1052 (insn, operands);

        case 2:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1034 (insn, operands);

        case 3:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1035 (insn, operands);

        case 4:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1036 (insn, operands);

        case 5:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1037 (insn, operands);

        case 6:
          if (!(
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2745 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1053 (insn, operands);

        case 7:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1038 (insn, operands);

        case 8:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1039 (insn, operands);

        case 9:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1040 (insn, operands);

        case 10:
          if (!(
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2745 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1054 (insn, operands);

        case 11:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1041 (insn, operands);

        case 12:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1042 (insn, operands);

        case 13:
          if (!(
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2745 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1055 (insn, operands);

        case 14:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1043 (insn, operands);

        case 15:
          if (!(
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2745 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1057 (insn, operands);

        case 16:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1044 (insn, operands);

        case 17:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1045 (insn, operands);

        case 18:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1046 (insn, operands);

        case 19:
          if (!(
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2745 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1056 (insn, operands);

        case 20:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1047 (insn, operands);

        case 21:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1048 (insn, operands);

        case 22:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1049 (insn, operands);

        case 23:
          if (!(
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2745 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1058 (insn, operands);

        case 24:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1050 (insn, operands);

        case 25:
          if (!(
#line 2699 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE) && 
#line 2705 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1051 (insn, operands);

        case 26:
          if (!(
#line 2732 "../../gcc/config/aarch64/aarch64-sve.md"
(TARGET_SVE && !BYTES_BIG_ENDIAN) && 
#line 2745 "../../gcc/config/aarch64/aarch64-sve.md"
( MEM_P (operands[1]))))
            return NULL;
          return gen_split_1059 (insn, operands);

        default:
          return NULL;
        }

    case AND:
      return split_136 (x1, insn);

    default:
      return NULL;
    }
}

 rtx_insn *
peephole2_9 (rtx x1 ATTRIBUTE_UNUSED,
	rtx_insn *insn ATTRIBUTE_UNUSED,
	int *pmatch_len_ ATTRIBUTE_UNUSED)
{
  rtx * const operands ATTRIBUTE_UNUSED = &recog_data.operand[0];
  rtx_insn *res ATTRIBUTE_UNUSED;
  if (register_operand (operands[0], E_V16QImode))
    {
      switch (pattern925 (
E_V16QImode))
        {
        case 0:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_92 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 1:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_93 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 2:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_94 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 3:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_95 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 4:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_96 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 5:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_97 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 6:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_98 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        case 7:
          if (
#line 98 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, true)))
            {
              *pmatch_len_ = 1;
              res = gen_peephole2_99 (insn, operands);
              if (res != NULL_RTX)
                return res;
            }
          break;

        default:
          break;
        }
    }
  if (!memory_operand (operands[0], E_V16QImode)
      || !register_operand (operands[1], E_V16QImode))
    return NULL;
  switch (pattern980 ())
    {
    case 0:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_156 (insn, operands);

    case 1:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_157 (insn, operands);

    case 2:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_158 (insn, operands);

    case 3:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_159 (insn, operands);

    case 4:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_160 (insn, operands);

    case 5:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_161 (insn, operands);

    case 6:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_162 (insn, operands);

    case 7:
      if (!
#line 111 "../../gcc/config/aarch64/aarch64-ldpstp.md"
(TARGET_FLOAT
   && aarch64_operands_ok_for_ldpstp (operands, false)))
        return NULL;
      *pmatch_len_ = 1;
      return gen_peephole2_163 (insn, operands);

    default:
      return NULL;
    }
}
